/*
//  Persistance of Vision Raytracer V2.0
//  World definition file.
//
//  Contains 1 lights, 8 textures and 28 primitives.
//
//  This file was generated for POV-Ray V2.0 by
//  MORAY.EXE (c) 1991-1994 SoftTronics by Lutz Kretzschmar + Markus Lutz
//

//  Date : 06/14/1994    (14.06.1994)
//

//
//  This is the standard include file for POV.
//

#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"

// If you don't like or want the green floor plane and the blue sky, then
// delete the following line. (To permanently delete it, remove it from
// MRYDEFLT.INC in your Moray directory.
#include "enviro.inc"

camera {  //  Camera StdCam
  location  <-26.190, 0.996, 0.835>
  direction <0.0,     0.0,  2.4880>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.3333,  0.0,  0.0>
  look_at   <0.000, 0.000, 0.000>
}

// *******  L I G H T S *******
light_source {   // Light1
  <10.820, -8.500, 10.316>
  color rgb <1.000, 1.000, 1.000>
}

*/
//
// ********  T E X T U R E S  *******
//

#include "Doll.INC"

// ********  O B J E C T S *******
#declare Torso = cone {
  <0,0,0>, 0
  <0,0,1>, 1
  texture {
    Bodtex
  }
  scale <0.593776, 0.854473, 1.348070>
  rotate <-0.000000, -0.000000, 270.000000>
}

#declare Waist = object { 
  sphere {<0,0,0>,1}
  texture {
    Jointex
  }
  scale <0.386703, 0.394517, 0.385760>
  translate <0.000000, 0.000000, 0.184272>
}

#declare Hip = cone {
  <0,0,0>, 0
  <0,0,1>, 1
  texture {
    Bodtex
  }
  scale <0.614923, 0.374985, 0.774779>
  rotate <-0.000000, 181.164886, -179.021942>
  translate <-0.000000, 0.000000, 0.266171>
}

#declare Shoulderl = object { 
  sphere {<0,0,0>,1}
  texture {
    Jointex
  }
  scale <0.221962, 0.221962, 0.221962>
  translate <-0.634715, 0.000000, 1.556076>
}

#declare Shoulderl1 = object { 
  sphere {<0,0,0>,1}
  texture {
    Jointex
  }
  scale <0.221962, 0.221962, 0.221962>
  translate <0.628196, 0.000000, 1.556076>
}

#declare Neck = object { 
  sphere {<0,0,0>,1}
  texture {
    Skintex
  }
  scale <0.262911, 0.262911, 0.262911>
  translate <-0.020475, 0.000000, 1.617500>
}

#declare Hipjl = object { 
  sphere {<0,0,0>,1}
  texture {
    Jointex
  }
  scale <0.208665, 0.208665, 0.208665>
  translate <-0.320302, 0.000000, -0.565239>
}

#declare Hipjl1 = object { 
  sphere {<0,0,0>,1}
  texture {
    Jointex
  }
  scale <0.208665, 0.208665, 0.208665>
  translate <0.330428, 0.000000, -0.546398>
}

#declare Head = object { 
  sphere {<0,0,0>,1}
  texture {
    Skintex
  }
  scale <0.467658, 0.467658, 0.467658>
  translate <0.000000, 0.000000, 2.313639>
}

#declare Nose = cone {
  <0,0,0>, 0
  <0,0,1>, 1
  texture {
    Nosetex
  }
  scale <0.056677, 0.039804, 0.358163>
  rotate <268.974396, -0.000000, -0.000000>
  translate <-0.009296, -0.719452, 2.218189>
}

#declare Eyel = object { 
  sphere {<0,0,0>,1}
  texture {
    Skintex
  }
  scale <0.057506, 0.057506, 0.057506>
  translate <-0.204525, -0.389750, 2.486676>
}

#declare Eyel1 = object { 
  sphere {<0,0,0>,1}
  texture {
    Eyetex
  }
  scale <0.057506, 0.057506, 0.057506>
  translate <0.212616, -0.397846, 2.486676>
}

#declare Visage = union {
  object { Head }
  object { Nose }
  object { Eyel }
  object { Eyel1 }
}

#declare Elbl = object { 
  sphere {<0,0,0>,1}
  scale <0.156411, 0.156411, 0.156411>
  translate <-1.512682, 0.785687, 0.612625>
}

#declare UpArml = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <0.132898, 0.179516, 0.664449>
  rotate <36.582970, 29.678545, -0.000000>
  translate <-1.229211, 0.392843, 1.157433>
}

#declare Armpt1 = union {
  object { Elbl }
  object { UpArml }
  texture {
    Armtex
  }
}

#declare Loarml = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <0.126996, 0.115711, 0.519105>
  rotate <281.617828, -0.000000, -0.000000>
  translate <-1.568554, 0.163685, 0.374288>
}

#declare Handl = object { 
  sphere {<0,0,0>,1}
  scale <0.214566, 0.346047, 0.122158>
  rotate <327.529907, -0.000000, -0.000000>
  translate <-1.596563, -0.526577, 0.362743>
}

#declare WhArml = union {
  object { Armpt1 }
  object { Loarml }
  object { Handl }
  texture {
    Armtex
  }
}

#declare Elbl1 = object { 
  sphere {<0,0,0>,1}
  scale <0.156411, 0.156411, 0.156411>
  translate <-1.512682, 0.785687, 0.612625>
}

#declare UpArml1 = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <0.132898, 0.179516, 0.664449>
  rotate <36.582970, 29.678545, -0.000000>
  translate <-1.229211, 0.392843, 1.157433>
}

#declare Armpt2 = union {
  object { Elbl1 }
  object { UpArml1 }
  rotate <43.248211, -90.000557, -164.047485>
  translate <-1.754163, -1.474295, 2.691570>
}

#declare Loarml1 = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <0.126996, 0.115711, 0.519105>
  rotate <281.617828, -0.000000, -0.000000>
  translate <-0.677521, -1.977951, 0.955865>
}

#declare Handl1 = object { 
  sphere {<0,0,0>,1}
  scale <0.214566, 0.346047, 0.122158>
  rotate <327.529907, -0.000000, -0.000000>
  translate <-0.732300, -2.778191, 1.009606>
}

#declare WhArml1 = union {
  object { Armpt2 }
  object { Loarml1 }
  object { Handl1 }
  texture {
    Armtex
  }
  rotate <-0.000000, -60.155708, -11.828257>
  translate <2.669208, -0.209691, 1.575919>
}

#declare Kneel = object { 
  sphere {<0,0,0>,1}
  scale <0.220030, 0.220030, 0.220030>
  translate <-0.452191, -1.588828, -1.522257>
}

#declare Femurl = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <0.215345, 0.217178, 0.721319>
  rotate <294.213287, 4.518524, -0.000000>
  translate <-0.436664, -0.731836, -1.140561>
}

#declare WhUpLegl = union {
  object { Kneel }
  object { Femurl }
  texture {
    Legtex
  }
}

#declare Kneel1 = object { 
  sphere {<0,0,0>,1}
  scale <0.220030, 0.220030, 0.220030>
  translate <-0.452191, -1.588828, -1.522257>
}

#declare Femurl1 = box {
  <-1, -1, -1>, <1, 1, 1>
  scale <0.215345, 0.217178, 0.721319>
  rotate <294.213287, 4.518524, -0.000000>
  translate <-0.436664, -0.731836, -1.140561>
}

#declare WhUpLegl1 = union {
  object { Kneel1 }
  object { Femurl1 }
  texture {
    Legtex
  }
  rotate <110.380219, -6.183954, -0.000000>
  translate <0.759864, -0.682747, -0.876563>
}

#declare Shinl1 = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Shintex
  }
  scale <0.113207, 0.144449, 0.683486>
  rotate <105.056305, -0.000000, -0.000000>
  translate <0.428967, 2.063976, -1.715394>
}

#declare Footl1 = object { 
  sphere {<0,0,0>,1}
  texture {
    Nosetex
  }
  scale <0.255288, 0.308613, 0.143256>
  rotate <109.225082, -0.000000, -0.000000>
  translate <0.438680, 2.923733, -1.751199>
}

#declare Shinl = box {
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Shintex
  }
  scale <0.113207, 0.144449, 0.683486>
  translate <-0.471033, -1.646603, -2.427825>
}

#declare Footl = object { 
  sphere {<0,0,0>,1}
  texture {
    Nosetex
  }
  scale <0.255288, 0.308613, 0.143256>
  rotate <19.309858, -0.000000, -0.000000>
  translate <-0.461320, -1.914863, -3.354169>
}
#declare Dolly=object{
union {
  object { Torso }
  object { Waist }
  object { Hip }
  object { Shoulderl }
  object { Shoulderl1 }
  object { Neck }
  object { Hipjl }
  object { Hipjl1 }
  object { Visage rotate z*-45} //REMEMBER RHS!!!
  object { WhArml }             
  object { WhArml1 }
  object { WhUpLegl }
  object { WhUpLegl1 }
  object { Shinl1 }
  object { Footl1 }
  object { Shinl }
  object { Footl }
  translate <0.000000, 0.000000, 0.021831>
}
}
