// die.inc by Andy Wardley <abw@oasis.icl.co.uk>


#declare dice_texture=
texture { 
	pigment { colour White }
	finish {
		diffuse 0.70
		ambient 0.10
		crand 0.05
	}
}

#declare spot_texture=
texture { 
	pigment { Gray05 }
	finish {
		ambient 0.2
		diffuse 0.8
		specular 0.5 
	}
}


#declare die_body=
union {
	box { <-.50, -.35, -.35> <.50, .35, .35> }
	box { <-.35, -.50, -.35> <.35, .50, .35> }
	box { <-.35, -.35, -.50> <.35, .35, .50> }
	
	cylinder { <-.35,  .35, -.35> < .35,  .35, -.35> .15 } // front top
	cylinder { <-.35, -.35, -.35> < .35, -.35, -.35> .15 } // front bottom	
	cylinder { <-.35,  .35,  .35> < .35,  .35,  .35> .15 } // back top	
	cylinder { <-.35, -.35,  .35> < .35, -.35,  .35> .15 } // back bottom	
	cylinder { <-.35,  .35, -.35> <-.35,  .35,  .35> .15 } // left top	
	cylinder { <-.35, -.35, -.35> <-.35, -.35,  .35> .15 } // left bottom
	cylinder { < .35,  .35, -.35> < .35,  .35,  .35> .15 } // right top	
	cylinder { < .35, -.35, -.35> < .35, -.35,  .35> .15 } // right bottom
	cylinder { <-.35, -.35, -.35> <-.35,  .35, -.35> .15 } // left front
	cylinder { <-.35, -.35,  .35> <-.35,  .35,  .35> .15 } // left back
	cylinder { < .35, -.35, -.35> < .35,  .35, -.35> .15 } // right front
	cylinder { < .35, -.35,  .35> < .35,  .35,  .35> .15 } // right back
		
	sphere { <-.35,  .35, -.35> .15 }
	sphere { < .35,  .35, -.35> .15 }
	sphere { < .35, -.35, -.35> .15 }
	sphere { <-.35, -.35, -.35> .15 }
	sphere { <-.35,  .35,  .35> .15 }
	sphere { < .35,  .35,  .35> .15 }
	sphere { < .35, -.35,  .35> .15 }
	sphere { <-.35, -.35,  .35> .15 }

	texture { dice_texture }
}


#declare die_spots=
union {
	sphere { <    0,     0, -.612> .14 }

	sphere { < -.22,  .612,   .22> .14 }
	sphere { <  .22,  .612,  -.22> .14 }

	sphere { <-.612,   .22,   .22> .14 }	
	sphere { <-.612,     0,     0> .14 }
	sphere { <-.612,  -.22,  -.22> .14 }

	sphere { < .612,   .22,   .22> .14 }
	sphere { < .612,   .22,  -.22> .14 }
	sphere { < .612,  -.22,  -.22> .14 }
	sphere { < .612,  -.22,   .22> .14 }

	sphere { < -.22, -.612,   .22> .14 }
	sphere { < -.22, -.612,  -.22> .14 }
	sphere { <    0, -.612,     0> .14 }
	sphere { <  .22, -.612,  -.22> .14 }
	sphere { <  .22, -.612,   .22> .14 }

	sphere { < -.22,  -.22,  .612> .14 }
	sphere { <    0,  -.22,  .612> .14 }
	sphere { <  .22,  -.22,  .612> .14 }
	sphere { < -.22,   .22,  .612> .14 }
	sphere { <   .0,   .22,  .612> .14 }
	sphere { <  .22,   .22,  .612> .14 } 

	texture { spot_texture }
}


#declare die=
difference {
	object { die_body }
	object { die_spots }
		
	bounded_by { box { <-0.5, -0.5, -0.5> <0.5, 0.5, 0.5> } }
}	
		



