//
//  This is for all you Pink Floyd fans out there among the bouncing
//  rays.  Nothing special, just wanted something to do while listening
//  to some Good Music...
//
//  HIPGNOSIS:  Comparing this to your work, I really think suing me
//              for this would be underestimating yourself...
//
//  (04/05/94) Jussi Kantola (email: jkantola@paju.oulu.fi)
//

#include "colors.inc"

// THIS should warn you about the dullness of the picture :)
#default { texture { finish { ambient 1 diffuse 0 } } }

// Height of the prism, turbulence value used for fun.
#declare H = 5.196152423
#declare T = 0.0

#declare DWhite = color rgb <0.96, 0.96, 0.96>
#declare DClear = color rgbf <0.87, 0.9, 1, 1>

// these make the "edges" of the prism
#declare Layer1 = texture
   {
   pigment
      {
      gradient y
      turbulence T
      scale <1, H/2, 1>
      rotate <0, 0, 300>
      color_map
         {
         [0.0, 0.85 color DClear color DClear]
         [1.0 color DWhite]
         }
      }
   }

#declare Layer2 = texture
   {
   pigment
      {
      gradient y
      turbulence T
      scale <1, H/2, 1>
      rotate <0, 0, 60>
      color_map
         {
         [0.0, 0.85 color DClear color DClear]
         [1.0 color DWhite]
         }
      }
   }

#declare Layer3 = texture
   {
   pigment
      {
      gradient y
      turbulence T
      scale <1, H+0.2, 1>
      color_map
         {
         [0.0 color DWhite]
         [0.3/(H+0.2), 1 color DClear color DClear]
         }
      }
   }

// The prism   
object
   {
   triangle { <-3, 0, 0>, <3, 0, 0>, <0, H, 0> }
   texture { Layer1 }
   texture { Layer2 }
   texture { Layer3 }
   }

// a reflection inside the prism
object
   {
   triangle 
      { 
      <-1.10221415, H-84/44, 0>,
      <0.898100418, H-84/54, 0>,
      <1.385640646, H-84/35, 0>
      }
   texture
      {
      pigment
         {
         gradient x
         turbulence T
         color_map
            {
            [0.0 color DWhite]
            [0.7 color DClear filter 0.92]
            [1.0 color Clear]
            }
         scale <2.771281292, 1, 1> //  2.2044283
         translate <-1.10221315, 0, 0>
         }
      }
   translate <0, 0, -0.001>
   no_shadow
   }

// the resulting spectrum.  This really is horrible...
// but I won't bother to create this from little pieces
// Actually the pic would be quite good without this :)
object
   {
   union
      {
      triangle
         {
         <0.898100418, H-84/54, 0>,         
         <1.385640646, H-84/35, 0>,
         <20, H-84/35+0.2, 0>
         }
      triangle
         {
         <1.385640646, H-84/35, 0>,
         <20, H-84/35+0.2, 0>,
         <20, 0.2, 0>
         }
      }
   pigment
      {
      gradient y
      turbulence T
      scale <1, 1.5, 1>
      rotate <0, 0, -8>
      translate <0, -0.1, 0>
      color_map
         {
         [0.0 color Violet]
         [0.2 color Blue]
         [0.4 color Green]
         [0.6 color Yellow]
         [0.8 color Orange]
         [1.0 color Red]
         }
      }
   }

// the incident ray
object
   {
   cylinder { <-1.10221415, H-84/44, 0>, <-10, 1, 0>, 0.025 }
   pigment { color White }
   finish { ambient 1 diffuse 0 }
   }
      
camera
   {
   location <0, H/2-1, -16>
   right 4/3*x
   up y
   direction 1.5*z
   }
