// "TABLE.INC" POV-Ray 2.0 Include File for "HAVESEAT.POV"


// declare textures

#declare Bumpglass = texture {
	pigment { Gray70 filter 0.9 }
	finish { ambient 0 diffuse 0.2 phong 0.9 phong_size 200
		 refraction 1 ior 1.5 }
	normal { bumps 0.05 scale 18 }
}
#declare Chromed = texture {
	pigment { Gray45 }
	finish { ambient 0.1 diffuse 0.8 phong 0.8 phong_size 190
	metallic reflection 0.7 brilliance 6 }
}

// table dimensions

#declare T = 550	// tabletop radius
#declare B =  24/2	// tabletop thickness
#declare L = 600	// tableleg length
#declare C = 280	// tableleg curve radius
#declare q =  30	// tube radius

#declare Tabletop = cylinder { <0, L-B, 0>, <0, L+B, 0>, T
	texture { Bumpglass }
}
#declare Tableleg = union {
	cylinder { <0, C, 0>, <0, L, 0>, q }
	intersection { torus { C, q sturm rotate 90*z }
		plane { y, 0 } plane { z, 50 }
		translate <0, C, C>
	}
	bounded_by { box { <-q, -q, -q>, <q, L, C+q> } }
	translate <0, 0, 1.4*q>
	texture { Chromed }
}

// the table consists of a tabletop and three legs

#declare Table = union {
	object { Tabletop }
	object { Tableleg rotate <0,    0, 0> }
	object { Tableleg rotate <0,  120, 0> }
	object { Tableleg rotate <0, -120, 0> }
}
