// Meek's Museum
//
// Start Date - 20 Feb 1994
// End Date   - 11 Mar 1994
//
// world2.pov - The Room. (lights, camera, #includes)
//
// This file is the main .pov for the scene.  All the
//

#max_trace_level 10    // This can get crazy, with all the glass surfaces.

#include "colors.inc"
#include "world2.inc"
#include "column.inc"
#include "picframe.pov"
#include "display.pov"
#include "disp2.pov"
#include "window.pov"
#include "obj1.pov"
#include "vase.inc"
#include "obj3.pov"

camera {
  location <15,18.5,5>
  direction <0,0,0.89>
  up <0,1,0>
  right <4/3,0,0>
  look_at <66,5,58> 
}


// Two spotlights.  One above each display case.

light_source {
   <25,58,18> color Gray85
   spotlight
   point_at <25,12,30>
   radius 43
   falloff 140
   tightness 3.5
   }


light_source {
   <75,58,18> color Gray85
   spotlight
   point_at <75,12,30>
   radius 43
   falloff 140
   tightness 3.5
   }


light_source {    <205,125,27> color rgb <1,1,0.8>   } // Die Sonne.

// additional light in the room, if you really want it
//light_source {   <50,55,10> color rgb <0.125,0.125,0.115> } 


// a very generic white cloudy sky.  Needs improvement.
//
// I have a 386sx-25.  I didn't have the 5 days to re-raytrace it
// with one of my nicer multi-layered super-duper skies ;-)
// ..maybe when I get my 486, I will.
//
sphere { <0,0,0>,420 inverse 
         pigment { bozo scale <1200,60,120> turbulence <0.2,0.1,0.2> omega 3/9
                   color_map { [0 color rgb <0.4,0.7,0.95>]
                               [0.47 color rgb <0.4,0.7,0.95>]
                               [0.6 color rgb <0.9,0.9,0.9>]
                               [0.87 color White]
			       [1 color rgb <0.4,0.7,0.95>]
  			}}
         finish { ambient 1 diffuse 0 }
         }

// the ground.  More boring than the sky.  I wanted to put a tree from
// ljparser outside the window.  

plane { y,-15 pigment { color ForestGreen } normal { bumps 1.0 octaves 5 scale 20 } 
                                            finish { crand 0.003 ambient 0.6 diffuse 0.4 }} 

difference { // the Room
  box { <-5,-5,-5>,<102,65,65> }
  box { <0,0,0>,<100,60,60>  }
  box { <99.5,5,19>,<102.5,46,41> }
  cylinder { <99.5,46,30>,<102.5,46,30>,11 }
  texture { wall_tex } }

box { <99.5,5,19>,<102.5,46,20> texture { mould_tex } }
box { <99.5,5,40>,<102.5,46,41> texture { mould_tex } } 
box { <99,5,19>,<103,6,41> texture { mould_tex } }

difference { 
   cylinder { <99.5,46,30>,<102.5,46,30>,11 }
   cylinder { <99.4,46,30>,<102.6,46,30>,10 }
   box { <99.4,29,18.5>,<102.6,46,41.5> } 
  texture { mould_tex }
}

plane { // Wood floor
  y,1/4 
  texture { wfloor_tex }
  }

difference {
  box {
    <0,0,0>,<100,3,60> }
  box {
    <1/2,-1/100,1/2>,<99.5,3.01,59.5> }
  texture {  mould_tex } }

cylinder {
  <0,3,0>,<100,3,0>,1/2 texture { mould_tex }}

cylinder {
  <0,3,0>,<0,3,60>,1/2 texture { mould_tex }}

cylinder {
  <0,3,60>,<100,3,60>,1/2 texture { mould_tex }}

cylinder {
  <100,3,0>,<100,3,60>,1/2 texture { mould_tex }}


box { // rug
  <15,1/4,15>,<85,1/2,45>
  pigment { //color red 0.4 }
     image_map { gif "rug.gif" once  interpolate 2
      } 
     scale <70,30,1> translate <15,15,0> rotate x*90  } 
   normal { wrinkles 0.66 scale 2.5 omega 0.4 octaves 5 }
  finish { roughness 0.88 specular 0.05 }
  }



object { column translate <100,0,60> }
object { column translate <0,0,60> } // okay, so you can't directly see it.
object { column translate <50,0,60> }
object { pic2 scale 1/2 translate <25,20,59.5> }
object { pic scale 1/2 translate <75,20,59.5> }
object { small_case scale 0.5 translate <23.5,0.24,22> } // modelled it too big
object { big_case translate <47.5,0.24,20.5> }
object { object_1 scale 10 translate <27.5,15.1,26> }
object { vase scale 0.9 rotate -90*x texture { vasetex } translate <53,8.25,26>  }
object { obj3 rotate 135*y scale <5,6,5> translate <65,9.25,26> }
object { window translate <100,6,30> }
