
// This file is a POV V2.0 document that describes
// the image of an f15_c airplane. This image was
// converted from f15_c.obj found on avalon.chinalake.navy.mil
// by Keith Rule (keithr@lucy1.pen.tek.com).
//
// The original file "f15_c.obj" had no comments or restrictions
// associated with it, and no additional restrictions have been
// added to this version of the file.
//
// This file was automatically generated from f15_c.obj. Occasional
// warnings will be reported by povray about this file. These
// warnings, though annoying, do not affect the resultant raytraced
// image.

#include "colors.inc"
#include "textures.inc"

camera {
   location  <10, 10, 15>
   direction <0, 0,  1>
   up        <0, 1,  0>
   right   <4/3, 0,  0>
   look_at   <0, 0, 0>
}

light_source {<0, 20, 0> color White}
light_source {<0, -20, 0> color White}

/* Sky */
sphere { <0, -39000, 0>, 40000
   inverse

   pigment {
      bozo
      turbulence 0.6
      colour_map {
         [0 0.5 colour red 0.4 green 0.5 blue 1
                colour red 0.4 green 0.5 blue 1.0]
         [0.5 0.7 colour red 0.4 green 0.5 blue 1
                  colour red 1 green 1 blue 1.0]
         [0.7 1 colour red 1 green 1 blue 1
                colour red 0.7 green 0.7 blue 0.7]
      }
      scale 500
      quick_color red 0.4 green 0.5 blue 1
   }
   finish {
      ambient 1
      diffuse 0
   }
}

/* Ground */
plane { y, -5000
   pigment { Green }
   finish {
      crand 0.05
      ambient 0.5
      diffuse 0.5
   }
}

// Definitions of color and textures for components of f15_c object
#declare rudder = texture {pigment {color Silver} finish {Metal}}
#declare stabilizer = texture {pigment {color Silver} finish {Metal}}
#declare canopy = texture {Glass}
#declare canopy_pilot2 = texture {Glass}
#declare ordinance1 = texture {pigment {color White} finish {Metal}}
#declare ordinace2 = texture {pigment {color White} finish {Metal}}
#declare fuselage = texture {pigment {color Silver} finish {Metal}}
#declare exhaust = texture {pigment {color Black} finish {Metal}}
#declare wings = texture {pigment {color Silver} finish {Metal}}
#declare fuselage_lights = texture {pigment {color Silver} finish {Metal}}
#declare pilot2 = texture {pigment {color Blue} finish {Metal}}
#declare pilot1 = texture {pigment {color Blue} finish {Metal}}
#declare int = texture {pigment {color White} finish {Metal}}


// Definition of the f15_c object
union {
  // fuselage
  union {
    triangle {
      < -4.569012, -0.002697, 0.017826>,
      < -4.214911, -0.058514, 0.045229>,
      < -4.214944, -0.002476, 0.036198>
    }
    triangle {
      < -4.214944, -0.002476, 0.036198>,
      < -4.214911, -0.058514, 0.045229>,
      < -3.880778, -0.072304, 0.063608>
    }
    triangle {
      < -4.214944, -0.002476, 0.036198>,
      < -3.880778, -0.072304, 0.063608>,
      < -3.880819, -0.002268, 0.054214>
    }
    triangle {
      < -3.880819, -0.002268, 0.054214>,
      < -3.880778, -0.072304, 0.063608>,
      < -3.343824, -0.085965, 0.081995>
    }
    triangle {
      < -3.880819, -0.002268, 0.054214>,
      < -3.343824, -0.085965, 0.081995>,
      < -3.343874, -0.001939, 0.072599>
    }
    triangle {
      < -3.343874, -0.001939, 0.072599>,
      < -3.343824, -0.085965, 0.081995>,
      < -2.977709, -0.090781, 0.082012>
    }
    triangle {
      < -3.343874, -0.001939, 0.072599>,
      < -2.977709, -0.090781, 0.082012>,
      < -2.977762, -0.001716, 0.081972>
    }
    triangle {
      < -2.977762, -0.001716, 0.081972>,
      < -2.977709, -0.090781, 0.082012>,
      < -2.352058, -0.106986, 0.082040>
    }
    triangle {
      < -2.977762, -0.001716, 0.081972>,
      < -2.352058, -0.106986, 0.082040>,
      < -2.352121, -0.001340, 0.090991>
    }
    triangle {
      < -2.352121, -0.001340, 0.090991>,
      < -2.352058, -0.106986, 0.082040>,
      < -1.874756, -0.120821, 0.109422>
    }
    triangle {
      < -2.352121, -0.001340, 0.090991>,
      < -1.874756, -0.120821, 0.109422>,
      < -1.874827, -0.001046, 0.109365>
    }
    triangle {
      < -1.874827, -0.001046, 0.109365>,
      < -1.874756, -0.120821, 0.109422>,
      < -1.752670, -0.124822, 0.118430>
    }
    triangle {
      < -1.874827, -0.001046, 0.109365>,
      < -1.752670, -0.124822, 0.118430>,
      < -1.752744, -0.000963, 0.127733>
    }
    triangle {
      < -1.752744, -0.000963, 0.127733>,
      < -1.752670, -0.124822, 0.118430>,
      < -1.599591, -0.128497, 0.136797>
    }
    triangle {
      < -1.752744, -0.000963, 0.127733>,
      < -1.599591, -0.128497, 0.136797>,
      < -1.599667, -0.000867, 0.136733>
    }
    triangle {
      < -1.599667, -0.000867, 0.136733>,
      < -1.599591, -0.128497, 0.136797>,
      < -1.296542, -0.134660, 0.173535>
    }
    triangle {
      < -1.599667, -0.000867, 0.136733>,
      < -1.296542, -0.134660, 0.173535>,
      < -1.296622, -0.000671, 0.164105>
    }
    triangle {
      < -1.296622, -0.000671, 0.164105>,
      < -1.296542, -0.134660, 0.173535>,
      < -0.852235, -0.167966, 0.182563>
    }
    triangle {
      < -1.296622, -0.000671, 0.164105>,
      < -0.852235, -0.167966, 0.182563>,
      < -0.852335, -0.000397, 0.182482>
    }
    triangle {
      < -0.852335, -0.000397, 0.182482>,
      < -0.852235, -0.167966, 0.182563>,
      < -0.405758, -0.189408, 0.209946>
    }
    triangle {
      < -0.852335, -0.000397, 0.182482>,
      < -0.405758, -0.189408, 0.209946>,
      < -0.405870, -0.000116, 0.209855>
    }
    triangle {
      < -0.405870, -0.000116, 0.209855>,
      < -0.405758, -0.189408, 0.209946>,
      < 0.030416, -0.226578, 0.228336>
    }
    triangle {
      < -0.405870, -0.000116, 0.209855>,
      < 0.030416, -0.226578, 0.228336>,
      < 0.030282, 0.000159, 0.237232>
    }
    triangle {
      < 0.030282, 0.000159, 0.237232>,
      < 0.030416, -0.226578, 0.228336>,
      < 0.545949, -0.270152, 0.246730>
    }
    triangle {
      < 0.030282, 0.000159, 0.237232>,
      < 0.545949, -0.270152, 0.246730>,
      < 0.545789, 0.000486, 0.273976>
    }
    triangle {
      < 0.545789, 0.000486, 0.273976>,
      < 0.545949, -0.270152, 0.246730>,
      < 1.050279, -0.290372, 0.274115>
    }
    triangle {
      < 0.545789, 0.000486, 0.273976>,
      < 1.050279, -0.290372, 0.274115>,
      < 1.050107, 0.000796, 0.292355>
    }
    triangle {
      < -5.848690, -0.003531, -0.110391>,
      < -5.848592, -0.168353, -0.064606>,
      < -5.607932, -0.141037, -0.073608>
    }
    triangle {
      < -5.848690, -0.003531, -0.110391>,
      < -5.607932, -0.141037, -0.073608>,
      < -5.608013, -0.003367, -0.073669>
    }
    triangle {
      < -5.608013, -0.003367, -0.073669>,
      < -5.607932, -0.141037, -0.073608>,
      < -5.581778, -0.143811, -0.018882>
    }
    triangle {
      < -5.608013, -0.003367, -0.073669>,
      < -5.581778, -0.143811, -0.018882>,
      < -5.581861, -0.003352, -0.073666>
    }
    triangle {
      < -5.581861, -0.003352, -0.073666>,
      < -5.581778, -0.143811, -0.018882>,
      < -5.430512, -0.125454, -0.018882>
    }
    triangle {
      < -5.581861, -0.003352, -0.073666>,
      < -5.430512, -0.125454, -0.018882>,
      < -5.430585, -0.003257, -0.064658>
    }
    triangle {
      < -5.430585, -0.003257, -0.064658>,
      < -5.430512, -0.125454, -0.018882>,
      < -5.301752, -0.114924, -0.018883>
    }
    triangle {
      < -5.430585, -0.003257, -0.064658>,
      < -5.301752, -0.114924, -0.018883>,
      < -5.301818, -0.003169, -0.046298>
    }
    triangle {
      < -5.301818, -0.003169, -0.046298>,
      < -5.301752, -0.114924, -0.018883>,
      < -4.986465, -0.103045, 0.017844>
    }
    triangle {
      < -5.301818, -0.003169, -0.046298>,
      < -4.986465, -0.103045, 0.017844>,
      < -4.986524, -0.002961, -0.009553>
    }
    triangle {
      < -4.986524, -0.002961, -0.009553>,
      < -4.986465, -0.103045, 0.017844>,
      < -4.902920, -0.102985, 0.026852>
    }
    triangle {
      < -4.986524, -0.002961, -0.009553>,
      < -4.902920, -0.102985, 0.026852>,
      < -4.902979, -0.002901, 0.008455>
    }
    triangle {
      < -4.902979, -0.002901, 0.008455>,
      < -4.902920, -0.102985, 0.026852>,
      < -4.568958, -0.093773, 0.045223>
    }
    triangle {
      < -4.902979, -0.002901, 0.008455>,
      < -4.568958, -0.093773, 0.045223>,
      < -4.569012, -0.002697, 0.017826>
    }
    triangle {
      < -4.569012, -0.002697, 0.017826>,
      < -4.568958, -0.093773, 0.045223>,
      < -4.214875, -0.119003, 0.054246>
    }
    triangle {
      < -4.569012, -0.002697, 0.017826>,
      < -4.214875, -0.119003, 0.054246>,
      < -4.214911, -0.058514, 0.045229>
    }
    triangle {
      < -4.214911, -0.058514, 0.045229>,
      < -4.214875, -0.119003, 0.054246>,
      < -3.880742, -0.133152, 0.063625>
    }
    triangle {
      < -4.214911, -0.058514, 0.045229>,
      < -3.880742, -0.133152, 0.063625>,
      < -3.880778, -0.072304, 0.063608>
    }
    triangle {
      < -3.880778, -0.072304, 0.063608>,
      < -3.880742, -0.133152, 0.063625>,
      < -3.343771, -0.175167, 0.091021>
    }
    triangle {
      < -3.880778, -0.072304, 0.063608>,
      < -3.343771, -0.175167, 0.091021>,
      < -3.343824, -0.085965, 0.081995>
    }
    triangle {
      < -3.343824, -0.085965, 0.081995>,
      < -3.343771, -0.175167, 0.091021>,
      < -2.977645, -0.198212, 0.082042>
    }
    triangle {
      < -3.343824, -0.085965, 0.081995>,
      < -2.977645, -0.198212, 0.082042>,
      < -2.977709, -0.090781, 0.082012>
    }
    triangle {
      < -2.977709, -0.090781, 0.082012>,
      < -2.977645, -0.198212, 0.082042>,
      < -2.351977, -0.244097, 0.072721>
    }
    triangle {
      < -2.977709, -0.090781, 0.082012>,
      < -2.351977, -0.244097, 0.072721>,
      < -2.352058, -0.106986, 0.082040>
    }
    triangle {
      < -2.352058, -0.106986, 0.082040>,
      < -2.351977, -0.244097, 0.072721>,
      < -1.874647, -0.304422, 0.072756>
    }
    triangle {
      < -2.352058, -0.106986, 0.082040>,
      < -1.874647, -0.304422, 0.072756>,
      < -1.874756, -0.120821, 0.109422>
    }
    triangle {
      < -1.874756, -0.120821, 0.109422>,
      < -1.874647, -0.304422, 0.072756>,
      < -1.752595, -0.251348, 0.100107>
    }
    triangle {
      < -1.874756, -0.120821, 0.109422>,
      < -1.752595, -0.251348, 0.100107>,
      < -1.752670, -0.124822, 0.118430>
    }
    triangle {
      < -1.752670, -0.124822, 0.118430>,
      < -1.752595, -0.251348, 0.100107>,
      < -1.599563, -0.175085, 0.118451>
    }
    triangle {
      < -1.752670, -0.124822, 0.118430>,
      < -1.599563, -0.175085, 0.118451>,
      < -1.599591, -0.128497, 0.136797>
    }
    triangle {
      < -1.599591, -0.128497, 0.136797>,
      < -1.599563, -0.175085, 0.118451>,
      < -1.296506, -0.195512, 0.155192>
    }
    triangle {
      < -1.599591, -0.128497, 0.136797>,
      < -1.296506, -0.195512, 0.155192>,
      < -1.296542, -0.134660, 0.173535>
    }
    triangle {
      < -1.296542, -0.134660, 0.173535>,
      < -1.296506, -0.195512, 0.155192>,
      < -0.852204, -0.220874, 0.164217>
    }
    triangle {
      < -1.296542, -0.134660, 0.173535>,
      < -0.852204, -0.220874, 0.164217>,
      < -0.852235, -0.167966, 0.182563>
    }
    triangle {
      < -0.852235, -0.167966, 0.182563>,
      < -0.852204, -0.220874, 0.164217>,
      < -0.405729, -0.237275, 0.164241>
    }
    triangle {
      < -0.852235, -0.167966, 0.182563>,
      < -0.405729, -0.237275, 0.164241>,
      < -0.405758, -0.189408, 0.209946>
    }
    triangle {
      < -0.405758, -0.189408, 0.209946>,
      < -0.405729, -0.237275, 0.164241>,
      < 0.030445, -0.274445, 0.182631>
    }
    triangle {
      < -0.405758, -0.189408, 0.209946>,
      < 0.030445, -0.274445, 0.182631>,
      < 0.030416, -0.226578, 0.228336>
    }
    triangle {
      < 0.030416, -0.226578, 0.228336>,
      < 0.030445, -0.274445, 0.182631>,
      < 0.545993, -0.343795, 0.164312>
    }
    triangle {
      < 0.030416, -0.226578, 0.228336>,
      < 0.545993, -0.343795, 0.164312>,
      < 0.545949, -0.270152, 0.246730>
    }
    triangle {
      < 0.545949, -0.270152, 0.246730>,
      < 0.545993, -0.343795, 0.164312>,
      < 1.050345, -0.401349, 0.136989>
    }
    triangle {
      < 0.545949, -0.270152, 0.246730>,
      < 1.050345, -0.401349, 0.136989>,
      < 1.050279, -0.290372, 0.274115>
    }
    triangle {
      < -4.986465, -0.103045, 0.017844>,
      < -5.124905, -0.204144, 0.164034>,
      < -4.902850, -0.220546, 0.191407>
    }
    triangle {
      < -4.986465, -0.103045, 0.017844>,
      < -4.902850, -0.220546, 0.191407>,
      < -4.902920, -0.102985, 0.026852>
    }
    triangle {
      < -4.902920, -0.102985, 0.026852>,
      < -4.902850, -0.220546, 0.191407>,
      < -4.568881, -0.224110, 0.191422>
    }
    triangle {
      < -4.902920, -0.102985, 0.026852>,
      < -4.568881, -0.224110, 0.191422>,
      < -4.568958, -0.093773, 0.045223>
    }
    triangle {
      < -4.568958, -0.093773, 0.045223>,
      < -4.568881, -0.224110, 0.191422>,
      < -4.214805, -0.236927, 0.200800>
    }
    triangle {
      < -4.568958, -0.093773, 0.045223>,
      < -4.214805, -0.236927, 0.200800>,
      < -4.214875, -0.119003, 0.054246>
    }
    triangle {
      < -4.214875, -0.119003, 0.054246>,
      < -4.214805, -0.236927, 0.200800>,
      < -3.880676, -0.244409, 0.182459>
    }
    triangle {
      < -4.214875, -0.119003, 0.054246>,
      < -3.880676, -0.244409, 0.182459>,
      < -3.880742, -0.133152, 0.063625>
    }
    triangle {
      < -3.880742, -0.133152, 0.063625>,
      < -3.880676, -0.244409, 0.182459>,
      < -3.343710, -0.278851, 0.155132>
    }
    triangle {
      < -3.880742, -0.133152, 0.063625>,
      < -3.343710, -0.278851, 0.155132>,
      < -3.343771, -0.175167, 0.091021>
    }
    triangle {
      < -3.343771, -0.175167, 0.091021>,
      < -3.343710, -0.278851, 0.155132>,
      < -2.977594, -0.283668, 0.145789>
    }
    triangle {
      < -3.343771, -0.175167, 0.091021>,
      < -2.977594, -0.283668, 0.145789>,
      < -2.977645, -0.198212, 0.082042>
    }
    triangle {
      < -2.977645, -0.198212, 0.082042>,
      < -2.977594, -0.283668, 0.145789>,
      < -2.351927, -0.328241, 0.109467>
    }
    triangle {
      < -2.977645, -0.198212, 0.082042>,
      < -2.351927, -0.328241, 0.109467>,
      < -2.351977, -0.244097, 0.072721>
    }
    triangle {
      < -2.351977, -0.244097, 0.072721>,
      < -2.351927, -0.328241, 0.109467>,
      < -1.874609, -0.369176, 0.091136>
    }
    triangle {
      < -2.351977, -0.244097, 0.072721>,
      < -1.874609, -0.369176, 0.091136>,
      < -1.874647, -0.304422, 0.072756>
    }
    triangle {
      < -1.874647, -0.304422, 0.072756>,
      < -1.874609, -0.369176, 0.091136>,
      < -1.752557, -0.316108, 0.100126>
    }
    triangle {
      < -1.874647, -0.304422, 0.072756>,
      < -1.752557, -0.316108, 0.100126>,
      < -1.752595, -0.251348, 0.100107>
    }
    triangle {
      < -1.752595, -0.251348, 0.100107>,
      < -1.752557, -0.316108, 0.100126>,
      < -1.599494, -0.292696, 0.118485>
    }
    triangle {
      < -1.752595, -0.251348, 0.100107>,
      < -1.599494, -0.292696, 0.118485>,
      < -1.599563, -0.175085, 0.118451>
    }
    triangle {
      < -1.599563, -0.175085, 0.118451>,
      < -1.599494, -0.292696, 0.118485>,
      < -1.296440, -0.307772, 0.145865>
    }
    triangle {
      < -1.599563, -0.175085, 0.118451>,
      < -1.296440, -0.307772, 0.145865>,
      < -1.296506, -0.195512, 0.155192>
    }
    triangle {
      < -1.296506, -0.195512, 0.155192>,
      < -1.296440, -0.307772, 0.145865>,
      < -0.852137, -0.333438, 0.155252>
    }
    triangle {
      < -1.296506, -0.195512, 0.155192>,
      < -0.852137, -0.333438, 0.155252>,
      < -0.852204, -0.220874, 0.164217>
    }
    triangle {
      < -0.852204, -0.220874, 0.164217>,
      < -0.852137, -0.333438, 0.155252>,
      < -0.405658, -0.357480, 0.155277>
    }
    triangle {
      < -0.852204, -0.220874, 0.164217>,
      < -0.405658, -0.357480, 0.155277>,
      < -0.405729, -0.237275, 0.164241>
    }
    triangle {
      < -0.405729, -0.237275, 0.164241>,
      < -0.405658, -0.357480, 0.155277>,
      < 0.030462, -0.304127, 0.164280>
    }
    triangle {
      < -0.405729, -0.237275, 0.164241>,
      < 0.030462, -0.304127, 0.164280>,
      < 0.030445, -0.274445, 0.182631>
    }
    triangle {
      < 0.030445, -0.274445, 0.182631>,
      < 0.030462, -0.304127, 0.164280>,
      < 0.546038, -0.420081, 0.082255>
    }
    triangle {
      < 0.030445, -0.274445, 0.182631>,
      < 0.546038, -0.420081, 0.082255>,
      < 0.545993, -0.343795, 0.164312>
    }
    triangle {
      < 0.545993, -0.343795, 0.164312>,
      < 0.546038, -0.420081, 0.082255>,
      < 1.050385, -0.468684, 0.018210>
    }
    triangle {
      < 0.545993, -0.343795, 0.164312>,
      < 1.050385, -0.468684, 0.018210>,
      < 1.050345, -0.401349, 0.136989>
    }
    triangle {
      < -5.124905, -0.204144, 0.164034>,
      < -5.124798, -0.383617, 0.273889>,
      < -4.902761, -0.370755, 0.282892>
    }
    triangle {
      < -5.124905, -0.204144, 0.164034>,
      < -4.902761, -0.370755, 0.282892>,
      < -4.902850, -0.220546, 0.191407>
    }
    triangle {
      < -4.902850, -0.220546, 0.191407>,
      < -4.902761, -0.370755, 0.282892>,
      < -4.568793, -0.371728, 0.282906>
    }
    triangle {
      < -4.902850, -0.220546, 0.191407>,
      < -4.568793, -0.371728, 0.282906>,
      < -4.568881, -0.224110, 0.191422>
    }
    triangle {
      < -4.568881, -0.224110, 0.191422>,
      < -4.568793, -0.371728, 0.282906>,
      < -4.214707, -0.402366, 0.282929>
    }
    triangle {
      < -4.568881, -0.224110, 0.191422>,
      < -4.214707, -0.402366, 0.282929>,
      < -4.214805, -0.236927, 0.200800>
    }
    triangle {
      < -4.214805, -0.236927, 0.200800>,
      < -4.214707, -0.402366, 0.282929>,
      < -3.880578, -0.409848, 0.264948>
    }
    triangle {
      < -4.214805, -0.236927, 0.200800>,
      < -3.880578, -0.409848, 0.264948>,
      < -3.880676, -0.244409, 0.182459>
    }
    triangle {
      < -3.880676, -0.244409, 0.182459>,
      < -3.880578, -0.409848, 0.264948>,
      < -3.343607, -0.451879, 0.237264>
    }
    triangle {
      < -3.880676, -0.244409, 0.182459>,
      < -3.343607, -0.451879, 0.237264>,
      < -3.343710, -0.278851, 0.155132>
    }
    triangle {
      < -3.343710, -0.278851, 0.155132>,
      < -3.343607, -0.451879, 0.237264>,
      < -2.977486, -0.466023, 0.200923>
    }
    triangle {
      < -3.343710, -0.278851, 0.155132>,
      < -2.977486, -0.466023, 0.200923>,
      < -2.977594, -0.283668, 0.145789>
    }
    triangle {
      < -2.977594, -0.283668, 0.145789>,
      < -2.977486, -0.466023, 0.200923>,
      < -2.351830, -0.492424, 0.145875>
    }
    triangle {
      < -2.977594, -0.283668, 0.145789>,
      < -2.351830, -0.492424, 0.145875>,
      < -2.351927, -0.328241, 0.109467>
    }
    triangle {
      < -2.351927, -0.328241, 0.109467>,
      < -2.351830, -0.492424, 0.145875>,
      < -1.874532, -0.498642, 0.100175>
    }
    triangle {
      < -2.351927, -0.328241, 0.109467>,
      < -1.874532, -0.498642, 0.100175>,
      < -1.874609, -0.369176, 0.091136>
    }
    triangle {
      < -1.874609, -0.369176, 0.091136>,
      < -1.874532, -0.498642, 0.100175>,
      < -1.752512, -0.392323, 0.082150>
    }
    triangle {
      < -1.874609, -0.369176, 0.091136>,
      < -1.752512, -0.392323, 0.082150>,
      < -1.752557, -0.316108, 0.100126>
    }
    triangle {
      < -1.752557, -0.316108, 0.100126>,
      < -1.752512, -0.392323, 0.082150>,
      < -1.599450, -0.366318, 0.109508>
    }
    triangle {
      < -1.752557, -0.316108, 0.100126>,
      < -1.599450, -0.366318, 0.109508>,
      < -1.599494, -0.292696, 0.118485>
    }
    triangle {
      < -1.599494, -0.292696, 0.118485>,
      < -1.599450, -0.366318, 0.109508>,
      < -1.296380, -0.408833, 0.145895>
    }
    triangle {
      < -1.599494, -0.292696, 0.118485>,
      < -1.296380, -0.408833, 0.145895>,
      < -1.296440, -0.307772, 0.145865>
    }
    triangle {
      < -1.296440, -0.307772, 0.145865>,
      < -1.296380, -0.408833, 0.145895>,
      < -0.852062, -0.461229, 0.155289>
    }
    triangle {
      < -1.296440, -0.307772, 0.145865>,
      < -0.852062, -0.461229, 0.155289>,
      < -0.852137, -0.333438, 0.155252>
    }
    triangle {
      < -0.852137, -0.333438, 0.155252>,
      < -0.852062, -0.461229, 0.155289>,
      < -0.405588, -0.475094, 0.145952>
    }
    triangle {
      < -0.852137, -0.333438, 0.155252>,
      < -0.405588, -0.475094, 0.145952>,
      < -0.405658, -0.357480, 0.155277>
    }
    triangle {
      < -0.405658, -0.357480, 0.155277>,
      < -0.405588, -0.475094, 0.145952>,
      < 0.030567, -0.481276, 0.127971>
    }
    triangle {
      < -0.405658, -0.357480, 0.155277>,
      < 0.030567, -0.481276, 0.127971>,
      < 0.030462, -0.304127, 0.164280>
    }
    triangle {
      < 0.030462, -0.304127, 0.164280>,
      < 0.030567, -0.481276, 0.127971>,
      < 0.546141, -0.593496, 0.063947>
    }
    triangle {
      < 0.030462, -0.304127, 0.164280>,
      < 0.546141, -0.593496, 0.063947>,
      < 0.546038, -0.420081, 0.082255>
    }
    triangle {
      < 0.546038, -0.420081, 0.082255>,
      < 0.546141, -0.593496, 0.063947>,
      < 1.050475, -0.621380, 0.008894>
    }
    triangle {
      < 0.546038, -0.420081, 0.082255>,
      < 1.050475, -0.621380, 0.008894>,
      < 1.050385, -0.468684, 0.018210>
    }
    triangle {
      < -5.124798, -0.383617, 0.273889>,
      < -5.124701, -0.546488, 0.282937>,
      < -4.902653, -0.553074, 0.282946>
    }
    triangle {
      < -5.124798, -0.383617, 0.273889>,
      < -4.902653, -0.553074, 0.282946>,
      < -4.902761, -0.370755, 0.282892>
    }
    triangle {
      < -4.902761, -0.370755, 0.282892>,
      < -4.902653, -0.553074, 0.282946>,
      < -4.568676, -0.569322, 0.301323>
    }
    triangle {
      < -4.902761, -0.370755, 0.282892>,
      < -4.568676, -0.569322, 0.301323>,
      < -4.568793, -0.371728, 0.282906>
    }
    triangle {
      < -4.568793, -0.371728, 0.282906>,
      < -4.568676, -0.569322, 0.301323>,
      < -4.214603, -0.576739, 0.292342>
    }
    triangle {
      < -4.568793, -0.371728, 0.282906>,
      < -4.214603, -0.576739, 0.292342>,
      < -4.214707, -0.402366, 0.282929>
    }
    triangle {
      < -4.214707, -0.402366, 0.282929>,
      < -4.214603, -0.576739, 0.292342>,
      < -3.880475, -0.582899, 0.273998>
    }
    triangle {
      < -4.214707, -0.402366, 0.282929>,
      < -3.880475, -0.582899, 0.273998>,
      < -3.880578, -0.409848, 0.264948>
    }
    triangle {
      < -3.880578, -0.409848, 0.264948>,
      < -3.880475, -0.582899, 0.273998>,
      < -3.343511, -0.614755, 0.228311>
    }
    triangle {
      < -3.880578, -0.409848, 0.264948>,
      < -3.343511, -0.614755, 0.228311>,
      < -3.343607, -0.451879, 0.237264>
    }
    triangle {
      < -3.343607, -0.451879, 0.237264>,
      < -3.343511, -0.614755, 0.228311>,
      < -2.977402, -0.608130, 0.200963>
    }
    triangle {
      < -3.343607, -0.451879, 0.237264>,
      < -2.977402, -0.608130, 0.200963>,
      < -2.977486, -0.466023, 0.200923>
    }
    triangle {
      < -2.977486, -0.466023, 0.200923>,
      < -2.977402, -0.608130, 0.200963>,
      < -2.351744, -0.636160, 0.136916>
    }
    triangle {
      < -2.977486, -0.466023, 0.200923>,
      < -2.351744, -0.636160, 0.136916>,
      < -2.351830, -0.492424, 0.145875>
    }
    triangle {
      < -2.351830, -0.492424, 0.145875>,
      < -2.351744, -0.636160, 0.136916>,
      < -1.874448, -0.640748, 0.100216>
    }
    triangle {
      < -2.351830, -0.492424, 0.145875>,
      < -1.874448, -0.640748, 0.100216>,
      < -1.874532, -0.498642, 0.100175>
    }
    triangle {
      < -1.874532, -0.498642, 0.100175>,
      < -1.874448, -0.640748, 0.100216>,
      < -1.752384, -0.608459, 0.072853>
    }
    triangle {
      < -1.874532, -0.498642, 0.100175>,
      < -1.752384, -0.608459, 0.072853>,
      < -1.752512, -0.392323, 0.082150>
    }
    triangle {
      < -1.752512, -0.392323, 0.082150>,
      < -1.752384, -0.608459, 0.072853>,
      < -1.599354, -0.527932, 0.072835>
    }
    triangle {
      < -1.752512, -0.392323, 0.082150>,
      < -1.599354, -0.527932, 0.072835>,
      < -1.599450, -0.366318, 0.109508>
    }
    triangle {
      < -1.599450, -0.366318, 0.109508>,
      < -1.599354, -0.527932, 0.072835>,
      < -1.296359, -0.444845, 0.091187>
    }
    triangle {
      < -1.599450, -0.366318, 0.109508>,
      < -1.296359, -0.444845, 0.091187>,
      < -1.296380, -0.408833, 0.145895>
    }
    triangle {
      < -1.296380, -0.408833, 0.145895>,
      < -1.296359, -0.444845, 0.091187>,
      < -0.852046, -0.487419, 0.100217>
    }
    triangle {
      < -1.296380, -0.408833, 0.145895>,
      < -0.852046, -0.487419, 0.100217>,
      < -0.852062, -0.461229, 0.155289>
    }
    triangle {
      < -0.852062, -0.461229, 0.155289>,
      < -0.852046, -0.487419, 0.100217>,
      < -0.405583, -0.484368, 0.118594>
    }
    triangle {
      < -0.852062, -0.461229, 0.155289>,
      < -0.405583, -0.484368, 0.118594>,
      < -0.405588, -0.475094, 0.145952>
    }
    triangle {
      < -0.405588, -0.475094, 0.145952>,
      < -0.405583, -0.484368, 0.118594>,
      < 0.030633, -0.592579, 0.091284>
    }
    triangle {
      < -0.405588, -0.475094, 0.145952>,
      < 0.030633, -0.592579, 0.091284>,
      < 0.030567, -0.481276, 0.127971>
    }
    triangle {
      < 0.030567, -0.481276, 0.127971>,
      < 0.030633, -0.592579, 0.091284>,
      < 0.546168, -0.640025, 0.072960>
    }
    triangle {
      < 0.030567, -0.481276, 0.127971>,
      < 0.546168, -0.640025, 0.072960>,
      < 0.546141, -0.593496, 0.063947>
    }
    triangle {
      < 0.546141, -0.593496, 0.063947>,
      < 0.546168, -0.640025, 0.072960>,
      < 1.050481, -0.631552, 0.036617>
    }
    triangle {
      < 0.546141, -0.593496, 0.063947>,
      < 1.050481, -0.631552, 0.036617>,
      < 1.050475, -0.621380, 0.008894>
    }
    triangle {
      < -5.124701, -0.546488, 0.282937>,
      < -5.124588, -0.739412, 0.228274>,
      < -4.902544, -0.736726, 0.246641>
    }
    triangle {
      < -5.124701, -0.546488, 0.282937>,
      < -4.902544, -0.736726, 0.246641>,
      < -4.902653, -0.553074, 0.282946>
    }
    triangle {
      < -4.902653, -0.553074, 0.282946>,
      < -4.902544, -0.736726, 0.246641>,
      < -4.568567, -0.754244, 0.265019>
    }
    triangle {
      < -4.902653, -0.553074, 0.282946>,
      < -4.568567, -0.754244, 0.265019>,
      < -4.568676, -0.569322, 0.301323>
    }
    triangle {
      < -4.568676, -0.569322, 0.301323>,
      < -4.568567, -0.754244, 0.265019>,
      < -4.214484, -0.778569, 0.246681>
    }
    triangle {
      < -4.568676, -0.569322, 0.301323>,
      < -4.214484, -0.778569, 0.246681>,
      < -4.214603, -0.576739, 0.292342>
    }
    triangle {
      < -4.214603, -0.576739, 0.292342>,
      < -4.214484, -0.778569, 0.246681>,
      < -3.880356, -0.783406, 0.237338>
    }
    triangle {
      < -4.214603, -0.576739, 0.292342>,
      < -3.880356, -0.783406, 0.237338>,
      < -3.880475, -0.582899, 0.273998>
    }
    triangle {
      < -3.880475, -0.582899, 0.273998>,
      < -3.880356, -0.783406, 0.237338>,
      < -3.343435, -0.742906, 0.219349>
    }
    triangle {
      < -3.880475, -0.582899, 0.273998>,
      < -3.343435, -0.742906, 0.219349>,
      < -3.343511, -0.614755, 0.228311>
    }
    triangle {
      < -3.343511, -0.614755, 0.228311>,
      < -3.343435, -0.742906, 0.219349>,
      < -2.977325, -0.737600, 0.191642>
    }
    triangle {
      < -3.343511, -0.614755, 0.228311>,
      < -2.977325, -0.737600, 0.191642>,
      < -2.977402, -0.608130, 0.200963>
    }
    triangle {
      < -2.977402, -0.608130, 0.200963>,
      < -2.977325, -0.737600, 0.191642>,
      < -2.351690, -0.728008, 0.127943>
    }
    triangle {
      < -2.977402, -0.608130, 0.200963>,
      < -2.351690, -0.728008, 0.127943>,
      < -2.351744, -0.636160, 0.136916>
    }
    triangle {
      < -2.351744, -0.636160, 0.136916>,
      < -2.351690, -0.728008, 0.127943>,
      < -1.874402, -0.718232, 0.082240>
    }
    triangle {
      < -2.351744, -0.636160, 0.136916>,
      < -1.874402, -0.718232, 0.082240>,
      < -1.874448, -0.640748, 0.100216>
    }
    triangle {
      < -1.874448, -0.640748, 0.100216>,
      < -1.874402, -0.718232, 0.082240>,
      < -1.752334, -0.692258, 0.072878>
    }
    triangle {
      < -1.874448, -0.640748, 0.100216>,
      < -1.752334, -0.692258, 0.072878>,
      < -1.752384, -0.608459, 0.072853>
    }
    triangle {
      < -1.752384, -0.608459, 0.072853>,
      < -1.752334, -0.692258, 0.072878>,
      < -1.599287, -0.641767, 0.063869>
    }
    triangle {
      < -1.752384, -0.608459, 0.072853>,
      < -1.599287, -0.641767, 0.063869>,
      < -1.599354, -0.527932, 0.072835>
    }
    triangle {
      < -1.599354, -0.527932, 0.072835>,
      < -1.599287, -0.641767, 0.063869>,
      < -1.296130, -0.830308, 0.072941>
    }
    triangle {
      < -1.599354, -0.527932, 0.072835>,
      < -1.296130, -0.830308, 0.072941>,
      < -1.296359, -0.444845, 0.091187>
    }
    triangle {
      < -1.296359, -0.444845, 0.091187>,
      < -1.296130, -0.830308, 0.072941>,
      < -0.851745, -0.995621, 0.091369>
    }
    triangle {
      < -1.296359, -0.444845, 0.091187>,
      < -0.851745, -0.995621, 0.091369>,
      < -0.852046, -0.487419, 0.100217>
    }
    triangle {
      < -0.852046, -0.487419, 0.100217>,
      < -0.851745, -0.995621, 0.091369>,
      < -0.405206, -1.120367, 0.091424>
    }
    triangle {
      < -0.852046, -0.487419, 0.100217>,
      < -0.405206, -1.120367, 0.091424>,
      < -0.405583, -0.484368, 0.118594>
    }
    triangle {
      < -0.405583, -0.484368, 0.118594>,
      < -0.405206, -1.120367, 0.091424>,
      < 0.030963, -1.148635, 0.082452>
    }
    triangle {
      < -0.405583, -0.484368, 0.118594>,
      < 0.030963, -1.148635, 0.082452>,
      < 0.030633, -0.592579, 0.091284>
    }
    triangle {
      < 0.030633, -0.592579, 0.091284>,
      < 0.030963, -1.148635, 0.082452>,
      < 0.546480, -1.166101, 0.054758>
    }
    triangle {
      < 0.030633, -0.592579, 0.091284>,
      < 0.546480, -1.166101, 0.054758>,
      < 0.546168, -0.640025, 0.072960>
    }
    triangle {
      < 0.546168, -0.640025, 0.072960>,
      < 0.546480, -1.166101, 0.054758>,
      < 1.050815, -1.194332, 0.036786>
    }
    triangle {
      < 0.546168, -0.640025, 0.072960>,
      < 1.050815, -1.194332, 0.036786>,
      < 1.050481, -0.631552, 0.036617>
    }
    triangle {
      < 1.050481, -0.631552, 0.036617>,
      < 1.050815, -1.194332, 0.036786>,
      < 1.478536, -1.209429, 0.018448>
    }
    triangle {
      < 1.050481, -0.631552, 0.036617>,
      < 1.478536, -1.209429, 0.018448>,
      < 1.478197, -0.636520, 0.018276>
    }
    triangle {
      < 1.478197, -0.636520, 0.018276>,
      < 1.478536, -1.209429, 0.018448>,
      < 1.591870, -1.223363, 0.018459>
    }
    triangle {
      < 1.478197, -0.636520, 0.018276>,
      < 1.591870, -1.223363, 0.018459>,
      < 1.591525, -0.640227, 0.008924>
    }
    triangle {
      < 1.591525, -0.640227, 0.008924>,
      < 1.591870, -1.223363, 0.018459>,
      < 1.958563, -1.211553, 0.000108>
    }
    triangle {
      < 1.591525, -0.640227, 0.008924>,
      < 1.958563, -1.211553, 0.000108>,
      < 1.958218, -0.629685, -0.009066>
    }
    triangle {
      < 1.958218, -0.629685, -0.009066>,
      < 1.958563, -1.211553, 0.000108>,
      < 2.331037, -1.217693, -0.027234>
    }
    triangle {
      < 1.958218, -0.629685, -0.009066>,
      < 2.331037, -1.217693, -0.027234>,
      < 2.349856, -0.629139, -0.036770>
    }
    triangle {
      < 2.349856, -0.629139, -0.036770>,
      < 2.331037, -1.217693, -0.027234>,
      < 3.117260, -1.209305, -0.045564>
    }
    triangle {
      < 2.349856, -0.629139, -0.036770>,
      < 3.117260, -1.209305, -0.045564>,
      < 3.122007, -0.655839, -0.045729>
    }
    triangle {
      < 3.122007, -0.655839, -0.045729>,
      < 3.117260, -1.209305, -0.045564>,
      < 3.382267, -1.163659, -0.063926>
    }
    triangle {
      < 3.122007, -0.655839, -0.045729>,
      < 3.382267, -1.163659, -0.063926>,
      < 3.375427, -0.691812, -0.054708>
    }
    triangle {
      < -5.124588, -0.739412, 0.228274>,
      < -5.124506, -0.876558, 0.100154>,
      < -4.902451, -0.894230, 0.127888>
    }
    triangle {
      < -5.124588, -0.739412, 0.228274>,
      < -4.902451, -0.894230, 0.127888>,
      < -4.902544, -0.736726, 0.246641>
    }
    triangle {
      < -4.902544, -0.736726, 0.246641>,
      < -4.902451, -0.894230, 0.127888>,
      < -4.568478, -0.904461, 0.155265>
    }
    triangle {
      < -4.902544, -0.736726, 0.246641>,
      < -4.568478, -0.904461, 0.155265>,
      < -4.568567, -0.754244, 0.265019>
    }
    triangle {
      < -4.568567, -0.754244, 0.265019>,
      < -4.568478, -0.904461, 0.155265>,
      < -4.214412, -0.900068, 0.155278>
    }
    triangle {
      < -4.568567, -0.754244, 0.265019>,
      < -4.214412, -0.900068, 0.155278>,
      < -4.214484, -0.778569, 0.246681>
    }
    triangle {
      < -4.214484, -0.778569, 0.246681>,
      < -4.214412, -0.900068, 0.155278>,
      < -3.880296, -0.885810, 0.164289>
    }
    triangle {
      < -4.214484, -0.778569, 0.246681>,
      < -3.880296, -0.885810, 0.164289>,
      < -3.880356, -0.783406, 0.237338>
    }
    triangle {
      < -3.880356, -0.783406, 0.237338>,
      < -3.880296, -0.885810, 0.164289>,
      < -3.343353, -0.881306, 0.145950>
    }
    triangle {
      < -3.880356, -0.783406, 0.237338>,
      < -3.343353, -0.881306, 0.145950>,
      < -3.343435, -0.742906, 0.219349>
    }
    triangle {
      < -3.343435, -0.742906, 0.219349>,
      < -3.343353, -0.881306, 0.145950>,
      < -2.977247, -0.869272, 0.127962>
    }
    triangle {
      < -3.343435, -0.742906, 0.219349>,
      < -2.977247, -0.869272, 0.127962>,
      < -2.977325, -0.737600, 0.191642>
    }
    triangle {
      < -2.977325, -0.737600, 0.191642>,
      < -2.977247, -0.869272, 0.127962>,
      < -2.351631, -0.827452, 0.100253>
    }
    triangle {
      < -2.977325, -0.737600, 0.191642>,
      < -2.351631, -0.827452, 0.100253>,
      < -2.351690, -0.728008, 0.127943>
    }
    triangle {
      < -2.351690, -0.728008, 0.127943>,
      < -2.351631, -0.827452, 0.100253>,
      < -1.874346, -0.811354, 0.063908>
    }
    triangle {
      < -2.351690, -0.728008, 0.127943>,
      < -1.874346, -0.811354, 0.063908>,
      < -1.874402, -0.718232, 0.082240>
    }
    triangle {
      < -1.874402, -0.718232, 0.082240>,
      < -1.874346, -0.811354, 0.063908>,
      < -1.752273, -0.794642, 0.063909>
    }
    triangle {
      < -1.874402, -0.718232, 0.082240>,
      < -1.752273, -0.794642, 0.063909>,
      < -1.752334, -0.692258, 0.072878>
    }
    triangle {
      < -1.752334, -0.692258, 0.072878>,
      < -1.752273, -0.794642, 0.063909>,
      < -1.599227, -0.742882, 0.054539>
    }
    triangle {
      < -1.752334, -0.692258, 0.072878>,
      < -1.599227, -0.742882, 0.054539>,
      < -1.599287, -0.641767, 0.063869>
    }
    triangle {
      < -1.599287, -0.641767, 0.063869>,
      < -1.599227, -0.742882, 0.054539>,
      < -1.296054, -0.959726, 0.072980>
    }
    triangle {
      < -1.599287, -0.641767, 0.063869>,
      < -1.296054, -0.959726, 0.072980>,
      < -1.296130, -0.830308, 0.072941>
    }
    triangle {
      < -1.296130, -0.830308, 0.072941>,
      < -1.296054, -0.959726, 0.072980>,
      < -0.851675, -1.114502, 0.091404>
    }
    triangle {
      < -1.296130, -0.830308, 0.072941>,
      < -0.851675, -1.114502, 0.091404>,
      < -0.851745, -0.995621, 0.091369>
    }
    triangle {
      < -0.851745, -0.995621, 0.091369>,
      < -0.851675, -1.114502, 0.091404>,
      < -0.405167, -1.186402, 0.073084>
    }
    triangle {
      < -0.851745, -0.995621, 0.091369>,
      < -0.405167, -1.186402, 0.073084>,
      < -0.405206, -1.120367, 0.091424>
    }
    triangle {
      < -0.405206, -1.120367, 0.091424>,
      < -0.405167, -1.186402, 0.073084>,
      < 0.030980, -1.177048, 0.064101>
    }
    triangle {
      < -0.405206, -1.120367, 0.091424>,
      < 0.030980, -1.177048, 0.064101>,
      < 0.030963, -1.148635, 0.082452>
    }
    triangle {
      < 0.030963, -1.148635, 0.082452>,
      < 0.030980, -1.177048, 0.064101>,
      < 0.546492, -1.185554, 0.036765>
    }
    triangle {
      < 0.030963, -1.148635, 0.082452>,
      < 0.546492, -1.185554, 0.036765>,
      < 0.546480, -1.166101, 0.054758>
    }
    triangle {
      < 0.546480, -1.166101, 0.054758>,
      < 0.546492, -1.185554, 0.036765>,
      < 1.050831, -1.221426, 0.009074>
    }
    triangle {
      < 0.546480, -1.166101, 0.054758>,
      < 1.050831, -1.221426, 0.009074>,
      < 1.050815, -1.194332, 0.036786>
    }
    triangle {
      < 1.050815, -1.194332, 0.036786>,
      < 1.050831, -1.221426, 0.009074>,
      < 1.478562, -1.253438, -0.036619>
    }
    triangle {
      < 1.050815, -1.194332, 0.036786>,
      < 1.478562, -1.253438, -0.036619>,
      < 1.478536, -1.209429, 0.018448>
    }
    triangle {
      < 1.478536, -1.209429, 0.018448>,
      < 1.478562, -1.253438, -0.036619>,
      < 1.591886, -1.249506, -0.054614>
    }
    triangle {
      < 1.478536, -1.209429, 0.018448>,
      < 1.591886, -1.249506, -0.054614>,
      < 1.591870, -1.223363, 0.018459>
    }
    triangle {
      < 1.591870, -1.223363, 0.018459>,
      < 1.591886, -1.249506, -0.054614>,
      < 1.958579, -1.238662, -0.082324>
    }
    triangle {
      < 1.591870, -1.223363, 0.018459>,
      < 1.958579, -1.238662, -0.082324>,
      < 1.958563, -1.211553, 0.000108>
    }
    triangle {
      < 1.958563, -1.211553, 0.000108>,
      < 1.958579, -1.238662, -0.082324>,
      < 2.318302, -1.175243, -0.207707>
    }
    triangle {
      < 1.958563, -1.211553, 0.000108>,
      < 2.318302, -1.175243, -0.207707>,
      < 2.331037, -1.217693, -0.027234>
    }
    triangle {
      < -5.124506, -0.876558, 0.100154>,
      < -5.124446, -0.977320, -0.091695>,
      < -4.902389, -0.997937, -0.054961>
    }
    triangle {
      < -5.124506, -0.876558, 0.100154>,
      < -4.902389, -0.997937, -0.054961>,
      < -4.902451, -0.894230, 0.127888>
    }
    triangle {
      < -4.902451, -0.894230, 0.127888>,
      < -4.902389, -0.997937, -0.054961>,
      < -4.568412, -1.014536, -0.018583>
    }
    triangle {
      < -4.902451, -0.894230, 0.127888>,
      < -4.568412, -1.014536, -0.018583>,
      < -4.568478, -0.904461, 0.155265>
    }
    triangle {
      < -4.568478, -0.904461, 0.155265>,
      < -4.568412, -1.014536, -0.018583>,
      < -4.214334, -1.030853, -0.000202>
    }
    triangle {
      < -4.568478, -0.904461, 0.155265>,
      < -4.214334, -1.030853, -0.000202>,
      < -4.214412, -0.900068, 0.155278>
    }
    triangle {
      < -4.214412, -0.900068, 0.155278>,
      < -4.214334, -1.030853, -0.000202>,
      < -3.880213, -1.025500, 0.027171>
    }
    triangle {
      < -4.214412, -0.900068, 0.155278>,
      < -3.880213, -1.025500, 0.027171>,
      < -3.880296, -0.885810, 0.164289>
    }
    triangle {
      < -3.880296, -0.885810, 0.164289>,
      < -3.880213, -1.025500, 0.027171>,
      < -3.343281, -1.002809, 0.045547>
    }
    triangle {
      < -3.880296, -0.885810, 0.164289>,
      < -3.343281, -1.002809, 0.045547>,
      < -3.343353, -0.881306, 0.145950>
    }
    triangle {
      < -3.343353, -0.881306, 0.145950>,
      < -3.343281, -1.002809, 0.045547>,
      < -2.977171, -0.998765, 0.045561>
    }
    triangle {
      < -3.343353, -0.881306, 0.145950>,
      < -2.977171, -0.998765, 0.045561>,
      < -2.977247, -0.869272, 0.127962>
    }
    triangle {
      < -2.977247, -0.869272, 0.127962>,
      < -2.977171, -0.998765, 0.045561>,
      < -2.351565, -0.938760, 0.045566>
    }
    triangle {
      < -2.977247, -0.869272, 0.127962>,
      < -2.351565, -0.938760, 0.045566>,
      < -2.351631, -0.827452, 0.100253>
    }
    triangle {
      < -2.351631, -0.827452, 0.100253>,
      < -2.351565, -0.938760, 0.045566>,
      < -1.874313, -0.867210, 0.045565>
    }
    triangle {
      < -2.351631, -0.827452, 0.100253>,
      < -1.874313, -0.867210, 0.045565>,
      < -1.874346, -0.811354, 0.063908>
    }
    triangle {
      < -1.874346, -0.811354, 0.063908>,
      < -1.874313, -0.867210, 0.045565>,
      < -1.752234, -0.860677, 0.045569>
    }
    triangle {
      < -1.874346, -0.811354, 0.063908>,
      < -1.752234, -0.860677, 0.045569>,
      < -1.752273, -0.794642, 0.063909>
    }
    triangle {
      < -1.752273, -0.794642, 0.063909>,
      < -1.752234, -0.860677, 0.045569>,
      < -1.599108, -0.944292, 0.054600>
    }
    triangle {
      < -1.752273, -0.794642, 0.063909>,
      < -1.599108, -0.944292, 0.054600>,
      < -1.599227, -0.742882, 0.054539>
    }
    triangle {
      < -1.599227, -0.742882, 0.054539>,
      < -1.599108, -0.944292, 0.054600>,
      < -1.295918, -1.188632, 0.064047>
    }
    triangle {
      < -1.599227, -0.742882, 0.054539>,
      < -1.295918, -1.188632, 0.064047>,
      < -1.296054, -0.959726, 0.072980>
    }
    triangle {
      < -1.296054, -0.959726, 0.072980>,
      < -1.295918, -1.188632, 0.064047>,
      < -0.851566, -1.296875, 0.082458>
    }
    triangle {
      < -1.296054, -0.959726, 0.072980>,
      < -0.851566, -1.296875, 0.082458>,
      < -0.851675, -1.114502, 0.091404>
    }
    triangle {
      < -0.851675, -1.114502, 0.091404>,
      < -0.851566, -1.296875, 0.082458>,
      < -0.405058, -1.370041, 0.082499>
    }
    triangle {
      < -0.851675, -1.114502, 0.091404>,
      < -0.405058, -1.370041, 0.082499>,
      < -0.405167, -1.186402, 0.073084>
    }
    triangle {
      < -0.405167, -1.186402, 0.073084>,
      < -0.405058, -1.370041, 0.082499>,
      < 0.031114, -1.404633, 0.054807>
    }
    triangle {
      < -0.405167, -1.186402, 0.073084>,
      < 0.031114, -1.404633, 0.054807>,
      < 0.030980, -1.177048, 0.064101>
    }
    triangle {
      < 0.030980, -1.177048, 0.064101>,
      < 0.031114, -1.404633, 0.054807>,
      < 0.546627, -1.414470, -0.008888>
    }
    triangle {
      < 0.030980, -1.177048, 0.064101>,
      < 0.546627, -1.414470, -0.008888>,
      < 0.546492, -1.185554, 0.036765>
    }
    triangle {
      < 0.546492, -1.185554, 0.036765>,
      < 0.546627, -1.414470, -0.008888>,
      < 1.050928, -1.385583, -0.036598>
    }
    triangle {
      < 0.546492, -1.185554, 0.036765>,
      < 1.050928, -1.385583, -0.036598>,
      < 1.050831, -1.221426, 0.009074>
    }
    triangle {
      < 1.050831, -1.221426, 0.009074>,
      < 1.050928, -1.385583, -0.036598>,
      < 1.478628, -1.364741, -0.072946>
    }
    triangle {
      < 1.050831, -1.221426, 0.009074>,
      < 1.478628, -1.364741, -0.072946>,
      < 1.478562, -1.253438, -0.036619>
    }
    triangle {
      < 1.478562, -1.253438, -0.036619>,
      < 1.478628, -1.364741, -0.072946>,
      < 1.591952, -1.360457, -0.100300>
    }
    triangle {
      < 1.478562, -1.253438, -0.036619>,
      < 1.591952, -1.360457, -0.100300>,
      < 1.591886, -1.249506, -0.054614>
    }
    triangle {
      < 1.591886, -1.249506, -0.054614>,
      < 1.591952, -1.360457, -0.100300>,
      < 1.958612, -1.294473, -0.118667>
    }
    triangle {
      < 1.591886, -1.249506, -0.054614>,
      < 1.958612, -1.294473, -0.118667>,
      < 1.958579, -1.238662, -0.082324>
    }
    triangle {
      < 1.958579, -1.238662, -0.082324>,
      < 1.958612, -1.294473, -0.118667>,
      < 2.318302, -1.175243, -0.207707>
    }
    triangle {
      < -5.124446, -0.977320, -0.091695>,
      < -5.124360, -1.123636, -0.064292>,
      < -4.902313, -1.127048, -0.054922>
    }
    triangle {
      < -5.124446, -0.977320, -0.091695>,
      < -4.902313, -1.127048, -0.054922>,
      < -4.902389, -0.997937, -0.054961>
    }
    triangle {
      < -4.902389, -0.997937, -0.054961>,
      < -4.902313, -1.127048, -0.054922>,
      < -4.568325, -1.161826, -0.027538>
    }
    triangle {
      < -4.902389, -0.997937, -0.054961>,
      < -4.568325, -1.161826, -0.027538>,
      < -4.568412, -1.014536, -0.018583>
    }
    triangle {
      < -4.568412, -1.014536, -0.018583>,
      < -4.568325, -1.161826, -0.027538>,
      < -4.214210, -1.241583, -0.009139>
    }
    triangle {
      < -4.568412, -1.014536, -0.018583>,
      < -4.214210, -1.241583, -0.009139>,
      < -4.214334, -1.030853, -0.000202>
    }
    triangle {
      < -4.214334, -1.030853, -0.000202>,
      < -4.214210, -1.241583, -0.009139>,
      < -3.880038, -1.320084, -0.000101>
    }
    triangle {
      < -4.214334, -1.030853, -0.000202>,
      < -3.880038, -1.320084, -0.000101>,
      < -3.880213, -1.025500, 0.027171>
    }
    triangle {
      < -3.880213, -1.025500, 0.027171>,
      < -3.880038, -1.320084, -0.000101>,
      < -3.343115, -1.283658, 0.018270>
    }
    triangle {
      < -3.880213, -1.025500, 0.027171>,
      < -3.343115, -1.283658, 0.018270>,
      < -3.343281, -1.002809, 0.045547>
    }
    triangle {
      < -3.343281, -1.002809, 0.045547>,
      < -3.343115, -1.283658, 0.018270>,
      < -2.977046, -1.208176, 0.027263>
    }
    triangle {
      < -3.343281, -1.002809, 0.045547>,
      < -2.977046, -1.208176, 0.027263>,
      < -2.977171, -0.998765, 0.045561>
    }
    triangle {
      < -2.977171, -0.998765, 0.045561>,
      < -2.977046, -1.208176, 0.027263>,
      < -2.351489, -1.066554, 0.036604>
    }
    triangle {
      < -2.977171, -0.998765, 0.045561>,
      < -2.351489, -1.066554, 0.036604>,
      < -2.351565, -0.938760, 0.045566>
    }
    triangle {
      < -2.351565, -0.938760, 0.045566>,
      < -2.351489, -1.066554, 0.036604>,
      < -1.874244, -0.984821, 0.045600>
    }
    triangle {
      < -2.351565, -0.938760, 0.045566>,
      < -1.874244, -0.984821, 0.045600>,
      < -1.874313, -0.867210, 0.045565>
    }
    triangle {
      < -1.874313, -0.867210, 0.045565>,
      < -1.874244, -0.984821, 0.045600>,
      < -1.752169, -0.970292, 0.045601>
    }
    triangle {
      < -1.874313, -0.867210, 0.045565>,
      < -1.752169, -0.970292, 0.045601>,
      < -1.752234, -0.860677, 0.045569>
    }
    triangle {
      < -1.752234, -0.860677, 0.045569>,
      < -1.752169, -0.970292, 0.045601>,
      < -1.599027, -1.080080, 0.054639>
    }
    triangle {
      < -1.752234, -0.860677, 0.045569>,
      < -1.599027, -1.080080, 0.054639>,
      < -1.599108, -0.944292, 0.054600>
    }
    triangle {
      < -1.599108, -0.944292, 0.054600>,
      < -1.599027, -1.080080, 0.054639>,
      < -1.295880, -1.252076, 0.045706>
    }
    triangle {
      < -1.599108, -0.944292, 0.054600>,
      < -1.295880, -1.252076, 0.045706>,
      < -1.295918, -1.188632, 0.064047>
    }
    triangle {
      < -1.295918, -1.188632, 0.064047>,
      < -1.295880, -1.252076, 0.045706>,
      < -0.851519, -1.376824, 0.045761>
    }
    triangle {
      < -1.295918, -1.188632, 0.064047>,
      < -0.851519, -1.376824, 0.045761>,
      < -0.851566, -1.296875, 0.082458>
    }
    triangle {
      < -0.851566, -1.296875, 0.082458>,
      < -0.851519, -1.376824, 0.045761>,
      < -0.404995, -1.477441, 0.018450>
    }
    triangle {
      < -0.851566, -1.296875, 0.082458>,
      < -0.404995, -1.477441, 0.018450>,
      < -0.405058, -1.370041, 0.082499>
    }
    triangle {
      < -0.405058, -1.370041, 0.082499>,
      < -0.404995, -1.477441, 0.018450>,
      < 0.031162, -1.484994, 0.000110>
    }
    triangle {
      < -0.405058, -1.370041, 0.082499>,
      < 0.031162, -1.484994, 0.000110>,
      < 0.031114, -1.404633, 0.054807>
    }
    triangle {
      < 0.031114, -1.404633, 0.054807>,
      < 0.031162, -1.484994, 0.000110>,
      < 0.546688, -1.516874, -0.082297>
    }
    triangle {
      < 0.031114, -1.404633, 0.054807>,
      < 0.546688, -1.516874, -0.082297>,
      < 0.546627, -1.414470, -0.008888>
    }
    triangle {
      < 0.546627, -1.414470, -0.008888>,
      < 0.546688, -1.516874, -0.082297>,
      < 1.050981, -1.474852, -0.082292>
    }
    triangle {
      < 0.546627, -1.414470, -0.008888>,
      < 1.050981, -1.474852, -0.082292>,
      < 1.050928, -1.385583, -0.036598>
    }
    triangle {
      < 1.050928, -1.385583, -0.036598>,
      < 1.050981, -1.474852, -0.082292>,
      < 1.478665, -1.426515, -0.118649>
    }
    triangle {
      < 1.050928, -1.385583, -0.036598>,
      < 1.478665, -1.426515, -0.118649>,
      < 1.478628, -1.364741, -0.072946>
    }
    triangle {
      < 1.478628, -1.364741, -0.072946>,
      < 1.478665, -1.426515, -0.118649>,
      < 1.591968, -1.387902, -0.109653>
    }
    triangle {
      < 1.478628, -1.364741, -0.072946>,
      < 1.591968, -1.387902, -0.109653>,
      < 1.591952, -1.360457, -0.100300>
    }
    triangle {
      < 1.591952, -1.360457, -0.100300>,
      < 1.591968, -1.387902, -0.109653>,
      < 1.958639, -1.339741, -0.137014>
    }
    triangle {
      < 1.591952, -1.360457, -0.100300>,
      < 1.958639, -1.339741, -0.137014>,
      < 1.958612, -1.294473, -0.118667>
    }
    triangle {
      < 1.958612, -1.294473, -0.118667>,
      < 1.958639, -1.339741, -0.137014>,
      < 2.318302, -1.175243, -0.207707>
    }
    triangle {
      < -5.753932, -1.113689, -0.128402>,
      < -5.780860, -1.239263, 0.036514>,
      < -5.616660, -1.253106, 0.072886>
    }
    triangle {
      < -5.753932, -1.113689, -0.128402>,
      < -5.616660, -1.253106, 0.072886>,
      < -5.596111, -1.108451, -0.110037>
    }
    triangle {
      < -5.596111, -1.108451, -0.110037>,
      < -5.616660, -1.253106, 0.072886>,
      < -5.340975, -1.242610, 0.082255>
    }
    triangle {
      < -5.596111, -1.108451, -0.110037>,
      < -5.340975, -1.242610, 0.082255>,
      < -5.341051, -1.113241, -0.082663>
    }
    triangle {
      < -5.341051, -1.113241, -0.082663>,
      < -5.340975, -1.242610, 0.082255>,
      < -5.124287, -1.246390, 0.063906>
    }
    triangle {
      < -5.341051, -1.113241, -0.082663>,
      < -5.124287, -1.246390, 0.063906>,
      < -5.124360, -1.123636, -0.064292>
    }
    triangle {
      < -5.124360, -1.123636, -0.064292>,
      < -5.124287, -1.246390, 0.063906>,
      < -4.902225, -1.275934, 0.045563>
    }
    triangle {
      < -5.124360, -1.123636, -0.064292>,
      < -4.902225, -1.275934, 0.045563>,
      < -4.902313, -1.127048, -0.054922>
    }
    triangle {
      < -4.902313, -1.127048, -0.054922>,
      < -4.902225, -1.275934, 0.045563>,
      < -4.568249, -1.289952, 0.045579>
    }
    triangle {
      < -4.902313, -1.127048, -0.054922>,
      < -4.568249, -1.289952, 0.045579>,
      < -4.568325, -1.161826, -0.027538>
    }
    triangle {
      < -4.568325, -1.161826, -0.027538>,
      < -4.568249, -1.289952, 0.045579>,
      < -4.214160, -1.324463, 0.008885>
    }
    triangle {
      < -4.568325, -1.161826, -0.027538>,
      < -4.214160, -1.324463, 0.008885>,
      < -4.214210, -1.241583, -0.009139>
    }
    triangle {
      < -4.214210, -1.241583, -0.009139>,
      < -4.214160, -1.324463, 0.008885>,
      < -3.880010, -1.367940, -0.009086>
    }
    triangle {
      < -4.214210, -1.241583, -0.009139>,
      < -3.880010, -1.367940, -0.009086>,
      < -3.880038, -1.320084, -0.000101>
    }
    triangle {
      < -3.880038, -1.320084, -0.000101>,
      < -3.880010, -1.367940, -0.009086>,
      < -3.343027, -1.432267, 0.018315>
    }
    triangle {
      < -3.880038, -1.320084, -0.000101>,
      < -3.343027, -1.432267, 0.018315>,
      < -3.343115, -1.283658, 0.018270>
    }
    triangle {
      < -3.343115, -1.283658, 0.018270>,
      < -3.343027, -1.432267, 0.018315>,
      < -2.976882, -1.486202, 0.027347>
    }
    triangle {
      < -3.343115, -1.283658, 0.018270>,
      < -2.976882, -1.486202, 0.027347>,
      < -2.977046, -1.208176, 0.027263>
    }
    triangle {
      < -2.351489, -1.066554, 0.036604>,
      < -2.351434, -1.159667, 0.045632>,
      < -1.874199, -1.061028, 0.054623>
    }
    triangle {
      < -2.351489, -1.066554, 0.036604>,
      < -1.874199, -1.061028, 0.054623>,
      < -1.874244, -0.984821, 0.045600>
    }
    triangle {
      < -1.874244, -0.984821, 0.045600>,
      < -1.874199, -1.061028, 0.054623>,
      < -1.752113, -1.064720, 0.072990>
    }
    triangle {
      < -1.874244, -0.984821, 0.045600>,
      < -1.752113, -1.064720, 0.072990>,
      < -1.752169, -0.970292, 0.045601>
    }
    triangle {
      < -1.752169, -0.970292, 0.045601>,
      < -1.752113, -1.064720, 0.072990>,
      < -1.599009, -1.110113, 0.054649>
    }
    triangle {
      < -1.752169, -0.970292, 0.045601>,
      < -1.599009, -1.110113, 0.054649>,
      < -1.599027, -1.080080, 0.054639>
    }
    triangle {
      < -1.599027, -1.080080, 0.054639>,
      < -1.599009, -1.110113, 0.054649>,
      < -1.295853, -1.297348, 0.018359>
    }
    triangle {
      < -1.599027, -1.080080, 0.054639>,
      < -1.295853, -1.297348, 0.018359>,
      < -1.295880, -1.252076, 0.045706>
    }
    triangle {
      < -1.295880, -1.252076, 0.045706>,
      < -1.295853, -1.297348, 0.018359>,
      < -0.851480, -1.442865, 0.009061>
    }
    triangle {
      < -1.295880, -1.252076, 0.045706>,
      < -0.851480, -1.442865, 0.009061>,
      < -0.851519, -1.376824, 0.045761>
    }
    triangle {
      < -0.851519, -1.376824, 0.045761>,
      < -0.851480, -1.442865, 0.009061>,
      < -0.404965, -1.527900, -0.036614>
    }
    triangle {
      < -0.851519, -1.376824, 0.045761>,
      < -0.404965, -1.527900, -0.036614>,
      < -0.404995, -1.477441, 0.018450>
    }
    triangle {
      < -0.404995, -1.477441, 0.018450>,
      < -0.404965, -1.527900, -0.036614>,
      < 0.031207, -1.561229, -0.082306>
    }
    triangle {
      < -0.404995, -1.477441, 0.018450>,
      < 0.031207, -1.561229, -0.082306>,
      < 0.031162, -1.484994, 0.000110>
    }
    triangle {
      < 0.031162, -1.484994, 0.000110>,
      < 0.031207, -1.561229, -0.082306>,
      < 0.546694, -1.527071, -0.137014>
    }
    triangle {
      < 0.031162, -1.484994, 0.000110>,
      < 0.546694, -1.527071, -0.137014>,
      < 0.546688, -1.516874, -0.082297>
    }
    triangle {
      < 0.546688, -1.516874, -0.082297>,
      < 0.546694, -1.527071, -0.137014>,
      < 1.050983, -1.477406, -0.128010>
    }
    triangle {
      < 0.546688, -1.516874, -0.082297>,
      < 1.050983, -1.477406, -0.128010>,
      < 1.050981, -1.474852, -0.082292>
    }
    triangle {
      < 1.050981, -1.474852, -0.082292>,
      < 1.050983, -1.477406, -0.128010>,
      < 1.478670, -1.435787, -0.137005>
    }
    triangle {
      < 1.050981, -1.474852, -0.082292>,
      < 1.478670, -1.435787, -0.137005>,
      < 1.478665, -1.426515, -0.118649>
    }
    triangle {
      < 1.478665, -1.426515, -0.118649>,
      < 1.478670, -1.435787, -0.137005>,
      < 1.591978, -1.404463, -0.146008>
    }
    triangle {
      < 1.478665, -1.426515, -0.118649>,
      < 1.591978, -1.404463, -0.146008>,
      < 1.591968, -1.387902, -0.109653>
    }
    triangle {
      < 1.591968, -1.387902, -0.109653>,
      < 1.591978, -1.404463, -0.146008>,
      < 1.958639, -1.339746, -0.155374>
    }
    triangle {
      < 1.591968, -1.387902, -0.109653>,
      < 1.958639, -1.339746, -0.155374>,
      < 1.958639, -1.339741, -0.137014>
    }
    triangle {
      < -5.616660, -1.253106, 0.072886>,
      < -5.618070, -1.327073, 0.100267>,
      < -5.340905, -1.360221, 0.082290>
    }
    triangle {
      < -5.616660, -1.253106, 0.072886>,
      < -5.340905, -1.360221, 0.082290>,
      < -5.340975, -1.242610, 0.082255>
    }
    triangle {
      < -5.340975, -1.242610, 0.082255>,
      < -5.340905, -1.360221, 0.082290>,
      < -5.124218, -1.363999, 0.072940>
    }
    triangle {
      < -5.340975, -1.242610, 0.082255>,
      < -5.124218, -1.363999, 0.072940>,
      < -5.124287, -1.246390, 0.063906>
    }
    triangle {
      < -5.124287, -1.246390, 0.063906>,
      < -5.124218, -1.363999, 0.072940>,
      < -4.902159, -1.385950, 0.063955>
    }
    triangle {
      < -5.124287, -1.246390, 0.063906>,
      < -4.902159, -1.385950, 0.063955>,
      < -4.902225, -1.275934, 0.045563>
    }
    triangle {
      < -4.902225, -1.275934, 0.045563>,
      < -4.902159, -1.385950, 0.063955>,
      < -4.568179, -1.408830, 0.054615>
    }
    triangle {
      < -4.902225, -1.275934, 0.045563>,
      < -4.568179, -1.408830, 0.054615>,
      < -4.568249, -1.289952, 0.045579>
    }
    triangle {
      < -4.568249, -1.289952, 0.045579>,
      < -4.568179, -1.408830, 0.054615>,
      < -4.214105, -1.417570, 0.036633>
    }
    triangle {
      < -4.568249, -1.289952, 0.045579>,
      < -4.214105, -1.417570, 0.036633>,
      < -4.214160, -1.324463, 0.008885>
    }
    triangle {
      < -4.214160, -1.324463, 0.008885>,
      < -4.214105, -1.417570, 0.036633>,
      < -3.879984, -1.411877, 0.008927>
    }
    triangle {
      < -4.214160, -1.324463, 0.008885>,
      < -3.879984, -1.411877, 0.008927>,
      < -3.880010, -1.367940, -0.009086>
    }
    triangle {
      < -3.880010, -1.367940, -0.009086>,
      < -3.879984, -1.411877, 0.008927>,
      < -3.342950, -1.561684, 0.018353>
    }
    triangle {
      < -3.880010, -1.367940, -0.009086>,
      < -3.342950, -1.561684, 0.018353>,
      < -3.343027, -1.432267, 0.018315>
    }
    triangle {
      < -3.343027, -1.432267, 0.018315>,
      < -3.342950, -1.561684, 0.018353>,
      < -2.976846, -1.547129, -0.064076>
    }
    triangle {
      < -3.343027, -1.432267, 0.018315>,
      < -2.976846, -1.547129, -0.064076>,
      < -2.976882, -1.486202, 0.027347>
    }
    triangle {
      < -2.976882, -1.486202, 0.027347>,
      < -2.976846, -1.547129, -0.064076>,
      < -2.351205, -1.546577, -0.118769>
    }
    triangle {
      < -2.976882, -1.486202, 0.027347>,
      < -2.351205, -1.546577, -0.118769>,
      < -2.351434, -1.159667, 0.045632>
    }
    triangle {
      < -2.351434, -1.159667, 0.045632>,
      < -2.351205, -1.546577, -0.118769>,
      < -1.873915, -1.539611, -0.146115>
    }
    triangle {
      < -2.351434, -1.159667, 0.045632>,
      < -1.873915, -1.539611, -0.146115>,
      < -1.874199, -1.061028, 0.054623>
    }
    triangle {
      < -1.874199, -1.061028, 0.054623>,
      < -1.873915, -1.539611, -0.146115>,
      < -1.751830, -1.543312, -0.155467>
    }
    triangle {
      < -1.874199, -1.061028, 0.054623>,
      < -1.751830, -1.543312, -0.155467>,
      < -1.752113, -1.064720, 0.072990>
    }
    triangle {
      < -1.752113, -1.064720, 0.072990>,
      < -1.751830, -1.543312, -0.155467>,
      < -1.598757, -1.535496, -0.173823>
    }
    triangle {
      < -1.752113, -1.064720, 0.072990>,
      < -1.598757, -1.535496, -0.173823>,
      < -1.599009, -1.110113, 0.054649>
    }
    triangle {
      < -1.599009, -1.110113, 0.054649>,
      < -1.598757, -1.535496, -0.173823>,
      < -1.295712, -1.535221, -0.182810>
    }
    triangle {
      < -1.599009, -1.110113, 0.054649>,
      < -1.295712, -1.535221, -0.182810>,
      < -1.295853, -1.297348, 0.018359>
    }
    triangle {
      < -1.295853, -1.297348, 0.018359>,
      < -1.295712, -1.535221, -0.182810>,
      < -0.851420, -1.544040, -0.201149>
    }
    triangle {
      < -1.295853, -1.297348, 0.018359>,
      < -0.851420, -1.544040, -0.201149>,
      < -0.851480, -1.442865, 0.009061>
    }
    triangle {
      < -0.851480, -1.442865, 0.009061>,
      < -0.851420, -1.544040, -0.201149>,
      < -0.404963, -1.530411, -0.210135>
    }
    triangle {
      < -0.851480, -1.442865, 0.009061>,
      < -0.404963, -1.530411, -0.210135>,
      < -0.404965, -1.527900, -0.036614>
    }
    triangle {
      < -0.404965, -1.527900, -0.036614>,
      < -0.404963, -1.530411, -0.210135>,
      < 0.031193, -1.537911, -0.219475>
    }
    triangle {
      < -0.404965, -1.527900, -0.036614>,
      < 0.031193, -1.537911, -0.219475>,
      < 0.031207, -1.561229, -0.082306>
    }
    triangle {
      < 0.031207, -1.561229, -0.082306>,
      < 0.031193, -1.537911, -0.219475>,
      < 0.546688, -1.516910, -0.201097>
    }
    triangle {
      < 0.031207, -1.561229, -0.082306>,
      < 0.546688, -1.516910, -0.201097>,
      < 0.546694, -1.527071, -0.137014>
    }
    triangle {
      < 0.546694, -1.527071, -0.137014>,
      < 0.546688, -1.516910, -0.201097>,
      < 1.050977, -1.467245, -0.191734>
    }
    triangle {
      < 0.546694, -1.527071, -0.137014>,
      < 1.050977, -1.467245, -0.191734>,
      < 1.050983, -1.477406, -0.128010>
    }
    triangle {
      < 1.050983, -1.477406, -0.128010>,
      < 1.050977, -1.467245, -0.191734>,
      < 1.478665, -1.426538, -0.191729>
    }
    triangle {
      < 1.050983, -1.477406, -0.128010>,
      < 1.478665, -1.426538, -0.191729>,
      < 1.478670, -1.435787, -0.137005>
    }
    triangle {
      < 1.478670, -1.435787, -0.137005>,
      < 1.478665, -1.426538, -0.191729>,
      < 1.591968, -1.387927, -0.191733>
    }
    triangle {
      < 1.478670, -1.435787, -0.137005>,
      < 1.591968, -1.387927, -0.191733>,
      < 1.591978, -1.404463, -0.146008>
    }
    triangle {
      < 1.591978, -1.404463, -0.146008>,
      < 1.591968, -1.387927, -0.191733>,
      < 1.958631, -1.326627, -0.182739>
    }
    triangle {
      < 1.591978, -1.404463, -0.146008>,
      < 1.958631, -1.326627, -0.182739>,
      < 1.958639, -1.339746, -0.155374>
    }
    triangle {
      < 1.958639, -1.339741, -0.137014>,
      < 1.958631, -1.326627, -0.182739>,
      < 2.318302, -1.175243, -0.207707>
    }
    triangle {
      < -5.340905, -1.360221, 0.082290>,
      < -5.340919, -1.337184, -0.073242>,
      < -5.124219, -1.361447, -0.054861>
    }
    triangle {
      < -5.340905, -1.360221, 0.082290>,
      < -5.124219, -1.361447, -0.054861>,
      < -5.124218, -1.363999, 0.072940>
    }
    triangle {
      < -5.124218, -1.363999, 0.072940>,
      < -5.124219, -1.361447, -0.054861>,
      < -4.902161, -1.383389, -0.036846>
    }
    triangle {
      < -5.124218, -1.363999, 0.072940>,
      < -4.902161, -1.383389, -0.036846>,
      < -4.902159, -1.385950, 0.063955>
    }
    triangle {
      < -4.902159, -1.385950, 0.063955>,
      < -4.902161, -1.383389, -0.036846>,
      < -4.568184, -1.399586, -0.018468>
    }
    triangle {
      < -4.902159, -1.385950, 0.063955>,
      < -4.568184, -1.399586, -0.018468>,
      < -4.568179, -1.408830, 0.054615>
    }
    triangle {
      < -4.568179, -1.408830, 0.054615>,
      < -4.568184, -1.399586, -0.018468>,
      < -4.214111, -1.408313, 0.008911>
    }
    triangle {
      < -4.568179, -1.408830, 0.054615>,
      < -4.214111, -1.408313, 0.008911>,
      < -4.214105, -1.417570, 0.036633>
    }
    triangle {
      < -4.214105, -1.417570, 0.036633>,
      < -4.214111, -1.408313, 0.008911>,
      < -3.879984, -1.411877, 0.008927>
    }
    triangle {
      < -3.879984, -1.411877, 0.008927>,
      < -3.342955, -1.553737, 0.027352>,
      < -3.342950, -1.561684, 0.018353>
    }
    triangle {
      < -3.342950, -1.561684, 0.018353>,
      < -3.342955, -1.553737, 0.027352>,
      < -2.976858, -1.526405, -0.210243>
    }
    triangle {
      < -3.342950, -1.561684, 0.018353>,
      < -2.976858, -1.526405, -0.210243>,
      < -2.976846, -1.547129, -0.064076>
    }
    triangle {
      < -2.976846, -1.547129, -0.064076>,
      < -2.976858, -1.526405, -0.210243>,
      < -2.351221, -1.519510, -0.182858>
    }
    triangle {
      < -2.976846, -1.547129, -0.064076>,
      < -2.351221, -1.519510, -0.182858>,
      < -2.351205, -1.546577, -0.118769>
    }
    triangle {
      < -2.351205, -1.546577, -0.118769>,
      < -2.351221, -1.519510, -0.182858>,
      < -1.873954, -1.473603, -0.219575>
    }
    triangle {
      < -2.351205, -1.546577, -0.118769>,
      < -1.873954, -1.473603, -0.219575>,
      < -1.873915, -1.539611, -0.146115>
    }
    triangle {
      < -1.873915, -1.539611, -0.146115>,
      < -1.873954, -1.473603, -0.219575>,
      < -1.751870, -1.476031, -0.219568>
    }
    triangle {
      < -1.873915, -1.539611, -0.146115>,
      < -1.751870, -1.476031, -0.219568>,
      < -1.751830, -1.543312, -0.155467>
    }
    triangle {
      < -1.751830, -1.543312, -0.155467>,
      < -1.751870, -1.476031, -0.219568>,
      < -1.598792, -1.477479, -0.228561>
    }
    triangle {
      < -1.751830, -1.543312, -0.155467>,
      < -1.598792, -1.477479, -0.228561>,
      < -1.598757, -1.535496, -0.173823>
    }
    triangle {
      < -1.598757, -1.535496, -0.173823>,
      < -1.598792, -1.477479, -0.228561>,
      < -1.295747, -1.477206, -0.246909>
    }
    triangle {
      < -1.598757, -1.535496, -0.173823>,
      < -1.295747, -1.477206, -0.246909>,
      < -1.295712, -1.535221, -0.182810>
    }
    triangle {
      < -1.295712, -1.535221, -0.182810>,
      < -1.295747, -1.477206, -0.246909>,
      < -0.851470, -1.459856, -0.274254>
    }
    triangle {
      < -1.295712, -1.535221, -0.182810>,
      < -0.851470, -1.459856, -0.274254>,
      < -0.851420, -1.544040, -0.201149>
    }
    triangle {
      < -0.851420, -1.544040, -0.201149>,
      < -0.851470, -1.459856, -0.274254>,
      < -0.405012, -1.447907, -0.292600>
    }
    triangle {
      < -0.851420, -1.544040, -0.201149>,
      < -0.405012, -1.447907, -0.292600>,
      < -0.404963, -1.530411, -0.210135>
    }
    triangle {
      < -0.404963, -1.530411, -0.210135>,
      < -0.405012, -1.447907, -0.292600>,
      < 0.031140, -1.447408, -0.292581>
    }
    triangle {
      < -0.404963, -1.530411, -0.210135>,
      < 0.031140, -1.447408, -0.292581>,
      < 0.031193, -1.537911, -0.219475>
    }
    triangle {
      < 0.031193, -1.537911, -0.219475>,
      < 0.031140, -1.447408, -0.292581>,
      < 0.546642, -1.439050, -0.292561>
    }
    triangle {
      < 0.031193, -1.537911, -0.219475>,
      < 0.546642, -1.439050, -0.292561>,
      < 0.546688, -1.516910, -0.201097>
    }
    triangle {
      < 0.546688, -1.516910, -0.201097>,
      < 0.546642, -1.439050, -0.292561>,
      < 1.050943, -1.411471, -0.274191>
    }
    triangle {
      < 0.546688, -1.516910, -0.201097>,
      < 1.050943, -1.411471, -0.274191>,
      < 1.050977, -1.467245, -0.191734>
    }
    triangle {
      < 1.050977, -1.467245, -0.191734>,
      < 1.050943, -1.411471, -0.274191>,
      < 1.478637, -1.380025, -0.255822>
    }
    triangle {
      < 1.050977, -1.467245, -0.191734>,
      < 1.478637, -1.380025, -0.255822>,
      < 1.478665, -1.426538, -0.191729>
    }
    triangle {
      < 1.478665, -1.426538, -0.191729>,
      < 1.478637, -1.380025, -0.255822>,
      < 1.591945, -1.348997, -0.237465>
    }
    triangle {
      < 1.478665, -1.426538, -0.191729>,
      < 1.591945, -1.348997, -0.237465>,
      < 1.591968, -1.387927, -0.191733>
    }
    triangle {
      < 1.591968, -1.387927, -0.191733>,
      < 1.591945, -1.348997, -0.237465>,
      < 1.958615, -1.299552, -0.219467>
    }
    triangle {
      < 1.591968, -1.387927, -0.191733>,
      < 1.958615, -1.299552, -0.219467>,
      < 1.958631, -1.326627, -0.182739>
    }
    triangle {
      < 1.958631, -1.326627, -0.182739>,
      < 1.958615, -1.299552, -0.219467>,
      < 2.318302, -1.175243, -0.207707>
    }
    triangle {
      < -5.340926, -1.325548, -0.064248>,
      < -5.340922, -1.330604, -0.091607>,
      < -5.340922, -1.330743, -0.109965>
    }
    triangle {
      < -5.340926, -1.325548, -0.064248>,
      < -5.340922, -1.330743, -0.109965>,
      < -5.340919, -1.337184, -0.073242>
    }
    triangle {
      < -5.340922, -1.330743, -0.109965>,
      < -5.340912, -1.347497, -0.073235>,
      < -5.340919, -1.337184, -0.073242>
    }
    triangle {
      < -5.340919, -1.337184, -0.073242>,
      < -5.340912, -1.347497, -0.073235>,
      < -5.124214, -1.369097, -0.091580>
    }
    triangle {
      < -5.340919, -1.337184, -0.073242>,
      < -5.124214, -1.369097, -0.091580>,
      < -5.124219, -1.361447, -0.054861>
    }
    triangle {
      < -5.124219, -1.361447, -0.054861>,
      < -5.124214, -1.369097, -0.091580>,
      < -4.902152, -1.398629, -0.073202>
    }
    triangle {
      < -5.124219, -1.361447, -0.054861>,
      < -4.902152, -1.398629, -0.073202>,
      < -4.902161, -1.383389, -0.036846>
    }
    triangle {
      < -4.902161, -1.383389, -0.036846>,
      < -4.902152, -1.398629, -0.073202>,
      < -4.568152, -1.454123, -0.045812>
    }
    triangle {
      < -4.902161, -1.383389, -0.036846>,
      < -4.568152, -1.454123, -0.045812>,
      < -4.568184, -1.399586, -0.018468>
    }
    triangle {
      < -4.568184, -1.399586, -0.018468>,
      < -4.568152, -1.454123, -0.045812>,
      < -4.214050, -1.510703, -0.018419>
    }
    triangle {
      < -4.568184, -1.399586, -0.018468>,
      < -4.214050, -1.510703, -0.018419>,
      < -4.214111, -1.408313, 0.008911>
    }
    triangle {
      < -4.214111, -1.408313, 0.008911>,
      < -4.214050, -1.510703, -0.018419>,
      < -3.879919, -1.521896, 0.018319>
    }
    triangle {
      < -4.214111, -1.408313, 0.008911>,
      < -3.879919, -1.521896, 0.018319>,
      < -3.879984, -1.411877, 0.008927>
    }
    triangle {
      < -3.879984, -1.411877, 0.008927>,
      < -3.879919, -1.521896, 0.018319>,
      < -3.342962, -1.541040, -0.219614>
    }
    triangle {
      < -3.879984, -1.411877, 0.008927>,
      < -3.342962, -1.541040, -0.219614>,
      < -3.342955, -1.553737, 0.027352>
    }
    triangle {
      < -3.342955, -1.553737, 0.027352>,
      < -3.342962, -1.541040, -0.219614>,
      < -2.976882, -1.486216, -0.292696>
    }
    triangle {
      < -3.342955, -1.553737, 0.027352>,
      < -2.976882, -1.486216, -0.292696>,
      < -2.976858, -1.526405, -0.210243>
    }
    triangle {
      < -2.976858, -1.526405, -0.210243>,
      < -2.976882, -1.486216, -0.292696>,
      < -2.351261, -1.452178, -0.246958>
    }
    triangle {
      < -2.976858, -1.526405, -0.210243>,
      < -2.351261, -1.452178, -0.246958>,
      < -2.351221, -1.519510, -0.182858>
    }
    triangle {
      < -2.351221, -1.519510, -0.182858>,
      < -2.351261, -1.452178, -0.246958>,
      < -1.874008, -1.383094, -0.274321>
    }
    triangle {
      < -2.351221, -1.519510, -0.182858>,
      < -1.874008, -1.383094, -0.274321>,
      < -1.873954, -1.473603, -0.219575>
    }
    triangle {
      < -1.873954, -1.473603, -0.219575>,
      < -1.874008, -1.383094, -0.274321>,
      < -1.751930, -1.374025, -0.283319>
    }
    triangle {
      < -1.873954, -1.473603, -0.219575>,
      < -1.751930, -1.374025, -0.283319>,
      < -1.751870, -1.476031, -0.219568>
    }
    triangle {
      < -1.751870, -1.476031, -0.219568>,
      < -1.751930, -1.374025, -0.283319>,
      < -1.598847, -1.384379, -0.283310>
    }
    triangle {
      < -1.751870, -1.476031, -0.219568>,
      < -1.598847, -1.384379, -0.283310>,
      < -1.598792, -1.477479, -0.228561>
    }
    triangle {
      < -1.598792, -1.477479, -0.228561>,
      < -1.598847, -1.384379, -0.283310>,
      < -1.295808, -1.374838, -0.292659>
    }
    triangle {
      < -1.598792, -1.477479, -0.228561>,
      < -1.295808, -1.374838, -0.292659>,
      < -1.295747, -1.477206, -0.246909>
    }
    triangle {
      < -1.295747, -1.477206, -0.246909>,
      < -1.295808, -1.374838, -0.292659>,
      < -0.851529, -1.360441, -0.338363>
    }
    triangle {
      < -1.295747, -1.477206, -0.246909>,
      < -0.851529, -1.360441, -0.338363>,
      < -0.851470, -1.459856, -0.274254>
    }
    triangle {
      < -0.851470, -1.459856, -0.274254>,
      < -0.851529, -1.360441, -0.338363>,
      < -0.405074, -1.344220, -0.347351>
    }
    triangle {
      < -0.851470, -1.459856, -0.274254>,
      < -0.405074, -1.344220, -0.347351>,
      < -0.405012, -1.447907, -0.292600>
    }
    triangle {
      < -0.405012, -1.447907, -0.292600>,
      < -0.405074, -1.344220, -0.347351>,
      < 0.031084, -1.354314, -0.365688>
    }
    triangle {
      < -0.405012, -1.447907, -0.292600>,
      < 0.031084, -1.354314, -0.365688>,
      < 0.031140, -1.447408, -0.292581>
    }
    triangle {
      < 0.031140, -1.447408, -0.292581>,
      < 0.031084, -1.354314, -0.365688>,
      < 0.546592, -1.355223, -0.365667>
    }
    triangle {
      < 0.031140, -1.447408, -0.292581>,
      < 0.546592, -1.355223, -0.365667>,
      < 0.546642, -1.439050, -0.292561>
    }
    triangle {
      < 0.546642, -1.439050, -0.292561>,
      < 0.546592, -1.355223, -0.365667>,
      < 1.050882, -1.308149, -0.356662>
    }
    triangle {
      < 0.546642, -1.439050, -0.292561>,
      < 1.050882, -1.308149, -0.356662>,
      < 1.050943, -1.411471, -0.274191>
    }
    triangle {
      < 1.050943, -1.411471, -0.274191>,
      < 1.050882, -1.308149, -0.356662>,
      < 1.478573, -1.271701, -0.328934>
    }
    triangle {
      < 1.050943, -1.411471, -0.274191>,
      < 1.478573, -1.271701, -0.328934>,
      < 1.478637, -1.380025, -0.255822>
    }
    triangle {
      < 1.478637, -1.380025, -0.255822>,
      < 1.478573, -1.271701, -0.328934>,
      < 1.591896, -1.267401, -0.301568>
    }
    triangle {
      < 1.478637, -1.380025, -0.255822>,
      < 1.591896, -1.267401, -0.301568>,
      < 1.591945, -1.348997, -0.237465>
    }
    triangle {
      < 1.591945, -1.348997, -0.237465>,
      < 1.591896, -1.267401, -0.301568>,
      < 1.937889, -1.254315, -0.265200>
    }
    triangle {
      < 1.591945, -1.348997, -0.237465>,
      < 1.937889, -1.254315, -0.265200>,
      < 1.958615, -1.299552, -0.219467>
    }
    triangle {
      < 1.958615, -1.299552, -0.219467>,
      < 1.937889, -1.254315, -0.265200>,
      < 2.318302, -1.175243, -0.207707>
    }
    triangle {
      < -5.340912, -1.347497, -0.073235>,
      < -5.340951, -1.282870, -0.347575>,
      < -5.124230, -1.342093, -0.365908>
    }
    triangle {
      < -5.340912, -1.347497, -0.073235>,
      < -5.124230, -1.342093, -0.365908>,
      < -5.124214, -1.369097, -0.091580>
    }
    triangle {
      < -5.124214, -1.369097, -0.091580>,
      < -5.124230, -1.342093, -0.365908>,
      < -4.902168, -1.371633, -0.374890>
    }
    triangle {
      < -5.124214, -1.369097, -0.091580>,
      < -4.902168, -1.371633, -0.374890>,
      < -4.902152, -1.398629, -0.073202>
    }
    triangle {
      < -4.902152, -1.398629, -0.073202>,
      < -4.902168, -1.371633, -0.374890>,
      < -4.568168, -1.427141, -0.393220>
    }
    triangle {
      < -4.902152, -1.398629, -0.073202>,
      < -4.568168, -1.427141, -0.393220>,
      < -4.568152, -1.454123, -0.045812>
    }
    triangle {
      < -4.568152, -1.454123, -0.045812>,
      < -4.568168, -1.427141, -0.393220>,
      < -4.214069, -1.478552, -0.411550>
    }
    triangle {
      < -4.568152, -1.454123, -0.045812>,
      < -4.214069, -1.478552, -0.411550>,
      < -4.214050, -1.510703, -0.018419>
    }
    triangle {
      < -4.214050, -1.510703, -0.018419>,
      < -4.214069, -1.478552, -0.411550>,
      < -3.879940, -1.487171, -0.429894>
    }
    triangle {
      < -4.214050, -1.510703, -0.018419>,
      < -3.879940, -1.487171, -0.429894>,
      < -3.879919, -1.521896, 0.018319>
    }
    triangle {
      < -3.879919, -1.521896, 0.018319>,
      < -3.879940, -1.487171, -0.429894>,
      < -3.343007, -1.466151, -0.393156>
    }
    triangle {
      < -3.879919, -1.521896, 0.018319>,
      < -3.343007, -1.466151, -0.393156>,
      < -3.342962, -1.541040, -0.219614>
    }
    triangle {
      < -3.342962, -1.541040, -0.219614>,
      < -3.343007, -1.466151, -0.393156>,
      < -2.976909, -1.439654, -0.365790>
    }
    triangle {
      < -3.342962, -1.541040, -0.219614>,
      < -2.976909, -1.439654, -0.365790>,
      < -2.976882, -1.486216, -0.292696>
    }
    triangle {
      < -2.976882, -1.486216, -0.292696>,
      < -2.976909, -1.439654, -0.365790>,
      < -2.351294, -1.396397, -0.301695>
    }
    triangle {
      < -2.976882, -1.486216, -0.292696>,
      < -2.351294, -1.396397, -0.301695>,
      < -2.351261, -1.452178, -0.246958>
    }
    triangle {
      < -2.351261, -1.452178, -0.246958>,
      < -2.351294, -1.396397, -0.301695>,
      < -1.874045, -1.319666, -0.311060>
    }
    triangle {
      < -2.351261, -1.452178, -0.246958>,
      < -1.874045, -1.319666, -0.311060>,
      < -1.874008, -1.383094, -0.274321>
    }
    triangle {
      < -1.874008, -1.383094, -0.274321>,
      < -1.874045, -1.319666, -0.311060>,
      < -1.751979, -1.291150, -0.320063>
    }
    triangle {
      < -1.874008, -1.383094, -0.274321>,
      < -1.751979, -1.291150, -0.320063>,
      < -1.751930, -1.374025, -0.283319>
    }
    triangle {
      < -1.751930, -1.374025, -0.283319>,
      < -1.751979, -1.291150, -0.320063>,
      < -1.598911, -1.275694, -0.338422>
    }
    triangle {
      < -1.751930, -1.374025, -0.283319>,
      < -1.598911, -1.275694, -0.338422>,
      < -1.598847, -1.384379, -0.283310>
    }
    triangle {
      < -1.598847, -1.384379, -0.283310>,
      < -1.598911, -1.275694, -0.338422>,
      < -1.295867, -1.274149, -0.347409>
    }
    triangle {
      < -1.598847, -1.384379, -0.283310>,
      < -1.295867, -1.274149, -0.347409>,
      < -1.295808, -1.374838, -0.292659>
    }
    triangle {
      < -1.295808, -1.374838, -0.292659>,
      < -1.295867, -1.274149, -0.347409>,
      < -0.851596, -1.246568, -0.374758>
    }
    triangle {
      < -1.295808, -1.374838, -0.292659>,
      < -0.851596, -1.246568, -0.374758>,
      < -0.851529, -1.360441, -0.338363>
    }
    triangle {
      < -0.851529, -1.360441, -0.338363>,
      < -0.851596, -1.246568, -0.374758>,
      < -0.405130, -1.248573, -0.374741>
    }
    triangle {
      < -0.851529, -1.360441, -0.338363>,
      < -0.405130, -1.248573, -0.374741>,
      < -0.405074, -1.344220, -0.347351>
    }
    triangle {
      < -0.405074, -1.344220, -0.347351>,
      < -0.405130, -1.248573, -0.374741>,
      < 0.031023, -1.249751, -0.374721>
    }
    triangle {
      < -0.405074, -1.344220, -0.347351>,
      < 0.031023, -1.249751, -0.374721>,
      < 0.031084, -1.354314, -0.365688>
    }
    triangle {
      < 0.031084, -1.354314, -0.365688>,
      < 0.031023, -1.249751, -0.374721>,
      < 0.546536, -1.260840, -0.374696>
    }
    triangle {
      < 0.031084, -1.354314, -0.365688>,
      < 0.546536, -1.260840, -0.374696>,
      < 0.546592, -1.355223, -0.365667>
    }
    triangle {
      < 0.546592, -1.355223, -0.365667>,
      < 0.546536, -1.260840, -0.374696>,
      < 1.050843, -1.242170, -0.356682>
    }
    triangle {
      < 0.546592, -1.355223, -0.365667>,
      < 1.050843, -1.242170, -0.356682>,
      < 1.050882, -1.308149, -0.356662>
    }
    triangle {
      < -5.124534, -0.830145, -0.466499>,
      < -5.124628, -0.672353, -0.576347>,
      < -4.902575, -0.683724, -0.613055>
    }
    triangle {
      < -5.124534, -0.830145, -0.466499>,
      < -4.902575, -0.683724, -0.613055>,
      < -4.902478, -0.849157, -0.503205>
    }
    triangle {
      < -4.902478, -0.849157, -0.503205>,
      < -4.902575, -0.683724, -0.613055>,
      < -4.568597, -0.704076, -0.658757>
    }
    triangle {
      < -4.902478, -0.849157, -0.503205>,
      < -4.568597, -0.704076, -0.658757>,
      < -4.568493, -0.878768, -0.530545>
    }
    triangle {
      < -4.568493, -0.878768, -0.530545>,
      < -4.568597, -0.704076, -0.658757>,
      < -4.214490, -0.768620, -0.695082>
    }
    triangle {
      < -4.568493, -0.878768, -0.530545>,
      < -4.214490, -0.768620, -0.695082>,
      < -4.214397, -0.925136, -0.567235>
    }
    triangle {
      < -4.214397, -0.925136, -0.567235>,
      < -4.214490, -0.768620, -0.695082>,
      < -3.880349, -0.796605, -0.722782>
    }
    triangle {
      < -4.214397, -0.925136, -0.567235>,
      < -3.880349, -0.796605, -0.722782>,
      < -3.880255, -0.955707, -0.576214>
    }
    triangle {
      < -3.880255, -0.955707, -0.576214>,
      < -3.880349, -0.796605, -0.722782>,
      < -3.343365, -0.861092, -0.786459>
    }
    triangle {
      < -3.880255, -0.955707, -0.576214>,
      < -3.343365, -0.861092, -0.786459>,
      < -3.343295, -0.979941, -0.676983>
    }
    triangle {
      < -3.343295, -0.979941, -0.676983>,
      < -3.343365, -0.861092, -0.786459>,
      < -2.977238, -0.885059, -0.823157>
    }
    triangle {
      < -3.343295, -0.979941, -0.676983>,
      < -2.977238, -0.885059, -0.823157>,
      < -2.977183, -0.978094, -0.722688>
    }
    triangle {
      < -2.977183, -0.978094, -0.722688>,
      < -2.977238, -0.885059, -0.823157>,
      < -2.351588, -0.901357, -0.859845>
    }
    triangle {
      < -2.977183, -0.978094, -0.722688>,
      < -2.351588, -0.901357, -0.859845>,
      < -2.351532, -0.994446, -0.768377>
    }
    triangle {
      < -2.351532, -0.994446, -0.768377>,
      < -2.351588, -0.901357, -0.859845>,
      < -1.874285, -0.915211, -0.896183>
    }
    triangle {
      < -2.351532, -0.994446, -0.768377>,
      < -1.874285, -0.915211, -0.896183>,
      < -1.874231, -1.006979, -0.804716>
    }
    triangle {
      < -1.874231, -1.006979, -0.804716>,
      < -1.874285, -0.915211, -0.896183>,
      < -1.752204, -0.912543, -0.905536>
    }
    triangle {
      < -1.874231, -1.006979, -0.804716>,
      < -1.752204, -0.912543, -0.905536>,
      < -1.752156, -0.992860, -0.814074>
    }
    triangle {
      < -1.752156, -0.992860, -0.814074>,
      < -1.752204, -0.912543, -0.905536>,
      < -1.599121, -0.921631, -0.914529>
    }
    triangle {
      < -1.752156, -0.992860, -0.814074>,
      < -1.599121, -0.921631, -0.914529>,
      < -1.599073, -1.002862, -0.823065>
    }
    triangle {
      < -1.599073, -1.002862, -0.823065>,
      < -1.599121, -0.921631, -0.914529>,
      < -1.296076, -0.922628, -0.932874>
    }
    triangle {
      < -1.599073, -1.002862, -0.823065>,
      < -1.296076, -0.922628, -0.932874>,
      < -1.296021, -1.014446, -0.841407>
    }
    triangle {
      < -1.296021, -1.014446, -0.841407>,
      < -1.296076, -0.922628, -0.932874>,
      < -0.851768, -0.956859, -0.960206>
    }
    triangle {
      < -1.296021, -1.014446, -0.841407>,
      < -0.851768, -0.956859, -0.960206>,
      < -0.851729, -1.022864, -0.877746>
    }
    triangle {
      < -0.851729, -1.022864, -0.877746>,
      < -0.851768, -0.956859, -0.960206>,
      < -0.405294, -0.971999, -0.987543>
    }
    triangle {
      < -0.851729, -1.022864, -0.877746>,
      < -0.405294, -0.971999, -0.987543>,
      < -0.405257, -1.035413, -0.905445>
    }
    triangle {
      < -0.405257, -1.035413, -0.905445>,
      < -0.405294, -0.971999, -0.987543>,
      < 0.030855, -0.966734, -1.014887>
    }
    triangle {
      < -0.405257, -1.035413, -0.905445>,
      < 0.030855, -0.966734, -1.014887>,
      < 0.030910, -1.059822, -0.923419>
    }
    triangle {
      < 0.030910, -1.059822, -0.923419>,
      < 0.030855, -0.966734, -1.014887>,
      < 0.546390, -1.013821, -1.024211>
    }
    triangle {
      < 0.030910, -1.059822, -0.923419>,
      < 0.546390, -1.013821, -1.024211>,
      < 0.546435, -1.090411, -0.932748>
    }
    triangle {
      < 0.546435, -1.090411, -0.932748>,
      < 0.546390, -1.013821, -1.024211>,
      < 1.050721, -1.036686, -1.005825>
    }
    triangle {
      < 0.546435, -1.090411, -0.932748>,
      < 1.050721, -1.036686, -1.005825>,
      < 1.050766, -1.111907, -0.923361>
    }
    triangle {
      < 1.050766, -1.111907, -0.923361>,
      < 1.050721, -1.036686, -1.005825>,
      < 1.478446, -1.058222, -0.978438>
    }
    triangle {
      < 1.050766, -1.111907, -0.923361>,
      < 1.478446, -1.058222, -0.978438>,
      < 1.478500, -1.150043, -0.895971>
    }
    triangle {
      < 1.478500, -1.150043, -0.895971>,
      < 1.478446, -1.058222, -0.978438>,
      < 1.591778, -1.068598, -0.969069>
    }
    triangle {
      < 1.478500, -1.150043, -0.895971>,
      < 1.591778, -1.068598, -0.969069>,
      < 1.591833, -1.160414, -0.868602>
    }
    triangle {
      < 1.591833, -1.160414, -0.868602>,
      < 1.591778, -1.068598, -0.969069>,
      < 1.831807, -1.066938, -0.914340>
    }
    triangle {
      < 1.591833, -1.160414, -0.868602>,
      < 1.831807, -1.066938, -0.914340>,
      < 1.860228, -1.151088, -0.786154>
    }
    triangle {
      < -5.124628, -0.672353, -0.576347>,
      < -5.124703, -0.544217, -0.613105>,
      < -4.902662, -0.537765, -0.640457>
    }
    triangle {
      < -5.124628, -0.672353, -0.576347>,
      < -4.902662, -0.537765, -0.640457>,
      < -4.902575, -0.683724, -0.613055>
    }
    triangle {
      < -4.902575, -0.683724, -0.613055>,
      < -4.902662, -0.537765, -0.640457>,
      < -4.568701, -0.528437, -0.677170>
    }
    triangle {
      < -4.902575, -0.683724, -0.613055>,
      < -4.568701, -0.528437, -0.677170>,
      < -4.568597, -0.704076, -0.658757>
    }
    triangle {
      < -4.568597, -0.704076, -0.658757>,
      < -4.568701, -0.528437, -0.677170>,
      < -4.214639, -0.517685, -0.713517>
    }
    triangle {
      < -4.568597, -0.704076, -0.658757>,
      < -4.214639, -0.517685, -0.713517>,
      < -4.214490, -0.768620, -0.695082>
    }
    triangle {
      < -4.214490, -0.768620, -0.695082>,
      < -4.214639, -0.517685, -0.713517>,
      < -3.880511, -0.523766, -0.740863>
    }
    triangle {
      < -4.214490, -0.768620, -0.695082>,
      < -3.880511, -0.523766, -0.740863>,
      < -3.880349, -0.796605, -0.722782>
    }
    triangle {
      < -3.880349, -0.796605, -0.722782>,
      < -3.880511, -0.523766, -0.740863>,
      < -3.343561, -0.531077, -0.786556>
    }
    triangle {
      < -3.880349, -0.796605, -0.722782>,
      < -3.343561, -0.531077, -0.786556>,
      < -3.343365, -0.861092, -0.786459>
    }
    triangle {
      < -3.343365, -0.861092, -0.786459>,
      < -3.343561, -0.531077, -0.786556>,
      < -2.977438, -0.547808, -0.814256>
    }
    triangle {
      < -3.343365, -0.861092, -0.786459>,
      < -2.977438, -0.547808, -0.814256>,
      < -2.977238, -0.885059, -0.823157>
    }
    triangle {
      < -2.977238, -0.885059, -0.823157>,
      < -2.977438, -0.547808, -0.814256>,
      < -2.351766, -0.600105, -0.859934>
    }
    triangle {
      < -2.977238, -0.885059, -0.823157>,
      < -2.351766, -0.600105, -0.859934>,
      < -2.351588, -0.901357, -0.859845>
    }
    triangle {
      < -2.351588, -0.901357, -0.859845>,
      < -2.351766, -0.600105, -0.859934>,
      < -1.874467, -0.607641, -0.896273>
    }
    triangle {
      < -2.351588, -0.901357, -0.859845>,
      < -1.874467, -0.607641, -0.896273>,
      < -1.874285, -0.915211, -0.896183>
    }
    triangle {
      < -1.874285, -0.915211, -0.896183>,
      < -1.874467, -0.607641, -0.896273>,
      < -1.752378, -0.618928, -0.896264>
    }
    triangle {
      < -1.874285, -0.915211, -0.896183>,
      < -1.752378, -0.618928, -0.896264>,
      < -1.752204, -0.912543, -0.905536>
    }
    triangle {
      < -1.752204, -0.912543, -0.905536>,
      < -1.752378, -0.618928, -0.896264>,
      < -1.599301, -0.618747, -0.896258>
    }
    triangle {
      < -1.752204, -0.912543, -0.905536>,
      < -1.599301, -0.618747, -0.896258>,
      < -1.599121, -0.921631, -0.914529>
    }
    triangle {
      < -1.599121, -0.921631, -0.914529>,
      < -1.599301, -0.618747, -0.896258>,
      < -1.296258, -0.614562, -0.914608>
    }
    triangle {
      < -1.599121, -0.921631, -0.914529>,
      < -1.296258, -0.614562, -0.914608>,
      < -1.296076, -0.922628, -0.932874>
    }
    triangle {
      < -1.296076, -0.922628, -0.932874>,
      < -1.296258, -0.614562, -0.914608>,
      < -0.851964, -0.625975, -0.941944>
    }
    triangle {
      < -1.296076, -0.922628, -0.932874>,
      < -0.851964, -0.625975, -0.941944>,
      < -0.851768, -0.956859, -0.960206>
    }
    triangle {
      < -0.851768, -0.956859, -0.960206>,
      < -0.851964, -0.625975, -0.941944>,
      < -0.405492, -0.638527, -0.978644>
    }
    triangle {
      < -0.851768, -0.956859, -0.960206>,
      < -0.405492, -0.638527, -0.978644>,
      < -0.405294, -0.971999, -0.987543>
    }
    triangle {
      < -0.405294, -0.971999, -0.987543>,
      < -0.405492, -0.638527, -0.978644>,
      < 0.030678, -0.669253, -0.987618>
    }
    triangle {
      < -0.405294, -0.971999, -0.987543>,
      < 0.030678, -0.669253, -0.987618>,
      < 0.030855, -0.966734, -1.014887>
    }
    triangle {
      < 0.030855, -0.966734, -1.014887>,
      < 0.030678, -0.669253, -0.987618>,
      < 0.546221, -0.729467, -0.996936>
    }
    triangle {
      < 0.030855, -0.966734, -1.014887>,
      < 0.546221, -0.729467, -0.996936>,
      < 0.546390, -1.013821, -1.024211>
    }
    triangle {
      < 0.546390, -1.013821, -1.024211>,
      < 0.546221, -0.729467, -0.996936>,
      < 1.050573, -0.787369, -0.996900>
    }
    triangle {
      < 0.546390, -1.013821, -1.024211>,
      < 1.050573, -0.787369, -0.996900>,
      < 1.050721, -1.036686, -1.005825>
    }
    triangle {
      < 1.050721, -1.036686, -1.005825>,
      < 1.050573, -0.787369, -0.996900>,
      < 1.478307, -0.822915, -0.969149>
    }
    triangle {
      < 1.050721, -1.036686, -1.005825>,
      < 1.478307, -0.822915, -0.969149>,
      < 1.478446, -1.058222, -0.978438>
    }
    triangle {
      < 1.478446, -1.058222, -0.978438>,
      < 1.478307, -0.822915, -0.969149>,
      < 1.591646, -0.844741, -0.960137>
    }
    triangle {
      < 1.478446, -1.058222, -0.978438>,
      < 1.591646, -0.844741, -0.960137>,
      < 1.591778, -1.068598, -0.969069>
    }
    triangle {
      < 1.591778, -1.068598, -0.969069>,
      < 1.591646, -0.844741, -0.960137>,
      < 1.831692, -0.873114, -0.905398>
    }
    triangle {
      < 1.591778, -1.068598, -0.969069>,
      < 1.831692, -0.873114, -0.905398>,
      < 1.831807, -1.066938, -0.914340>
    }
    triangle {
      < -5.124703, -0.544217, -0.613105>,
      < -5.124813, -0.359244, -0.576440>,
      < -4.902775, -0.347443, -0.622153>
    }
    triangle {
      < -5.124703, -0.544217, -0.613105>,
      < -4.902775, -0.347443, -0.622153>,
      < -4.902662, -0.537765, -0.640457>
    }
    triangle {
      < -4.902662, -0.537765, -0.640457>,
      < -4.902775, -0.347443, -0.622153>,
      < -4.568810, -0.343518, -0.649505>
    }
    triangle {
      < -4.902662, -0.537765, -0.640457>,
      < -4.568810, -0.343518, -0.649505>,
      < -4.568701, -0.528437, -0.677170>
    }
    triangle {
      < -4.568701, -0.528437, -0.677170>,
      < -4.568810, -0.343518, -0.649505>,
      < -4.214752, -0.326448, -0.686214>
    }
    triangle {
      < -4.568701, -0.528437, -0.677170>,
      < -4.214752, -0.326448, -0.686214>,
      < -4.214639, -0.517685, -0.713517>
    }
    triangle {
      < -4.214639, -0.517685, -0.713517>,
      < -4.214752, -0.326448, -0.686214>,
      < -3.880637, -0.310441, -0.713567>
    }
    triangle {
      < -4.214639, -0.517685, -0.713517>,
      < -3.880637, -0.310441, -0.713567>,
      < -3.880511, -0.523766, -0.740863>
    }
    triangle {
      < -3.880511, -0.523766, -0.740863>,
      < -3.880637, -0.310441, -0.713567>,
      < -3.343677, -0.335983, -0.777615>
    }
    triangle {
      < -3.880511, -0.523766, -0.740863>,
      < -3.343677, -0.335983, -0.777615>,
      < -3.343561, -0.531077, -0.786556>
    }
    triangle {
      < -3.343561, -0.531077, -0.786556>,
      < -3.343677, -0.335983, -0.777615>,
      < -2.977570, -0.325219, -0.795962>
    }
    triangle {
      < -3.343561, -0.531077, -0.786556>,
      < -2.977570, -0.325219, -0.795962>,
      < -2.977438, -0.547808, -0.814256>
    }
    triangle {
      < -2.977438, -0.547808, -0.814256>,
      < -2.977570, -0.325219, -0.795962>,
      < -2.351919, -0.341571, -0.841652>
    }
    triangle {
      < -2.977438, -0.547808, -0.814256>,
      < -2.351919, -0.341571, -0.841652>,
      < -2.351766, -0.600105, -0.859934>
    }
    triangle {
      < -2.351766, -0.600105, -0.859934>,
      < -2.351919, -0.341571, -0.841652>,
      < -1.874639, -0.319019, -0.869000>
    }
    triangle {
      < -2.351766, -0.600105, -0.859934>,
      < -1.874639, -0.319019, -0.869000>,
      < -1.874467, -0.607641, -0.896273>
    }
    triangle {
      < -1.874467, -0.607641, -0.896273>,
      < -1.874639, -0.319019, -0.869000>,
      < -1.752555, -0.320129, -0.877994>
    }
    triangle {
      < -1.874467, -0.607641, -0.896273>,
      < -1.752555, -0.320129, -0.877994>,
      < -1.752378, -0.618928, -0.896264>
    }
    triangle {
      < -1.752378, -0.618928, -0.896264>,
      < -1.752555, -0.320129, -0.877994>,
      < -1.599476, -0.322895, -0.877987>
    }
    triangle {
      < -1.752378, -0.618928, -0.896264>,
      < -1.599476, -0.322895, -0.877987>,
      < -1.599301, -0.618747, -0.896258>
    }
    triangle {
      < -1.599301, -0.618747, -0.896258>,
      < -1.599476, -0.322895, -0.877987>,
      < -1.296426, -0.331535, -0.905692>
    }
    triangle {
      < -1.599301, -0.618747, -0.896258>,
      < -1.296426, -0.331535, -0.905692>,
      < -1.296258, -0.614562, -0.914608>
    }
    triangle {
      < -1.296258, -0.614562, -0.914608>,
      < -1.296426, -0.331535, -0.905692>,
      < -0.852118, -0.367393, -0.933021>
    }
    triangle {
      < -1.296258, -0.614562, -0.914608>,
      < -0.852118, -0.367393, -0.933021>,
      < -0.851964, -0.625975, -0.941944>
    }
    triangle {
      < -0.851964, -0.625975, -0.941944>,
      < -0.852118, -0.367393, -0.933021>,
      < -0.405622, -0.419799, -0.960348>
    }
    triangle {
      < -0.851964, -0.625975, -0.941944>,
      < -0.405622, -0.419799, -0.960348>,
      < -0.405492, -0.638527, -0.978644>
    }
    triangle {
      < -0.405492, -0.638527, -0.978644>,
      < -0.405622, -0.419799, -0.960348>,
      < 0.030559, -0.467433, -0.978677>
    }
    triangle {
      < -0.405492, -0.638527, -0.978644>,
      < 0.030559, -0.467433, -0.978677>,
      < 0.030678, -0.669253, -0.987618>
    }
    triangle {
      < 0.030678, -0.669253, -0.987618>,
      < 0.030559, -0.467433, -0.978677>,
      < 0.546135, -0.583500, -0.996979>
    }
    triangle {
      < 0.030678, -0.669253, -0.987618>,
      < 0.546135, -0.583500, -0.996979>,
      < 0.546221, -0.729467, -0.996936>
    }
    triangle {
      < 0.546221, -0.729467, -0.996936>,
      < 0.546135, -0.583500, -0.996979>,
      < 1.050465, -0.605047, -0.987593>
    }
    triangle {
      < 0.546221, -0.729467, -0.996936>,
      < 1.050465, -0.605047, -0.987593>,
      < 1.050573, -0.787369, -0.996900>
    }
    triangle {
      < 1.050573, -0.787369, -0.996900>,
      < 1.050465, -0.605047, -0.987593>,
      < 1.478182, -0.613455, -0.960212>
    }
    triangle {
      < 1.050573, -0.787369, -0.996900>,
      < 1.478182, -0.613455, -0.960212>,
      < 1.478307, -0.822915, -0.969149>
    }
    triangle {
      < 1.478307, -0.822915, -0.969149>,
      < 1.478182, -0.613455, -0.960212>,
      < 1.591508, -0.611969, -0.932847>
    }
    triangle {
      < 1.478307, -0.822915, -0.969149>,
      < 1.591508, -0.611969, -0.932847>,
      < 1.591646, -0.844741, -0.960137>
    }
    triangle {
      < 1.591646, -0.844741, -0.960137>,
      < 1.591508, -0.611969, -0.932847>,
      < 1.831554, -0.640342, -0.877748>
    }
    triangle {
      < 1.591646, -0.844741, -0.960137>,
      < 1.831554, -0.640342, -0.877748>,
      < 1.831692, -0.873114, -0.905398>
    }
    triangle {
      < -5.124813, -0.359244, -0.576440>,
      < -5.124906, -0.203071, -0.494407>,
      < -4.902864, -0.197540, -0.540119>
    }
    triangle {
      < -5.124813, -0.359244, -0.576440>,
      < -4.902864, -0.197540, -0.540119>,
      < -4.902775, -0.347443, -0.622153>
    }
    triangle {
      < -4.902775, -0.347443, -0.622153>,
      < -4.902864, -0.197540, -0.540119>,
      < -4.568901, -0.190802, -0.576469>
    }
    triangle {
      < -4.902775, -0.347443, -0.622153>,
      < -4.568901, -0.190802, -0.576469>,
      < -4.568810, -0.343518, -0.649505>
    }
    triangle {
      < -4.568810, -0.343518, -0.649505>,
      < -4.568901, -0.190802, -0.576469>,
      < -4.214828, -0.199551, -0.622171>
    }
    triangle {
      < -4.568810, -0.343518, -0.649505>,
      < -4.214828, -0.199551, -0.622171>,
      < -4.214752, -0.326448, -0.686214>
    }
    triangle {
      < -4.214752, -0.326448, -0.686214>,
      < -4.214828, -0.199551, -0.622171>,
      < -3.880710, -0.186488, -0.640523>
    }
    triangle {
      < -4.214752, -0.326448, -0.686214>,
      < -3.880710, -0.186488, -0.640523>,
      < -3.880637, -0.310441, -0.713567>
    }
    triangle {
      < -3.880637, -0.310441, -0.713567>,
      < -3.880710, -0.186488, -0.640523>,
      < -3.343758, -0.198851, -0.695216>
    }
    triangle {
      < -3.880637, -0.310441, -0.713567>,
      < -3.343758, -0.198851, -0.695216>,
      < -3.343677, -0.335983, -0.777615>
    }
    triangle {
      < -3.343677, -0.335983, -0.777615>,
      < -3.343758, -0.198851, -0.695216>,
      < -2.977644, -0.200913, -0.731918>
    }
    triangle {
      < -3.343677, -0.335983, -0.777615>,
      < -2.977644, -0.200913, -0.731918>,
      < -2.977570, -0.325219, -0.795962>
    }
    triangle {
      < -2.977570, -0.325219, -0.795962>,
      < -2.977644, -0.200913, -0.731918>,
      < -2.352006, -0.195177, -0.777614>
    }
    triangle {
      < -2.977570, -0.325219, -0.795962>,
      < -2.352006, -0.195177, -0.777614>,
      < -2.351919, -0.341571, -0.841652>
    }
    triangle {
      < -2.351919, -0.341571, -0.841652>,
      < -2.352006, -0.195177, -0.777614>,
      < -1.874722, -0.178076, -0.786604>
    }
    triangle {
      < -2.351919, -0.341571, -0.841652>,
      < -1.874722, -0.178076, -0.786604>,
      < -1.874639, -0.319019, -0.869000>
    }
    triangle {
      < -1.874639, -0.319019, -0.869000>,
      < -1.874722, -0.178076, -0.786604>,
      < -1.752630, -0.192316, -0.804952>
    }
    triangle {
      < -1.874639, -0.319019, -0.869000>,
      < -1.752630, -0.192316, -0.804952>,
      < -1.752555, -0.320129, -0.877994>
    }
    triangle {
      < -1.752555, -0.320129, -0.877994>,
      < -1.752630, -0.192316, -0.804952>,
      < -1.599558, -0.184492, -0.795949>
    }
    triangle {
      < -1.752555, -0.320129, -0.877994>,
      < -1.599558, -0.184492, -0.795949>,
      < -1.599476, -0.322895, -0.877987>
    }
    triangle {
      < -1.599476, -0.322895, -0.877987>,
      < -1.599558, -0.184492, -0.795949>,
      < -1.296491, -0.221491, -0.832284>
    }
    triangle {
      < -1.599476, -0.322895, -0.877987>,
      < -1.296491, -0.221491, -0.832284>,
      < -1.296426, -0.331535, -0.905692>
    }
    triangle {
      < -1.296426, -0.331535, -0.905692>,
      < -1.296491, -0.221491, -0.832284>,
      < -0.852193, -0.240490, -0.850620>
    }
    triangle {
      < -1.296426, -0.331535, -0.905692>,
      < -0.852193, -0.240490, -0.850620>,
      < -0.852118, -0.367393, -0.933021>
    }
    triangle {
      < -0.852118, -0.367393, -0.933021>,
      < -0.852193, -0.240490, -0.850620>,
      < -0.405704, -0.280126, -0.877950>
    }
    triangle {
      < -0.852118, -0.367393, -0.933021>,
      < -0.405704, -0.280126, -0.877950>,
      < -0.405622, -0.419799, -0.960348>
    }
    triangle {
      < -0.405622, -0.419799, -0.960348>,
      < -0.405704, -0.280126, -0.877950>,
      < 0.030483, -0.339264, -0.905635>
    }
    triangle {
      < -0.405622, -0.419799, -0.960348>,
      < 0.030483, -0.339264, -0.905635>,
      < 0.030559, -0.467433, -0.978677>
    }
    triangle {
      < 0.030559, -0.467433, -0.978677>,
      < 0.030483, -0.339264, -0.905635>,
      < 0.546058, -0.454016, -0.941938>
    }
    triangle {
      < 0.030559, -0.467433, -0.978677>,
      < 0.546058, -0.454016, -0.941938>,
      < 0.546135, -0.583500, -0.996979>
    }
    triangle {
      < 0.546135, -0.583500, -0.996979>,
      < 0.546058, -0.454016, -0.941938>,
      < 1.050411, -0.513188, -0.941900>
    }
    triangle {
      < 0.546135, -0.583500, -0.996979>,
      < 1.050411, -0.513188, -0.941900>,
      < 1.050465, -0.605047, -0.987593>
    }
    triangle {
      < 1.050465, -0.605047, -0.987593>,
      < 1.050411, -0.513188, -0.941900>,
      < 1.478145, -0.550005, -0.923510>
    }
    triangle {
      < 1.050465, -0.605047, -0.987593>,
      < 1.478145, -0.550005, -0.923510>,
      < 1.478182, -0.613455, -0.960212>
    }
    triangle {
      < 1.478182, -0.613455, -0.960212>,
      < 1.478145, -0.550005, -0.923510>,
      < 1.591481, -0.566693, -0.887140>
    }
    triangle {
      < 1.478182, -0.613455, -0.960212>,
      < 1.591481, -0.566693, -0.887140>,
      < 1.591508, -0.611969, -0.932847>
    }
    triangle {
      < 1.591508, -0.611969, -0.932847>,
      < 1.591481, -0.566693, -0.887140>,
      < 1.831528, -0.595071, -0.850401>
    }
    triangle {
      < 1.591508, -0.611969, -0.932847>,
      < 1.831528, -0.595071, -0.850401>,
      < 1.831554, -0.640342, -0.877748>
    }
    triangle {
      < -5.124906, -0.203071, -0.494407>,
      < -4.986465, -0.103165, -0.384636>,
      < -4.902922, -0.099394, -0.430347>
    }
    triangle {
      < -5.124906, -0.203071, -0.494407>,
      < -4.902922, -0.099394, -0.430347>,
      < -4.902864, -0.197540, -0.540119>
    }
    triangle {
      < -4.902864, -0.197540, -0.540119>,
      < -4.902922, -0.099394, -0.430347>,
      < -4.568950, -0.107887, -0.476054>
    }
    triangle {
      < -4.902864, -0.197540, -0.540119>,
      < -4.568950, -0.107887, -0.476054>,
      < -4.568901, -0.190802, -0.576469>
    }
    triangle {
      < -4.568901, -0.190802, -0.576469>,
      < -4.568950, -0.107887, -0.476054>,
      < -4.214876, -0.117911, -0.540114>
    }
    triangle {
      < -4.568901, -0.190802, -0.576469>,
      < -4.214876, -0.117911, -0.540114>,
      < -4.214828, -0.199551, -0.622171>
    }
    triangle {
      < -4.214828, -0.199551, -0.622171>,
      < -4.214876, -0.117911, -0.540114>,
      < -3.880742, -0.133208, -0.567457>
    }
    triangle {
      < -4.214828, -0.199551, -0.622171>,
      < -3.880742, -0.133208, -0.567457>,
      < -3.880710, -0.186488, -0.640523>
    }
    triangle {
      < -3.880710, -0.186488, -0.640523>,
      < -3.880742, -0.133208, -0.567457>,
      < -3.343795, -0.135393, -0.631515>
    }
    triangle {
      < -3.880710, -0.186488, -0.640523>,
      < -3.343795, -0.135393, -0.631515>,
      < -3.343758, -0.198851, -0.695216>
    }
    triangle {
      < -3.343758, -0.198851, -0.695216>,
      < -3.343795, -0.135393, -0.631515>,
      < -2.977688, -0.125952, -0.658862>
    }
    triangle {
      < -3.343758, -0.198851, -0.695216>,
      < -2.977688, -0.125952, -0.658862>,
      < -2.977644, -0.200913, -0.731918>
    }
    triangle {
      < -2.977644, -0.200913, -0.731918>,
      < -2.977688, -0.125952, -0.658862>,
      < -2.352049, -0.122804, -0.695196>
    }
    triangle {
      < -2.977644, -0.200913, -0.731918>,
      < -2.352049, -0.122804, -0.695196>,
      < -2.352006, -0.195177, -0.777614>
    }
    triangle {
      < -2.352006, -0.195177, -0.777614>,
      < -2.352049, -0.122804, -0.695196>,
      < -1.874758, -0.117155, -0.713541>
    }
    triangle {
      < -2.352006, -0.195177, -0.777614>,
      < -1.874758, -0.117155, -0.713541>,
      < -1.874722, -0.178076, -0.786604>
    }
    triangle {
      < -1.874722, -0.178076, -0.786604>,
      < -1.874758, -0.117155, -0.713541>,
      < -1.752673, -0.119940, -0.713533>
    }
    triangle {
      < -1.874722, -0.178076, -0.786604>,
      < -1.752673, -0.119940, -0.713533>,
      < -1.752630, -0.192316, -0.804952>
    }
    triangle {
      < -1.752630, -0.192316, -0.804952>,
      < -1.752673, -0.119940, -0.713533>,
      < -1.599597, -0.119710, -0.722888>
    }
    triangle {
      < -1.752630, -0.192316, -0.804952>,
      < -1.599597, -0.119710, -0.722888>,
      < -1.599558, -0.184492, -0.795949>
    }
    triangle {
      < -1.599558, -0.184492, -0.795949>,
      < -1.599597, -0.119710, -0.722888>,
      < -1.296546, -0.129666, -0.731871>
    }
    triangle {
      < -1.599558, -0.184492, -0.795949>,
      < -1.296546, -0.129666, -0.731871>,
      < -1.296491, -0.221491, -0.832284>
    }
    triangle {
      < -1.296491, -0.221491, -0.832284>,
      < -1.296546, -0.129666, -0.731871>,
      < -0.852247, -0.148668, -0.759206>
    }
    triangle {
      < -1.296491, -0.221491, -0.832284>,
      < -0.852247, -0.148668, -0.759206>,
      < -0.852193, -0.240490, -0.850620>
    }
    triangle {
      < -0.852193, -0.240490, -0.850620>,
      < -0.852247, -0.148668, -0.759206>,
      < -0.405753, -0.198836, -0.777534>
    }
    triangle {
      < -0.852193, -0.240490, -0.850620>,
      < -0.405753, -0.198836, -0.777534>,
      < -0.405704, -0.280126, -0.877950>
    }
    triangle {
      < -0.405704, -0.280126, -0.877950>,
      < -0.405753, -0.198836, -0.777534>,
      < 0.030428, -0.247388, -0.804863>
    }
    triangle {
      < -0.405704, -0.280126, -0.877950>,
      < 0.030428, -0.247388, -0.804863>,
      < 0.030483, -0.339264, -0.905635>
    }
    triangle {
      < 0.030483, -0.339264, -0.905635>,
      < 0.030428, -0.247388, -0.804863>,
      < 0.546003, -0.360856, -0.795806>
    }
    triangle {
      < 0.030483, -0.339264, -0.905635>,
      < 0.546003, -0.360856, -0.795806>,
      < 0.546058, -0.454016, -0.941938>
    }
    triangle {
      < 0.546058, -0.454016, -0.941938>,
      < 0.546003, -0.360856, -0.795806>,
      < 1.050369, -0.441743, -0.740681>
    }
    triangle {
      < 0.546058, -0.454016, -0.941938>,
      < 1.050369, -0.441743, -0.740681>,
      < 1.050411, -0.513188, -0.941900>
    }
    triangle {
      < 1.050411, -0.513188, -0.941900>,
      < 1.050369, -0.441743, -0.740681>,
      < 1.478130, -0.524139, -0.585477>
    }
    triangle {
      < 1.050411, -0.513188, -0.941900>,
      < 1.478130, -0.524139, -0.585477>,
      < 1.478145, -0.550005, -0.923510>
    }
    triangle {
      < 1.478145, -0.550005, -0.923510>,
      < 1.478130, -0.524139, -0.585477>,
      < 1.591466, -0.540826, -0.548748>
    }
    triangle {
      < 1.478145, -0.550005, -0.923510>,
      < 1.591466, -0.540826, -0.548748>,
      < 1.591481, -0.566693, -0.887140>
    }
    triangle {
      < 1.591481, -0.566693, -0.887140>,
      < 1.591466, -0.540826, -0.548748>,
      < 1.831518, -0.579374, -0.475645>
    }
    triangle {
      < 1.591481, -0.566693, -0.887140>,
      < 1.831518, -0.579374, -0.475645>,
      < 1.831528, -0.595071, -0.850401>
    }
    triangle {
      < -5.848596, -0.162084, -0.229127>,
      < -5.848690, -0.003672, -0.347962>,
      < -5.608013, -0.003503, -0.302255>
    }
    triangle {
      < -5.848596, -0.162084, -0.229127>,
      < -5.608013, -0.003503, -0.302255>,
      < -5.607922, -0.157950, -0.265844>
    }
    triangle {
      < -5.607922, -0.157950, -0.265844>,
      < -5.608013, -0.003503, -0.302255>,
      < -5.581861, -0.003493, -0.311602>
    }
    triangle {
      < -5.607922, -0.157950, -0.265844>,
      < -5.581861, -0.003493, -0.311602>,
      < -5.581767, -0.161937, -0.293199>
    }
    triangle {
      < -5.581767, -0.161937, -0.293199>,
      < -5.581861, -0.003493, -0.311602>,
      < -5.430585, -0.003414, -0.329599>
    }
    triangle {
      < -5.581767, -0.161937, -0.293199>,
      < -5.430585, -0.003414, -0.329599>,
      < -5.430506, -0.137128, -0.293203>
    }
    triangle {
      < -5.430506, -0.137128, -0.293203>,
      < -5.430585, -0.003414, -0.329599>,
      < -5.301818, -0.003343, -0.338959>
    }
    triangle {
      < -5.430506, -0.137128, -0.293203>,
      < -5.301818, -0.003343, -0.338959>,
      < -5.301741, -0.133056, -0.311560>
    }
    triangle {
      < -5.301741, -0.133056, -0.311560>,
      < -5.301818, -0.003343, -0.338959>,
      < -4.986524, -0.003183, -0.384671>
    }
    triangle {
      < -5.301741, -0.133056, -0.311560>,
      < -4.986524, -0.003183, -0.384671>,
      < -4.986465, -0.103165, -0.384636>
    }
    triangle {
      < -4.986465, -0.103165, -0.384636>,
      < -4.986524, -0.003183, -0.384671>,
      < -4.902979, -0.003172, -0.448740>
    }
    triangle {
      < -4.986465, -0.103165, -0.384636>,
      < -4.902979, -0.003172, -0.448740>,
      < -4.902922, -0.099394, -0.430347>
    }
    triangle {
      < -4.902922, -0.099394, -0.430347>,
      < -4.902979, -0.003172, -0.448740>,
      < -4.569012, -0.002995, -0.485089>
    }
    triangle {
      < -4.902922, -0.099394, -0.430347>,
      < -4.569012, -0.002995, -0.485089>,
      < -4.568950, -0.107887, -0.476054>
    }
    triangle {
      < -4.568950, -0.107887, -0.476054>,
      < -4.569012, -0.002995, -0.485089>,
      < -4.214944, -0.002807, -0.521787>
    }
    triangle {
      < -4.568950, -0.107887, -0.476054>,
      < -4.214944, -0.002807, -0.521787>,
      < -4.214876, -0.117911, -0.540114>
    }
    triangle {
      < -4.214876, -0.117911, -0.540114>,
      < -4.214944, -0.002807, -0.521787>,
      < -3.880819, -0.002631, -0.558137>
    }
    triangle {
      < -4.214876, -0.117911, -0.540114>,
      < -3.880819, -0.002631, -0.558137>,
      < -3.880742, -0.133208, -0.567457>
    }
    triangle {
      < -3.880742, -0.133208, -0.567457>,
      < -3.880819, -0.002631, -0.558137>,
      < -3.343874, -0.002350, -0.622199>
    }
    triangle {
      < -3.880742, -0.133208, -0.567457>,
      < -3.343874, -0.002350, -0.622199>,
      < -3.343795, -0.135393, -0.631515>
    }
    triangle {
      < -3.343795, -0.135393, -0.631515>,
      < -3.343874, -0.002350, -0.622199>,
      < -2.977762, -0.002144, -0.640545>
    }
    triangle {
      < -3.343795, -0.135393, -0.631515>,
      < -2.977762, -0.002144, -0.640545>,
      < -2.977688, -0.125952, -0.658862>
    }
    triangle {
      < -2.977688, -0.125952, -0.658862>,
      < -2.977762, -0.002144, -0.640545>,
      < -2.352121, -0.001795, -0.677238>
    }
    triangle {
      < -2.977688, -0.125952, -0.658862>,
      < -2.352121, -0.001795, -0.677238>,
      < -2.352049, -0.122804, -0.695196>
    }
    triangle {
      < -2.352049, -0.122804, -0.695196>,
      < -2.352121, -0.001795, -0.677238>,
      < -1.874827, -0.001523, -0.695224>
    }
    triangle {
      < -2.352049, -0.122804, -0.695196>,
      < -1.874827, -0.001523, -0.695224>,
      < -1.874758, -0.117155, -0.713541>
    }
    triangle {
      < -1.874758, -0.117155, -0.713541>,
      < -1.874827, -0.001523, -0.695224>,
      < -1.752744, -0.001456, -0.704582>
    }
    triangle {
      < -1.874758, -0.117155, -0.713541>,
      < -1.752744, -0.001456, -0.704582>,
      < -1.752673, -0.119940, -0.713533>
    }
    triangle {
      < -1.752673, -0.119940, -0.713533>,
      < -1.752744, -0.001456, -0.704582>,
      < -1.599667, -0.001366, -0.704579>
    }
    triangle {
      < -1.752673, -0.119940, -0.713533>,
      < -1.599667, -0.001366, -0.704579>,
      < -1.599597, -0.119710, -0.722888>
    }
    triangle {
      < -1.599597, -0.119710, -0.722888>,
      < -1.599667, -0.001366, -0.704579>,
      < -1.296622, -0.001191, -0.713565>
    }
    triangle {
      < -1.599597, -0.119710, -0.722888>,
      < -1.296622, -0.001191, -0.713565>,
      < -1.296546, -0.129666, -0.731871>
    }
    triangle {
      < -1.296546, -0.129666, -0.731871>,
      < -1.296622, -0.001191, -0.713565>,
      < -0.852335, -0.000939, -0.731905>
    }
    triangle {
      < -1.296546, -0.129666, -0.731871>,
      < -0.852335, -0.000939, -0.731905>,
      < -0.852247, -0.148668, -0.759206>
    }
    triangle {
      < -0.852247, -0.148668, -0.759206>,
      < -0.852335, -0.000939, -0.731905>,
      < -0.405870, -0.000690, -0.759254>
    }
    triangle {
      < -0.852247, -0.148668, -0.759206>,
      < -0.405870, -0.000690, -0.759254>,
      < -0.405753, -0.198836, -0.777534>
    }
    triangle {
      < -0.405753, -0.198836, -0.777534>,
      < -0.405870, -0.000690, -0.759254>,
      < 0.030282, -0.000448, -0.786595>
    }
    triangle {
      < -0.405753, -0.198836, -0.777534>,
      < 0.030282, -0.000448, -0.786595>,
      < 0.030428, -0.247388, -0.804863>
    }
    triangle {
      < 0.030428, -0.247388, -0.804863>,
      < 0.030282, -0.000448, -0.786595>,
      < 0.545789, -0.000159, -0.814291>
    }
    triangle {
      < 0.030428, -0.247388, -0.804863>,
      < 0.545789, -0.000159, -0.814291>,
      < 0.546003, -0.360856, -0.795806>
    }
    triangle {
      < -5.124447, -0.976738, -0.352336>,
      < -5.124534, -0.830145, -0.466499>,
      < -4.902478, -0.849157, -0.503205>
    }
    triangle {
      < -5.124447, -0.976738, -0.352336>,
      < -4.902478, -0.849157, -0.503205>,
      < -4.902411, -0.961677, -0.366011>
    }
    triangle {
      < -4.902411, -0.961677, -0.366011>,
      < -4.902478, -0.849157, -0.503205>,
      < -4.568493, -0.878768, -0.530545>
    }
    triangle {
      < -4.902411, -0.961677, -0.366011>,
      < -4.568493, -0.878768, -0.530545>,
      < -4.568435, -0.976969, -0.374994>
    }
    triangle {
      < -4.568435, -0.976969, -0.374994>,
      < -4.568493, -0.878768, -0.530545>,
      < -4.214397, -0.925136, -0.567235>
    }
    triangle {
      < -4.568435, -0.976969, -0.374994>,
      < -4.214397, -0.925136, -0.567235>,
      < -4.214361, -0.987029, -0.393334>
    }
    triangle {
      < -4.214361, -0.987029, -0.393334>,
      < -4.214397, -0.925136, -0.567235>,
      < -3.880255, -0.955707, -0.576214>
    }
    triangle {
      < -4.214361, -0.987029, -0.393334>,
      < -3.880255, -0.955707, -0.576214>,
      < -3.880223, -1.008643, -0.411676>
    }
    triangle {
      < -3.880223, -1.008643, -0.411676>,
      < -3.880255, -0.955707, -0.576214>,
      < -3.343295, -0.979941, -0.676983>
    }
    triangle {
      < -3.880223, -1.008643, -0.411676>,
      < -3.343295, -0.979941, -0.676983>,
      < -3.343271, -1.019723, -0.430011>
    }
    triangle {
      < -3.343271, -1.019723, -0.430011>,
      < -3.343295, -0.979941, -0.676983>,
      < -2.977183, -0.978094, -0.722688>
    }
    triangle {
      < -3.343271, -1.019723, -0.430011>,
      < -2.977183, -0.978094, -0.722688>,
      < -2.977154, -1.027186, -0.448352>
    }
    triangle {
      < -2.977154, -1.027186, -0.448352>,
      < -2.977183, -0.978094, -0.722688>,
      < -2.351532, -0.994446, -0.768377>
    }
    triangle {
      < -2.977154, -1.027186, -0.448352>,
      < -2.351532, -0.994446, -0.768377>,
      < -2.351512, -1.027894, -0.466325>
    }
    triangle {
      < -2.351512, -1.027894, -0.466325>,
      < -2.351532, -0.994446, -0.768377>,
      < -1.874231, -1.006979, -0.804716>
    }
    triangle {
      < -2.351512, -1.027894, -0.466325>,
      < -1.874231, -1.006979, -0.804716>,
      < -1.874210, -1.041689, -0.475664>
    }
    triangle {
      < -1.874210, -1.041689, -0.475664>,
      < -1.874231, -1.006979, -0.804716>,
      < -1.752156, -0.992860, -0.814074>
    }
    triangle {
      < -1.874210, -1.041689, -0.475664>,
      < -1.752156, -0.992860, -0.814074>,
      < -1.752124, -1.047462, -0.475655>
    }
    triangle {
      < -1.752124, -1.047462, -0.475655>,
      < -1.752156, -0.992860, -0.814074>,
      < -1.599073, -1.002862, -0.823065>
    }
    triangle {
      < -1.752124, -1.047462, -0.475655>,
      < -1.599073, -1.002862, -0.823065>,
      < -1.599043, -1.053218, -0.475648>
    }
    triangle {
      < -1.599043, -1.053218, -0.475648>,
      < -1.599073, -1.002862, -0.823065>,
      < -1.296021, -1.014446, -0.841407>
    }
    triangle {
      < -1.599043, -1.053218, -0.475648>,
      < -1.296021, -1.014446, -0.841407>,
      < -1.295991, -1.064730, -0.475631>
    }
    triangle {
      < -1.295991, -1.064730, -0.475631>,
      < -1.296021, -1.014446, -0.841407>,
      < -0.851729, -1.022864, -0.877746>
    }
    triangle {
      < -1.295991, -1.064730, -0.475631>,
      < -0.851729, -1.022864, -0.877746>,
      < -0.851695, -1.079866, -0.484608>
    }
    triangle {
      < -0.851695, -1.079866, -0.484608>,
      < -0.851729, -1.022864, -0.877746>,
      < -0.405257, -1.035413, -0.905445>
    }
    triangle {
      < -0.851695, -1.079866, -0.484608>,
      < -0.405257, -1.035413, -0.905445>,
      < -0.405221, -1.096265, -0.475585>
    }
    triangle {
      < -0.405221, -1.096265, -0.475585>,
      < -0.405257, -1.035413, -0.905445>,
      < 0.030910, -1.059822, -0.923419>
    }
    triangle {
      < -0.405221, -1.096265, -0.475585>,
      < 0.030910, -1.059822, -0.923419>,
      < 0.030942, -1.113988, -0.457201>
    }
    triangle {
      < 0.030942, -1.113988, -0.457201>,
      < 0.030910, -1.059822, -0.923419>,
      < 0.546435, -1.090411, -0.932748>
    }
    triangle {
      < 0.030942, -1.113988, -0.457201>,
      < 0.546435, -1.090411, -0.932748>,
      < 0.546466, -1.141978, -0.438811>
    }
    triangle {
      < 0.546466, -1.141978, -0.438811>,
      < 0.546435, -1.090411, -0.932748>,
      < 1.050766, -1.111907, -0.923361>
    }
    triangle {
      < 0.546466, -1.141978, -0.438811>,
      < 1.050766, -1.111907, -0.923361>,
      < 1.050799, -1.168508, -0.384065>
    }
    triangle {
      < 1.050799, -1.168508, -0.384065>,
      < 1.050766, -1.111907, -0.923361>,
      < 1.478500, -1.150043, -0.895971>
    }
    triangle {
      < 1.050799, -1.168508, -0.384065>,
      < 1.478500, -1.150043, -0.895971>,
      < 1.478534, -1.206993, -0.328954>
    }
    triangle {
      < 1.478534, -1.206993, -0.328954>,
      < 1.478500, -1.150043, -0.895971>,
      < 1.591833, -1.160414, -0.868602>
    }
    triangle {
      < 1.478534, -1.206993, -0.328954>,
      < 1.591833, -1.160414, -0.868602>,
      < 1.591863, -1.210637, -0.301586>
    }
    triangle {
      < 1.591863, -1.210637, -0.301586>,
      < 1.591833, -1.160414, -0.868602>,
      < 1.860228, -1.151088, -0.786154>
    }
    triangle {
      < 1.591863, -1.210637, -0.301586>,
      < 1.860228, -1.151088, -0.786154>,
      < 1.915961, -1.214112, -0.255853>
    }
    triangle {
      < 1.915961, -1.214112, -0.255853>,
      < 1.860228, -1.151088, -0.786154>,
      < 2.226196, -1.175346, -0.603252>
    }
    triangle {
      < 1.915961, -1.214112, -0.255853>,
      < 2.226196, -1.175346, -0.603252>,
      < 2.318302, -1.175243, -0.207707>
    }
    triangle {
      < -5.340951, -1.282870, -0.347575>,
      < -5.311916, -0.991778, -0.338660>,
      < -5.124447, -0.976738, -0.352336>
    }
    triangle {
      < -5.340951, -1.282870, -0.347575>,
      < -5.124447, -0.976738, -0.352336>,
      < -5.124230, -1.342093, -0.365908>
    }
    triangle {
      < -5.124230, -1.342093, -0.365908>,
      < -5.124447, -0.976738, -0.352336>,
      < -4.902411, -0.961677, -0.366011>
    }
    triangle {
      < -5.124230, -1.342093, -0.365908>,
      < -4.902411, -0.961677, -0.366011>,
      < -4.902168, -1.371633, -0.374890>
    }
    triangle {
      < -4.902168, -1.371633, -0.374890>,
      < -4.902411, -0.961677, -0.366011>,
      < -4.568435, -0.976969, -0.374994>
    }
    triangle {
      < -4.902168, -1.371633, -0.374890>,
      < -4.568435, -0.976969, -0.374994>,
      < -4.568168, -1.427141, -0.393220>
    }
    triangle {
      < -4.568168, -1.427141, -0.393220>,
      < -4.568435, -0.976969, -0.374994>,
      < -4.214361, -0.987029, -0.393334>
    }
    triangle {
      < -4.568168, -1.427141, -0.393220>,
      < -4.214361, -0.987029, -0.393334>,
      < -4.214069, -1.478552, -0.411550>
    }
    triangle {
      < -4.214069, -1.478552, -0.411550>,
      < -4.214361, -0.987029, -0.393334>,
      < -3.880223, -1.008643, -0.411676>
    }
    triangle {
      < -4.214069, -1.478552, -0.411550>,
      < -3.880223, -1.008643, -0.411676>,
      < -3.879940, -1.487171, -0.429894>
    }
    triangle {
      < -3.879940, -1.487171, -0.429894>,
      < -3.880223, -1.008643, -0.411676>,
      < -3.343271, -1.019723, -0.430011>
    }
    triangle {
      < -3.879940, -1.487171, -0.429894>,
      < -3.343271, -1.019723, -0.430011>,
      < -3.343007, -1.466151, -0.393156>
    }
    triangle {
      < -3.343007, -1.466151, -0.393156>,
      < -3.343271, -1.019723, -0.430011>,
      < -2.977154, -1.027186, -0.448352>
    }
    triangle {
      < -3.343007, -1.466151, -0.393156>,
      < -2.977154, -1.027186, -0.448352>,
      < -2.976909, -1.439654, -0.365790>
    }
    triangle {
      < -2.976909, -1.439654, -0.365790>,
      < -2.977154, -1.027186, -0.448352>,
      < -2.351512, -1.027894, -0.466325>
    }
    triangle {
      < -2.976909, -1.439654, -0.365790>,
      < -2.351512, -1.027894, -0.466325>,
      < -2.351294, -1.396397, -0.301695>
    }
    triangle {
      < -2.351294, -1.396397, -0.301695>,
      < -2.351512, -1.027894, -0.466325>,
      < -1.874210, -1.041689, -0.475664>
    }
    triangle {
      < -2.351294, -1.396397, -0.301695>,
      < -1.874210, -1.041689, -0.475664>,
      < -1.874045, -1.319666, -0.311060>
    }
    triangle {
      < -1.874045, -1.319666, -0.311060>,
      < -1.874210, -1.041689, -0.475664>,
      < -1.752124, -1.047462, -0.475655>
    }
    triangle {
      < -1.874045, -1.319666, -0.311060>,
      < -1.752124, -1.047462, -0.475655>,
      < -1.751979, -1.291150, -0.320063>
    }
    triangle {
      < -1.751979, -1.291150, -0.320063>,
      < -1.752124, -1.047462, -0.475655>,
      < -1.599043, -1.053218, -0.475648>
    }
    triangle {
      < -1.751979, -1.291150, -0.320063>,
      < -1.599043, -1.053218, -0.475648>,
      < -1.598911, -1.275694, -0.338422>
    }
    triangle {
      < -1.598911, -1.275694, -0.338422>,
      < -1.599043, -1.053218, -0.475648>,
      < -1.295991, -1.064730, -0.475631>
    }
    triangle {
      < -1.598911, -1.275694, -0.338422>,
      < -1.295991, -1.064730, -0.475631>,
      < -1.295867, -1.274149, -0.347409>
    }
    triangle {
      < -1.295867, -1.274149, -0.347409>,
      < -1.295991, -1.064730, -0.475631>,
      < -0.851695, -1.079866, -0.484608>
    }
    triangle {
      < -1.295867, -1.274149, -0.347409>,
      < -0.851695, -1.079866, -0.484608>,
      < -0.851596, -1.246568, -0.374758>
    }
    triangle {
      < -0.851596, -1.246568, -0.374758>,
      < -0.851695, -1.079866, -0.484608>,
      < -0.405221, -1.096265, -0.475585>
    }
    triangle {
      < -0.851596, -1.246568, -0.374758>,
      < -0.405221, -1.096265, -0.475585>,
      < -0.405130, -1.248573, -0.374741>
    }
    triangle {
      < -0.405130, -1.248573, -0.374741>,
      < -0.405221, -1.096265, -0.475585>,
      < 0.030942, -1.113988, -0.457201>
    }
    triangle {
      < -0.405130, -1.248573, -0.374741>,
      < 0.030942, -1.113988, -0.457201>,
      < 0.031023, -1.249751, -0.374721>
    }
    triangle {
      < 0.031023, -1.249751, -0.374721>,
      < 0.030942, -1.113988, -0.457201>,
      < 0.546466, -1.141978, -0.438811>
    }
    triangle {
      < 0.031023, -1.249751, -0.374721>,
      < 0.546466, -1.141978, -0.438811>,
      < 0.546536, -1.260840, -0.374696>
    }
    triangle {
      < 0.546536, -1.260840, -0.374696>,
      < 0.546466, -1.141978, -0.438811>,
      < 1.050799, -1.168508, -0.384065>
    }
    triangle {
      < 0.546536, -1.260840, -0.374696>,
      < 1.050799, -1.168508, -0.384065>,
      < 1.050843, -1.242170, -0.356682>
    }
    triangle {
      < -2.976882, -1.486202, 0.027347>,
      < -2.351434, -1.159667, 0.045632>,
      < -2.351489, -1.066554, 0.036604>
    }
    triangle {
      < -2.976882, -1.486202, 0.027347>,
      < -2.351489, -1.066554, 0.036604>,
      < -2.977046, -1.208176, 0.027263>
    }
    triangle {
      < 2.226196, -1.175346, -0.603252>,
      < 3.382267, -1.163659, -0.063926>,
      < 3.117260, -1.209305, -0.045564>
    }
    triangle {
      < 2.226196, -1.175346, -0.603252>,
      < 3.117260, -1.209305, -0.045564>,
      < 2.331037, -1.217693, -0.027234>
    }
    triangle {
      < 3.375427, -0.691812, -0.054708>,
      < 1.831554, -0.640342, -0.877748>,
      < 1.831528, -0.595071, -0.850401>
    }
    triangle {
      < 3.375427, -0.691812, -0.054708>,
      < 1.831528, -0.595071, -0.850401>,
      < 1.831518, -0.579374, -0.475645>
    }
    triangle {
      < 3.375427, -0.691812, -0.054708>,
      < 1.831518, -0.579374, -0.475645>,
      < 1.958218, -0.629685, -0.009066>
    }
    triangle {
      < 3.375427, -0.691812, -0.054708>,
      < 1.958218, -0.629685, -0.009066>,
      < 2.349856, -0.629139, -0.036770>
    }
    triangle {
      < 3.375427, -0.691812, -0.054708>,
      < 2.349856, -0.629139, -0.036770>,
      < 3.122007, -0.655839, -0.045729>
    }
    triangle {
      < 1.831528, -0.595071, -0.850401>,
      < 3.375427, -0.691812, -0.054708>,
      < 1.831554, -0.640342, -0.877748>
    }
    triangle {
      < 3.382267, -1.163659, -0.063926>,
      < 3.338186, -1.114198, -0.087874>,
      < 3.329937, -0.739132, -0.075045>
    }
    triangle {
      < 3.382267, -1.163659, -0.063926>,
      < 3.329937, -0.739132, -0.075045>,
      < 3.375427, -0.691812, -0.054708>
    }
    triangle {
      < 3.375427, -0.691812, -0.054708>,
      < 3.329937, -0.739132, -0.075045>,
      < 1.880234, -0.648228, -0.824007>
    }
    triangle {
      < 3.375427, -0.691812, -0.054708>,
      < 1.880234, -0.648228, -0.824007>,
      < 1.831528, -0.595071, -0.850401>
    }
    triangle {
      < 1.860228, -1.151088, -0.786154>,
      < 1.901985, -1.103720, -0.767662>,
      < 2.228185, -1.125371, -0.604493>
    }
    triangle {
      < 1.860228, -1.151088, -0.786154>,
      < 2.228185, -1.125371, -0.604493>,
      < 2.226196, -1.175346, -0.603252>
    }
    triangle {
      < 2.226196, -1.175346, -0.603252>,
      < 2.228185, -1.125371, -0.604493>,
      < 3.338186, -1.114198, -0.087874>
    }
    triangle {
      < 2.226196, -1.175346, -0.603252>,
      < 3.338186, -1.114198, -0.087874>,
      < 3.382267, -1.163659, -0.063926>
    }
    triangle {
      < 1.070215, -1.126057, -0.604493>,
      < 1.070202, -1.104213, -0.767662>,
      < 1.069932, -0.648709, -0.824007>
    }
    triangle {
      < 1.070215, -1.126057, -0.604493>,
      < 1.069932, -0.648709, -0.824007>,
      < 1.069987, -0.740472, -0.075044>
    }
    triangle {
      < 1.070215, -1.126057, -0.604493>,
      < 1.069987, -0.740472, -0.075044>,
      < 1.070209, -1.115542, -0.087873>
    }
    triangle {
      < 3.338186, -1.114198, -0.087874>,
      < 1.070209, -1.115542, -0.087873>,
      < 1.069987, -0.740472, -0.075044>
    }
    triangle {
      < 3.338186, -1.114198, -0.087874>,
      < 1.069987, -0.740472, -0.075044>,
      < 3.329937, -0.739132, -0.075045>
    }
    triangle {
      < 3.329937, -0.739132, -0.075045>,
      < 1.069987, -0.740472, -0.075044>,
      < 1.069932, -0.648709, -0.824007>
    }
    triangle {
      < 3.329937, -0.739132, -0.075045>,
      < 1.069932, -0.648709, -0.824007>,
      < 1.880234, -0.648228, -0.824007>
    }
    triangle {
      < 1.880234, -0.648228, -0.824007>,
      < 1.069932, -0.648709, -0.824007>,
      < 1.070202, -1.104213, -0.767662>
    }
    triangle {
      < 1.880234, -0.648228, -0.824007>,
      < 1.070202, -1.104213, -0.767662>,
      < 1.901985, -1.103720, -0.767662>
    }
    triangle {
      < 1.901985, -1.103720, -0.767662>,
      < 1.070202, -1.104213, -0.767662>,
      < 1.070215, -1.126057, -0.604493>
    }
    triangle {
      < 1.901985, -1.103720, -0.767662>,
      < 1.070215, -1.126057, -0.604493>,
      < 2.228185, -1.125371, -0.604493>
    }
    triangle {
      < 2.228185, -1.125371, -0.604493>,
      < 1.070215, -1.126057, -0.604493>,
      < 1.070209, -1.115542, -0.087873>
    }
    triangle {
      < 2.228185, -1.125371, -0.604493>,
      < 1.070209, -1.115542, -0.087873>,
      < 3.338186, -1.114198, -0.087874>
    }
    triangle {
      < 1.860228, -1.151088, -0.786154>,
      < 1.831807, -1.066938, -0.914340>,
      < 1.831692, -0.873114, -0.905398>
    }
    triangle {
      < 1.860228, -1.151088, -0.786154>,
      < 1.831692, -0.873114, -0.905398>,
      < 1.831554, -0.640342, -0.877748>
    }
    triangle {
      < 1.860228, -1.151088, -0.786154>,
      < 1.831554, -0.640342, -0.877748>,
      < 1.880234, -0.648228, -0.824007>
    }
    triangle {
      < 1.860228, -1.151088, -0.786154>,
      < 1.880234, -0.648228, -0.824007>,
      < 1.901985, -1.103720, -0.767662>
    }
    triangle {
      < 1.050248, -0.238823, -0.786462>,
      < 1.050369, -0.441743, -0.740681>,
      < 0.546003, -0.360856, -0.795806>
    }
    triangle {
      < 1.050107, 0.000129, -0.832263>,
      < 1.050248, -0.238823, -0.786462>,
      < 0.546003, -0.360856, -0.795806>
    }
    triangle {
      < 1.050107, 0.000129, -0.832263>,
      < 0.546003, -0.360856, -0.795806>,
      < 0.545789, -0.000159, -0.814291>
    }
    triangle {
      < -4.986465, -0.103165, -0.384636>,
      < -4.902922, -0.099394, -0.430347>,
      < -4.902920, -0.102985, 0.026852>
    }
    triangle {
      < -4.986465, -0.103165, -0.384636>,
      < -4.902920, -0.102985, 0.026852>,
      < -4.986465, -0.103045, 0.017844>
    }
    triangle {
      < -5.301741, -0.133056, -0.311560>,
      < -4.986465, -0.103165, -0.384636>,
      < -4.986465, -0.103045, 0.017844>
    }
    triangle {
      < -5.301741, -0.133056, -0.311560>,
      < -4.986465, -0.103045, 0.017844>,
      < -5.301752, -0.114924, -0.018883>
    }
    triangle {
      < -5.430506, -0.137128, -0.293203>,
      < -5.301741, -0.133056, -0.311560>,
      < -5.301752, -0.114924, -0.018883>
    }
    triangle {
      < -5.430506, -0.137128, -0.293203>,
      < -5.301752, -0.114924, -0.018883>,
      < -5.430512, -0.125454, -0.018882>
    }
    triangle {
      < -5.581778, -0.143811, -0.018882>,
      < -5.581767, -0.161937, -0.293199>,
      < -5.430506, -0.137128, -0.293203>
    }
    triangle {
      < -5.581778, -0.143811, -0.018882>,
      < -5.430506, -0.137128, -0.293203>,
      < -5.430512, -0.125454, -0.018882>
    }
    triangle {
      < -5.607932, -0.141037, -0.073608>,
      < -5.607922, -0.157950, -0.265844>,
      < -5.581767, -0.161937, -0.293199>
    }
    triangle {
      < -5.607932, -0.141037, -0.073608>,
      < -5.581767, -0.161937, -0.293199>,
      < -5.581778, -0.143811, -0.018882>
    }
    triangle {
      < -5.848592, -0.168353, -0.064606>,
      < -5.848596, -0.162084, -0.229127>,
      < -5.607922, -0.157950, -0.265844>
    }
    triangle {
      < -5.848592, -0.168353, -0.064606>,
      < -5.607922, -0.157950, -0.265844>,
      < -5.607932, -0.141037, -0.073608>
    }
    triangle {
      < -4.986524, -0.003183, -0.384671>,
      < -4.986524, -0.002961, -0.009553>,
      < -4.902979, -0.002901, 0.008455>
    }
    triangle {
      < -4.986524, -0.003183, -0.384671>,
      < -4.902979, -0.002901, 0.008455>,
      < -4.902979, -0.003172, -0.448740>
    }
    triangle {
      < -5.124360, -1.123636, -0.064292>,
      < -5.124446, -0.977320, -0.091695>,
      < -5.124447, -0.976738, -0.352336>
    }
    triangle {
      < -5.311916, -0.991778, -0.338660>,
      < -5.341051, -1.113241, -0.082663>,
      < -5.124360, -1.123636, -0.064292>
    }
    triangle {
      < -5.311916, -0.991778, -0.338660>,
      < -5.124360, -1.123636, -0.064292>,
      < -5.124447, -0.976738, -0.352336>
    }
    triangle {
      < -5.508735, -1.012380, -0.331642>,
      < -5.596111, -1.108451, -0.110037>,
      < -5.341051, -1.113241, -0.082663>
    }
    triangle {
      < -5.508735, -1.012380, -0.331642>,
      < -5.341051, -1.113241, -0.082663>,
      < -5.311916, -0.991778, -0.338660>
    }
    triangle {
      < -5.753932, -1.113689, -0.128402>,
      < -5.596111, -1.108451, -0.110037>,
      < -5.508735, -1.012380, -0.331642>
    }
    triangle {
      < -6.744386, -1.259648, -0.201480>,
      < -5.753932, -1.113689, -0.128402>,
      < -5.508735, -1.012380, -0.331642>
    }
    triangle {
      < -6.744386, -1.259648, -0.201480>,
      < -6.327990, -1.253995, -0.082664>,
      < -5.780860, -1.239263, 0.036514>
    }
    triangle {
      < -6.744386, -1.259648, -0.201480>,
      < -5.780860, -1.239263, 0.036514>,
      < -5.753932, -1.113689, -0.128402>
    }
    triangle {
      < -5.340951, -1.282870, -0.347575>,
      < -5.629806, -1.279355, -0.329228>,
      < -5.508735, -1.012380, -0.331642>
    }
    triangle {
      < -5.340951, -1.282870, -0.347575>,
      < -5.508735, -1.012380, -0.331642>,
      < -5.311916, -0.991778, -0.338660>
    }
    triangle {
      < -6.744386, -1.259648, -0.201480>,
      < -5.508735, -1.012380, -0.331642>,
      < -5.629806, -1.279355, -0.329228>
    }
    triangle {
      < -5.629806, -1.279355, -0.329228>,
      < -5.340951, -1.282870, -0.347575>,
      < -5.340905, -1.360221, 0.082290>
    }
    triangle {
      < -5.629806, -1.279355, -0.329228>,
      < -5.340905, -1.360221, 0.082290>,
      < -5.618070, -1.327073, 0.100267>
    }
    triangle {
      < -5.629806, -1.279355, -0.329228>,
      < -5.618070, -1.327073, 0.100267>,
      < -6.744386, -1.259648, -0.201480>
    }
    triangle {
      < -5.618070, -1.327073, 0.100267>,
      < -5.616660, -1.253106, 0.072886>,
      < -5.780860, -1.239263, 0.036514>
    }
    triangle {
      < -5.618070, -1.327073, 0.100267>,
      < -5.780860, -1.239263, 0.036514>,
      < -6.744386, -1.259648, -0.201480>
    }
    triangle {
      < -5.124798, -0.383617, 0.273889>,
      < -4.986465, -0.103045, 0.017844>,
      < -5.097023, -0.508170, -0.164699>
    }
    triangle {
      < -5.124701, -0.546488, 0.282937>,
      < -5.124798, -0.383617, 0.273889>,
      < -5.097023, -0.508170, -0.164699>
    }
    triangle {
      < -5.124588, -0.739412, 0.228274>,
      < -5.124701, -0.546488, 0.282937>,
      < -5.097023, -0.508170, -0.164699>
    }
    triangle {
      < -5.124506, -0.876558, 0.100154>,
      < -5.124588, -0.739412, 0.228274>,
      < -5.097023, -0.508170, -0.164699>
    }
    triangle {
      < -5.124446, -0.977320, -0.091695>,
      < -5.124506, -0.876558, 0.100154>,
      < -5.097023, -0.508170, -0.164699>
    }
    triangle {
      < -5.124447, -0.976738, -0.352336>,
      < -5.124446, -0.977320, -0.091695>,
      < -5.097023, -0.508170, -0.164699>
    }
    triangle {
      < -5.124534, -0.830145, -0.466499>,
      < -5.124447, -0.976738, -0.352336>,
      < -5.097023, -0.508170, -0.164699>
    }
    triangle {
      < -5.124628, -0.672353, -0.576347>,
      < -5.124534, -0.830145, -0.466499>,
      < -5.097023, -0.508170, -0.164699>
    }
    triangle {
      < -5.124703, -0.544217, -0.613105>,
      < -5.124628, -0.672353, -0.576347>,
      < -5.097023, -0.508170, -0.164699>
    }
    triangle {
      < -5.124813, -0.359244, -0.576440>,
      < -5.124703, -0.544217, -0.613105>,
      < -5.097023, -0.508170, -0.164699>
    }
    triangle {
      < -5.124906, -0.203071, -0.494407>,
      < -5.124813, -0.359244, -0.576440>,
      < -5.097023, -0.508170, -0.164699>
    }
    triangle {
      < -4.986465, -0.103165, -0.384636>,
      < -5.124906, -0.203071, -0.494407>,
      < -5.097023, -0.508170, -0.164699>
    }
    triangle {
      < -4.986465, -0.103045, 0.017844>,
      < -4.986465, -0.103165, -0.384636>,
      < -5.097023, -0.508170, -0.164699>
    }
    triangle {
      < -5.124905, -0.204144, 0.164034>,
      < -4.986465, -0.103045, 0.017844>,
      < -5.097023, -0.508170, -0.164699>
    }
    triangle {
      < -4.986465, -0.103045, 0.017844>,
      < -5.124905, -0.204144, 0.164034>,
      < -5.097023, -0.508170, -0.164699>
    }
    texture {fuselage}
  }
  // exhaust
  union {
    triangle {
      < -5.420353, -0.780982, -0.159824>,
      < -5.420383, -0.776359, -0.116077>,
      < -5.367862, -0.570485, -0.159918>
    }
    triangle {
      < -5.943404, -0.815338, -0.160114>,
      < -5.943437, -0.809967, -0.109290>,
      < -5.420383, -0.776359, -0.116077>
    }
    triangle {
      < -5.943404, -0.815338, -0.160114>,
      < -5.420383, -0.776359, -0.116077>,
      < -5.420353, -0.780982, -0.159824>
    }
    triangle {
      < -6.026956, -0.840149, -0.160149>,
      < -6.026994, -0.834234, -0.104178>,
      < -5.943437, -0.809967, -0.109290>
    }
    triangle {
      < -6.026956, -0.840149, -0.160149>,
      < -5.943437, -0.809967, -0.109290>,
      < -5.943404, -0.815338, -0.160114>
    }
    triangle {
      < -5.841226, -0.883370, -0.160014>,
      < -5.841269, -0.876503, -0.095036>,
      < -6.026994, -0.834234, -0.104178>
    }
    triangle {
      < -5.841226, -0.883370, -0.160014>,
      < -6.026994, -0.834234, -0.104178>,
      < -6.026956, -0.840149, -0.160149>
    }
    triangle {
      < -5.810291, -0.855496, -0.160011>,
      < -5.810330, -0.849241, -0.100824>,
      < -5.841269, -0.876503, -0.095036>
    }
    triangle {
      < -5.810291, -0.855496, -0.160011>,
      < -5.841269, -0.876503, -0.095036>,
      < -5.841226, -0.883370, -0.160014>
    }
    triangle {
      < -5.541026, -0.839861, -0.159861>,
      < -5.541064, -0.833946, -0.103890>,
      < -5.810330, -0.849241, -0.100824>
    }
    triangle {
      < -5.541026, -0.839861, -0.159861>,
      < -5.810330, -0.849241, -0.100824>,
      < -5.810291, -0.855496, -0.160011>
    }
    triangle {
      < -5.376947, -0.907855, -0.159724>,
      < -5.376993, -0.900445, -0.089599>,
      < -5.541064, -0.833946, -0.103890>
    }
    triangle {
      < -5.376947, -0.907855, -0.159724>,
      < -5.541064, -0.833946, -0.103890>,
      < -5.541026, -0.839861, -0.159861>
    }
    triangle {
      < -5.398584, -0.954295, -0.159708>,
      < -5.398638, -0.945864, -0.079934>,
      < -5.376993, -0.900445, -0.089599>
    }
    triangle {
      < -5.398584, -0.954295, -0.159708>,
      < -5.376993, -0.900445, -0.089599>,
      < -5.376947, -0.907855, -0.159724>
    }
    triangle {
      < -5.225233, -1.000618, -0.159579>,
      < -5.225291, -0.991167, -0.070154>,
      < -5.398638, -0.945864, -0.079934>
    }
    triangle {
      < -5.225233, -1.000618, -0.159579>,
      < -5.398638, -0.945864, -0.079934>,
      < -5.398584, -0.954295, -0.159708>
    }
    triangle {
      < -5.225249, -0.972763, -0.159596>,
      < -5.225303, -0.963924, -0.075960>,
      < -5.225291, -0.991167, -0.070154>
    }
    triangle {
      < -5.225249, -0.972763, -0.159596>,
      < -5.225291, -0.991167, -0.070154>,
      < -5.225233, -1.000618, -0.159579>
    }
    triangle {
      < -5.206677, -0.972751, -0.159585>,
      < -5.206734, -0.963913, -0.075949>,
      < -5.225303, -0.963924, -0.075960>
    }
    triangle {
      < -5.206677, -0.972751, -0.159585>,
      < -5.225303, -0.963924, -0.075960>,
      < -5.225249, -0.972763, -0.159596>
    }
    triangle {
      < -5.206657, -1.006797, -0.159564>,
      < -5.206718, -0.997211, -0.068852>,
      < -5.206734, -0.963913, -0.075949>
    }
    triangle {
      < -5.206657, -1.006797, -0.159564>,
      < -5.206734, -0.963913, -0.075949>,
      < -5.206677, -0.972751, -0.159585>
    }
    triangle {
      < -5.123091, -1.006748, -0.159514>,
      < -5.123151, -0.997161, -0.068803>,
      < -5.206718, -0.997211, -0.068852>
    }
    triangle {
      < -5.123091, -1.006748, -0.159514>,
      < -5.206718, -0.997211, -0.068852>,
      < -5.206657, -1.006797, -0.159564>
    }
    triangle {
      < -4.869551, -0.570190, -0.159623>,
      < -5.123151, -0.997161, -0.068803>,
      < -5.123091, -1.006748, -0.159514>
    }
    triangle {
      < -5.420383, -0.776359, -0.116077>,
      < -5.420415, -0.762743, -0.074246>,
      < -5.367862, -0.570485, -0.159918>
    }
    triangle {
      < -5.943437, -0.809967, -0.109290>,
      < -5.943474, -0.794149, -0.060692>,
      < -5.420415, -0.762743, -0.074246>
    }
    triangle {
      < -5.943437, -0.809967, -0.109290>,
      < -5.420415, -0.762743, -0.074246>,
      < -5.420383, -0.776359, -0.116077>
    }
    triangle {
      < -6.026994, -0.834234, -0.104178>,
      < -6.027036, -0.816813, -0.050659>,
      < -5.943474, -0.794149, -0.060692>
    }
    triangle {
      < -6.026994, -0.834234, -0.104178>,
      < -5.943474, -0.794149, -0.060692>,
      < -5.943437, -0.809967, -0.109290>
    }
    triangle {
      < -5.841269, -0.876503, -0.095036>,
      < -5.841317, -0.856279, -0.032905>,
      < -6.027036, -0.816813, -0.050659>
    }
    triangle {
      < -5.841269, -0.876503, -0.095036>,
      < -6.027036, -0.816813, -0.050659>,
      < -6.026994, -0.834234, -0.104178>
    }
    triangle {
      < -5.810330, -0.849241, -0.100824>,
      < -5.810374, -0.830819, -0.044229>,
      < -5.841317, -0.856279, -0.032905>
    }
    triangle {
      < -5.810330, -0.849241, -0.100824>,
      < -5.841317, -0.856279, -0.032905>,
      < -5.841269, -0.876503, -0.095036>
    }
    triangle {
      < -5.541064, -0.833946, -0.103890>,
      < -5.541106, -0.816525, -0.050371>,
      < -5.810374, -0.830819, -0.044229>
    }
    triangle {
      < -5.541064, -0.833946, -0.103890>,
      < -5.810374, -0.830819, -0.044229>,
      < -5.810330, -0.849241, -0.100824>
    }
    triangle {
      < -5.376993, -0.900445, -0.089599>,
      < -5.377046, -0.878618, -0.022546>,
      < -5.541106, -0.816525, -0.050371>
    }
    triangle {
      < -5.376993, -0.900445, -0.089599>,
      < -5.541106, -0.816525, -0.050371>,
      < -5.541064, -0.833946, -0.103890>
    }
    triangle {
      < -5.398638, -0.945864, -0.079934>,
      < -5.398696, -0.921034, -0.003654>,
      < -5.377046, -0.878618, -0.022546>
    }
    triangle {
      < -5.398638, -0.945864, -0.079934>,
      < -5.377046, -0.878618, -0.022546>,
      < -5.376993, -0.900445, -0.089599>
    }
    triangle {
      < -5.225291, -0.991167, -0.070154>,
      < -5.225359, -0.963334, 0.015354>,
      < -5.398696, -0.921034, -0.003654>
    }
    triangle {
      < -5.225291, -0.991167, -0.070154>,
      < -5.398696, -0.921034, -0.003654>,
      < -5.398638, -0.945864, -0.079934>
    }
    triangle {
      < -5.225303, -0.963924, -0.075960>,
      < -5.225367, -0.937893, 0.004011>,
      < -5.225359, -0.963334, 0.015354>
    }
    triangle {
      < -5.225303, -0.963924, -0.075960>,
      < -5.225359, -0.963334, 0.015354>,
      < -5.225291, -0.991167, -0.070154>
    }
    triangle {
      < -5.206734, -0.963913, -0.075949>,
      < -5.206796, -0.937882, 0.004022>,
      < -5.225367, -0.937893, 0.004011>
    }
    triangle {
      < -5.206734, -0.963913, -0.075949>,
      < -5.225367, -0.937893, 0.004011>,
      < -5.225303, -0.963924, -0.075960>
    }
    triangle {
      < -5.206718, -0.997211, -0.068852>,
      < -5.206787, -0.968977, 0.017885>,
      < -5.206796, -0.937882, 0.004022>
    }
    triangle {
      < -5.206718, -0.997211, -0.068852>,
      < -5.206796, -0.937882, 0.004022>,
      < -5.206734, -0.963913, -0.075949>
    }
    triangle {
      < -5.123151, -0.997161, -0.068803>,
      < -5.123219, -0.968928, 0.017935>,
      < -5.206787, -0.968977, 0.017885>
    }
    triangle {
      < -5.123151, -0.997161, -0.068803>,
      < -5.206787, -0.968977, 0.017885>,
      < -5.206718, -0.997211, -0.068852>
    }
    triangle {
      < -4.869551, -0.570190, -0.159623>,
      < -5.123219, -0.968928, 0.017935>,
      < -5.123151, -0.997161, -0.068803>
    }
    triangle {
      < -5.420415, -0.762743, -0.074246>,
      < -5.420450, -0.740729, -0.036159>,
      < -5.367862, -0.570485, -0.159918>
    }
    triangle {
      < -5.943474, -0.794149, -0.060692>,
      < -5.943517, -0.768573, -0.016445>,
      < -5.420450, -0.740729, -0.036159>
    }
    triangle {
      < -5.943474, -0.794149, -0.060692>,
      < -5.420450, -0.740729, -0.036159>,
      < -5.420415, -0.762743, -0.074246>
    }
    triangle {
      < -6.027036, -0.816813, -0.050659>,
      < -6.027080, -0.788647, -0.001931>,
      < -5.943517, -0.768573, -0.016445>
    }
    triangle {
      < -6.027036, -0.816813, -0.050659>,
      < -5.943517, -0.768573, -0.016445>,
      < -5.943474, -0.794149, -0.060692>
    }
    triangle {
      < -5.841317, -0.856279, -0.032905>,
      < -5.841369, -0.823581, 0.023666>,
      < -6.027080, -0.788647, -0.001931>
    }
    triangle {
      < -5.841317, -0.856279, -0.032905>,
      < -6.027080, -0.788647, -0.001931>,
      < -6.027036, -0.816813, -0.050659>
    }
    triangle {
      < -5.810374, -0.830819, -0.044229>,
      < -5.810421, -0.801034, 0.007300>,
      < -5.841369, -0.823581, 0.023666>
    }
    triangle {
      < -5.810374, -0.830819, -0.044229>,
      < -5.841369, -0.823581, 0.023666>,
      < -5.841317, -0.856279, -0.032905>
    }
    triangle {
      < -5.541106, -0.816525, -0.050371>,
      < -5.541152, -0.788359, -0.001643>,
      < -5.810421, -0.801034, 0.007300>
    }
    triangle {
      < -5.541106, -0.816525, -0.050371>,
      < -5.810421, -0.801034, 0.007300>,
      < -5.810374, -0.830819, -0.044229>
    }
    triangle {
      < -5.377046, -0.878618, -0.022546>,
      < -5.377103, -0.843331, 0.038504>,
      < -5.541152, -0.788359, -0.001643>
    }
    triangle {
      < -5.377046, -0.878618, -0.022546>,
      < -5.541152, -0.788359, -0.001643>,
      < -5.541106, -0.816525, -0.050371>
    }
    triangle {
      < -5.398696, -0.921034, -0.003654>,
      < -5.398762, -0.880891, 0.065798>,
      < -5.377103, -0.843331, 0.038504>
    }
    triangle {
      < -5.398696, -0.921034, -0.003654>,
      < -5.377103, -0.843331, 0.038504>,
      < -5.377046, -0.878618, -0.022546>
    }
    triangle {
      < -5.225359, -0.963334, 0.015354>,
      < -5.225430, -0.918334, 0.093207>,
      < -5.398762, -0.880891, 0.065798>
    }
    triangle {
      < -5.225359, -0.963334, 0.015354>,
      < -5.398762, -0.880891, 0.065798>,
      < -5.398696, -0.921034, -0.003654>
    }
    triangle {
      < -5.225367, -0.937893, 0.004011>,
      < -5.225435, -0.895806, 0.076823>,
      < -5.225430, -0.918334, 0.093207>
    }
    triangle {
      < -5.225367, -0.937893, 0.004011>,
      < -5.225430, -0.918334, 0.093207>,
      < -5.225359, -0.963334, 0.015354>
    }
    triangle {
      < -5.206796, -0.937882, 0.004022>,
      < -5.206864, -0.895795, 0.076834>,
      < -5.225435, -0.895806, 0.076823>
    }
    triangle {
      < -5.206796, -0.937882, 0.004022>,
      < -5.225435, -0.895806, 0.076823>,
      < -5.225367, -0.937893, 0.004011>
    }
    triangle {
      < -5.206787, -0.968977, 0.017885>,
      < -5.206860, -0.923330, 0.096859>,
      < -5.206864, -0.895795, 0.076834>
    }
    triangle {
      < -5.206787, -0.968977, 0.017885>,
      < -5.206864, -0.895795, 0.076834>,
      < -5.206796, -0.937882, 0.004022>
    }
    triangle {
      < -5.123219, -0.968928, 0.017935>,
      < -5.123291, -0.923280, 0.096908>,
      < -5.206860, -0.923330, 0.096859>
    }
    triangle {
      < -5.123219, -0.968928, 0.017935>,
      < -5.206860, -0.923330, 0.096859>,
      < -5.206787, -0.968977, 0.017885>
    }
    triangle {
      < -4.869551, -0.570190, -0.159623>,
      < -5.123291, -0.923280, 0.096908>,
      < -5.123219, -0.968928, 0.017935>
    }
    triangle {
      < -5.420450, -0.740729, -0.036159>,
      < -5.420486, -0.711278, -0.003481>,
      < -5.367862, -0.570485, -0.159918>
    }
    triangle {
      < -5.943517, -0.768573, -0.016445>,
      < -5.943560, -0.734359, 0.021520>,
      < -5.420486, -0.711278, -0.003481>
    }
    triangle {
      < -5.943517, -0.768573, -0.016445>,
      < -5.420486, -0.711278, -0.003481>,
      < -5.420450, -0.740729, -0.036159>
    }
    triangle {
      < -6.027080, -0.788647, -0.001931>,
      < -6.027128, -0.750968, 0.039879>,
      < -5.943560, -0.734359, 0.021520>
    }
    triangle {
      < -6.027080, -0.788647, -0.001931>,
      < -5.943560, -0.734359, 0.021520>,
      < -5.943517, -0.768573, -0.016445>
    }
    triangle {
      < -5.841369, -0.823581, 0.023666>,
      < -5.841425, -0.779838, 0.072203>,
      < -6.027128, -0.750968, 0.039879>
    }
    triangle {
      < -5.841369, -0.823581, 0.023666>,
      < -6.027128, -0.750968, 0.039879>,
      < -6.027080, -0.788647, -0.001931>
    }
    triangle {
      < -5.810421, -0.801034, 0.007300>,
      < -5.810473, -0.761190, 0.051512>,
      < -5.841425, -0.779838, 0.072203>
    }
    triangle {
      < -5.810421, -0.801034, 0.007300>,
      < -5.841425, -0.779838, 0.072203>,
      < -5.841369, -0.823581, 0.023666>
    }
    triangle {
      < -5.541152, -0.788359, -0.001643>,
      < -5.541199, -0.750680, 0.040167>,
      < -5.810473, -0.761190, 0.051512>
    }
    triangle {
      < -5.541152, -0.788359, -0.001643>,
      < -5.810473, -0.761190, 0.051512>,
      < -5.810421, -0.801034, 0.007300>
    }
    triangle {
      < -5.377103, -0.843331, 0.038504>,
      < -5.377162, -0.796123, 0.090886>,
      < -5.541199, -0.750680, 0.040167>
    }
    triangle {
      < -5.377103, -0.843331, 0.038504>,
      < -5.541199, -0.750680, 0.040167>,
      < -5.541152, -0.788359, -0.001643>
    }
    triangle {
      < -5.398762, -0.880891, 0.065798>,
      < -5.398830, -0.827186, 0.125388>,
      < -5.377162, -0.796123, 0.090886>
    }
    triangle {
      < -5.398762, -0.880891, 0.065798>,
      < -5.377162, -0.796123, 0.090886>,
      < -5.377103, -0.843331, 0.038504>
    }
    triangle {
      < -5.225430, -0.918334, 0.093207>,
      < -5.225506, -0.858134, 0.160006>,
      < -5.398830, -0.827186, 0.125388>
    }
    triangle {
      < -5.225430, -0.918334, 0.093207>,
      < -5.398830, -0.827186, 0.125388>,
      < -5.398762, -0.880891, 0.065798>
    }
    triangle {
      < -5.225435, -0.895806, 0.076823>,
      < -5.225505, -0.839503, 0.139297>,
      < -5.225506, -0.858134, 0.160006>
    }
    triangle {
      < -5.225435, -0.895806, 0.076823>,
      < -5.225506, -0.858134, 0.160006>,
      < -5.225430, -0.918334, 0.093207>
    }
    triangle {
      < -5.206864, -0.895795, 0.076834>,
      < -5.206934, -0.839492, 0.139308>,
      < -5.225505, -0.839503, 0.139297>
    }
    triangle {
      < -5.206864, -0.895795, 0.076834>,
      < -5.225505, -0.839503, 0.139297>,
      < -5.225435, -0.895806, 0.076823>
    }
    triangle {
      < -5.206860, -0.923330, 0.096859>,
      < -5.206936, -0.862262, 0.164618>,
      < -5.206934, -0.839492, 0.139308>
    }
    triangle {
      < -5.206860, -0.923330, 0.096859>,
      < -5.206934, -0.839492, 0.139308>,
      < -5.206864, -0.895795, 0.076834>
    }
    triangle {
      < -5.123291, -0.923280, 0.096908>,
      < -5.123368, -0.862213, 0.164668>,
      < -5.206936, -0.862262, 0.164618>
    }
    triangle {
      < -5.123291, -0.923280, 0.096908>,
      < -5.206936, -0.862262, 0.164618>,
      < -5.206860, -0.923330, 0.096859>
    }
    triangle {
      < -4.869551, -0.570190, -0.159623>,
      < -5.123368, -0.862213, 0.164668>,
      < -5.123291, -0.923280, 0.096908>
    }
    triangle {
      < -5.420486, -0.711278, -0.003481>,
      < -5.420525, -0.675677, 0.022361>,
      < -5.367862, -0.570485, -0.159918>
    }
    triangle {
      < -5.943560, -0.734359, 0.021520>,
      < -5.943603, -0.692999, 0.051544>,
      < -5.420525, -0.675677, 0.022361>
    }
    triangle {
      < -5.943560, -0.734359, 0.021520>,
      < -5.420525, -0.675677, 0.022361>,
      < -5.420486, -0.711278, -0.003481>
    }
    triangle {
      < -6.027128, -0.750968, 0.039879>,
      < -6.027175, -0.705421, 0.072942>,
      < -5.943603, -0.692999, 0.051544>
    }
    triangle {
      < -6.027128, -0.750968, 0.039879>,
      < -5.943603, -0.692999, 0.051544>,
      < -5.943560, -0.734359, 0.021520>
    }
    triangle {
      < -5.841425, -0.779838, 0.072203>,
      < -5.841478, -0.726961, 0.110587>,
      < -6.027175, -0.705421, 0.072942>
    }
    triangle {
      < -5.841425, -0.779838, 0.072203>,
      < -6.027175, -0.705421, 0.072942>,
      < -6.027128, -0.750968, 0.039879>
    }
    triangle {
      < -5.810473, -0.761190, 0.051512>,
      < -5.810522, -0.713024, 0.086476>,
      < -5.841478, -0.726961, 0.110587>
    }
    triangle {
      < -5.810473, -0.761190, 0.051512>,
      < -5.841478, -0.726961, 0.110587>,
      < -5.841425, -0.779838, 0.072203>
    }
    triangle {
      < -5.541199, -0.750680, 0.040167>,
      < -5.541246, -0.705133, 0.073230>,
      < -5.810522, -0.713024, 0.086476>
    }
    triangle {
      < -5.541199, -0.750680, 0.040167>,
      < -5.810522, -0.713024, 0.086476>,
      < -5.810473, -0.761190, 0.051512>
    }
    triangle {
      < -5.377162, -0.796123, 0.090886>,
      < -5.377219, -0.739058, 0.132310>,
      < -5.541246, -0.705133, 0.073230>
    }
    triangle {
      < -5.377162, -0.796123, 0.090886>,
      < -5.541246, -0.705133, 0.073230>,
      < -5.541199, -0.750680, 0.040167>
    }
    triangle {
      < -5.398830, -0.827186, 0.125388>,
      < -5.398896, -0.762269, 0.172513>,
      < -5.377219, -0.739058, 0.132310>
    }
    triangle {
      < -5.398830, -0.827186, 0.125388>,
      < -5.377219, -0.739058, 0.132310>,
      < -5.377162, -0.796123, 0.090886>
    }
    triangle {
      < -5.225506, -0.858134, 0.160006>,
      < -5.225581, -0.785363, 0.212830>,
      < -5.398896, -0.762269, 0.172513>
    }
    triangle {
      < -5.225506, -0.858134, 0.160006>,
      < -5.398896, -0.762269, 0.172513>,
      < -5.398830, -0.827186, 0.125388>
    }
    triangle {
      < -5.225505, -0.839503, 0.139297>,
      < -5.225574, -0.771444, 0.188701>,
      < -5.225581, -0.785363, 0.212830>
    }
    triangle {
      < -5.225505, -0.839503, 0.139297>,
      < -5.225581, -0.785363, 0.212830>,
      < -5.225506, -0.858134, 0.160006>
    }
    triangle {
      < -5.206934, -0.839492, 0.139308>,
      < -5.207004, -0.771433, 0.188712>,
      < -5.225574, -0.771444, 0.188701>
    }
    triangle {
      < -5.206934, -0.839492, 0.139308>,
      < -5.225574, -0.771444, 0.188701>,
      < -5.225505, -0.839503, 0.139297>
    }
    triangle {
      < -5.206936, -0.862262, 0.164618>,
      < -5.207012, -0.788445, 0.218203>,
      < -5.207004, -0.771433, 0.188712>
    }
    triangle {
      < -5.206936, -0.862262, 0.164618>,
      < -5.207004, -0.771433, 0.188712>,
      < -5.206934, -0.839492, 0.139308>
    }
    triangle {
      < -5.123368, -0.862213, 0.164668>,
      < -5.123444, -0.788395, 0.218253>,
      < -5.207012, -0.788445, 0.218203>
    }
    triangle {
      < -5.123368, -0.862213, 0.164668>,
      < -5.207012, -0.788445, 0.218203>,
      < -5.206936, -0.862262, 0.164618>
    }
    triangle {
      < -4.869551, -0.570190, -0.159623>,
      < -5.123444, -0.788395, 0.218253>,
      < -5.123368, -0.862213, 0.164668>
    }
    triangle {
      < -5.420525, -0.675677, 0.022361>,
      < -5.420558, -0.635483, 0.040240>,
      < -5.367862, -0.570485, -0.159918>
    }
    triangle {
      < -5.943603, -0.692999, 0.051544>,
      < -5.943642, -0.646303, 0.072313>,
      < -5.420558, -0.635483, 0.040240>
    }
    triangle {
      < -5.943603, -0.692999, 0.051544>,
      < -5.420558, -0.635483, 0.040240>,
      < -5.420525, -0.675677, 0.022361>
    }
    triangle {
      < -6.027175, -0.705421, 0.072942>,
      < -6.027219, -0.653995, 0.095815>,
      < -5.943642, -0.646303, 0.072313>
    }
    triangle {
      < -6.027175, -0.705421, 0.072942>,
      < -5.943642, -0.646303, 0.072313>,
      < -5.943603, -0.692999, 0.051544>
    }
    triangle {
      < -5.841478, -0.726961, 0.110587>,
      < -5.841530, -0.667261, 0.137140>,
      < -6.027219, -0.653995, 0.095815>
    }
    triangle {
      < -5.841478, -0.726961, 0.110587>,
      < -6.027219, -0.653995, 0.095815>,
      < -6.027175, -0.705421, 0.072942>
    }
    triangle {
      < -5.810522, -0.713024, 0.086476>,
      < -5.810568, -0.658643, 0.110663>,
      < -5.841530, -0.667261, 0.137140>
    }
    triangle {
      < -5.810522, -0.713024, 0.086476>,
      < -5.841530, -0.667261, 0.137140>,
      < -5.841478, -0.726961, 0.110587>
    }
    triangle {
      < -5.541246, -0.705133, 0.073230>,
      < -5.541290, -0.653707, 0.096102>,
      < -5.810568, -0.658643, 0.110663>
    }
    triangle {
      < -5.541246, -0.705133, 0.073230>,
      < -5.810568, -0.658643, 0.110663>,
      < -5.810522, -0.713024, 0.086476>
    }
    triangle {
      < -5.377219, -0.739058, 0.132310>,
      < -5.377275, -0.674629, 0.160967>,
      < -5.541290, -0.653707, 0.096102>
    }
    triangle {
      < -5.377219, -0.739058, 0.132310>,
      < -5.541290, -0.653707, 0.096102>,
      < -5.541246, -0.705133, 0.073230>
    }
    triangle {
      < -5.398896, -0.762269, 0.172513>,
      < -5.398958, -0.688972, 0.205113>,
      < -5.377275, -0.674629, 0.160967>
    }
    triangle {
      < -5.398896, -0.762269, 0.172513>,
      < -5.377275, -0.674629, 0.160967>,
      < -5.377219, -0.739058, 0.132310>
    }
    triangle {
      < -5.225581, -0.785363, 0.212830>,
      < -5.225651, -0.703200, 0.249375>,
      < -5.398958, -0.688972, 0.205113>
    }
    triangle {
      < -5.225581, -0.785363, 0.212830>,
      < -5.398958, -0.688972, 0.205113>,
      < -5.398896, -0.762269, 0.172513>
    }
    triangle {
      < -5.225574, -0.771444, 0.188701>,
      < -5.225641, -0.694601, 0.222880>,
      < -5.225651, -0.703200, 0.249375>
    }
    triangle {
      < -5.225574, -0.771444, 0.188701>,
      < -5.225651, -0.703200, 0.249375>,
      < -5.225581, -0.785363, 0.212830>
    }
    triangle {
      < -5.207004, -0.771433, 0.188712>,
      < -5.207069, -0.694590, 0.222891>,
      < -5.225641, -0.694601, 0.222880>
    }
    triangle {
      < -5.207004, -0.771433, 0.188712>,
      < -5.225641, -0.694601, 0.222880>,
      < -5.225574, -0.771444, 0.188701>
    }
    triangle {
      < -5.207012, -0.788445, 0.218203>,
      < -5.207083, -0.705100, 0.255274>,
      < -5.207069, -0.694590, 0.222891>
    }
    triangle {
      < -5.207012, -0.788445, 0.218203>,
      < -5.207069, -0.694590, 0.222891>,
      < -5.207004, -0.771433, 0.188712>
    }
    triangle {
      < -5.123444, -0.788395, 0.218253>,
      < -5.123516, -0.705050, 0.255323>,
      < -5.207083, -0.705100, 0.255274>
    }
    triangle {
      < -5.123444, -0.788395, 0.218253>,
      < -5.207083, -0.705100, 0.255274>,
      < -5.207012, -0.788445, 0.218203>
    }
    triangle {
      < -4.869551, -0.570190, -0.159623>,
      < -5.123516, -0.705050, 0.255323>,
      < -5.123444, -0.788395, 0.218253>
    }
    triangle {
      < -5.420558, -0.635483, 0.040240>,
      < -5.420589, -0.592450, 0.049371>,
      < -5.367862, -0.570485, -0.159918>
    }
    triangle {
      < -5.943642, -0.646303, 0.072313>,
      < -5.943677, -0.596308, 0.082922>,
      < -5.420589, -0.592450, 0.049371>
    }
    triangle {
      < -5.943642, -0.646303, 0.072313>,
      < -5.420589, -0.592450, 0.049371>,
      < -5.420558, -0.635483, 0.040240>
    }
    triangle {
      < -6.027219, -0.653995, 0.095815>,
      < -6.027258, -0.598938, 0.107498>,
      < -5.943677, -0.596308, 0.082922>
    }
    triangle {
      < -6.027219, -0.653995, 0.095815>,
      < -5.943677, -0.596308, 0.082922>,
      < -5.943642, -0.646303, 0.072313>
    }
    triangle {
      < -5.841530, -0.667261, 0.137140>,
      < -5.841575, -0.603344, 0.150704>,
      < -6.027258, -0.598938, 0.107498>
    }
    triangle {
      < -5.841530, -0.667261, 0.137140>,
      < -6.027258, -0.598938, 0.107498>,
      < -6.027219, -0.653995, 0.095815>
    }
    triangle {
      < -5.810568, -0.658643, 0.110663>,
      < -5.810610, -0.600423, 0.123018>,
      < -5.841575, -0.603344, 0.150704>
    }
    triangle {
      < -5.810568, -0.658643, 0.110663>,
      < -5.841575, -0.603344, 0.150704>,
      < -5.841530, -0.667261, 0.137140>
    }
    triangle {
      < -5.541290, -0.653707, 0.096102>,
      < -5.541329, -0.598650, 0.107786>,
      < -5.810610, -0.600423, 0.123018>
    }
    triangle {
      < -5.541290, -0.653707, 0.096102>,
      < -5.810610, -0.600423, 0.123018>,
      < -5.810568, -0.658643, 0.110663>
    }
    triangle {
      < -5.377275, -0.674629, 0.160967>,
      < -5.377325, -0.605649, 0.175605>,
      < -5.541329, -0.598650, 0.107786>
    }
    triangle {
      < -5.377275, -0.674629, 0.160967>,
      < -5.541329, -0.598650, 0.107786>,
      < -5.541290, -0.653707, 0.096102>
    }
    triangle {
      < -5.398958, -0.688972, 0.205113>,
      < -5.399014, -0.610500, 0.221765>,
      < -5.377325, -0.605649, 0.175605>
    }
    triangle {
      < -5.398958, -0.688972, 0.205113>,
      < -5.377325, -0.605649, 0.175605>,
      < -5.377275, -0.674629, 0.160967>
    }
    triangle {
      < -5.225651, -0.703200, 0.249375>,
      < -5.225714, -0.615235, 0.268042>,
      < -5.399014, -0.610500, 0.221765>
    }
    triangle {
      < -5.225651, -0.703200, 0.249375>,
      < -5.399014, -0.610500, 0.221765>,
      < -5.398958, -0.688972, 0.205113>
    }
    triangle {
      < -5.225641, -0.694601, 0.222880>,
      < -5.225700, -0.612333, 0.240338>,
      < -5.225714, -0.615235, 0.268042>
    }
    triangle {
      < -5.225641, -0.694601, 0.222880>,
      < -5.225714, -0.615235, 0.268042>,
      < -5.225651, -0.703200, 0.249375>
    }
    triangle {
      < -5.207069, -0.694590, 0.222891>,
      < -5.207128, -0.612322, 0.240349>,
      < -5.225700, -0.612333, 0.240338>
    }
    triangle {
      < -5.207069, -0.694590, 0.222891>,
      < -5.225700, -0.612333, 0.240338>,
      < -5.225641, -0.694601, 0.222880>
    }
    triangle {
      < -5.207083, -0.705100, 0.255274>,
      < -5.207146, -0.615870, 0.274209>,
      < -5.207128, -0.612322, 0.240349>
    }
    triangle {
      < -5.207083, -0.705100, 0.255274>,
      < -5.207128, -0.612322, 0.240349>,
      < -5.207069, -0.694590, 0.222891>
    }
    triangle {
      < -5.123516, -0.705050, 0.255323>,
      < -5.123580, -0.615820, 0.274258>,
      < -5.207146, -0.615870, 0.274209>
    }
    triangle {
      < -5.123516, -0.705050, 0.255323>,
      < -5.207146, -0.615870, 0.274209>,
      < -5.207083, -0.705100, 0.255274>
    }
    triangle {
      < -4.869551, -0.570190, -0.159623>,
      < -5.123580, -0.615820, 0.274258>,
      < -5.123516, -0.705050, 0.255323>
    }
    triangle {
      < -5.420589, -0.592450, 0.049371>,
      < -5.420615, -0.548459, 0.049358>,
      < -5.367862, -0.570485, -0.159918>
    }
    triangle {
      < -5.943677, -0.596308, 0.082922>,
      < -5.943708, -0.545201, 0.082907>,
      < -5.420615, -0.548459, 0.049358>
    }
    triangle {
      < -5.943677, -0.596308, 0.082922>,
      < -5.420615, -0.548459, 0.049358>,
      < -5.420589, -0.592450, 0.049371>
    }
    triangle {
      < -6.027258, -0.598938, 0.107498>,
      < -6.027292, -0.542655, 0.107482>,
      < -5.943708, -0.545201, 0.082907>
    }
    triangle {
      < -6.027258, -0.598938, 0.107498>,
      < -5.943708, -0.545201, 0.082907>,
      < -5.943677, -0.596308, 0.082922>
    }
    triangle {
      < -5.841575, -0.603344, 0.150704>,
      < -5.841614, -0.538004, 0.150684>,
      < -6.027292, -0.542655, 0.107482>
    }
    triangle {
      < -5.841575, -0.603344, 0.150704>,
      < -6.027292, -0.542655, 0.107482>,
      < -6.027258, -0.598938, 0.107498>
    }
    triangle {
      < -5.810610, -0.600423, 0.123018>,
      < -5.810646, -0.540905, 0.123000>,
      < -5.841614, -0.538004, 0.150684>
    }
    triangle {
      < -5.810610, -0.600423, 0.123018>,
      < -5.841614, -0.538004, 0.150684>,
      < -5.841575, -0.603344, 0.150704>
    }
    triangle {
      < -5.541329, -0.598650, 0.107786>,
      < -5.541363, -0.542367, 0.107769>,
      < -5.810646, -0.540905, 0.123000>
    }
    triangle {
      < -5.541329, -0.598650, 0.107786>,
      < -5.810646, -0.540905, 0.123000>,
      < -5.810610, -0.600423, 0.123018>
    }
    triangle {
      < -5.377325, -0.605649, 0.175605>,
      < -5.377367, -0.535134, 0.175584>,
      < -5.541363, -0.542367, 0.107769>
    }
    triangle {
      < -5.377325, -0.605649, 0.175605>,
      < -5.541363, -0.542367, 0.107769>,
      < -5.541329, -0.598650, 0.107786>
    }
    triangle {
      < -5.399014, -0.610500, 0.221765>,
      < -5.399062, -0.530281, 0.221741>,
      < -5.377367, -0.535134, 0.175584>
    }
    triangle {
      < -5.399014, -0.610500, 0.221765>,
      < -5.377367, -0.535134, 0.175584>,
      < -5.377325, -0.605649, 0.175605>
    }
    triangle {
      < -5.225714, -0.615235, 0.268042>,
      < -5.225768, -0.525312, 0.268014>,
      < -5.399062, -0.530281, 0.221741>
    }
    triangle {
      < -5.225714, -0.615235, 0.268042>,
      < -5.399062, -0.530281, 0.221741>,
      < -5.399014, -0.610500, 0.221765>
    }
    triangle {
      < -5.225700, -0.612333, 0.240338>,
      < -5.225749, -0.528232, 0.240312>,
      < -5.225768, -0.525312, 0.268014>
    }
    triangle {
      < -5.225700, -0.612333, 0.240338>,
      < -5.225768, -0.525312, 0.268014>,
      < -5.225714, -0.615235, 0.268042>
    }
    triangle {
      < -5.207128, -0.612322, 0.240349>,
      < -5.207178, -0.528221, 0.240323>,
      < -5.225749, -0.528232, 0.240312>
    }
    triangle {
      < -5.207128, -0.612322, 0.240349>,
      < -5.225749, -0.528232, 0.240312>,
      < -5.225700, -0.612333, 0.240338>
    }
    triangle {
      < -5.207146, -0.615870, 0.274209>,
      < -5.207200, -0.524653, 0.274182>,
      < -5.207178, -0.528221, 0.240323>
    }
    triangle {
      < -5.207146, -0.615870, 0.274209>,
      < -5.207178, -0.528221, 0.240323>,
      < -5.207128, -0.612322, 0.240349>
    }
    triangle {
      < -5.123580, -0.615820, 0.274258>,
      < -5.123634, -0.524603, 0.274232>,
      < -5.207200, -0.524653, 0.274182>
    }
    triangle {
      < -5.123580, -0.615820, 0.274258>,
      < -5.207200, -0.524653, 0.274182>,
      < -5.207146, -0.615870, 0.274209>
    }
    triangle {
      < -4.869551, -0.570190, -0.159623>,
      < -5.123634, -0.524603, 0.274232>,
      < -5.123580, -0.615820, 0.274258>
    }
    triangle {
      < -5.420615, -0.548459, 0.049358>,
      < -5.420636, -0.505432, 0.040201>,
      < -5.367862, -0.570485, -0.159918>
    }
    triangle {
      < -5.943708, -0.545201, 0.082907>,
      < -5.943732, -0.495213, 0.072268>,
      < -5.420636, -0.505432, 0.040201>
    }
    triangle {
      < -5.943708, -0.545201, 0.082907>,
      < -5.420636, -0.505432, 0.040201>,
      < -5.420615, -0.548459, 0.049358>
    }
    triangle {
      < -6.027292, -0.542655, 0.107482>,
      < -6.027317, -0.487605, 0.095766>,
      < -5.943732, -0.495213, 0.072268>
    }
    triangle {
      < -6.027292, -0.542655, 0.107482>,
      < -5.943732, -0.495213, 0.072268>,
      < -5.943708, -0.545201, 0.082907>
    }
    triangle {
      < -5.841614, -0.538004, 0.150684>,
      < -5.841644, -0.474096, 0.137083>,
      < -6.027317, -0.487605, 0.095766>
    }
    triangle {
      < -5.841614, -0.538004, 0.150684>,
      < -6.027317, -0.487605, 0.095766>,
      < -6.027292, -0.542655, 0.107482>
    }
    triangle {
      < -5.810646, -0.540905, 0.123000>,
      < -5.810672, -0.482691, 0.110611>,
      < -5.841644, -0.474096, 0.137083>
    }
    triangle {
      < -5.810646, -0.540905, 0.123000>,
      < -5.841644, -0.474096, 0.137083>,
      < -5.841614, -0.538004, 0.150684>
    }
    triangle {
      < -5.541363, -0.542367, 0.107769>,
      < -5.541388, -0.487317, 0.096054>,
      < -5.810672, -0.482691, 0.110611>
    }
    triangle {
      < -5.541363, -0.542367, 0.107769>,
      < -5.810672, -0.482691, 0.110611>,
      < -5.810646, -0.540905, 0.123000>
    }
    triangle {
      < -5.377367, -0.535134, 0.175584>,
      < -5.377398, -0.466164, 0.160905>,
      < -5.541388, -0.487317, 0.096054>
    }
    triangle {
      < -5.377367, -0.535134, 0.175584>,
      < -5.541388, -0.487317, 0.096054>,
      < -5.541363, -0.542367, 0.107769>
    }
    triangle {
      < -5.399062, -0.530281, 0.221741>,
      < -5.399098, -0.451819, 0.205043>,
      < -5.377398, -0.466164, 0.160905>
    }
    triangle {
      < -5.399062, -0.530281, 0.221741>,
      < -5.377398, -0.466164, 0.160905>,
      < -5.377367, -0.535134, 0.175584>
    }
    triangle {
      < -5.225768, -0.525312, 0.268014>,
      < -5.225809, -0.437359, 0.249296>,
      < -5.399098, -0.451819, 0.205043>
    }
    triangle {
      < -5.225768, -0.525312, 0.268014>,
      < -5.399098, -0.451819, 0.205043>,
      < -5.399062, -0.530281, 0.221741>
    }
    triangle {
      < -5.225749, -0.528232, 0.240312>,
      < -5.225788, -0.445973, 0.222805>,
      < -5.225809, -0.437359, 0.249296>
    }
    triangle {
      < -5.225749, -0.528232, 0.240312>,
      < -5.225809, -0.437359, 0.249296>,
      < -5.225768, -0.525312, 0.268014>
    }
    triangle {
      < -5.207178, -0.528221, 0.240323>,
      < -5.207216, -0.445962, 0.222816>,
      < -5.225788, -0.445973, 0.222805>
    }
    triangle {
      < -5.207178, -0.528221, 0.240323>,
      < -5.225788, -0.445973, 0.222805>,
      < -5.225749, -0.528232, 0.240312>
    }
    triangle {
      < -5.207200, -0.524653, 0.274182>,
      < -5.207242, -0.435434, 0.255194>,
      < -5.207216, -0.445962, 0.222816>
    }
    triangle {
      < -5.207200, -0.524653, 0.274182>,
      < -5.207216, -0.445962, 0.222816>,
      < -5.207178, -0.528221, 0.240323>
    }
    triangle {
      < -5.123634, -0.524603, 0.274232>,
      < -5.123675, -0.435384, 0.255244>,
      < -5.207242, -0.435434, 0.255194>
    }
    triangle {
      < -5.123634, -0.524603, 0.274232>,
      < -5.207242, -0.435434, 0.255194>,
      < -5.207200, -0.524653, 0.274182>
    }
    triangle {
      < -4.869551, -0.570190, -0.159623>,
      < -5.123675, -0.435384, 0.255244>,
      < -5.123634, -0.524603, 0.274232>
    }
    triangle {
      < -5.420636, -0.505432, 0.040201>,
      < -5.420650, -0.465247, 0.022299>,
      < -5.367862, -0.570485, -0.159918>
    }
    triangle {
      < -5.943732, -0.495213, 0.072268>,
      < -5.943748, -0.448529, 0.051471>,
      < -5.420650, -0.465247, 0.022299>
    }
    triangle {
      < -5.943732, -0.495213, 0.072268>,
      < -5.420650, -0.465247, 0.022299>,
      < -5.420636, -0.505432, 0.040201>
    }
    triangle {
      < -6.027317, -0.487605, 0.095766>,
      < -6.027335, -0.436194, 0.072863>,
      < -5.943748, -0.448529, 0.051471>
    }
    triangle {
      < -6.027317, -0.487605, 0.095766>,
      < -5.943748, -0.448529, 0.051471>,
      < -5.943732, -0.495213, 0.072268>
    }
    triangle {
      < -5.841644, -0.474096, 0.137083>,
      < -5.841663, -0.414411, 0.110494>,
      < -6.027335, -0.436194, 0.072863>
    }
    triangle {
      < -5.841644, -0.474096, 0.137083>,
      < -6.027335, -0.436194, 0.072863>,
      < -6.027317, -0.487605, 0.095766>
    }
    triangle {
      < -5.810672, -0.482691, 0.110611>,
      < -5.810690, -0.428324, 0.086391>,
      < -5.841663, -0.414411, 0.110494>
    }
    triangle {
      < -5.810672, -0.482691, 0.110611>,
      < -5.841663, -0.414411, 0.110494>,
      < -5.841644, -0.474096, 0.137083>
    }
    triangle {
      < -5.541388, -0.487317, 0.096054>,
      < -5.541406, -0.435906, 0.073150>,
      < -5.810690, -0.428324, 0.086391>
    }
    triangle {
      < -5.541388, -0.487317, 0.096054>,
      < -5.810690, -0.428324, 0.086391>,
      < -5.810672, -0.482691, 0.110611>
    }
    triangle {
      < -5.377398, -0.466164, 0.160905>,
      < -5.377419, -0.401751, 0.132210>,
      < -5.541406, -0.435906, 0.073150>
    }
    triangle {
      < -5.377398, -0.466164, 0.160905>,
      < -5.541406, -0.435906, 0.073150>,
      < -5.541388, -0.487317, 0.096054>
    }
    triangle {
      < -5.399098, -0.451819, 0.205043>,
      < -5.399123, -0.378543, 0.172398>,
      < -5.377419, -0.401751, 0.132210>
    }
    triangle {
      < -5.399098, -0.451819, 0.205043>,
      < -5.377419, -0.401751, 0.132210>,
      < -5.377398, -0.466164, 0.160905>
    }
    triangle {
      < -5.225809, -0.437359, 0.249296>,
      < -5.225835, -0.355218, 0.212704>,
      < -5.399123, -0.378543, 0.172398>
    }
    triangle {
      < -5.225809, -0.437359, 0.249296>,
      < -5.399123, -0.378543, 0.172398>,
      < -5.399098, -0.451819, 0.205043>
    }
    triangle {
      < -5.225788, -0.445973, 0.222805>,
      < -5.225813, -0.369151, 0.188582>,
      < -5.225835, -0.355218, 0.212704>
    }
    triangle {
      < -5.225788, -0.445973, 0.222805>,
      < -5.225835, -0.355218, 0.212704>,
      < -5.225809, -0.437359, 0.249296>
    }
    triangle {
      < -5.207216, -0.445962, 0.222816>,
      < -5.207242, -0.369140, 0.188593>,
      < -5.225813, -0.369151, 0.188582>
    }
    triangle {
      < -5.207216, -0.445962, 0.222816>,
      < -5.225813, -0.369151, 0.188582>,
      < -5.225788, -0.445973, 0.222805>
    }
    triangle {
      < -5.207242, -0.435434, 0.255194>,
      < -5.207270, -0.352111, 0.218075>,
      < -5.207242, -0.369140, 0.188593>
    }
    triangle {
      < -5.207242, -0.435434, 0.255194>,
      < -5.207242, -0.369140, 0.188593>,
      < -5.207216, -0.445962, 0.222816>
    }
    triangle {
      < -5.123675, -0.435384, 0.255244>,
      < -5.123702, -0.352061, 0.218124>,
      < -5.207270, -0.352111, 0.218075>
    }
    triangle {
      < -5.123675, -0.435384, 0.255244>,
      < -5.207270, -0.352111, 0.218075>,
      < -5.207242, -0.435434, 0.255194>
    }
    triangle {
      < -4.869551, -0.570190, -0.159623>,
      < -5.123702, -0.352061, 0.218124>,
      < -5.123675, -0.435384, 0.255244>
    }
    triangle {
      < -5.420650, -0.465247, 0.022299>,
      < -5.420653, -0.429663, -0.003564>,
      < -5.367862, -0.570485, -0.159918>
    }
    triangle {
      < -5.943748, -0.448529, 0.051471>,
      < -5.943754, -0.407188, 0.021423>,
      < -5.420653, -0.429663, -0.003564>
    }
    triangle {
      < -5.943748, -0.448529, 0.051471>,
      < -5.420653, -0.429663, -0.003564>,
      < -5.420650, -0.465247, 0.022299>
    }
    triangle {
      < -6.027335, -0.436194, 0.072863>,
      < -6.027342, -0.390666, 0.039772>,
      < -5.943754, -0.407188, 0.021423>
    }
    triangle {
      < -6.027335, -0.436194, 0.072863>,
      < -5.943754, -0.407188, 0.021423>,
      < -5.943748, -0.448529, 0.051471>
    }
    triangle {
      < -5.841663, -0.414411, 0.110494>,
      < -5.841673, -0.361556, 0.072078>,
      < -6.027342, -0.390666, 0.039772>
    }
    triangle {
      < -5.841663, -0.414411, 0.110494>,
      < -6.027342, -0.390666, 0.039772>,
      < -6.027335, -0.436194, 0.072863>
    }
    triangle {
      < -5.810690, -0.428324, 0.086391>,
      < -5.810699, -0.380180, 0.051399>,
      < -5.841673, -0.361556, 0.072078>
    }
    triangle {
      < -5.810690, -0.428324, 0.086391>,
      < -5.841673, -0.361556, 0.072078>,
      < -5.841663, -0.414411, 0.110494>
    }
    triangle {
      < -5.541406, -0.435906, 0.073150>,
      < -5.541413, -0.390377, 0.040059>,
      < -5.810699, -0.380180, 0.051399>
    }
    triangle {
      < -5.541406, -0.435906, 0.073150>,
      < -5.810699, -0.380180, 0.051399>,
      < -5.810690, -0.428324, 0.086391>
    }
    triangle {
      < -5.377419, -0.401751, 0.132210>,
      < -5.377429, -0.344710, 0.090752>,
      < -5.541413, -0.390377, 0.040059>
    }
    triangle {
      < -5.377419, -0.401751, 0.132210>,
      < -5.541413, -0.390377, 0.040059>,
      < -5.541406, -0.435906, 0.073150>
    }
    triangle {
      < -5.399123, -0.378543, 0.172398>,
      < -5.399134, -0.313653, 0.125236>,
      < -5.377429, -0.344710, 0.090752>
    }
    triangle {
      < -5.399123, -0.378543, 0.172398>,
      < -5.377429, -0.344710, 0.090752>,
      < -5.377419, -0.401751, 0.132210>
    }
    triangle {
      < -5.225835, -0.355218, 0.212704>,
      < -5.225849, -0.282478, 0.159834>,
      < -5.399134, -0.313653, 0.125236>
    }
    triangle {
      < -5.225835, -0.355218, 0.212704>,
      < -5.399134, -0.313653, 0.125236>,
      < -5.399123, -0.378543, 0.172398>
    }
    triangle {
      < -5.225813, -0.369151, 0.188582>,
      < -5.225825, -0.301121, 0.139136>,
      < -5.225849, -0.282478, 0.159834>
    }
    triangle {
      < -5.225813, -0.369151, 0.188582>,
      < -5.225849, -0.282478, 0.159834>,
      < -5.225835, -0.355218, 0.212704>
    }
    triangle {
      < -5.207242, -0.369140, 0.188593>,
      < -5.207254, -0.301110, 0.139147>,
      < -5.225825, -0.301121, 0.139136>
    }
    triangle {
      < -5.207242, -0.369140, 0.188593>,
      < -5.225825, -0.301121, 0.139136>,
      < -5.225813, -0.369151, 0.188582>
    }
    triangle {
      < -5.207270, -0.352111, 0.218075>,
      < -5.207282, -0.278325, 0.164445>,
      < -5.207254, -0.301110, 0.139147>
    }
    triangle {
      < -5.207270, -0.352111, 0.218075>,
      < -5.207254, -0.301110, 0.139147>,
      < -5.207242, -0.369140, 0.188593>
    }
    triangle {
      < -5.123702, -0.352061, 0.218124>,
      < -5.123714, -0.278275, 0.164495>,
      < -5.207282, -0.278325, 0.164445>
    }
    triangle {
      < -5.123702, -0.352061, 0.218124>,
      < -5.207282, -0.278325, 0.164445>,
      < -5.207270, -0.352111, 0.218075>
    }
    triangle {
      < -4.869551, -0.570190, -0.159623>,
      < -5.123714, -0.278275, 0.164495>,
      < -5.123702, -0.352061, 0.218124>
    }
    triangle {
      < -5.420653, -0.429663, -0.003564>,
      < -5.420652, -0.400231, -0.036260>,
      < -5.367862, -0.570485, -0.159918>
    }
    triangle {
      < -5.943754, -0.407188, 0.021423>,
      < -5.943751, -0.372995, -0.016562>,
      < -5.420652, -0.400231, -0.036260>
    }
    triangle {
      < -5.943754, -0.407188, 0.021423>,
      < -5.420652, -0.400231, -0.036260>,
      < -5.420653, -0.429663, -0.003564>
    }
    triangle {
      < -6.027342, -0.390666, 0.039772>,
      < -6.027338, -0.353011, -0.002060>,
      < -5.943751, -0.372995, -0.016562>
    }
    triangle {
      < -6.027342, -0.390666, 0.039772>,
      < -5.943751, -0.372995, -0.016562>,
      < -5.943754, -0.407188, 0.021423>
    }
    triangle {
      < -5.841673, -0.361556, 0.072078>,
      < -5.841669, -0.317842, 0.023515>,
      < -6.027338, -0.353011, -0.002060>
    }
    triangle {
      < -5.841673, -0.361556, 0.072078>,
      < -6.027338, -0.353011, -0.002060>,
      < -6.027342, -0.390666, 0.039772>
    }
    triangle {
      < -5.810699, -0.380180, 0.051399>,
      < -5.810694, -0.340361, 0.007164>,
      < -5.841669, -0.317842, 0.023515>
    }
    triangle {
      < -5.810699, -0.380180, 0.051399>,
      < -5.841669, -0.317842, 0.023515>,
      < -5.841673, -0.361556, 0.072078>
    }
    triangle {
      < -5.541413, -0.390377, 0.040059>,
      < -5.541410, -0.352723, -0.001772>,
      < -5.810694, -0.340361, 0.007164>
    }
    triangle {
      < -5.541413, -0.390377, 0.040059>,
      < -5.810694, -0.340361, 0.007164>,
      < -5.810699, -0.380180, 0.051399>
    }
    triangle {
      < -5.377429, -0.344710, 0.090752>,
      < -5.377427, -0.297533, 0.038342>,
      < -5.541410, -0.352723, -0.001772>
    }
    triangle {
      < -5.377429, -0.344710, 0.090752>,
      < -5.541410, -0.352723, -0.001772>,
      < -5.541413, -0.390377, 0.040059>
    }
    triangle {
      < -5.399134, -0.313653, 0.125236>,
      < -5.399130, -0.259983, 0.065614>,
      < -5.377427, -0.297533, 0.038342>
    }
    triangle {
      < -5.399134, -0.313653, 0.125236>,
      < -5.377427, -0.297533, 0.038342>,
      < -5.377429, -0.344710, 0.090752>
    }
    triangle {
      < -5.225849, -0.282478, 0.159834>,
      < -5.225844, -0.222318, 0.093001>,
      < -5.399130, -0.259983, 0.065614>
    }
    triangle {
      < -5.225849, -0.282478, 0.159834>,
      < -5.399130, -0.259983, 0.065614>,
      < -5.399134, -0.313653, 0.125236>
    }
    triangle {
      < -5.225825, -0.301121, 0.139136>,
      < -5.225821, -0.244856, 0.076630>,
      < -5.225844, -0.222318, 0.093001>
    }
    triangle {
      < -5.225825, -0.301121, 0.139136>,
      < -5.225844, -0.222318, 0.093001>,
      < -5.225849, -0.282478, 0.159834>
    }
    triangle {
      < -5.207254, -0.301110, 0.139147>,
      < -5.207250, -0.244845, 0.076641>,
      < -5.225821, -0.244856, 0.076630>
    }
    triangle {
      < -5.207254, -0.301110, 0.139147>,
      < -5.225821, -0.244856, 0.076630>,
      < -5.225825, -0.301121, 0.139136>
    }
    triangle {
      < -5.207282, -0.278325, 0.164445>,
      < -5.207278, -0.217298, 0.096650>,
      < -5.207250, -0.244845, 0.076641>
    }
    triangle {
      < -5.207282, -0.278325, 0.164445>,
      < -5.207250, -0.244845, 0.076641>,
      < -5.207254, -0.301110, 0.139147>
    }
    triangle {
      < -5.123714, -0.278275, 0.164495>,
      < -5.123710, -0.217248, 0.096699>,
      < -5.207278, -0.217298, 0.096650>
    }
    triangle {
      < -5.123714, -0.278275, 0.164495>,
      < -5.207278, -0.217298, 0.096650>,
      < -5.207282, -0.278325, 0.164445>
    }
    triangle {
      < -4.869551, -0.570190, -0.159623>,
      < -5.123710, -0.217248, 0.096699>,
      < -5.123714, -0.278275, 0.164495>
    }
    triangle {
      < -5.420652, -0.400231, -0.036260>,
      < -5.420643, -0.378240, -0.074360>,
      < -5.367862, -0.570485, -0.159918>
    }
    triangle {
      < -5.943751, -0.372995, -0.016562>,
      < -5.943739, -0.347446, -0.060824>,
      < -5.420643, -0.378240, -0.074360>
    }
    triangle {
      < -5.943751, -0.372995, -0.016562>,
      < -5.420643, -0.378240, -0.074360>,
      < -5.420652, -0.400231, -0.036260>
    }
    triangle {
      < -6.027338, -0.353011, -0.002060>,
      < -6.027328, -0.324874, -0.050804>,
      < -5.943739, -0.347446, -0.060824>
    }
    triangle {
      < -6.027338, -0.353011, -0.002060>,
      < -5.943739, -0.347446, -0.060824>,
      < -5.943751, -0.372995, -0.016562>
    }
    triangle {
      < -5.841669, -0.317842, 0.023515>,
      < -5.841655, -0.285178, -0.033074>,
      < -6.027328, -0.324874, -0.050804>
    }
    triangle {
      < -5.841669, -0.317842, 0.023515>,
      < -6.027328, -0.324874, -0.050804>,
      < -6.027338, -0.353011, -0.002060>
    }
    triangle {
      < -5.810694, -0.340361, 0.007164>,
      < -5.810682, -0.310608, -0.044383>,
      < -5.841655, -0.285178, -0.033074>
    }
    triangle {
      < -5.810694, -0.340361, 0.007164>,
      < -5.841655, -0.285178, -0.033074>,
      < -5.841669, -0.317842, 0.023515>
    }
    triangle {
      < -5.541410, -0.352723, -0.001772>,
      < -5.541398, -0.324586, -0.050517>,
      < -5.810682, -0.310608, -0.044383>
    }
    triangle {
      < -5.541410, -0.352723, -0.001772>,
      < -5.810682, -0.310608, -0.044383>,
      < -5.810694, -0.340361, 0.007164>
    }
    triangle {
      < -5.377427, -0.297533, 0.038342>,
      < -5.377411, -0.262282, -0.022729>,
      < -5.541398, -0.324586, -0.050517>
    }
    triangle {
      < -5.377427, -0.297533, 0.038342>,
      < -5.541398, -0.324586, -0.050517>,
      < -5.541410, -0.352723, -0.001772>
    }
    triangle {
      < -5.399130, -0.259983, 0.065614>,
      < -5.399113, -0.219880, -0.003862>,
      < -5.377411, -0.262282, -0.022729>
    }
    triangle {
      < -5.399130, -0.259983, 0.065614>,
      < -5.377411, -0.262282, -0.022729>,
      < -5.377427, -0.297533, 0.038342>
    }
    triangle {
      < -5.225844, -0.222318, 0.093001>,
      < -5.225824, -0.177364, 0.015121>,
      < -5.399113, -0.219880, -0.003862>
    }
    triangle {
      < -5.225844, -0.222318, 0.093001>,
      < -5.399113, -0.219880, -0.003862>,
      < -5.399130, -0.259983, 0.065614>
    }
    triangle {
      < -5.225821, -0.244856, 0.076630>,
      < -5.225803, -0.202812, 0.003792>,
      < -5.225824, -0.177364, 0.015121>
    }
    triangle {
      < -5.225821, -0.244856, 0.076630>,
      < -5.225824, -0.177364, 0.015121>,
      < -5.225844, -0.222318, 0.093001>
    }
    triangle {
      < -5.207250, -0.244845, 0.076641>,
      < -5.207233, -0.202801, 0.003803>,
      < -5.225803, -0.202812, 0.003792>
    }
    triangle {
      < -5.207250, -0.244845, 0.076641>,
      < -5.225803, -0.202812, 0.003792>,
      < -5.225821, -0.244856, 0.076630>
    }
    triangle {
      < -5.207278, -0.217298, 0.096650>,
      < -5.207259, -0.171698, 0.017649>,
      < -5.207233, -0.202801, 0.003803>
    }
    triangle {
      < -5.207278, -0.217298, 0.096650>,
      < -5.207233, -0.202801, 0.003803>,
      < -5.207250, -0.244845, 0.076641>
    }
    triangle {
      < -5.123710, -0.217248, 0.096699>,
      < -5.123691, -0.171648, 0.017699>,
      < -5.207259, -0.171698, 0.017649>
    }
    triangle {
      < -5.123710, -0.217248, 0.096699>,
      < -5.207259, -0.171698, 0.017649>,
      < -5.207278, -0.217298, 0.096650>
    }
    triangle {
      < -4.869551, -0.570190, -0.159623>,
      < -5.123691, -0.171648, 0.017699>,
      < -5.123710, -0.217248, 0.096699>
    }
    triangle {
      < -5.420643, -0.378240, -0.074360>,
      < -5.420627, -0.364647, -0.116199>,
      < -5.367862, -0.570485, -0.159918>
    }
    triangle {
      < -5.943739, -0.347446, -0.060824>,
      < -5.943720, -0.331655, -0.109431>,
      < -5.420627, -0.364647, -0.116199>
    }
    triangle {
      < -5.943739, -0.347446, -0.060824>,
      < -5.420627, -0.364647, -0.116199>,
      < -5.420643, -0.378240, -0.074360>
    }
    triangle {
      < -6.027328, -0.324874, -0.050804>,
      < -6.027306, -0.307485, -0.104334>,
      < -5.943720, -0.331655, -0.109431>
    }
    triangle {
      < -6.027328, -0.324874, -0.050804>,
      < -5.943720, -0.331655, -0.109431>,
      < -5.943739, -0.347446, -0.060824>
    }
    triangle {
      < -5.841655, -0.285178, -0.033074>,
      < -5.841631, -0.264990, -0.095216>,
      < -6.027306, -0.307485, -0.104334>
    }
    triangle {
      < -5.841655, -0.285178, -0.033074>,
      < -6.027306, -0.307485, -0.104334>,
      < -6.027328, -0.324874, -0.050804>
    }
    triangle {
      < -5.810682, -0.310608, -0.044383>,
      < -5.810660, -0.292219, -0.100989>,
      < -5.841631, -0.264990, -0.095216>
    }
    triangle {
      < -5.810682, -0.310608, -0.044383>,
      < -5.841631, -0.264990, -0.095216>,
      < -5.841655, -0.285178, -0.033074>
    }
    triangle {
      < -5.541398, -0.324586, -0.050517>,
      < -5.541376, -0.307197, -0.104046>,
      < -5.810660, -0.292219, -0.100989>
    }
    triangle {
      < -5.541398, -0.324586, -0.050517>,
      < -5.810660, -0.292219, -0.100989>,
      < -5.810682, -0.310608, -0.044383>
    }
    triangle {
      < -5.377411, -0.262282, -0.022729>,
      < -5.377384, -0.240495, -0.089794>,
      < -5.541376, -0.307197, -0.104046>
    }
    triangle {
      < -5.377411, -0.262282, -0.022729>,
      < -5.541376, -0.307197, -0.104046>,
      < -5.541398, -0.324586, -0.050517>
    }
    triangle {
      < -5.399113, -0.219880, -0.003862>,
      < -5.399083, -0.195096, -0.080156>,
      < -5.377384, -0.240495, -0.089794>
    }
    triangle {
      < -5.399113, -0.219880, -0.003862>,
      < -5.377384, -0.240495, -0.089794>,
      < -5.377411, -0.262282, -0.022729>
    }
    triangle {
      < -5.225824, -0.177364, 0.015121>,
      < -5.225790, -0.149581, -0.070403>,
      < -5.399083, -0.195096, -0.080156>
    }
    triangle {
      < -5.225824, -0.177364, 0.015121>,
      < -5.399083, -0.195096, -0.080156>,
      < -5.399113, -0.219880, -0.003862>
    }
    triangle {
      < -5.225803, -0.202812, 0.003792>,
      < -5.225769, -0.176828, -0.076193>,
      < -5.225790, -0.149581, -0.070403>
    }
    triangle {
      < -5.225803, -0.202812, 0.003792>,
      < -5.225790, -0.149581, -0.070403>,
      < -5.225824, -0.177364, 0.015121>
    }
    triangle {
      < -5.207233, -0.202801, 0.003803>,
      < -5.207200, -0.176817, -0.076182>,
      < -5.225769, -0.176828, -0.076193>
    }
    triangle {
      < -5.207233, -0.202801, 0.003803>,
      < -5.225769, -0.176828, -0.076193>,
      < -5.225803, -0.202812, 0.003792>
    }
    triangle {
      < -5.207259, -0.171698, 0.017649>,
      < -5.207224, -0.143515, -0.069105>,
      < -5.207200, -0.176817, -0.076182>
    }
    triangle {
      < -5.207259, -0.171698, 0.017649>,
      < -5.207200, -0.176817, -0.076182>,
      < -5.207233, -0.202801, 0.003803>
    }
    triangle {
      < -5.123691, -0.171648, 0.017699>,
      < -5.123657, -0.143465, -0.069056>,
      < -5.207224, -0.143515, -0.069105>
    }
    triangle {
      < -5.123691, -0.171648, 0.017699>,
      < -5.207224, -0.143515, -0.069105>,
      < -5.207259, -0.171698, 0.017649>
    }
    triangle {
      < -4.869551, -0.570190, -0.159623>,
      < -5.123657, -0.143465, -0.069056>,
      < -5.123691, -0.171648, 0.017699>
    }
    triangle {
      < -5.420627, -0.364647, -0.116199>,
      < -5.420603, -0.360050, -0.159950>,
      < -5.367862, -0.570485, -0.159918>
    }
    triangle {
      < -5.943720, -0.331655, -0.109431>,
      < -5.943694, -0.326314, -0.160259>,
      < -5.420603, -0.360050, -0.159950>
    }
    triangle {
      < -5.943720, -0.331655, -0.109431>,
      < -5.420603, -0.360050, -0.159950>,
      < -5.420627, -0.364647, -0.116199>
    }
    triangle {
      < -6.027306, -0.307485, -0.104334>,
      < -6.027276, -0.301603, -0.160308>,
      < -5.943694, -0.326314, -0.160259>
    }
    triangle {
      < -6.027306, -0.307485, -0.104334>,
      < -5.943694, -0.326314, -0.160259>,
      < -5.943720, -0.331655, -0.109431>
    }
    triangle {
      < -5.841631, -0.264990, -0.095216>,
      < -5.841597, -0.258162, -0.160198>,
      < -6.027276, -0.301603, -0.160308>
    }
    triangle {
      < -5.841631, -0.264990, -0.095216>,
      < -6.027276, -0.301603, -0.160308>,
      < -6.027306, -0.307485, -0.104334>
    }
    triangle {
      < -5.810660, -0.292219, -0.100989>,
      < -5.810629, -0.286000, -0.160181>,
      < -5.841597, -0.258162, -0.160198>
    }
    triangle {
      < -5.810660, -0.292219, -0.100989>,
      < -5.841597, -0.258162, -0.160198>,
      < -5.841631, -0.264990, -0.095216>
    }
    triangle {
      < -5.541376, -0.307197, -0.104046>,
      < -5.541346, -0.301315, -0.160020>,
      < -5.810629, -0.286000, -0.160181>
    }
    triangle {
      < -5.541376, -0.307197, -0.104046>,
      < -5.810629, -0.286000, -0.160181>,
      < -5.810660, -0.292219, -0.100989>
    }
    triangle {
      < -5.377384, -0.240495, -0.089794>,
      < -5.377347, -0.233126, -0.159924>,
      < -5.541346, -0.301315, -0.160020>
    }
    triangle {
      < -5.377384, -0.240495, -0.089794>,
      < -5.541346, -0.301315, -0.160020>,
      < -5.541376, -0.307197, -0.104046>
    }
    triangle {
      < -5.399083, -0.195096, -0.080156>,
      < -5.399039, -0.186712, -0.159936>,
      < -5.377347, -0.233126, -0.159924>
    }
    triangle {
      < -5.399083, -0.195096, -0.080156>,
      < -5.377347, -0.233126, -0.159924>,
      < -5.377384, -0.240495, -0.089794>
    }
    triangle {
      < -5.225790, -0.149581, -0.070403>,
      < -5.225743, -0.140183, -0.159834>,
      < -5.399039, -0.186712, -0.159936>
    }
    triangle {
      < -5.225790, -0.149581, -0.070403>,
      < -5.399039, -0.186712, -0.159936>,
      < -5.399083, -0.195096, -0.080156>
    }
    triangle {
      < -5.225769, -0.176828, -0.076193>,
      < -5.225726, -0.168039, -0.159833>,
      < -5.225743, -0.140183, -0.159834>
    }
    triangle {
      < -5.225769, -0.176828, -0.076193>,
      < -5.225743, -0.140183, -0.159834>,
      < -5.225790, -0.149581, -0.070403>
    }
    triangle {
      < -5.207200, -0.176817, -0.076182>,
      < -5.207154, -0.168028, -0.159822>,
      < -5.225726, -0.168039, -0.159833>
    }
    triangle {
      < -5.207200, -0.176817, -0.076182>,
      < -5.225726, -0.168039, -0.159833>,
      < -5.225769, -0.176828, -0.076193>
    }
    triangle {
      < -5.207224, -0.143515, -0.069105>,
      < -5.207174, -0.133982, -0.159823>,
      < -5.207154, -0.168028, -0.159822>
    }
    triangle {
      < -5.207224, -0.143515, -0.069105>,
      < -5.207154, -0.168028, -0.159822>,
      < -5.207200, -0.176817, -0.076182>
    }
    triangle {
      < -5.123657, -0.143465, -0.069056>,
      < -5.123608, -0.133932, -0.159774>,
      < -5.207174, -0.133982, -0.159823>
    }
    triangle {
      < -5.123657, -0.143465, -0.069056>,
      < -5.207174, -0.133982, -0.159823>,
      < -5.207224, -0.143515, -0.069105>
    }
    triangle {
      < -4.869551, -0.570190, -0.159623>,
      < -5.123608, -0.133932, -0.159774>,
      < -5.123657, -0.143465, -0.069056>
    }
    triangle {
      < -5.420603, -0.360050, -0.159950>,
      < -5.420575, -0.364647, -0.203700>,
      < -5.367862, -0.570485, -0.159918>
    }
    triangle {
      < -5.943694, -0.326314, -0.160259>,
      < -5.943660, -0.331656, -0.211086>,
      < -5.420575, -0.364647, -0.203700>
    }
    triangle {
      < -5.943694, -0.326314, -0.160259>,
      < -5.420575, -0.364647, -0.203700>,
      < -5.420603, -0.360050, -0.159950>
    }
    triangle {
      < -6.027276, -0.301603, -0.160308>,
      < -6.027239, -0.307485, -0.216283>,
      < -5.943660, -0.331656, -0.211086>
    }
    triangle {
      < -6.027276, -0.301603, -0.160308>,
      < -5.943660, -0.331656, -0.211086>,
      < -5.943694, -0.326314, -0.160259>
    }
    triangle {
      < -5.841597, -0.258162, -0.160198>,
      < -5.841554, -0.264990, -0.225180>,
      < -6.027239, -0.307485, -0.216283>
    }
    triangle {
      < -5.841597, -0.258162, -0.160198>,
      < -6.027239, -0.307485, -0.216283>,
      < -6.027276, -0.301603, -0.160308>
    }
    triangle {
      < -5.810629, -0.286000, -0.160181>,
      < -5.810589, -0.292220, -0.219372>,
      < -5.841554, -0.264990, -0.225180>
    }
    triangle {
      < -5.810629, -0.286000, -0.160181>,
      < -5.841554, -0.264990, -0.225180>,
      < -5.841597, -0.258162, -0.160198>
    }
    triangle {
      < -5.541346, -0.301315, -0.160020>,
      < -5.541310, -0.307197, -0.215995>,
      < -5.810589, -0.292220, -0.219372>
    }
    triangle {
      < -5.541346, -0.301315, -0.160020>,
      < -5.810589, -0.292220, -0.219372>,
      < -5.810629, -0.286000, -0.160181>
    }
    triangle {
      < -5.377347, -0.233126, -0.159924>,
      < -5.377301, -0.240495, -0.230053>,
      < -5.541310, -0.307197, -0.215995>
    }
    triangle {
      < -5.377347, -0.233126, -0.159924>,
      < -5.541310, -0.307197, -0.215995>,
      < -5.541346, -0.301315, -0.160020>
    }
    triangle {
      < -5.399039, -0.186712, -0.159936>,
      < -5.398989, -0.195096, -0.239716>,
      < -5.377301, -0.240495, -0.230053>
    }
    triangle {
      < -5.399039, -0.186712, -0.159936>,
      < -5.377301, -0.240495, -0.230053>,
      < -5.377347, -0.233126, -0.159924>
    }
    triangle {
      < -5.225743, -0.140183, -0.159834>,
      < -5.225683, -0.149581, -0.249264>,
      < -5.398989, -0.195096, -0.239716>
    }
    triangle {
      < -5.225743, -0.140183, -0.159834>,
      < -5.398989, -0.195096, -0.239716>,
      < -5.399039, -0.186712, -0.159936>
    }
    triangle {
      < -5.225726, -0.168039, -0.159833>,
      < -5.225672, -0.176828, -0.243474>,
      < -5.225683, -0.149581, -0.249264>
    }
    triangle {
      < -5.225726, -0.168039, -0.159833>,
      < -5.225683, -0.149581, -0.249264>,
      < -5.225743, -0.140183, -0.159834>
    }
    triangle {
      < -5.207154, -0.168028, -0.159822>,
      < -5.207101, -0.176817, -0.243463>,
      < -5.225672, -0.176828, -0.243474>
    }
    triangle {
      < -5.207154, -0.168028, -0.159822>,
      < -5.225672, -0.176828, -0.243474>,
      < -5.225726, -0.168039, -0.159833>
    }
    triangle {
      < -5.207174, -0.133982, -0.159823>,
      < -5.207116, -0.143514, -0.250540>,
      < -5.207101, -0.176817, -0.243463>
    }
    triangle {
      < -5.207174, -0.133982, -0.159823>,
      < -5.207101, -0.176817, -0.243463>,
      < -5.207154, -0.168028, -0.159822>
    }
    triangle {
      < -5.123608, -0.133932, -0.159774>,
      < -5.123548, -0.143465, -0.250491>,
      < -5.207116, -0.143514, -0.250540>
    }
    triangle {
      < -5.123608, -0.133932, -0.159774>,
      < -5.207116, -0.143514, -0.250540>,
      < -5.207174, -0.133982, -0.159823>
    }
    triangle {
      < -4.869551, -0.570190, -0.159623>,
      < -5.123548, -0.143465, -0.250491>,
      < -5.123608, -0.133932, -0.159774>
    }
    triangle {
      < -5.420575, -0.364647, -0.203700>,
      < -5.420541, -0.378239, -0.245538>,
      < -5.367862, -0.570485, -0.159918>
    }
    triangle {
      < -5.943660, -0.331656, -0.211086>,
      < -5.943623, -0.347445, -0.259693>,
      < -5.420541, -0.378239, -0.245538>
    }
    triangle {
      < -5.943660, -0.331656, -0.211086>,
      < -5.420541, -0.378239, -0.245538>,
      < -5.420575, -0.364647, -0.203700>
    }
    triangle {
      < -6.027239, -0.307485, -0.216283>,
      < -6.027198, -0.324874, -0.269812>,
      < -5.943623, -0.347445, -0.259693>
    }
    triangle {
      < -6.027239, -0.307485, -0.216283>,
      < -5.943623, -0.347445, -0.259693>,
      < -5.943660, -0.331656, -0.211086>
    }
    triangle {
      < -5.841554, -0.264990, -0.225180>,
      < -5.841504, -0.285178, -0.287323>,
      < -6.027198, -0.324874, -0.269812>
    }
    triangle {
      < -5.841554, -0.264990, -0.225180>,
      < -6.027198, -0.324874, -0.269812>,
      < -6.027239, -0.307485, -0.216283>
    }
    triangle {
      < -5.810589, -0.292220, -0.219372>,
      < -5.810545, -0.310608, -0.275977>,
      < -5.841504, -0.285178, -0.287323>
    }
    triangle {
      < -5.810589, -0.292220, -0.219372>,
      < -5.841504, -0.285178, -0.287323>,
      < -5.841554, -0.264990, -0.225180>
    }
    triangle {
      < -5.541310, -0.307197, -0.215995>,
      < -5.541268, -0.324586, -0.269525>,
      < -5.810545, -0.310608, -0.275977>
    }
    triangle {
      < -5.541310, -0.307197, -0.215995>,
      < -5.810545, -0.310608, -0.275977>,
      < -5.810589, -0.292220, -0.219372>
    }
    triangle {
      < -5.377301, -0.240495, -0.230053>,
      < -5.377248, -0.262282, -0.297118>,
      < -5.541268, -0.324586, -0.269525>
    }
    triangle {
      < -5.377301, -0.240495, -0.230053>,
      < -5.541268, -0.324586, -0.269525>,
      < -5.541310, -0.307197, -0.215995>
    }
    triangle {
      < -5.398989, -0.195096, -0.239716>,
      < -5.398929, -0.219880, -0.316011>,
      < -5.377248, -0.262282, -0.297118>
    }
    triangle {
      < -5.398989, -0.195096, -0.239716>,
      < -5.377248, -0.262282, -0.297118>,
      < -5.377301, -0.240495, -0.230053>
    }
    triangle {
      < -5.225683, -0.149581, -0.249264>,
      < -5.225616, -0.177363, -0.334788>,
      < -5.398929, -0.219880, -0.316011>
    }
    triangle {
      < -5.225683, -0.149581, -0.249264>,
      < -5.398929, -0.219880, -0.316011>,
      < -5.398989, -0.195096, -0.239716>
    }
    triangle {
      < -5.225672, -0.176828, -0.243474>,
      < -5.225609, -0.202812, -0.323460>,
      < -5.225616, -0.177363, -0.334788>
    }
    triangle {
      < -5.225672, -0.176828, -0.243474>,
      < -5.225616, -0.177363, -0.334788>,
      < -5.225683, -0.149581, -0.249264>
    }
    triangle {
      < -5.207101, -0.176817, -0.243463>,
      < -5.207038, -0.202801, -0.323449>,
      < -5.225609, -0.202812, -0.323460>
    }
    triangle {
      < -5.207101, -0.176817, -0.243463>,
      < -5.225609, -0.202812, -0.323460>,
      < -5.225672, -0.176828, -0.243474>
    }
    triangle {
      < -5.207116, -0.143514, -0.250540>,
      < -5.207048, -0.171698, -0.337294>,
      < -5.207038, -0.202801, -0.323449>
    }
    triangle {
      < -5.207116, -0.143514, -0.250540>,
      < -5.207038, -0.202801, -0.323449>,
      < -5.207101, -0.176817, -0.243463>
    }
    triangle {
      < -5.123548, -0.143465, -0.250491>,
      < -5.123480, -0.171648, -0.337245>,
      < -5.207048, -0.171698, -0.337294>
    }
    triangle {
      < -5.123548, -0.143465, -0.250491>,
      < -5.207048, -0.171698, -0.337294>,
      < -5.207116, -0.143514, -0.250540>
    }
    triangle {
      < -4.869551, -0.570190, -0.159623>,
      < -5.123480, -0.171648, -0.337245>,
      < -5.123548, -0.143465, -0.250491>
    }
    triangle {
      < -5.420541, -0.378239, -0.245538>,
      < -5.420506, -0.400231, -0.283638>,
      < -5.367862, -0.570485, -0.159918>
    }
    triangle {
      < -5.943623, -0.347445, -0.259693>,
      < -5.943580, -0.372995, -0.303956>,
      < -5.420506, -0.400231, -0.283638>
    }
    triangle {
      < -5.943623, -0.347445, -0.259693>,
      < -5.420506, -0.400231, -0.283638>,
      < -5.420541, -0.378239, -0.245538>
    }
    triangle {
      < -6.027198, -0.324874, -0.269812>,
      < -6.027151, -0.353011, -0.318557>,
      < -5.943580, -0.372995, -0.303956>
    }
    triangle {
      < -6.027198, -0.324874, -0.269812>,
      < -5.943580, -0.372995, -0.303956>,
      < -5.943623, -0.347445, -0.259693>
    }
    triangle {
      < -5.841504, -0.285178, -0.287323>,
      < -5.841452, -0.317842, -0.343913>,
      < -6.027151, -0.353011, -0.318557>
    }
    triangle {
      < -5.841504, -0.285178, -0.287323>,
      < -6.027151, -0.353011, -0.318557>,
      < -6.027198, -0.324874, -0.269812>
    }
    triangle {
      < -5.810545, -0.310608, -0.275977>,
      < -5.810498, -0.340362, -0.327523>,
      < -5.841452, -0.317842, -0.343913>
    }
    triangle {
      < -5.810545, -0.310608, -0.275977>,
      < -5.841452, -0.317842, -0.343913>,
      < -5.841504, -0.285178, -0.287323>
    }
    triangle {
      < -5.541268, -0.324586, -0.269525>,
      < -5.541222, -0.352723, -0.318269>,
      < -5.810498, -0.340362, -0.327523>
    }
    triangle {
      < -5.541268, -0.324586, -0.269525>,
      < -5.810498, -0.340362, -0.327523>,
      < -5.810545, -0.310608, -0.275977>
    }
    triangle {
      < -5.377248, -0.262282, -0.297118>,
      < -5.377192, -0.297533, -0.358190>,
      < -5.541222, -0.352723, -0.318269>
    }
    triangle {
      < -5.377248, -0.262282, -0.297118>,
      < -5.541222, -0.352723, -0.318269>,
      < -5.541268, -0.324586, -0.269525>
    }
    triangle {
      < -5.398929, -0.219880, -0.316011>,
      < -5.398862, -0.259983, -0.385486>,
      < -5.377192, -0.297533, -0.358190>
    }
    triangle {
      < -5.398929, -0.219880, -0.316011>,
      < -5.377192, -0.297533, -0.358190>,
      < -5.377248, -0.262282, -0.297118>
    }
    triangle {
      < -5.225616, -0.177363, -0.334788>,
      < -5.225544, -0.222317, -0.412668>,
      < -5.398862, -0.259983, -0.385486>
    }
    triangle {
      < -5.225616, -0.177363, -0.334788>,
      < -5.398862, -0.259983, -0.385486>,
      < -5.398929, -0.219880, -0.316011>
    }
    triangle {
      < -5.225609, -0.202812, -0.323460>,
      < -5.225541, -0.244855, -0.396297>,
      < -5.225544, -0.222317, -0.412668>
    }
    triangle {
      < -5.225609, -0.202812, -0.323460>,
      < -5.225544, -0.222317, -0.412668>,
      < -5.225616, -0.177363, -0.334788>
    }
    triangle {
      < -5.207038, -0.202801, -0.323449>,
      < -5.206970, -0.244844, -0.396286>,
      < -5.225541, -0.244855, -0.396297>
    }
    triangle {
      < -5.207038, -0.202801, -0.323449>,
      < -5.225541, -0.244855, -0.396297>,
      < -5.225609, -0.202812, -0.323460>
    }
    triangle {
      < -5.207048, -0.171698, -0.337294>,
      < -5.206974, -0.217299, -0.416295>,
      < -5.206970, -0.244844, -0.396286>
    }
    triangle {
      < -5.207048, -0.171698, -0.337294>,
      < -5.206970, -0.244844, -0.396286>,
      < -5.207038, -0.202801, -0.323449>
    }
    triangle {
      < -5.123480, -0.171648, -0.337245>,
      < -5.123407, -0.217249, -0.416245>,
      < -5.206974, -0.217299, -0.416295>
    }
    triangle {
      < -5.123480, -0.171648, -0.337245>,
      < -5.206974, -0.217299, -0.416295>,
      < -5.207048, -0.171698, -0.337294>
    }
    triangle {
      < -4.869551, -0.570190, -0.159623>,
      < -5.123407, -0.217249, -0.416245>,
      < -5.123480, -0.171648, -0.337245>
    }
    triangle {
      < -5.420506, -0.400231, -0.283638>,
      < -5.420468, -0.429662, -0.316333>,
      < -5.367862, -0.570485, -0.159918>
    }
    triangle {
      < -5.943580, -0.372995, -0.303956>,
      < -5.943538, -0.407187, -0.341941>,
      < -5.420468, -0.429662, -0.316333>
    }
    triangle {
      < -5.943580, -0.372995, -0.303956>,
      < -5.420468, -0.429662, -0.316333>,
      < -5.420506, -0.400231, -0.283638>
    }
    triangle {
      < -6.027151, -0.353011, -0.318557>,
      < -6.027105, -0.390666, -0.360389>,
      < -5.943538, -0.407187, -0.341941>
    }
    triangle {
      < -6.027151, -0.353011, -0.318557>,
      < -5.943538, -0.407187, -0.341941>,
      < -5.943580, -0.372995, -0.303956>
    }
    triangle {
      < -5.841452, -0.317842, -0.343913>,
      < -5.841396, -0.361556, -0.392476>,
      < -6.027105, -0.390666, -0.360389>
    }
    triangle {
      < -5.841452, -0.317842, -0.343913>,
      < -6.027105, -0.390666, -0.360389>,
      < -6.027151, -0.353011, -0.318557>
    }
    triangle {
      < -5.810498, -0.340362, -0.327523>,
      < -5.810448, -0.380180, -0.371760>,
      < -5.841396, -0.361556, -0.392476>
    }
    triangle {
      < -5.810498, -0.340362, -0.327523>,
      < -5.841396, -0.361556, -0.392476>,
      < -5.841452, -0.317842, -0.343913>
    }
    triangle {
      < -5.541222, -0.352723, -0.318269>,
      < -5.541176, -0.390377, -0.360101>,
      < -5.810448, -0.380180, -0.371760>
    }
    triangle {
      < -5.541222, -0.352723, -0.318269>,
      < -5.810448, -0.380180, -0.371760>,
      < -5.810498, -0.340362, -0.327523>
    }
    triangle {
      < -5.377192, -0.297533, -0.358190>,
      < -5.377133, -0.344710, -0.410599>,
      < -5.541176, -0.390377, -0.360101>
    }
    triangle {
      < -5.377192, -0.297533, -0.358190>,
      < -5.541176, -0.390377, -0.360101>,
      < -5.541222, -0.352723, -0.318269>
    }
    triangle {
      < -5.398862, -0.259983, -0.385486>,
      < -5.398796, -0.313651, -0.445108>,
      < -5.377133, -0.344710, -0.410599>
    }
    triangle {
      < -5.398862, -0.259983, -0.385486>,
      < -5.377133, -0.344710, -0.410599>,
      < -5.377192, -0.297533, -0.358190>
    }
    triangle {
      < -5.225544, -0.222317, -0.412668>,
      < -5.225469, -0.282478, -0.479502>,
      < -5.398796, -0.313651, -0.445108>
    }
    triangle {
      < -5.225544, -0.222317, -0.412668>,
      < -5.398796, -0.313651, -0.445108>,
      < -5.398862, -0.259983, -0.385486>
    }
    triangle {
      < -5.225541, -0.244855, -0.396297>,
      < -5.225470, -0.301121, -0.458805>,
      < -5.225469, -0.282478, -0.479502>
    }
    triangle {
      < -5.225541, -0.244855, -0.396297>,
      < -5.225469, -0.282478, -0.479502>,
      < -5.225544, -0.222317, -0.412668>
    }
    triangle {
      < -5.206970, -0.244844, -0.396286>,
      < -5.206900, -0.301110, -0.458794>,
      < -5.225470, -0.301121, -0.458805>
    }
    triangle {
      < -5.206970, -0.244844, -0.396286>,
      < -5.225470, -0.301121, -0.458805>,
      < -5.225541, -0.244855, -0.396297>
    }
    triangle {
      < -5.206974, -0.217299, -0.416295>,
      < -5.206898, -0.278325, -0.484091>,
      < -5.206900, -0.301110, -0.458794>
    }
    triangle {
      < -5.206974, -0.217299, -0.416295>,
      < -5.206900, -0.301110, -0.458794>,
      < -5.206970, -0.244844, -0.396286>
    }
    triangle {
      < -5.123407, -0.217249, -0.416245>,
      < -5.123331, -0.278275, -0.484041>,
      < -5.206898, -0.278325, -0.484091>
    }
    triangle {
      < -5.123407, -0.217249, -0.416245>,
      < -5.206898, -0.278325, -0.484091>,
      < -5.206974, -0.217299, -0.416295>
    }
    triangle {
      < -4.869551, -0.570190, -0.159623>,
      < -5.123331, -0.278275, -0.484041>,
      < -5.123407, -0.217249, -0.416245>
    }
    triangle {
      < -5.420468, -0.429662, -0.316333>,
      < -5.420434, -0.465247, -0.342197>,
      < -5.367862, -0.570485, -0.159918>
    }
    triangle {
      < -5.943538, -0.407187, -0.341941>,
      < -5.943496, -0.448529, -0.371988>,
      < -5.420434, -0.465247, -0.342197>
    }
    triangle {
      < -5.943538, -0.407187, -0.341941>,
      < -5.420434, -0.465247, -0.342197>,
      < -5.420468, -0.429662, -0.316333>
    }
    triangle {
      < -6.027105, -0.390666, -0.360389>,
      < -6.027059, -0.436193, -0.393480>,
      < -5.943496, -0.448529, -0.371988>
    }
    triangle {
      < -6.027105, -0.390666, -0.360389>,
      < -5.943496, -0.448529, -0.371988>,
      < -5.943538, -0.407187, -0.341941>
    }
    triangle {
      < -5.841396, -0.361556, -0.392476>,
      < -5.841343, -0.414410, -0.430891>,
      < -6.027059, -0.436193, -0.393480>
    }
    triangle {
      < -5.841396, -0.361556, -0.392476>,
      < -6.027059, -0.436193, -0.393480>,
      < -6.027105, -0.390666, -0.360389>
    }
    triangle {
      < -5.810448, -0.380180, -0.371760>,
      < -5.810398, -0.428325, -0.406751>,
      < -5.841343, -0.414410, -0.430891>
    }
    triangle {
      < -5.810448, -0.380180, -0.371760>,
      < -5.841343, -0.414410, -0.430891>,
      < -5.841396, -0.361556, -0.392476>
    }
    triangle {
      < -5.541176, -0.390377, -0.360101>,
      < -5.541129, -0.435905, -0.393192>,
      < -5.810398, -0.428325, -0.406751>
    }
    triangle {
      < -5.541176, -0.390377, -0.360101>,
      < -5.810398, -0.428325, -0.406751>,
      < -5.810448, -0.380180, -0.371760>
    }
    triangle {
      < -5.377133, -0.344710, -0.410599>,
      < -5.377074, -0.401751, -0.452057>,
      < -5.541129, -0.435905, -0.393192>
    }
    triangle {
      < -5.377133, -0.344710, -0.410599>,
      < -5.541129, -0.435905, -0.393192>,
      < -5.541176, -0.390377, -0.360101>
    }
    triangle {
      < -5.398796, -0.313651, -0.445108>,
      < -5.398729, -0.378542, -0.492272>,
      < -5.377074, -0.401751, -0.452057>
    }
    triangle {
      < -5.398796, -0.313651, -0.445108>,
      < -5.377074, -0.401751, -0.452057>,
      < -5.377133, -0.344710, -0.410599>
    }
    triangle {
      < -5.225469, -0.282478, -0.479502>,
      < -5.225395, -0.355218, -0.532371>,
      < -5.398729, -0.378542, -0.492272>
    }
    triangle {
      < -5.225469, -0.282478, -0.479502>,
      < -5.398729, -0.378542, -0.492272>,
      < -5.398796, -0.313651, -0.445108>
    }
    triangle {
      < -5.225470, -0.301121, -0.458805>,
      < -5.225399, -0.369151, -0.508249>,
      < -5.225395, -0.355218, -0.532371>
    }
    triangle {
      < -5.225470, -0.301121, -0.458805>,
      < -5.225395, -0.355218, -0.532371>,
      < -5.225469, -0.282478, -0.479502>
    }
    triangle {
      < -5.206900, -0.301110, -0.458794>,
      < -5.206829, -0.369140, -0.508238>,
      < -5.225399, -0.369151, -0.508249>
    }
    triangle {
      < -5.206900, -0.301110, -0.458794>,
      < -5.225399, -0.369151, -0.508249>,
      < -5.225470, -0.301121, -0.458805>
    }
    triangle {
      < -5.206898, -0.278325, -0.484091>,
      < -5.206822, -0.352110, -0.537720>,
      < -5.206829, -0.369140, -0.508238>
    }
    triangle {
      < -5.206898, -0.278325, -0.484091>,
      < -5.206829, -0.369140, -0.508238>,
      < -5.206900, -0.301110, -0.458794>
    }
    triangle {
      < -5.123331, -0.278275, -0.484041>,
      < -5.123256, -0.352061, -0.537670>,
      < -5.206822, -0.352110, -0.537720>
    }
    triangle {
      < -5.123331, -0.278275, -0.484041>,
      < -5.206822, -0.352110, -0.537720>,
      < -5.206898, -0.278325, -0.484091>
    }
    triangle {
      < -4.869551, -0.570190, -0.159623>,
      < -5.123256, -0.352061, -0.537670>,
      < -5.123331, -0.278275, -0.484041>
    }
    triangle {
      < -5.420434, -0.465247, -0.342197>,
      < -5.420399, -0.505431, -0.360099>,
      < -5.367862, -0.570485, -0.159918>
    }
    triangle {
      < -5.943496, -0.448529, -0.371988>,
      < -5.943456, -0.495213, -0.392786>,
      < -5.420399, -0.505431, -0.360099>
    }
    triangle {
      < -5.943496, -0.448529, -0.371988>,
      < -5.420399, -0.505431, -0.360099>,
      < -5.420434, -0.465247, -0.342197>
    }
    triangle {
      < -6.027059, -0.436193, -0.393480>,
      < -6.027014, -0.487606, -0.416383>,
      < -5.943456, -0.495213, -0.392786>
    }
    triangle {
      < -6.027059, -0.436193, -0.393480>,
      < -5.943456, -0.495213, -0.392786>,
      < -5.943496, -0.448529, -0.371988>
    }
    triangle {
      < -5.841343, -0.414410, -0.430891>,
      < -5.841292, -0.474096, -0.457480>,
      < -6.027014, -0.487606, -0.416383>
    }
    triangle {
      < -5.841343, -0.414410, -0.430891>,
      < -6.027014, -0.487606, -0.416383>,
      < -6.027059, -0.436193, -0.393480>
    }
    triangle {
      < -5.810398, -0.428325, -0.406751>,
      < -5.810352, -0.482691, -0.430971>,
      < -5.841292, -0.474096, -0.457480>
    }
    triangle {
      < -5.810398, -0.428325, -0.406751>,
      < -5.841292, -0.474096, -0.457480>,
      < -5.841343, -0.414410, -0.430891>
    }
    triangle {
      < -5.541129, -0.435905, -0.393192>,
      < -5.541085, -0.487318, -0.416095>,
      < -5.810352, -0.482691, -0.430971>
    }
    triangle {
      < -5.541129, -0.435905, -0.393192>,
      < -5.810352, -0.482691, -0.430971>,
      < -5.810398, -0.428325, -0.406751>
    }
    triangle {
      < -5.377074, -0.401751, -0.452057>,
      < -5.377019, -0.466163, -0.480752>,
      < -5.541085, -0.487318, -0.416095>
    }
    triangle {
      < -5.377074, -0.401751, -0.452057>,
      < -5.541085, -0.487318, -0.416095>,
      < -5.541129, -0.435905, -0.393192>
    }
    triangle {
      < -5.398729, -0.378542, -0.492272>,
      < -5.398666, -0.451819, -0.524915>,
      < -5.377019, -0.466163, -0.480752>
    }
    triangle {
      < -5.398729, -0.378542, -0.492272>,
      < -5.377019, -0.466163, -0.480752>,
      < -5.377074, -0.401751, -0.452057>
    }
    triangle {
      < -5.225395, -0.355218, -0.532371>,
      < -5.225324, -0.437359, -0.568963>,
      < -5.398666, -0.451819, -0.524915>
    }
    triangle {
      < -5.225395, -0.355218, -0.532371>,
      < -5.398666, -0.451819, -0.524915>,
      < -5.398729, -0.378542, -0.492272>
    }
    triangle {
      < -5.225399, -0.369151, -0.508249>,
      < -5.225335, -0.445973, -0.542473>,
      < -5.225324, -0.437359, -0.568963>
    }
    triangle {
      < -5.225399, -0.369151, -0.508249>,
      < -5.225324, -0.437359, -0.568963>,
      < -5.225395, -0.355218, -0.532371>
    }
    triangle {
      < -5.206829, -0.369140, -0.508238>,
      < -5.206763, -0.445962, -0.542462>,
      < -5.225335, -0.445973, -0.542473>
    }
    triangle {
      < -5.206829, -0.369140, -0.508238>,
      < -5.225335, -0.445973, -0.542473>,
      < -5.225399, -0.369151, -0.508249>
    }
    triangle {
      < -5.206822, -0.352110, -0.537720>,
      < -5.206750, -0.435433, -0.574839>,
      < -5.206763, -0.445962, -0.542462>
    }
    triangle {
      < -5.206822, -0.352110, -0.537720>,
      < -5.206763, -0.445962, -0.542462>,
      < -5.206829, -0.369140, -0.508238>
    }
    triangle {
      < -5.123256, -0.352061, -0.537670>,
      < -5.123184, -0.435384, -0.574790>,
      < -5.206750, -0.435433, -0.574839>
    }
    triangle {
      < -5.123256, -0.352061, -0.537670>,
      < -5.206750, -0.435433, -0.574839>,
      < -5.206822, -0.352110, -0.537720>
    }
    triangle {
      < -4.869551, -0.570190, -0.159623>,
      < -5.123184, -0.435384, -0.574790>,
      < -5.123256, -0.352061, -0.537670>
    }
    triangle {
      < -5.420399, -0.505431, -0.360099>,
      < -5.420367, -0.548458, -0.369256>,
      < -5.367862, -0.570485, -0.159918>
    }
    triangle {
      < -5.943456, -0.495213, -0.392786>,
      < -5.943420, -0.545200, -0.403425>,
      < -5.420367, -0.548458, -0.369256>
    }
    triangle {
      < -5.943456, -0.495213, -0.392786>,
      < -5.420367, -0.548458, -0.369256>,
      < -5.420399, -0.505431, -0.360099>
    }
    triangle {
      < -6.027014, -0.487606, -0.416383>,
      < -6.026975, -0.542656, -0.428098>,
      < -5.943420, -0.545200, -0.403425>
    }
    triangle {
      < -6.027014, -0.487606, -0.416383>,
      < -5.943420, -0.545200, -0.403425>,
      < -5.943456, -0.495213, -0.392786>
    }
    triangle {
      < -5.841292, -0.474096, -0.457480>,
      < -5.841247, -0.538004, -0.471081>,
      < -6.026975, -0.542656, -0.428098>
    }
    triangle {
      < -5.841292, -0.474096, -0.457480>,
      < -6.026975, -0.542656, -0.428098>,
      < -6.027014, -0.487606, -0.416383>
    }
    triangle {
      < -5.810352, -0.482691, -0.430971>,
      < -5.810308, -0.540905, -0.443361>,
      < -5.841247, -0.538004, -0.471081>
    }
    triangle {
      < -5.810352, -0.482691, -0.430971>,
      < -5.841247, -0.538004, -0.471081>,
      < -5.841292, -0.474096, -0.457480>
    }
    triangle {
      < -5.541085, -0.487318, -0.416095>,
      < -5.541046, -0.542367, -0.427811>,
      < -5.810308, -0.540905, -0.443361>
    }
    triangle {
      < -5.541085, -0.487318, -0.416095>,
      < -5.810308, -0.540905, -0.443361>,
      < -5.810352, -0.482691, -0.430971>
    }
    triangle {
      < -5.377019, -0.466163, -0.480752>,
      < -5.376969, -0.535133, -0.495431>,
      < -5.541046, -0.542367, -0.427811>
    }
    triangle {
      < -5.377019, -0.466163, -0.480752>,
      < -5.541046, -0.542367, -0.427811>,
      < -5.541085, -0.487318, -0.416095>
    }
    triangle {
      < -5.398666, -0.451819, -0.524915>,
      < -5.398610, -0.530280, -0.541614>,
      < -5.376969, -0.535133, -0.495431>
    }
    triangle {
      < -5.398666, -0.451819, -0.524915>,
      < -5.376969, -0.535133, -0.495431>,
      < -5.377019, -0.466163, -0.480752>
    }
    triangle {
      < -5.225324, -0.437359, -0.568963>,
      < -5.225261, -0.525312, -0.587682>,
      < -5.398610, -0.530280, -0.541614>
    }
    triangle {
      < -5.225324, -0.437359, -0.568963>,
      < -5.398610, -0.530280, -0.541614>,
      < -5.398666, -0.451819, -0.524915>
    }
    triangle {
      < -5.225335, -0.445973, -0.542473>,
      < -5.225276, -0.528232, -0.559980>,
      < -5.225261, -0.525312, -0.587682>
    }
    triangle {
      < -5.225335, -0.445973, -0.542473>,
      < -5.225261, -0.525312, -0.587682>,
      < -5.225324, -0.437359, -0.568963>
    }
    triangle {
      < -5.206763, -0.445962, -0.542462>,
      < -5.206704, -0.528221, -0.559969>,
      < -5.225276, -0.528232, -0.559980>
    }
    triangle {
      < -5.206763, -0.445962, -0.542462>,
      < -5.225276, -0.528232, -0.559980>,
      < -5.225335, -0.445973, -0.542473>
    }
    triangle {
      < -5.206750, -0.435433, -0.574839>,
      < -5.206686, -0.524653, -0.593827>,
      < -5.206704, -0.528221, -0.559969>
    }
    triangle {
      < -5.206750, -0.435433, -0.574839>,
      < -5.206704, -0.528221, -0.559969>,
      < -5.206763, -0.445962, -0.542462>
    }
    triangle {
      < -5.123184, -0.435384, -0.574790>,
      < -5.123120, -0.524603, -0.593778>,
      < -5.206686, -0.524653, -0.593827>
    }
    triangle {
      < -5.123184, -0.435384, -0.574790>,
      < -5.206686, -0.524653, -0.593827>,
      < -5.206750, -0.435433, -0.574839>
    }
    triangle {
      < -4.869551, -0.570190, -0.159623>,
      < -5.123120, -0.524603, -0.593778>,
      < -5.123184, -0.435384, -0.574790>
    }
    triangle {
      < -5.420367, -0.548458, -0.369256>,
      < -5.420341, -0.592450, -0.369269>,
      < -5.367862, -0.570485, -0.159918>
    }
    triangle {
      < -5.943420, -0.545200, -0.403425>,
      < -5.943390, -0.596308, -0.403440>,
      < -5.420341, -0.592450, -0.369269>
    }
    triangle {
      < -5.943420, -0.545200, -0.403425>,
      < -5.420341, -0.592450, -0.369269>,
      < -5.420367, -0.548458, -0.369256>
    }
    triangle {
      < -6.026975, -0.542656, -0.428098>,
      < -6.026941, -0.598939, -0.428115>,
      < -5.943390, -0.596308, -0.403440>
    }
    triangle {
      < -6.026975, -0.542656, -0.428098>,
      < -5.943390, -0.596308, -0.403440>,
      < -5.943420, -0.545200, -0.403425>
    }
    triangle {
      < -5.841247, -0.538004, -0.471081>,
      < -5.841208, -0.603344, -0.471101>,
      < -6.026941, -0.598939, -0.428115>
    }
    triangle {
      < -5.841247, -0.538004, -0.471081>,
      < -6.026941, -0.598939, -0.428115>,
      < -6.026975, -0.542656, -0.428098>
    }
    triangle {
      < -5.810308, -0.540905, -0.443361>,
      < -5.810273, -0.600422, -0.443378>,
      < -5.841208, -0.603344, -0.471101>
    }
    triangle {
      < -5.810308, -0.540905, -0.443361>,
      < -5.841208, -0.603344, -0.471101>,
      < -5.841247, -0.538004, -0.471081>
    }
    triangle {
      < -5.541046, -0.542367, -0.427811>,
      < -5.541012, -0.598650, -0.427827>,
      < -5.810273, -0.600422, -0.443378>
    }
    triangle {
      < -5.541046, -0.542367, -0.427811>,
      < -5.810273, -0.600422, -0.443378>,
      < -5.810308, -0.540905, -0.443361>
    }
    triangle {
      < -5.376969, -0.535133, -0.495431>,
      < -5.376927, -0.605649, -0.495451>,
      < -5.541012, -0.598650, -0.427827>
    }
    triangle {
      < -5.376969, -0.535133, -0.495431>,
      < -5.541012, -0.598650, -0.427827>,
      < -5.541046, -0.542367, -0.427811>
    }
    triangle {
      < -5.398610, -0.530280, -0.541614>,
      < -5.398562, -0.610500, -0.541638>,
      < -5.376927, -0.605649, -0.495451>
    }
    triangle {
      < -5.398610, -0.530280, -0.541614>,
      < -5.376927, -0.605649, -0.495451>,
      < -5.376969, -0.535133, -0.495431>
    }
    triangle {
      < -5.225261, -0.525312, -0.587682>,
      < -5.225208, -0.615235, -0.587708>,
      < -5.398562, -0.610500, -0.541638>
    }
    triangle {
      < -5.225261, -0.525312, -0.587682>,
      < -5.398562, -0.610500, -0.541638>,
      < -5.398610, -0.530280, -0.541614>
    }
    triangle {
      < -5.225276, -0.528232, -0.559980>,
      < -5.225226, -0.612333, -0.560004>,
      < -5.225208, -0.615235, -0.587708>
    }
    triangle {
      < -5.225276, -0.528232, -0.559980>,
      < -5.225208, -0.615235, -0.587708>,
      < -5.225261, -0.525312, -0.587682>
    }
    triangle {
      < -5.206704, -0.528221, -0.559969>,
      < -5.206654, -0.612322, -0.559993>,
      < -5.225226, -0.612333, -0.560004>
    }
    triangle {
      < -5.206704, -0.528221, -0.559969>,
      < -5.225226, -0.612333, -0.560004>,
      < -5.225276, -0.528232, -0.559980>
    }
    triangle {
      < -5.206686, -0.524653, -0.593827>,
      < -5.206632, -0.615870, -0.593854>,
      < -5.206654, -0.612322, -0.559993>
    }
    triangle {
      < -5.206686, -0.524653, -0.593827>,
      < -5.206654, -0.612322, -0.559993>,
      < -5.206704, -0.528221, -0.559969>
    }
    triangle {
      < -5.123120, -0.524603, -0.593778>,
      < -5.123066, -0.615820, -0.593804>,
      < -5.206632, -0.615870, -0.593854>
    }
    triangle {
      < -5.123120, -0.524603, -0.593778>,
      < -5.206632, -0.615870, -0.593854>,
      < -5.206686, -0.524653, -0.593827>
    }
    triangle {
      < -4.869551, -0.570190, -0.159623>,
      < -5.123066, -0.615820, -0.593804>,
      < -5.123120, -0.524603, -0.593778>
    }
    triangle {
      < -5.420341, -0.592450, -0.369269>,
      < -5.420321, -0.635483, -0.360137>,
      < -5.367862, -0.570485, -0.159918>
    }
    triangle {
      < -5.943390, -0.596308, -0.403440>,
      < -5.943366, -0.646302, -0.392831>,
      < -5.420321, -0.635483, -0.360137>
    }
    triangle {
      < -5.943390, -0.596308, -0.403440>,
      < -5.420321, -0.635483, -0.360137>,
      < -5.420341, -0.592450, -0.369269>
    }
    triangle {
      < -6.026941, -0.598939, -0.428115>,
      < -6.026916, -0.653995, -0.416431>,
      < -5.943366, -0.646302, -0.392831>
    }
    triangle {
      < -6.026941, -0.598939, -0.428115>,
      < -5.943366, -0.646302, -0.392831>,
      < -5.943390, -0.596308, -0.403440>
    }
    triangle {
      < -5.841208, -0.603344, -0.471101>,
      < -5.841177, -0.667260, -0.457537>,
      < -6.026916, -0.653995, -0.416431>
    }
    triangle {
      < -5.841208, -0.603344, -0.471101>,
      < -6.026916, -0.653995, -0.416431>,
      < -6.026941, -0.598939, -0.428115>
    }
    triangle {
      < -5.810273, -0.600422, -0.443378>,
      < -5.810247, -0.658644, -0.431024>,
      < -5.841177, -0.667260, -0.457537>
    }
    triangle {
      < -5.810273, -0.600422, -0.443378>,
      < -5.841177, -0.667260, -0.457537>,
      < -5.841208, -0.603344, -0.471101>
    }
    triangle {
      < -5.541012, -0.598650, -0.427827>,
      < -5.540986, -0.653706, -0.416144>,
      < -5.810247, -0.658644, -0.431024>
    }
    triangle {
      < -5.541012, -0.598650, -0.427827>,
      < -5.810247, -0.658644, -0.431024>,
      < -5.810273, -0.600422, -0.443378>
    }
    triangle {
      < -5.376927, -0.605649, -0.495451>,
      < -5.376895, -0.674628, -0.480813>,
      < -5.540986, -0.653706, -0.416144>
    }
    triangle {
      < -5.376927, -0.605649, -0.495451>,
      < -5.540986, -0.653706, -0.416144>,
      < -5.541012, -0.598650, -0.427827>
    }
    triangle {
      < -5.398562, -0.610500, -0.541638>,
      < -5.398526, -0.688972, -0.524986>,
      < -5.376895, -0.674628, -0.480813>
    }
    triangle {
      < -5.398562, -0.610500, -0.541638>,
      < -5.376895, -0.674628, -0.480813>,
      < -5.376927, -0.605649, -0.495451>
    }
    triangle {
      < -5.225208, -0.615235, -0.587708>,
      < -5.225166, -0.703200, -0.569042>,
      < -5.398526, -0.688972, -0.524986>
    }
    triangle {
      < -5.225208, -0.615235, -0.587708>,
      < -5.398526, -0.688972, -0.524986>,
      < -5.398562, -0.610500, -0.541638>
    }
    triangle {
      < -5.225226, -0.612333, -0.560004>,
      < -5.225187, -0.694601, -0.542546>,
      < -5.225166, -0.703200, -0.569042>
    }
    triangle {
      < -5.225226, -0.612333, -0.560004>,
      < -5.225166, -0.703200, -0.569042>,
      < -5.225208, -0.615235, -0.587708>
    }
    triangle {
      < -5.206654, -0.612322, -0.559993>,
      < -5.206615, -0.694590, -0.542535>,
      < -5.225187, -0.694601, -0.542546>
    }
    triangle {
      < -5.206654, -0.612322, -0.559993>,
      < -5.225187, -0.694601, -0.542546>,
      < -5.225226, -0.612333, -0.560004>
    }
    triangle {
      < -5.206632, -0.615870, -0.593854>,
      < -5.206590, -0.705099, -0.574919>,
      < -5.206615, -0.694590, -0.542535>
    }
    triangle {
      < -5.206632, -0.615870, -0.593854>,
      < -5.206615, -0.694590, -0.542535>,
      < -5.206654, -0.612322, -0.559993>
    }
    triangle {
      < -5.123066, -0.615820, -0.593804>,
      < -5.123024, -0.705050, -0.574869>,
      < -5.206590, -0.705099, -0.574919>
    }
    triangle {
      < -5.123066, -0.615820, -0.593804>,
      < -5.206590, -0.705099, -0.574919>,
      < -5.206632, -0.615870, -0.593854>
    }
    triangle {
      < -4.869551, -0.570190, -0.159623>,
      < -5.123024, -0.705050, -0.574869>,
      < -5.123066, -0.615820, -0.593804>
    }
    triangle {
      < -5.420321, -0.635483, -0.360137>,
      < -5.420309, -0.675677, -0.342260>,
      < -5.367862, -0.570485, -0.159918>
    }
    triangle {
      < -5.943366, -0.646302, -0.392831>,
      < -5.943349, -0.692999, -0.372061>,
      < -5.420309, -0.675677, -0.342260>
    }
    triangle {
      < -5.943366, -0.646302, -0.392831>,
      < -5.420309, -0.675677, -0.342260>,
      < -5.420321, -0.635483, -0.360137>
    }
    triangle {
      < -6.026916, -0.653995, -0.416431>,
      < -6.026899, -0.705420, -0.393559>,
      < -5.943349, -0.692999, -0.372061>
    }
    triangle {
      < -6.026916, -0.653995, -0.416431>,
      < -5.943349, -0.692999, -0.372061>,
      < -5.943366, -0.646302, -0.392831>
    }
    triangle {
      < -5.841177, -0.667260, -0.457537>,
      < -5.841157, -0.726961, -0.430983>,
      < -6.026899, -0.705420, -0.393559>
    }
    triangle {
      < -5.841177, -0.667260, -0.457537>,
      < -6.026899, -0.705420, -0.393559>,
      < -6.026916, -0.653995, -0.416431>
    }
    triangle {
      < -5.810247, -0.658644, -0.431024>,
      < -5.810229, -0.713025, -0.406836>,
      < -5.841157, -0.726961, -0.430983>
    }
    triangle {
      < -5.810247, -0.658644, -0.431024>,
      < -5.841157, -0.726961, -0.430983>,
      < -5.841177, -0.667260, -0.457537>
    }
    triangle {
      < -5.540986, -0.653706, -0.416144>,
      < -5.540969, -0.705132, -0.393271>,
      < -5.810229, -0.713025, -0.406836>
    }
    triangle {
      < -5.540986, -0.653706, -0.416144>,
      < -5.810229, -0.713025, -0.406836>,
      < -5.810247, -0.658644, -0.431024>
    }
    triangle {
      < -5.376895, -0.674628, -0.480813>,
      < -5.376874, -0.739058, -0.452156>,
      < -5.540969, -0.705132, -0.393271>
    }
    triangle {
      < -5.376895, -0.674628, -0.480813>,
      < -5.540969, -0.705132, -0.393271>,
      < -5.540986, -0.653706, -0.416144>
    }
    triangle {
      < -5.398526, -0.688972, -0.524986>,
      < -5.398501, -0.762267, -0.492385>,
      < -5.376874, -0.739058, -0.452156>
    }
    triangle {
      < -5.398526, -0.688972, -0.524986>,
      < -5.376874, -0.739058, -0.452156>,
      < -5.376895, -0.674628, -0.480813>
    }
    triangle {
      < -5.225166, -0.703200, -0.569042>,
      < -5.225140, -0.785362, -0.532498>,
      < -5.398501, -0.762267, -0.492385>
    }
    triangle {
      < -5.225166, -0.703200, -0.569042>,
      < -5.398501, -0.762267, -0.492385>,
      < -5.398526, -0.688972, -0.524986>
    }
    triangle {
      < -5.225187, -0.694601, -0.542546>,
      < -5.225161, -0.771444, -0.508369>,
      < -5.225140, -0.785362, -0.532498>
    }
    triangle {
      < -5.225187, -0.694601, -0.542546>,
      < -5.225140, -0.785362, -0.532498>,
      < -5.225166, -0.703200, -0.569042>
    }
    triangle {
      < -5.206615, -0.694590, -0.542535>,
      < -5.206591, -0.771433, -0.508358>,
      < -5.225161, -0.771444, -0.508369>
    }
    triangle {
      < -5.206615, -0.694590, -0.542535>,
      < -5.225161, -0.771444, -0.508369>,
      < -5.225187, -0.694601, -0.542546>
    }
    triangle {
      < -5.206590, -0.705099, -0.574919>,
      < -5.206563, -0.788445, -0.537849>,
      < -5.206591, -0.771433, -0.508358>
    }
    triangle {
      < -5.206590, -0.705099, -0.574919>,
      < -5.206591, -0.771433, -0.508358>,
      < -5.206615, -0.694590, -0.542535>
    }
    triangle {
      < -5.123024, -0.705050, -0.574869>,
      < -5.122997, -0.788395, -0.537800>,
      < -5.206563, -0.788445, -0.537849>
    }
    triangle {
      < -5.123024, -0.705050, -0.574869>,
      < -5.206563, -0.788445, -0.537849>,
      < -5.206590, -0.705099, -0.574919>
    }
    triangle {
      < -4.869551, -0.570190, -0.159623>,
      < -5.122997, -0.788395, -0.537800>,
      < -5.123024, -0.705050, -0.574869>
    }
    triangle {
      < -5.420309, -0.675677, -0.342260>,
      < -5.420301, -0.711278, -0.316418>,
      < -5.367862, -0.570485, -0.159918>
    }
    triangle {
      < -5.943349, -0.692999, -0.372061>,
      < -5.943344, -0.734358, -0.342038>,
      < -5.420301, -0.711278, -0.316418>
    }
    triangle {
      < -5.943349, -0.692999, -0.372061>,
      < -5.420301, -0.711278, -0.316418>,
      < -5.420309, -0.675677, -0.342260>
    }
    triangle {
      < -6.026899, -0.705420, -0.393559>,
      < -6.026891, -0.750968, -0.360496>,
      < -5.943344, -0.734358, -0.342038>
    }
    triangle {
      < -6.026899, -0.705420, -0.393559>,
      < -5.943344, -0.734358, -0.342038>,
      < -5.943349, -0.692999, -0.372061>
    }
    triangle {
      < -5.841157, -0.726961, -0.430983>,
      < -5.841148, -0.779838, -0.392600>,
      < -6.026891, -0.750968, -0.360496>
    }
    triangle {
      < -5.841157, -0.726961, -0.430983>,
      < -6.026891, -0.750968, -0.360496>,
      < -6.026899, -0.705420, -0.393559>
    }
    triangle {
      < -5.810229, -0.713025, -0.406836>,
      < -5.810222, -0.761190, -0.371872>,
      < -5.841148, -0.779838, -0.392600>
    }
    triangle {
      < -5.810229, -0.713025, -0.406836>,
      < -5.841148, -0.779838, -0.392600>,
      < -5.841157, -0.726961, -0.430983>
    }
    triangle {
      < -5.540969, -0.705132, -0.393271>,
      < -5.540962, -0.750679, -0.360208>,
      < -5.810222, -0.761190, -0.371872>
    }
    triangle {
      < -5.540969, -0.705132, -0.393271>,
      < -5.810222, -0.761190, -0.371872>,
      < -5.810229, -0.713025, -0.406836>
    }
    triangle {
      < -5.376874, -0.739058, -0.452156>,
      < -5.376864, -0.796123, -0.410732>,
      < -5.540962, -0.750679, -0.360208>
    }
    triangle {
      < -5.376874, -0.739058, -0.452156>,
      < -5.540962, -0.750679, -0.360208>,
      < -5.540969, -0.705132, -0.393271>
    }
    triangle {
      < -5.398501, -0.762267, -0.492385>,
      < -5.398492, -0.827187, -0.445261>,
      < -5.376864, -0.796123, -0.410732>
    }
    triangle {
      < -5.398501, -0.762267, -0.492385>,
      < -5.376864, -0.796123, -0.410732>,
      < -5.376874, -0.739058, -0.452156>
    }
    triangle {
      < -5.225140, -0.785362, -0.532498>,
      < -5.225128, -0.858133, -0.479673>,
      < -5.398492, -0.827187, -0.445261>
    }
    triangle {
      < -5.225140, -0.785362, -0.532498>,
      < -5.398492, -0.827187, -0.445261>,
      < -5.398501, -0.762267, -0.492385>
    }
    triangle {
      < -5.225161, -0.771444, -0.508369>,
      < -5.225150, -0.839503, -0.458964>,
      < -5.225128, -0.858133, -0.479673>
    }
    triangle {
      < -5.225161, -0.771444, -0.508369>,
      < -5.225128, -0.858133, -0.479673>,
      < -5.225140, -0.785362, -0.532498>
    }
    triangle {
      < -5.206591, -0.771433, -0.508358>,
      < -5.206581, -0.839492, -0.458953>,
      < -5.225150, -0.839503, -0.458964>
    }
    triangle {
      < -5.206591, -0.771433, -0.508358>,
      < -5.225150, -0.839503, -0.458964>,
      < -5.225161, -0.771444, -0.508369>
    }
    triangle {
      < -5.206563, -0.788445, -0.537849>,
      < -5.206552, -0.862263, -0.484264>,
      < -5.206581, -0.839492, -0.458953>
    }
    triangle {
      < -5.206563, -0.788445, -0.537849>,
      < -5.206581, -0.839492, -0.458953>,
      < -5.206591, -0.771433, -0.508358>
    }
    triangle {
      < -5.122997, -0.788395, -0.537800>,
      < -5.122985, -0.862213, -0.484214>,
      < -5.206552, -0.862263, -0.484264>
    }
    triangle {
      < -5.122997, -0.788395, -0.537800>,
      < -5.206552, -0.862263, -0.484264>,
      < -5.206563, -0.788445, -0.537849>
    }
    triangle {
      < -4.869551, -0.570190, -0.159623>,
      < -5.122985, -0.862213, -0.484214>,
      < -5.122997, -0.788395, -0.537800>
    }
    triangle {
      < -5.420301, -0.711278, -0.316418>,
      < -5.420304, -0.740729, -0.283739>,
      < -5.367862, -0.570485, -0.159918>
    }
    triangle {
      < -5.943344, -0.734358, -0.342038>,
      < -5.943346, -0.768573, -0.304074>,
      < -5.420304, -0.740729, -0.283739>
    }
    triangle {
      < -5.943344, -0.734358, -0.342038>,
      < -5.420304, -0.740729, -0.283739>,
      < -5.420301, -0.711278, -0.316418>
    }
    triangle {
      < -6.026891, -0.750968, -0.360496>,
      < -6.026893, -0.788648, -0.318687>,
      < -5.943346, -0.768573, -0.304074>
    }
    triangle {
      < -6.026891, -0.750968, -0.360496>,
      < -5.943346, -0.768573, -0.304074>,
      < -5.943344, -0.734358, -0.342038>
    }
    triangle {
      < -5.841148, -0.779838, -0.392600>,
      < -5.841152, -0.823581, -0.344063>,
      < -6.026893, -0.788648, -0.318687>
    }
    triangle {
      < -5.841148, -0.779838, -0.392600>,
      < -6.026893, -0.788648, -0.318687>,
      < -6.026891, -0.750968, -0.360496>
    }
    triangle {
      < -5.810222, -0.761190, -0.371872>,
      < -5.810225, -0.801035, -0.327660>,
      < -5.841152, -0.823581, -0.344063>
    }
    triangle {
      < -5.810222, -0.761190, -0.371872>,
      < -5.841152, -0.823581, -0.344063>,
      < -5.841148, -0.779838, -0.392600>
    }
    triangle {
      < -5.540962, -0.750679, -0.360208>,
      < -5.540964, -0.788360, -0.318399>,
      < -5.810225, -0.801035, -0.327660>
    }
    triangle {
      < -5.540962, -0.750679, -0.360208>,
      < -5.810225, -0.801035, -0.327660>,
      < -5.810222, -0.761190, -0.371872>
    }
    triangle {
      < -5.376864, -0.796123, -0.410732>,
      < -5.376867, -0.843331, -0.358351>,
      < -5.540964, -0.788360, -0.318399>
    }
    triangle {
      < -5.376864, -0.796123, -0.410732>,
      < -5.540964, -0.788360, -0.318399>,
      < -5.540962, -0.750679, -0.360208>
    }
    triangle {
      < -5.398492, -0.827187, -0.445261>,
      < -5.398494, -0.880890, -0.385670>,
      < -5.376867, -0.843331, -0.358351>
    }
    triangle {
      < -5.398492, -0.827187, -0.445261>,
      < -5.376867, -0.843331, -0.358351>,
      < -5.376864, -0.796123, -0.410732>
    }
    triangle {
      < -5.225128, -0.858133, -0.479673>,
      < -5.225132, -0.918334, -0.412875>,
      < -5.398494, -0.880890, -0.385670>
    }
    triangle {
      < -5.225128, -0.858133, -0.479673>,
      < -5.398494, -0.880890, -0.385670>,
      < -5.398492, -0.827187, -0.445261>
    }
    triangle {
      < -5.225150, -0.839503, -0.458964>,
      < -5.225155, -0.895806, -0.396490>,
      < -5.225132, -0.918334, -0.412875>
    }
    triangle {
      < -5.225150, -0.839503, -0.458964>,
      < -5.225132, -0.918334, -0.412875>,
      < -5.225128, -0.858133, -0.479673>
    }
    triangle {
      < -5.206581, -0.839492, -0.458953>,
      < -5.206584, -0.895795, -0.396479>,
      < -5.225155, -0.895806, -0.396490>
    }
    triangle {
      < -5.206581, -0.839492, -0.458953>,
      < -5.225155, -0.895806, -0.396490>,
      < -5.225150, -0.839503, -0.458964>
    }
    triangle {
      < -5.206552, -0.862263, -0.484264>,
      < -5.206556, -0.923330, -0.416504>,
      < -5.206584, -0.895795, -0.396479>
    }
    triangle {
      < -5.206552, -0.862263, -0.484264>,
      < -5.206584, -0.895795, -0.396479>,
      < -5.206581, -0.839492, -0.458953>
    }
    triangle {
      < -5.122985, -0.862213, -0.484214>,
      < -5.122989, -0.923280, -0.416455>,
      < -5.206556, -0.923330, -0.416504>
    }
    triangle {
      < -5.122985, -0.862213, -0.484214>,
      < -5.206556, -0.923330, -0.416504>,
      < -5.206552, -0.862263, -0.484264>
    }
    triangle {
      < -4.869551, -0.570190, -0.159623>,
      < -5.122989, -0.923280, -0.416455>,
      < -5.122985, -0.862213, -0.484214>
    }
    triangle {
      < -5.420304, -0.740729, -0.283739>,
      < -5.420313, -0.762743, -0.245652>,
      < -5.367862, -0.570485, -0.159918>
    }
    triangle {
      < -5.943346, -0.768573, -0.304074>,
      < -5.943358, -0.794148, -0.259825>,
      < -5.420313, -0.762743, -0.245652>
    }
    triangle {
      < -5.943346, -0.768573, -0.304074>,
      < -5.420313, -0.762743, -0.245652>,
      < -5.420304, -0.740729, -0.283739>
    }
    triangle {
      < -6.026893, -0.788648, -0.318687>,
      < -6.026905, -0.816813, -0.269958>,
      < -5.943358, -0.794148, -0.259825>
    }
    triangle {
      < -6.026893, -0.788648, -0.318687>,
      < -5.943358, -0.794148, -0.259825>,
      < -5.943346, -0.768573, -0.304074>
    }
    triangle {
      < -5.841152, -0.823581, -0.344063>,
      < -5.841165, -0.856279, -0.287493>,
      < -6.026905, -0.816813, -0.269958>
    }
    triangle {
      < -5.841152, -0.823581, -0.344063>,
      < -6.026905, -0.816813, -0.269958>,
      < -6.026893, -0.788648, -0.318687>
    }
    triangle {
      < -5.810225, -0.801035, -0.327660>,
      < -5.810237, -0.830819, -0.276132>,
      < -5.841165, -0.856279, -0.287493>
    }
    triangle {
      < -5.810225, -0.801035, -0.327660>,
      < -5.841165, -0.856279, -0.287493>,
      < -5.841152, -0.823581, -0.344063>
    }
    triangle {
      < -5.540964, -0.788360, -0.318399>,
      < -5.540976, -0.816525, -0.269670>,
      < -5.810237, -0.830819, -0.276132>
    }
    triangle {
      < -5.540964, -0.788360, -0.318399>,
      < -5.810237, -0.830819, -0.276132>,
      < -5.810225, -0.801035, -0.327660>
    }
    triangle {
      < -5.376867, -0.843331, -0.358351>,
      < -5.376883, -0.878618, -0.297300>,
      < -5.540976, -0.816525, -0.269670>
    }
    triangle {
      < -5.376867, -0.843331, -0.358351>,
      < -5.540976, -0.816525, -0.269670>,
      < -5.540964, -0.788360, -0.318399>
    }
    triangle {
      < -5.398494, -0.880890, -0.385670>,
      < -5.398511, -0.921034, -0.316218>,
      < -5.376883, -0.878618, -0.297300>
    }
    triangle {
      < -5.398494, -0.880890, -0.385670>,
      < -5.376883, -0.878618, -0.297300>,
      < -5.376867, -0.843331, -0.358351>
    }
    triangle {
      < -5.225132, -0.918334, -0.412875>,
      < -5.225150, -0.963334, -0.335021>,
      < -5.398511, -0.921034, -0.316218>
    }
    triangle {
      < -5.225132, -0.918334, -0.412875>,
      < -5.398511, -0.921034, -0.316218>,
      < -5.398494, -0.880890, -0.385670>
    }
    triangle {
      < -5.225155, -0.895806, -0.396490>,
      < -5.225172, -0.937893, -0.323678>,
      < -5.225150, -0.963334, -0.335021>
    }
    triangle {
      < -5.225155, -0.895806, -0.396490>,
      < -5.225150, -0.963334, -0.335021>,
      < -5.225132, -0.918334, -0.412875>
    }
    triangle {
      < -5.206584, -0.895795, -0.396479>,
      < -5.206602, -0.937882, -0.323667>,
      < -5.225172, -0.937893, -0.323678>
    }
    triangle {
      < -5.206584, -0.895795, -0.396479>,
      < -5.225172, -0.937893, -0.323678>,
      < -5.225155, -0.895806, -0.396490>
    }
    triangle {
      < -5.206556, -0.923330, -0.416504>,
      < -5.206576, -0.968977, -0.337530>,
      < -5.206602, -0.937882, -0.323667>
    }
    triangle {
      < -5.206556, -0.923330, -0.416504>,
      < -5.206602, -0.937882, -0.323667>,
      < -5.206584, -0.895795, -0.396479>
    }
    triangle {
      < -5.122989, -0.923280, -0.416455>,
      < -5.123007, -0.968927, -0.337481>,
      < -5.206576, -0.968977, -0.337530>
    }
    triangle {
      < -5.122989, -0.923280, -0.416455>,
      < -5.206576, -0.968977, -0.337530>,
      < -5.206556, -0.923330, -0.416504>
    }
    triangle {
      < -4.869551, -0.570190, -0.159623>,
      < -5.123007, -0.968927, -0.337481>,
      < -5.122989, -0.923280, -0.416455>
    }
    triangle {
      < -5.420313, -0.762743, -0.245652>,
      < -5.420331, -0.776359, -0.203822>,
      < -5.367862, -0.570485, -0.159918>
    }
    triangle {
      < -5.943358, -0.794148, -0.259825>,
      < -5.943377, -0.809968, -0.211228>,
      < -5.420331, -0.776359, -0.203822>
    }
    triangle {
      < -5.943358, -0.794148, -0.259825>,
      < -5.420331, -0.776359, -0.203822>,
      < -5.420313, -0.762743, -0.245652>
    }
    triangle {
      < -6.026905, -0.816813, -0.269958>,
      < -6.026927, -0.834234, -0.216440>,
      < -5.943377, -0.809968, -0.211228>
    }
    triangle {
      < -6.026905, -0.816813, -0.269958>,
      < -5.943377, -0.809968, -0.211228>,
      < -5.943358, -0.794148, -0.259825>
    }
    triangle {
      < -5.841165, -0.856279, -0.287493>,
      < -5.841192, -0.876503, -0.225362>,
      < -6.026927, -0.834234, -0.216440>
    }
    triangle {
      < -5.841165, -0.856279, -0.287493>,
      < -6.026927, -0.834234, -0.216440>,
      < -6.026905, -0.816813, -0.269958>
    }
    triangle {
      < -5.810237, -0.830819, -0.276132>,
      < -5.810259, -0.849241, -0.219537>,
      < -5.841192, -0.876503, -0.225362>
    }
    triangle {
      < -5.810237, -0.830819, -0.276132>,
      < -5.841192, -0.876503, -0.225362>,
      < -5.841165, -0.856279, -0.287493>
    }
    triangle {
      < -5.540976, -0.816525, -0.269670>,
      < -5.540998, -0.833946, -0.216152>,
      < -5.810259, -0.849241, -0.219537>
    }
    triangle {
      < -5.540976, -0.816525, -0.269670>,
      < -5.810259, -0.849241, -0.219537>,
      < -5.810237, -0.830819, -0.276132>
    }
    triangle {
      < -5.376883, -0.878618, -0.297300>,
      < -5.376910, -0.900444, -0.230248>,
      < -5.540998, -0.833946, -0.216152>
    }
    triangle {
      < -5.376883, -0.878618, -0.297300>,
      < -5.540998, -0.833946, -0.216152>,
      < -5.540976, -0.816525, -0.269670>
    }
    triangle {
      < -5.398511, -0.921034, -0.316218>,
      < -5.398544, -0.945864, -0.239939>,
      < -5.376910, -0.900444, -0.230248>
    }
    triangle {
      < -5.398511, -0.921034, -0.316218>,
      < -5.376910, -0.900444, -0.230248>,
      < -5.376883, -0.878618, -0.297300>
    }
    triangle {
      < -5.225150, -0.963334, -0.335021>,
      < -5.225183, -0.991168, -0.249514>,
      < -5.398544, -0.945864, -0.239939>
    }
    triangle {
      < -5.225150, -0.963334, -0.335021>,
      < -5.398544, -0.945864, -0.239939>,
      < -5.398511, -0.921034, -0.316218>
    }
    triangle {
      < -5.225172, -0.937893, -0.323678>,
      < -5.225204, -0.963923, -0.243707>,
      < -5.225183, -0.991168, -0.249514>
    }
    triangle {
      < -5.225172, -0.937893, -0.323678>,
      < -5.225183, -0.991168, -0.249514>,
      < -5.225150, -0.963334, -0.335021>
    }
    triangle {
      < -5.206602, -0.937882, -0.323667>,
      < -5.206634, -0.963912, -0.243696>,
      < -5.225204, -0.963923, -0.243707>
    }
    triangle {
      < -5.206602, -0.937882, -0.323667>,
      < -5.225204, -0.963923, -0.243707>,
      < -5.225172, -0.937893, -0.323678>
    }
    triangle {
      < -5.206576, -0.968977, -0.337530>,
      < -5.206610, -0.997211, -0.250793>,
      < -5.206634, -0.963912, -0.243696>
    }
    triangle {
      < -5.206576, -0.968977, -0.337530>,
      < -5.206634, -0.963912, -0.243696>,
      < -5.206602, -0.937882, -0.323667>
    }
    triangle {
      < -5.123007, -0.968927, -0.337481>,
      < -5.123042, -0.997161, -0.250744>,
      < -5.206610, -0.997211, -0.250793>
    }
    triangle {
      < -5.123007, -0.968927, -0.337481>,
      < -5.206610, -0.997211, -0.250793>,
      < -5.206576, -0.968977, -0.337530>
    }
    triangle {
      < -4.869551, -0.570190, -0.159623>,
      < -5.123042, -0.997161, -0.250744>,
      < -5.123007, -0.968927, -0.337481>
    }
    triangle {
      < -5.420331, -0.776359, -0.203822>,
      < -5.420353, -0.780982, -0.159824>,
      < -5.367862, -0.570485, -0.159918>
    }
    triangle {
      < -5.943377, -0.809968, -0.211228>,
      < -5.943404, -0.815338, -0.160114>,
      < -5.420353, -0.780982, -0.159824>
    }
    triangle {
      < -5.943377, -0.809968, -0.211228>,
      < -5.420353, -0.780982, -0.159824>,
      < -5.420331, -0.776359, -0.203822>
    }
    triangle {
      < -6.026927, -0.834234, -0.216440>,
      < -6.026956, -0.840149, -0.160149>,
      < -5.943404, -0.815338, -0.160114>
    }
    triangle {
      < -6.026927, -0.834234, -0.216440>,
      < -5.943404, -0.815338, -0.160114>,
      < -5.943377, -0.809968, -0.211228>
    }
    triangle {
      < -5.841192, -0.876503, -0.225362>,
      < -5.841226, -0.883370, -0.160014>,
      < -6.026956, -0.840149, -0.160149>
    }
    triangle {
      < -5.841192, -0.876503, -0.225362>,
      < -6.026956, -0.840149, -0.160149>,
      < -6.026927, -0.834234, -0.216440>
    }
    triangle {
      < -5.810259, -0.849241, -0.219537>,
      < -5.810291, -0.855496, -0.160011>,
      < -5.841226, -0.883370, -0.160014>
    }
    triangle {
      < -5.810259, -0.849241, -0.219537>,
      < -5.841226, -0.883370, -0.160014>,
      < -5.841192, -0.876503, -0.225362>
    }
    triangle {
      < -5.540998, -0.833946, -0.216152>,
      < -5.541026, -0.839861, -0.159861>,
      < -5.810291, -0.855496, -0.160011>
    }
    triangle {
      < -5.540998, -0.833946, -0.216152>,
      < -5.810291, -0.855496, -0.160011>,
      < -5.810259, -0.849241, -0.219537>
    }
    triangle {
      < -5.376910, -0.900444, -0.230248>,
      < -5.376947, -0.907855, -0.159724>,
      < -5.541026, -0.839861, -0.159861>
    }
    triangle {
      < -5.376910, -0.900444, -0.230248>,
      < -5.541026, -0.839861, -0.159861>,
      < -5.540998, -0.833946, -0.216152>
    }
    triangle {
      < -5.398544, -0.945864, -0.239939>,
      < -5.398584, -0.954295, -0.159708>,
      < -5.376947, -0.907855, -0.159724>
    }
    triangle {
      < -5.398544, -0.945864, -0.239939>,
      < -5.376947, -0.907855, -0.159724>,
      < -5.376910, -0.900444, -0.230248>
    }
    triangle {
      < -5.225183, -0.991168, -0.249514>,
      < -5.225233, -1.000618, -0.159579>,
      < -5.398584, -0.954295, -0.159708>
    }
    triangle {
      < -5.225183, -0.991168, -0.249514>,
      < -5.398584, -0.954295, -0.159708>,
      < -5.398544, -0.945864, -0.239939>
    }
    triangle {
      < -5.225204, -0.963923, -0.243707>,
      < -5.225249, -0.972763, -0.159596>,
      < -5.225233, -1.000618, -0.159579>
    }
    triangle {
      < -5.225204, -0.963923, -0.243707>,
      < -5.225233, -1.000618, -0.159579>,
      < -5.225183, -0.991168, -0.249514>
    }
    triangle {
      < -5.206634, -0.963912, -0.243696>,
      < -5.206677, -0.972751, -0.159585>,
      < -5.225249, -0.972763, -0.159596>
    }
    triangle {
      < -5.206634, -0.963912, -0.243696>,
      < -5.225249, -0.972763, -0.159596>,
      < -5.225204, -0.963923, -0.243707>
    }
    triangle {
      < -5.206610, -0.997211, -0.250793>,
      < -5.206657, -1.006797, -0.159564>,
      < -5.206677, -0.972751, -0.159585>
    }
    triangle {
      < -5.206610, -0.997211, -0.250793>,
      < -5.206677, -0.972751, -0.159585>,
      < -5.206634, -0.963912, -0.243696>
    }
    triangle {
      < -5.123042, -0.997161, -0.250744>,
      < -5.123091, -1.006748, -0.159514>,
      < -5.206657, -1.006797, -0.159564>
    }
    triangle {
      < -5.123042, -0.997161, -0.250744>,
      < -5.206657, -1.006797, -0.159564>,
      < -5.206610, -0.997211, -0.250793>
    }
    triangle {
      < -4.869551, -0.570190, -0.159623>,
      < -5.123091, -1.006748, -0.159514>,
      < -5.123042, -0.997161, -0.250744>
    }
    triangle {
      < -5.354987, -0.924538, -0.024317>,
      < -5.355034, -0.806085, -0.062874>,
      < -5.878583, -0.806396, -0.063185>
    }
    triangle {
      < -5.354987, -0.924538, -0.024317>,
      < -5.878583, -0.806396, -0.063185>,
      < -5.878567, -0.843183, -0.051209>
    }
    triangle {
      < -5.878540, -0.855159, -0.087998>,
      < -5.878555, -0.818370, -0.099974>,
      < -5.355006, -0.818060, -0.099663>
    }
    triangle {
      < -5.878540, -0.855159, -0.087998>,
      < -5.355006, -0.818060, -0.099663>,
      < -5.354958, -0.936513, -0.061106>
    }
    triangle {
      < -5.354958, -0.936513, -0.061106>,
      < -5.355006, -0.818060, -0.099663>,
      < -5.355034, -0.806085, -0.062874>
    }
    triangle {
      < -5.354958, -0.936513, -0.061106>,
      < -5.355034, -0.806085, -0.062874>,
      < -5.354987, -0.924538, -0.024317>
    }
    triangle {
      < -5.354958, -0.936513, -0.061106>,
      < -5.354987, -0.924538, -0.024317>,
      < -5.878567, -0.843183, -0.051209>
    }
    triangle {
      < -5.354958, -0.936513, -0.061106>,
      < -5.878567, -0.843183, -0.051209>,
      < -5.878540, -0.855159, -0.087998>
    }
    triangle {
      < -5.878567, -0.843183, -0.051209>,
      < -5.878583, -0.806396, -0.063185>,
      < -5.878555, -0.818370, -0.099974>
    }
    triangle {
      < -5.878567, -0.843183, -0.051209>,
      < -5.878555, -0.818370, -0.099974>,
      < -5.878540, -0.855159, -0.087998>
    }
    triangle {
      < -5.355034, -0.806085, -0.062874>,
      < -5.355006, -0.818060, -0.099663>,
      < -5.878555, -0.818370, -0.099974>
    }
    triangle {
      < -5.355034, -0.806085, -0.062874>,
      < -5.878555, -0.818370, -0.099974>,
      < -5.878583, -0.806396, -0.063185>
    }
    triangle {
      < -5.355083, -0.865322, 0.078440>,
      < -5.355100, -0.764578, 0.005171>,
      < -5.878649, -0.764888, 0.004861>
    }
    triangle {
      < -5.355083, -0.865322, 0.078440>,
      < -5.878649, -0.764888, 0.004861>,
      < -5.878644, -0.796177, 0.027617>
    }
    triangle {
      < -5.878611, -0.818932, -0.003673>,
      < -5.878616, -0.787644, -0.026428>,
      < -5.355067, -0.787333, -0.026118>
    }
    triangle {
      < -5.878611, -0.818932, -0.003673>,
      < -5.355067, -0.787333, -0.026118>,
      < -5.355051, -0.888078, 0.047150>
    }
    triangle {
      < -5.355051, -0.888078, 0.047150>,
      < -5.355067, -0.787333, -0.026118>,
      < -5.355100, -0.764578, 0.005171>
    }
    triangle {
      < -5.355051, -0.888078, 0.047150>,
      < -5.355100, -0.764578, 0.005171>,
      < -5.355083, -0.865322, 0.078440>
    }
    triangle {
      < -5.355051, -0.888078, 0.047150>,
      < -5.355083, -0.865322, 0.078440>,
      < -5.878644, -0.796177, 0.027617>
    }
    triangle {
      < -5.355051, -0.888078, 0.047150>,
      < -5.878644, -0.796177, 0.027617>,
      < -5.878611, -0.818932, -0.003673>
    }
    triangle {
      < -5.878644, -0.796177, 0.027617>,
      < -5.878649, -0.764888, 0.004861>,
      < -5.878616, -0.787644, -0.026428>
    }
    triangle {
      < -5.878644, -0.796177, 0.027617>,
      < -5.878616, -0.787644, -0.026428>,
      < -5.878611, -0.818932, -0.003673>
    }
    triangle {
      < -5.355100, -0.764578, 0.005171>,
      < -5.355067, -0.787333, -0.026118>,
      < -5.878616, -0.787644, -0.026428>
    }
    triangle {
      < -5.355100, -0.764578, 0.005171>,
      < -5.878616, -0.787644, -0.026428>,
      < -5.878649, -0.764888, 0.004861>
    }
    triangle {
      < -5.355182, -0.777256, 0.157874>,
      < -5.355167, -0.704077, 0.057063>,
      < -5.878715, -0.704387, 0.056753>
    }
    triangle {
      < -5.355182, -0.777256, 0.157874>,
      < -5.878715, -0.704387, 0.056753>,
      < -5.878719, -0.727115, 0.088063>
    }
    triangle {
      < -5.878688, -0.758424, 0.065335>,
      < -5.878682, -0.735697, 0.034026>,
      < -5.355133, -0.735386, 0.034336>
    }
    triangle {
      < -5.878688, -0.758424, 0.065335>,
      < -5.355133, -0.735386, 0.034336>,
      < -5.355150, -0.808566, 0.135146>
    }
    triangle {
      < -5.355150, -0.808566, 0.135146>,
      < -5.355133, -0.735386, 0.034336>,
      < -5.355167, -0.704077, 0.057063>
    }
    triangle {
      < -5.355150, -0.808566, 0.135146>,
      < -5.355167, -0.704077, 0.057063>,
      < -5.355182, -0.777256, 0.157874>
    }
    triangle {
      < -5.355150, -0.808566, 0.135146>,
      < -5.355182, -0.777256, 0.157874>,
      < -5.878719, -0.727115, 0.088063>
    }
    triangle {
      < -5.355150, -0.808566, 0.135146>,
      < -5.878719, -0.727115, 0.088063>,
      < -5.878688, -0.758424, 0.065335>
    }
    triangle {
      < -5.878719, -0.727115, 0.088063>,
      < -5.878715, -0.704387, 0.056753>,
      < -5.878682, -0.735697, 0.034026>
    }
    triangle {
      < -5.878719, -0.727115, 0.088063>,
      < -5.878682, -0.735697, 0.034026>,
      < -5.878688, -0.758424, 0.065335>
    }
    triangle {
      < -5.355167, -0.704077, 0.057063>,
      < -5.355133, -0.735386, 0.034336>,
      < -5.878682, -0.735697, 0.034026>
    }
    triangle {
      < -5.355167, -0.704077, 0.057063>,
      < -5.878682, -0.735697, 0.034026>,
      < -5.878715, -0.704387, 0.056753>
    }
    triangle {
      < -5.355274, -0.668957, 0.206213>,
      < -5.355228, -0.630505, 0.087725>,
      < -5.878776, -0.630815, 0.087415>
    }
    triangle {
      < -5.355274, -0.668957, 0.206213>,
      < -5.878776, -0.630815, 0.087415>,
      < -5.878790, -0.642758, 0.124214>
    }
    triangle {
      < -5.878763, -0.679557, 0.112272>,
      < -5.878749, -0.667614, 0.075473>,
      < -5.355200, -0.667304, 0.075782>
    }
    triangle {
      < -5.878763, -0.679557, 0.112272>,
      < -5.355200, -0.667304, 0.075782>,
      < -5.355247, -0.705757, 0.194270>
    }
    triangle {
      < -5.355247, -0.705757, 0.194270>,
      < -5.355200, -0.667304, 0.075782>,
      < -5.355228, -0.630505, 0.087725>
    }
    triangle {
      < -5.355247, -0.705757, 0.194270>,
      < -5.355228, -0.630505, 0.087725>,
      < -5.355274, -0.668957, 0.206213>
    }
    triangle {
      < -5.355247, -0.705757, 0.194270>,
      < -5.355274, -0.668957, 0.206213>,
      < -5.878790, -0.642758, 0.124214>
    }
    triangle {
      < -5.355247, -0.705757, 0.194270>,
      < -5.878790, -0.642758, 0.124214>,
      < -5.878763, -0.679557, 0.112272>
    }
    triangle {
      < -5.878790, -0.642758, 0.124214>,
      < -5.878776, -0.630815, 0.087415>,
      < -5.878749, -0.667614, 0.075473>
    }
    triangle {
      < -5.878790, -0.642758, 0.124214>,
      < -5.878749, -0.667614, 0.075473>,
      < -5.878763, -0.679557, 0.112272>
    }
    triangle {
      < -5.355228, -0.630505, 0.087725>,
      < -5.355200, -0.667304, 0.075782>,
      < -5.878749, -0.667614, 0.075473>
    }
    triangle {
      < -5.355228, -0.630505, 0.087725>,
      < -5.878749, -0.667614, 0.075473>,
      < -5.878776, -0.630815, 0.087415>
    }
    triangle {
      < -5.355352, -0.551021, 0.218727>,
      < -5.355279, -0.551058, 0.094156>,
      < -5.878829, -0.551368, 0.093845>
    }
    triangle {
      < -5.355352, -0.551021, 0.218727>,
      < -5.878829, -0.551368, 0.093845>,
      < -5.878851, -0.551357, 0.132534>
    }
    triangle {
      < -5.878829, -0.590046, 0.132546>,
      < -5.878806, -0.590057, 0.093857>,
      < -5.355257, -0.589747, 0.094168>
    }
    triangle {
      < -5.878829, -0.590046, 0.132546>,
      < -5.355257, -0.589747, 0.094168>,
      < -5.355330, -0.589710, 0.218738>
    }
    triangle {
      < -5.355330, -0.589710, 0.218738>,
      < -5.355257, -0.589747, 0.094168>,
      < -5.355279, -0.551058, 0.094156>
    }
    triangle {
      < -5.355330, -0.589710, 0.218738>,
      < -5.355279, -0.551058, 0.094156>,
      < -5.355352, -0.551021, 0.218727>
    }
    triangle {
      < -5.355330, -0.589710, 0.218738>,
      < -5.355352, -0.551021, 0.218727>,
      < -5.878851, -0.551357, 0.132534>
    }
    triangle {
      < -5.355330, -0.589710, 0.218738>,
      < -5.878851, -0.551357, 0.132534>,
      < -5.878829, -0.590046, 0.132546>
    }
    triangle {
      < -5.878851, -0.551357, 0.132534>,
      < -5.878829, -0.551368, 0.093845>,
      < -5.878806, -0.590057, 0.093857>
    }
    triangle {
      < -5.878851, -0.551357, 0.132534>,
      < -5.878806, -0.590057, 0.093857>,
      < -5.878829, -0.590046, 0.132546>
    }
    triangle {
      < -5.355279, -0.551058, 0.094156>,
      < -5.355257, -0.589747, 0.094168>,
      < -5.878806, -0.590057, 0.093857>
    }
    triangle {
      < -5.355279, -0.551058, 0.094156>,
      < -5.878806, -0.590057, 0.093857>,
      < -5.878829, -0.551368, 0.093845>
    }
    triangle {
      < -5.355407, -0.434989, 0.194191>,
      < -5.355314, -0.473512, 0.075726>,
      < -5.878863, -0.473822, 0.075415>
    }
    triangle {
      < -5.355407, -0.434989, 0.194191>,
      < -5.878863, -0.473822, 0.075415>,
      < -5.878891, -0.461859, 0.112208>
    }
    triangle {
      < -5.878876, -0.498651, 0.124172>,
      < -5.878848, -0.510614, 0.087380>,
      < -5.355299, -0.510304, 0.087689>
    }
    triangle {
      < -5.878876, -0.498651, 0.124172>,
      < -5.355299, -0.510304, 0.087689>,
      < -5.355391, -0.471782, 0.206155>
    }
    triangle {
      < -5.355391, -0.471782, 0.206155>,
      < -5.355299, -0.510304, 0.087689>,
      < -5.355314, -0.473512, 0.075726>
    }
    triangle {
      < -5.355391, -0.471782, 0.206155>,
      < -5.355314, -0.473512, 0.075726>,
      < -5.355407, -0.434989, 0.194191>
    }
    triangle {
      < -5.355391, -0.471782, 0.206155>,
      < -5.355407, -0.434989, 0.194191>,
      < -5.878891, -0.461859, 0.112208>
    }
    triangle {
      < -5.355391, -0.471782, 0.206155>,
      < -5.878891, -0.461859, 0.112208>,
      < -5.878876, -0.498651, 0.124172>
    }
    triangle {
      < -5.878891, -0.461859, 0.112208>,
      < -5.878863, -0.473822, 0.075415>,
      < -5.878848, -0.510614, 0.087380>
    }
    triangle {
      < -5.878891, -0.461859, 0.112208>,
      < -5.878848, -0.510614, 0.087380>,
      < -5.878876, -0.498651, 0.124172>
    }
    triangle {
      < -5.355314, -0.473512, 0.075726>,
      < -5.355299, -0.510304, 0.087689>,
      < -5.878848, -0.510614, 0.087380>
    }
    triangle {
      < -5.355314, -0.473512, 0.075726>,
      < -5.878848, -0.510614, 0.087380>,
      < -5.878863, -0.473822, 0.075415>
    }
    triangle {
      < -5.355432, -0.332215, 0.135005>,
      < -5.355329, -0.405454, 0.034238>,
      < -5.878878, -0.405764, 0.033928>
    }
    triangle {
      < -5.355432, -0.332215, 0.135005>,
      < -5.878878, -0.405764, 0.033928>,
      < -5.878910, -0.383018, 0.065224>
    }
    triangle {
      < -5.878904, -0.414314, 0.087970>,
      < -5.878874, -0.437059, 0.056674>,
      < -5.355325, -0.436749, 0.056985>
    }
    triangle {
      < -5.878904, -0.414314, 0.087970>,
      < -5.355325, -0.436749, 0.056985>,
      < -5.355427, -0.363510, 0.157751>
    }
    triangle {
      < -5.355427, -0.363510, 0.157751>,
      < -5.355325, -0.436749, 0.056985>,
      < -5.355329, -0.405454, 0.034238>
    }
    triangle {
      < -5.355427, -0.363510, 0.157751>,
      < -5.355329, -0.405454, 0.034238>,
      < -5.355432, -0.332215, 0.135005>
    }
    triangle {
      < -5.355427, -0.363510, 0.157751>,
      < -5.355432, -0.332215, 0.135005>,
      < -5.878910, -0.383018, 0.065224>
    }
    triangle {
      < -5.355427, -0.363510, 0.157751>,
      < -5.878910, -0.383018, 0.065224>,
      < -5.878904, -0.414314, 0.087970>
    }
    triangle {
      < -5.878910, -0.383018, 0.065224>,
      < -5.878878, -0.405764, 0.033928>,
      < -5.878874, -0.437059, 0.056674>
    }
    triangle {
      < -5.878910, -0.383018, 0.065224>,
      < -5.878874, -0.437059, 0.056674>,
      < -5.878904, -0.414314, 0.087970>
    }
    triangle {
      < -5.355329, -0.405454, 0.034238>,
      < -5.355325, -0.436749, 0.056985>,
      < -5.878874, -0.437059, 0.056674>
    }
    triangle {
      < -5.355329, -0.405454, 0.034238>,
      < -5.878874, -0.437059, 0.056674>,
      < -5.878878, -0.405764, 0.033928>
    }
    triangle {
      < -5.355427, -0.252755, 0.046963>,
      < -5.355325, -0.353543, -0.026246>,
      < -5.878874, -0.353854, -0.026556>
    }
    triangle {
      < -5.355427, -0.252755, 0.046963>,
      < -5.878874, -0.353854, -0.026556>,
      < -5.878905, -0.322551, -0.003820>
    }
    triangle {
      < -5.878911, -0.345288, 0.027483>,
      < -5.878879, -0.376590, 0.004746>,
      < -5.355330, -0.376280, 0.005056>
    }
    triangle {
      < -5.878911, -0.345288, 0.027483>,
      < -5.355330, -0.376280, 0.005056>,
      < -5.355433, -0.275491, 0.078265>
    }
    triangle {
      < -5.355433, -0.275491, 0.078265>,
      < -5.355330, -0.376280, 0.005056>,
      < -5.355325, -0.353543, -0.026246>
    }
    triangle {
      < -5.355433, -0.275491, 0.078265>,
      < -5.355325, -0.353543, -0.026246>,
      < -5.355427, -0.252755, 0.046963>
    }
    triangle {
      < -5.355433, -0.275491, 0.078265>,
      < -5.355427, -0.252755, 0.046963>,
      < -5.878905, -0.322551, -0.003820>
    }
    triangle {
      < -5.355433, -0.275491, 0.078265>,
      < -5.878905, -0.322551, -0.003820>,
      < -5.878911, -0.345288, 0.027483>
    }
    triangle {
      < -5.878905, -0.322551, -0.003820>,
      < -5.878874, -0.353854, -0.026556>,
      < -5.878879, -0.376590, 0.004746>
    }
    triangle {
      < -5.878905, -0.322551, -0.003820>,
      < -5.878879, -0.376590, 0.004746>,
      < -5.878911, -0.345288, 0.027483>
    }
    triangle {
      < -5.355325, -0.353543, -0.026246>,
      < -5.355330, -0.376280, 0.005056>,
      < -5.878879, -0.376590, 0.004746>
    }
    triangle {
      < -5.355325, -0.353543, -0.026246>,
      < -5.878879, -0.376590, 0.004746>,
      < -5.878874, -0.353854, -0.026556>
    }
    triangle {
      < -5.355393, -0.204383, -0.061323>,
      < -5.355300, -0.322860, -0.099810>,
      < -5.878849, -0.323170, -0.100121>
    }
    triangle {
      < -5.355393, -0.204383, -0.061323>,
      < -5.878849, -0.323170, -0.100121>,
      < -5.878876, -0.286374, -0.088167>
    }
    triangle {
      < -5.878891, -0.298328, -0.051371>,
      < -5.878862, -0.335124, -0.063324>,
      < -5.355315, -0.334813, -0.063015>
    }
    triangle {
      < -5.878891, -0.298328, -0.051371>,
      < -5.355315, -0.334813, -0.063015>,
      < -5.355407, -0.216336, -0.024527>
    }
    triangle {
      < -5.355407, -0.216336, -0.024527>,
      < -5.355315, -0.334813, -0.063015>,
      < -5.355300, -0.322860, -0.099810>
    }
    triangle {
      < -5.355407, -0.216336, -0.024527>,
      < -5.355300, -0.322860, -0.099810>,
      < -5.355393, -0.204383, -0.061323>
    }
    triangle {
      < -5.355407, -0.216336, -0.024527>,
      < -5.355393, -0.204383, -0.061323>,
      < -5.878876, -0.286374, -0.088167>
    }
    triangle {
      < -5.355407, -0.216336, -0.024527>,
      < -5.878876, -0.286374, -0.088167>,
      < -5.878891, -0.298328, -0.051371>
    }
    triangle {
      < -5.878876, -0.286374, -0.088167>,
      < -5.878849, -0.323170, -0.100121>,
      < -5.878862, -0.335124, -0.063324>
    }
    triangle {
      < -5.878876, -0.286374, -0.088167>,
      < -5.878862, -0.335124, -0.063324>,
      < -5.878891, -0.298328, -0.051371>
    }
    triangle {
      < -5.355300, -0.322860, -0.099810>,
      < -5.355315, -0.334813, -0.063015>,
      < -5.878862, -0.335124, -0.063324>
    }
    triangle {
      < -5.355300, -0.322860, -0.099810>,
      < -5.878862, -0.335124, -0.063324>,
      < -5.878849, -0.323170, -0.100121>
    }
    triangle {
      < -5.355330, -0.191835, -0.179254>,
      < -5.355256, -0.316406, -0.179255>,
      < -5.878805, -0.316716, -0.179565>
    }
    triangle {
      < -5.355330, -0.191835, -0.179254>,
      < -5.878805, -0.316716, -0.179565>,
      < -5.878828, -0.278027, -0.179565>
    }
    triangle {
      < -5.878850, -0.278028, -0.140876>,
      < -5.878828, -0.316717, -0.140876>,
      < -5.355278, -0.316406, -0.140567>
    }
    triangle {
      < -5.878850, -0.278028, -0.140876>,
      < -5.355278, -0.316406, -0.140567>,
      < -5.355351, -0.191835, -0.140566>
    }
    triangle {
      < -5.355351, -0.191835, -0.140566>,
      < -5.355278, -0.316406, -0.140567>,
      < -5.355256, -0.316406, -0.179255>
    }
    triangle {
      < -5.355351, -0.191835, -0.140566>,
      < -5.355256, -0.316406, -0.179255>,
      < -5.355330, -0.191835, -0.179254>
    }
    triangle {
      < -5.355351, -0.191835, -0.140566>,
      < -5.355330, -0.191835, -0.179254>,
      < -5.878828, -0.278027, -0.179565>
    }
    triangle {
      < -5.355351, -0.191835, -0.140566>,
      < -5.878828, -0.278027, -0.179565>,
      < -5.878850, -0.278028, -0.140876>
    }
    triangle {
      < -5.878828, -0.278027, -0.179565>,
      < -5.878805, -0.316716, -0.179565>,
      < -5.878828, -0.316717, -0.140876>
    }
    triangle {
      < -5.878828, -0.278027, -0.179565>,
      < -5.878828, -0.316717, -0.140876>,
      < -5.878850, -0.278028, -0.140876>
    }
    triangle {
      < -5.355256, -0.316406, -0.179255>,
      < -5.355278, -0.316406, -0.140567>,
      < -5.878828, -0.316717, -0.140876>
    }
    triangle {
      < -5.355256, -0.316406, -0.179255>,
      < -5.878828, -0.316717, -0.140876>,
      < -5.878805, -0.316716, -0.179565>
    }
    triangle {
      < -5.355247, -0.216337, -0.295294>,
      < -5.355200, -0.334813, -0.256807>,
      < -5.878748, -0.335123, -0.257116>
    }
    triangle {
      < -5.355247, -0.216337, -0.295294>,
      < -5.878748, -0.335123, -0.257116>,
      < -5.878764, -0.298327, -0.269070>
    }
    triangle {
      < -5.878792, -0.286375, -0.232274>,
      < -5.878777, -0.323171, -0.220321>,
      < -5.355228, -0.322860, -0.220011>
    }
    triangle {
      < -5.878792, -0.286375, -0.232274>,
      < -5.355228, -0.322860, -0.220011>,
      < -5.355276, -0.204384, -0.258498>
    }
    triangle {
      < -5.355276, -0.204384, -0.258498>,
      < -5.355228, -0.322860, -0.220011>,
      < -5.355200, -0.334813, -0.256807>
    }
    triangle {
      < -5.355276, -0.204384, -0.258498>,
      < -5.355200, -0.334813, -0.256807>,
      < -5.355247, -0.216337, -0.295294>
    }
    triangle {
      < -5.355276, -0.204384, -0.258498>,
      < -5.355247, -0.216337, -0.295294>,
      < -5.878764, -0.298327, -0.269070>
    }
    triangle {
      < -5.355276, -0.204384, -0.258498>,
      < -5.878764, -0.298327, -0.269070>,
      < -5.878792, -0.286375, -0.232274>
    }
    triangle {
      < -5.878764, -0.298327, -0.269070>,
      < -5.878748, -0.335123, -0.257116>,
      < -5.878777, -0.323171, -0.220321>
    }
    triangle {
      < -5.878764, -0.298327, -0.269070>,
      < -5.878777, -0.323171, -0.220321>,
      < -5.878792, -0.286375, -0.232274>
    }
    triangle {
      < -5.355200, -0.334813, -0.256807>,
      < -5.355228, -0.322860, -0.220011>,
      < -5.878777, -0.323171, -0.220321>
    }
    triangle {
      < -5.355200, -0.334813, -0.256807>,
      < -5.878777, -0.323171, -0.220321>,
      < -5.878748, -0.335123, -0.257116>
    }
    triangle {
      < -5.355151, -0.275492, -0.398086>,
      < -5.355134, -0.376280, -0.324877>,
      < -5.878683, -0.376591, -0.325187>
    }
    triangle {
      < -5.355151, -0.275492, -0.398086>,
      < -5.878683, -0.376591, -0.325187>,
      < -5.878687, -0.345288, -0.347923>
    }
    triangle {
      < -5.878720, -0.322551, -0.316622>,
      < -5.878715, -0.353854, -0.293884>,
      < -5.355166, -0.353544, -0.293575>
    }
    triangle {
      < -5.878720, -0.322551, -0.316622>,
      < -5.355166, -0.353544, -0.293575>,
      < -5.355181, -0.252754, -0.366783>
    }
    triangle {
      < -5.355181, -0.252754, -0.366783>,
      < -5.355166, -0.353544, -0.293575>,
      < -5.355134, -0.376280, -0.324877>
    }
    triangle {
      < -5.355181, -0.252754, -0.366783>,
      < -5.355134, -0.376280, -0.324877>,
      < -5.355151, -0.275492, -0.398086>
    }
    triangle {
      < -5.355181, -0.252754, -0.366783>,
      < -5.355151, -0.275492, -0.398086>,
      < -5.878687, -0.345288, -0.347923>
    }
    triangle {
      < -5.355181, -0.252754, -0.366783>,
      < -5.878687, -0.345288, -0.347923>,
      < -5.878720, -0.322551, -0.316622>
    }
    triangle {
      < -5.878687, -0.345288, -0.347923>,
      < -5.878683, -0.376591, -0.325187>,
      < -5.878715, -0.353854, -0.293884>
    }
    triangle {
      < -5.878687, -0.345288, -0.347923>,
      < -5.878715, -0.353854, -0.293884>,
      < -5.878720, -0.322551, -0.316622>
    }
    triangle {
      < -5.355134, -0.376280, -0.324877>,
      < -5.355166, -0.353544, -0.293575>,
      < -5.878715, -0.353854, -0.293884>
    }
    triangle {
      < -5.355134, -0.376280, -0.324877>,
      < -5.878715, -0.353854, -0.293884>,
      < -5.878683, -0.376591, -0.325187>
    }
    triangle {
      < -5.355052, -0.363511, -0.477572>,
      < -5.355067, -0.436749, -0.376805>,
      < -5.878616, -0.437059, -0.377115>
    }
    triangle {
      < -5.355052, -0.363511, -0.477572>,
      < -5.878616, -0.437059, -0.377115>,
      < -5.878612, -0.414314, -0.408412>
    }
    triangle {
      < -5.878644, -0.383018, -0.385665>,
      < -5.878649, -0.405764, -0.354370>,
      < -5.355100, -0.405454, -0.354060>
    }
    triangle {
      < -5.878644, -0.383018, -0.385665>,
      < -5.355100, -0.405454, -0.354060>,
      < -5.355082, -0.332214, -0.454826>
    }
    triangle {
      < -5.355082, -0.332214, -0.454826>,
      < -5.355100, -0.405454, -0.354060>,
      < -5.355067, -0.436749, -0.376805>
    }
    triangle {
      < -5.355082, -0.332214, -0.454826>,
      < -5.355067, -0.436749, -0.376805>,
      < -5.355052, -0.363511, -0.477572>
    }
    triangle {
      < -5.355082, -0.332214, -0.454826>,
      < -5.355052, -0.363511, -0.477572>,
      < -5.878612, -0.414314, -0.408412>
    }
    triangle {
      < -5.355082, -0.332214, -0.454826>,
      < -5.878612, -0.414314, -0.408412>,
      < -5.878644, -0.383018, -0.385665>
    }
    triangle {
      < -5.878612, -0.414314, -0.408412>,
      < -5.878616, -0.437059, -0.377115>,
      < -5.878649, -0.405764, -0.354370>
    }
    triangle {
      < -5.878612, -0.414314, -0.408412>,
      < -5.878649, -0.405764, -0.354370>,
      < -5.878644, -0.383018, -0.385665>
    }
    triangle {
      < -5.355067, -0.436749, -0.376805>,
      < -5.355100, -0.405454, -0.354060>,
      < -5.878649, -0.405764, -0.354370>
    }
    triangle {
      < -5.355067, -0.436749, -0.376805>,
      < -5.878649, -0.405764, -0.354370>,
      < -5.878616, -0.437059, -0.377115>
    }
    triangle {
      < -5.354959, -0.471781, -0.525975>,
      < -5.355006, -0.510304, -0.407511>,
      < -5.878555, -0.510615, -0.407820>
    }
    triangle {
      < -5.354959, -0.471781, -0.525975>,
      < -5.878555, -0.510615, -0.407820>,
      < -5.878540, -0.498650, -0.444613>
    }
    triangle {
      < -5.878568, -0.461858, -0.432648>,
      < -5.878583, -0.473823, -0.395856>,
      < -5.355034, -0.473512, -0.395546>
    }
    triangle {
      < -5.878568, -0.461858, -0.432648>,
      < -5.355034, -0.473512, -0.395546>,
      < -5.354988, -0.434989, -0.514011>
    }
    triangle {
      < -5.354988, -0.434989, -0.514011>,
      < -5.355034, -0.473512, -0.395546>,
      < -5.355006, -0.510304, -0.407511>
    }
    triangle {
      < -5.354988, -0.434989, -0.514011>,
      < -5.355006, -0.510304, -0.407511>,
      < -5.354959, -0.471781, -0.525975>
    }
    triangle {
      < -5.354988, -0.434989, -0.514011>,
      < -5.354959, -0.471781, -0.525975>,
      < -5.878540, -0.498650, -0.444613>
    }
    triangle {
      < -5.354988, -0.434989, -0.514011>,
      < -5.878540, -0.498650, -0.444613>,
      < -5.878568, -0.461858, -0.432648>
    }
    triangle {
      < -5.878540, -0.498650, -0.444613>,
      < -5.878555, -0.510615, -0.407820>,
      < -5.878583, -0.473823, -0.395856>
    }
    triangle {
      < -5.878540, -0.498650, -0.444613>,
      < -5.878583, -0.473823, -0.395856>,
      < -5.878568, -0.461858, -0.432648>
    }
    triangle {
      < -5.355006, -0.510304, -0.407511>,
      < -5.355034, -0.473512, -0.395546>,
      < -5.878583, -0.473823, -0.395856>
    }
    triangle {
      < -5.355006, -0.510304, -0.407511>,
      < -5.878583, -0.473823, -0.395856>,
      < -5.878555, -0.510615, -0.407820>
    }
    triangle {
      < -5.354879, -0.589710, -0.538559>,
      < -5.354954, -0.589746, -0.413988>,
      < -5.878502, -0.590056, -0.414298>
    }
    triangle {
      < -5.354879, -0.589710, -0.538559>,
      < -5.878502, -0.590056, -0.414298>,
      < -5.878480, -0.590045, -0.452986>
    }
    triangle {
      < -5.878503, -0.551356, -0.452975>,
      < -5.878525, -0.551368, -0.414286>,
      < -5.354977, -0.551058, -0.413977>
    }
    triangle {
      < -5.878503, -0.551356, -0.452975>,
      < -5.354977, -0.551058, -0.413977>,
      < -5.354903, -0.551021, -0.538548>
    }
    triangle {
      < -5.354903, -0.551021, -0.538548>,
      < -5.354977, -0.551058, -0.413977>,
      < -5.354954, -0.589746, -0.413988>
    }
    triangle {
      < -5.354903, -0.551021, -0.538548>,
      < -5.354954, -0.589746, -0.413988>,
      < -5.354879, -0.589710, -0.538559>
    }
    triangle {
      < -5.354903, -0.551021, -0.538548>,
      < -5.354879, -0.589710, -0.538559>,
      < -5.878480, -0.590045, -0.452986>
    }
    triangle {
      < -5.354903, -0.551021, -0.538548>,
      < -5.878480, -0.590045, -0.452986>,
      < -5.878503, -0.551356, -0.452975>
    }
    triangle {
      < -5.878480, -0.590045, -0.452986>,
      < -5.878502, -0.590056, -0.414298>,
      < -5.878525, -0.551368, -0.414286>
    }
    triangle {
      < -5.878480, -0.590045, -0.452986>,
      < -5.878525, -0.551368, -0.414286>,
      < -5.878503, -0.551356, -0.452975>
    }
    triangle {
      < -5.354954, -0.589746, -0.413988>,
      < -5.354977, -0.551058, -0.413977>,
      < -5.878525, -0.551368, -0.414286>
    }
    triangle {
      < -5.354954, -0.589746, -0.413988>,
      < -5.878525, -0.551368, -0.414286>,
      < -5.878502, -0.590056, -0.414298>
    }
    triangle {
      < -5.354827, -0.705756, -0.514092>,
      < -5.354919, -0.667304, -0.395604>,
      < -5.878469, -0.667615, -0.395913>
    }
    triangle {
      < -5.354827, -0.705756, -0.514092>,
      < -5.878469, -0.667615, -0.395913>,
      < -5.878438, -0.679556, -0.432713>
    }
    triangle {
      < -5.878454, -0.642757, -0.444655>,
      < -5.878484, -0.630815, -0.407856>,
      < -5.354935, -0.630504, -0.407546>
    }
    triangle {
      < -5.878454, -0.642757, -0.444655>,
      < -5.354935, -0.630504, -0.407546>,
      < -5.354842, -0.668956, -0.526034>
    }
    triangle {
      < -5.354842, -0.668956, -0.526034>,
      < -5.354935, -0.630504, -0.407546>,
      < -5.354919, -0.667304, -0.395604>
    }
    triangle {
      < -5.354842, -0.668956, -0.526034>,
      < -5.354919, -0.667304, -0.395604>,
      < -5.354827, -0.705756, -0.514092>
    }
    triangle {
      < -5.354842, -0.668956, -0.526034>,
      < -5.354827, -0.705756, -0.514092>,
      < -5.878438, -0.679556, -0.432713>
    }
    triangle {
      < -5.354842, -0.668956, -0.526034>,
      < -5.878438, -0.679556, -0.432713>,
      < -5.878454, -0.642757, -0.444655>
    }
    triangle {
      < -5.878438, -0.679556, -0.432713>,
      < -5.878469, -0.667615, -0.395913>,
      < -5.878484, -0.630815, -0.407856>
    }
    triangle {
      < -5.878438, -0.679556, -0.432713>,
      < -5.878484, -0.630815, -0.407856>,
      < -5.878454, -0.642757, -0.444655>
    }
    triangle {
      < -5.354919, -0.667304, -0.395604>,
      < -5.354935, -0.630504, -0.407546>,
      < -5.878484, -0.630815, -0.407856>
    }
    triangle {
      < -5.354919, -0.667304, -0.395604>,
      < -5.878484, -0.630815, -0.407856>,
      < -5.878469, -0.667615, -0.395913>
    }
    triangle {
      < -5.354800, -0.808565, -0.454967>,
      < -5.354903, -0.735387, -0.354157>,
      < -5.878453, -0.735697, -0.354467>
    }
    triangle {
      < -5.354800, -0.808565, -0.454967>,
      < -5.878453, -0.735697, -0.354467>,
      < -5.878421, -0.758425, -0.385776>
    }
    triangle {
      < -5.878427, -0.727115, -0.408503>,
      < -5.878458, -0.704387, -0.377195>,
      < -5.354909, -0.704077, -0.376885>
    }
    triangle {
      < -5.878427, -0.727115, -0.408503>,
      < -5.354909, -0.704077, -0.376885>,
      < -5.354806, -0.777257, -0.477694>
    }
    triangle {
      < -5.354806, -0.777257, -0.477694>,
      < -5.354909, -0.704077, -0.376885>,
      < -5.354903, -0.735387, -0.354157>
    }
    triangle {
      < -5.354806, -0.777257, -0.477694>,
      < -5.354903, -0.735387, -0.354157>,
      < -5.354800, -0.808565, -0.454967>
    }
    triangle {
      < -5.354806, -0.777257, -0.477694>,
      < -5.354800, -0.808565, -0.454967>,
      < -5.878421, -0.758425, -0.385776>
    }
    triangle {
      < -5.354806, -0.777257, -0.477694>,
      < -5.878421, -0.758425, -0.385776>,
      < -5.878427, -0.727115, -0.408503>
    }
    triangle {
      < -5.878421, -0.758425, -0.385776>,
      < -5.878453, -0.735697, -0.354467>,
      < -5.878458, -0.704387, -0.377195>
    }
    triangle {
      < -5.878421, -0.758425, -0.385776>,
      < -5.878458, -0.704387, -0.377195>,
      < -5.878427, -0.727115, -0.408503>
    }
    triangle {
      < -5.354903, -0.735387, -0.354157>,
      < -5.354909, -0.704077, -0.376885>,
      < -5.878458, -0.704387, -0.377195>
    }
    triangle {
      < -5.354903, -0.735387, -0.354157>,
      < -5.878458, -0.704387, -0.377195>,
      < -5.878453, -0.735697, -0.354467>
    }
    triangle {
      < -5.354805, -0.888078, -0.366972>,
      < -5.354909, -0.787333, -0.293703>,
      < -5.878457, -0.787643, -0.294013>
    }
    triangle {
      < -5.354805, -0.888078, -0.366972>,
      < -5.878457, -0.787643, -0.294013>,
      < -5.878426, -0.818933, -0.316769>
    }
    triangle {
      < -5.878420, -0.796177, -0.348057>,
      < -5.878453, -0.764888, -0.325302>,
      < -5.354904, -0.764577, -0.324992>
    }
    triangle {
      < -5.878420, -0.796177, -0.348057>,
      < -5.354904, -0.764577, -0.324992>,
      < -5.354800, -0.865323, -0.398260>
    }
    triangle {
      < -5.354800, -0.865323, -0.398260>,
      < -5.354904, -0.764577, -0.324992>,
      < -5.354909, -0.787333, -0.293703>
    }
    triangle {
      < -5.354800, -0.865323, -0.398260>,
      < -5.354909, -0.787333, -0.293703>,
      < -5.354805, -0.888078, -0.366972>
    }
    triangle {
      < -5.354800, -0.865323, -0.398260>,
      < -5.354805, -0.888078, -0.366972>,
      < -5.878426, -0.818933, -0.316769>
    }
    triangle {
      < -5.354800, -0.865323, -0.398260>,
      < -5.878426, -0.818933, -0.316769>,
      < -5.878420, -0.796177, -0.348057>
    }
    triangle {
      < -5.878426, -0.818933, -0.316769>,
      < -5.878457, -0.787643, -0.294013>,
      < -5.878453, -0.764888, -0.325302>
    }
    triangle {
      < -5.878426, -0.818933, -0.316769>,
      < -5.878453, -0.764888, -0.325302>,
      < -5.878420, -0.796177, -0.348057>
    }
    triangle {
      < -5.354909, -0.787333, -0.293703>,
      < -5.354904, -0.764577, -0.324992>,
      < -5.878453, -0.764888, -0.325302>
    }
    triangle {
      < -5.354909, -0.787333, -0.293703>,
      < -5.878453, -0.764888, -0.325302>,
      < -5.878457, -0.787643, -0.294013>
    }
    triangle {
      < -5.354841, -0.936513, -0.258715>,
      < -5.354934, -0.818060, -0.220157>,
      < -5.878483, -0.818371, -0.220467>
    }
    triangle {
      < -5.354841, -0.936513, -0.258715>,
      < -5.878483, -0.818371, -0.220467>,
      < -5.878455, -0.855159, -0.232442>
    }
    triangle {
      < -5.878440, -0.843184, -0.269231>,
      < -5.878468, -0.806396, -0.257256>,
      < -5.354919, -0.806085, -0.256946>
    }
    triangle {
      < -5.878440, -0.843184, -0.269231>,
      < -5.354919, -0.806085, -0.256946>,
      < -5.354825, -0.924538, -0.295504>
    }
    triangle {
      < -5.354825, -0.924538, -0.295504>,
      < -5.354919, -0.806085, -0.256946>,
      < -5.354934, -0.818060, -0.220157>
    }
    triangle {
      < -5.354825, -0.924538, -0.295504>,
      < -5.354934, -0.818060, -0.220157>,
      < -5.354841, -0.936513, -0.258715>
    }
    triangle {
      < -5.354825, -0.924538, -0.295504>,
      < -5.354841, -0.936513, -0.258715>,
      < -5.878455, -0.855159, -0.232442>
    }
    triangle {
      < -5.354825, -0.924538, -0.295504>,
      < -5.878455, -0.855159, -0.232442>,
      < -5.878440, -0.843184, -0.269231>
    }
    triangle {
      < -5.878455, -0.855159, -0.232442>,
      < -5.878483, -0.818371, -0.220467>,
      < -5.878468, -0.806396, -0.257256>
    }
    triangle {
      < -5.878455, -0.855159, -0.232442>,
      < -5.878468, -0.806396, -0.257256>,
      < -5.878440, -0.843184, -0.269231>
    }
    triangle {
      < -5.354934, -0.818060, -0.220157>,
      < -5.354919, -0.806085, -0.256946>,
      < -5.878468, -0.806396, -0.257256>
    }
    triangle {
      < -5.354934, -0.818060, -0.220157>,
      < -5.878468, -0.806396, -0.257256>,
      < -5.878483, -0.818371, -0.220467>
    }
    triangle {
      < -5.354902, -0.949131, -0.140791>,
      < -5.354976, -0.824560, -0.140716>,
      < -5.878526, -0.824871, -0.141026>
    }
    triangle {
      < -5.354902, -0.949131, -0.140791>,
      < -5.878526, -0.824871, -0.141026>,
      < -5.878503, -0.863560, -0.141049>
    }
    triangle {
      < -5.878480, -0.863536, -0.179738>,
      < -5.878503, -0.824849, -0.179715>,
      < -5.354954, -0.824538, -0.179405>
    }
    triangle {
      < -5.878480, -0.863536, -0.179738>,
      < -5.354954, -0.824538, -0.179405>,
      < -5.354881, -0.949109, -0.179480>
    }
    triangle {
      < -5.354881, -0.949109, -0.179480>,
      < -5.354954, -0.824538, -0.179405>,
      < -5.354976, -0.824560, -0.140716>
    }
    triangle {
      < -5.354881, -0.949109, -0.179480>,
      < -5.354976, -0.824560, -0.140716>,
      < -5.354902, -0.949131, -0.140791>
    }
    triangle {
      < -5.354881, -0.949109, -0.179480>,
      < -5.354902, -0.949131, -0.140791>,
      < -5.878503, -0.863560, -0.141049>
    }
    triangle {
      < -5.354881, -0.949109, -0.179480>,
      < -5.878503, -0.863560, -0.141049>,
      < -5.878480, -0.863536, -0.179738>
    }
    triangle {
      < -5.878503, -0.863560, -0.141049>,
      < -5.878526, -0.824871, -0.141026>,
      < -5.878503, -0.824849, -0.179715>
    }
    triangle {
      < -5.878503, -0.863560, -0.141049>,
      < -5.878503, -0.824849, -0.179715>,
      < -5.878480, -0.863536, -0.179738>
    }
    triangle {
      < -5.354976, -0.824560, -0.140716>,
      < -5.354954, -0.824538, -0.179405>,
      < -5.878503, -0.824849, -0.179715>
    }
    triangle {
      < -5.354976, -0.824560, -0.140716>,
      < -5.878503, -0.824849, -0.179715>,
      < -5.878526, -0.824871, -0.141026>
    }
    texture {exhaust}
  }
  // stabilizer
  union {
    triangle {
      < -4.292608, -1.236170, -0.220515>,
      < -4.347050, -1.236206, -0.243846>,
      < -4.790356, -1.236445, -0.247735>
    }
    triangle {
      < -4.292608, -1.236170, -0.220515>,
      < -4.790356, -1.236445, -0.247735>,
      < -5.117002, -1.236621, -0.243846>
    }
    triangle {
      < -4.292608, -1.236170, -0.220515>,
      < -5.117002, -1.236621, -0.243846>,
      < -5.809184, -1.236989, -0.228291>
    }
    triangle {
      < -4.292608, -1.236170, -0.220515>,
      < -5.809184, -1.236989, -0.228291>,
      < -6.595848, -1.219482, -0.177821>
    }
    triangle {
      < -4.292608, -1.236170, -0.220515>,
      < -6.595848, -1.219482, -0.177821>,
      < -6.227421, -1.200755, -0.158319>
    }
    triangle {
      < -4.292608, -1.236170, -0.220515>,
      < -6.227421, -1.200755, -0.158319>,
      < -5.361988, -1.236717, -0.111631>
    }
    triangle {
      < -4.292608, -1.236170, -0.220515>,
      < -5.361988, -1.236717, -0.111631>,
      < -4.891459, -1.236459, -0.096078>
    }
    triangle {
      < -4.292608, -1.236170, -0.220515>,
      < -4.891459, -1.236459, -0.096078>,
      < -4.584257, -1.236302, -0.127187>
    }
    triangle {
      < -4.292608, -1.236170, -0.220515>,
      < -4.584257, -1.236302, -0.127187>,
      < -4.312052, -1.236171, -0.185517>
    }
    triangle {
      < -6.468451, -3.303636, -0.181990>,
      < -6.298006, -3.269768, -0.182010>,
      < -6.374996, -3.241370, -0.159306>
    }
    triangle {
      < -6.468451, -3.303636, -0.181990>,
      < -6.374996, -3.241370, -0.159306>,
      < -6.461885, -3.209324, -0.147207>
    }
    triangle {
      < -6.468451, -3.303636, -0.181990>,
      < -6.461885, -3.209324, -0.147207>,
      < -6.594965, -3.160250, -0.153295>
    }
    triangle {
      < -6.468451, -3.303636, -0.181990>,
      < -6.594965, -3.160250, -0.153295>,
      < -6.856725, -3.063726, -0.171529>
    }
    triangle {
      < -6.468451, -3.303636, -0.181990>,
      < -6.856725, -3.063726, -0.171529>,
      < -6.978155, -3.010584, -0.179134>
    }
    triangle {
      < -6.468451, -3.303636, -0.181990>,
      < -6.978155, -3.010584, -0.179134>,
      < -6.721442, -3.113622, -0.198765>
    }
    triangle {
      < -6.468451, -3.303636, -0.181990>,
      < -6.721442, -3.113622, -0.198765>,
      < -6.525670, -3.185819, -0.204780>
    }
    triangle {
      < -6.468451, -3.303636, -0.181990>,
      < -6.525670, -3.185819, -0.204780>,
      < -6.433284, -3.219888, -0.206275>
    }
    triangle {
      < -6.468451, -3.303636, -0.181990>,
      < -6.433284, -3.219888, -0.206275>,
      < -6.307903, -3.266125, -0.204732>
    }
    triangle {
      < -6.468451, -3.303636, -0.181990>,
      < -6.307903, -3.266125, -0.204732>,
      < -6.292506, -3.271801, -0.195641>
    }
    triangle {
      < -6.468451, -3.303636, -0.181990>,
      < -6.292506, -3.271801, -0.195641>,
      < -6.298006, -3.269768, -0.182010>
    }
    triangle {
      < -4.891459, -1.236459, -0.096078>,
      < -5.337052, -2.010700, -0.117829>,
      < -5.136761, -2.010589, -0.140888>
    }
    triangle {
      < -4.891459, -1.236459, -0.096078>,
      < -5.136761, -2.010589, -0.140888>,
      < -4.584257, -1.236302, -0.127187>
    }
    triangle {
      < -5.361988, -1.236717, -0.111631>,
      < -5.643829, -2.010886, -0.129359>,
      < -5.337052, -2.010700, -0.117829>
    }
    triangle {
      < -5.361988, -1.236717, -0.111631>,
      < -5.337052, -2.010700, -0.117829>,
      < -4.891459, -1.236459, -0.096078>
    }
    triangle {
      < -6.227421, -1.200755, -0.158319>,
      < -6.428349, -2.011360, -0.163947>,
      < -5.643829, -2.010886, -0.129359>
    }
    triangle {
      < -6.227421, -1.200755, -0.158319>,
      < -5.643829, -2.010886, -0.129359>,
      < -5.361988, -1.236717, -0.111631>
    }
    triangle {
      < -6.595848, -1.219482, -0.177821>,
      < -6.760478, -2.011561, -0.178359>,
      < -6.428349, -2.011360, -0.163947>
    }
    triangle {
      < -6.595848, -1.219482, -0.177821>,
      < -6.428349, -2.011360, -0.163947>,
      < -6.227421, -1.200755, -0.158319>
    }
    triangle {
      < -5.809184, -1.236989, -0.228291>,
      < -6.116501, -2.011191, -0.215829>,
      < -6.760478, -2.011561, -0.178359>
    }
    triangle {
      < -5.809184, -1.236989, -0.228291>,
      < -6.760478, -2.011561, -0.178359>,
      < -6.595848, -1.219482, -0.177821>
    }
    triangle {
      < -5.117002, -1.236621, -0.243846>,
      < -5.484103, -2.010820, -0.227359>,
      < -6.116501, -2.011191, -0.215829>
    }
    triangle {
      < -5.117002, -1.236621, -0.243846>,
      < -6.116501, -2.011191, -0.215829>,
      < -5.809184, -1.236989, -0.228291>
    }
    triangle {
      < -4.790356, -1.236445, -0.247735>,
      < -5.271134, -2.010695, -0.230241>,
      < -5.484103, -2.010820, -0.227359>
    }
    triangle {
      < -4.790356, -1.236445, -0.247735>,
      < -5.484103, -2.010820, -0.227359>,
      < -5.117002, -1.236621, -0.243846>
    }
    triangle {
      < -5.136761, -2.010589, -0.140888>,
      < -6.103512, -2.981438, -0.156278>,
      < -5.996253, -2.981383, -0.182408>
    }
    triangle {
      < -5.136761, -2.010589, -0.140888>,
      < -5.996253, -2.981383, -0.182408>,
      < -4.959287, -2.010497, -0.184124>
    }
    triangle {
      < -5.337052, -2.010700, -0.117829>,
      < -6.224560, -2.981505, -0.142342>,
      < -6.103512, -2.981438, -0.156278>
    }
    triangle {
      < -5.337052, -2.010700, -0.117829>,
      < -6.103512, -2.981438, -0.156278>,
      < -5.136761, -2.010589, -0.140888>
    }
    triangle {
      < -5.643829, -2.010886, -0.129359>,
      < -6.409966, -2.981617, -0.149310>,
      < -6.224560, -2.981505, -0.142342>
    }
    triangle {
      < -5.643829, -2.010886, -0.129359>,
      < -6.224560, -2.981505, -0.142342>,
      < -5.337052, -2.010700, -0.117829>
    }
    triangle {
      < -6.428349, -2.011360, -0.163947>,
      < -6.774646, -2.981840, -0.170214>,
      < -6.409966, -2.981617, -0.149310>
    }
    triangle {
      < -6.428349, -2.011360, -0.163947>,
      < -6.409966, -2.981617, -0.149310>,
      < -5.643829, -2.010886, -0.129359>
    }
    triangle {
      < -6.760478, -2.011561, -0.178359>,
      < -6.975373, -2.981961, -0.178924>,
      < -6.774646, -2.981840, -0.170214>
    }
    triangle {
      < -6.760478, -2.011561, -0.178359>,
      < -6.774646, -2.981840, -0.170214>,
      < -6.428349, -2.011360, -0.163947>
    }
    triangle {
      < -6.116501, -2.011191, -0.215829>,
      < -6.586177, -2.981738, -0.201570>,
      < -6.975373, -2.981961, -0.178924>
    }
    triangle {
      < -6.116501, -2.011191, -0.215829>,
      < -6.975373, -2.981961, -0.178924>,
      < -6.760478, -2.011561, -0.178359>
    }
    triangle {
      < -5.484103, -2.010820, -0.227359>,
      < -6.313432, -2.981578, -0.208538>,
      < -6.586177, -2.981738, -0.201570>
    }
    triangle {
      < -5.484103, -2.010820, -0.227359>,
      < -6.586177, -2.981738, -0.201570>,
      < -6.116501, -2.011191, -0.215829>
    }
    triangle {
      < -5.271134, -2.010695, -0.230241>,
      < -6.184723, -2.981502, -0.210280>,
      < -6.313432, -2.981578, -0.208538>
    }
    triangle {
      < -5.271134, -2.010695, -0.230241>,
      < -6.313432, -2.981578, -0.208538>,
      < -5.484103, -2.010820, -0.227359>
    }
    triangle {
      < -4.982104, -2.010523, -0.227360>,
      < -6.010044, -2.981398, -0.208538>,
      < -6.184723, -2.981502, -0.210280>
    }
    triangle {
      < -4.982104, -2.010523, -0.227360>,
      < -6.184723, -2.981502, -0.210280>,
      < -5.271134, -2.010695, -0.230241>
    }
    triangle {
      < -4.946610, -2.010496, -0.210065>,
      < -5.988591, -2.981383, -0.198086>,
      < -6.010044, -2.981398, -0.208538>
    }
    triangle {
      < -4.946610, -2.010496, -0.210065>,
      < -6.010044, -2.981398, -0.208538>,
      < -4.982104, -2.010523, -0.227360>
    }
    triangle {
      < -4.959287, -2.010497, -0.184124>,
      < -5.996253, -2.981383, -0.182408>,
      < -5.988591, -2.981383, -0.198086>
    }
    triangle {
      < -4.959287, -2.010497, -0.184124>,
      < -5.988591, -2.981383, -0.198086>,
      < -4.946610, -2.010496, -0.210065>
    }
    triangle {
      < -6.103512, -2.981438, -0.156278>,
      < -6.374996, -3.241370, -0.159306>,
      < -6.298006, -3.269768, -0.182010>
    }
    triangle {
      < -6.103512, -2.981438, -0.156278>,
      < -6.298006, -3.269768, -0.182010>,
      < -5.996253, -2.981383, -0.182408>
    }
    triangle {
      < -6.224560, -2.981505, -0.142342>,
      < -6.461885, -3.209324, -0.147207>,
      < -6.374996, -3.241370, -0.159306>
    }
    triangle {
      < -6.224560, -2.981505, -0.142342>,
      < -6.374996, -3.241370, -0.159306>,
      < -6.103512, -2.981438, -0.156278>
    }
    triangle {
      < -6.409966, -2.981617, -0.149310>,
      < -6.594965, -3.160250, -0.153295>,
      < -6.461885, -3.209324, -0.147207>
    }
    triangle {
      < -6.409966, -2.981617, -0.149310>,
      < -6.461885, -3.209324, -0.147207>,
      < -6.224560, -2.981505, -0.142342>
    }
    triangle {
      < -6.774646, -2.981840, -0.170214>,
      < -6.856725, -3.063726, -0.171529>,
      < -6.594965, -3.160250, -0.153295>
    }
    triangle {
      < -6.774646, -2.981840, -0.170214>,
      < -6.594965, -3.160250, -0.153295>,
      < -6.409966, -2.981617, -0.149310>
    }
    triangle {
      < -6.975373, -2.981961, -0.178924>,
      < -6.978155, -3.010584, -0.179134>,
      < -6.856725, -3.063726, -0.171529>
    }
    triangle {
      < -6.975373, -2.981961, -0.178924>,
      < -6.856725, -3.063726, -0.171529>,
      < -6.774646, -2.981840, -0.170214>
    }
    triangle {
      < -6.586177, -2.981738, -0.201570>,
      < -6.721442, -3.113622, -0.198765>,
      < -6.978155, -3.010584, -0.179134>
    }
    triangle {
      < -6.586177, -2.981738, -0.201570>,
      < -6.978155, -3.010584, -0.179134>,
      < -6.975373, -2.981961, -0.178924>
    }
    triangle {
      < -6.313432, -2.981578, -0.208538>,
      < -6.525670, -3.185819, -0.204780>,
      < -6.721442, -3.113622, -0.198765>
    }
    triangle {
      < -6.313432, -2.981578, -0.208538>,
      < -6.721442, -3.113622, -0.198765>,
      < -6.586177, -2.981738, -0.201570>
    }
    triangle {
      < -6.184723, -2.981502, -0.210280>,
      < -6.433284, -3.219888, -0.206275>,
      < -6.525670, -3.185819, -0.204780>
    }
    triangle {
      < -6.184723, -2.981502, -0.210280>,
      < -6.525670, -3.185819, -0.204780>,
      < -6.313432, -2.981578, -0.208538>
    }
    triangle {
      < -6.010044, -2.981398, -0.208538>,
      < -6.307903, -3.266125, -0.204732>,
      < -6.433284, -3.219888, -0.206275>
    }
    triangle {
      < -6.010044, -2.981398, -0.208538>,
      < -6.433284, -3.219888, -0.206275>,
      < -6.184723, -2.981502, -0.210280>
    }
    triangle {
      < -5.988591, -2.981383, -0.198086>,
      < -6.292506, -3.271801, -0.195641>,
      < -6.307903, -3.266125, -0.204732>
    }
    triangle {
      < -5.988591, -2.981383, -0.198086>,
      < -6.307903, -3.266125, -0.204732>,
      < -6.010044, -2.981398, -0.208538>
    }
    triangle {
      < -5.996253, -2.981383, -0.182408>,
      < -6.298006, -3.269768, -0.182010>,
      < -6.292506, -3.271801, -0.195641>
    }
    triangle {
      < -5.996253, -2.981383, -0.182408>,
      < -6.292506, -3.271801, -0.195641>,
      < -5.988591, -2.981383, -0.198086>
    }
    texture {stabilizer}
  }
  // fuselage
  union {
    triangle {
      < 0.636964, -1.475155, -0.208284>,
      < 0.540708, -1.475224, -0.249536>,
      < -0.243088, -1.475691, -0.256412>
    }
    triangle {
      < 0.636964, -1.475155, -0.208284>,
      < -0.243088, -1.475691, -0.256412>,
      < -0.820623, -1.476031, -0.249535>
    }
    triangle {
      < 0.636964, -1.475155, -0.208284>,
      < -0.820623, -1.476031, -0.249535>,
      < -2.044444, -1.476748, -0.222034>
    }
    triangle {
      < 0.636964, -1.475155, -0.208284>,
      < -2.044444, -1.476748, -0.222034>,
      < -3.790797, -1.477756, -0.132653>
    }
    triangle {
      < 0.636964, -1.475155, -0.208284>,
      < -3.790797, -1.477756, -0.132653>,
      < -2.890119, -1.477213, -0.098277>
    }
    triangle {
      < 0.636964, -1.475155, -0.208284>,
      < -2.890119, -1.477213, -0.098277>,
      < -1.253772, -1.476218, -0.015772>
    }
    triangle {
      < 0.636964, -1.475155, -0.208284>,
      < -1.253772, -1.476218, -0.015772>,
      < -0.421849, -1.475717, 0.011730>
    }
    triangle {
      < 0.636964, -1.475155, -0.208284>,
      < -0.421849, -1.475717, 0.011730>,
      < 0.121308, -1.475411, -0.043274>
    }
    triangle {
      < 0.636964, -1.475155, -0.208284>,
      < 0.121308, -1.475411, -0.043274>,
      < 0.602587, -1.475156, -0.146405>
    }
    texture {fuselage}
  }
  // wings
  union {
    triangle {
      < -3.044841, -4.803803, -0.100063>,
      < -2.908716, -4.854013, -0.140205>,
      < -3.210074, -4.913893, -0.140170>
    }
    triangle {
      < -3.198465, -4.747146, -0.078673>,
      < -3.044841, -4.803803, -0.100063>,
      < -3.210074, -4.913893, -0.140170>
    }
    triangle {
      < -3.433759, -4.660379, -0.089436>,
      < -3.198465, -4.747146, -0.078673>,
      < -3.210074, -4.913893, -0.140170>
    }
    triangle {
      < -3.896568, -4.489718, -0.121674>,
      < -3.433759, -4.660379, -0.089436>,
      < -3.210074, -4.913893, -0.140170>
    }
    triangle {
      < -4.111266, -4.395758, -0.135121>,
      < -3.896568, -4.489718, -0.121674>,
      < -3.210074, -4.913893, -0.140170>
    }
    triangle {
      < -3.657379, -4.577936, -0.169828>,
      < -4.111266, -4.395758, -0.135121>,
      < -3.210074, -4.913893, -0.140170>
    }
    triangle {
      < -3.311241, -4.705586, -0.180465>,
      < -3.657379, -4.577936, -0.169828>,
      < -3.210074, -4.913893, -0.140170>
    }
    triangle {
      < -3.147895, -4.765822, -0.183108>,
      < -3.311241, -4.705586, -0.180465>,
      < -3.210074, -4.913893, -0.140170>
    }
    triangle {
      < -2.926213, -4.847572, -0.180381>,
      < -3.147895, -4.765822, -0.183108>,
      < -3.210074, -4.913893, -0.140170>
    }
    triangle {
      < -2.898990, -4.857607, -0.164306>,
      < -2.926213, -4.847572, -0.180381>,
      < -3.210074, -4.913893, -0.140170>
    }
    triangle {
      < -2.908716, -4.854013, -0.140205>,
      < -2.898990, -4.857607, -0.164306>,
      < -3.210074, -4.913893, -0.140170>
    }
    triangle {
      < 0.602587, -1.475156, -0.146405>,
      < -0.934026, -2.948017, -0.143753>,
      < -1.247812, -2.948181, -0.067310>
    }
    triangle {
      < 0.602587, -1.475156, -0.146405>,
      < -1.247812, -2.948181, -0.067310>,
      < 0.121308, -1.475411, -0.043274>
    }
    triangle {
      < 0.121308, -1.475411, -0.043274>,
      < -1.247812, -2.948181, -0.067310>,
      < -1.601942, -2.948378, -0.026541>
    }
    triangle {
      < 0.121308, -1.475411, -0.043274>,
      < -1.601942, -2.948378, -0.026541>,
      < -0.421849, -1.475717, 0.011730>
    }
    triangle {
      < -0.421849, -1.475717, 0.011730>,
      < -1.601942, -2.948378, -0.026541>,
      < -2.144343, -2.948706, -0.046926>
    }
    triangle {
      < -0.421849, -1.475717, 0.011730>,
      < -2.144343, -2.948706, -0.046926>,
      < -1.253772, -1.476218, -0.015772>
    }
    triangle {
      < -1.253772, -1.476218, -0.015772>,
      < -2.144343, -2.948706, -0.046926>,
      < -3.211214, -2.949355, -0.108079>
    }
    triangle {
      < -1.253772, -1.476218, -0.015772>,
      < -3.211214, -2.949355, -0.108079>,
      < -2.890119, -1.477213, -0.098277>
    }
    triangle {
      < -2.890119, -1.477213, -0.098277>,
      < -3.211214, -2.949355, -0.108079>,
      < -3.798441, -2.949711, -0.133560>
    }
    triangle {
      < -2.890119, -1.477213, -0.098277>,
      < -3.798441, -2.949711, -0.133560>,
      < -3.790797, -1.477756, -0.132653>
    }
    triangle {
      < -3.790797, -1.477756, -0.132653>,
      < -3.798441, -2.949711, -0.133560>,
      < -2.659848, -2.949056, -0.199810>
    }
    triangle {
      < -3.790797, -1.477756, -0.132653>,
      < -2.659848, -2.949056, -0.199810>,
      < -2.044444, -1.476748, -0.222034>
    }
    triangle {
      < -2.044444, -1.476748, -0.222034>,
      < -2.659848, -2.949056, -0.199810>,
      < -1.861935, -2.948589, -0.220196>
    }
    triangle {
      < -2.044444, -1.476748, -0.222034>,
      < -1.861935, -2.948589, -0.220196>,
      < -0.820623, -1.476031, -0.249535>
    }
    triangle {
      < -0.820623, -1.476031, -0.249535>,
      < -1.861935, -2.948589, -0.220196>,
      < -1.485393, -2.948368, -0.225292>
    }
    triangle {
      < -0.820623, -1.476031, -0.249535>,
      < -1.485393, -2.948368, -0.225292>,
      < -0.243088, -1.475691, -0.256412>
    }
    triangle {
      < -0.243088, -1.475691, -0.256412>,
      < -1.485393, -2.948368, -0.225292>,
      < -0.974370, -2.948063, -0.220196>
    }
    triangle {
      < -0.243088, -1.475691, -0.256412>,
      < -0.974370, -2.948063, -0.220196>,
      < 0.540708, -1.475224, -0.249536>
    }
    triangle {
      < 0.540708, -1.475224, -0.249536>,
      < -0.974370, -2.948063, -0.220196>,
      < -0.911613, -2.948017, -0.189619>
    }
    triangle {
      < 0.540708, -1.475224, -0.249536>,
      < -0.911613, -2.948017, -0.189619>,
      < 0.636964, -1.475155, -0.208284>
    }
    triangle {
      < 0.636964, -1.475155, -0.208284>,
      < -0.911613, -2.948017, -0.189619>,
      < -0.934026, -2.948017, -0.143753>
    }
    triangle {
      < 0.636964, -1.475155, -0.208284>,
      < -0.934026, -2.948017, -0.143753>,
      < 0.602587, -1.475156, -0.146405>
    }
    triangle {
      < -0.934026, -2.948017, -0.143753>,
      < -2.375197, -4.344128, -0.140910>,
      < -2.564838, -4.344226, -0.094711>
    }
    triangle {
      < -0.934026, -2.948017, -0.143753>,
      < -2.564838, -4.344226, -0.094711>,
      < -1.247812, -2.948181, -0.067310>
    }
    triangle {
      < -1.247812, -2.948181, -0.067310>,
      < -2.564838, -4.344226, -0.094711>,
      < -2.778861, -4.344347, -0.070070>
    }
    triangle {
      < -1.247812, -2.948181, -0.067310>,
      < -2.778861, -4.344347, -0.070070>,
      < -1.601942, -2.948378, -0.026541>
    }
    triangle {
      < -1.601942, -2.948378, -0.026541>,
      < -2.778861, -4.344347, -0.070070>,
      < -3.106669, -4.344544, -0.082390>
    }
    triangle {
      < -1.601942, -2.948378, -0.026541>,
      < -3.106669, -4.344544, -0.082390>,
      < -2.144343, -2.948706, -0.046926>
    }
    triangle {
      < -2.144343, -2.948706, -0.046926>,
      < -3.106669, -4.344544, -0.082390>,
      < -3.751448, -4.344937, -0.119349>
    }
    triangle {
      < -2.144343, -2.948706, -0.046926>,
      < -3.751448, -4.344937, -0.119349>,
      < -3.211214, -2.949355, -0.108079>
    }
    triangle {
      < -3.211214, -2.949355, -0.108079>,
      < -3.751448, -4.344937, -0.119349>,
      < -4.106347, -4.345153, -0.134749>
    }
    triangle {
      < -3.211214, -2.949355, -0.108079>,
      < -4.106347, -4.345153, -0.134749>,
      < -3.798441, -2.949711, -0.133560>
    }
    triangle {
      < -3.798441, -2.949711, -0.133560>,
      < -4.106347, -4.345153, -0.134749>,
      < -3.418222, -4.344756, -0.174788>
    }
    triangle {
      < -3.798441, -2.949711, -0.133560>,
      < -3.418222, -4.344756, -0.174788>,
      < -2.659848, -2.949056, -0.199810>
    }
    triangle {
      < -2.659848, -2.949056, -0.199810>,
      < -3.418222, -4.344756, -0.174788>,
      < -2.935992, -4.344474, -0.187108>
    }
    triangle {
      < -2.659848, -2.949056, -0.199810>,
      < -2.935992, -4.344474, -0.187108>,
      < -1.861935, -2.948589, -0.220196>
    }
    triangle {
      < -1.861935, -2.948589, -0.220196>,
      < -2.935992, -4.344474, -0.187108>,
      < -2.708423, -4.344340, -0.190188>
    }
    triangle {
      < -1.861935, -2.948589, -0.220196>,
      < -2.708423, -4.344340, -0.190188>,
      < -1.485393, -2.948368, -0.225292>
    }
    triangle {
      < -1.485393, -2.948368, -0.225292>,
      < -2.708423, -4.344340, -0.190188>,
      < -2.399579, -4.344156, -0.187109>
    }
    triangle {
      < -1.485393, -2.948368, -0.225292>,
      < -2.399579, -4.344156, -0.187109>,
      < -0.974370, -2.948063, -0.220196>
    }
    triangle {
      < -0.974370, -2.948063, -0.220196>,
      < -2.399579, -4.344156, -0.187109>,
      < -2.361651, -4.344129, -0.168630>
    }
    triangle {
      < -0.974370, -2.948063, -0.220196>,
      < -2.361651, -4.344129, -0.168630>,
      < -0.911613, -2.948017, -0.189619>
    }
    triangle {
      < -0.911613, -2.948017, -0.189619>,
      < -2.361651, -4.344129, -0.168630>,
      < -2.375197, -4.344128, -0.140910>
    }
    triangle {
      < -0.911613, -2.948017, -0.189619>,
      < -2.375197, -4.344128, -0.140910>,
      < -0.934026, -2.948017, -0.143753>
    }
    triangle {
      < -2.375197, -4.344128, -0.140910>,
      < -2.908716, -4.854013, -0.140205>,
      < -3.044841, -4.803803, -0.100063>
    }
    triangle {
      < -2.375197, -4.344128, -0.140910>,
      < -3.044841, -4.803803, -0.100063>,
      < -2.564838, -4.344226, -0.094711>
    }
    triangle {
      < -2.564838, -4.344226, -0.094711>,
      < -3.044841, -4.803803, -0.100063>,
      < -3.198465, -4.747146, -0.078673>
    }
    triangle {
      < -2.564838, -4.344226, -0.094711>,
      < -3.198465, -4.747146, -0.078673>,
      < -2.778861, -4.344347, -0.070070>
    }
    triangle {
      < -2.778861, -4.344347, -0.070070>,
      < -3.198465, -4.747146, -0.078673>,
      < -3.433759, -4.660379, -0.089436>
    }
    triangle {
      < -2.778861, -4.344347, -0.070070>,
      < -3.433759, -4.660379, -0.089436>,
      < -3.106669, -4.344544, -0.082390>
    }
    triangle {
      < -3.106669, -4.344544, -0.082390>,
      < -3.433759, -4.660379, -0.089436>,
      < -3.896568, -4.489718, -0.121674>
    }
    triangle {
      < -3.106669, -4.344544, -0.082390>,
      < -3.896568, -4.489718, -0.121674>,
      < -3.751448, -4.344937, -0.119349>
    }
    triangle {
      < -3.751448, -4.344937, -0.119349>,
      < -3.896568, -4.489718, -0.121674>,
      < -4.111266, -4.395758, -0.135121>
    }
    triangle {
      < -3.751448, -4.344937, -0.119349>,
      < -4.111266, -4.395758, -0.135121>,
      < -4.106347, -4.345153, -0.134749>
    }
    triangle {
      < -4.106347, -4.345153, -0.134749>,
      < -4.111266, -4.395758, -0.135121>,
      < -3.657379, -4.577936, -0.169828>
    }
    triangle {
      < -4.106347, -4.345153, -0.134749>,
      < -3.657379, -4.577936, -0.169828>,
      < -3.418222, -4.344756, -0.174788>
    }
    triangle {
      < -3.418222, -4.344756, -0.174788>,
      < -3.657379, -4.577936, -0.169828>,
      < -3.311241, -4.705586, -0.180465>
    }
    triangle {
      < -3.418222, -4.344756, -0.174788>,
      < -3.311241, -4.705586, -0.180465>,
      < -2.935992, -4.344474, -0.187108>
    }
    triangle {
      < -2.935992, -4.344474, -0.187108>,
      < -3.311241, -4.705586, -0.180465>,
      < -3.147895, -4.765822, -0.183108>
    }
    triangle {
      < -2.935992, -4.344474, -0.187108>,
      < -3.147895, -4.765822, -0.183108>,
      < -2.708423, -4.344340, -0.190188>
    }
    triangle {
      < -2.708423, -4.344340, -0.190188>,
      < -3.147895, -4.765822, -0.183108>,
      < -2.926213, -4.847572, -0.180381>
    }
    triangle {
      < -2.708423, -4.344340, -0.190188>,
      < -2.926213, -4.847572, -0.180381>,
      < -2.399579, -4.344156, -0.187109>
    }
    triangle {
      < -2.399579, -4.344156, -0.187109>,
      < -2.926213, -4.847572, -0.180381>,
      < -2.898990, -4.857607, -0.164306>
    }
    triangle {
      < -2.399579, -4.344156, -0.187109>,
      < -2.898990, -4.857607, -0.164306>,
      < -2.361651, -4.344129, -0.168630>
    }
    triangle {
      < -2.361651, -4.344129, -0.168630>,
      < -2.898990, -4.857607, -0.164306>,
      < -2.908716, -4.854013, -0.140205>
    }
    triangle {
      < -2.361651, -4.344129, -0.168630>,
      < -2.908716, -4.854013, -0.140205>,
      < -2.375197, -4.344128, -0.140910>
    }
    texture {wings}
  }
  // stabilizer
  union {
    triangle {
      < -5.136761, -2.010589, -0.140888>,
      < -4.312052, -1.236171, -0.185517>,
      < -4.584257, -1.236302, -0.127187>
    }
    triangle {
      < -5.271134, -2.010695, -0.230241>,
      < -4.347050, -1.236206, -0.243846>,
      < -5.136761, -2.010589, -0.140888>
    }
    triangle {
      < -4.312052, -1.236171, -0.185517>,
      < -5.136761, -2.010589, -0.140888>,
      < -4.347050, -1.236206, -0.243846>
    }
    triangle {
      < -4.312052, -1.236171, -0.185517>,
      < -4.347050, -1.236206, -0.243846>,
      < -4.292608, -1.236170, -0.220515>
    }
    triangle {
      < -5.136761, -2.010589, -0.140888>,
      < -4.959287, -2.010497, -0.184124>,
      < -4.946610, -2.010496, -0.210065>
    }
    triangle {
      < -5.136761, -2.010589, -0.140888>,
      < -4.946610, -2.010496, -0.210065>,
      < -4.982104, -2.010523, -0.227360>
    }
    triangle {
      < -5.136761, -2.010589, -0.140888>,
      < -4.982104, -2.010523, -0.227360>,
      < -5.271134, -2.010695, -0.230241>
    }
    texture {stabilizer}
  }
  // rudder
  union {
    triangle {
      < -3.270892, -1.222997, 0.000725>,
      < -3.371383, -1.235894, 0.000732>,
      < -5.359052, -1.194281, 0.000708>
    }
    triangle {
      < -3.270892, -1.222997, 0.000725>,
      < -5.359052, -1.194281, 0.000708>,
      < -3.527755, -1.167522, 0.000692>
    }
    triangle {
      < -3.270892, -1.222997, 0.000725>,
      < -3.527755, -1.167522, 0.000692>,
      < -3.304419, -1.175947, 0.000697>
    }
    triangle {
      < -3.270892, -1.222997, 0.000725>,
      < -3.304419, -1.175947, 0.000697>,
      < -3.248573, -1.197310, 0.000710>
    }
    triangle {
      < -3.304419, -1.175947, 0.000697>,
      < -4.690121, -1.190323, 2.102604>,
      < -4.669358, -1.200689, 2.102610>
    }
    triangle {
      < -3.304419, -1.175947, 0.000697>,
      < -4.669358, -1.200689, 2.102610>,
      < -3.248573, -1.197310, 0.000710>
    }
    triangle {
      < -3.527755, -1.167522, 0.000692>,
      < -4.773156, -1.186221, 2.102600>,
      < -4.690121, -1.190323, 2.102604>
    }
    triangle {
      < -3.527755, -1.167522, 0.000692>,
      < -4.690121, -1.190323, 2.102604>,
      < -3.304419, -1.175947, 0.000697>
    }
    triangle {
      < -5.359052, -1.194281, 0.000708>,
      < -5.454016, -1.199079, 2.102608>,
      < -4.773156, -1.186221, 2.102600>
    }
    triangle {
      < -5.359052, -1.194281, 0.000708>,
      < -4.773156, -1.186221, 2.102600>,
      < -3.527755, -1.167522, 0.000692>
    }
    triangle {
      < -3.371383, -1.235894, 0.000732>,
      < -4.715013, -1.219398, 2.102621>,
      < -5.454016, -1.199079, 2.102608>
    }
    triangle {
      < -3.371383, -1.235894, 0.000732>,
      < -5.454016, -1.199079, 2.102608>,
      < -5.359052, -1.194281, 0.000708>
    }
    triangle {
      < -3.270892, -1.222997, 0.000725>,
      < -4.677652, -1.213149, 2.102616>,
      < -4.715013, -1.219398, 2.102621>
    }
    triangle {
      < -3.270892, -1.222997, 0.000725>,
      < -4.715013, -1.219398, 2.102621>,
      < -3.371383, -1.235894, 0.000732>
    }
    triangle {
      < -3.248573, -1.197310, 0.000710>,
      < -4.669358, -1.200689, 2.102610>,
      < -4.677652, -1.213149, 2.102616>
    }
    triangle {
      < -3.248573, -1.197310, 0.000710>,
      < -4.677652, -1.213149, 2.102616>,
      < -3.270892, -1.222997, 0.000725>
    }
    triangle {
      < -4.172978, -1.204529, 2.122791>,
      < -4.211922, -1.182513, 2.144797>,
      < -4.211909, -1.204525, 2.153935>
    }
    triangle {
      < -4.211909, -1.204525, 2.153935>,
      < -4.211922, -1.182513, 2.144797>,
      < -4.282008, -1.166025, 2.161302>
    }
    triangle {
      < -4.211909, -1.204525, 2.153935>,
      < -4.282008, -1.166025, 2.161302>,
      < -4.281985, -1.204546, 2.177294>
    }
    triangle {
      < -4.281985, -1.204546, 2.177294>,
      < -4.282008, -1.166025, 2.161302>,
      < -5.453830, -1.166720, 2.161303>
    }
    triangle {
      < -4.281985, -1.204546, 2.177294>,
      < -5.453830, -1.166720, 2.161303>,
      < -5.453807, -1.205240, 2.177294>
    }
    triangle {
      < -5.453807, -1.205240, 2.177294>,
      < -5.453830, -1.166720, 2.161303>,
      < -5.539476, -1.169525, 2.158551>
    }
    triangle {
      < -5.453807, -1.205240, 2.177294>,
      < -5.539476, -1.169525, 2.158551>,
      < -5.539455, -1.205294, 2.173402>
    }
    triangle {
      < -5.539455, -1.205294, 2.173402>,
      < -5.539476, -1.169525, 2.158551>,
      < -5.562813, -1.205353, 2.122792>
    }
    triangle {
      < -4.172978, -1.204529, 2.122791>,
      < -4.211927, -1.173407, 2.122773>,
      < -4.211922, -1.182513, 2.144797>
    }
    triangle {
      < -4.211922, -1.182513, 2.144797>,
      < -4.211927, -1.173407, 2.122773>,
      < -4.282017, -1.150090, 2.122759>
    }
    triangle {
      < -4.211922, -1.182513, 2.144797>,
      < -4.282017, -1.150090, 2.122759>,
      < -4.282008, -1.166025, 2.161302>
    }
    triangle {
      < -4.282008, -1.166025, 2.161302>,
      < -4.282017, -1.150090, 2.122759>,
      < -5.453839, -1.150784, 2.122759>
    }
    triangle {
      < -4.282008, -1.166025, 2.161302>,
      < -5.453839, -1.150784, 2.122759>,
      < -5.453830, -1.166720, 2.161303>
    }
    triangle {
      < -5.453830, -1.166720, 2.161303>,
      < -5.453839, -1.150784, 2.122759>,
      < -5.539485, -1.154729, 2.122761>
    }
    triangle {
      < -5.453830, -1.166720, 2.161303>,
      < -5.539485, -1.154729, 2.122761>,
      < -5.539476, -1.169525, 2.158551>
    }
    triangle {
      < -5.539476, -1.169525, 2.158551>,
      < -5.539485, -1.154729, 2.122761>,
      < -5.562813, -1.205353, 2.122792>
    }
    triangle {
      < -4.172978, -1.204529, 2.122791>,
      < -4.211922, -1.182539, 2.100758>,
      < -4.211927, -1.173407, 2.122773>
    }
    triangle {
      < -4.211927, -1.173407, 2.122773>,
      < -4.211922, -1.182539, 2.100758>,
      < -4.282008, -1.166071, 2.084234>
    }
    triangle {
      < -4.211927, -1.173407, 2.122773>,
      < -4.282008, -1.166071, 2.084234>,
      < -4.282017, -1.150090, 2.122759>
    }
    triangle {
      < -4.282017, -1.150090, 2.122759>,
      < -4.282008, -1.166071, 2.084234>,
      < -5.453830, -1.166765, 2.084235>
    }
    triangle {
      < -4.282017, -1.150090, 2.122759>,
      < -5.453830, -1.166765, 2.084235>,
      < -5.453839, -1.150784, 2.122759>
    }
    triangle {
      < -5.453839, -1.150784, 2.122759>,
      < -5.453830, -1.166765, 2.084235>,
      < -5.539476, -1.169568, 2.086989>
    }
    triangle {
      < -5.453839, -1.150784, 2.122759>,
      < -5.539476, -1.169568, 2.086989>,
      < -5.539485, -1.154729, 2.122761>
    }
    triangle {
      < -5.539485, -1.154729, 2.122761>,
      < -5.539476, -1.169568, 2.086989>,
      < -5.562813, -1.205353, 2.122792>
    }
    triangle {
      < -4.172978, -1.204529, 2.122791>,
      < -4.211909, -1.204561, 2.091646>,
      < -4.211922, -1.182539, 2.100758>
    }
    triangle {
      < -4.211922, -1.182539, 2.100758>,
      < -4.211909, -1.204561, 2.091646>,
      < -4.281985, -1.204610, 2.068288>
    }
    triangle {
      < -4.211922, -1.182539, 2.100758>,
      < -4.281985, -1.204610, 2.068288>,
      < -4.282008, -1.166071, 2.084234>
    }
    triangle {
      < -4.282008, -1.166071, 2.084234>,
      < -4.281985, -1.204610, 2.068288>,
      < -5.453807, -1.205305, 2.068289>
    }
    triangle {
      < -4.282008, -1.166071, 2.084234>,
      < -5.453807, -1.205305, 2.068289>,
      < -5.453830, -1.166765, 2.084235>
    }
    triangle {
      < -5.453830, -1.166765, 2.084235>,
      < -5.453807, -1.205305, 2.068289>,
      < -5.539455, -1.205354, 2.072181>
    }
    triangle {
      < -5.453830, -1.166765, 2.084235>,
      < -5.539455, -1.205354, 2.072181>,
      < -5.539476, -1.169568, 2.086989>
    }
    triangle {
      < -5.539476, -1.169568, 2.086989>,
      < -5.539455, -1.205354, 2.072181>,
      < -5.562813, -1.205353, 2.122792>
    }
    triangle {
      < -4.172978, -1.204529, 2.122791>,
      < -4.211896, -1.226578, 2.100771>,
      < -4.211909, -1.204561, 2.091646>
    }
    triangle {
      < -4.211909, -1.204561, 2.091646>,
      < -4.211896, -1.226578, 2.100771>,
      < -4.281962, -1.243139, 2.084257>
    }
    triangle {
      < -4.211909, -1.204561, 2.091646>,
      < -4.281962, -1.243139, 2.084257>,
      < -4.281985, -1.204610, 2.068288>
    }
    triangle {
      < -4.281985, -1.204610, 2.068288>,
      < -4.281962, -1.243139, 2.084257>,
      < -5.453784, -1.243833, 2.084257>
    }
    triangle {
      < -4.281985, -1.204610, 2.068288>,
      < -5.453784, -1.243833, 2.084257>,
      < -5.453807, -1.205305, 2.068289>
    }
    triangle {
      < -5.453807, -1.205305, 2.068289>,
      < -5.453784, -1.243833, 2.084257>,
      < -5.539433, -1.241131, 2.087010>
    }
    triangle {
      < -5.453807, -1.205305, 2.068289>,
      < -5.539433, -1.241131, 2.087010>,
      < -5.539455, -1.205354, 2.072181>
    }
    triangle {
      < -5.539455, -1.205354, 2.072181>,
      < -5.539433, -1.241131, 2.087010>,
      < -5.562813, -1.205353, 2.122792>
    }
    triangle {
      < -4.172978, -1.204529, 2.122791>,
      < -4.211891, -1.235698, 2.122792>,
      < -4.211896, -1.226578, 2.100771>
    }
    triangle {
      < -4.211896, -1.226578, 2.100771>,
      < -4.211891, -1.235698, 2.122792>,
      < -4.281953, -1.259097, 2.122792>
    }
    triangle {
      < -4.211896, -1.226578, 2.100771>,
      < -4.281953, -1.259097, 2.122792>,
      < -4.281962, -1.243139, 2.084257>
    }
    triangle {
      < -4.281962, -1.243139, 2.084257>,
      < -4.281953, -1.259097, 2.122792>,
      < -5.453775, -1.259791, 2.122792>
    }
    triangle {
      < -4.281962, -1.243139, 2.084257>,
      < -5.453775, -1.259791, 2.122792>,
      < -5.453784, -1.243833, 2.084257>
    }
    triangle {
      < -5.453784, -1.243833, 2.084257>,
      < -5.453775, -1.259791, 2.122792>,
      < -5.539425, -1.255949, 2.122791>
    }
    triangle {
      < -5.453784, -1.243833, 2.084257>,
      < -5.539425, -1.255949, 2.122791>,
      < -5.539433, -1.241131, 2.087010>
    }
    triangle {
      < -5.539433, -1.241131, 2.087010>,
      < -5.539425, -1.255949, 2.122791>,
      < -5.562813, -1.205353, 2.122792>
    }
    triangle {
      < -4.172978, -1.204529, 2.122791>,
      < -4.211896, -1.226578, 2.144810>,
      < -4.211891, -1.235698, 2.122792>
    }
    triangle {
      < -4.211891, -1.235698, 2.122792>,
      < -4.211896, -1.226578, 2.144810>,
      < -4.281962, -1.243139, 2.161325>
    }
    triangle {
      < -4.211891, -1.235698, 2.122792>,
      < -4.281962, -1.243139, 2.161325>,
      < -4.281953, -1.259097, 2.122792>
    }
    triangle {
      < -4.281953, -1.259097, 2.122792>,
      < -4.281962, -1.243139, 2.161325>,
      < -5.453784, -1.243834, 2.161325>
    }
    triangle {
      < -4.281953, -1.259097, 2.122792>,
      < -5.453784, -1.243834, 2.161325>,
      < -5.453775, -1.259791, 2.122792>
    }
    triangle {
      < -5.453775, -1.259791, 2.122792>,
      < -5.453784, -1.243834, 2.161325>,
      < -5.539433, -1.241131, 2.158573>
    }
    triangle {
      < -5.453775, -1.259791, 2.122792>,
      < -5.539433, -1.241131, 2.158573>,
      < -5.539425, -1.255949, 2.122791>
    }
    triangle {
      < -5.539425, -1.255949, 2.122791>,
      < -5.539433, -1.241131, 2.158573>,
      < -5.562813, -1.205353, 2.122792>
    }
    triangle {
      < -4.172978, -1.204529, 2.122791>,
      < -4.211909, -1.204525, 2.153935>,
      < -4.211896, -1.226578, 2.144810>
    }
    triangle {
      < -4.211896, -1.226578, 2.144810>,
      < -4.211909, -1.204525, 2.153935>,
      < -4.281985, -1.204546, 2.177294>
    }
    triangle {
      < -4.211896, -1.226578, 2.144810>,
      < -4.281985, -1.204546, 2.177294>,
      < -4.281962, -1.243139, 2.161325>
    }
    triangle {
      < -4.281962, -1.243139, 2.161325>,
      < -4.281985, -1.204546, 2.177294>,
      < -5.453807, -1.205240, 2.177294>
    }
    triangle {
      < -4.281962, -1.243139, 2.161325>,
      < -5.453807, -1.205240, 2.177294>,
      < -5.453784, -1.243834, 2.161325>
    }
    triangle {
      < -5.453784, -1.243834, 2.161325>,
      < -5.453807, -1.205240, 2.177294>,
      < -5.539455, -1.205294, 2.173402>
    }
    triangle {
      < -5.453784, -1.243834, 2.161325>,
      < -5.539455, -1.205294, 2.173402>,
      < -5.539433, -1.241131, 2.158573>
    }
    triangle {
      < -5.539433, -1.241131, 2.158573>,
      < -5.539455, -1.205294, 2.173402>,
      < -5.562813, -1.205353, 2.122792>
    }
    texture {rudder}
  }
  // fuselage
  union {
    triangle {
      < 1.481851, -0.226615, 0.305434>,
      < 1.491516, 0.000970, 0.350690>,
      < 1.201251, 0.000782, 0.297110>
    }
    triangle {
      < 1.481851, -0.226615, 0.305434>,
      < 1.201251, 0.000782, 0.297110>,
      < 1.198627, -0.242233, 0.261762>
    }
    triangle {
      < 1.762474, 0.001146, 0.403259>,
      < 1.491516, 0.000970, 0.350690>,
      < 1.481851, -0.226615, 0.305434>
    }
    triangle {
      < 1.762474, 0.001146, 0.403259>,
      < 1.481851, -0.226615, 0.305434>,
      < 1.772158, -0.248374, 0.340747>
    }
    triangle {
      < 2.016242, 0.001312, 0.454408>,
      < 1.762474, 0.001146, 0.403259>,
      < 1.772158, -0.248374, 0.340747>
    }
    triangle {
      < 2.016242, 0.001312, 0.454408>,
      < 1.772158, -0.248374, 0.340747>,
      < 2.024715, -0.276301, 0.382935>
    }
    triangle {
      < 1.198627, -0.242233, 0.261762>,
      < 1.196569, -0.361480, 0.143428>,
      < 1.472121, -0.372080, 0.160351>
    }
    triangle {
      < 1.198627, -0.242233, 0.261762>,
      < 1.472121, -0.372080, 0.160351>,
      < 1.481851, -0.226615, 0.305434>
    }
    triangle {
      < 1.481851, -0.226615, 0.305434>,
      < 1.472121, -0.372080, 0.160351>,
      < 1.746253, -0.384152, 0.193721>
    }
    triangle {
      < 1.481851, -0.226615, 0.305434>,
      < 1.746253, -0.384152, 0.193721>,
      < 1.752255, -0.246754, 0.337787>
    }
    triangle {
      < 1.752255, -0.246754, 0.337787>,
      < 1.746253, -0.384152, 0.193721>,
      < 2.016842, -0.423920, 0.159717>
    }
    triangle {
      < 1.752255, -0.246754, 0.337787>,
      < 2.016842, -0.423920, 0.159717>,
      < 2.024715, -0.276301, 0.382935>
    }
    triangle {
      < 2.024715, -0.276301, 0.382935>,
      < 2.016842, -0.423920, 0.159717>,
      < 2.268350, -0.464772, 0.055658>
    }
    triangle {
      < 2.024715, -0.276301, 0.382935>,
      < 2.268350, -0.464772, 0.055658>,
      < 2.257465, -0.389139, 0.272802>
    }
    triangle {
      < 2.257465, -0.389139, 0.272802>,
      < 2.268350, -0.464772, 0.055658>,
      < 2.541030, -0.491318, 0.020827>
    }
    triangle {
      < 2.257465, -0.389139, 0.272802>,
      < 2.541030, -0.491318, 0.020827>,
      < 2.529630, -0.432116, 0.226759>
    }
    triangle {
      < 2.529630, -0.432116, 0.226759>,
      < 2.541030, -0.491318, 0.020827>,
      < 2.815733, -0.502566, -0.005693>
    }
    triangle {
      < 2.529630, -0.432116, 0.226759>,
      < 2.815733, -0.502566, -0.005693>,
      < 2.807554, -0.449546, 0.197919>
    }
    triangle {
      < 2.807554, -0.449546, 0.197919>,
      < 2.815733, -0.502566, -0.005693>,
      < 3.090965, -0.507468, -0.029624>
    }
    triangle {
      < 2.807554, -0.449546, 0.197919>,
      < 3.090965, -0.507468, -0.029624>,
      < 3.086869, -0.458604, 0.177534>
    }
    triangle {
      < 3.086869, -0.458604, 0.177534>,
      < 3.090965, -0.507468, -0.029624>,
      < 3.366417, -0.507488, -0.049799>
    }
    triangle {
      < 3.086869, -0.458604, 0.177534>,
      < 3.366417, -0.507488, -0.049799>,
      < 3.366296, -0.462836, 0.169101>
    }
    triangle {
      < 3.366296, -0.462836, 0.169101>,
      < 3.366417, -0.507488, -0.049799>,
      < 3.640390, -0.506938, -0.085100>
    }
    triangle {
      < 3.366296, -0.462836, 0.169101>,
      < 3.640390, -0.506938, -0.085100>,
      < 3.644504, -0.466020, 0.141186>
    }
    triangle {
      < 3.644504, -0.466020, 0.141186>,
      < 3.640390, -0.506938, -0.085100>,
      < 3.914321, -0.505493, -0.121192>
    }
    triangle {
      < 3.644504, -0.466020, 0.141186>,
      < 3.914321, -0.505493, -0.121192>,
      < 3.922574, -0.470619, 0.106507>
    }
    triangle {
      < 3.922574, -0.470619, 0.106507>,
      < 3.914321, -0.505493, -0.121192>,
      < 4.189124, -0.498331, -0.148458>
    }
    triangle {
      < 3.922574, -0.470619, 0.106507>,
      < 4.189124, -0.498331, -0.148458>,
      < 4.200969, -0.466132, 0.077477>
    }
    triangle {
      < 4.200969, -0.466132, 0.077477>,
      < 4.189124, -0.498331, -0.148458>,
      < 4.464843, -0.487553, -0.153103>
    }
    triangle {
      < 4.200969, -0.466132, 0.077477>,
      < 4.464843, -0.487553, -0.153103>,
      < 4.479346, -0.458083, 0.053634>
    }
    triangle {
      < 4.479346, -0.458083, 0.053634>,
      < 4.464843, -0.487553, -0.153103>,
      < 4.739760, -0.476092, -0.178346>
    }
    triangle {
      < 4.479346, -0.458083, 0.053634>,
      < 4.739760, -0.476092, -0.178346>,
      < 4.758691, -0.439902, 0.040431>
    }
    triangle {
      < 4.758691, -0.439902, 0.040431>,
      < 4.739760, -0.476092, -0.178346>,
      < 5.016398, -0.469598, -0.185821>
    }
    triangle {
      < 4.758691, -0.439902, 0.040431>,
      < 5.016398, -0.469598, -0.185821>,
      < 5.037536, -0.416138, 0.027177>
    }
    triangle {
      < 5.037536, -0.416138, 0.027177>,
      < 5.016398, -0.469598, -0.185821>,
      < 5.277606, -0.432180, -0.112869>
    }
    triangle {
      < 5.037536, -0.416138, 0.027177>,
      < 5.277606, -0.432180, -0.112869>,
      < 5.261947, -0.304618, 0.126617>
    }
    triangle {
      < 5.261947, -0.304618, 0.126617>,
      < 5.277606, -0.432180, -0.112869>,
      < 5.515767, -0.359361, -0.000507>
    }
    triangle {
      < 5.261947, -0.304618, 0.126617>,
      < 5.515767, -0.359361, -0.000507>,
      < 5.479524, -0.197702, 0.151523>
    }
    triangle {
      < 5.479524, -0.197702, 0.151523>,
      < 5.515767, -0.359361, -0.000507>,
      < 5.786214, -0.304351, -0.019694>
    }
    triangle {
      < 5.479524, -0.197702, 0.151523>,
      < 5.786214, -0.304351, -0.019694>,
      < 5.771304, -0.164231, 0.095774>
    }
    triangle {
      < 5.771304, -0.164231, 0.095774>,
      < 5.786214, -0.304351, -0.019694>,
      < 6.056197, -0.260858, -0.057841>
    }
    triangle {
      < 5.771304, -0.164231, 0.095774>,
      < 6.056197, -0.260858, -0.057841>,
      < 6.043690, -0.135854, 0.037952>
    }
    triangle {
      < 6.043690, -0.135854, 0.037952>,
      < 6.056197, -0.260858, -0.057841>,
      < 6.325168, -0.229155, -0.112719>
    }
    triangle {
      < 6.043690, -0.135854, 0.037952>,
      < 6.325168, -0.229155, -0.112719>,
      < 6.314974, -0.108685, -0.026410>
    }
    triangle {
      < 6.314974, -0.108685, -0.026410>,
      < 6.325168, -0.229155, -0.112719>,
      < 6.594136, -0.197465, -0.167616>
    }
    triangle {
      < 6.314974, -0.108685, -0.026410>,
      < 6.594136, -0.197465, -0.167616>,
      < 6.586254, -0.081520, -0.090784>
    }
    triangle {
      < 6.586254, -0.081520, -0.090784>,
      < 6.594136, -0.197465, -0.167616>,
      < 6.770693, -0.160892, -0.230367>
    }
    triangle {
      < 6.586254, -0.081520, -0.090784>,
      < 6.770693, -0.160892, -0.230367>,
      < 6.770632, -0.057870, -0.167312>
    }
    triangle {
      < 6.770632, -0.057870, -0.167312>,
      < 6.770693, -0.160892, -0.230367>,
      < 7.122043, -0.115018, -0.307754>
    }
    triangle {
      < 6.770632, -0.057870, -0.167312>,
      < 7.122043, -0.115018, -0.307754>,
      < 7.116828, -0.039832, -0.263869>
    }
    triangle {
      < 7.116828, -0.039832, -0.263869>,
      < 7.122043, -0.115018, -0.307754>,
      < 7.374624, -0.056617, -0.398302>
    }
    triangle {
      < 7.116828, -0.039832, -0.263869>,
      < 7.374624, -0.056617, -0.398302>,
      < 7.371706, -0.014030, -0.373760>
    }
    triangle {
      < 7.371706, -0.014030, -0.373760>,
      < 7.374624, -0.056617, -0.398302>,
      < 7.649260, 0.004225, -0.520518>
    }
    triangle {
      < 1.196569, -0.361480, 0.143428>,
      < 1.207760, -0.417442, 0.034458>,
      < 1.476195, -0.437738, -0.011638>
    }
    triangle {
      < 1.196569, -0.361480, 0.143428>,
      < 1.476195, -0.437738, -0.011638>,
      < 1.472121, -0.372080, 0.160351>
    }
    triangle {
      < 1.472121, -0.372080, 0.160351>,
      < 1.476195, -0.437738, -0.011638>,
      < 1.744488, -0.458031, -0.058554>
    }
    triangle {
      < 1.472121, -0.372080, 0.160351>,
      < 1.744488, -0.458031, -0.058554>,
      < 1.746253, -0.384152, 0.193721>
    }
    triangle {
      < 1.746253, -0.384152, 0.193721>,
      < 1.744488, -0.458031, -0.058554>,
      < 2.011669, -0.478248, -0.111452>
    }
    triangle {
      < 1.746253, -0.384152, 0.193721>,
      < 2.011669, -0.478248, -0.111452>,
      < 2.016842, -0.423920, 0.159717>
    }
    triangle {
      < 2.016842, -0.423920, 0.159717>,
      < 2.011669, -0.478248, -0.111452>,
      < 2.278078, -0.489267, -0.169370>
    }
    triangle {
      < 2.016842, -0.423920, 0.159717>,
      < 2.278078, -0.489267, -0.169370>,
      < 2.268350, -0.464772, 0.055658>
    }
    triangle {
      < 2.268350, -0.464772, 0.055658>,
      < 2.278078, -0.489267, -0.169370>,
      < 2.545799, -0.498535, -0.222632>
    }
    triangle {
      < 2.268350, -0.464772, 0.055658>,
      < 2.545799, -0.498535, -0.222632>,
      < 2.541030, -0.491318, 0.020827>
    }
    triangle {
      < 2.541030, -0.491318, 0.020827>,
      < 2.545799, -0.498535, -0.222632>,
      < 2.816199, -0.500256, -0.258430>
    }
    triangle {
      < 2.541030, -0.491318, 0.020827>,
      < 2.816199, -0.500256, -0.258430>,
      < 2.815733, -0.502566, -0.005693>
    }
    triangle {
      < 2.815733, -0.502566, -0.005693>,
      < 2.816199, -0.500256, -0.258430>,
      < 3.088660, -0.497306, -0.279127>
    }
    triangle {
      < 2.815733, -0.502566, -0.005693>,
      < 3.088660, -0.497306, -0.279127>,
      < 3.090965, -0.507468, -0.029624>
    }
    triangle {
      < 3.090965, -0.507468, -0.029624>,
      < 3.088660, -0.497306, -0.279127>,
      < 3.361014, -0.489787, -0.289261>
    }
    triangle {
      < 3.090965, -0.507468, -0.029624>,
      < 3.361014, -0.489787, -0.289261>,
      < 3.366417, -0.507488, -0.049799>
    }
    triangle {
      < 3.366417, -0.507488, -0.049799>,
      < 3.361014, -0.489787, -0.289261>,
      < 3.632276, -0.483307, -0.317952>
    }
    triangle {
      < 3.366417, -0.507488, -0.049799>,
      < 3.632276, -0.483307, -0.317952>,
      < 3.640390, -0.506938, -0.085100>
    }
    triangle {
      < 3.640390, -0.506938, -0.085100>,
      < 3.632276, -0.483307, -0.317952>,
      < 3.903486, -0.476130, -0.350763>
    }
    triangle {
      < 3.640390, -0.506938, -0.085100>,
      < 3.903486, -0.476130, -0.350763>,
      < 3.914321, -0.505493, -0.121192>
    }
    triangle {
      < 3.914321, -0.505493, -0.121192>,
      < 3.903486, -0.476130, -0.350763>,
      < 4.175097, -0.462752, -0.373111>
    }
    triangle {
      < 3.914321, -0.505493, -0.121192>,
      < 4.175097, -0.462752, -0.373111>,
      < 4.189124, -0.498331, -0.148458>
    }
    triangle {
      < 4.189124, -0.498331, -0.148458>,
      < 4.175097, -0.462752, -0.373111>,
      < 4.447546, -0.450725, -0.373925>
    }
    triangle {
      < 4.189124, -0.498331, -0.148458>,
      < 4.447546, -0.450725, -0.373925>,
      < 4.464843, -0.487553, -0.153103>
    }
    triangle {
      < 4.464843, -0.487553, -0.153103>,
      < 4.447546, -0.450725, -0.373925>,
      < 4.720642, -0.448407, -0.373117>
    }
    triangle {
      < 4.464843, -0.487553, -0.153103>,
      < 4.720642, -0.448407, -0.373117>,
      < 4.739760, -0.476092, -0.178346>
    }
    triangle {
      < 4.739760, -0.476092, -0.178346>,
      < 4.720642, -0.448407, -0.373117>,
      < 4.993968, -0.450501, -0.377262>
    }
    triangle {
      < 4.739760, -0.476092, -0.178346>,
      < 4.993968, -0.450501, -0.377262>,
      < 5.016398, -0.469598, -0.185821>
    }
    triangle {
      < 5.016398, -0.469598, -0.185821>,
      < 4.993968, -0.450501, -0.377262>,
      < 5.253817, -0.445317, -0.304894>
    }
    triangle {
      < 5.016398, -0.469598, -0.185821>,
      < 5.253817, -0.445317, -0.304894>,
      < 5.277606, -0.432180, -0.112869>
    }
    triangle {
      < 5.277606, -0.432180, -0.112869>,
      < 5.253817, -0.445317, -0.304894>,
      < 5.519181, -0.425340, -0.243719>
    }
    triangle {
      < 5.277606, -0.432180, -0.112869>,
      < 5.519181, -0.425340, -0.243719>,
      < 5.515767, -0.359361, -0.000507>
    }
    triangle {
      < 5.515767, -0.359361, -0.000507>,
      < 5.519181, -0.425340, -0.243719>,
      < 5.789241, -0.397127, -0.210392>
    }
    triangle {
      < 5.515767, -0.359361, -0.000507>,
      < 5.789241, -0.397127, -0.210392>,
      < 5.786214, -0.304351, -0.019694>
    }
    triangle {
      < 5.786214, -0.304351, -0.019694>,
      < 5.789241, -0.397127, -0.210392>,
      < 6.057666, -0.364087, -0.212252>
    }
    triangle {
      < 5.786214, -0.304351, -0.019694>,
      < 6.057666, -0.364087, -0.212252>,
      < 6.056197, -0.260858, -0.057841>
    }
    triangle {
      < 6.056197, -0.260858, -0.057841>,
      < 6.057666, -0.364087, -0.212252>,
      < 6.323686, -0.324799, -0.261285>
    }
    triangle {
      < 6.056197, -0.260858, -0.057841>,
      < 6.323686, -0.324799, -0.261285>,
      < 6.325168, -0.229155, -0.112719>
    }
    triangle {
      < 6.325168, -0.229155, -0.112719>,
      < 6.323686, -0.324799, -0.261285>,
      < 6.589700, -0.285500, -0.310393>
    }
    triangle {
      < 6.325168, -0.229155, -0.112719>,
      < 6.589700, -0.285500, -0.310393>,
      < 6.594136, -0.197465, -0.167616>
    }
    triangle {
      < 6.594136, -0.197465, -0.167616>,
      < 6.589700, -0.285500, -0.310393>,
      < 6.770738, -0.235996, -0.356970>
    }
    triangle {
      < 6.594136, -0.197465, -0.167616>,
      < 6.770738, -0.235996, -0.356970>,
      < 6.770693, -0.160892, -0.230367>
    }
    triangle {
      < 6.770693, -0.160892, -0.230367>,
      < 6.770738, -0.235996, -0.356970>,
      < 7.115387, -0.167601, -0.398913>
    }
    triangle {
      < 6.770693, -0.160892, -0.230367>,
      < 7.115387, -0.167601, -0.398913>,
      < 7.122043, -0.115018, -0.307754>
    }
    triangle {
      < 7.122043, -0.115018, -0.307754>,
      < 7.115387, -0.167601, -0.398913>,
      < 7.369156, -0.084842, -0.449808>
    }
    triangle {
      < 7.122043, -0.115018, -0.307754>,
      < 7.369156, -0.084842, -0.449808>,
      < 7.374624, -0.056617, -0.398302>
    }
    triangle {
      < 7.374624, -0.056617, -0.398302>,
      < 7.369156, -0.084842, -0.449808>,
      < 7.649260, 0.004225, -0.520518>
    }
    triangle {
      < 2.816199, -0.500256, -0.258430>,
      < 2.772962, -0.442585, -0.518228>,
      < 3.046984, -0.431453, -0.530562>
    }
    triangle {
      < 2.816199, -0.500256, -0.258430>,
      < 3.046984, -0.431453, -0.530562>,
      < 3.088660, -0.497306, -0.279127>
    }
    triangle {
      < 3.088660, -0.497306, -0.279127>,
      < 3.046984, -0.431453, -0.530562>,
      < 3.320613, -0.420143, -0.540038>
    }
    triangle {
      < 3.088660, -0.497306, -0.279127>,
      < 3.320613, -0.420143, -0.540038>,
      < 3.361014, -0.489787, -0.289261>
    }
    triangle {
      < 3.361014, -0.489787, -0.289261>,
      < 3.320613, -0.420143, -0.540038>,
      < 3.612607, -0.406850, -0.528526>
    }
    triangle {
      < 3.361014, -0.489787, -0.289261>,
      < 3.612607, -0.406850, -0.528526>,
      < 3.632276, -0.483307, -0.317952>
    }
    triangle {
      < 3.632276, -0.483307, -0.317952>,
      < 3.612607, -0.406850, -0.528526>,
      < 3.868716, -0.408235, -0.535740>
    }
    triangle {
      < 3.632276, -0.483307, -0.317952>,
      < 3.868716, -0.408235, -0.535740>,
      < 3.903486, -0.476130, -0.350763>
    }
    triangle {
      < 3.903486, -0.476130, -0.350763>,
      < 3.868716, -0.408235, -0.535740>,
      < 4.116574, -0.400548, -0.530634>
    }
    triangle {
      < 3.903486, -0.476130, -0.350763>,
      < 4.116574, -0.400548, -0.530634>,
      < 4.175097, -0.462752, -0.373111>
    }
    triangle {
      < 4.175097, -0.462752, -0.373111>,
      < 4.116574, -0.400548, -0.530634>,
      < 4.391389, -0.402482, -0.513587>
    }
    triangle {
      < 4.175097, -0.462752, -0.373111>,
      < 4.391389, -0.402482, -0.513587>,
      < 4.447546, -0.450725, -0.373925>
    }
    triangle {
      < 4.447546, -0.450725, -0.373925>,
      < 4.391389, -0.402482, -0.513587>,
      < 4.664769, -0.406072, -0.508851>
    }
    triangle {
      < 4.447546, -0.450725, -0.373925>,
      < 4.664769, -0.406072, -0.508851>,
      < 4.720642, -0.448407, -0.373117>
    }
    triangle {
      < 4.720642, -0.448407, -0.373117>,
      < 4.664769, -0.406072, -0.508851>,
      < 4.938508, -0.419419, -0.492735>
    }
    triangle {
      < 4.720642, -0.448407, -0.373117>,
      < 4.938508, -0.419419, -0.492735>,
      < 4.993968, -0.450501, -0.377262>
    }
    triangle {
      < 4.993968, -0.450501, -0.377262>,
      < 4.938508, -0.419419, -0.492735>,
      < 5.210506, -0.427025, -0.460532>
    }
    triangle {
      < 4.993968, -0.450501, -0.377262>,
      < 5.210506, -0.427025, -0.460532>,
      < 5.253817, -0.445317, -0.304894>
    }
    triangle {
      < 5.253817, -0.445317, -0.304894>,
      < 5.210506, -0.427025, -0.460532>,
      < 5.481624, -0.421022, -0.426737>
    }
    triangle {
      < 5.253817, -0.445317, -0.304894>,
      < 5.481624, -0.421022, -0.426737>,
      < 5.519181, -0.425340, -0.243719>
    }
    triangle {
      < 5.519181, -0.425340, -0.243719>,
      < 5.481624, -0.421022, -0.426737>,
      < 5.754630, -0.405226, -0.406258>
    }
    triangle {
      < 5.519181, -0.425340, -0.243719>,
      < 5.754630, -0.405226, -0.406258>,
      < 5.789241, -0.397127, -0.210392>
    }
    triangle {
      < 5.789241, -0.397127, -0.210392>,
      < 5.754630, -0.405226, -0.406258>,
      < 6.026980, -0.378383, -0.403156>
    }
    triangle {
      < 5.789241, -0.397127, -0.210392>,
      < 6.026980, -0.378383, -0.403156>,
      < 6.057666, -0.364087, -0.212252>
    }
    triangle {
      < 6.057666, -0.364087, -0.212252>,
      < 6.026980, -0.378383, -0.403156>,
      < 6.296864, -0.336502, -0.430403>
    }
    triangle {
      < 6.057666, -0.364087, -0.212252>,
      < 6.296864, -0.336502, -0.430403>,
      < 6.323686, -0.324799, -0.261285>
    }
    triangle {
      < 6.323686, -0.324799, -0.261285>,
      < 6.296864, -0.336502, -0.430403>,
      < 6.566738, -0.294563, -0.457763>
    }
    triangle {
      < 6.323686, -0.324799, -0.261285>,
      < 6.566738, -0.294563, -0.457763>,
      < 6.589700, -0.285500, -0.310393>
    }
    triangle {
      < 6.589700, -0.285500, -0.310393>,
      < 6.566738, -0.294563, -0.457763>,
      < 6.770744, -0.246168, -0.480738>
    }
    triangle {
      < 6.589700, -0.285500, -0.310393>,
      < 6.770744, -0.246168, -0.480738>,
      < 6.770738, -0.235996, -0.356970>
    }
    triangle {
      < 6.770738, -0.235996, -0.356970>,
      < 6.770744, -0.246168, -0.480738>,
      < 7.100562, -0.174629, -0.488129>
    }
    triangle {
      < 6.770738, -0.235996, -0.356970>,
      < 7.100562, -0.174629, -0.488129>,
      < 7.115387, -0.167601, -0.398913>
    }
    triangle {
      < 7.115387, -0.167601, -0.398913>,
      < 7.100562, -0.174629, -0.488129>,
      < 7.360575, -0.090819, -0.499313>
    }
    triangle {
      < 7.115387, -0.167601, -0.398913>,
      < 7.360575, -0.090819, -0.499313>,
      < 7.369156, -0.084842, -0.449808>
    }
    triangle {
      < 7.369156, -0.084842, -0.449808>,
      < 7.360575, -0.090819, -0.499313>,
      < 7.649260, 0.004225, -0.520518>
    }
    triangle {
      < 1.190728, -0.307908, -0.791600>,
      < 1.184022, -0.298440, -0.819455>,
      < 1.451194, -0.311069, -0.781600>
    }
    triangle {
      < 1.190728, -0.307908, -0.791600>,
      < 1.451194, -0.311069, -0.781600>,
      < 1.452035, -0.349589, -0.718987>
    }
    triangle {
      < 1.452035, -0.349589, -0.718987>,
      < 1.451194, -0.311069, -0.781600>,
      < 1.719619, -0.329894, -0.760423>
    }
    triangle {
      < 1.452035, -0.349589, -0.718987>,
      < 1.719619, -0.329894, -0.760423>,
      < 1.711043, -0.387297, -0.636739>
    }
    triangle {
      < 1.711043, -0.387297, -0.636739>,
      < 1.719619, -0.329894, -0.760423>,
      < 1.989096, -0.342390, -0.746711>
    }
    triangle {
      < 1.711043, -0.387297, -0.636739>,
      < 1.989096, -0.342390, -0.746711>,
      < 1.964407, -0.424410, -0.538963>
    }
    triangle {
      < 1.964407, -0.424410, -0.538963>,
      < 1.989096, -0.342390, -0.746711>,
      < 2.257403, -0.351303, -0.729450>
    }
    triangle {
      < 1.964407, -0.424410, -0.538963>,
      < 2.257403, -0.351303, -0.729450>,
      < 2.226068, -0.444765, -0.488082>
    }
    triangle {
      < 2.226068, -0.444765, -0.488082>,
      < 2.257403, -0.351303, -0.729450>,
      < 2.525962, -0.358122, -0.708495>
    }
    triangle {
      < 2.226068, -0.444765, -0.488082>,
      < 2.525962, -0.358122, -0.708495>,
      < 2.499334, -0.449230, -0.497274>
    }
    triangle {
      < 2.499334, -0.449230, -0.497274>,
      < 2.525962, -0.358122, -0.708495>,
      < 2.796018, -0.351975, -0.703255>
    }
    triangle {
      < 2.499334, -0.449230, -0.497274>,
      < 2.796018, -0.351975, -0.703255>,
      < 2.772962, -0.442585, -0.518228>
    }
    triangle {
      < 2.772962, -0.442585, -0.518228>,
      < 2.796018, -0.351975, -0.703255>,
      < 3.065857, -0.339278, -0.700015>
    }
    triangle {
      < 2.772962, -0.442585, -0.518228>,
      < 3.065857, -0.339278, -0.700015>,
      < 3.046984, -0.431453, -0.530562>
    }
    triangle {
      < 3.046984, -0.431453, -0.530562>,
      < 3.065857, -0.339278, -0.700015>,
      < 3.335561, -0.331166, -0.694972>
    }
    triangle {
      < 3.046984, -0.431453, -0.530562>,
      < 3.335561, -0.331166, -0.694972>,
      < 3.320613, -0.420143, -0.540038>
    }
    triangle {
      < 3.320613, -0.420143, -0.540038>,
      < 3.335561, -0.331166, -0.694972>,
      < 3.605123, -0.329954, -0.690342>
    }
    triangle {
      < 3.320613, -0.420143, -0.540038>,
      < 3.605123, -0.329954, -0.690342>,
      < 3.612607, -0.406850, -0.528526>
    }
    triangle {
      < 3.612607, -0.406850, -0.528526>,
      < 3.605123, -0.329954, -0.690342>,
      < 3.875042, -0.318143, -0.691057>
    }
    triangle {
      < 3.612607, -0.406850, -0.528526>,
      < 3.875042, -0.318143, -0.691057>,
      < 3.868716, -0.408235, -0.535740>
    }
    triangle {
      < 3.868716, -0.408235, -0.535740>,
      < 3.875042, -0.318143, -0.691057>,
      < 4.145041, -0.318165, -0.684764>
    }
    triangle {
      < 3.868716, -0.408235, -0.535740>,
      < 4.145041, -0.318165, -0.684764>,
      < 4.116574, -0.400548, -0.530634>
    }
    triangle {
      < 4.116574, -0.400548, -0.530634>,
      < 4.145041, -0.318165, -0.684764>,
      < 4.414017, -0.320845, -0.660217>
    }
    triangle {
      < 4.116574, -0.400548, -0.530634>,
      < 4.414017, -0.320845, -0.660217>,
      < 4.391389, -0.402482, -0.513587>
    }
    triangle {
      < 4.391389, -0.402482, -0.513587>,
      < 4.414017, -0.320845, -0.660217>,
      < 4.683333, -0.321791, -0.661002>
    }
    triangle {
      < 4.391389, -0.402482, -0.513587>,
      < 4.683333, -0.321791, -0.661002>,
      < 4.664769, -0.406072, -0.508851>
    }
    triangle {
      < 4.664769, -0.406072, -0.508851>,
      < 4.683333, -0.321791, -0.661002>,
      < 4.953588, -0.323307, -0.657740>
    }
    triangle {
      < 4.664769, -0.406072, -0.508851>,
      < 4.953588, -0.323307, -0.657740>,
      < 4.938508, -0.419419, -0.492735>
    }
    triangle {
      < 4.938508, -0.419419, -0.492735>,
      < 4.953588, -0.323307, -0.657740>,
      < 5.221888, -0.317787, -0.677364>
    }
    triangle {
      < 4.938508, -0.419419, -0.492735>,
      < 5.221888, -0.317787, -0.677364>,
      < 5.210506, -0.427025, -0.460532>
    }
    triangle {
      < 5.210506, -0.427025, -0.460532>,
      < 5.221888, -0.317787, -0.677364>,
      < 5.491400, -0.310134, -0.662024>
    }
    triangle {
      < 5.210506, -0.427025, -0.460532>,
      < 5.491400, -0.310134, -0.662024>,
      < 5.481624, -0.421022, -0.426737>
    }
    triangle {
      < 5.481624, -0.421022, -0.426737>,
      < 5.491400, -0.310134, -0.662024>,
      < 5.760984, -0.303635, -0.645907>
    }
    triangle {
      < 5.481624, -0.421022, -0.426737>,
      < 5.760984, -0.303635, -0.645907>,
      < 5.754630, -0.405226, -0.406258>
    }
    triangle {
      < 5.754630, -0.405226, -0.406258>,
      < 5.760984, -0.303635, -0.645907>,
      < 6.030069, -0.288218, -0.636348>
    }
    triangle {
      < 5.754630, -0.405226, -0.406258>,
      < 6.030069, -0.288218, -0.636348>,
      < 6.026980, -0.378383, -0.403156>
    }
    triangle {
      < 6.026980, -0.378383, -0.403156>,
      < 6.030069, -0.288218, -0.636348>,
      < 6.298154, -0.254899, -0.639813>
    }
    triangle {
      < 6.026980, -0.378383, -0.403156>,
      < 6.298154, -0.254899, -0.639813>,
      < 6.296864, -0.336502, -0.430403>
    }
    triangle {
      < 6.296864, -0.336502, -0.430403>,
      < 6.298154, -0.254899, -0.639813>,
      < 6.566236, -0.221522, -0.643319>
    }
    triangle {
      < 6.296864, -0.336502, -0.430403>,
      < 6.566236, -0.221522, -0.643319>,
      < 6.566738, -0.294563, -0.457763>
    }
    triangle {
      < 6.566738, -0.294563, -0.457763>,
      < 6.566236, -0.221522, -0.643319>,
      < 6.770705, -0.181192, -0.638644>
    }
    triangle {
      < 6.566738, -0.294563, -0.457763>,
      < 6.770705, -0.181192, -0.638644>,
      < 6.770744, -0.246168, -0.480738>
    }
    triangle {
      < 6.770744, -0.246168, -0.480738>,
      < 6.770705, -0.181192, -0.638644>,
      < 7.094618, -0.120784, -0.610557>
    }
    triangle {
      < 6.770744, -0.246168, -0.480738>,
      < 7.094618, -0.120784, -0.610557>,
      < 7.100562, -0.174629, -0.488129>
    }
    triangle {
      < 7.100562, -0.174629, -0.488129>,
      < 7.094618, -0.120784, -0.610557>,
      < 7.353975, -0.054448, -0.577400>
    }
    triangle {
      < 7.100562, -0.174629, -0.488129>,
      < 7.353975, -0.054448, -0.577400>,
      < 7.360575, -0.090819, -0.499313>
    }
    triangle {
      < 7.360575, -0.090819, -0.499313>,
      < 7.353975, -0.054448, -0.577400>,
      < 7.649260, 0.004225, -0.520518>
    }
    triangle {
      < 1.184022, -0.298440, -0.819455>,
      < 1.203154, -0.199258, -0.864802>,
      < 1.471553, -0.188225, -0.873121>
    }
    triangle {
      < 1.184022, -0.298440, -0.819455>,
      < 1.471553, -0.188225, -0.873121>,
      < 1.451194, -0.311069, -0.781600>
    }
    triangle {
      < 1.451194, -0.311069, -0.781600>,
      < 1.471553, -0.188225, -0.873121>,
      < 1.740140, -0.189025, -0.868676>
    }
    triangle {
      < 1.451194, -0.311069, -0.781600>,
      < 1.740140, -0.189025, -0.868676>,
      < 1.719619, -0.329894, -0.760423>
    }
    triangle {
      < 1.719619, -0.329894, -0.760423>,
      < 1.740140, -0.189025, -0.868676>,
      < 2.008407, -0.196480, -0.855290>
    }
    triangle {
      < 1.719619, -0.329894, -0.760423>,
      < 2.008407, -0.196480, -0.855290>,
      < 1.989096, -0.342390, -0.746711>
    }
    triangle {
      < 1.989096, -0.342390, -0.746711>,
      < 2.008407, -0.196480, -0.855290>,
      < 2.276556, -0.203281, -0.848834>
    }
    triangle {
      < 1.989096, -0.342390, -0.746711>,
      < 2.276556, -0.203281, -0.848834>,
      < 2.257403, -0.351303, -0.729450>
    }
    triangle {
      < 2.257403, -0.351303, -0.729450>,
      < 2.276556, -0.203281, -0.848834>,
      < 2.544137, -0.182812, -0.850535>
    }
    triangle {
      < 2.257403, -0.351303, -0.729450>,
      < 2.544137, -0.182812, -0.850535>,
      < 2.525962, -0.358122, -0.708495>
    }
    triangle {
      < 2.525962, -0.358122, -0.708495>,
      < 2.544137, -0.182812, -0.850535>,
      < 2.812185, -0.168577, -0.850121>
    }
    triangle {
      < 2.525962, -0.358122, -0.708495>,
      < 2.812185, -0.168577, -0.850121>,
      < 2.796018, -0.351975, -0.703255>
    }
    triangle {
      < 2.796018, -0.351975, -0.703255>,
      < 2.812185, -0.168577, -0.850121>,
      < 3.080822, -0.165214, -0.841164>
    }
    triangle {
      < 2.796018, -0.351975, -0.703255>,
      < 3.080822, -0.165214, -0.841164>,
      < 3.065857, -0.339278, -0.700015>
    }
    triangle {
      < 3.065857, -0.339278, -0.700015>,
      < 3.080822, -0.165214, -0.841164>,
      < 3.349254, -0.167562, -0.838178>
    }
    triangle {
      < 3.065857, -0.339278, -0.700015>,
      < 3.349254, -0.167562, -0.838178>,
      < 3.335561, -0.331166, -0.694972>
    }
    triangle {
      < 3.335561, -0.331166, -0.694972>,
      < 3.349254, -0.167562, -0.838178>,
      < 3.616391, -0.184671, -0.818974>
    }
    triangle {
      < 3.335561, -0.331166, -0.694972>,
      < 3.616391, -0.184671, -0.818974>,
      < 3.605123, -0.329954, -0.690342>
    }
    triangle {
      < 3.605123, -0.329954, -0.690342>,
      < 3.616391, -0.184671, -0.818974>,
      < 3.883481, -0.199292, -0.792515>
    }
    triangle {
      < 3.605123, -0.329954, -0.690342>,
      < 3.883481, -0.199292, -0.792515>,
      < 3.875042, -0.318143, -0.691057>
    }
    triangle {
      < 3.875042, -0.318143, -0.691057>,
      < 3.883481, -0.199292, -0.792515>,
      < 4.151982, -0.191174, -0.786185>
    }
    triangle {
      < 3.875042, -0.318143, -0.691057>,
      < 4.151982, -0.191174, -0.786185>,
      < 4.145041, -0.318165, -0.684764>
    }
    triangle {
      < 4.145041, -0.318165, -0.684764>,
      < 4.151982, -0.191174, -0.786185>,
      < 4.420444, -0.183876, -0.779867>
    }
    triangle {
      < 4.145041, -0.318165, -0.684764>,
      < 4.420444, -0.183876, -0.779867>,
      < 4.414017, -0.320845, -0.660217>
    }
    triangle {
      < 4.414017, -0.320845, -0.660217>,
      < 4.420444, -0.183876, -0.779867>,
      < 4.688785, -0.183034, -0.785918>
    }
    triangle {
      < 4.414017, -0.320845, -0.660217>,
      < 4.688785, -0.183034, -0.785918>,
      < 4.683333, -0.321791, -0.661002>
    }
    triangle {
      < 4.683333, -0.321791, -0.661002>,
      < 4.688785, -0.183034, -0.785918>,
      < 4.957372, -0.183929, -0.783906>
    }
    triangle {
      < 4.683333, -0.321791, -0.661002>,
      < 4.957372, -0.183929, -0.783906>,
      < 4.953588, -0.323307, -0.657740>
    }
    triangle {
      < 4.953588, -0.323307, -0.657740>,
      < 4.957372, -0.183929, -0.783906>,
      < 5.224400, -0.179499, -0.789460>
    }
    triangle {
      < 4.953588, -0.323307, -0.657740>,
      < 5.224400, -0.179499, -0.789460>,
      < 5.221888, -0.317787, -0.677364>
    }
    triangle {
      < 5.221888, -0.317787, -0.677364>,
      < 5.224400, -0.179499, -0.789460>,
      < 5.492985, -0.181083, -0.782820>
    }
    triangle {
      < 5.221888, -0.317787, -0.677364>,
      < 5.492985, -0.181083, -0.782820>,
      < 5.491400, -0.310134, -0.662024>
    }
    triangle {
      < 5.491400, -0.310134, -0.662024>,
      < 5.492985, -0.181083, -0.782820>,
      < 5.761082, -0.163100, -0.778668>
    }
    triangle {
      < 5.491400, -0.310134, -0.662024>,
      < 5.761082, -0.163100, -0.778668>,
      < 5.760984, -0.303635, -0.645907>
    }
    triangle {
      < 5.760984, -0.303635, -0.645907>,
      < 5.761082, -0.163100, -0.778668>,
      < 6.028917, -0.144855, -0.768297>
    }
    triangle {
      < 5.760984, -0.303635, -0.645907>,
      < 6.028917, -0.144855, -0.768297>,
      < 6.030069, -0.288218, -0.636348>
    }
    triangle {
      < 6.030069, -0.288218, -0.636348>,
      < 6.028917, -0.144855, -0.768297>,
      < 6.296319, -0.127766, -0.747544>
    }
    triangle {
      < 6.030069, -0.288218, -0.636348>,
      < 6.296319, -0.127766, -0.747544>,
      < 6.298154, -0.254899, -0.639813>
    }
    triangle {
      < 6.298154, -0.254899, -0.639813>,
      < 6.296319, -0.127766, -0.747544>,
      < 6.563720, -0.110680, -0.726765>
    }
    triangle {
      < 6.298154, -0.254899, -0.639813>,
      < 6.563720, -0.110680, -0.726765>,
      < 6.566236, -0.221522, -0.643319>
    }
    triangle {
      < 6.566236, -0.221522, -0.643319>,
      < 6.563720, -0.110680, -0.726765>,
      < 6.770652, -0.092532, -0.700907>
    }
    triangle {
      < 6.566236, -0.221522, -0.643319>,
      < 6.770652, -0.092532, -0.700907>,
      < 6.770705, -0.181192, -0.638644>
    }
    triangle {
      < 6.770705, -0.181192, -0.638644>,
      < 6.770652, -0.092532, -0.700907>,
      < 7.093737, -0.069277, -0.651804>
    }
    triangle {
      < 6.770705, -0.181192, -0.638644>,
      < 7.093737, -0.069277, -0.651804>,
      < 7.094618, -0.120784, -0.610557>
    }
    triangle {
      < 7.094618, -0.120784, -0.610557>,
      < 7.093737, -0.069277, -0.651804>,
      < 7.353257, -0.033195, -0.596095>
    }
    triangle {
      < 7.094618, -0.120784, -0.610557>,
      < 7.353257, -0.033195, -0.596095>,
      < 7.353975, -0.054448, -0.577400>
    }
    triangle {
      < 7.353975, -0.054448, -0.577400>,
      < 7.353257, -0.033195, -0.596095>,
      < 7.649260, 0.004225, -0.520518>
    }
    triangle {
      < 1.203154, -0.199258, -0.864802>,
      < 1.197575, 0.000430, -0.884557>,
      < 1.466908, 0.000589, -0.883941>
    }
    triangle {
      < 1.203154, -0.199258, -0.864802>,
      < 1.466908, 0.000589, -0.883941>,
      < 1.471553, -0.188225, -0.873121>
    }
    triangle {
      < 1.471553, -0.188225, -0.873121>,
      < 1.466908, 0.000589, -0.883941>,
      < 1.736248, 0.000747, -0.892464>
    }
    triangle {
      < 1.471553, -0.188225, -0.873121>,
      < 1.736248, 0.000747, -0.892464>,
      < 1.740140, -0.189025, -0.868676>
    }
    triangle {
      < 1.740140, -0.189025, -0.868676>,
      < 1.736248, 0.000747, -0.892464>,
      < 2.005570, 0.000906, -0.891493>
    }
    triangle {
      < 1.740140, -0.189025, -0.868676>,
      < 2.005570, 0.000906, -0.891493>,
      < 2.008407, -0.196480, -0.855290>
    }
    triangle {
      < 2.008407, -0.196480, -0.855290>,
      < 2.005570, 0.000906, -0.891493>,
      < 2.274188, 0.001064, -0.899767>
    }
    triangle {
      < 2.008407, -0.196480, -0.855290>,
      < 2.274188, 0.001064, -0.899767>,
      < 2.276556, -0.203281, -0.848834>
    }
    triangle {
      < 2.276556, -0.203281, -0.848834>,
      < 2.274188, 0.001064, -0.899767>,
      < 2.543702, 0.001223, -0.900228>
    }
    triangle {
      < 2.276556, -0.203281, -0.848834>,
      < 2.543702, 0.001223, -0.900228>,
      < 2.544137, -0.182812, -0.850535>
    }
    triangle {
      < 2.544137, -0.182812, -0.850535>,
      < 2.543702, 0.001223, -0.900228>,
      < 2.813175, 0.001384, -0.894266>
    }
    triangle {
      < 2.544137, -0.182812, -0.850535>,
      < 2.813175, 0.001384, -0.894266>,
      < 2.812185, -0.168577, -0.850121>
    }
    triangle {
      < 2.812185, -0.168577, -0.850121>,
      < 2.813175, 0.001384, -0.894266>,
      < 3.082712, 0.001548, -0.882400>
    }
    triangle {
      < 2.812185, -0.168577, -0.850121>,
      < 3.082712, 0.001548, -0.882400>,
      < 3.080822, -0.165214, -0.841164>
    }
    triangle {
      < 3.080822, -0.165214, -0.841164>,
      < 3.082712, 0.001548, -0.882400>,
      < 3.351521, 0.001710, -0.870261>
    }
    triangle {
      < 3.080822, -0.165214, -0.841164>,
      < 3.351521, 0.001710, -0.870261>,
      < 3.349254, -0.167562, -0.838178>
    }
    triangle {
      < 3.349254, -0.167562, -0.838178>,
      < 3.351521, 0.001710, -0.870261>,
      < 3.618671, 0.001873, -0.858496>
    }
    triangle {
      < 3.349254, -0.167562, -0.838178>,
      < 3.618671, 0.001873, -0.858496>,
      < 3.616391, -0.184671, -0.818974>
    }
    triangle {
      < 3.616391, -0.184671, -0.818974>,
      < 3.618671, 0.001873, -0.858496>,
      < 3.888164, 0.002036, -0.848197>
    }
    triangle {
      < 3.616391, -0.184671, -0.818974>,
      < 3.888164, 0.002036, -0.848197>,
      < 3.883481, -0.199292, -0.792515>
    }
    triangle {
      < 3.883481, -0.199292, -0.792515>,
      < 3.888164, 0.002036, -0.848197>,
      < 4.157630, 0.002197, -0.842092>
    }
    triangle {
      < 3.883481, -0.199292, -0.792515>,
      < 4.157630, 0.002197, -0.842092>,
      < 4.151982, -0.191174, -0.786185>
    }
    triangle {
      < 4.151982, -0.191174, -0.786185>,
      < 4.157630, 0.002197, -0.842092>,
      < 4.426398, 0.002358, -0.833463>
    }
    triangle {
      < 4.151982, -0.191174, -0.786185>,
      < 4.426398, 0.002358, -0.833463>,
      < 4.420444, -0.183876, -0.779867>
    }
    triangle {
      < 4.420444, -0.183876, -0.779867>,
      < 4.426398, 0.002358, -0.833463>,
      < 4.695592, 0.002517, -0.835783>
    }
    triangle {
      < 4.420444, -0.183876, -0.779867>,
      < 4.695592, 0.002517, -0.835783>,
      < 4.688785, -0.183034, -0.785918>
    }
    triangle {
      < 4.688785, -0.183034, -0.785918>,
      < 4.695592, 0.002517, -0.835783>,
      < 4.965064, 0.002679, -0.828554>
    }
    triangle {
      < 4.688785, -0.183034, -0.785918>,
      < 4.965064, 0.002679, -0.828554>,
      < 4.957372, -0.183929, -0.783906>
    }
    triangle {
      < 4.957372, -0.183929, -0.783906>,
      < 4.965064, 0.002679, -0.828554>,
      < 5.232914, 0.002838, -0.826482>
    }
    triangle {
      < 4.957372, -0.183929, -0.783906>,
      < 5.232914, 0.002838, -0.826482>,
      < 5.224400, -0.179499, -0.789460>
    }
    triangle {
      < 5.224400, -0.179499, -0.789460>,
      < 5.232914, 0.002838, -0.826482>,
      < 5.499146, 0.002995, -0.829901>
    }
    triangle {
      < 5.224400, -0.179499, -0.789460>,
      < 5.499146, 0.002995, -0.829901>,
      < 5.492985, -0.181083, -0.782820>
    }
    triangle {
      < 5.492985, -0.181083, -0.782820>,
      < 5.499146, 0.002995, -0.829901>,
      < 5.768410, 0.003158, -0.819773>
    }
    triangle {
      < 5.492985, -0.181083, -0.782820>,
      < 5.768410, 0.003158, -0.819773>,
      < 5.761082, -0.163100, -0.778668>
    }
    triangle {
      < 5.761082, -0.163100, -0.778668>,
      < 5.768410, 0.003158, -0.819773>,
      < 6.037335, 0.003322, -0.803745>
    }
    triangle {
      < 5.761082, -0.163100, -0.778668>,
      < 6.037335, 0.003322, -0.803745>,
      < 6.028917, -0.144855, -0.768297>
    }
    triangle {
      < 6.028917, -0.144855, -0.768297>,
      < 6.037335, 0.003322, -0.803745>,
      < 6.305811, 0.003488, -0.779611>
    }
    triangle {
      < 6.028917, -0.144855, -0.768297>,
      < 6.305811, 0.003488, -0.779611>,
      < 6.296319, -0.127766, -0.747544>
    }
    triangle {
      < 6.296319, -0.127766, -0.747544>,
      < 6.305811, 0.003488, -0.779611>,
      < 6.574285, 0.003654, -0.755462>
    }
    triangle {
      < 6.296319, -0.127766, -0.747544>,
      < 6.574285, 0.003654, -0.755462>,
      < 6.563720, -0.110680, -0.726765>
    }
    triangle {
      < 6.563720, -0.110680, -0.726765>,
      < 6.574285, 0.003654, -0.755462>,
      < 6.770596, 0.003780, -0.722986>
    }
    triangle {
      < 6.563720, -0.110680, -0.726765>,
      < 6.770596, 0.003780, -0.722986>,
      < 6.770652, -0.092532, -0.700907>
    }
    triangle {
      < 6.770652, -0.092532, -0.700907>,
      < 6.770596, 0.003780, -0.722986>,
      < 7.106607, 0.003995, -0.672710>
    }
    triangle {
      < 6.770652, -0.092532, -0.700907>,
      < 7.106607, 0.003995, -0.672710>,
      < 7.093737, -0.069277, -0.651804>
    }
    triangle {
      < 7.093737, -0.069277, -0.651804>,
      < 7.106607, 0.003995, -0.672710>,
      < 7.365457, 0.004168, -0.603782>
    }
    triangle {
      < 7.093737, -0.069277, -0.651804>,
      < 7.365457, 0.004168, -0.603782>,
      < 7.353257, -0.033195, -0.596095>
    }
    triangle {
      < 7.353257, -0.033195, -0.596095>,
      < 7.365457, 0.004168, -0.603782>,
      < 7.649260, 0.004225, -0.520518>
    }
    texture {fuselage}
  }
  // canopy
  union {
    triangle {
      < 2.134644, 0.001387, 0.470626>,
      < 2.138015, -0.174897, 0.462017>,
      < 2.353057, -0.190439, 0.537314>
    }
    triangle {
      < 2.134644, 0.001387, 0.470626>,
      < 2.353057, -0.190439, 0.537314>,
      < 2.349199, 0.001538, 0.552995>
    }
    triangle {
      < 2.349199, 0.001538, 0.552995>,
      < 2.353057, -0.190439, 0.537314>,
      < 2.577840, -0.192210, 0.577758>
    }
    triangle {
      < 2.349199, 0.001538, 0.552995>,
      < 2.577840, -0.192210, 0.577758>,
      < 2.575834, 0.001687, 0.599170>
    }
    triangle {
      < 2.575834, 0.001687, 0.599170>,
      < 2.577840, -0.192210, 0.577758>,
      < 2.802641, -0.189526, 0.617981>
    }
    triangle {
      < 2.575834, 0.001687, 0.599170>,
      < 2.802641, -0.189526, 0.617981>,
      < 2.802997, 0.001834, 0.642613>
    }
    triangle {
      < 2.802997, 0.001834, 0.642613>,
      < 2.802641, -0.189526, 0.617981>,
      < 3.026786, -0.176123, 0.659693>
    }
    triangle {
      < 2.802997, 0.001834, 0.642613>,
      < 3.026786, -0.176123, 0.659693>,
      < 3.031511, 0.001979, 0.678243>
    }
    triangle {
      < 3.031511, 0.001979, 0.678243>,
      < 3.026786, -0.176123, 0.659693>,
      < 3.250944, -0.162731, 0.701405>
    }
    triangle {
      < 3.031511, 0.001979, 0.678243>,
      < 3.250944, -0.162731, 0.701405>,
      < 3.260050, 0.002126, 0.713728>
    }
    triangle {
      < 3.260050, 0.002126, 0.713728>,
      < 3.250944, -0.162731, 0.701405>,
      < 3.477689, -0.182351, 0.720359>
    }
    triangle {
      < 3.260050, 0.002126, 0.713728>,
      < 3.477689, -0.182351, 0.720359>,
      < 3.490596, 0.002267, 0.732152>
    }
    triangle {
      < 3.490596, 0.002267, 0.732152>,
      < 3.477689, -0.182351, 0.720359>,
      < 3.705916, -0.187532, 0.727137>
    }
    triangle {
      < 3.490596, 0.002267, 0.732152>,
      < 3.705916, -0.187532, 0.727137>,
      < 3.720607, 0.002408, 0.746311>
    }
    triangle {
      < 3.720607, 0.002408, 0.746311>,
      < 3.705916, -0.187532, 0.727137>,
      < 3.934161, -0.192524, 0.733605>
    }
    triangle {
      < 3.720607, 0.002408, 0.746311>,
      < 3.934161, -0.192524, 0.733605>,
      < 3.950686, 0.002549, 0.760076>
    }
    triangle {
      < 3.950686, 0.002549, 0.760076>,
      < 3.934161, -0.192524, 0.733605>,
      < 4.161369, -0.190468, 0.710566>
    }
    triangle {
      < 3.950686, 0.002549, 0.760076>,
      < 4.161369, -0.190468, 0.710566>,
      < 4.180501, 0.002678, 0.738168>
    }
    triangle {
      < 4.180501, 0.002678, 0.738168>,
      < 4.161369, -0.190468, 0.710566>,
      < 4.383440, -0.172344, 0.660370>
    }
    triangle {
      < 4.180501, 0.002678, 0.738168>,
      < 4.383440, -0.172344, 0.660370>,
      < 4.404828, 0.002795, 0.681923>
    }
    triangle {
      < 4.404828, 0.002795, 0.681923>,
      < 4.383440, -0.172344, 0.660370>,
      < 4.593790, -0.153940, 0.573342>
    }
    triangle {
      < 4.404828, 0.002795, 0.681923>,
      < 4.593790, -0.153940, 0.573342>,
      < 4.616331, 0.002893, 0.588851>
    }
    triangle {
      < 4.616331, 0.002893, 0.588851>,
      < 4.593790, -0.153940, 0.573342>,
      < 4.795850, -0.151299, 0.466920>
    }
    triangle {
      < 4.616331, 0.002893, 0.588851>,
      < 4.795850, -0.151299, 0.466920>,
      < 4.819567, 0.002980, 0.478603>
    }
    triangle {
      < 4.819567, 0.002980, 0.478603>,
      < 4.795850, -0.151299, 0.466920>,
      < 4.996166, -0.158331, 0.357412>
    }
    triangle {
      < 4.819567, 0.002980, 0.478603>,
      < 4.996166, -0.158331, 0.357412>,
      < 5.024826, 0.003071, 0.372908>
    }
    triangle {
      < 5.024826, 0.003071, 0.372908>,
      < 4.996166, -0.158331, 0.357412>,
      < 5.202472, -0.130760, 0.263446>
    }
    triangle {
      < 5.024826, 0.003071, 0.372908>,
      < 5.202472, -0.130760, 0.263446>,
      < 5.228969, 0.003159, 0.264257>
    }
    triangle {
      < 2.138015, -0.174897, 0.462017>,
      < 2.115835, -0.246578, 0.433802>,
      < 2.334702, -0.244391, 0.501720>
    }
    triangle {
      < 2.138015, -0.174897, 0.462017>,
      < 2.334702, -0.244391, 0.501720>,
      < 2.353057, -0.190439, 0.537314>
    }
    triangle {
      < 2.353057, -0.190439, 0.537314>,
      < 2.334702, -0.244391, 0.501720>,
      < 2.558879, -0.250363, 0.548972>
    }
    triangle {
      < 2.353057, -0.190439, 0.537314>,
      < 2.558879, -0.250363, 0.548972>,
      < 2.577840, -0.192210, 0.577758>
    }
    triangle {
      < 2.577840, -0.192210, 0.577758>,
      < 2.558879, -0.250363, 0.548972>,
      < 2.784615, -0.258543, 0.587682>
    }
    triangle {
      < 2.577840, -0.192210, 0.577758>,
      < 2.784615, -0.258543, 0.587682>,
      < 2.802641, -0.189526, 0.617981>
    }
    triangle {
      < 2.802641, -0.189526, 0.617981>,
      < 2.784615, -0.258543, 0.587682>,
      < 3.011736, -0.273382, 0.614474>
    }
    triangle {
      < 2.802641, -0.189526, 0.617981>,
      < 3.011736, -0.273382, 0.614474>,
      < 3.026786, -0.176123, 0.659693>
    }
    triangle {
      < 3.026786, -0.176123, 0.659693>,
      < 3.011736, -0.273382, 0.614474>,
      < 3.238872, -0.287995, 0.641302>
    }
    triangle {
      < 3.026786, -0.176123, 0.659693>,
      < 3.238872, -0.287995, 0.641302>,
      < 3.250944, -0.162731, 0.701405>
    }
    triangle {
      < 3.250944, -0.162731, 0.701405>,
      < 3.238872, -0.287995, 0.641302>,
      < 3.466483, -0.277703, 0.665973>
    }
    triangle {
      < 3.250944, -0.162731, 0.701405>,
      < 3.466483, -0.277703, 0.665973>,
      < 3.477689, -0.182351, 0.720359>
    }
    triangle {
      < 3.477689, -0.182351, 0.720359>,
      < 3.466483, -0.277703, 0.665973>,
      < 3.695509, -0.285742, 0.667930>
    }
    triangle {
      < 3.477689, -0.182351, 0.720359>,
      < 3.695509, -0.285742, 0.667930>,
      < 3.705916, -0.187532, 0.727137>
    }
    triangle {
      < 3.705916, -0.187532, 0.727137>,
      < 3.695509, -0.285742, 0.667930>,
      < 3.924550, -0.293616, 0.669594>
    }
    triangle {
      < 3.705916, -0.187532, 0.727137>,
      < 3.924550, -0.293616, 0.669594>,
      < 3.934161, -0.192524, 0.733605>
    }
    triangle {
      < 3.934161, -0.192524, 0.733605>,
      < 3.924550, -0.293616, 0.669594>,
      < 4.152418, -0.271328, 0.659206>
    }
    triangle {
      < 3.934161, -0.192524, 0.733605>,
      < 4.152418, -0.271328, 0.659206>,
      < 4.161369, -0.190468, 0.710566>
    }
    triangle {
      < 4.161369, -0.190468, 0.710566>,
      < 4.152418, -0.271328, 0.659206>,
      < 4.373196, -0.254857, 0.600048>
    }
    triangle {
      < 4.161369, -0.190468, 0.710566>,
      < 4.373196, -0.254857, 0.600048>,
      < 4.383440, -0.172344, 0.660370>
    }
    triangle {
      < 4.383440, -0.172344, 0.660370>,
      < 4.373196, -0.254857, 0.600048>,
      < 4.587410, -0.243397, 0.519410>
    }
    triangle {
      < 4.383440, -0.172344, 0.660370>,
      < 4.587410, -0.243397, 0.519410>,
      < 4.593790, -0.153940, 0.573342>
    }
    triangle {
      < 4.593790, -0.153940, 0.573342>,
      < 4.587410, -0.243397, 0.519410>,
      < 4.793787, -0.236431, 0.419995>
    }
    triangle {
      < 4.593790, -0.153940, 0.573342>,
      < 4.793787, -0.236431, 0.419995>,
      < 4.795850, -0.151299, 0.466920>
    }
    triangle {
      < 4.795850, -0.151299, 0.466920>,
      < 4.793787, -0.236431, 0.419995>,
      < 5.003823, -0.206409, 0.333367>
    }
    triangle {
      < 4.795850, -0.151299, 0.466920>,
      < 5.003823, -0.206409, 0.333367>,
      < 4.996166, -0.158331, 0.357412>
    }
    triangle {
      < 4.996166, -0.158331, 0.357412>,
      < 5.003823, -0.206409, 0.333367>,
      < 5.209579, -0.177204, 0.236757>
    }
    triangle {
      < 4.996166, -0.158331, 0.357412>,
      < 5.209579, -0.177204, 0.236757>,
      < 5.202472, -0.130760, 0.263446>
    }
    triangle {
      < 2.115835, -0.246578, 0.433802>,
      < 2.124544, -0.283777, 0.397769>,
      < 2.343966, -0.281223, 0.459142>
    }
    triangle {
      < 2.115835, -0.246578, 0.433802>,
      < 2.343966, -0.281223, 0.459142>,
      < 2.334702, -0.244391, 0.501720>
    }
    triangle {
      < 2.334702, -0.244391, 0.501720>,
      < 2.343966, -0.281223, 0.459142>,
      < 2.568462, -0.298257, 0.494186>
    }
    triangle {
      < 2.334702, -0.244391, 0.501720>,
      < 2.568462, -0.298257, 0.494186>,
      < 2.558879, -0.250363, 0.548972>
    }
    triangle {
      < 2.558879, -0.250363, 0.548972>,
      < 2.568462, -0.298257, 0.494186>,
      < 2.794418, -0.316285, 0.517417>
    }
    triangle {
      < 2.558879, -0.250363, 0.548972>,
      < 2.794418, -0.316285, 0.517417>,
      < 2.784615, -0.258543, 0.587682>
    }
    triangle {
      < 2.784615, -0.258543, 0.587682>,
      < 2.794418, -0.316285, 0.517417>,
      < 3.021495, -0.334524, 0.521479>
    }
    triangle {
      < 2.784615, -0.258543, 0.587682>,
      < 3.021495, -0.334524, 0.521479>,
      < 3.011736, -0.273382, 0.614474>
    }
    triangle {
      < 3.011736, -0.273382, 0.614474>,
      < 3.021495, -0.334524, 0.521479>,
      < 3.248651, -0.352419, 0.525821>
    }
    triangle {
      < 3.011736, -0.273382, 0.614474>,
      < 3.248651, -0.352419, 0.525821>,
      < 3.238872, -0.287995, 0.641302>
    }
    triangle {
      < 3.238872, -0.287995, 0.641302>,
      < 3.248651, -0.352419, 0.525821>,
      < 3.473574, -0.340490, 0.560107>
    }
    triangle {
      < 3.238872, -0.287995, 0.641302>,
      < 3.473574, -0.340490, 0.560107>,
      < 3.466483, -0.277703, 0.665973>
    }
    triangle {
      < 3.466483, -0.277703, 0.665973>,
      < 3.473574, -0.340490, 0.560107>,
      < 3.701209, -0.343403, 0.569254>
    }
    triangle {
      < 3.466483, -0.277703, 0.665973>,
      < 3.701209, -0.343403, 0.569254>,
      < 3.695509, -0.285742, 0.667930>
    }
    triangle {
      < 3.695509, -0.285742, 0.667930>,
      < 3.701209, -0.343403, 0.569254>,
      < 3.928973, -0.345790, 0.575788>
    }
    triangle {
      < 3.695509, -0.285742, 0.667930>,
      < 3.928973, -0.345790, 0.575788>,
      < 3.924550, -0.293616, 0.669594>
    }
    triangle {
      < 3.924550, -0.293616, 0.669594>,
      < 3.928973, -0.345790, 0.575788>,
      < 4.154881, -0.333403, 0.548635>
    }
    triangle {
      < 3.924550, -0.293616, 0.669594>,
      < 4.154881, -0.333403, 0.548635>,
      < 4.152418, -0.271328, 0.659206>
    }
    triangle {
      < 4.152418, -0.271328, 0.659206>,
      < 4.154881, -0.333403, 0.548635>,
      < 4.371889, -0.335102, 0.479092>
    }
    triangle {
      < 4.152418, -0.271328, 0.659206>,
      < 4.371889, -0.335102, 0.479092>,
      < 4.373196, -0.254857, 0.600048>
    }
    triangle {
      < 4.373196, -0.254857, 0.600048>,
      < 4.371889, -0.335102, 0.479092>,
      < 4.585433, -0.298411, 0.408687>
    }
    triangle {
      < 4.373196, -0.254857, 0.600048>,
      < 4.585433, -0.298411, 0.408687>,
      < 4.587410, -0.243397, 0.519410>
    }
    triangle {
      < 4.587410, -0.243397, 0.519410>,
      < 4.585433, -0.298411, 0.408687>,
      < 4.799368, -0.287094, 0.331067>
    }
    triangle {
      < 4.587410, -0.243397, 0.519410>,
      < 4.799368, -0.287094, 0.331067>,
      < 4.793787, -0.236431, 0.419995>
    }
    triangle {
      < 4.793787, -0.236431, 0.419995>,
      < 4.799368, -0.287094, 0.331067>,
      < 5.017844, -0.253302, 0.276044>
    }
    triangle {
      < 4.793787, -0.236431, 0.419995>,
      < 5.017844, -0.253302, 0.276044>,
      < 5.003823, -0.206409, 0.333367>
    }
    triangle {
      < 5.003823, -0.206409, 0.333367>,
      < 5.017844, -0.253302, 0.276044>,
      < 5.235507, -0.215655, 0.220117>
    }
    triangle {
      < 5.003823, -0.206409, 0.333367>,
      < 5.235507, -0.215655, 0.220117>,
      < 5.209579, -0.177204, 0.236757>
    }
    triangle {
      < 2.124544, -0.283777, 0.397769>,
      < 2.115043, -0.292471, 0.388261>,
      < 2.333712, -0.299592, 0.437591>
    }
    triangle {
      < 2.124544, -0.283777, 0.397769>,
      < 2.333712, -0.299592, 0.437591>,
      < 2.343966, -0.281223, 0.459142>
    }
    triangle {
      < 2.343966, -0.281223, 0.459142>,
      < 2.333712, -0.299592, 0.437591>,
      < 2.554310, -0.332505, 0.412577>
    }
    triangle {
      < 2.343966, -0.281223, 0.459142>,
      < 2.554310, -0.332505, 0.412577>,
      < 2.568462, -0.298257, 0.494186>
    }
    triangle {
      < 2.568462, -0.298257, 0.494186>,
      < 2.554310, -0.332505, 0.412577>,
      < 2.775925, -0.356905, 0.387737>
    }
    triangle {
      < 2.568462, -0.298257, 0.494186>,
      < 2.775925, -0.356905, 0.387737>,
      < 2.794418, -0.316285, 0.517417>
    }
    triangle {
      < 2.794418, -0.316285, 0.517417>,
      < 2.775925, -0.356905, 0.387737>,
      < 2.999787, -0.359126, 0.372801>
    }
    triangle {
      < 2.794418, -0.316285, 0.517417>,
      < 2.999787, -0.359126, 0.372801>,
      < 3.021495, -0.334524, 0.521479>
    }
    triangle {
      < 3.021495, -0.334524, 0.521479>,
      < 2.999787, -0.359126, 0.372801>,
      < 3.223635, -0.361250, 0.357839>
    }
    triangle {
      < 3.021495, -0.334524, 0.521479>,
      < 3.223635, -0.361250, 0.357839>,
      < 3.248651, -0.352419, 0.525821>
    }
    triangle {
      < 3.248651, -0.352419, 0.525821>,
      < 3.223635, -0.361250, 0.357839>,
      < 3.447165, -0.355461, 0.339429>
    }
    triangle {
      < 3.248651, -0.352419, 0.525821>,
      < 3.447165, -0.355461, 0.339429>,
      < 3.473574, -0.340490, 0.560107>
    }
    triangle {
      < 3.473574, -0.340490, 0.560107>,
      < 3.447165, -0.355461, 0.339429>,
      < 3.670305, -0.352332, 0.316263>
    }
    triangle {
      < 3.473574, -0.340490, 0.560107>,
      < 3.670305, -0.352332, 0.316263>,
      < 3.701209, -0.343403, 0.569254>
    }
    triangle {
      < 3.701209, -0.343403, 0.569254>,
      < 3.670305, -0.352332, 0.316263>,
      < 3.893246, -0.350226, 0.291154>
    }
    triangle {
      < 3.701209, -0.343403, 0.569254>,
      < 3.893246, -0.350226, 0.291154>,
      < 3.928973, -0.345790, 0.575788>
    }
    triangle {
      < 3.928973, -0.345790, 0.575788>,
      < 3.893246, -0.350226, 0.291154>,
      < 4.115144, -0.351989, 0.258049>
    }
    triangle {
      < 3.928973, -0.345790, 0.575788>,
      < 4.115144, -0.351989, 0.258049>,
      < 4.154881, -0.333403, 0.548635>
    }
    triangle {
      < 4.154881, -0.333403, 0.548635>,
      < 4.115144, -0.351989, 0.258049>,
      < 4.337127, -0.346322, 0.225951>
    }
    triangle {
      < 4.154881, -0.333403, 0.548635>,
      < 4.337127, -0.346322, 0.225951>,
      < 4.371889, -0.335102, 0.479092>
    }
    triangle {
      < 4.371889, -0.335102, 0.479092>,
      < 4.337127, -0.346322, 0.225951>,
      < 4.561316, -0.343341, 0.217731>
    }
    triangle {
      < 4.371889, -0.335102, 0.479092>,
      < 4.561316, -0.343341, 0.217731>,
      < 4.585433, -0.298411, 0.408687>
    }
    triangle {
      < 4.585433, -0.298411, 0.408687>,
      < 4.561316, -0.343341, 0.217731>,
      < 4.784037, -0.320038, 0.203920>
    }
    triangle {
      < 4.585433, -0.298411, 0.408687>,
      < 4.784037, -0.320038, 0.203920>,
      < 4.799368, -0.287094, 0.331067>
    }
    triangle {
      < 4.799368, -0.287094, 0.331067>,
      < 4.784037, -0.320038, 0.203920>,
      < 5.004086, -0.278701, 0.218498>
    }
    triangle {
      < 4.799368, -0.287094, 0.331067>,
      < 5.004086, -0.278701, 0.218498>,
      < 5.017844, -0.253302, 0.276044>
    }
    triangle {
      < 5.017844, -0.253302, 0.276044>,
      < 5.004086, -0.278701, 0.218498>,
      < 5.224877, -0.260788, 0.183019>
    }
    triangle {
      < 5.017844, -0.253302, 0.276044>,
      < 5.224877, -0.260788, 0.183019>,
      < 5.235507, -0.215655, 0.220117>
    }
    triangle {
      < 2.333712, -0.299592, 0.437591>,
      < 2.337595, -0.356044, 0.354418>,
      < 2.559641, -0.379189, 0.330006>
    }
    triangle {
      < 2.333712, -0.299592, 0.437591>,
      < 2.559641, -0.379189, 0.330006>,
      < 2.554310, -0.332505, 0.412577>
    }
    triangle {
      < 2.554310, -0.332505, 0.412577>,
      < 2.559641, -0.379189, 0.330006>,
      < 2.782650, -0.394361, 0.308245>
    }
    triangle {
      < 2.554310, -0.332505, 0.412577>,
      < 2.782650, -0.394361, 0.308245>,
      < 2.775925, -0.356905, 0.387737>
    }
    triangle {
      < 2.775925, -0.356905, 0.387737>,
      < 2.782650, -0.394361, 0.308245>,
      < 3.006229, -0.404184, 0.289466>
    }
    triangle {
      < 2.775925, -0.356905, 0.387737>,
      < 3.006229, -0.404184, 0.289466>,
      < 2.999787, -0.359126, 0.372801>
    }
    triangle {
      < 2.999787, -0.359126, 0.372801>,
      < 3.006229, -0.404184, 0.289466>,
      < 3.229786, -0.414073, 0.270456>
    }
    triangle {
      < 2.999787, -0.359126, 0.372801>,
      < 3.229786, -0.414073, 0.270456>,
      < 3.223635, -0.361250, 0.357839>
    }
    triangle {
      < 3.223635, -0.361250, 0.357839>,
      < 3.229786, -0.414073, 0.270456>,
      < 3.451835, -0.422678, 0.237952>
    }
    triangle {
      < 3.223635, -0.361250, 0.357839>,
      < 3.451835, -0.422678, 0.237952>,
      < 3.447165, -0.355461, 0.339429>
    }
    triangle {
      < 3.447165, -0.355461, 0.339429>,
      < 3.451835, -0.422678, 0.237952>,
      < 3.675555, -0.422307, 0.218342>
    }
    triangle {
      < 3.447165, -0.355461, 0.339429>,
      < 3.675555, -0.422307, 0.218342>,
      < 3.670305, -0.352332, 0.316263>
    }
    triangle {
      < 3.670305, -0.352332, 0.316263>,
      < 3.675555, -0.422307, 0.218342>,
      < 3.899330, -0.422764, 0.199345>
    }
    triangle {
      < 3.670305, -0.352332, 0.316263>,
      < 3.899330, -0.422764, 0.199345>,
      < 3.893246, -0.350226, 0.291154>
    }
    triangle {
      < 3.893246, -0.350226, 0.291154>,
      < 3.899330, -0.422764, 0.199345>,
      < 4.123226, -0.422727, 0.181758>
    }
    triangle {
      < 3.893246, -0.350226, 0.291154>,
      < 4.123226, -0.422727, 0.181758>,
      < 4.115144, -0.351989, 0.258049>
    }
    triangle {
      < 4.115144, -0.351989, 0.258049>,
      < 4.123226, -0.422727, 0.181758>,
      < 4.346588, -0.406207, 0.165205>
    }
    triangle {
      < 4.115144, -0.351989, 0.258049>,
      < 4.346588, -0.406207, 0.165205>,
      < 4.337127, -0.346322, 0.225951>
    }
    triangle {
      < 4.337127, -0.346322, 0.225951>,
      < 4.346588, -0.406207, 0.165205>,
      < 4.570327, -0.407569, 0.145888>
    }
    triangle {
      < 4.337127, -0.346322, 0.225951>,
      < 4.570327, -0.407569, 0.145888>,
      < 4.561316, -0.343341, 0.217731>
    }
    triangle {
      < 4.561316, -0.343341, 0.217731>,
      < 4.570327, -0.407569, 0.145888>,
      < 4.792315, -0.373717, 0.149643>
    }
    triangle {
      < 4.561316, -0.343341, 0.217731>,
      < 4.792315, -0.373717, 0.149643>,
      < 4.784037, -0.320038, 0.203920>
    }
    triangle {
      < 4.784037, -0.320038, 0.203920>,
      < 4.792315, -0.373717, 0.149643>,
      < 5.011028, -0.324420, 0.162870>
    }
    triangle {
      < 4.784037, -0.320038, 0.203920>,
      < 5.011028, -0.324420, 0.162870>,
      < 5.004086, -0.278701, 0.218498>
    }
    triangle {
      < 5.004086, -0.278701, 0.218498>,
      < 5.011028, -0.324420, 0.162870>,
      < 5.261947, -0.304618, 0.126617>
    }
    triangle {
      < 5.004086, -0.278701, 0.218498>,
      < 5.261947, -0.304618, 0.126617>,
      < 5.224877, -0.260788, 0.183019>
    }
    triangle {
      < 5.202472, -0.130760, 0.263446>,
      < 5.339709, 0.003216, 0.233985>,
      < 5.228969, 0.003159, 0.264257>
    }
    triangle {
      < 5.209579, -0.177204, 0.236757>,
      < 5.339709, 0.003216, 0.233985>,
      < 5.202472, -0.130760, 0.263446>
    }
    triangle {
      < 5.209579, -0.177204, 0.236757>,
      < 5.235507, -0.215655, 0.220117>,
      < 5.328337, -0.241160, 0.170478>
    }
    triangle {
      < 5.209579, -0.177204, 0.236757>,
      < 5.328337, -0.241160, 0.170478>,
      < 5.339709, 0.003216, 0.233985>
    }
    triangle {
      < 5.224877, -0.260788, 0.183019>,
      < 5.235507, -0.215655, 0.220117>,
      < 5.328337, -0.241160, 0.170478>
    }
    texture {canopy}
  }
  // fuselage
  union {
    triangle {
      < 5.328337, -0.241160, 0.170478>,
      < 5.261947, -0.304618, 0.126617>,
      < 5.479524, -0.197702, 0.151523>
    }
    texture {fuselage}
  }
  // canopy
  union {
    triangle {
      < 5.261947, -0.304618, 0.126617>,
      < 5.328337, -0.241160, 0.170478>,
      < 5.224877, -0.260788, 0.183019>
    }
    triangle {
      < 5.011028, -0.324420, 0.162870>,
      < 5.037536, -0.416138, 0.027177>,
      < 5.261947, -0.304618, 0.126617>
    }
    triangle {
      < 4.792315, -0.373717, 0.149643>,
      < 4.758691, -0.439902, 0.040431>,
      < 5.037536, -0.416138, 0.027177>
    }
    triangle {
      < 4.792315, -0.373717, 0.149643>,
      < 5.037536, -0.416138, 0.027177>,
      < 5.011028, -0.324420, 0.162870>
    }
    triangle {
      < 4.570327, -0.407569, 0.145888>,
      < 4.479346, -0.458083, 0.053634>,
      < 4.758691, -0.439902, 0.040431>
    }
    triangle {
      < 4.570327, -0.407569, 0.145888>,
      < 4.758691, -0.439902, 0.040431>,
      < 4.792315, -0.373717, 0.149643>
    }
    triangle {
      < 4.346588, -0.406207, 0.165205>,
      < 4.479346, -0.458083, 0.053634>,
      < 4.570327, -0.407569, 0.145888>
    }
    triangle {
      < 4.123226, -0.422727, 0.181758>,
      < 4.200969, -0.466132, 0.077477>,
      < 4.479346, -0.458083, 0.053634>
    }
    triangle {
      < 4.123226, -0.422727, 0.181758>,
      < 4.479346, -0.458083, 0.053634>,
      < 4.346588, -0.406207, 0.165205>
    }
    triangle {
      < 3.899330, -0.422764, 0.199345>,
      < 3.922574, -0.470619, 0.106507>,
      < 4.200969, -0.466132, 0.077477>
    }
    triangle {
      < 3.899330, -0.422764, 0.199345>,
      < 4.200969, -0.466132, 0.077477>,
      < 4.123226, -0.422727, 0.181758>
    }
    triangle {
      < 3.675555, -0.422307, 0.218342>,
      < 3.644504, -0.466020, 0.141186>,
      < 3.922574, -0.470619, 0.106507>
    }
    triangle {
      < 3.675555, -0.422307, 0.218342>,
      < 3.922574, -0.470619, 0.106507>,
      < 3.899330, -0.422764, 0.199345>
    }
    triangle {
      < 3.451835, -0.422678, 0.237952>,
      < 3.366296, -0.462836, 0.169101>,
      < 3.644504, -0.466020, 0.141186>
    }
    triangle {
      < 3.451835, -0.422678, 0.237952>,
      < 3.644504, -0.466020, 0.141186>,
      < 3.675555, -0.422307, 0.218342>
    }
    triangle {
      < 3.229786, -0.414073, 0.270456>,
      < 3.366296, -0.462836, 0.169101>,
      < 3.451835, -0.422678, 0.237952>
    }
    triangle {
      < 3.086869, -0.458604, 0.177534>,
      < 3.366296, -0.462836, 0.169101>,
      < 3.229786, -0.414073, 0.270456>
    }
    triangle {
      < 3.086869, -0.458604, 0.177534>,
      < 3.229786, -0.414073, 0.270456>,
      < 3.006229, -0.404184, 0.289466>
    }
    triangle {
      < 2.782650, -0.394361, 0.308245>,
      < 2.807554, -0.449546, 0.197919>,
      < 3.086869, -0.458604, 0.177534>
    }
    triangle {
      < 2.782650, -0.394361, 0.308245>,
      < 3.086869, -0.458604, 0.177534>,
      < 3.006229, -0.404184, 0.289466>
    }
    triangle {
      < 2.559641, -0.379189, 0.330006>,
      < 2.529630, -0.432116, 0.226759>,
      < 2.807554, -0.449546, 0.197919>
    }
    triangle {
      < 2.559641, -0.379189, 0.330006>,
      < 2.807554, -0.449546, 0.197919>,
      < 2.782650, -0.394361, 0.308245>
    }
    triangle {
      < 2.337595, -0.356044, 0.354418>,
      < 2.257465, -0.389139, 0.272802>,
      < 2.529630, -0.432116, 0.226759>
    }
    triangle {
      < 2.337595, -0.356044, 0.354418>,
      < 2.529630, -0.432116, 0.226759>,
      < 2.559641, -0.379189, 0.330006>
    }
    triangle {
      < 2.115043, -0.292471, 0.388261>,
      < 2.024715, -0.276301, 0.382935>,
      < 2.257465, -0.389139, 0.272802>
    }
    triangle {
      < 2.115043, -0.292471, 0.388261>,
      < 2.257465, -0.389139, 0.272802>,
      < 2.337595, -0.356044, 0.354418>
    }
    triangle {
      < 2.337595, -0.356044, 0.354418>,
      < 2.333712, -0.299592, 0.437591>,
      < 2.115043, -0.292471, 0.388261>
    }
    triangle {
      < 2.138015, -0.174897, 0.462017>,
      < 2.134644, 0.001387, 0.470626>,
      < 2.016242, 0.001312, 0.454408>
    }
    triangle {
      < 2.024715, -0.276301, 0.382935>,
      < 2.115835, -0.246578, 0.433802>,
      < 2.138015, -0.174897, 0.462017>
    }
    triangle {
      < 2.024715, -0.276301, 0.382935>,
      < 2.138015, -0.174897, 0.462017>,
      < 2.016242, 0.001312, 0.454408>
    }
    triangle {
      < 2.124544, -0.283777, 0.397769>,
      < 2.115835, -0.246578, 0.433802>,
      < 2.024715, -0.276301, 0.382935>
    }
    texture {canopy}
  }
  // fuselage
  union {
    triangle {
      < 2.115043, -0.292471, 0.388261>,
      < 2.124544, -0.283777, 0.397769>,
      < 2.024715, -0.276301, 0.382935>
    }
    triangle {
      < 5.479524, -0.197702, 0.151523>,
      < 5.771304, -0.164231, 0.095774>,
      < 5.929174, 0.003521, 0.084684>
    }
    triangle {
      < 5.479524, -0.197702, 0.151523>,
      < 5.929174, 0.003521, 0.084684>,
      < 5.471096, 0.003285, 0.205047>
    }
    triangle {
      < 5.771304, -0.164231, 0.095774>,
      < 6.043690, -0.135854, 0.037952>,
      < 5.929174, 0.003521, 0.084684>
    }
    triangle {
      < 6.043690, -0.135854, 0.037952>,
      < 6.314974, -0.108685, -0.026410>,
      < 6.586254, -0.081520, -0.090784>
    }
    triangle {
      < 6.043690, -0.135854, 0.037952>,
      < 6.586254, -0.081520, -0.090784>,
      < 6.770596, 0.003958, -0.124314>
    }
    triangle {
      < 6.043690, -0.135854, 0.037952>,
      < 6.770596, 0.003958, -0.124314>,
      < 5.929174, 0.003521, 0.084684>
    }
    triangle {
      < 6.586254, -0.081520, -0.090784>,
      < 6.770632, -0.057870, -0.167312>,
      < 6.770596, 0.003958, -0.124314>
    }
    triangle {
      < 6.770632, -0.057870, -0.167312>,
      < 7.116828, -0.039832, -0.263869>,
      < 7.371706, -0.014030, -0.373760>
    }
    triangle {
      < 6.770632, -0.057870, -0.167312>,
      < 7.371706, -0.014030, -0.373760>,
      < 7.295649, 0.004211, -0.321876>
    }
    triangle {
      < 6.770632, -0.057870, -0.167312>,
      < 7.295649, 0.004211, -0.321876>,
      < 6.770596, 0.003958, -0.124314>
    }
    triangle {
      < 7.371706, -0.014030, -0.373760>,
      < 7.649260, 0.004225, -0.520518>,
      < 7.295649, 0.004211, -0.321876>
    }
    triangle {
      < 5.328337, -0.241160, 0.170478>,
      < 5.479524, -0.197702, 0.151523>,
      < 5.471096, 0.003285, 0.205047>
    }
    triangle {
      < 5.328337, -0.241160, 0.170478>,
      < 5.471096, 0.003285, 0.205047>,
      < 5.339709, 0.003216, 0.233985>
    }
    triangle {
      < 2.679646, -0.492349, -0.255732>,
      < 2.816199, -0.500256, -0.258430>,
      < 2.545799, -0.498535, -0.222632>
    }
    triangle {
      < 2.499334, -0.449230, -0.497274>,
      < 2.772962, -0.442585, -0.518228>,
      < 2.816199, -0.500256, -0.258430>
    }
    triangle {
      < 2.499334, -0.449230, -0.497274>,
      < 2.816199, -0.500256, -0.258430>,
      < 2.679646, -0.492349, -0.255732>
    }
    triangle {
      < 2.332401, -0.466583, -0.413365>,
      < 2.226068, -0.444765, -0.488082>,
      < 2.499334, -0.449230, -0.497274>
    }
    triangle {
      < 2.332401, -0.466583, -0.413365>,
      < 2.499334, -0.449230, -0.497274>,
      < 2.679646, -0.492349, -0.255732>
    }
    triangle {
      < 2.233450, -0.459193, -0.437162>,
      < 2.226068, -0.444765, -0.488082>,
      < 2.332401, -0.466583, -0.413365>
    }
    triangle {
      < 1.964407, -0.424410, -0.538963>,
      < 2.226068, -0.444765, -0.488082>,
      < 2.233450, -0.459193, -0.437162>
    }
    triangle {
      < 1.207760, -0.417442, 0.034458>,
      < 1.207905, -0.662706, 0.034531>,
      < 1.476328, -0.662560, -0.011571>
    }
    triangle {
      < 1.207760, -0.417442, 0.034458>,
      < 1.476328, -0.662560, -0.011571>,
      < 1.476195, -0.437738, -0.011638>
    }
    triangle {
      < 1.476195, -0.437738, -0.011638>,
      < 1.476328, -0.662560, -0.011571>,
      < 1.744609, -0.662415, -0.058492>
    }
    triangle {
      < 1.476195, -0.437738, -0.011638>,
      < 1.744609, -0.662415, -0.058492>,
      < 1.744488, -0.458031, -0.058554>
    }
    triangle {
      < 1.744488, -0.458031, -0.058554>,
      < 1.744609, -0.662415, -0.058492>,
      < 2.011778, -0.662273, -0.111397>
    }
    triangle {
      < 1.744488, -0.458031, -0.058554>,
      < 2.011778, -0.662273, -0.111397>,
      < 2.011669, -0.478248, -0.111452>
    }
    triangle {
      < 2.011669, -0.478248, -0.111452>,
      < 2.011778, -0.662273, -0.111397>,
      < 2.278181, -0.662132, -0.169320>
    }
    triangle {
      < 2.011669, -0.478248, -0.111452>,
      < 2.278181, -0.662132, -0.169320>,
      < 2.278078, -0.489267, -0.169370>
    }
    triangle {
      < 2.278078, -0.489267, -0.169370>,
      < 2.278181, -0.662132, -0.169320>,
      < 2.545896, -0.661989, -0.222583>
    }
    triangle {
      < 2.278078, -0.489267, -0.169370>,
      < 2.545896, -0.661989, -0.222583>,
      < 2.545799, -0.498535, -0.222632>
    }
    triangle {
      < 2.545799, -0.498535, -0.222632>,
      < 2.545896, -0.661989, -0.222583>,
      < 2.679747, -0.661920, -0.255682>
    }
    triangle {
      < 2.545799, -0.498535, -0.222632>,
      < 2.679747, -0.661920, -0.255682>,
      < 2.679646, -0.492349, -0.255732>
    }
    triangle {
      < 2.679646, -0.492349, -0.255732>,
      < 2.679747, -0.661920, -0.255682>,
      < 2.332517, -0.662172, -0.413306>
    }
    triangle {
      < 2.679646, -0.492349, -0.255732>,
      < 2.332517, -0.662172, -0.413306>,
      < 2.332401, -0.466583, -0.413365>
    }
    triangle {
      < 2.332401, -0.466583, -0.413365>,
      < 2.332517, -0.662172, -0.413306>,
      < 2.233571, -0.662238, -0.437102>
    }
    triangle {
      < 2.332401, -0.466583, -0.413365>,
      < 2.233571, -0.662238, -0.437102>,
      < 2.233450, -0.459193, -0.437162>
    }
    triangle {
      < 2.233450, -0.459193, -0.437162>,
      < 2.233571, -0.662238, -0.437102>,
      < 1.964548, -0.662427, -0.538891>
    }
    triangle {
      < 2.233450, -0.459193, -0.437162>,
      < 1.964548, -0.662427, -0.538891>,
      < 1.964407, -0.424410, -0.538963>
    }
    triangle {
      < 1.964407, -0.424410, -0.538963>,
      < 1.964548, -0.662427, -0.538891>,
      < 1.711206, -0.662606, -0.636656>
    }
    triangle {
      < 1.964407, -0.424410, -0.538963>,
      < 1.711206, -0.662606, -0.636656>,
      < 1.711043, -0.387297, -0.636739>
    }
    triangle {
      < 1.711043, -0.387297, -0.636739>,
      < 1.711206, -0.662606, -0.636656>,
      < 1.452221, -0.662785, -0.718893>
    }
    triangle {
      < 1.711043, -0.387297, -0.636739>,
      < 1.452221, -0.662785, -0.718893>,
      < 1.452035, -0.349589, -0.718987>
    }
    triangle {
      < 1.452035, -0.349589, -0.718987>,
      < 1.452221, -0.662785, -0.718893>,
      < 1.190939, -0.662960, -0.791494>
    }
    triangle {
      < 1.452035, -0.349589, -0.718987>,
      < 1.190939, -0.662960, -0.791494>,
      < 1.190728, -0.307908, -0.791600>
    }
    triangle {
      < 1.050107, 0.000129, -0.832263>,
      < 1.197575, 0.000430, -0.884557>,
      < 1.203154, -0.199258, -0.864802>
    }
    triangle {
      < 1.050107, 0.000129, -0.832263>,
      < 1.203154, -0.199258, -0.864802>,
      < 1.050248, -0.238823, -0.786462>
    }
    triangle {
      < 1.050248, -0.238823, -0.786462>,
      < 1.203154, -0.199258, -0.864802>,
      < 1.184022, -0.298440, -0.819455>
    }
    triangle {
      < 1.050248, -0.238823, -0.786462>,
      < 1.184022, -0.298440, -0.819455>,
      < 1.190728, -0.307908, -0.791600>
    }
    triangle {
      < 1.050248, -0.238823, -0.786462>,
      < 1.190728, -0.307908, -0.791600>,
      < 1.190939, -0.662960, -0.791494>
    }
    triangle {
      < 1.050248, -0.238823, -0.786462>,
      < 1.190939, -0.662960, -0.791494>,
      < 1.050369, -0.441743, -0.740681>
    }
    triangle {
      < 1.201251, 0.000782, 0.297110>,
      < 1.050107, 0.000796, 0.292355>,
      < 1.050279, -0.290372, 0.274115>
    }
    triangle {
      < 1.201251, 0.000782, 0.297110>,
      < 1.050279, -0.290372, 0.274115>,
      < 1.198627, -0.242233, 0.261762>
    }
    triangle {
      < 1.198627, -0.242233, 0.261762>,
      < 1.050279, -0.290372, 0.274115>,
      < 1.050345, -0.401349, 0.136989>
    }
    triangle {
      < 1.198627, -0.242233, 0.261762>,
      < 1.050345, -0.401349, 0.136989>,
      < 1.196569, -0.361480, 0.143428>
    }
    triangle {
      < 1.050345, -0.401349, 0.136989>,
      < 1.050385, -0.468684, 0.018210>,
      < 1.207760, -0.417442, 0.034458>
    }
    triangle {
      < 1.196569, -0.361480, 0.143428>,
      < 1.050345, -0.401349, 0.136989>,
      < 1.207760, -0.417442, 0.034458>
    }
    triangle {
      < 1.207760, -0.417442, 0.034458>,
      < 1.050385, -0.468684, 0.018210>,
      < 1.050475, -0.621380, 0.008894>
    }
    triangle {
      < 1.207760, -0.417442, 0.034458>,
      < 1.050475, -0.621380, 0.008894>,
      < 1.207905, -0.662706, 0.034531>
    }
    triangle {
      < -4.902979, -0.003172, -0.448740>,
      < -4.902979, -0.002901, 0.008455>,
      < -4.986524, -0.002961, -0.009553>
    }
    triangle {
      < -4.902979, -0.003172, -0.448740>,
      < -4.986524, -0.002961, -0.009553>,
      < -4.986524, -0.003183, -0.384671>
    }
    triangle {
      < 1.050799, -1.168508, -0.384065>,
      < 1.478534, -1.206993, -0.328954>,
      < 1.478573, -1.271701, -0.328934>
    }
    triangle {
      < 1.050799, -1.168508, -0.384065>,
      < 1.478573, -1.271701, -0.328934>,
      < 1.050882, -1.308149, -0.356662>
    }
    triangle {
      < 1.050799, -1.168508, -0.384065>,
      < 1.050882, -1.308149, -0.356662>,
      < 1.050843, -1.242170, -0.356682>
    }
    texture {fuselage}
  }
  // fuselage_lights
  union {
    triangle {
      < 1.478534, -1.206993, -0.328954>,
      < 1.591863, -1.210637, -0.301586>,
      < 1.591896, -1.267401, -0.301568>
    }
    triangle {
      < 1.478534, -1.206993, -0.328954>,
      < 1.591896, -1.267401, -0.301568>,
      < 1.478573, -1.271701, -0.328934>
    }
    texture {fuselage_lights}
  }
  // fuselage
  union {
    triangle {
      < 1.591863, -1.210637, -0.301586>,
      < 1.915961, -1.214112, -0.255853>,
      < 1.937889, -1.254315, -0.265200>
    }
    triangle {
      < 1.591863, -1.210637, -0.301586>,
      < 1.937889, -1.254315, -0.265200>,
      < 1.591896, -1.267401, -0.301568>
    }
    triangle {
      < 1.915961, -1.214112, -0.255853>,
      < 2.318302, -1.175243, -0.207707>,
      < 1.937889, -1.254315, -0.265200>
    }
    texture {fuselage}
  }
  // stabilizer
  union {
    triangle {
      < -4.790356, -1.236445, -0.247735>,
      < -4.347050, -1.236206, -0.243846>,
      < -5.271134, -2.010695, -0.230241>
    }
    texture {stabilizer}
  }
  // fuselage
  union {
    triangle {
      < -4.214944, -0.002476, 0.036198>,
      < -4.214977, 0.053572, 0.045162>,
      < -4.569012, -0.002697, 0.017826>
    }
    triangle {
      < -3.880819, -0.002268, 0.054214>,
      < -3.880861, 0.067780, 0.063525>,
      < -4.214977, 0.053572, 0.045162>
    }
    triangle {
      < -3.880819, -0.002268, 0.054214>,
      < -4.214977, 0.053572, 0.045162>,
      < -4.214944, -0.002476, 0.036198>
    }
    triangle {
      < -3.343874, -0.001939, 0.072599>,
      < -3.343924, 0.082099, 0.081895>,
      < -3.880861, 0.067780, 0.063525>
    }
    triangle {
      < -3.343874, -0.001939, 0.072599>,
      < -3.880861, 0.067780, 0.063525>,
      < -3.880819, -0.002268, 0.054214>
    }
    triangle {
      < -2.977762, -0.001716, 0.081972>,
      < -2.977814, 0.087349, 0.081906>,
      < -3.343924, 0.082099, 0.081895>
    }
    triangle {
      < -2.977762, -0.001716, 0.081972>,
      < -3.343924, 0.082099, 0.081895>,
      < -3.343874, -0.001939, 0.072599>
    }
    triangle {
      < -2.352121, -0.001340, 0.090991>,
      < -2.352183, 0.104296, 0.081915>,
      < -2.977814, 0.087349, 0.081906>
    }
    triangle {
      < -2.352121, -0.001340, 0.090991>,
      < -2.977814, 0.087349, 0.081906>,
      < -2.977762, -0.001716, 0.081972>
    }
    triangle {
      < -1.874827, -0.001046, 0.109365>,
      < -1.874898, 0.118729, 0.109280>,
      < -2.352183, 0.104296, 0.081915>
    }
    triangle {
      < -1.874827, -0.001046, 0.109365>,
      < -2.352183, 0.104296, 0.081915>,
      < -2.352121, -0.001340, 0.090991>
    }
    triangle {
      < -1.752744, -0.000963, 0.127733>,
      < -1.752817, 0.122884, 0.118283>,
      < -1.874898, 0.118729, 0.109280>
    }
    triangle {
      < -1.752744, -0.000963, 0.127733>,
      < -1.874898, 0.118729, 0.109280>,
      < -1.874827, -0.001046, 0.109365>
    }
    triangle {
      < -1.599667, -0.000867, 0.136733>,
      < -1.599742, 0.126763, 0.136646>,
      < -1.752817, 0.122884, 0.118283>
    }
    triangle {
      < -1.599667, -0.000867, 0.136733>,
      < -1.752817, 0.122884, 0.118283>,
      < -1.752744, -0.000963, 0.127733>
    }
    triangle {
      < -1.296622, -0.000671, 0.164105>,
      < -1.296701, 0.133328, 0.173376>,
      < -1.599742, 0.126763, 0.136646>
    }
    triangle {
      < -1.296622, -0.000671, 0.164105>,
      < -1.599742, 0.126763, 0.136646>,
      < -1.599667, -0.000867, 0.136733>
    }
    triangle {
      < -0.852335, -0.000397, 0.182482>,
      < -0.852434, 0.167172, 0.182364>,
      < -1.296701, 0.133328, 0.173376>
    }
    triangle {
      < -0.852335, -0.000397, 0.182482>,
      < -1.296701, 0.133328, 0.173376>,
      < -1.296622, -0.000671, 0.164105>
    }
    triangle {
      < -0.405870, -0.000116, 0.209855>,
      < -0.405982, 0.189176, 0.209722>,
      < -0.852434, 0.167172, 0.182364>
    }
    triangle {
      < -0.405870, -0.000116, 0.209855>,
      < -0.852434, 0.167172, 0.182364>,
      < -0.852335, -0.000397, 0.182482>
    }
    triangle {
      < 0.030282, 0.000159, 0.237232>,
      < 0.030148, 0.226884, 0.228068>,
      < -0.405982, 0.189176, 0.209722>
    }
    triangle {
      < 0.030282, 0.000159, 0.237232>,
      < -0.405982, 0.189176, 0.209722>,
      < -0.405870, -0.000116, 0.209855>
    }
    triangle {
      < 0.545789, 0.000486, 0.273976>,
      < 0.545628, 0.271091, 0.246409>,
      < 0.030148, 0.226884, 0.228068>
    }
    triangle {
      < 0.545789, 0.000486, 0.273976>,
      < 0.030148, 0.226884, 0.228068>,
      < 0.030282, 0.000159, 0.237232>
    }
    triangle {
      < 1.050107, 0.000796, 0.292355>,
      < 1.049934, 0.291942, 0.273770>,
      < 0.545628, 0.271091, 0.246409>
    }
    triangle {
      < 1.050107, 0.000796, 0.292355>,
      < 0.545628, 0.271091, 0.246409>,
      < 0.545789, 0.000486, 0.273976>
    }
    triangle {
      < -5.608013, -0.003367, -0.073669>,
      < -5.608095, 0.134303, -0.073772>,
      < -5.848788, 0.161345, -0.064802>
    }
    triangle {
      < -5.608013, -0.003367, -0.073669>,
      < -5.848788, 0.161345, -0.064802>,
      < -5.848690, -0.003531, -0.110391>
    }
    triangle {
      < -5.581861, -0.003352, -0.073666>,
      < -5.581944, 0.137173, -0.019048>,
      < -5.608095, 0.134303, -0.073772>
    }
    triangle {
      < -5.581861, -0.003352, -0.073666>,
      < -5.608095, 0.134303, -0.073772>,
      < -5.608013, -0.003367, -0.073669>
    }
    triangle {
      < -5.430585, -0.003257, -0.064658>,
      < -5.430657, 0.118995, -0.019027>,
      < -5.581944, 0.137173, -0.019048>
    }
    triangle {
      < -5.430585, -0.003257, -0.064658>,
      < -5.581944, 0.137173, -0.019048>,
      < -5.581861, -0.003352, -0.073666>
    }
    triangle {
      < -5.301818, -0.003169, -0.046298>,
      < -5.301884, 0.108618, -0.019015>,
      < -5.430657, 0.118995, -0.019027>
    }
    triangle {
      < -5.301818, -0.003169, -0.046298>,
      < -5.430657, 0.118995, -0.019027>,
      < -5.430585, -0.003257, -0.064658>
    }
    triangle {
      < -4.986524, -0.002961, -0.009553>,
      < -4.986583, 0.097155, 0.017725>,
      < -5.301884, 0.108618, -0.019015>
    }
    triangle {
      < -4.986524, -0.002961, -0.009553>,
      < -5.301884, 0.108618, -0.019015>,
      < -5.301818, -0.003169, -0.046298>
    }
    triangle {
      < -4.902979, -0.002901, 0.008455>,
      < -4.903038, 0.097205, 0.026733>,
      < -4.986583, 0.097155, 0.017725>
    }
    triangle {
      < -4.902979, -0.002901, 0.008455>,
      < -4.986583, 0.097155, 0.017725>,
      < -4.986524, -0.002961, -0.009553>
    }
    triangle {
      < -4.569012, -0.002697, 0.017826>,
      < -4.569066, 0.088411, 0.045115>,
      < -4.903038, 0.097205, 0.026733>
    }
    triangle {
      < -4.569012, -0.002697, 0.017826>,
      < -4.903038, 0.097205, 0.026733>,
      < -4.902979, -0.002901, 0.008455>
    }
    triangle {
      < -4.214977, 0.053572, 0.045162>,
      < -4.215013, 0.114071, 0.054107>,
      < -4.569066, 0.088411, 0.045115>
    }
    triangle {
      < -4.214977, 0.053572, 0.045162>,
      < -4.569066, 0.088411, 0.045115>,
      < -4.569012, -0.002697, 0.017826>
    }
    triangle {
      < -3.880861, 0.067780, 0.063525>,
      < -3.880897, 0.128628, 0.063470>,
      < -4.215013, 0.114071, 0.054107>
    }
    triangle {
      < -3.880861, 0.067780, 0.063525>,
      < -4.215013, 0.114071, 0.054107>,
      < -4.214977, 0.053572, 0.045162>
    }
    triangle {
      < -3.343924, 0.082099, 0.081895>,
      < -3.343977, 0.171311, 0.090815>,
      < -3.880897, 0.128628, 0.063470>
    }
    triangle {
      < -3.343924, 0.082099, 0.081895>,
      < -3.880897, 0.128628, 0.063470>,
      < -3.880861, 0.067780, 0.063525>
    }
    triangle {
      < -2.977814, 0.087349, 0.081906>,
      < -2.977878, 0.194780, 0.081810>,
      < -3.343977, 0.171311, 0.090815>
    }
    triangle {
      < -2.977814, 0.087349, 0.081906>,
      < -3.343977, 0.171311, 0.090815>,
      < -3.343924, 0.082099, 0.081895>
    }
    triangle {
      < -2.352183, 0.104296, 0.081915>,
      < -2.352264, 0.241395, 0.072433>,
      < -2.977878, 0.194780, 0.081810>
    }
    triangle {
      < -2.352183, 0.104296, 0.081915>,
      < -2.977878, 0.194780, 0.081810>,
      < -2.977814, 0.087349, 0.081906>
    }
    triangle {
      < -1.874898, 0.118729, 0.109280>,
      < -1.875006, 0.302286, 0.072397>,
      < -2.352264, 0.241395, 0.072433>
    }
    triangle {
      < -1.874898, 0.118729, 0.109280>,
      < -2.352264, 0.241395, 0.072433>,
      < -2.352183, 0.104296, 0.081915>
    }
    triangle {
      < -1.752817, 0.122884, 0.118283>,
      < -1.752892, 0.249389, 0.099810>,
      < -1.875006, 0.302286, 0.072397>
    }
    triangle {
      < -1.752817, 0.122884, 0.118283>,
      < -1.875006, 0.302286, 0.072397>,
      < -1.874898, 0.118729, 0.109280>
    }
    triangle {
      < -1.599742, 0.126763, 0.136646>,
      < -1.599770, 0.173329, 0.118244>,
      < -1.752892, 0.249389, 0.099810>
    }
    triangle {
      < -1.599742, 0.126763, 0.136646>,
      < -1.752892, 0.249389, 0.099810>,
      < -1.752817, 0.122884, 0.118283>
    }
    triangle {
      < -1.296701, 0.133328, 0.173376>,
      < -1.296737, 0.194159, 0.154961>,
      < -1.599770, 0.173329, 0.118244>
    }
    triangle {
      < -1.296701, 0.133328, 0.173376>,
      < -1.599770, 0.173329, 0.118244>,
      < -1.599742, 0.126763, 0.136646>
    }
    triangle {
      < -0.852434, 0.167172, 0.182364>,
      < -0.852465, 0.220058, 0.163956>,
      < -1.296737, 0.194159, 0.154961>
    }
    triangle {
      < -0.852434, 0.167172, 0.182364>,
      < -1.296737, 0.194159, 0.154961>,
      < -1.296701, 0.133328, 0.173376>
    }
    triangle {
      < -0.405982, 0.189176, 0.209722>,
      < -0.406010, 0.236989, 0.163960>,
      < -0.852465, 0.220058, 0.163956>
    }
    triangle {
      < -0.405982, 0.189176, 0.209722>,
      < -0.852465, 0.220058, 0.163956>,
      < -0.852434, 0.167172, 0.182364>
    }
    triangle {
      < 0.030148, 0.226884, 0.228068>,
      < 0.030119, 0.274697, 0.182305>,
      < -0.406010, 0.236989, 0.163960>
    }
    triangle {
      < 0.030148, 0.226884, 0.228068>,
      < -0.406010, 0.236989, 0.163960>,
      < -0.405982, 0.189176, 0.209722>
    }
    triangle {
      < 0.545628, 0.271091, 0.246409>,
      < 0.545585, 0.344637, 0.163904>,
      < 0.030119, 0.274697, 0.182305>
    }
    triangle {
      < 0.545628, 0.271091, 0.246409>,
      < 0.030119, 0.274697, 0.182305>,
      < 0.030148, 0.226884, 0.228068>
    }
    triangle {
      < 1.049934, 0.291942, 0.273770>,
      < 1.049868, 0.402755, 0.136512>,
      < 0.545585, 0.344637, 0.163904>
    }
    triangle {
      < 1.049934, 0.291942, 0.273770>,
      < 0.545585, 0.344637, 0.163904>,
      < 0.545628, 0.271091, 0.246409>
    }
    triangle {
      < -4.903038, 0.097205, 0.026733>,
      < -4.903108, 0.214962, 0.191149>,
      < -5.125143, 0.198264, 0.163796>
    }
    triangle {
      < -4.903038, 0.097205, 0.026733>,
      < -5.125143, 0.198264, 0.163796>,
      < -4.986583, 0.097155, 0.017725>
    }
    triangle {
      < -4.569066, 0.088411, 0.045115>,
      < -4.569143, 0.218922, 0.191159>,
      < -4.903108, 0.214962, 0.191149>
    }
    triangle {
      < -4.569066, 0.088411, 0.045115>,
      < -4.903108, 0.214962, 0.191149>,
      < -4.903038, 0.097205, 0.026733>
    }
    triangle {
      < -4.215013, 0.114071, 0.054107>,
      < -4.215083, 0.232169, 0.200522>,
      < -4.569143, 0.218922, 0.191159>
    }
    triangle {
      < -4.215013, 0.114071, 0.054107>,
      < -4.569143, 0.218922, 0.191159>,
      < -4.569066, 0.088411, 0.045115>
    }
    triangle {
      < -3.880897, 0.128628, 0.063470>,
      < -3.880963, 0.240025, 0.182172>,
      < -4.215083, 0.232169, 0.200522>
    }
    triangle {
      < -3.880897, 0.128628, 0.063470>,
      < -4.215083, 0.232169, 0.200522>,
      < -4.215013, 0.114071, 0.054107>
    }
    triangle {
      < -3.343977, 0.171311, 0.090815>,
      < -3.344038, 0.275071, 0.154804>,
      < -3.880963, 0.240025, 0.182172>
    }
    triangle {
      < -3.343977, 0.171311, 0.090815>,
      < -3.880963, 0.240025, 0.182172>,
      < -3.880897, 0.128628, 0.063470>
    }
    triangle {
      < -2.977878, 0.194780, 0.081810>,
      < -2.977929, 0.280311, 0.145455>,
      < -3.344038, 0.275071, 0.154804>
    }
    triangle {
      < -2.977878, 0.194780, 0.081810>,
      < -3.344038, 0.275071, 0.154804>,
      < -3.343977, 0.171311, 0.090815>
    }
    triangle {
      < -2.352264, 0.241395, 0.072433>,
      < -2.352314, 0.325583, 0.109079>,
      < -2.977929, 0.280311, 0.145455>
    }
    triangle {
      < -2.352264, 0.241395, 0.072433>,
      < -2.977929, 0.280311, 0.145455>,
      < -2.977878, 0.194780, 0.081810>
    }
    triangle {
      < -1.875006, 0.302286, 0.072397>,
      < -1.875045, 0.367062, 0.090699>,
      < -2.352314, 0.325583, 0.109079>
    }
    triangle {
      < -1.875006, 0.302286, 0.072397>,
      < -2.352314, 0.325583, 0.109079>,
      < -2.352264, 0.241395, 0.072433>
    }
    triangle {
      < -1.752892, 0.249389, 0.099810>,
      < -1.752930, 0.314149, 0.099753>,
      < -1.875045, 0.367062, 0.090699>
    }
    triangle {
      < -1.752892, 0.249389, 0.099810>,
      < -1.875045, 0.367062, 0.090699>,
      < -1.875006, 0.302286, 0.072397>
    }
    triangle {
      < -1.599770, 0.173329, 0.118244>,
      < -1.599840, 0.290940, 0.118140>,
      < -1.752930, 0.314149, 0.099753>
    }
    triangle {
      < -1.599770, 0.173329, 0.118244>,
      < -1.752930, 0.314149, 0.099753>,
      < -1.752892, 0.249389, 0.099810>
    }
    triangle {
      < -1.296737, 0.194159, 0.154961>,
      < -1.296804, 0.306408, 0.145501>,
      < -1.599840, 0.290940, 0.118140>
    }
    triangle {
      < -1.296737, 0.194159, 0.154961>,
      < -1.599840, 0.290940, 0.118140>,
      < -1.599770, 0.173329, 0.118244>
    }
    triangle {
      < -0.852465, 0.220058, 0.163956>,
      < -0.852532, 0.332612, 0.154857>,
      < -1.296804, 0.306408, 0.145501>
    }
    triangle {
      < -0.852465, 0.220058, 0.163956>,
      < -1.296804, 0.306408, 0.145501>,
      < -1.296737, 0.194159, 0.154961>
    }
    triangle {
      < -0.406010, 0.236989, 0.163960>,
      < -0.406082, 0.357182, 0.154853>,
      < -0.852532, 0.332612, 0.154857>
    }
    triangle {
      < -0.406010, 0.236989, 0.163960>,
      < -0.852532, 0.332612, 0.154857>,
      < -0.852465, 0.220058, 0.163956>
    }
    triangle {
      < 0.030119, 0.274697, 0.182305>,
      < 0.030102, 0.304357, 0.163920>,
      < -0.406082, 0.357182, 0.154853>
    }
    triangle {
      < 0.030119, 0.274697, 0.182305>,
      < -0.406082, 0.357182, 0.154853>,
      < -0.406010, 0.236989, 0.163960>
    }
    triangle {
      < 0.545585, 0.344637, 0.163904>,
      < 0.545540, 0.420825, 0.081757>,
      < 0.030102, 0.304357, 0.163920>
    }
    triangle {
      < 0.545585, 0.344637, 0.163904>,
      < 0.030102, 0.304357, 0.163920>,
      < 0.030119, 0.274697, 0.182305>
    }
    triangle {
      < 1.049868, 0.402755, 0.136512>,
      < 1.049829, 0.469950, 0.017654>,
      < 0.545540, 0.420825, 0.081757>
    }
    triangle {
      < 1.049868, 0.402755, 0.136512>,
      < 0.545540, 0.420825, 0.081757>,
      < 0.545585, 0.344637, 0.163904>
    }
    triangle {
      < -4.903108, 0.214962, 0.191149>,
      < -4.903197, 0.365279, 0.282456>,
      < -5.125249, 0.377867, 0.273438>
    }
    triangle {
      < -4.903108, 0.214962, 0.191149>,
      < -5.125249, 0.377867, 0.273438>,
      < -5.125143, 0.198264, 0.163796>
    }
    triangle {
      < -4.569143, 0.218922, 0.191159>,
      < -4.569231, 0.366648, 0.282469>,
      < -4.903197, 0.365279, 0.282456>
    }
    triangle {
      < -4.569143, 0.218922, 0.191159>,
      < -4.903197, 0.365279, 0.282456>,
      < -4.903108, 0.214962, 0.191149>
    }
    triangle {
      < -4.215083, 0.232169, 0.200522>,
      < -4.215181, 0.397706, 0.282455>,
      < -4.569231, 0.366648, 0.282469>
    }
    triangle {
      < -4.215083, 0.232169, 0.200522>,
      < -4.569231, 0.366648, 0.282469>,
      < -4.569143, 0.218922, 0.191159>
    }
    triangle {
      < -3.880963, 0.240025, 0.182172>,
      < -3.881061, 0.405562, 0.264465>,
      < -4.215181, 0.397706, 0.282455>
    }
    triangle {
      < -3.880963, 0.240025, 0.182172>,
      < -4.215181, 0.397706, 0.282455>,
      < -4.215083, 0.232169, 0.200522>
    }
    triangle {
      < -3.344038, 0.275071, 0.154804>,
      < -3.344141, 0.448197, 0.236730>,
      < -3.881061, 0.405562, 0.264465>
    }
    triangle {
      < -3.344038, 0.275071, 0.154804>,
      < -3.881061, 0.405562, 0.264465>,
      < -3.880963, 0.240025, 0.182172>
    }
    triangle {
      < -2.977929, 0.280311, 0.145455>,
      < -2.978037, 0.462731, 0.200373>,
      < -3.344141, 0.448197, 0.236730>
    }
    triangle {
      < -2.977929, 0.280311, 0.145455>,
      < -3.344141, 0.448197, 0.236730>,
      < -3.344038, 0.275071, 0.154804>
    }
    triangle {
      < -2.352314, 0.325583, 0.109079>,
      < -2.352412, 0.489809, 0.145293>,
      < -2.978037, 0.462731, 0.200373>
    }
    triangle {
      < -2.352314, 0.325583, 0.109079>,
      < -2.978037, 0.462731, 0.200373>,
      < -2.977929, 0.280311, 0.145455>
    }
    triangle {
      < -1.875045, 0.367062, 0.090699>,
      < -1.875122, 0.496538, 0.099585>,
      < -2.352412, 0.489809, 0.145293>
    }
    triangle {
      < -1.875045, 0.367062, 0.090699>,
      < -2.352412, 0.489809, 0.145293>,
      < -2.352314, 0.325583, 0.109079>
    }
    triangle {
      < -1.752930, 0.314149, 0.099753>,
      < -1.752975, 0.390343, 0.081686>,
      < -1.875122, 0.496538, 0.099585>
    }
    triangle {
      < -1.752930, 0.314149, 0.099753>,
      < -1.875122, 0.496538, 0.099585>,
      < -1.875045, 0.367062, 0.090699>
    }
    triangle {
      < -1.599840, 0.290940, 0.118140>,
      < -1.599883, 0.364552, 0.109075>,
      < -1.752975, 0.390343, 0.081686>
    }
    triangle {
      < -1.599840, 0.290940, 0.118140>,
      < -1.752975, 0.390343, 0.081686>,
      < -1.752930, 0.314149, 0.099753>
    }
    triangle {
      < -1.296804, 0.306408, 0.145501>,
      < -1.296864, 0.407469, 0.145412>,
      < -1.599883, 0.364552, 0.109075>
    }
    triangle {
      < -1.296804, 0.306408, 0.145501>,
      < -1.599883, 0.364552, 0.109075>,
      < -1.599840, 0.290940, 0.118140>
    }
    triangle {
      < -0.852532, 0.332612, 0.154857>,
      < -0.852608, 0.460403, 0.154743>,
      < -1.296864, 0.407469, 0.145412>
    }
    triangle {
      < -0.852532, 0.332612, 0.154857>,
      < -1.296864, 0.407469, 0.145412>,
      < -1.296804, 0.306408, 0.145501>
    }
    triangle {
      < -0.406082, 0.357182, 0.154853>,
      < -0.406151, 0.474786, 0.145389>,
      < -0.852608, 0.460403, 0.154743>
    }
    triangle {
      < -0.406082, 0.357182, 0.154853>,
      < -0.852608, 0.460403, 0.154743>,
      < -0.852532, 0.332612, 0.154857>
    }
    triangle {
      < 0.030102, 0.304357, 0.163920>,
      < 0.029997, 0.481463, 0.127401>,
      < -0.406151, 0.474786, 0.145389>
    }
    triangle {
      < 0.030102, 0.304357, 0.163920>,
      < -0.406151, 0.474786, 0.145389>,
      < -0.406082, 0.357182, 0.154853>
    }
    triangle {
      < 0.545540, 0.420825, 0.081757>,
      < 0.545437, 0.594218, 0.063243>,
      < 0.029997, 0.481463, 0.127401>
    }
    triangle {
      < 0.545540, 0.420825, 0.081757>,
      < 0.029997, 0.481463, 0.127401>,
      < 0.030102, 0.304357, 0.163920>
    }
    triangle {
      < 1.049829, 0.469950, 0.017654>,
      < 1.049738, 0.622635, 0.008157>,
      < 0.545437, 0.594218, 0.063243>
    }
    triangle {
      < 1.049829, 0.469950, 0.017654>,
      < 0.545437, 0.594218, 0.063243>,
      < 0.545540, 0.420825, 0.081757>
    }
    triangle {
      < -4.903197, 0.365279, 0.282456>,
      < -4.903305, 0.547598, 0.282293>,
      < -5.125346, 0.540748, 0.282293>
    }
    triangle {
      < -4.903197, 0.365279, 0.282456>,
      < -5.125346, 0.540748, 0.282293>,
      < -5.125249, 0.377867, 0.273438>
    }
    triangle {
      < -4.569231, 0.366648, 0.282469>,
      < -4.569348, 0.564263, 0.300652>,
      < -4.903305, 0.547598, 0.282293>
    }
    triangle {
      < -4.569231, 0.366648, 0.282469>,
      < -4.903305, 0.547598, 0.282293>,
      < -4.903197, 0.365279, 0.282456>
    }
    triangle {
      < -4.215181, 0.397706, 0.282455>,
      < -4.215284, 0.572089, 0.291661>,
      < -4.569348, 0.564263, 0.300652>
    }
    triangle {
      < -4.215181, 0.397706, 0.282455>,
      < -4.569348, 0.564263, 0.300652>,
      < -4.569231, 0.366648, 0.282469>
    }
    triangle {
      < -3.881061, 0.405562, 0.264465>,
      < -3.881164, 0.578624, 0.273310>,
      < -4.215284, 0.572089, 0.291661>
    }
    triangle {
      < -3.881061, 0.405562, 0.264465>,
      < -4.215284, 0.572089, 0.291661>,
      < -4.215181, 0.397706, 0.282455>
    }
    triangle {
      < -3.344141, 0.448197, 0.236730>,
      < -3.344237, 0.611062, 0.227585>,
      < -3.881164, 0.578624, 0.273310>
    }
    triangle {
      < -3.344141, 0.448197, 0.236730>,
      < -3.881164, 0.578624, 0.273310>,
      < -3.881061, 0.405562, 0.264465>
    }
    triangle {
      < -2.978037, 0.462731, 0.200373>,
      < -2.978121, 0.604838, 0.200245>,
      < -3.344237, 0.611062, 0.227585>
    }
    triangle {
      < -2.978037, 0.462731, 0.200373>,
      < -3.344237, 0.611062, 0.227585>,
      < -3.344141, 0.448197, 0.236730>
    }
    triangle {
      < -2.352412, 0.489809, 0.145293>,
      < -2.352497, 0.633534, 0.136164>,
      < -2.978121, 0.604838, 0.200245>
    }
    triangle {
      < -2.352412, 0.489809, 0.145293>,
      < -2.978121, 0.604838, 0.200245>,
      < -2.978037, 0.462731, 0.200373>
    }
    triangle {
      < -1.875122, 0.496538, 0.099585>,
      < -1.875206, 0.638644, 0.099458>,
      < -2.352497, 0.633534, 0.136164>
    }
    triangle {
      < -1.875122, 0.496538, 0.099585>,
      < -2.352497, 0.633534, 0.136164>,
      < -2.352412, 0.489809, 0.145293>
    }
    triangle {
      < -1.752975, 0.390343, 0.081686>,
      < -1.753104, 0.606467, 0.072133>,
      < -1.875206, 0.638644, 0.099458>
    }
    triangle {
      < -1.752975, 0.390343, 0.081686>,
      < -1.875206, 0.638644, 0.099458>,
      < -1.875122, 0.496538, 0.099585>
    }
    triangle {
      < -1.599883, 0.364552, 0.109075>,
      < -1.599979, 0.526122, 0.072210>,
      < -1.753104, 0.606467, 0.072133>
    }
    triangle {
      < -1.599883, 0.364552, 0.109075>,
      < -1.753104, 0.606467, 0.072133>,
      < -1.752975, 0.390343, 0.081686>
    }
    triangle {
      < -1.296864, 0.407469, 0.145412>,
      < -1.296885, 0.443416, 0.090660>,
      < -1.599979, 0.526122, 0.072210>
    }
    triangle {
      < -1.296864, 0.407469, 0.145412>,
      < -1.599979, 0.526122, 0.072210>,
      < -1.599883, 0.364552, 0.109075>
    }
    triangle {
      < -0.852608, 0.460403, 0.154743>,
      < -0.852623, 0.486527, 0.099640>,
      < -1.296885, 0.443416, 0.090660>
    }
    triangle {
      < -0.852608, 0.460403, 0.154743>,
      < -1.296885, 0.443416, 0.090660>,
      < -1.296864, 0.407469, 0.145412>
    }
    triangle {
      < -0.406151, 0.474786, 0.145389>,
      < -0.406157, 0.484027, 0.118020>,
      < -0.852623, 0.486527, 0.099640>
    }
    triangle {
      < -0.406151, 0.474786, 0.145389>,
      < -0.852623, 0.486527, 0.099640>,
      < -0.852608, 0.460403, 0.154743>
    }
    triangle {
      < 0.029997, 0.481463, 0.127401>,
      < 0.029931, 0.592723, 0.090582>,
      < -0.406157, 0.484027, 0.118020>
    }
    triangle {
      < 0.029997, 0.481463, 0.127401>,
      < -0.406157, 0.484027, 0.118020>,
      < -0.406151, 0.474786, 0.145389>
    }
    triangle {
      < 0.545437, 0.594218, 0.063243>,
      < 0.545409, 0.640758, 0.072201>,
      < 0.029931, 0.592723, 0.090582>
    }
    triangle {
      < 0.545437, 0.594218, 0.063243>,
      < 0.029931, 0.592723, 0.090582>,
      < 0.029997, 0.481463, 0.127401>
    }
    triangle {
      < 1.049738, 0.622635, 0.008157>,
      < 1.049732, 0.632840, 0.035868>,
      < 0.545409, 0.640758, 0.072201>
    }
    triangle {
      < 1.049738, 0.622635, 0.008157>,
      < 0.545409, 0.640758, 0.072201>,
      < 0.545437, 0.594218, 0.063243>
    }
    triangle {
      < -4.903305, 0.547598, 0.282293>,
      < -4.903414, 0.731207, 0.245771>,
      < -5.125460, 0.733608, 0.227401>
    }
    triangle {
      < -4.903305, 0.547598, 0.282293>,
      < -5.125460, 0.733608, 0.227401>,
      < -5.125346, 0.540748, 0.282293>
    }
    triangle {
      < -4.569348, 0.564263, 0.300652>,
      < -4.569458, 0.749142, 0.264128>,
      < -4.903414, 0.731207, 0.245771>
    }
    triangle {
      < -4.569348, 0.564263, 0.300652>,
      < -4.903414, 0.731207, 0.245771>,
      < -4.903305, 0.547598, 0.282293>
    }
    triangle {
      < -4.215284, 0.572089, 0.291661>,
      < -4.215404, 0.773865, 0.245761>,
      < -4.569458, 0.749142, 0.264128>
    }
    triangle {
      < -4.215284, 0.572089, 0.291661>,
      < -4.569458, 0.749142, 0.264128>,
      < -4.569348, 0.564263, 0.300652>
    }
    triangle {
      < -3.881164, 0.578624, 0.273310>,
      < -3.881282, 0.779087, 0.236412>,
      < -4.215404, 0.773865, 0.245761>
    }
    triangle {
      < -3.881164, 0.578624, 0.273310>,
      < -4.215404, 0.773865, 0.245761>,
      < -4.215284, 0.572089, 0.291661>
    }
    triangle {
      < -3.344237, 0.611062, 0.227585>,
      < -3.344313, 0.739202, 0.218471>,
      < -3.881282, 0.779087, 0.236412>
    }
    triangle {
      < -3.344237, 0.611062, 0.227585>,
      < -3.881282, 0.779087, 0.236412>,
      < -3.881164, 0.578624, 0.273310>
    }
    triangle {
      < -2.978121, 0.604838, 0.200245>,
      < -2.978198, 0.734297, 0.190770>,
      < -3.344313, 0.739202, 0.218471>
    }
    triangle {
      < -2.978121, 0.604838, 0.200245>,
      < -3.344313, 0.739202, 0.218471>,
      < -3.344237, 0.611062, 0.227585>
    }
    triangle {
      < -2.352497, 0.633534, 0.136164>,
      < -2.352551, 0.725371, 0.127082>,
      < -2.978198, 0.734297, 0.190770>
    }
    triangle {
      < -2.352497, 0.633534, 0.136164>,
      < -2.978198, 0.734297, 0.190770>,
      < -2.978121, 0.604838, 0.200245>
    }
    triangle {
      < -1.875206, 0.638644, 0.099458>,
      < -1.875252, 0.716107, 0.081390>,
      < -2.352551, 0.725371, 0.127082>
    }
    triangle {
      < -1.875206, 0.638644, 0.099458>,
      < -2.352551, 0.725371, 0.127082>,
      < -2.352497, 0.633534, 0.136164>
    }
    triangle {
      < -1.753104, 0.606467, 0.072133>,
      < -1.753153, 0.690266, 0.072059>,
      < -1.875252, 0.716107, 0.081390>
    }
    triangle {
      < -1.753104, 0.606467, 0.072133>,
      < -1.875252, 0.716107, 0.081390>,
      < -1.875206, 0.638644, 0.099458>
    }
    triangle {
      < -1.599979, 0.526122, 0.072210>,
      < -1.600047, 0.639946, 0.063110>,
      < -1.753153, 0.690266, 0.072059>
    }
    triangle {
      < -1.599979, 0.526122, 0.072210>,
      < -1.753153, 0.690266, 0.072059>,
      < -1.753104, 0.606467, 0.072133>
    }
    triangle {
      < -1.296885, 0.443416, 0.090660>,
      < -1.297113, 0.828857, 0.071958>,
      < -1.600047, 0.639946, 0.063110>
    }
    triangle {
      < -1.296885, 0.443416, 0.090660>,
      < -1.600047, 0.639946, 0.063110>,
      < -1.599979, 0.526122, 0.072210>
    }
    triangle {
      < -0.852623, 0.486527, 0.099640>,
      < -0.852925, 0.994718, 0.090190>,
      < -1.297113, 0.828857, 0.071958>
    }
    triangle {
      < -0.852623, 0.486527, 0.099640>,
      < -1.297113, 0.828857, 0.071958>,
      < -1.296885, 0.443416, 0.090660>
    }
    triangle {
      < -0.406157, 0.484027, 0.118020>,
      < -0.406534, 1.119994, 0.090096>,
      < -0.852925, 0.994718, 0.090190>
    }
    triangle {
      < -0.406157, 0.484027, 0.118020>,
      < -0.852925, 0.994718, 0.090190>,
      < -0.852623, 0.486527, 0.099640>
    }
    triangle {
      < 0.029931, 0.592723, 0.090582>,
      < 0.029601, 1.148768, 0.081090>,
      < -0.406534, 1.119994, 0.090096>
    }
    triangle {
      < 0.029931, 0.592723, 0.090582>,
      < -0.406534, 1.119994, 0.090096>,
      < -0.406157, 0.484027, 0.118020>
    }
    triangle {
      < 0.545409, 0.640758, 0.072201>,
      < 0.545098, 1.166812, 0.053376>,
      < 0.029601, 1.148768, 0.081090>
    }
    triangle {
      < 0.545409, 0.640758, 0.072201>,
      < 0.029601, 1.148768, 0.081090>,
      < 0.029931, 0.592723, 0.090582>
    }
    triangle {
      < 1.049732, 0.632840, 0.035868>,
      < 1.049399, 1.195619, 0.035369>,
      < 0.545098, 1.166812, 0.053376>
    }
    triangle {
      < 1.049732, 0.632840, 0.035868>,
      < 0.545098, 1.166812, 0.053376>,
      < 0.545409, 0.640758, 0.072201>
    }
    triangle {
      < 1.477441, 0.638293, 0.017521>,
      < 1.477101, 1.211202, 0.017013>,
      < 1.049399, 1.195619, 0.035369>
    }
    triangle {
      < 1.477441, 0.638293, 0.017521>,
      < 1.049399, 1.195619, 0.035369>,
      < 1.049732, 0.632840, 0.035868>
    }
    triangle {
      < 1.590765, 0.642123, 0.008164>,
      < 1.590419, 1.225270, 0.017008>,
      < 1.477101, 1.211202, 0.017013>
    }
    triangle {
      < 1.590765, 0.642123, 0.008164>,
      < 1.477101, 1.211202, 0.017013>,
      < 1.477441, 0.638293, 0.017521>
    }
    triangle {
      < 1.957471, 0.631994, -0.009814>,
      < 1.957126, 1.213872, -0.001329>,
      < 1.590419, 1.225270, 0.017008>
    }
    triangle {
      < 1.957471, 0.631994, -0.009814>,
      < 1.590419, 1.225270, 0.017008>,
      < 1.590765, 0.642123, 0.008164>
    }
    triangle {
      < 2.349109, 0.631880, -0.037517>,
      < 2.329592, 1.220422, -0.028679>,
      < 1.957126, 1.213872, -0.001329>
    }
    triangle {
      < 2.349109, 0.631880, -0.037517>,
      < 1.957126, 1.213872, -0.001329>,
      < 1.957471, 0.631994, -0.009814>
    }
    triangle {
      < 3.121228, 0.659484, -0.046509>,
      < 3.115825, 1.212944, -0.047000>,
      < 2.329592, 1.220422, -0.028679>
    }
    triangle {
      < 3.121228, 0.659484, -0.046509>,
      < 2.329592, 1.220422, -0.028679>,
      < 2.349109, 0.631880, -0.037517>
    }
    triangle {
      < 3.374605, 0.695747, -0.055530>,
      < 3.380886, 1.167590, -0.065308>,
      < 3.115825, 1.212944, -0.047000>
    }
    triangle {
      < 3.374605, 0.695747, -0.055530>,
      < 3.115825, 1.212944, -0.047000>,
      < 3.121228, 0.659484, -0.046509>
    }
    triangle {
      < -4.903414, 0.731207, 0.245771>,
      < -4.903507, 0.888569, 0.126831>,
      < -5.125542, 0.870601, 0.099119>
    }
    triangle {
      < -4.903414, 0.731207, 0.245771>,
      < -5.125542, 0.870601, 0.099119>,
      < -5.125460, 0.733608, 0.227401>
    }
    triangle {
      < -4.569458, 0.749142, 0.264128>,
      < -4.569547, 0.899229, 0.154196>,
      < -4.903507, 0.888569, 0.126831>
    }
    triangle {
      < -4.569458, 0.749142, 0.264128>,
      < -4.903507, 0.888569, 0.126831>,
      < -4.903414, 0.731207, 0.245771>
    }
    triangle {
      < -4.215404, 0.773865, 0.245761>,
      < -4.215476, 0.895256, 0.154214>,
      < -4.569547, 0.899229, 0.154196>
    }
    triangle {
      < -4.215404, 0.773865, 0.245761>,
      < -4.569547, 0.899229, 0.154196>,
      < -4.569458, 0.749142, 0.264128>
    }
    triangle {
      < -3.881282, 0.779087, 0.236412>,
      < -3.881343, 0.881405, 0.163242>,
      < -4.215476, 0.895256, 0.154214>
    }
    triangle {
      < -3.881282, 0.779087, 0.236412>,
      < -4.215476, 0.895256, 0.154214>,
      < -4.215404, 0.773865, 0.245761>
    }
    triangle {
      < -3.344313, 0.739202, 0.218471>,
      < -3.344395, 0.877515, 0.144908>,
      < -3.881343, 0.881405, 0.163242>
    }
    triangle {
      < -3.344313, 0.739202, 0.218471>,
      < -3.881343, 0.881405, 0.163242>,
      < -3.881282, 0.779087, 0.236412>
    }
    triangle {
      < -2.978198, 0.734297, 0.190770>,
      < -2.978276, 0.865893, 0.126934>,
      < -3.344395, 0.877515, 0.144908>
    }
    triangle {
      < -2.978198, 0.734297, 0.190770>,
      < -3.344395, 0.877515, 0.144908>,
      < -3.344313, 0.739202, 0.218471>
    }
    triangle {
      < -2.352551, 0.725371, 0.127082>,
      < -2.352610, 0.824782, 0.099274>,
      < -2.978276, 0.865893, 0.126934>
    }
    triangle {
      < -2.352551, 0.725371, 0.127082>,
      < -2.978276, 0.865893, 0.126934>,
      < -2.978198, 0.734297, 0.190770>
    }
    triangle {
      < -1.875252, 0.716107, 0.081390>,
      < -1.875307, 0.809207, 0.062947>,
      < -2.352610, 0.824782, 0.099274>
    }
    triangle {
      < -1.875252, 0.716107, 0.081390>,
      < -2.352610, 0.824782, 0.099274>,
      < -2.352551, 0.725371, 0.127082>
    }
    triangle {
      < -1.753153, 0.690266, 0.072059>,
      < -1.753214, 0.792640, 0.062968>,
      < -1.875307, 0.809207, 0.062947>
    }
    triangle {
      < -1.753153, 0.690266, 0.072059>,
      < -1.875307, 0.809207, 0.062947>,
      < -1.875252, 0.716107, 0.081390>
    }
    triangle {
      < -1.600047, 0.639946, 0.063110>,
      < -1.600106, 0.741050, 0.053660>,
      < -1.753214, 0.792640, 0.062968>
    }
    triangle {
      < -1.600047, 0.639946, 0.063110>,
      < -1.753214, 0.792640, 0.062968>,
      < -1.753153, 0.690266, 0.072059>
    }
    triangle {
      < -1.297113, 0.828857, 0.071958>,
      < -1.297190, 0.958275, 0.071843>,
      < -1.600106, 0.741050, 0.053660>
    }
    triangle {
      < -1.297113, 0.828857, 0.071958>,
      < -1.600106, 0.741050, 0.053660>,
      < -1.600047, 0.639946, 0.063110>
    }
    triangle {
      < -0.852925, 0.994718, 0.090190>,
      < -0.852995, 1.113599, 0.090084>,
      < -1.297190, 0.958275, 0.071843>
    }
    triangle {
      < -0.852925, 0.994718, 0.090190>,
      < -1.297190, 0.958275, 0.071843>,
      < -1.297113, 0.828857, 0.071958>
    }
    triangle {
      < -0.406534, 1.119994, 0.090096>,
      < -0.406573, 1.186007, 0.071678>,
      < -0.852995, 1.113599, 0.090084>
    }
    triangle {
      < -0.406534, 1.119994, 0.090096>,
      < -0.852995, 1.113599, 0.090084>,
      < -0.852925, 0.994718, 0.090190>
    }
    triangle {
      < 0.029601, 1.148768, 0.081090>,
      < 0.029584, 1.177159, 0.062705>,
      < -0.406573, 1.186007, 0.071678>
    }
    triangle {
      < 0.029601, 1.148768, 0.081090>,
      < -0.406573, 1.186007, 0.071678>,
      < -0.406534, 1.119994, 0.090096>
    }
    triangle {
      < 0.545098, 1.166812, 0.053376>,
      < 0.545086, 1.186243, 0.035359>,
      < 0.029584, 1.177159, 0.062705>
    }
    triangle {
      < 0.545098, 1.166812, 0.053376>,
      < 0.029584, 1.177159, 0.062705>,
      < 0.029601, 1.148768, 0.081090>
    }
    triangle {
      < 1.049399, 1.195619, 0.035369>,
      < 1.049383, 1.222681, 0.007625>,
      < 0.545086, 1.186243, 0.035359>
    }
    triangle {
      < 1.049399, 1.195619, 0.035369>,
      < 0.545086, 1.186243, 0.035359>,
      < 0.545098, 1.166812, 0.053376>
    }
    triangle {
      < 1.477101, 1.211202, 0.017013>,
      < 1.477075, 1.255145, -0.038106>,
      < 1.049383, 1.222681, 0.007625>
    }
    triangle {
      < 1.477101, 1.211202, 0.017013>,
      < 1.049383, 1.222681, 0.007625>,
      < 1.049399, 1.195619, 0.035369>
    }
    triangle {
      < 1.590419, 1.225270, 0.017008>,
      < 1.590404, 1.251327, -0.056096>,
      < 1.477075, 1.255145, -0.038106>
    }
    triangle {
      < 1.590419, 1.225270, 0.017008>,
      < 1.477075, 1.255145, -0.038106>,
      < 1.477101, 1.211202, 0.017013>
    }
    triangle {
      < 1.957126, 1.213872, -0.001329>,
      < 1.957110, 1.240885, -0.083793>,
      < 1.590404, 1.251327, -0.056096>
    }
    triangle {
      < 1.957126, 1.213872, -0.001329>,
      < 1.590404, 1.251327, -0.056096>,
      < 1.590419, 1.225270, 0.017008>
    }
    triangle {
      < 2.329592, 1.220422, -0.028679>,
      < 2.316907, 1.177742, -0.209101>,
      < 1.957110, 1.240885, -0.083793>
    }
    triangle {
      < 2.329592, 1.220422, -0.028679>,
      < 1.957110, 1.240885, -0.083793>,
      < 1.957126, 1.213872, -0.001329>
    }
    triangle {
      < -4.903507, 0.888569, 0.126831>,
      < -4.903569, 0.992060, -0.056140>,
      < -5.125601, 0.971137, -0.092850>
    }
    triangle {
      < -4.903507, 0.888569, 0.126831>,
      < -5.125601, 0.971137, -0.092850>,
      < -5.125542, 0.870601, 0.099119>
    }
    triangle {
      < -4.569547, 0.899229, 0.154196>,
      < -4.569612, 1.009097, -0.019782>,
      < -4.903569, 0.992060, -0.056140>
    }
    triangle {
      < -4.569547, 0.899229, 0.154196>,
      < -4.903569, 0.992060, -0.056140>,
      < -4.903507, 0.888569, 0.126831>
    }
    triangle {
      < -4.215476, 0.895256, 0.154214>,
      < -4.215553, 1.025856, -0.001421>,
      < -4.569612, 1.009097, -0.019782>
    }
    triangle {
      < -4.215476, 0.895256, 0.154214>,
      < -4.569612, 1.009097, -0.019782>,
      < -4.569547, 0.899229, 0.154196>
    }
    triangle {
      < -3.881343, 0.881405, 0.163242>,
      < -3.881426, 1.020931, 0.025958>,
      < -4.215553, 1.025856, -0.001421>
    }
    triangle {
      < -3.881343, 0.881405, 0.163242>,
      < -4.215553, 1.025856, -0.001421>,
      < -4.215476, 0.895256, 0.154214>
    }
    triangle {
      < -3.344395, 0.877515, 0.144908>,
      < -3.344467, 0.998899, 0.044361>,
      < -3.881426, 1.020931, 0.025958>
    }
    triangle {
      < -3.344395, 0.877515, 0.144908>,
      < -3.881426, 1.020931, 0.025958>,
      < -3.881343, 0.881405, 0.163242>
    }
    triangle {
      < -2.978276, 0.865893, 0.126934>,
      < -2.978352, 0.995289, 0.044379>,
      < -3.344467, 0.998899, 0.044361>
    }
    triangle {
      < -2.978276, 0.865893, 0.126934>,
      < -3.344467, 0.998899, 0.044361>,
      < -3.344395, 0.877515, 0.144908>
    }
    triangle {
      < -2.352610, 0.824782, 0.099274>,
      < -2.352676, 0.936025, 0.044455>,
      < -2.978352, 0.995289, 0.044379>
    }
    triangle {
      < -2.352610, 0.824782, 0.099274>,
      < -2.978352, 0.995289, 0.044379>,
      < -2.978276, 0.865893, 0.126934>
    }
    triangle {
      < -1.875307, 0.809207, 0.062947>,
      < -1.875340, 0.865041, 0.044538>,
      < -2.352676, 0.936025, 0.044455>
    }
    triangle {
      < -1.875307, 0.809207, 0.062947>,
      < -2.352676, 0.936025, 0.044455>,
      < -2.352610, 0.824782, 0.099274>
    }
    triangle {
      < -1.753214, 0.792640, 0.062968>,
      < -1.753253, 0.858653, 0.044550>,
      < -1.875340, 0.865041, 0.044538>
    }
    triangle {
      < -1.753214, 0.792640, 0.062968>,
      < -1.875340, 0.865041, 0.044538>,
      < -1.875307, 0.809207, 0.062947>
    }
    triangle {
      < -1.600106, 0.741050, 0.053660>,
      < -1.600226, 0.942460, 0.053481>,
      < -1.753253, 0.858653, 0.044550>
    }
    triangle {
      < -1.600106, 0.741050, 0.053660>,
      < -1.753253, 0.858653, 0.044550>,
      < -1.753214, 0.792640, 0.062968>
    }
    triangle {
      < -1.297190, 0.958275, 0.071843>,
      < -1.297326, 1.187171, 0.062639>,
      < -1.600226, 0.942460, 0.053481>
    }
    triangle {
      < -1.297190, 0.958275, 0.071843>,
      < -1.600226, 0.942460, 0.053481>,
      < -1.600106, 0.741050, 0.053660>
    }
    triangle {
      < -0.852995, 1.113599, 0.090084>,
      < -0.853103, 1.295962, 0.080921>,
      < -1.297326, 1.187171, 0.062639>
    }
    triangle {
      < -0.852995, 1.113599, 0.090084>,
      < -1.297326, 1.187171, 0.062639>,
      < -1.297190, 0.958275, 0.071843>
    }
    triangle {
      < -0.406573, 1.186007, 0.071678>,
      < -0.406682, 1.369656, 0.080875>,
      < -0.853103, 1.295962, 0.080921>
    }
    triangle {
      < -0.406573, 1.186007, 0.071678>,
      < -0.853103, 1.295962, 0.080921>,
      < -0.852995, 1.113599, 0.090084>
    }
    triangle {
      < 0.029584, 1.177159, 0.062705>,
      < 0.029450, 1.404732, 0.053143>,
      < -0.406682, 1.369656, 0.080875>
    }
    triangle {
      < 0.029584, 1.177159, 0.062705>,
      < -0.406682, 1.369656, 0.080875>,
      < -0.406573, 1.186007, 0.071678>
    }
    triangle {
      < 0.545086, 1.186243, 0.035359>,
      < 0.544950, 1.415105, -0.010565>,
      < 0.029450, 1.404732, 0.053143>
    }
    triangle {
      < 0.545086, 1.186243, 0.035359>,
      < 0.029450, 1.404732, 0.053143>,
      < 0.029584, 1.177159, 0.062705>
    }
    triangle {
      < 1.049383, 1.222681, 0.007625>,
      < 1.049285, 1.386784, -0.038241>,
      < 0.544950, 1.415105, -0.010565>
    }
    triangle {
      < 1.049383, 1.222681, 0.007625>,
      < 0.544950, 1.415105, -0.010565>,
      < 0.545086, 1.186243, 0.035359>
    }
    triangle {
      < 1.477075, 1.255145, -0.038106>,
      < 1.477009, 1.366406, -0.074565>,
      < 1.049285, 1.386784, -0.038241>
    }
    triangle {
      < 1.477075, 1.255145, -0.038106>,
      < 1.049285, 1.386784, -0.038241>,
      < 1.049383, 1.222681, 0.007625>
    }
    triangle {
      < 1.590404, 1.251327, -0.056096>,
      < 1.590338, 1.362223, -0.101913>,
      < 1.477009, 1.366406, -0.074565>
    }
    triangle {
      < 1.590404, 1.251327, -0.056096>,
      < 1.477009, 1.366406, -0.074565>,
      < 1.477075, 1.255145, -0.038106>
    }
    triangle {
      < 1.957110, 1.240885, -0.083793>,
      < 1.957077, 1.296652, -0.120202>,
      < 1.590338, 1.362223, -0.101913>
    }
    triangle {
      < 1.957110, 1.240885, -0.083793>,
      < 1.590338, 1.362223, -0.101913>,
      < 1.590404, 1.251327, -0.056096>
    }
    triangle {
      < 2.316907, 1.177742, -0.209101>,
      < 1.957077, 1.296652, -0.120202>,
      < 1.957110, 1.240885, -0.083793>
    }
    triangle {
      < -4.903569, 0.992060, -0.056140>,
      < -4.903645, 1.121171, -0.056254>,
      < -5.125688, 1.117485, -0.065620>
    }
    triangle {
      < -4.903569, 0.992060, -0.056140>,
      < -5.125688, 1.117485, -0.065620>,
      < -5.125601, 0.971137, -0.092850>
    }
    triangle {
      < -4.569612, 1.009097, -0.019782>,
      < -4.569699, 1.156377, -0.028912>,
      < -4.903645, 1.121171, -0.056254>
    }
    triangle {
      < -4.569612, 1.009097, -0.019782>,
      < -4.903645, 1.121171, -0.056254>,
      < -4.903569, 0.992060, -0.056140>
    }
    triangle {
      < -4.215553, 1.025856, -0.001421>,
      < -4.215678, 1.236576, -0.010608>,
      < -4.569699, 1.156377, -0.028912>
    }
    triangle {
      < -4.215553, 1.025856, -0.001421>,
      < -4.569699, 1.156377, -0.028912>,
      < -4.569612, 1.009097, -0.019782>
    }
    triangle {
      < -3.881426, 1.020931, 0.025958>,
      < -3.881600, 1.315483, -0.001663>,
      < -4.215678, 1.236576, -0.010608>
    }
    triangle {
      < -3.881426, 1.020931, 0.025958>,
      < -4.215678, 1.236576, -0.010608>,
      < -4.215553, 1.025856, -0.001421>
    }
    triangle {
      < -3.344467, 0.998899, 0.044361>,
      < -3.344634, 1.279715, 0.016751>,
      < -3.881600, 1.315483, -0.001663>
    }
    triangle {
      < -3.344467, 0.998899, 0.044361>,
      < -3.881600, 1.315483, -0.001663>,
      < -3.881426, 1.020931, 0.025958>
    }
    triangle {
      < -2.978352, 0.995289, 0.044379>,
      < -2.978477, 1.204679, 0.025833>,
      < -3.344634, 1.279715, 0.016751>
    }
    triangle {
      < -2.978352, 0.995289, 0.044379>,
      < -3.344634, 1.279715, 0.016751>,
      < -3.344467, 0.998899, 0.044361>
    }
    triangle {
      < -2.352676, 0.936025, 0.044455>,
      < -2.352752, 1.063809, 0.035342>,
      < -2.978477, 1.204679, 0.025833>
    }
    triangle {
      < -2.352676, 0.936025, 0.044455>,
      < -2.978477, 1.204679, 0.025833>,
      < -2.978352, 0.995289, 0.044379>
    }
    triangle {
      < -1.875340, 0.865041, 0.044538>,
      < -1.875410, 0.982652, 0.044434>,
      < -2.352752, 1.063809, 0.035342>
    }
    triangle {
      < -1.875340, 0.865041, 0.044538>,
      < -2.352752, 1.063809, 0.035342>,
      < -2.352676, 0.936025, 0.044455>
    }
    triangle {
      < -1.753253, 0.858653, 0.044550>,
      < -1.753318, 0.968268, 0.044452>,
      < -1.875410, 0.982652, 0.044434>
    }
    triangle {
      < -1.753253, 0.858653, 0.044550>,
      < -1.875410, 0.982652, 0.044434>,
      < -1.875340, 0.865041, 0.044538>
    }
    triangle {
      < -1.600226, 0.942460, 0.053481>,
      < -1.600306, 1.078248, 0.053360>,
      < -1.753318, 0.968268, 0.044452>
    }
    triangle {
      < -1.600226, 0.942460, 0.053481>,
      < -1.753318, 0.968268, 0.044452>,
      < -1.753253, 0.858653, 0.044550>
    }
    triangle {
      < -1.297326, 1.187171, 0.062639>,
      < -1.297363, 1.250593, 0.044223>,
      < -1.600306, 1.078248, 0.053360>
    }
    triangle {
      < -1.297326, 1.187171, 0.062639>,
      < -1.600306, 1.078248, 0.053360>,
      < -1.600226, 0.942460, 0.053481>
    }
    triangle {
      < -0.853103, 1.295962, 0.080921>,
      < -0.853150, 1.375867, 0.044130>,
      < -1.297363, 1.250593, 0.044223>
    }
    triangle {
      < -0.853103, 1.295962, 0.080921>,
      < -1.297363, 1.250593, 0.044223>,
      < -1.297326, 1.187171, 0.062639>
    }
    triangle {
      < -0.406682, 1.369656, 0.080875>,
      < -0.406745, 1.476980, 0.016699>,
      < -0.853150, 1.375867, 0.044130>
    }
    triangle {
      < -0.406682, 1.369656, 0.080875>,
      < -0.853150, 1.375867, 0.044130>,
      < -0.853103, 1.295962, 0.080921>
    }
    triangle {
      < 0.029450, 1.404732, 0.053143>,
      < 0.029402, 1.485029, -0.001650>,
      < -0.406745, 1.476980, 0.016699>
    }
    triangle {
      < 0.029450, 1.404732, 0.053143>,
      < -0.406745, 1.476980, 0.016699>,
      < -0.406682, 1.369656, 0.080875>
    }
    triangle {
      < 0.544950, 1.415105, -0.010565>,
      < 0.544890, 1.517423, -0.084095>,
      < 0.029402, 1.485029, -0.001650>
    }
    triangle {
      < 0.544950, 1.415105, -0.010565>,
      < 0.029402, 1.485029, -0.001650>,
      < 0.029450, 1.404732, 0.053143>
    }
    triangle {
      < 1.049285, 1.386784, -0.038241>,
      < 1.049232, 1.475999, -0.084041>,
      < 0.544890, 1.517423, -0.084095>
    }
    triangle {
      < 1.049285, 1.386784, -0.038241>,
      < 0.544890, 1.517423, -0.084095>,
      < 0.544950, 1.415105, -0.010565>
    }
    triangle {
      < 1.477009, 1.366406, -0.074565>,
      < 1.476973, 1.428126, -0.120340>,
      < 1.049232, 1.475999, -0.084041>
    }
    triangle {
      < 1.477009, 1.366406, -0.074565>,
      < 1.049232, 1.475999, -0.084041>,
      < 1.049285, 1.386784, -0.038241>
    }
    triangle {
      < 1.590338, 1.362223, -0.101913>,
      < 1.590322, 1.389657, -0.111299>,
      < 1.476973, 1.428126, -0.120340>
    }
    triangle {
      < 1.590338, 1.362223, -0.101913>,
      < 1.476973, 1.428126, -0.120340>,
      < 1.477009, 1.366406, -0.074565>
    }
    triangle {
      < 1.957077, 1.296652, -0.120202>,
      < 1.957050, 1.341898, -0.138603>,
      < 1.590322, 1.389657, -0.111299>
    }
    triangle {
      < 1.957077, 1.296652, -0.120202>,
      < 1.590322, 1.389657, -0.111299>,
      < 1.590338, 1.362223, -0.101913>
    }
    triangle {
      < 2.316907, 1.177742, -0.209101>,
      < 1.957050, 1.341898, -0.138603>,
      < 1.957077, 1.296652, -0.120202>
    }
    triangle {
      < -5.597421, 1.101686, -0.111347>,
      < -5.618141, 1.246533, 0.071404>,
      < -5.782325, 1.232452, 0.035050>
    }
    triangle {
      < -5.597421, 1.101686, -0.111347>,
      < -5.782325, 1.232452, 0.035050>,
      < -5.755248, 1.106716, -0.129718>
    }
    triangle {
      < -5.342367, 1.106812, -0.083979>,
      < -5.342443, 1.236375, 0.080786>,
      < -5.618141, 1.246533, 0.071404>
    }
    triangle {
      < -5.342367, 1.106812, -0.083979>,
      < -5.618141, 1.246533, 0.071404>,
      < -5.597421, 1.101686, -0.111347>
    }
    triangle {
      < -5.125688, 1.117485, -0.065620>,
      < -5.125761, 1.240391, 0.062432>,
      < -5.342443, 1.236375, 0.080786>
    }
    triangle {
      < -5.125688, 1.117485, -0.065620>,
      < -5.342443, 1.236375, 0.080786>,
      < -5.342367, 1.106812, -0.083979>
    }
    triangle {
      < -4.903645, 1.121171, -0.056254>,
      < -4.903733, 1.270175, 0.044054>,
      < -5.125761, 1.240391, 0.062432>
    }
    triangle {
      < -4.903645, 1.121171, -0.056254>,
      < -5.125761, 1.240391, 0.062432>,
      < -5.125688, 1.117485, -0.065620>
    }
    triangle {
      < -4.569699, 1.156377, -0.028912>,
      < -4.569775, 1.284589, 0.044054>,
      < -4.903733, 1.270175, 0.044054>
    }
    triangle {
      < -4.569699, 1.156377, -0.028912>,
      < -4.903733, 1.270175, 0.044054>,
      < -4.903645, 1.121171, -0.056254>
    }
    triangle {
      < -4.215678, 1.236576, -0.010608>,
      < -4.215727, 1.319476, 0.007318>,
      < -4.569775, 1.284589, 0.044054>
    }
    triangle {
      < -4.215678, 1.236576, -0.010608>,
      < -4.569775, 1.284589, 0.044054>,
      < -4.569699, 1.156377, -0.028912>
    }
    triangle {
      < -3.881600, 1.315483, -0.001663>,
      < -3.881629, 1.363329, -0.010705>,
      < -4.215727, 1.319476, 0.007318>
    }
    triangle {
      < -3.881600, 1.315483, -0.001663>,
      < -4.215727, 1.319476, 0.007318>,
      < -4.215678, 1.236576, -0.010608>
    }
    triangle {
      < -3.344634, 1.279715, 0.016751>,
      < -3.344722, 1.428324, 0.016620>,
      < -3.881629, 1.363329, -0.010705>
    }
    triangle {
      < -3.344634, 1.279715, 0.016751>,
      < -3.881629, 1.363329, -0.010705>,
      < -3.881600, 1.315483, -0.001663>
    }
    triangle {
      < -2.978477, 1.204679, 0.025833>,
      < -2.978641, 1.482705, 0.025587>,
      < -3.344722, 1.428324, 0.016620>
    }
    triangle {
      < -2.978477, 1.204679, 0.025833>,
      < -3.344722, 1.428324, 0.016620>,
      < -3.344634, 1.279715, 0.016751>
    }
    triangle {
      < -1.875410, 0.982652, 0.044434>,
      < -1.875455, 1.058869, 0.053367>,
      < -2.352807, 1.156932, 0.044259>
    }
    triangle {
      < -1.875410, 0.982652, 0.044434>,
      < -2.352807, 1.156932, 0.044259>,
      < -2.352752, 1.063809, 0.035342>
    }
    triangle {
      < -1.753318, 0.968268, 0.044452>,
      < -1.753374, 1.062729, 0.071729>,
      < -1.875455, 1.058869, 0.053367>
    }
    triangle {
      < -1.753318, 0.968268, 0.044452>,
      < -1.875455, 1.058869, 0.053367>,
      < -1.875410, 0.982652, 0.044434>
    }
    triangle {
      < -1.600306, 1.078248, 0.053360>,
      < -1.600324, 1.108281, 0.053334>,
      < -1.753374, 1.062729, 0.071729>
    }
    triangle {
      < -1.600306, 1.078248, 0.053360>,
      < -1.753374, 1.062729, 0.071729>,
      < -1.753318, 0.968268, 0.044452>
    }
    triangle {
      < -1.297363, 1.250593, 0.044223>,
      < -1.297390, 1.295831, 0.016822>,
      < -1.600324, 1.108281, 0.053334>
    }
    triangle {
      < -1.297363, 1.250593, 0.044223>,
      < -1.600324, 1.108281, 0.053334>,
      < -1.600306, 1.078248, 0.053360>
    }
    triangle {
      < -0.853150, 1.375867, 0.044130>,
      < -0.853190, 1.441864, 0.007352>,
      < -1.297390, 1.295831, 0.016822>
    }
    triangle {
      < -0.853150, 1.375867, 0.044130>,
      < -1.297390, 1.295831, 0.016822>,
      < -1.297363, 1.250593, 0.044223>
    }
    triangle {
      < -0.406745, 1.476980, 0.016699>,
      < -0.406775, 1.527375, -0.038424>,
      < -0.853190, 1.441864, 0.007352>
    }
    triangle {
      < -0.406745, 1.476980, 0.016699>,
      < -0.853190, 1.441864, 0.007352>,
      < -0.853150, 1.375867, 0.044130>
    }
    triangle {
      < 0.029402, 1.485029, -0.001650>,
      < 0.029357, 1.561166, -0.084156>,
      < -0.406775, 1.527375, -0.038424>
    }
    triangle {
      < 0.029402, 1.485029, -0.001650>,
      < -0.406775, 1.527375, -0.038424>,
      < -0.406745, 1.476980, 0.016699>
    }
    triangle {
      < 0.544890, 1.517423, -0.084095>,
      < 0.544884, 1.527554, -0.138824>,
      < 0.029357, 1.561166, -0.084156>
    }
    triangle {
      < 0.544890, 1.517423, -0.084095>,
      < 0.029357, 1.561166, -0.084156>,
      < 0.029402, 1.485029, -0.001650>
    }
    triangle {
      < 1.049232, 1.475999, -0.084041>,
      < 1.049231, 1.478497, -0.129762>,
      < 0.544884, 1.527554, -0.138824>
    }
    triangle {
      < 1.049232, 1.475999, -0.084041>,
      < 0.544884, 1.527554, -0.138824>,
      < 0.544890, 1.517423, -0.084095>
    }
    triangle {
      < 1.476973, 1.428126, -0.120340>,
      < 1.476967, 1.437376, -0.138708>,
      < 1.049231, 1.478497, -0.129762>
    }
    triangle {
      < 1.476973, 1.428126, -0.120340>,
      < 1.049231, 1.478497, -0.129762>,
      < 1.049232, 1.475999, -0.084041>
    }
    triangle {
      < 1.590322, 1.389657, -0.111299>,
      < 1.590312, 1.406174, -0.147673>,
      < 1.476967, 1.437376, -0.138708>
    }
    triangle {
      < 1.590322, 1.389657, -0.111299>,
      < 1.476967, 1.437376, -0.138708>,
      < 1.476973, 1.428126, -0.120340>
    }
    triangle {
      < 1.957050, 1.341898, -0.138603>,
      < 1.957050, 1.341881, -0.156963>,
      < 1.590312, 1.406174, -0.147673>
    }
    triangle {
      < 1.957050, 1.341898, -0.138603>,
      < 1.590312, 1.406174, -0.147673>,
      < 1.590322, 1.389657, -0.111299>
    }
    triangle {
      < -5.342443, 1.236375, 0.080786>,
      < -5.342514, 1.353986, 0.080682>,
      < -5.619638, 1.320532, 0.098698>
    }
    triangle {
      < -5.342443, 1.236375, 0.080786>,
      < -5.619638, 1.320532, 0.098698>,
      < -5.618141, 1.246533, 0.071404>
    }
    triangle {
      < -5.125761, 1.240391, 0.062432>,
      < -5.125830, 1.358010, 0.071327>,
      < -5.342514, 1.353986, 0.080682>
    }
    triangle {
      < -5.125761, 1.240391, 0.062432>,
      < -5.342514, 1.353986, 0.080682>,
      < -5.342443, 1.236375, 0.080786>
    }
    triangle {
      < -4.903733, 1.270175, 0.044054>,
      < -4.903799, 1.380213, 0.062316>,
      < -5.125830, 1.358010, 0.071327>
    }
    triangle {
      < -4.903733, 1.270175, 0.044054>,
      < -5.125830, 1.358010, 0.071327>,
      < -5.125761, 1.240391, 0.062432>
    }
    triangle {
      < -4.569775, 1.284589, 0.044054>,
      < -4.569846, 1.403479, 0.052948>,
      < -4.903799, 1.380213, 0.062316>
    }
    triangle {
      < -4.569775, 1.284589, 0.044054>,
      < -4.903799, 1.380213, 0.062316>,
      < -4.903733, 1.270175, 0.044054>
    }
    triangle {
      < -4.215727, 1.319476, 0.007318>,
      < -4.215783, 1.412617, 0.034956>,
      < -4.569846, 1.403479, 0.052948>
    }
    triangle {
      < -4.215727, 1.319476, 0.007318>,
      < -4.569846, 1.403479, 0.052948>,
      < -4.569775, 1.284589, 0.044054>
    }
    triangle {
      < -3.881629, 1.363329, -0.010705>,
      < -3.881655, 1.407286, 0.007256>,
      < -4.215783, 1.412617, 0.034956>
    }
    triangle {
      < -3.881629, 1.363329, -0.010705>,
      < -4.215783, 1.412617, 0.034956>,
      < -4.215727, 1.319476, 0.007318>
    }
    triangle {
      < -3.344722, 1.428324, 0.016620>,
      < -3.344799, 1.557741, 0.016505>,
      < -3.881655, 1.407286, 0.007256>
    }
    triangle {
      < -3.344722, 1.428324, 0.016620>,
      < -3.881655, 1.407286, 0.007256>,
      < -3.881629, 1.363329, -0.010705>
    }
    triangle {
      < -2.978641, 1.482705, 0.025587>,
      < -2.978677, 1.543522, -0.065908>,
      < -3.344799, 1.557741, 0.016505>
    }
    triangle {
      < -2.978641, 1.482705, 0.025587>,
      < -3.344799, 1.557741, 0.016505>,
      < -3.344722, 1.428324, 0.016620>
    }
    triangle {
      < -2.352807, 1.156932, 0.044259>,
      < -2.353036, 1.543648, -0.120601>,
      < -2.978677, 1.543522, -0.065908>
    }
    triangle {
      < -2.352807, 1.156932, 0.044259>,
      < -2.978677, 1.543522, -0.065908>,
      < -2.978641, 1.482705, 0.025587>
    }
    triangle {
      < -1.875455, 1.058869, 0.053367>,
      < -1.875738, 1.537214, -0.147938>,
      < -2.353036, 1.543648, -0.120601>
    }
    triangle {
      < -1.875455, 1.058869, 0.053367>,
      < -2.353036, 1.543648, -0.120601>,
      < -2.352807, 1.156932, 0.044259>
    }
    triangle {
      < -1.753374, 1.062729, 0.071729>,
      < -1.753658, 1.541049, -0.157295>,
      < -1.875738, 1.537214, -0.147938>
    }
    triangle {
      < -1.753374, 1.062729, 0.071729>,
      < -1.875738, 1.537214, -0.147938>,
      < -1.875455, 1.058869, 0.053367>
    }
    triangle {
      < -1.600324, 1.108281, 0.053334>,
      < -1.600576, 1.533393, -0.175642>,
      < -1.753658, 1.541049, -0.157295>
    }
    triangle {
      < -1.600324, 1.108281, 0.053334>,
      < -1.753658, 1.541049, -0.157295>,
      < -1.753374, 1.062729, 0.071729>
    }
    triangle {
      < -1.297390, 1.295831, 0.016822>,
      < -1.297531, 1.533466, -0.184629>,
      < -1.600576, 1.533393, -0.175642>
    }
    triangle {
      < -1.297390, 1.295831, 0.016822>,
      < -1.600576, 1.533393, -0.175642>,
      < -1.600324, 1.108281, 0.053334>
    }
    triangle {
      < -0.853190, 1.441864, 0.007352>,
      < -0.853249, 1.542791, -0.202978>,
      < -1.297531, 1.533466, -0.184629>
    }
    triangle {
      < -0.853190, 1.441864, 0.007352>,
      < -1.297531, 1.533466, -0.184629>,
      < -1.297390, 1.295831, 0.016822>
    }
    triangle {
      < -0.406775, 1.527375, -0.038424>,
      < -0.406777, 1.529680, -0.211949>,
      < -0.853249, 1.542791, -0.202978>
    }
    triangle {
      < -0.406775, 1.527375, -0.038424>,
      < -0.853249, 1.542791, -0.202978>,
      < -0.853190, 1.441864, 0.007352>
    }
    triangle {
      < 0.029357, 1.561166, -0.084156>,
      < 0.029371, 1.537686, -0.221297>,
      < -0.406777, 1.529680, -0.211949>
    }
    triangle {
      < 0.029357, 1.561166, -0.084156>,
      < -0.406777, 1.529680, -0.211949>,
      < -0.406775, 1.527375, -0.038424>
    }
    triangle {
      < 0.544884, 1.527554, -0.138824>,
      < 0.544890, 1.517317, -0.202895>,
      < 0.029371, 1.537686, -0.221297>
    }
    triangle {
      < 0.544884, 1.527554, -0.138824>,
      < 0.029371, 1.537686, -0.221297>,
      < 0.029357, 1.561166, -0.084156>
    }
    triangle {
      < 1.049231, 1.478497, -0.129762>,
      < 1.049237, 1.468262, -0.193473>,
      < 0.544890, 1.517317, -0.202895>
    }
    triangle {
      < 1.049231, 1.478497, -0.129762>,
      < 0.544890, 1.517317, -0.202895>,
      < 0.544884, 1.527554, -0.138824>
    }
    triangle {
      < 1.476967, 1.437376, -0.138708>,
      < 1.476973, 1.428061, -0.193420>,
      < 1.049237, 1.468262, -0.193473>
    }
    triangle {
      < 1.476967, 1.437376, -0.138708>,
      < 1.049237, 1.468262, -0.193473>,
      < 1.049231, 1.478497, -0.129762>
    }
    triangle {
      < 1.590312, 1.406174, -0.147673>,
      < 1.590322, 1.389584, -0.193379>,
      < 1.476973, 1.428061, -0.193420>
    }
    triangle {
      < 1.590312, 1.406174, -0.147673>,
      < 1.476973, 1.428061, -0.193420>,
      < 1.476967, 1.437376, -0.138708>
    }
    triangle {
      < 1.957050, 1.341881, -0.156963>,
      < 1.957058, 1.328730, -0.184312>,
      < 1.590322, 1.389584, -0.193379>
    }
    triangle {
      < 1.957050, 1.341881, -0.156963>,
      < 1.590322, 1.389584, -0.193379>,
      < 1.590312, 1.406174, -0.147673>
    }
    triangle {
      < 2.316907, 1.177742, -0.209101>,
      < 1.957058, 1.328730, -0.184312>,
      < 1.957050, 1.341898, -0.138603>
    }
    triangle {
      < -5.125830, 1.358010, 0.071327>,
      < -5.125829, 1.355306, -0.056471>,
      < -5.342500, 1.330765, -0.074823>
    }
    triangle {
      < -5.125830, 1.358010, 0.071327>,
      < -5.342500, 1.330765, -0.074823>,
      < -5.342514, 1.353986, 0.080682>
    }
    triangle {
      < -4.903799, 1.380213, 0.062316>,
      < -4.903797, 1.377534, -0.038482>,
      < -5.125829, 1.355306, -0.056471>
    }
    triangle {
      < -4.903799, 1.380213, 0.062316>,
      < -5.125829, 1.355306, -0.056471>,
      < -5.125830, 1.358010, 0.071327>
    }
    triangle {
      < -4.569846, 1.403479, 0.052948>,
      < -4.569840, 1.394147, -0.020123>,
      < -4.903797, 1.377534, -0.038482>
    }
    triangle {
      < -4.569846, 1.403479, 0.052948>,
      < -4.903797, 1.377534, -0.038482>,
      < -4.903799, 1.380213, 0.062316>
    }
    triangle {
      < -4.215783, 1.412617, 0.034956>,
      < -4.215777, 1.403326, 0.007244>,
      < -4.569840, 1.394147, -0.020123>
    }
    triangle {
      < -4.215783, 1.412617, 0.034956>,
      < -4.569840, 1.394147, -0.020123>,
      < -4.569846, 1.403479, 0.052948>
    }
    triangle {
      < -3.881655, 1.407286, 0.007256>,
      < -4.215777, 1.403326, 0.007244>,
      < -4.215783, 1.412617, 0.034956>
    }
    triangle {
      < -3.344799, 1.557741, 0.016505>,
      < -3.344794, 1.549805, 0.025513>,
      < -3.881655, 1.407286, 0.007256>
    }
    triangle {
      < -2.978677, 1.543522, -0.065908>,
      < -2.978665, 1.522626, -0.212050>,
      < -3.344794, 1.549805, 0.025513>
    }
    triangle {
      < -2.978677, 1.543522, -0.065908>,
      < -3.344794, 1.549805, 0.025513>,
      < -3.344799, 1.557741, 0.016505>
    }
    triangle {
      < -2.353036, 1.543648, -0.120601>,
      < -2.353020, 1.516505, -0.184657>,
      < -2.978665, 1.522626, -0.212050>
    }
    triangle {
      < -2.353036, 1.543648, -0.120601>,
      < -2.978665, 1.522626, -0.212050>,
      < -2.978677, 1.543522, -0.065908>
    }
    triangle {
      < -1.875738, 1.537214, -0.147938>,
      < -1.875699, 1.471120, -0.221320>,
      < -2.353020, 1.516505, -0.184657>
    }
    triangle {
      < -1.875738, 1.537214, -0.147938>,
      < -2.353020, 1.516505, -0.184657>,
      < -2.353036, 1.543648, -0.120601>
    }
    triangle {
      < -1.753658, 1.541049, -0.157295>,
      < -1.753618, 1.473692, -0.221316>,
      < -1.875699, 1.471120, -0.221320>
    }
    triangle {
      < -1.753658, 1.541049, -0.157295>,
      < -1.875699, 1.471120, -0.221320>,
      < -1.875738, 1.537214, -0.147938>
    }
    triangle {
      < -1.600576, 1.533393, -0.175642>,
      < -1.600542, 1.475311, -0.230311>,
      < -1.753618, 1.473692, -0.221316>
    }
    triangle {
      < -1.600576, 1.533393, -0.175642>,
      < -1.753618, 1.473692, -0.221316>,
      < -1.753658, 1.541049, -0.157295>
    }
    triangle {
      < -1.297531, 1.533466, -0.184629>,
      < -1.297497, 1.475375, -0.248658>,
      < -1.600542, 1.475311, -0.230311>
    }
    triangle {
      < -1.297531, 1.533466, -0.184629>,
      < -1.600542, 1.475311, -0.230311>,
      < -1.600576, 1.533393, -0.175642>
    }
    triangle {
      < -0.853249, 1.542791, -0.202978>,
      < -0.853200, 1.458519, -0.275983>,
      < -1.297497, 1.475375, -0.248658>
    }
    triangle {
      < -0.853249, 1.542791, -0.202978>,
      < -1.297497, 1.475375, -0.248658>,
      < -1.297531, 1.533466, -0.184629>
    }
    triangle {
      < -0.406777, 1.529680, -0.211949>,
      < -0.406728, 1.447078, -0.294316>,
      < -0.853200, 1.458519, -0.275983>
    }
    triangle {
      < -0.406777, 1.529680, -0.211949>,
      < -0.853200, 1.458519, -0.275983>,
      < -0.853249, 1.542791, -0.202978>
    }
    triangle {
      < 0.029371, 1.537686, -0.221297>,
      < 0.029424, 1.447097, -0.294297>,
      < -0.406728, 1.447078, -0.294316>
    }
    triangle {
      < 0.029371, 1.537686, -0.221297>,
      < -0.406728, 1.447078, -0.294316>,
      < -0.406777, 1.529680, -0.211949>
    }
    triangle {
      < 0.544890, 1.517317, -0.202895>,
      < 0.544936, 1.439349, -0.294267>,
      < 0.029424, 1.447097, -0.294297>
    }
    triangle {
      < 0.544890, 1.517317, -0.202895>,
      < 0.029424, 1.447097, -0.294297>,
      < 0.029371, 1.537686, -0.221297>
    }
    triangle {
      < 1.049237, 1.468262, -0.193473>,
      < 1.049270, 1.412390, -0.275864>,
      < 0.544936, 1.439349, -0.294267>
    }
    triangle {
      < 1.049237, 1.468262, -0.193473>,
      < 0.544936, 1.439349, -0.294267>,
      < 0.544890, 1.517317, -0.202895>
    }
    triangle {
      < 1.476973, 1.428061, -0.193420>,
      < 1.477000, 1.381472, -0.257459>,
      < 1.049270, 1.412390, -0.275864>
    }
    triangle {
      < 1.476973, 1.428061, -0.193420>,
      < 1.049270, 1.412390, -0.275864>,
      < 1.049237, 1.468262, -0.193473>
    }
    triangle {
      < 1.590322, 1.389584, -0.193379>,
      < 1.590345, 1.350600, -0.239064>,
      < 1.477000, 1.381472, -0.257459>
    }
    triangle {
      < 1.590322, 1.389584, -0.193379>,
      < 1.477000, 1.381472, -0.257459>,
      < 1.476973, 1.428061, -0.193420>
    }
    triangle {
      < 1.957058, 1.328730, -0.184312>,
      < 1.957074, 1.301611, -0.221008>,
      < 1.590345, 1.350600, -0.239064>
    }
    triangle {
      < 1.957058, 1.328730, -0.184312>,
      < 1.590345, 1.350600, -0.239064>,
      < 1.590322, 1.389584, -0.193379>
    }
    triangle {
      < 2.316907, 1.177742, -0.209101>,
      < 1.957074, 1.301611, -0.221008>,
      < 1.957058, 1.328730, -0.184312>
    }
    triangle {
      < -5.342500, 1.330765, -0.074823>,
      < -5.342496, 1.324280, -0.111539>,
      < -5.342496, 1.324163, -0.093181>
    }
    triangle {
      < -5.342500, 1.330765, -0.074823>,
      < -5.342496, 1.324163, -0.093181>,
      < -5.342493, 1.319139, -0.065816>
    }
    triangle {
      < -5.342500, 1.330765, -0.074823>,
      < -5.342506, 1.341078, -0.074829>,
      < -5.342496, 1.324280, -0.111539>
    }
    triangle {
      < -5.125829, 1.355306, -0.056471>,
      < -5.125834, 1.362914, -0.093199>,
      < -5.342506, 1.341078, -0.074829>
    }
    triangle {
      < -5.125829, 1.355306, -0.056471>,
      < -5.342506, 1.341078, -0.074829>,
      < -5.342500, 1.330765, -0.074823>
    }
    triangle {
      < -4.903797, 1.377534, -0.038482>,
      < -4.903806, 1.392730, -0.074856>,
      < -5.125834, 1.362914, -0.093199>
    }
    triangle {
      < -4.903797, 1.377534, -0.038482>,
      < -5.125834, 1.362914, -0.093199>,
      < -5.125829, 1.355306, -0.056471>
    }
    triangle {
      < -4.569840, 1.394147, -0.020123>,
      < -4.569872, 1.448652, -0.047533>,
      < -4.903806, 1.392730, -0.074856>
    }
    triangle {
      < -4.569840, 1.394147, -0.020123>,
      < -4.903806, 1.392730, -0.074856>,
      < -4.903797, 1.377534, -0.038482>
    }
    triangle {
      < -4.215777, 1.403326, 0.007244>,
      < -4.215837, 1.505684, -0.020206>,
      < -4.569872, 1.448652, -0.047533>
    }
    triangle {
      < -4.215777, 1.403326, 0.007244>,
      < -4.569872, 1.448652, -0.047533>,
      < -4.569840, 1.394147, -0.020123>
    }
    triangle {
      < -3.881655, 1.407286, 0.007256>,
      < -3.881720, 1.517317, 0.016518>,
      < -4.215837, 1.505684, -0.020206>
    }
    triangle {
      < -3.881655, 1.407286, 0.007256>,
      < -4.215837, 1.505684, -0.020206>,
      < -4.215777, 1.403326, 0.007244>
    }
    triangle {
      < -3.344794, 1.549805, 0.025513>,
      < -3.344786, 1.536815, -0.221438>,
      < -3.881720, 1.517317, 0.016518>
    }
    triangle {
      < -3.344794, 1.549805, 0.025513>,
      < -3.881720, 1.517317, 0.016518>,
      < -3.881655, 1.407286, 0.007256>
    }
    triangle {
      < -2.978665, 1.522626, -0.212050>,
      < -2.978641, 1.482339, -0.294455>,
      < -3.344786, 1.536815, -0.221438>
    }
    triangle {
      < -2.978665, 1.522626, -0.212050>,
      < -3.344786, 1.536815, -0.221438>,
      < -3.344794, 1.549805, 0.025513>
    }
    triangle {
      < -2.353020, 1.516505, -0.184657>,
      < -2.352980, 1.449097, -0.248678>,
      < -2.978641, 1.482339, -0.294455>
    }
    triangle {
      < -2.353020, 1.516505, -0.184657>,
      < -2.978641, 1.482339, -0.294455>,
      < -2.978665, 1.522626, -0.212050>
    }
    triangle {
      < -1.875699, 1.471120, -0.221320>,
      < -1.875646, 1.380545, -0.275959>,
      < -2.352980, 1.449097, -0.248678>
    }
    triangle {
      < -1.875699, 1.471120, -0.221320>,
      < -2.352980, 1.449097, -0.248678>,
      < -2.353020, 1.516505, -0.184657>
    }
    triangle {
      < -1.753618, 1.473692, -0.221316>,
      < -1.753557, 1.371610, -0.284946>,
      < -1.875646, 1.380545, -0.275959>
    }
    triangle {
      < -1.753618, 1.473692, -0.221316>,
      < -1.875646, 1.380545, -0.275959>,
      < -1.875699, 1.471120, -0.221320>
    }
    triangle {
      < -1.600542, 1.475311, -0.230311>,
      < -1.600487, 1.382146, -0.284949>,
      < -1.753557, 1.371610, -0.284946>
    }
    triangle {
      < -1.600542, 1.475311, -0.230311>,
      < -1.753557, 1.371610, -0.284946>,
      < -1.753618, 1.473692, -0.221316>
    }
    triangle {
      < -1.297497, 1.475375, -0.248658>,
      < -1.297436, 1.372953, -0.294288>,
      < -1.600487, 1.382146, -0.284949>
    }
    triangle {
      < -1.297497, 1.475375, -0.248658>,
      < -1.600487, 1.382146, -0.284949>,
      < -1.600542, 1.475311, -0.230311>
    }
    triangle {
      < -0.853200, 1.458519, -0.275983>,
      < -0.853141, 1.359028, -0.339974>,
      < -1.297436, 1.372953, -0.294288>
    }
    triangle {
      < -0.853200, 1.458519, -0.275983>,
      < -1.297436, 1.372953, -0.294288>,
      < -1.297497, 1.475375, -0.248658>
    }
    triangle {
      < -0.406728, 1.447078, -0.294316>,
      < -0.406666, 1.343327, -0.348944>,
      < -0.853141, 1.359028, -0.339974>
    }
    triangle {
      < -0.406728, 1.447078, -0.294316>,
      < -0.853141, 1.359028, -0.339974>,
      < -0.853200, 1.458519, -0.275983>
    }
    triangle {
      < 0.029424, 1.447097, -0.294297>,
      < 0.029480, 1.353915, -0.367293>,
      < -0.406666, 1.343327, -0.348944>
    }
    triangle {
      < 0.029424, 1.447097, -0.294297>,
      < -0.406666, 1.343327, -0.348944>,
      < -0.406728, 1.447078, -0.294316>
    }
    triangle {
      < 0.544936, 1.439349, -0.294267>,
      < 0.544986, 1.355436, -0.367273>,
      < 0.029480, 1.353915, -0.367293>
    }
    triangle {
      < 0.544936, 1.439349, -0.294267>,
      < 0.029480, 1.353915, -0.367293>,
      < 0.029424, 1.447097, -0.294297>
    }
    triangle {
      < 1.049270, 1.412390, -0.275864>,
      < 1.049331, 1.308970, -0.358213>,
      < 0.544986, 1.355436, -0.367273>
    }
    triangle {
      < 1.049270, 1.412390, -0.275864>,
      < 0.544986, 1.355436, -0.367273>,
      < 0.544936, 1.439349, -0.294267>
    }
    triangle {
      < 1.477000, 1.381472, -0.257459>,
      < 1.477065, 1.273062, -0.330443>,
      < 1.049331, 1.308970, -0.358213>
    }
    triangle {
      < 1.477000, 1.381472, -0.257459>,
      < 1.049331, 1.308970, -0.358213>,
      < 1.049270, 1.412390, -0.275864>
    }
    triangle {
      < 1.590345, 1.350600, -0.239064>,
      < 1.590393, 1.268928, -0.303071>,
      < 1.477065, 1.273062, -0.330443>
    }
    triangle {
      < 1.590345, 1.350600, -0.239064>,
      < 1.477065, 1.273062, -0.330443>,
      < 1.477000, 1.381472, -0.257459>
    }
    triangle {
      < 1.957074, 1.301611, -0.221008>,
      < 1.936402, 1.256296, -0.266688>,
      < 1.590393, 1.268928, -0.303071>
    }
    triangle {
      < 1.957074, 1.301611, -0.221008>,
      < 1.590393, 1.268928, -0.303071>,
      < 1.590345, 1.350600, -0.239064>
    }
    triangle {
      < 2.316907, 1.177742, -0.209101>,
      < 1.936402, 1.256296, -0.266688>,
      < 1.957074, 1.301611, -0.221008>
    }
    triangle {
      < -5.125834, 1.362914, -0.093199>,
      < -5.125817, 1.335584, -0.367495>,
      < -5.342467, 1.276125, -0.349091>
    }
    triangle {
      < -5.125834, 1.362914, -0.093199>,
      < -5.342467, 1.276125, -0.349091>,
      < -5.342506, 1.341078, -0.074829>
    }
    triangle {
      < -4.903806, 1.392730, -0.074856>,
      < -4.903790, 1.365376, -0.376512>,
      < -5.125817, 1.335584, -0.367495>
    }
    triangle {
      < -4.903806, 1.392730, -0.074856>,
      < -5.125817, 1.335584, -0.367495>,
      < -5.125834, 1.362914, -0.093199>
    }
    triangle {
      < -4.569872, 1.448652, -0.047533>,
      < -4.569856, 1.421258, -0.394908>,
      < -4.903790, 1.365376, -0.376512>
    }
    triangle {
      < -4.569872, 1.448652, -0.047533>,
      < -4.903790, 1.365376, -0.376512>,
      < -4.903806, 1.392730, -0.074856>
    }
    triangle {
      < -4.215837, 1.505684, -0.020206>,
      < -4.215818, 1.473067, -0.413299>,
      < -4.569856, 1.421258, -0.394908>
    }
    triangle {
      < -4.215837, 1.505684, -0.020206>,
      < -4.569856, 1.421258, -0.394908>,
      < -4.569872, 1.448652, -0.047533>
    }
    triangle {
      < -3.881720, 1.517317, 0.016518>,
      < -3.881699, 1.482060, -0.431653>,
      < -4.215818, 1.473067, -0.413299>
    }
    triangle {
      < -3.881720, 1.517317, 0.016518>,
      < -4.215818, 1.473067, -0.413299>,
      < -4.215837, 1.505684, -0.020206>
    }
    triangle {
      < -3.344786, 1.536815, -0.221438>,
      < -3.344742, 1.461720, -0.394891>,
      < -3.881699, 1.482060, -0.431653>
    }
    triangle {
      < -3.344786, 1.536815, -0.221438>,
      < -3.881699, 1.482060, -0.431653>,
      < -3.881720, 1.517317, 0.016518>
    }
    triangle {
      < -2.978641, 1.482339, -0.294455>,
      < -2.978614, 1.435691, -0.367494>,
      < -3.344742, 1.461720, -0.394891>
    }
    triangle {
      < -2.978641, 1.482339, -0.294455>,
      < -3.344742, 1.461720, -0.394891>,
      < -3.344786, 1.536815, -0.221438>
    }
    triangle {
      < -2.352980, 1.449097, -0.248678>,
      < -2.352947, 1.393250, -0.303349>,
      < -2.978614, 1.435691, -0.367494>
    }
    triangle {
      < -2.352980, 1.449097, -0.248678>,
      < -2.978614, 1.435691, -0.367494>,
      < -2.978641, 1.482339, -0.294455>
    }
    triangle {
      < -1.875646, 1.380545, -0.275959>,
      < -1.875608, 1.317075, -0.312623>,
      < -2.352947, 1.393250, -0.303349>
    }
    triangle {
      < -1.875646, 1.380545, -0.275959>,
      < -2.352947, 1.393250, -0.303349>,
      < -2.352980, 1.449097, -0.248678>
    }
    triangle {
      < -1.753557, 1.371610, -0.284946>,
      < -1.753508, 1.288693, -0.321592>,
      < -1.875608, 1.317075, -0.312623>
    }
    triangle {
      < -1.753557, 1.371610, -0.284946>,
      < -1.875608, 1.317075, -0.312623>,
      < -1.875646, 1.380545, -0.275959>
    }
    triangle {
      < -1.600487, 1.382146, -0.284949>,
      < -1.600422, 1.273397, -0.339933>,
      < -1.753508, 1.288693, -0.321592>
    }
    triangle {
      < -1.600487, 1.382146, -0.284949>,
      < -1.753508, 1.288693, -0.321592>,
      < -1.753557, 1.371610, -0.284946>
    }
    triangle {
      < -1.297436, 1.372953, -0.294288>,
      < -1.297376, 1.272200, -0.348918>,
      < -1.600422, 1.273397, -0.339933>
    }
    triangle {
      < -1.297436, 1.372953, -0.294288>,
      < -1.600422, 1.273397, -0.339933>,
      < -1.600487, 1.382146, -0.284949>
    }
    triangle {
      < -0.853141, 1.359028, -0.339974>,
      < -0.853073, 1.245113, -0.376235>,
      < -1.297376, 1.272200, -0.348918>
    }
    triangle {
      < -0.853141, 1.359028, -0.339974>,
      < -1.297376, 1.272200, -0.348918>,
      < -1.297436, 1.372953, -0.294288>
    }
    triangle {
      < -0.406666, 1.343327, -0.348944>,
      < -0.406610, 1.247646, -0.376220>,
      < -0.853073, 1.245113, -0.376235>
    }
    triangle {
      < -0.406666, 1.343327, -0.348944>,
      < -0.853073, 1.245113, -0.376235>,
      < -0.853141, 1.359028, -0.339974>
    }
    triangle {
      < 0.029480, 1.353915, -0.367293>,
      < 0.029541, 1.249342, -0.376202>,
      < -0.406610, 1.247646, -0.376220>
    }
    triangle {
      < 0.029480, 1.353915, -0.367293>,
      < -0.406610, 1.247646, -0.376220>,
      < -0.406666, 1.343327, -0.348944>
    }
    triangle {
      < 0.544986, 1.355436, -0.367273>,
      < 0.545042, 1.261042, -0.376190>,
      < 0.029541, 1.249342, -0.376202>
    }
    triangle {
      < 0.544986, 1.355436, -0.367273>,
      < 0.029541, 1.249342, -0.376202>,
      < 0.029480, 1.353915, -0.367293>
    }
    triangle {
      < 1.049331, 1.308970, -0.358213>,
      < 1.049370, 1.242991, -0.358155>,
      < 0.545042, 1.261042, -0.376190>
    }
    triangle {
      < 1.049331, 1.308970, -0.358213>,
      < 0.545042, 1.261042, -0.376190>,
      < 0.544986, 1.355436, -0.367273>
    }
    triangle {
      < -4.903480, 0.842749, -0.504207>,
      < -4.903382, 0.677186, -0.613861>,
      < -5.125420, 0.665595, -0.577139>
    }
    triangle {
      < -4.903480, 0.842749, -0.504207>,
      < -5.125420, 0.665595, -0.577139>,
      < -5.125514, 0.823517, -0.467479>
    }
    triangle {
      < -4.569531, 0.872723, -0.531583>,
      < -4.569427, 0.697879, -0.659588>,
      < -4.903382, 0.677186, -0.613861>
    }
    triangle {
      < -4.569531, 0.872723, -0.531583>,
      < -4.903382, 0.677186, -0.613861>,
      < -4.903480, 0.842749, -0.504207>
    }
    triangle {
      < -4.215490, 0.919467, -0.568328>,
      < -4.215398, 0.762800, -0.695989>,
      < -4.569427, 0.697879, -0.659588>
    }
    triangle {
      < -4.215490, 0.919467, -0.568328>,
      < -4.569427, 0.697879, -0.659588>,
      < -4.569531, 0.872723, -0.531583>
    }
    triangle {
      < -3.881384, 0.950424, -0.577343>,
      < -3.881290, 0.791148, -0.723723>,
      < -4.215398, 0.762800, -0.695989>
    }
    triangle {
      < -3.881384, 0.950424, -0.577343>,
      < -4.215398, 0.762800, -0.695989>,
      < -4.215490, 0.919467, -0.568328>
    }
    triangle {
      < -3.344454, 0.975174, -0.678142>,
      < -3.344383, 0.856196, -0.787477>,
      < -3.881290, 0.791148, -0.723723>
    }
    triangle {
      < -3.344454, 0.975174, -0.678142>,
      < -3.881290, 0.791148, -0.723723>,
      < -3.881384, 0.950424, -0.577343>
    }
    triangle {
      < -2.978340, 0.973707, -0.723845>,
      < -2.978285, 0.880554, -0.824203>,
      < -3.344383, 0.856196, -0.787477>
    }
    triangle {
      < -2.978340, 0.973707, -0.723845>,
      < -3.344383, 0.856196, -0.787477>,
      < -3.344454, 0.975174, -0.678142>
    }
    triangle {
      < -2.352709, 0.990747, -0.769553>,
      < -2.352654, 0.897550, -0.860911>,
      < -2.978285, 0.880554, -0.824203>
    }
    triangle {
      < -2.352709, 0.990747, -0.769553>,
      < -2.978285, 0.880554, -0.824203>,
      < -2.978340, 0.973707, -0.723845>
    }
    triangle {
      < -1.875422, 1.003802, -0.805908>,
      < -1.875368, 0.911926, -0.897266>,
      < -2.352654, 0.897550, -0.860911>
    }
    triangle {
      < -1.875422, 1.003802, -0.805908>,
      < -2.352654, 0.897550, -0.860911>,
      < -2.352709, 0.990747, -0.769553>
    }
    triangle {
      < -1.753331, 0.989817, -0.815249>,
      < -1.753284, 0.909392, -0.906616>,
      < -1.875368, 0.911926, -0.897266>
    }
    triangle {
      < -1.753331, 0.989817, -0.815249>,
      < -1.875368, 0.911926, -0.897266>,
      < -1.875422, 1.003802, -0.805908>
    }
    triangle {
      < -1.600260, 0.999989, -0.824252>,
      < -1.600212, 0.918650, -0.915620>,
      < -1.753284, 0.909392, -0.906616>
    }
    triangle {
      < -1.600260, 0.999989, -0.824252>,
      < -1.753284, 0.909392, -0.906616>,
      < -1.753331, 0.989817, -0.815249>
    }
    triangle {
      < -1.297222, 1.011911, -0.842608>,
      < -1.297168, 0.919985, -0.933966>,
      < -1.600212, 0.918650, -0.915620>
    }
    triangle {
      < -1.297222, 1.011911, -0.842608>,
      < -1.600212, 0.918650, -0.915620>,
      < -1.600260, 0.999989, -0.824252>
    }
    triangle {
      < -0.852940, 1.020813, -0.878957>,
      < -0.852901, 0.954710, -0.961339>,
      < -1.297168, 0.919985, -0.933966>
    }
    triangle {
      < -0.852940, 1.020813, -0.878957>,
      < -1.297168, 0.919985, -0.933966>,
      < -1.297222, 1.011911, -0.842608>
    }
    triangle {
      < -0.406483, 1.033858, -0.906671>,
      < -0.406445, 0.970347, -0.988694>,
      < -0.852901, 0.954710, -0.961339>
    }
    triangle {
      < -0.406483, 1.033858, -0.906671>,
      < -0.852901, 0.954710, -0.961339>,
      < -0.852940, 1.020813, -0.878957>
    }
    triangle {
      < 0.029654, 1.058763, -0.924675>,
      < 0.029709, 0.965567, -1.016032>,
      < -0.406445, 0.970347, -0.988694>
    }
    triangle {
      < 0.029654, 1.058763, -0.924675>,
      < -0.406445, 0.970347, -0.988694>,
      < -0.406483, 1.033858, -0.906671>
    }
    triangle {
      < 0.545143, 1.089952, -0.934040>,
      < 0.545188, 1.013254, -1.025413>,
      < 0.029709, 0.965567, -1.016032>
    }
    triangle {
      < 0.545143, 1.089952, -0.934040>,
      < 0.029709, 0.965567, -1.016032>,
      < 0.029654, 1.058763, -0.924675>
    }
    triangle {
      < 1.049448, 1.112056, -0.924679>,
      < 1.049492, 1.036737, -1.007053>,
      < 0.545188, 1.013254, -1.025413>
    }
    triangle {
      < 1.049448, 1.112056, -0.924679>,
      < 0.545188, 1.013254, -1.025413>,
      < 0.545143, 1.089952, -0.934040>
    }
    triangle {
      < 1.477137, 1.150732, -0.897334>,
      < 1.477191, 1.058813, -0.979693>,
      < 1.049492, 1.036737, -1.007053>
    }
    triangle {
      < 1.477137, 1.150732, -0.897334>,
      < 1.049492, 1.036737, -1.007053>,
      < 1.049448, 1.112056, -0.924679>
    }
    triangle {
      < 1.590457, 1.161269, -0.869978>,
      < 1.590511, 1.069335, -0.970336>,
      < 1.477191, 1.058813, -0.979693>
    }
    triangle {
      < 1.590457, 1.161269, -0.869978>,
      < 1.477191, 1.058813, -0.979693>,
      < 1.477137, 1.150732, -0.897334>
    }
    triangle {
      < 1.858863, 1.152359, -0.787519>,
      < 1.830542, 1.068023, -0.915605>,
      < 1.590511, 1.069335, -0.970336>
    }
    triangle {
      < 1.858863, 1.152359, -0.787519>,
      < 1.590511, 1.069335, -0.970336>,
      < 1.590457, 1.161269, -0.869978>
    }
    triangle {
      < -4.903382, 0.677186, -0.613861>,
      < -4.903296, 0.531194, -0.641091>,
      < -5.125344, 0.537415, -0.613746>
    }
    triangle {
      < -4.903382, 0.677186, -0.613861>,
      < -5.125344, 0.537415, -0.613746>,
      < -5.125420, 0.665595, -0.577139>
    }
    triangle {
      < -4.569427, 0.697879, -0.659588>,
      < -4.569324, 0.522219, -0.677793>,
      < -4.903296, 0.531194, -0.641091>
    }
    triangle {
      < -4.569427, 0.697879, -0.659588>,
      < -4.903296, 0.531194, -0.641091>,
      < -4.903382, 0.677186, -0.613861>
    }
    triangle {
      < -4.215398, 0.762800, -0.695989>,
      < -4.215249, 0.511843, -0.714127>,
      < -4.569324, 0.522219, -0.677793>
    }
    triangle {
      < -4.215398, 0.762800, -0.695989>,
      < -4.569324, 0.522219, -0.677793>,
      < -4.569427, 0.697879, -0.659588>
    }
    triangle {
      < -3.881290, 0.791148, -0.723723>,
      < -3.881128, 0.518288, -0.741480>,
      < -4.215249, 0.511843, -0.714127>
    }
    triangle {
      < -3.881290, 0.791148, -0.723723>,
      < -4.215249, 0.511843, -0.714127>,
      < -4.215398, 0.762800, -0.695989>
    }
    triangle {
      < -3.344383, 0.856196, -0.787477>,
      < -3.344187, 0.526181, -0.787183>,
      < -3.881128, 0.518288, -0.741480>
    }
    triangle {
      < -3.344383, 0.856196, -0.787477>,
      < -3.881128, 0.518288, -0.741480>,
      < -3.881290, 0.791148, -0.723723>
    }
    triangle {
      < -2.978285, 0.880554, -0.824203>,
      < -2.978085, 0.543313, -0.814902>,
      < -3.344187, 0.526181, -0.787183>
    }
    triangle {
      < -2.978285, 0.880554, -0.824203>,
      < -3.344187, 0.526181, -0.787183>,
      < -3.344383, 0.856196, -0.787477>
    }
    triangle {
      < -2.352654, 0.897550, -0.860911>,
      < -2.352475, 0.596298, -0.860644>,
      < -2.978085, 0.543313, -0.814902>
    }
    triangle {
      < -2.352654, 0.897550, -0.860911>,
      < -2.978085, 0.543313, -0.814902>,
      < -2.978285, 0.880554, -0.824203>
    }
    triangle {
      < -1.875368, 0.911926, -0.897266>,
      < -1.875186, 0.604356, -0.896991>,
      < -2.352475, 0.596298, -0.860644>
    }
    triangle {
      < -1.875368, 0.911926, -0.897266>,
      < -2.352475, 0.596298, -0.860644>,
      < -2.352654, 0.897550, -0.860911>
    }
    triangle {
      < -1.753284, 0.909392, -0.906616>,
      < -1.753109, 0.615788, -0.896996>,
      < -1.875186, 0.604356, -0.896991>
    }
    triangle {
      < -1.753284, 0.909392, -0.906616>,
      < -1.875186, 0.604356, -0.896991>,
      < -1.875368, 0.911926, -0.897266>
    }
    triangle {
      < -1.600212, 0.918650, -0.915620>,
      < -1.600033, 0.615788, -0.896990>,
      < -1.753109, 0.615788, -0.896996>
    }
    triangle {
      < -1.600212, 0.918650, -0.915620>,
      < -1.753109, 0.615788, -0.896996>,
      < -1.753284, 0.909392, -0.906616>
    }
    triangle {
      < -1.297168, 0.919985, -0.933966>,
      < -1.296985, 0.611941, -0.915335>,
      < -1.600033, 0.615788, -0.896990>
    }
    triangle {
      < -1.297168, 0.919985, -0.933966>,
      < -1.600033, 0.615788, -0.896990>,
      < -1.600212, 0.918650, -0.915620>
    }
    triangle {
      < -0.852901, 0.954710, -0.961339>,
      < -0.852705, 0.623848, -0.942685>,
      < -1.296985, 0.611941, -0.915335>
    }
    triangle {
      < -0.852901, 0.954710, -0.961339>,
      < -1.296985, 0.611941, -0.915335>,
      < -1.297168, 0.919985, -0.933966>
    }
    triangle {
      < -0.406445, 0.970347, -0.988694>,
      < -0.406248, 0.636886, -0.979400>,
      < -0.852705, 0.623848, -0.942685>
    }
    triangle {
      < -0.406445, 0.970347, -0.988694>,
      < -0.852705, 0.623848, -0.942685>,
      < -0.852901, 0.954710, -0.961339>
    }
    triangle {
      < 0.029709, 0.965567, -1.016032>,
      < 0.029886, 0.668118, -0.988410>,
      < -0.406248, 0.636886, -0.979400>
    }
    triangle {
      < 0.029709, 0.965567, -1.016032>,
      < -0.406248, 0.636886, -0.979400>,
      < -0.406445, 0.970347, -0.988694>
    }
    triangle {
      < 0.545188, 1.013254, -1.025413>,
      < 0.545357, 0.728932, -0.997800>,
      < 0.029886, 0.668118, -0.988410>
    }
    triangle {
      < 0.545188, 1.013254, -1.025413>,
      < 0.029886, 0.668118, -0.988410>,
      < 0.029709, 0.965567, -1.016032>
    }
    triangle {
      < 1.049492, 1.036737, -1.007053>,
      < 1.049640, 0.787432, -0.997833>,
      < 0.545357, 0.728932, -0.997800>
    }
    triangle {
      < 1.049492, 1.036737, -1.007053>,
      < 0.545357, 0.728932, -0.997800>,
      < 0.545188, 1.013254, -1.025413>
    }
    triangle {
      < 1.477191, 1.058813, -0.979693>,
      < 1.477331, 0.823517, -0.970125>,
      < 1.049640, 0.787432, -0.997833>
    }
    triangle {
      < 1.477191, 1.058813, -0.979693>,
      < 1.049640, 0.787432, -0.997833>,
      < 1.049492, 1.036737, -1.007053>
    }
    triangle {
      < 1.590511, 1.069335, -0.970336>,
      < 1.590644, 0.845488, -0.961138>,
      < 1.477331, 0.823517, -0.970125>
    }
    triangle {
      < 1.590511, 1.069335, -0.970336>,
      < 1.477331, 0.823517, -0.970125>,
      < 1.477191, 1.058813, -0.979693>
    }
    triangle {
      < 1.830542, 1.068023, -0.915605>,
      < 1.830657, 0.874211, -0.906433>,
      < 1.590644, 0.845488, -0.961138>
    }
    triangle {
      < 1.830542, 1.068023, -0.915605>,
      < 1.590644, 0.845488, -0.961138>,
      < 1.590511, 1.069335, -0.970336>
    }
    triangle {
      < -4.903296, 0.531194, -0.641091>,
      < -4.903183, 0.340894, -0.622561>,
      < -5.125235, 0.352486, -0.576862>
    }
    triangle {
      < -4.903296, 0.531194, -0.641091>,
      < -5.125235, 0.352486, -0.576862>,
      < -5.125344, 0.537415, -0.613746>
    }
    triangle {
      < -4.569324, 0.522219, -0.677793>,
      < -4.569214, 0.337332, -0.649909>,
      < -4.903183, 0.340894, -0.622561>
    }
    triangle {
      < -4.569324, 0.522219, -0.677793>,
      < -4.903183, 0.340894, -0.622561>,
      < -4.903296, 0.531194, -0.641091>
    }
    triangle {
      < -4.215249, 0.511843, -0.714127>,
      < -4.215136, 0.320638, -0.686597>,
      < -4.569214, 0.337332, -0.649909>
    }
    triangle {
      < -4.215249, 0.511843, -0.714127>,
      < -4.569214, 0.337332, -0.649909>,
      < -4.569324, 0.522219, -0.677793>
    }
    triangle {
      < -3.881128, 0.518288, -0.741480>,
      < -3.881002, 0.304995, -0.713932>,
      < -4.215136, 0.320638, -0.686597>
    }
    triangle {
      < -3.881128, 0.518288, -0.741480>,
      < -4.215136, 0.320638, -0.686597>,
      < -4.215249, 0.511843, -0.714127>
    }
    triangle {
      < -3.344187, 0.526181, -0.787183>,
      < -3.344072, 0.331098, -0.778010>,
      < -3.881002, 0.304995, -0.713932>
    }
    triangle {
      < -3.344187, 0.526181, -0.787183>,
      < -3.881002, 0.304995, -0.713932>,
      < -3.881128, 0.518288, -0.741480>
    }
    triangle {
      < -2.978085, 0.543313, -0.814902>,
      < -2.977953, 0.320746, -0.796345>,
      < -3.344072, 0.331098, -0.778010>
    }
    triangle {
      < -2.978085, 0.543313, -0.814902>,
      < -3.344072, 0.331098, -0.778010>,
      < -3.344187, 0.526181, -0.787183>
    }
    triangle {
      < -2.352475, 0.596298, -0.860644>,
      < -2.352322, 0.337785, -0.842054>,
      < -2.977953, 0.320746, -0.796345>
    }
    triangle {
      < -2.352475, 0.596298, -0.860644>,
      < -2.977953, 0.320746, -0.796345>,
      < -2.978085, 0.543313, -0.814902>
    }
    triangle {
      < -1.875186, 0.604356, -0.896991>,
      < -1.875015, 0.315767, -0.869376>,
      < -2.352322, 0.337785, -0.842054>
    }
    triangle {
      < -1.875186, 0.604356, -0.896991>,
      < -2.352322, 0.337785, -0.842054>,
      < -2.352475, 0.596298, -0.860644>
    }
    triangle {
      < -1.753109, 0.615788, -0.896996>,
      < -1.752932, 0.317011, -0.878372>,
      < -1.875015, 0.315767, -0.869376>
    }
    triangle {
      < -1.753109, 0.615788, -0.896996>,
      < -1.875015, 0.315767, -0.869376>,
      < -1.875186, 0.604356, -0.896991>
    }
    triangle {
      < -1.600033, 0.615788, -0.896990>,
      < -1.599857, 0.319958, -0.878368>,
      < -1.752932, 0.317011, -0.878372>
    }
    triangle {
      < -1.600033, 0.615788, -0.896990>,
      < -1.752932, 0.317011, -0.878372>,
      < -1.753109, 0.615788, -0.896996>
    }
    triangle {
      < -1.296985, 0.611941, -0.915335>,
      < -1.296818, 0.328925, -0.906083>,
      < -1.599857, 0.319958, -0.878368>
    }
    triangle {
      < -1.296985, 0.611941, -0.915335>,
      < -1.599857, 0.319958, -0.878368>,
      < -1.600033, 0.615788, -0.896990>
    }
    triangle {
      < -0.852705, 0.623848, -0.942685>,
      < -0.852552, 0.365277, -0.933456>,
      < -1.296818, 0.328925, -0.906083>
    }
    triangle {
      < -0.852705, 0.623848, -0.942685>,
      < -1.296818, 0.328925, -0.906083>,
      < -1.296985, 0.611941, -0.915335>
    }
    triangle {
      < -0.406248, 0.636886, -0.979400>,
      < -0.406118, 0.418179, -0.960845>,
      < -0.852552, 0.365277, -0.933456>
    }
    triangle {
      < -0.406248, 0.636886, -0.979400>,
      < -0.852552, 0.365277, -0.933456>,
      < -0.852705, 0.623848, -0.942685>
    }
    triangle {
      < 0.029886, 0.668118, -0.988410>,
      < 0.030005, 0.466309, -0.979231>,
      < -0.406118, 0.418179, -0.960845>
    }
    triangle {
      < 0.029886, 0.668118, -0.988410>,
      < -0.406118, 0.418179, -0.960845>,
      < -0.406248, 0.636886, -0.979400>
    }
    triangle {
      < 0.545357, 0.728932, -0.997800>,
      < 0.545443, 0.582965, -0.997671>,
      < 0.030005, 0.466309, -0.979231>
    }
    triangle {
      < 0.545357, 0.728932, -0.997800>,
      < 0.030005, 0.466309, -0.979231>,
      < 0.029886, 0.668118, -0.988410>
    }
    triangle {
      < 1.049640, 0.787432, -0.997833>,
      < 1.049748, 0.605121, -0.988310>,
      < 0.545443, 0.582965, -0.997671>
    }
    triangle {
      < 1.049640, 0.787432, -0.997833>,
      < 0.545443, 0.582965, -0.997671>,
      < 0.545357, 0.728932, -0.997800>
    }
    triangle {
      < 1.477331, 0.823517, -0.970125>,
      < 1.477455, 0.614068, -0.960939>,
      < 1.049748, 0.605121, -0.988310>
    }
    triangle {
      < 1.477331, 0.823517, -0.970125>,
      < 1.049748, 0.605121, -0.988310>,
      < 1.049640, 0.787432, -0.997833>
    }
    triangle {
      < 1.590644, 0.845488, -0.961138>,
      < 1.590782, 0.612749, -0.933573>,
      < 1.477455, 0.614068, -0.960939>
    }
    triangle {
      < 1.590644, 0.845488, -0.961138>,
      < 1.477455, 0.614068, -0.960939>,
      < 1.477331, 0.823517, -0.970125>
    }
    triangle {
      < 1.830657, 0.874211, -0.906433>,
      < 1.830795, 0.641472, -0.878507>,
      < 1.590782, 0.612749, -0.933573>
    }
    triangle {
      < 1.830657, 0.874211, -0.906433>,
      < 1.590782, 0.612749, -0.933573>,
      < 1.590644, 0.845488, -0.961138>
    }
    triangle {
      < -4.903183, 0.340894, -0.622561>,
      < -4.903094, 0.191088, -0.540349>,
      < -5.125142, 0.196411, -0.494643>
    }
    triangle {
      < -4.903183, 0.340894, -0.622561>,
      < -5.125142, 0.196411, -0.494643>,
      < -5.125235, 0.352486, -0.576862>
    }
    triangle {
      < -4.569214, 0.337332, -0.649909>,
      < -4.569123, 0.184704, -0.576692>,
      < -4.903094, 0.191088, -0.540349>
    }
    triangle {
      < -4.569214, 0.337332, -0.649909>,
      < -4.903094, 0.191088, -0.540349>,
      < -4.903183, 0.340894, -0.622561>
    }
    triangle {
      < -4.215136, 0.320638, -0.686597>,
      < -4.215060, 0.193817, -0.622404>,
      < -4.569123, 0.184704, -0.576692>
    }
    triangle {
      < -4.215136, 0.320638, -0.686597>,
      < -4.569123, 0.184704, -0.576692>,
      < -4.569214, 0.337332, -0.649909>
    }
    triangle {
      < -3.881002, 0.304995, -0.713932>,
      < -3.880928, 0.181129, -0.640740>,
      < -4.215060, 0.193817, -0.622404>
    }
    triangle {
      < -3.881002, 0.304995, -0.713932>,
      < -4.215060, 0.193817, -0.622404>,
      < -4.215136, 0.320638, -0.686597>
    }
    triangle {
      < -3.344072, 0.331098, -0.778010>,
      < -3.343991, 0.194063, -0.695449>,
      < -3.880928, 0.181129, -0.640740>
    }
    triangle {
      < -3.344072, 0.331098, -0.778010>,
      < -3.880928, 0.181129, -0.640740>,
      < -3.881002, 0.304995, -0.713932>
    }
    triangle {
      < -2.977953, 0.320746, -0.796345>,
      < -2.977879, 0.196516, -0.732154>,
      < -3.343991, 0.194063, -0.695449>
    }
    triangle {
      < -2.977953, 0.320746, -0.796345>,
      < -3.343991, 0.194063, -0.695449>,
      < -3.344072, 0.331098, -0.778010>
    }
    triangle {
      < -2.352322, 0.337785, -0.842054>,
      < -2.352235, 0.191467, -0.777844>,
      < -2.977879, 0.196516, -0.732154>
    }
    triangle {
      < -2.352322, 0.337785, -0.842054>,
      < -2.977879, 0.196516, -0.732154>,
      < -2.977953, 0.320746, -0.796345>
    }
    triangle {
      < -1.875015, 0.315767, -0.869376>,
      < -1.874931, 0.174922, -0.786813>,
      < -2.352235, 0.191467, -0.777844>
    }
    triangle {
      < -1.875015, 0.315767, -0.869376>,
      < -2.352235, 0.191467, -0.777844>,
      < -2.352322, 0.337785, -0.842054>
    }
    triangle {
      < -1.752932, 0.317011, -0.878372>,
      < -1.752857, 0.189284, -0.805178>,
      < -1.874931, 0.174922, -0.786813>
    }
    triangle {
      < -1.752932, 0.317011, -0.878372>,
      < -1.874931, 0.174922, -0.786813>,
      < -1.875015, 0.315767, -0.869376>
    }
    triangle {
      < -1.599857, 0.319958, -0.878368>,
      < -1.599775, 0.181652, -0.796166>,
      < -1.752857, 0.189284, -0.805178>
    }
    triangle {
      < -1.599857, 0.319958, -0.878368>,
      < -1.752857, 0.189284, -0.805178>,
      < -1.752932, 0.317011, -0.878372>
    }
    triangle {
      < -1.296818, 0.328925, -0.906083>,
      < -1.296752, 0.218967, -0.832545>,
      < -1.599775, 0.181652, -0.796166>
    }
    triangle {
      < -1.296818, 0.328925, -0.906083>,
      < -1.599775, 0.181652, -0.796166>,
      < -1.599857, 0.319958, -0.878368>
    }
    triangle {
      < -0.852552, 0.365277, -0.933456>,
      < -0.852477, 0.238472, -0.850903>,
      < -1.296752, 0.218967, -0.832545>
    }
    triangle {
      < -0.852552, 0.365277, -0.933456>,
      < -1.296752, 0.218967, -0.832545>,
      < -1.296818, 0.328925, -0.906083>
    }
    triangle {
      < -0.406118, 0.418179, -0.960845>,
      < -0.406035, 0.278604, -0.878281>,
      < -0.852477, 0.238472, -0.850903>
    }
    triangle {
      < -0.406118, 0.418179, -0.960845>,
      < -0.852477, 0.238472, -0.850903>,
      < -0.852552, 0.365277, -0.933456>
    }
    triangle {
      < 0.030005, 0.466309, -0.979231>,
      < 0.030081, 0.338226, -0.906037>,
      < -0.406035, 0.278604, -0.878281>
    }
    triangle {
      < 0.030005, 0.466309, -0.979231>,
      < -0.406035, 0.278604, -0.878281>,
      < -0.406118, 0.418179, -0.960845>
    }
    triangle {
      < 0.545443, 0.582965, -0.997671>,
      < 0.545520, 0.453546, -0.942476>,
      < 0.030081, 0.338226, -0.906037>
    }
    triangle {
      < 0.545443, 0.582965, -0.997671>,
      < 0.030081, 0.338226, -0.906037>,
      < 0.030005, 0.466309, -0.979231>
    }
    triangle {
      < 1.049748, 0.605121, -0.988310>,
      < 1.049803, 0.513316, -0.942508>,
      < 0.545520, 0.453546, -0.942476>
    }
    triangle {
      < 1.049748, 0.605121, -0.988310>,
      < 0.545520, 0.453546, -0.942476>,
      < 0.545443, 0.582965, -0.997671>
    }
    triangle {
      < 1.477455, 0.614068, -0.960939>,
      < 1.477493, 0.550662, -0.924162>,
      < 1.049803, 0.513316, -0.942508>
    }
    triangle {
      < 1.477455, 0.614068, -0.960939>,
      < 1.049803, 0.513316, -0.942508>,
      < 1.049748, 0.605121, -0.988310>
    }
    triangle {
      < 1.590782, 0.612749, -0.933573>,
      < 1.590809, 0.567527, -0.887812>,
      < 1.477493, 0.550662, -0.924162>
    }
    triangle {
      < 1.590782, 0.612749, -0.933573>,
      < 1.477493, 0.550662, -0.924162>,
      < 1.477455, 0.614068, -0.960939>
    }
    triangle {
      < 1.830795, 0.641472, -0.878507>,
      < 1.830822, 0.596233, -0.851106>,
      < 1.590809, 0.567527, -0.887812>
    }
    triangle {
      < 1.830795, 0.641472, -0.878507>,
      < 1.590809, 0.567527, -0.887812>,
      < 1.590782, 0.612749, -0.933573>
    }
    triangle {
      < -4.903094, 0.191088, -0.540349>,
      < -4.903036, 0.093072, -0.430461>,
      < -4.986583, 0.096799, -0.384754>
    }
    triangle {
      < -4.903094, 0.191088, -0.540349>,
      < -4.986583, 0.096799, -0.384754>,
      < -5.125142, 0.196411, -0.494643>
    }
    triangle {
      < -4.569123, 0.184704, -0.576692>,
      < -4.569074, 0.101907, -0.476178>,
      < -4.903036, 0.093072, -0.430461>
    }
    triangle {
      < -4.569123, 0.184704, -0.576692>,
      < -4.903036, 0.093072, -0.430461>,
      < -4.903094, 0.191088, -0.540349>
    }
    triangle {
      < -4.215060, 0.193817, -0.622404>,
      < -4.215012, 0.112275, -0.540251>,
      < -4.569074, 0.101907, -0.476178>
    }
    triangle {
      < -4.215060, 0.193817, -0.622404>,
      < -4.569074, 0.101907, -0.476178>,
      < -4.569123, 0.184704, -0.576692>
    }
    triangle {
      < -3.880928, 0.181129, -0.640740>,
      < -3.880897, 0.127936, -0.567612>,
      < -4.215012, 0.112275, -0.540251>
    }
    triangle {
      < -3.880928, 0.181129, -0.640740>,
      < -4.215012, 0.112275, -0.540251>,
      < -4.215060, 0.193817, -0.622404>
    }
    triangle {
      < -3.343991, 0.194063, -0.695449>,
      < -3.343953, 0.130681, -0.631673>,
      < -3.880897, 0.127936, -0.567612>
    }
    triangle {
      < -3.343991, 0.194063, -0.695449>,
      < -3.880897, 0.127936, -0.567612>,
      < -3.880928, 0.181129, -0.640740>
    }
    triangle {
      < -2.977879, 0.196516, -0.732154>,
      < -2.977835, 0.121642, -0.659008>,
      < -3.343953, 0.130681, -0.631673>
    }
    triangle {
      < -2.977879, 0.196516, -0.732154>,
      < -3.343953, 0.130681, -0.631673>,
      < -3.343991, 0.194063, -0.695449>
    }
    triangle {
      < -2.352235, 0.191467, -0.777844>,
      < -2.352192, 0.119192, -0.695340>,
      < -2.977835, 0.121642, -0.659008>
    }
    triangle {
      < -2.352235, 0.191467, -0.777844>,
      < -2.977835, 0.121642, -0.659008>,
      < -2.977879, 0.196516, -0.732154>
    }
    triangle {
      < -1.874931, 0.174922, -0.786813>,
      < -1.874895, 0.114087, -0.713678>,
      < -2.352192, 0.119192, -0.695340>
    }
    triangle {
      < -1.874931, 0.174922, -0.786813>,
      < -2.352192, 0.119192, -0.695340>,
      < -2.352235, 0.191467, -0.777844>
    }
    triangle {
      < -1.752857, 0.189284, -0.805178>,
      < -1.752814, 0.117016, -0.713673>,
      < -1.874895, 0.114087, -0.713678>
    }
    triangle {
      < -1.752857, 0.189284, -0.805178>,
      < -1.874895, 0.114087, -0.713678>,
      < -1.874931, 0.174922, -0.786813>
    }
    triangle {
      < -1.599775, 0.181652, -0.796166>,
      < -1.599737, 0.116958, -0.723028>,
      < -1.752814, 0.117016, -0.713673>
    }
    triangle {
      < -1.599775, 0.181652, -0.796166>,
      < -1.752814, 0.117016, -0.713673>,
      < -1.752857, 0.189284, -0.805178>
    }
    triangle {
      < -1.296752, 0.218967, -0.832545>,
      < -1.296698, 0.127262, -0.732024>,
      < -1.599737, 0.116958, -0.723028>
    }
    triangle {
      < -1.296752, 0.218967, -0.832545>,
      < -1.599737, 0.116958, -0.723028>,
      < -1.599775, 0.181652, -0.796166>
    }
    triangle {
      < -0.852477, 0.238472, -0.850903>,
      < -0.852422, 0.146758, -0.759381>,
      < -1.296698, 0.127262, -0.732024>
    }
    triangle {
      < -0.852477, 0.238472, -0.850903>,
      < -1.296698, 0.127262, -0.732024>,
      < -1.296752, 0.218967, -0.832545>
    }
    triangle {
      < -0.406035, 0.278604, -0.878281>,
      < -0.405987, 0.197434, -0.777769>,
      < -0.852422, 0.146758, -0.759381>
    }
    triangle {
      < -0.406035, 0.278604, -0.878281>,
      < -0.852422, 0.146758, -0.759381>,
      < -0.852477, 0.238472, -0.850903>
    }
    triangle {
      < 0.030081, 0.338226, -0.906037>,
      < 0.030136, 0.246470, -0.805155>,
      < -0.405987, 0.197434, -0.777769>
    }
    triangle {
      < 0.030081, 0.338226, -0.906037>,
      < -0.405987, 0.197434, -0.777769>,
      < -0.406035, 0.278604, -0.878281>
    }
    triangle {
      < 0.545520, 0.453546, -0.942476>,
      < 0.545575, 0.360560, -0.796234>,
      < 0.030136, 0.246470, -0.805155>
    }
    triangle {
      < 0.545520, 0.453546, -0.942476>,
      < 0.030136, 0.246470, -0.805155>,
      < 0.030081, 0.338226, -0.906037>
    }
    triangle {
      < 1.049803, 0.513316, -0.942508>,
      < 1.049845, 0.442109, -0.741205>,
      < 0.545575, 0.360560, -0.796234>
    }
    triangle {
      < 1.049803, 0.513316, -0.942508>,
      < 0.545575, 0.360560, -0.796234>,
      < 0.545520, 0.453546, -0.942476>
    }
    triangle {
      < 1.477493, 0.550662, -0.924162>,
      < 1.477508, 0.525196, -0.586099>,
      < 1.049845, 0.442109, -0.741205>
    }
    triangle {
      < 1.477493, 0.550662, -0.924162>,
      < 1.049845, 0.442109, -0.741205>,
      < 1.049803, 0.513316, -0.942508>
    }
    triangle {
      < 1.590809, 0.567527, -0.887812>,
      < 1.590824, 0.542061, -0.549389>,
      < 1.477508, 0.525196, -0.586099>
    }
    triangle {
      < 1.590809, 0.567527, -0.887812>,
      < 1.477508, 0.525196, -0.586099>,
      < 1.477493, 0.550662, -0.924162>
    }
    triangle {
      < 1.830822, 0.596233, -0.851106>,
      < 1.830831, 0.580980, -0.476332>,
      < 1.590824, 0.542061, -0.549389>
    }
    triangle {
      < 1.830822, 0.596233, -0.851106>,
      < 1.590824, 0.542061, -0.549389>,
      < 1.590809, 0.567527, -0.887812>
    }
    triangle {
      < -5.608105, 0.150988, -0.266028>,
      < -5.608013, -0.003503, -0.302255>,
      < -5.848690, -0.003672, -0.347962>
    }
    triangle {
      < -5.608105, 0.150988, -0.266028>,
      < -5.848690, -0.003672, -0.347962>,
      < -5.848784, 0.154880, -0.229315>
    }
    triangle {
      < -5.581955, 0.154973, -0.293387>,
      < -5.581861, -0.003493, -0.311602>,
      < -5.608013, -0.003503, -0.302255>
    }
    triangle {
      < -5.581955, 0.154973, -0.293387>,
      < -5.608013, -0.003503, -0.302255>,
      < -5.608105, 0.150988, -0.266028>
    }
    triangle {
      < -5.430664, 0.130344, -0.293361>,
      < -5.430585, -0.003414, -0.329599>,
      < -5.581861, -0.003493, -0.311602>
    }
    triangle {
      < -5.430664, 0.130344, -0.293361>,
      < -5.581861, -0.003493, -0.311602>,
      < -5.581955, 0.154973, -0.293387>
    }
    triangle {
      < -5.301895, 0.126402, -0.311714>,
      < -5.301818, -0.003343, -0.338959>,
      < -5.430585, -0.003414, -0.329599>
    }
    triangle {
      < -5.301895, 0.126402, -0.311714>,
      < -5.430585, -0.003414, -0.329599>,
      < -5.430664, 0.130344, -0.293361>
    }
    triangle {
      < -4.986583, 0.096799, -0.384754>,
      < -4.986524, -0.003183, -0.384671>,
      < -5.301818, -0.003343, -0.338959>
    }
    triangle {
      < -4.986583, 0.096799, -0.384754>,
      < -5.301818, -0.003343, -0.338959>,
      < -5.301895, 0.126402, -0.311714>
    }
    triangle {
      < -4.903036, 0.093072, -0.430461>,
      < -4.902979, -0.003172, -0.448740>,
      < -4.986524, -0.003183, -0.384671>
    }
    triangle {
      < -4.903036, 0.093072, -0.430461>,
      < -4.986524, -0.003183, -0.384671>,
      < -4.986583, 0.096799, -0.384754>
    }
    triangle {
      < -4.569074, 0.101907, -0.476178>,
      < -4.569012, -0.002995, -0.485089>,
      < -4.902979, -0.003172, -0.448740>
    }
    triangle {
      < -4.569074, 0.101907, -0.476178>,
      < -4.902979, -0.003172, -0.448740>,
      < -4.903036, 0.093072, -0.430461>
    }
    triangle {
      < -4.215012, 0.112275, -0.540251>,
      < -4.214944, -0.002807, -0.521787>,
      < -4.569012, -0.002995, -0.485089>
    }
    triangle {
      < -4.215012, 0.112275, -0.540251>,
      < -4.569012, -0.002995, -0.485089>,
      < -4.569074, 0.101907, -0.476178>
    }
    triangle {
      < -3.880897, 0.127936, -0.567612>,
      < -3.880819, -0.002631, -0.558137>,
      < -4.214944, -0.002807, -0.521787>
    }
    triangle {
      < -3.880897, 0.127936, -0.567612>,
      < -4.214944, -0.002807, -0.521787>,
      < -4.215012, 0.112275, -0.540251>
    }
    triangle {
      < -3.343953, 0.130681, -0.631673>,
      < -3.343874, -0.002350, -0.622199>,
      < -3.880819, -0.002631, -0.558137>
    }
    triangle {
      < -3.343953, 0.130681, -0.631673>,
      < -3.880819, -0.002631, -0.558137>,
      < -3.880897, 0.127936, -0.567612>
    }
    triangle {
      < -2.977835, 0.121642, -0.659008>,
      < -2.977762, -0.002144, -0.640545>,
      < -3.343874, -0.002350, -0.622199>
    }
    triangle {
      < -2.977835, 0.121642, -0.659008>,
      < -3.343874, -0.002350, -0.622199>,
      < -3.343953, 0.130681, -0.631673>
    }
    triangle {
      < -2.352192, 0.119192, -0.695340>,
      < -2.352121, -0.001795, -0.677238>,
      < -2.977762, -0.002144, -0.640545>
    }
    triangle {
      < -2.352192, 0.119192, -0.695340>,
      < -2.977762, -0.002144, -0.640545>,
      < -2.977835, 0.121642, -0.659008>
    }
    triangle {
      < -1.874895, 0.114087, -0.713678>,
      < -1.874827, -0.001523, -0.695224>,
      < -2.352121, -0.001795, -0.677238>
    }
    triangle {
      < -1.874895, 0.114087, -0.713678>,
      < -2.352121, -0.001795, -0.677238>,
      < -2.352192, 0.119192, -0.695340>
    }
    triangle {
      < -1.752814, 0.117016, -0.713673>,
      < -1.752744, -0.001456, -0.704582>,
      < -1.874827, -0.001523, -0.695224>
    }
    triangle {
      < -1.752814, 0.117016, -0.713673>,
      < -1.874827, -0.001523, -0.695224>,
      < -1.874895, 0.114087, -0.713678>
    }
    triangle {
      < -1.599737, 0.116958, -0.723028>,
      < -1.599667, -0.001366, -0.704579>,
      < -1.752744, -0.001456, -0.704582>
    }
    triangle {
      < -1.599737, 0.116958, -0.723028>,
      < -1.752744, -0.001456, -0.704582>,
      < -1.752814, 0.117016, -0.713673>
    }
    triangle {
      < -1.296698, 0.127262, -0.732024>,
      < -1.296622, -0.001191, -0.713565>,
      < -1.599667, -0.001366, -0.704579>
    }
    triangle {
      < -1.296698, 0.127262, -0.732024>,
      < -1.599667, -0.001366, -0.704579>,
      < -1.599737, 0.116958, -0.723028>
    }
    triangle {
      < -0.852422, 0.146758, -0.759381>,
      < -0.852335, -0.000939, -0.731905>,
      < -1.296622, -0.001191, -0.713565>
    }
    triangle {
      < -0.852422, 0.146758, -0.759381>,
      < -1.296622, -0.001191, -0.713565>,
      < -1.296698, 0.127262, -0.732024>
    }
    triangle {
      < -0.405987, 0.197434, -0.777769>,
      < -0.405870, -0.000690, -0.759254>,
      < -0.852335, -0.000939, -0.731905>
    }
    triangle {
      < -0.405987, 0.197434, -0.777769>,
      < -0.852335, -0.000939, -0.731905>,
      < -0.852422, 0.146758, -0.759381>
    }
    triangle {
      < 0.030136, 0.246470, -0.805155>,
      < 0.030282, -0.000448, -0.786595>,
      < -0.405870, -0.000690, -0.759254>
    }
    triangle {
      < 0.030136, 0.246470, -0.805155>,
      < -0.405870, -0.000690, -0.759254>,
      < -0.405987, 0.197434, -0.777769>
    }
    triangle {
      < 0.545575, 0.360560, -0.796234>,
      < 0.545789, -0.000159, -0.814291>,
      < 0.030282, -0.000448, -0.786595>
    }
    triangle {
      < 0.545575, 0.360560, -0.796234>,
      < 0.030282, -0.000448, -0.786595>,
      < 0.030136, 0.246470, -0.805155>
    }
    triangle {
      < -4.903547, 0.955432, -0.367147>,
      < -4.903480, 0.842749, -0.504207>,
      < -5.125514, 0.823517, -0.467479>
    }
    triangle {
      < -4.903547, 0.955432, -0.367147>,
      < -5.125514, 0.823517, -0.467479>,
      < -5.125601, 0.970245, -0.353490>
    }
    triangle {
      < -4.569590, 0.971108, -0.376149>,
      < -4.569531, 0.872723, -0.531583>,
      < -4.903480, 0.842749, -0.504207>
    }
    triangle {
      < -4.569590, 0.971108, -0.376149>,
      < -4.903480, 0.842749, -0.504207>,
      < -4.903547, 0.955432, -0.367147>
    }
    triangle {
      < -4.215527, 0.981566, -0.394501>,
      < -4.215490, 0.919467, -0.568328>,
      < -4.569531, 0.872723, -0.531583>
    }
    triangle {
      < -4.215527, 0.981566, -0.394501>,
      < -4.569531, 0.872723, -0.531583>,
      < -4.569590, 0.971108, -0.376149>
    }
    triangle {
      < -3.881416, 1.003554, -0.412869>,
      < -3.881384, 0.950424, -0.577343>,
      < -4.215490, 0.919467, -0.568328>
    }
    triangle {
      < -3.881416, 1.003554, -0.412869>,
      < -4.215490, 0.919467, -0.568328>,
      < -4.215527, 0.981566, -0.394501>
    }
    triangle {
      < -3.344477, 1.015250, -0.431217>,
      < -3.344454, 0.975174, -0.678142>,
      < -3.881384, 0.950424, -0.577343>
    }
    triangle {
      < -3.344477, 1.015250, -0.431217>,
      < -3.881384, 0.950424, -0.577343>,
      < -3.881416, 1.003554, -0.412869>
    }
    triangle {
      < -2.978369, 1.023125, -0.449567>,
      < -2.978340, 0.973707, -0.723845>,
      < -3.344454, 0.975174, -0.678142>
    }
    triangle {
      < -2.978369, 1.023125, -0.449567>,
      < -3.344454, 0.975174, -0.678142>,
      < -3.344477, 1.015250, -0.431217>
    }
    triangle {
      < -2.352729, 1.024553, -0.467541>,
      < -2.352709, 0.990747, -0.769553>,
      < -2.978340, 0.973707, -0.723845>
    }
    triangle {
      < -2.352729, 1.024553, -0.467541>,
      < -2.978340, 0.973707, -0.723845>,
      < -2.978369, 1.023125, -0.449567>
    }
    triangle {
      < -1.875443, 1.038902, -0.476897>,
      < -1.875422, 1.003802, -0.805908>,
      < -2.352709, 0.990747, -0.769553>
    }
    triangle {
      < -1.875443, 1.038902, -0.476897>,
      < -2.352709, 0.990747, -0.769553>,
      < -2.352729, 1.024553, -0.467541>
    }
    triangle {
      < -1.753364, 1.044821, -0.476895>,
      < -1.753331, 0.989817, -0.815249>,
      < -1.875422, 1.003802, -0.805908>
    }
    triangle {
      < -1.753364, 1.044821, -0.476895>,
      < -1.875422, 1.003802, -0.805908>,
      < -1.875443, 1.038902, -0.476897>
    }
    triangle {
      < -1.600290, 1.050757, -0.476895>,
      < -1.600260, 0.999989, -0.824252>,
      < -1.753331, 0.989817, -0.815249>
    }
    triangle {
      < -1.600290, 1.050757, -0.476895>,
      < -1.753331, 0.989817, -0.815249>,
      < -1.753364, 1.044821, -0.476895>
    }
    triangle {
      < -1.297252, 1.062629, -0.476892>,
      < -1.297222, 1.011911, -0.842608>,
      < -1.600260, 0.999989, -0.824252>
    }
    triangle {
      < -1.297252, 1.062629, -0.476892>,
      < -1.600260, 0.999989, -0.824252>,
      < -1.600290, 1.050757, -0.476895>
    }
    triangle {
      < -0.852974, 1.078281, -0.485887>,
      < -0.852940, 1.020813, -0.878957>,
      < -1.297222, 1.011911, -0.842608>
    }
    triangle {
      < -0.852974, 1.078281, -0.485887>,
      < -1.297222, 1.011911, -0.842608>,
      < -1.297252, 1.062629, -0.476892>
    }
    triangle {
      < -0.406519, 1.095220, -0.476884>,
      < -0.406483, 1.033858, -0.906671>,
      < -0.852940, 1.020813, -0.878957>
    }
    triangle {
      < -0.406519, 1.095220, -0.476884>,
      < -0.852940, 1.020813, -0.878957>,
      < -0.852974, 1.078281, -0.485887>
    }
    triangle {
      < 0.029622, 1.113481, -0.458521>,
      < 0.029654, 1.058763, -0.924675>,
      < -0.406483, 1.033858, -0.906671>
    }
    triangle {
      < 0.029622, 1.113481, -0.458521>,
      < -0.406483, 1.033858, -0.906671>,
      < -0.406519, 1.095220, -0.476884>
    }
    triangle {
      < 0.545112, 1.142103, -0.440165>,
      < 0.545143, 1.089952, -0.934040>,
      < 0.029654, 1.058763, -0.924675>
    }
    triangle {
      < 0.545112, 1.142103, -0.440165>,
      < 0.029654, 1.058763, -0.924675>,
      < 0.029622, 1.113481, -0.458521>
    }
    triangle {
      < 1.049414, 1.169297, -0.385450>,
      < 1.049448, 1.112056, -0.924679>,
      < 0.545143, 1.089952, -0.934040>
    }
    triangle {
      < 1.049414, 1.169297, -0.385450>,
      < 0.545143, 1.089952, -0.934040>,
      < 0.545112, 1.142103, -0.440165>
    }
    triangle {
      < 1.477103, 1.208354, -0.330385>,
      < 1.477137, 1.150732, -0.897334>,
      < 1.049448, 1.112056, -0.924679>
    }
    triangle {
      < 1.477103, 1.208354, -0.330385>,
      < 1.049448, 1.112056, -0.924679>,
      < 1.049414, 1.169297, -0.385450>
    }
    triangle {
      < 1.590427, 1.212164, -0.303021>,
      < 1.590457, 1.161269, -0.869978>,
      < 1.477137, 1.150732, -0.897334>
    }
    triangle {
      < 1.590427, 1.212164, -0.303021>,
      < 1.477137, 1.150732, -0.897334>,
      < 1.477103, 1.208354, -0.330385>
    }
    triangle {
      < 1.914521, 1.216078, -0.257293>,
      < 1.858863, 1.152359, -0.787519>,
      < 1.590457, 1.161269, -0.869978>
    }
    triangle {
      < 1.914521, 1.216078, -0.257293>,
      < 1.590457, 1.161269, -0.869978>,
      < 1.590427, 1.212164, -0.303021>
    }
    triangle {
      < 2.316907, 1.177742, -0.209101>,
      < 2.224801, 1.177269, -0.604646>,
      < 1.858863, 1.152359, -0.787519>
    }
    triangle {
      < 2.316907, 1.177742, -0.209101>,
      < 1.858863, 1.152359, -0.787519>,
      < 1.914521, 1.216078, -0.257293>
    }
    triangle {
      < -5.125817, 1.335584, -0.367495>,
      < -5.125601, 0.970245, -0.353490>,
      < -5.313087, 0.985079, -0.339832>
    }
    triangle {
      < -5.125817, 1.335584, -0.367495>,
      < -5.313087, 0.985079, -0.339832>,
      < -5.342467, 1.276125, -0.349091>
    }
    triangle {
      < -4.903790, 1.365376, -0.376512>,
      < -4.903547, 0.955432, -0.367147>,
      < -5.125601, 0.970245, -0.353490>
    }
    triangle {
      < -4.903790, 1.365376, -0.376512>,
      < -5.125601, 0.970245, -0.353490>,
      < -5.125817, 1.335584, -0.367495>
    }
    triangle {
      < -4.569856, 1.421258, -0.394908>,
      < -4.569590, 0.971108, -0.376149>,
      < -4.903547, 0.955432, -0.367147>
    }
    triangle {
      < -4.569856, 1.421258, -0.394908>,
      < -4.903547, 0.955432, -0.367147>,
      < -4.903790, 1.365376, -0.376512>
    }
    triangle {
      < -4.215818, 1.473067, -0.413299>,
      < -4.215527, 0.981566, -0.394501>,
      < -4.569590, 0.971108, -0.376149>
    }
    triangle {
      < -4.215818, 1.473067, -0.413299>,
      < -4.569590, 0.971108, -0.376149>,
      < -4.569856, 1.421258, -0.394908>
    }
    triangle {
      < -3.881699, 1.482060, -0.431653>,
      < -3.881416, 1.003554, -0.412869>,
      < -4.215527, 0.981566, -0.394501>
    }
    triangle {
      < -3.881699, 1.482060, -0.431653>,
      < -4.215527, 0.981566, -0.394501>,
      < -4.215818, 1.473067, -0.413299>
    }
    triangle {
      < -3.344742, 1.461720, -0.394891>,
      < -3.344477, 1.015250, -0.431217>,
      < -3.881416, 1.003554, -0.412869>
    }
    triangle {
      < -3.344742, 1.461720, -0.394891>,
      < -3.881416, 1.003554, -0.412869>,
      < -3.881699, 1.482060, -0.431653>
    }
    triangle {
      < -2.978614, 1.435691, -0.367494>,
      < -2.978369, 1.023125, -0.449567>,
      < -3.344477, 1.015250, -0.431217>
    }
    triangle {
      < -2.978614, 1.435691, -0.367494>,
      < -3.344477, 1.015250, -0.431217>,
      < -3.344742, 1.461720, -0.394891>
    }
    triangle {
      < -2.352947, 1.393250, -0.303349>,
      < -2.352729, 1.024553, -0.467541>,
      < -2.978369, 1.023125, -0.449567>
    }
    triangle {
      < -2.352947, 1.393250, -0.303349>,
      < -2.978369, 1.023125, -0.449567>,
      < -2.978614, 1.435691, -0.367494>
    }
    triangle {
      < -1.875608, 1.317075, -0.312623>,
      < -1.875443, 1.038902, -0.476897>,
      < -2.352729, 1.024553, -0.467541>
    }
    triangle {
      < -1.875608, 1.317075, -0.312623>,
      < -2.352729, 1.024553, -0.467541>,
      < -2.352947, 1.393250, -0.303349>
    }
    triangle {
      < -1.753508, 1.288693, -0.321592>,
      < -1.753364, 1.044821, -0.476895>,
      < -1.875443, 1.038902, -0.476897>
    }
    triangle {
      < -1.753508, 1.288693, -0.321592>,
      < -1.875443, 1.038902, -0.476897>,
      < -1.875608, 1.317075, -0.312623>
    }
    triangle {
      < -1.600422, 1.273397, -0.339933>,
      < -1.600290, 1.050757, -0.476895>,
      < -1.753364, 1.044821, -0.476895>
    }
    triangle {
      < -1.600422, 1.273397, -0.339933>,
      < -1.753364, 1.044821, -0.476895>,
      < -1.753508, 1.288693, -0.321592>
    }
    triangle {
      < -1.297376, 1.272200, -0.348918>,
      < -1.297252, 1.062629, -0.476892>,
      < -1.600290, 1.050757, -0.476895>
    }
    triangle {
      < -1.297376, 1.272200, -0.348918>,
      < -1.600290, 1.050757, -0.476895>,
      < -1.600422, 1.273397, -0.339933>
    }
    triangle {
      < -0.853073, 1.245113, -0.376235>,
      < -0.852974, 1.078281, -0.485887>,
      < -1.297252, 1.062629, -0.476892>
    }
    triangle {
      < -0.853073, 1.245113, -0.376235>,
      < -1.297252, 1.062629, -0.476892>,
      < -1.297376, 1.272200, -0.348918>
    }
    triangle {
      < -0.406610, 1.247646, -0.376220>,
      < -0.406519, 1.095220, -0.476884>,
      < -0.852974, 1.078281, -0.485887>
    }
    triangle {
      < -0.406610, 1.247646, -0.376220>,
      < -0.852974, 1.078281, -0.485887>,
      < -0.853073, 1.245113, -0.376235>
    }
    triangle {
      < 0.029541, 1.249342, -0.376202>,
      < 0.029622, 1.113481, -0.458521>,
      < -0.406519, 1.095220, -0.476884>
    }
    triangle {
      < 0.029541, 1.249342, -0.376202>,
      < -0.406519, 1.095220, -0.476884>,
      < -0.406610, 1.247646, -0.376220>
    }
    triangle {
      < 0.545042, 1.261042, -0.376190>,
      < 0.545112, 1.142103, -0.440165>,
      < 0.029622, 1.113481, -0.458521>
    }
    triangle {
      < 0.545042, 1.261042, -0.376190>,
      < 0.029622, 1.113481, -0.458521>,
      < 0.029541, 1.249342, -0.376202>
    }
    triangle {
      < 1.049370, 1.242991, -0.358155>,
      < 1.049414, 1.169297, -0.385450>,
      < 0.545112, 1.142103, -0.440165>
    }
    triangle {
      < 1.049370, 1.242991, -0.358155>,
      < 0.545112, 1.142103, -0.440165>,
      < 0.545042, 1.261042, -0.376190>
    }
    triangle {
      < -2.978477, 1.204679, 0.025833>,
      < -2.352752, 1.063809, 0.035342>,
      < -2.352807, 1.156932, 0.044259>
    }
    triangle {
      < -2.978477, 1.204679, 0.025833>,
      < -2.352807, 1.156932, 0.044259>,
      < -2.978641, 1.482705, 0.025587>
    }
    triangle {
      < 2.329592, 1.220422, -0.028679>,
      < 3.115825, 1.212944, -0.047000>,
      < 3.380886, 1.167590, -0.065308>
    }
    triangle {
      < 2.329592, 1.220422, -0.028679>,
      < 3.380886, 1.167590, -0.065308>,
      < 2.224801, 1.177269, -0.604646>
    }
    triangle {
      < 3.121228, 0.659484, -0.046509>,
      < 2.349109, 0.631880, -0.037517>,
      < 1.957471, 0.631994, -0.009814>
    }
    triangle {
      < 3.121228, 0.659484, -0.046509>,
      < 1.957471, 0.631994, -0.009814>,
      < 1.830831, 0.580980, -0.476332>
    }
    triangle {
      < 3.121228, 0.659484, -0.046509>,
      < 1.830831, 0.580980, -0.476332>,
      < 1.830822, 0.596233, -0.851106>
    }
    triangle {
      < 3.121228, 0.659484, -0.046509>,
      < 1.830822, 0.596233, -0.851106>,
      < 1.830795, 0.641472, -0.878507>
    }
    triangle {
      < 3.121228, 0.659484, -0.046509>,
      < 1.830795, 0.641472, -0.878507>,
      < 3.374605, 0.695747, -0.055530>
    }
    triangle {
      < 1.830795, 0.641472, -0.878507>,
      < 3.374605, 0.695747, -0.055530>,
      < 1.830822, 0.596233, -0.851106>
    }
    triangle {
      < 3.374605, 0.695747, -0.055530>,
      < 3.329058, 0.742989, -0.075923>,
      < 3.336863, 1.118049, -0.089197>
    }
    triangle {
      < 3.374605, 0.695747, -0.055530>,
      < 3.336863, 1.118049, -0.089197>,
      < 3.380886, 1.167590, -0.065308>
    }
    triangle {
      < 1.830822, 0.596233, -0.851106>,
      < 1.879465, 0.649479, -0.824776>,
      < 3.329058, 0.742989, -0.075923>
    }
    triangle {
      < 1.830822, 0.596233, -0.851106>,
      < 3.329058, 0.742989, -0.075923>,
      < 3.374605, 0.695747, -0.055530>
    }
    triangle {
      < 2.224801, 1.177269, -0.604646>,
      < 2.226850, 1.127294, -0.605828>,
      < 1.900676, 1.105063, -0.768971>
    }
    triangle {
      < 2.224801, 1.177269, -0.604646>,
      < 1.900676, 1.105063, -0.768971>,
      < 1.858863, 1.152359, -0.787519>
    }
    triangle {
      < 3.380886, 1.167590, -0.065308>,
      < 3.336863, 1.118049, -0.089197>,
      < 2.226850, 1.127294, -0.605828>
    }
    triangle {
      < 3.380886, 1.167590, -0.065308>,
      < 2.226850, 1.127294, -0.605828>,
      < 2.224801, 1.177269, -0.604646>
    }
    triangle {
      < 1.068886, 1.116705, -0.089196>,
      < 1.069109, 0.741650, -0.075923>,
      < 1.069163, 0.648999, -0.824776>
    }
    triangle {
      < 1.068886, 1.116705, -0.089196>,
      < 1.069163, 0.648999, -0.824776>,
      < 1.068893, 1.104570, -0.768971>
    }
    triangle {
      < 1.068886, 1.116705, -0.089196>,
      < 1.068893, 1.104570, -0.768971>,
      < 1.068880, 1.126608, -0.605828>
    }
    triangle {
      < 3.329058, 0.742989, -0.075923>,
      < 1.069109, 0.741650, -0.075923>,
      < 1.068886, 1.116705, -0.089196>
    }
    triangle {
      < 3.329058, 0.742989, -0.075923>,
      < 1.068886, 1.116705, -0.089196>,
      < 3.336863, 1.118049, -0.089197>
    }
    triangle {
      < 1.879465, 0.649479, -0.824776>,
      < 1.069163, 0.648999, -0.824776>,
      < 1.069109, 0.741650, -0.075923>
    }
    triangle {
      < 1.879465, 0.649479, -0.824776>,
      < 1.069109, 0.741650, -0.075923>,
      < 3.329058, 0.742989, -0.075923>
    }
    triangle {
      < 1.900676, 1.105063, -0.768971>,
      < 1.068893, 1.104570, -0.768971>,
      < 1.069163, 0.648999, -0.824776>
    }
    triangle {
      < 1.900676, 1.105063, -0.768971>,
      < 1.069163, 0.648999, -0.824776>,
      < 1.879465, 0.649479, -0.824776>
    }
    triangle {
      < 2.226850, 1.127294, -0.605828>,
      < 1.068880, 1.126608, -0.605828>,
      < 1.068893, 1.104570, -0.768971>
    }
    triangle {
      < 2.226850, 1.127294, -0.605828>,
      < 1.068893, 1.104570, -0.768971>,
      < 1.900676, 1.105063, -0.768971>
    }
    triangle {
      < 3.336863, 1.118049, -0.089197>,
      < 1.068886, 1.116705, -0.089196>,
      < 1.068880, 1.126608, -0.605828>
    }
    triangle {
      < 3.336863, 1.118049, -0.089197>,
      < 1.068880, 1.126608, -0.605828>,
      < 2.226850, 1.127294, -0.605828>
    }
    triangle {
      < 1.900676, 1.105063, -0.768971>,
      < 1.879465, 0.649479, -0.824776>,
      < 1.830795, 0.641472, -0.878507>
    }
    triangle {
      < 1.900676, 1.105063, -0.768971>,
      < 1.830795, 0.641472, -0.878507>,
      < 1.830657, 0.874211, -0.906433>
    }
    triangle {
      < 1.900676, 1.105063, -0.768971>,
      < 1.830657, 0.874211, -0.906433>,
      < 1.830542, 1.068023, -0.915605>
    }
    triangle {
      < 1.900676, 1.105063, -0.768971>,
      < 1.830542, 1.068023, -0.915605>,
      < 1.858863, 1.152359, -0.787519>
    }
    triangle {
      < 0.545575, 0.360560, -0.796234>,
      < 1.049845, 0.442109, -0.741205>,
      < 1.049965, 0.239135, -0.786745>
    }
    triangle {
      < 0.545575, 0.360560, -0.796234>,
      < 1.049965, 0.239135, -0.786745>,
      < 1.050107, 0.000129, -0.832263>
    }
    triangle {
      < 0.545789, -0.000159, -0.814291>,
      < 0.545575, 0.360560, -0.796234>,
      < 1.050107, 0.000129, -0.832263>
    }
    triangle {
      < -4.986583, 0.097155, 0.017725>,
      < -4.903038, 0.097205, 0.026733>,
      < -4.903036, 0.093072, -0.430461>
    }
    triangle {
      < -4.986583, 0.097155, 0.017725>,
      < -4.903036, 0.093072, -0.430461>,
      < -4.986583, 0.096799, -0.384754>
    }
    triangle {
      < -5.301884, 0.108618, -0.019015>,
      < -4.986583, 0.097155, 0.017725>,
      < -4.986583, 0.096799, -0.384754>
    }
    triangle {
      < -5.301884, 0.108618, -0.019015>,
      < -4.986583, 0.096799, -0.384754>,
      < -5.301895, 0.126402, -0.311714>
    }
    triangle {
      < -5.430657, 0.118995, -0.019027>,
      < -5.301884, 0.108618, -0.019015>,
      < -5.301895, 0.126402, -0.311714>
    }
    triangle {
      < -5.430657, 0.118995, -0.019027>,
      < -5.301895, 0.126402, -0.311714>,
      < -5.430664, 0.130344, -0.293361>
    }
    triangle {
      < -5.430657, 0.118995, -0.019027>,
      < -5.430664, 0.130344, -0.293361>,
      < -5.581955, 0.154973, -0.293387>
    }
    triangle {
      < -5.430657, 0.118995, -0.019027>,
      < -5.581955, 0.154973, -0.293387>,
      < -5.581944, 0.137173, -0.019048>
    }
    triangle {
      < -5.581944, 0.137173, -0.019048>,
      < -5.581955, 0.154973, -0.293387>,
      < -5.608105, 0.150988, -0.266028>
    }
    triangle {
      < -5.581944, 0.137173, -0.019048>,
      < -5.608105, 0.150988, -0.266028>,
      < -5.608095, 0.134303, -0.073772>
    }
    triangle {
      < -5.608095, 0.134303, -0.073772>,
      < -5.608105, 0.150988, -0.266028>,
      < -5.848784, 0.154880, -0.229315>
    }
    triangle {
      < -5.608095, 0.134303, -0.073772>,
      < -5.848784, 0.154880, -0.229315>,
      < -5.848788, 0.161345, -0.064802>
    }
    triangle {
      < -5.125601, 0.970245, -0.353490>,
      < -5.125601, 0.971137, -0.092850>,
      < -5.125688, 1.117485, -0.065620>
    }
    triangle {
      < -5.125601, 0.970245, -0.353490>,
      < -5.125688, 1.117485, -0.065620>,
      < -5.342367, 1.106812, -0.083979>
    }
    triangle {
      < -5.125601, 0.970245, -0.353490>,
      < -5.342367, 1.106812, -0.083979>,
      < -5.313087, 0.985079, -0.339832>
    }
    triangle {
      < -5.313087, 0.985079, -0.339832>,
      < -5.342367, 1.106812, -0.083979>,
      < -5.597421, 1.101686, -0.111347>
    }
    triangle {
      < -5.313087, 0.985079, -0.339832>,
      < -5.597421, 1.101686, -0.111347>,
      < -5.509931, 1.005457, -0.332838>
    }
    triangle {
      < -5.509931, 1.005457, -0.332838>,
      < -5.597421, 1.101686, -0.111347>,
      < -5.755248, 1.106716, -0.129718>
    }
    triangle {
      < -5.509931, 1.005457, -0.332838>,
      < -5.755248, 1.106716, -0.129718>,
      < -6.745873, 1.251413, -0.202968>
    }
    triangle {
      < -5.755248, 1.106716, -0.129718>,
      < -5.782325, 1.232452, 0.035050>,
      < -6.329472, 1.246395, -0.084146>
    }
    triangle {
      < -5.755248, 1.106716, -0.129718>,
      < -6.329472, 1.246395, -0.084146>,
      < -6.745873, 1.251413, -0.202968>
    }
    triangle {
      < -5.313087, 0.985079, -0.339832>,
      < -5.509931, 1.005457, -0.332838>,
      < -5.631318, 1.272290, -0.330740>
    }
    triangle {
      < -5.313087, 0.985079, -0.339832>,
      < -5.631318, 1.272290, -0.330740>,
      < -5.342467, 1.276125, -0.349091>
    }
    triangle {
      < -5.631318, 1.272290, -0.330740>,
      < -5.509931, 1.005457, -0.332838>,
      < -6.745873, 1.251413, -0.202968>
    }
    triangle {
      < -5.619638, 1.320532, 0.098698>,
      < -5.342514, 1.353986, 0.080682>,
      < -5.342467, 1.276125, -0.349091>
    }
    triangle {
      < -5.619638, 1.320532, 0.098698>,
      < -5.342467, 1.276125, -0.349091>,
      < -5.631318, 1.272290, -0.330740>
    }
    triangle {
      < -6.745873, 1.251413, -0.202968>,
      < -5.619638, 1.320532, 0.098698>,
      < -5.631318, 1.272290, -0.330740>
    }
    triangle {
      < -6.745873, 1.251413, -0.202968>,
      < -5.782325, 1.232452, 0.035050>,
      < -5.618141, 1.246533, 0.071404>
    }
    triangle {
      < -6.745873, 1.251413, -0.202968>,
      < -5.618141, 1.246533, 0.071404>,
      < -5.619638, 1.320532, 0.098698>
    }
    triangle {
      < -5.097622, 0.501933, -0.165297>,
      < -4.986583, 0.097155, 0.017725>,
      < -5.125249, 0.377867, 0.273438>
    }
    triangle {
      < -5.097622, 0.501933, -0.165297>,
      < -5.125249, 0.377867, 0.273438>,
      < -5.125346, 0.540748, 0.282293>
    }
    triangle {
      < -5.097622, 0.501933, -0.165297>,
      < -5.125346, 0.540748, 0.282293>,
      < -5.125460, 0.733608, 0.227401>
    }
    triangle {
      < -5.097622, 0.501933, -0.165297>,
      < -5.125460, 0.733608, 0.227401>,
      < -5.125542, 0.870601, 0.099119>
    }
    triangle {
      < -5.097622, 0.501933, -0.165297>,
      < -5.125542, 0.870601, 0.099119>,
      < -5.125601, 0.971137, -0.092850>
    }
    triangle {
      < -5.097622, 0.501933, -0.165297>,
      < -5.125601, 0.971137, -0.092850>,
      < -5.125601, 0.970245, -0.353490>
    }
    triangle {
      < -5.097622, 0.501933, -0.165297>,
      < -5.125601, 0.970245, -0.353490>,
      < -5.125514, 0.823517, -0.467479>
    }
    triangle {
      < -5.097622, 0.501933, -0.165297>,
      < -5.125514, 0.823517, -0.467479>,
      < -5.125420, 0.665595, -0.577139>
    }
    triangle {
      < -5.097622, 0.501933, -0.165297>,
      < -5.125420, 0.665595, -0.577139>,
      < -5.125344, 0.537415, -0.613746>
    }
    triangle {
      < -5.097622, 0.501933, -0.165297>,
      < -5.125344, 0.537415, -0.613746>,
      < -5.125235, 0.352486, -0.576862>
    }
    triangle {
      < -5.097622, 0.501933, -0.165297>,
      < -5.125235, 0.352486, -0.576862>,
      < -5.125142, 0.196411, -0.494643>
    }
    triangle {
      < -5.097622, 0.501933, -0.165297>,
      < -5.125142, 0.196411, -0.494643>,
      < -4.986583, 0.096799, -0.384754>
    }
    triangle {
      < -5.097622, 0.501933, -0.165297>,
      < -4.986583, 0.096799, -0.384754>,
      < -4.986583, 0.097155, 0.017725>
    }
    triangle {
      < -5.097622, 0.501933, -0.165297>,
      < -4.986583, 0.097155, 0.017725>,
      < -5.125143, 0.198264, 0.163796>
    }
    triangle {
      < -5.097622, 0.501933, -0.165297>,
      < -5.125143, 0.198264, 0.163796>,
      < -4.986583, 0.097155, 0.017725>
    }
    texture {fuselage}
  }
  // exhaust
  union {
    triangle {
      < -5.368534, 0.563933, -0.160590>,
      < -5.421299, 0.769796, -0.116993>,
      < -5.421275, 0.774367, -0.160746>
    }
    triangle {
      < -5.421275, 0.774367, -0.160746>,
      < -5.421299, 0.769796, -0.116993>,
      < -5.944393, 0.802792, -0.110246>
    }
    triangle {
      < -5.421275, 0.774367, -0.160746>,
      < -5.944393, 0.802792, -0.110246>,
      < -5.944366, 0.808103, -0.161076>
    }
    triangle {
      < -5.944366, 0.808103, -0.161076>,
      < -5.944393, 0.802792, -0.110246>,
      < -6.027978, 0.826966, -0.105162>
    }
    triangle {
      < -5.944366, 0.808103, -0.161076>,
      < -6.027978, 0.826966, -0.105162>,
      < -6.027948, 0.832815, -0.161141>
    }
    triangle {
      < -6.027948, 0.832815, -0.161141>,
      < -6.027978, 0.826966, -0.105162>,
      < -5.842303, 0.869466, -0.096070>
    }
    triangle {
      < -6.027948, 0.832815, -0.161141>,
      < -5.842303, 0.869466, -0.096070>,
      < -5.842268, 0.876256, -0.161056>
    }
    triangle {
      < -5.842268, 0.876256, -0.161056>,
      < -5.842303, 0.869466, -0.096070>,
      < -5.811332, 0.842234, -0.101826>
    }
    triangle {
      < -5.842268, 0.876256, -0.161056>,
      < -5.811332, 0.842234, -0.101826>,
      < -5.811301, 0.848419, -0.161021>
    }
    triangle {
      < -5.811301, 0.848419, -0.161021>,
      < -5.811332, 0.842234, -0.101826>,
      < -5.542048, 0.827254, -0.104874>
    }
    triangle {
      < -5.811301, 0.848419, -0.161021>,
      < -5.542048, 0.827254, -0.104874>,
      < -5.542018, 0.833103, -0.160853>
    }
    triangle {
      < -5.542018, 0.833103, -0.160853>,
      < -5.542048, 0.827254, -0.104874>,
      < -5.378057, 0.893964, -0.090663>
    }
    triangle {
      < -5.542018, 0.833103, -0.160853>,
      < -5.378057, 0.893964, -0.090663>,
      < -5.378019, 0.901292, -0.160796>
    }
    triangle {
      < -5.378019, 0.901292, -0.160796>,
      < -5.378057, 0.893964, -0.090663>,
      < -5.399755, 0.939369, -0.081052>
    }
    triangle {
      < -5.378019, 0.901292, -0.160796>,
      < -5.399755, 0.939369, -0.081052>,
      < -5.399712, 0.947706, -0.160836>
    }
    triangle {
      < -5.399712, 0.947706, -0.160836>,
      < -5.399755, 0.939369, -0.081052>,
      < -5.226462, 0.984890, -0.071325>
    }
    triangle {
      < -5.399712, 0.947706, -0.160836>,
      < -5.226462, 0.984890, -0.071325>,
      < -5.226415, 0.994235, -0.160761>
    }
    triangle {
      < -5.226415, 0.994235, -0.160761>,
      < -5.226462, 0.984890, -0.071325>,
      < -5.226441, 0.957639, -0.077099>
    }
    triangle {
      < -5.226415, 0.994235, -0.160761>,
      < -5.226441, 0.957639, -0.077099>,
      < -5.226398, 0.966379, -0.160745>
    }
    triangle {
      < -5.226398, 0.966379, -0.160745>,
      < -5.226441, 0.957639, -0.077099>,
      < -5.207872, 0.957650, -0.077088>
    }
    triangle {
      < -5.226398, 0.966379, -0.160745>,
      < -5.207872, 0.957650, -0.077088>,
      < -5.207827, 0.966390, -0.160734>
    }
    triangle {
      < -5.207827, 0.966390, -0.160734>,
      < -5.207872, 0.957650, -0.077088>,
      < -5.207896, 0.990957, -0.070030>
    }
    triangle {
      < -5.207827, 0.966390, -0.160734>,
      < -5.207896, 0.990957, -0.070030>,
      < -5.207847, 1.000436, -0.160754>
    }
    triangle {
      < -5.207847, 1.000436, -0.160754>,
      < -5.207896, 0.990957, -0.070030>,
      < -5.124329, 0.991006, -0.069981>
    }
    triangle {
      < -5.207847, 1.000436, -0.160754>,
      < -5.124329, 0.991006, -0.069981>,
      < -5.124280, 1.000485, -0.160704>
    }
    triangle {
      < -5.124280, 1.000485, -0.160704>,
      < -5.124329, 0.991006, -0.069981>,
      < -4.870223, 0.564228, -0.160295>
    }
    triangle {
      < -5.368534, 0.563933, -0.160590>,
      < -5.421315, 0.756229, -0.075146>,
      < -5.421299, 0.769796, -0.116993>
    }
    triangle {
      < -5.421299, 0.769796, -0.116993>,
      < -5.421315, 0.756229, -0.075146>,
      < -5.944412, 0.787031, -0.061629>
    }
    triangle {
      < -5.421299, 0.769796, -0.116993>,
      < -5.944412, 0.787031, -0.061629>,
      < -5.944393, 0.802792, -0.110246>
    }
    triangle {
      < -5.944393, 0.802792, -0.110246>,
      < -5.944412, 0.787031, -0.061629>,
      < -6.028000, 0.809608, -0.051623>
    }
    triangle {
      < -5.944393, 0.802792, -0.110246>,
      < -6.028000, 0.809608, -0.051623>,
      < -6.027978, 0.826966, -0.105162>
    }
    triangle {
      < -6.027978, 0.826966, -0.105162>,
      < -6.028000, 0.809608, -0.051623>,
      < -5.842328, 0.849316, -0.033915>
    }
    triangle {
      < -6.027978, 0.826966, -0.105162>,
      < -5.842328, 0.849316, -0.033915>,
      < -5.842303, 0.869466, -0.096070>
    }
    triangle {
      < -5.842303, 0.869466, -0.096070>,
      < -5.842328, 0.849316, -0.033915>,
      < -5.811354, 0.823879, -0.045209>
    }
    triangle {
      < -5.842303, 0.869466, -0.096070>,
      < -5.811354, 0.823879, -0.045209>,
      < -5.811332, 0.842234, -0.101826>
    }
    triangle {
      < -5.811332, 0.842234, -0.101826>,
      < -5.811354, 0.823879, -0.045209>,
      < -5.542070, 0.809897, -0.051335>
    }
    triangle {
      < -5.811332, 0.842234, -0.101826>,
      < -5.542070, 0.809897, -0.051335>,
      < -5.542048, 0.827254, -0.104874>
    }
    triangle {
      < -5.542048, 0.827254, -0.104874>,
      < -5.542070, 0.809897, -0.051335>,
      < -5.378084, 0.872217, -0.023584>
    }
    triangle {
      < -5.542048, 0.827254, -0.104874>,
      < -5.378084, 0.872217, -0.023584>,
      < -5.378057, 0.893964, -0.090663>
    }
    triangle {
      < -5.378057, 0.893964, -0.090663>,
      < -5.378084, 0.872217, -0.023584>,
      < -5.399784, 0.914629, -0.004742>
    }
    triangle {
      < -5.378057, 0.893964, -0.090663>,
      < -5.399784, 0.914629, -0.004742>,
      < -5.399755, 0.939369, -0.081052>
    }
    triangle {
      < -5.399755, 0.939369, -0.081052>,
      < -5.399784, 0.914629, -0.004742>,
      < -5.226497, 0.957157, 0.014216>
    }
    triangle {
      < -5.399755, 0.939369, -0.081052>,
      < -5.226497, 0.957157, 0.014216>,
      < -5.226462, 0.984890, -0.071325>
    }
    triangle {
      < -5.226462, 0.984890, -0.071325>,
      < -5.226497, 0.957157, 0.014216>,
      < -5.226475, 0.931703, 0.002903>
    }
    triangle {
      < -5.226462, 0.984890, -0.071325>,
      < -5.226475, 0.931703, 0.002903>,
      < -5.226441, 0.957639, -0.077099>
    }
    triangle {
      < -5.226441, 0.957639, -0.077099>,
      < -5.226475, 0.931703, 0.002903>,
      < -5.207904, 0.931714, 0.002914>
    }
    triangle {
      < -5.226441, 0.957639, -0.077099>,
      < -5.207904, 0.931714, 0.002914>,
      < -5.207872, 0.957650, -0.077088>
    }
    triangle {
      < -5.207872, 0.957650, -0.077088>,
      < -5.207904, 0.931714, 0.002914>,
      < -5.207931, 0.962826, 0.016740>
    }
    triangle {
      < -5.207872, 0.957650, -0.077088>,
      < -5.207931, 0.962826, 0.016740>,
      < -5.207896, 0.990957, -0.070030>
    }
    triangle {
      < -5.207896, 0.990957, -0.070030>,
      < -5.207931, 0.962826, 0.016740>,
      < -5.124363, 0.962875, 0.016790>
    }
    triangle {
      < -5.207896, 0.990957, -0.070030>,
      < -5.124363, 0.962875, 0.016790>,
      < -5.124329, 0.991006, -0.069981>
    }
    triangle {
      < -5.124329, 0.991006, -0.069981>,
      < -5.124363, 0.962875, 0.016790>,
      < -4.870223, 0.564228, -0.160295>
    }
    triangle {
      < -5.368534, 0.563933, -0.160590>,
      < -5.421324, 0.734261, -0.037033>,
      < -5.421315, 0.756229, -0.075146>
    }
    triangle {
      < -5.421315, 0.756229, -0.075146>,
      < -5.421324, 0.734261, -0.037033>,
      < -5.944424, 0.761508, -0.017351>
    }
    triangle {
      < -5.421315, 0.756229, -0.075146>,
      < -5.944424, 0.761508, -0.017351>,
      < -5.944412, 0.787031, -0.061629>
    }
    triangle {
      < -5.944412, 0.787031, -0.061629>,
      < -5.944424, 0.761508, -0.017351>,
      < -6.028010, 0.781500, -0.002861>
    }
    triangle {
      < -5.944412, 0.787031, -0.061629>,
      < -6.028010, 0.781500, -0.002861>,
      < -6.028000, 0.809608, -0.051623>
    }
    triangle {
      < -6.028000, 0.809608, -0.051623>,
      < -6.028010, 0.781500, -0.002861>,
      < -5.842341, 0.816684, 0.022694>
    }
    triangle {
      < -6.028000, 0.809608, -0.051623>,
      < -5.842341, 0.816684, 0.022694>,
      < -5.842328, 0.849316, -0.033915>
    }
    triangle {
      < -5.842328, 0.849316, -0.033915>,
      < -5.842341, 0.816684, 0.022694>,
      < -5.811367, 0.794155, 0.006354>
    }
    triangle {
      < -5.842328, 0.849316, -0.033915>,
      < -5.811367, 0.794155, 0.006354>,
      < -5.811354, 0.823879, -0.045209>
    }
    triangle {
      < -5.811354, 0.823879, -0.045209>,
      < -5.811367, 0.794155, 0.006354>,
      < -5.542082, 0.781788, -0.002573>
    }
    triangle {
      < -5.811354, 0.823879, -0.045209>,
      < -5.542082, 0.781788, -0.002573>,
      < -5.542070, 0.809897, -0.051335>
    }
    triangle {
      < -5.542070, 0.809897, -0.051335>,
      < -5.542082, 0.781788, -0.002573>,
      < -5.378099, 0.837002, 0.037508>
    }
    triangle {
      < -5.542070, 0.809897, -0.051335>,
      < -5.378099, 0.837002, 0.037508>,
      < -5.378084, 0.872217, -0.023584>
    }
    triangle {
      < -5.378084, 0.872217, -0.023584>,
      < -5.378099, 0.837002, 0.037508>,
      < -5.399802, 0.874569, 0.064758>
    }
    triangle {
      < -5.378084, 0.872217, -0.023584>,
      < -5.399802, 0.874569, 0.064758>,
      < -5.399784, 0.914629, -0.004742>
    }
    triangle {
      < -5.399784, 0.914629, -0.004742>,
      < -5.399802, 0.874569, 0.064758>,
      < -5.226516, 0.912250, 0.092122>
    }
    triangle {
      < -5.399784, 0.914629, -0.004742>,
      < -5.226516, 0.912250, 0.092122>,
      < -5.226497, 0.957157, 0.014216>
    }
    triangle {
      < -5.226497, 0.957157, 0.014216>,
      < -5.226516, 0.912250, 0.092122>,
      < -5.226493, 0.889703, 0.075765>
    }
    triangle {
      < -5.226497, 0.957157, 0.014216>,
      < -5.226493, 0.889703, 0.075765>,
      < -5.226475, 0.931703, 0.002903>
    }
    triangle {
      < -5.226475, 0.931703, 0.002903>,
      < -5.226493, 0.889703, 0.075765>,
      < -5.207922, 0.889714, 0.075776>
    }
    triangle {
      < -5.226475, 0.931703, 0.002903>,
      < -5.207922, 0.889714, 0.075776>,
      < -5.207904, 0.931714, 0.002914>
    }
    triangle {
      < -5.207904, 0.931714, 0.002914>,
      < -5.207922, 0.889714, 0.075776>,
      < -5.207951, 0.917272, 0.095768>
    }
    triangle {
      < -5.207904, 0.931714, 0.002914>,
      < -5.207951, 0.917272, 0.095768>,
      < -5.207931, 0.962826, 0.016740>
    }
    triangle {
      < -5.207931, 0.962826, 0.016740>,
      < -5.207951, 0.917272, 0.095768>,
      < -5.124382, 0.917321, 0.095817>
    }
    triangle {
      < -5.207931, 0.962826, 0.016740>,
      < -5.124382, 0.917321, 0.095817>,
      < -5.124363, 0.962875, 0.016790>
    }
    triangle {
      < -5.124363, 0.962875, 0.016790>,
      < -5.124382, 0.917321, 0.095817>,
      < -4.870223, 0.564228, -0.160295>
    }
    triangle {
      < -5.368534, 0.563933, -0.160590>,
      < -5.421326, 0.704848, -0.004321>,
      < -5.421324, 0.734261, -0.037033>
    }
    triangle {
      < -5.421324, 0.734261, -0.037033>,
      < -5.421326, 0.704848, -0.004321>,
      < -5.944426, 0.727339, 0.020654>
    }
    triangle {
      < -5.421324, 0.734261, -0.037033>,
      < -5.944426, 0.727339, 0.020654>,
      < -5.944424, 0.761508, -0.017351>
    }
    triangle {
      < -5.944424, 0.761508, -0.017351>,
      < -5.944426, 0.727339, 0.020654>,
      < -6.028014, 0.743871, 0.038993>
    }
    triangle {
      < -5.944424, 0.761508, -0.017351>,
      < -6.028014, 0.743871, 0.038993>,
      < -6.028010, 0.781500, -0.002861>
    }
    triangle {
      < -6.028010, 0.781500, -0.002861>,
      < -6.028014, 0.743871, 0.038993>,
      < -5.842345, 0.772999, 0.071283>
    }
    triangle {
      < -6.028010, 0.781500, -0.002861>,
      < -5.842345, 0.772999, 0.071283>,
      < -5.842341, 0.816684, 0.022694>
    }
    triangle {
      < -5.842341, 0.816684, 0.022694>,
      < -5.842345, 0.772999, 0.071283>,
      < -5.811371, 0.754363, 0.050614>
    }
    triangle {
      < -5.842341, 0.816684, 0.022694>,
      < -5.811371, 0.754363, 0.050614>,
      < -5.811367, 0.794155, 0.006354>
    }
    triangle {
      < -5.811367, 0.794155, 0.006354>,
      < -5.811371, 0.754363, 0.050614>,
      < -5.542085, 0.744159, 0.039281>
    }
    triangle {
      < -5.811367, 0.794155, 0.006354>,
      < -5.542085, 0.744159, 0.039281>,
      < -5.542082, 0.781788, -0.002573>
    }
    triangle {
      < -5.542082, 0.781788, -0.002573>,
      < -5.542085, 0.744159, 0.039281>,
      < -5.378102, 0.789856, 0.089946>
    }
    triangle {
      < -5.542082, 0.781788, -0.002573>,
      < -5.378102, 0.789856, 0.089946>,
      < -5.378099, 0.837002, 0.037508>
    }
    triangle {
      < -5.378099, 0.837002, 0.037508>,
      < -5.378102, 0.789856, 0.089946>,
      < -5.399806, 0.820935, 0.124412>
    }
    triangle {
      < -5.378099, 0.837002, 0.037508>,
      < -5.399806, 0.820935, 0.124412>,
      < -5.399802, 0.874569, 0.064758>
    }
    triangle {
      < -5.399802, 0.874569, 0.064758>,
      < -5.399806, 0.820935, 0.124412>,
      < -5.226520, 0.852129, 0.158992>
    }
    triangle {
      < -5.399802, 0.874569, 0.064758>,
      < -5.226520, 0.852129, 0.158992>,
      < -5.226516, 0.912250, 0.092122>
    }
    triangle {
      < -5.226516, 0.912250, 0.092122>,
      < -5.226520, 0.852129, 0.158992>,
      < -5.226497, 0.833474, 0.138305>
    }
    triangle {
      < -5.226516, 0.912250, 0.092122>,
      < -5.226497, 0.833474, 0.138305>,
      < -5.226493, 0.889703, 0.075765>
    }
    triangle {
      < -5.226493, 0.889703, 0.075765>,
      < -5.226497, 0.833474, 0.138305>,
      < -5.207926, 0.833485, 0.138316>
    }
    triangle {
      < -5.226493, 0.889703, 0.075765>,
      < -5.207926, 0.833485, 0.138316>,
      < -5.207922, 0.889714, 0.075776>
    }
    triangle {
      < -5.207922, 0.889714, 0.075776>,
      < -5.207926, 0.833485, 0.138316>,
      < -5.207954, 0.856285, 0.163600>
    }
    triangle {
      < -5.207922, 0.889714, 0.075776>,
      < -5.207954, 0.856285, 0.163600>,
      < -5.207951, 0.917272, 0.095768>
    }
    triangle {
      < -5.207951, 0.917272, 0.095768>,
      < -5.207954, 0.856285, 0.163600>,
      < -5.124386, 0.856334, 0.163650>
    }
    triangle {
      < -5.207951, 0.917272, 0.095768>,
      < -5.124386, 0.856334, 0.163650>,
      < -5.124382, 0.917321, 0.095817>
    }
    triangle {
      < -5.124382, 0.917321, 0.095817>,
      < -5.124386, 0.856334, 0.163650>,
      < -4.870223, 0.564228, -0.160295>
    }
    triangle {
      < -5.368534, 0.563933, -0.160590>,
      < -5.421322, 0.669278, 0.021564>,
      < -5.421326, 0.704848, -0.004321>
    }
    triangle {
      < -5.421326, 0.704848, -0.004321>,
      < -5.421322, 0.669278, 0.021564>,
      < -5.944420, 0.686014, 0.050726>
    }
    triangle {
      < -5.421326, 0.704848, -0.004321>,
      < -5.944420, 0.686014, 0.050726>,
      < -5.944426, 0.727339, 0.020654>
    }
    triangle {
      < -5.944426, 0.727339, 0.020654>,
      < -5.944420, 0.686014, 0.050726>,
      < -6.028007, 0.698363, 0.072110>
    }
    triangle {
      < -5.944426, 0.727339, 0.020654>,
      < -6.028007, 0.698363, 0.072110>,
      < -6.028014, 0.743871, 0.038993>
    }
    triangle {
      < -6.028014, 0.743871, 0.038993>,
      < -6.028007, 0.698363, 0.072110>,
      < -5.842336, 0.720168, 0.109729>
    }
    triangle {
      < -6.028014, 0.743871, 0.038993>,
      < -5.842336, 0.720168, 0.109729>,
      < -5.842345, 0.772999, 0.071283>
    }
    triangle {
      < -5.842345, 0.772999, 0.071283>,
      < -5.842336, 0.720168, 0.109729>,
      < -5.811363, 0.706239, 0.085634>
    }
    triangle {
      < -5.842345, 0.772999, 0.071283>,
      < -5.811363, 0.706239, 0.085634>,
      < -5.811371, 0.754363, 0.050614>
    }
    triangle {
      < -5.811371, 0.754363, 0.050614>,
      < -5.811363, 0.706239, 0.085634>,
      < -5.542078, 0.698651, 0.072398>
    }
    triangle {
      < -5.811371, 0.754363, 0.050614>,
      < -5.542078, 0.698651, 0.072398>,
      < -5.542085, 0.744159, 0.039281>
    }
    triangle {
      < -5.542085, 0.744159, 0.039281>,
      < -5.542078, 0.698651, 0.072398>,
      < -5.378091, 0.732840, 0.131438>
    }
    triangle {
      < -5.542085, 0.744159, 0.039281>,
      < -5.378091, 0.732840, 0.131438>,
      < -5.378102, 0.789856, 0.089946>
    }
    triangle {
      < -5.378102, 0.789856, 0.089946>,
      < -5.378091, 0.732840, 0.131438>,
      < -5.399796, 0.756073, 0.171613>
    }
    triangle {
      < -5.378102, 0.789856, 0.089946>,
      < -5.399796, 0.756073, 0.171613>,
      < -5.399806, 0.820935, 0.124412>
    }
    triangle {
      < -5.399806, 0.820935, 0.124412>,
      < -5.399796, 0.756073, 0.171613>,
      < -5.226508, 0.779421, 0.211903>
    }
    triangle {
      < -5.399806, 0.820935, 0.124412>,
      < -5.226508, 0.779421, 0.211903>,
      < -5.226520, 0.852129, 0.158992>
    }
    triangle {
      < -5.226520, 0.852129, 0.158992>,
      < -5.226508, 0.779421, 0.211903>,
      < -5.226485, 0.765473, 0.187790>
    }
    triangle {
      < -5.226520, 0.852129, 0.158992>,
      < -5.226485, 0.765473, 0.187790>,
      < -5.226497, 0.833474, 0.138305>
    }
    triangle {
      < -5.226497, 0.833474, 0.138305>,
      < -5.226485, 0.765473, 0.187790>,
      < -5.207914, 0.765484, 0.187801>
    }
    triangle {
      < -5.226497, 0.833474, 0.138305>,
      < -5.207914, 0.765484, 0.187801>,
      < -5.207926, 0.833485, 0.138316>
    }
    triangle {
      < -5.207926, 0.833485, 0.138316>,
      < -5.207914, 0.765484, 0.187801>,
      < -5.207942, 0.782531, 0.217272>
    }
    triangle {
      < -5.207926, 0.833485, 0.138316>,
      < -5.207942, 0.782531, 0.217272>,
      < -5.207954, 0.856285, 0.163600>
    }
    triangle {
      < -5.207954, 0.856285, 0.163600>,
      < -5.207942, 0.782531, 0.217272>,
      < -5.124374, 0.782580, 0.217322>
    }
    triangle {
      < -5.207954, 0.856285, 0.163600>,
      < -5.124374, 0.782580, 0.217322>,
      < -5.124386, 0.856334, 0.163650>
    }
    triangle {
      < -5.124386, 0.856334, 0.163650>,
      < -5.124374, 0.782580, 0.217322>,
      < -4.870223, 0.564228, -0.160295>
    }
    triangle {
      < -5.368534, 0.563933, -0.160590>,
      < -5.421308, 0.629105, 0.039490>,
      < -5.421322, 0.669278, 0.021564>
    }
    triangle {
      < -5.421322, 0.669278, 0.021564>,
      < -5.421308, 0.629105, 0.039490>,
      < -5.944404, 0.639343, 0.071551>
    }
    triangle {
      < -5.421322, 0.669278, 0.021564>,
      < -5.944404, 0.639343, 0.071551>,
      < -5.944420, 0.686014, 0.050726>
    }
    triangle {
      < -5.944420, 0.686014, 0.050726>,
      < -5.944404, 0.639343, 0.071551>,
      < -6.027989, 0.646964, 0.095044>
    }
    triangle {
      < -5.944420, 0.686014, 0.050726>,
      < -6.027989, 0.646964, 0.095044>,
      < -6.028007, 0.698363, 0.072110>
    }
    triangle {
      < -6.028007, 0.698363, 0.072110>,
      < -6.027989, 0.646964, 0.095044>,
      < -5.842317, 0.660499, 0.136354>
    }
    triangle {
      < -6.028007, 0.698363, 0.072110>,
      < -5.842317, 0.660499, 0.136354>,
      < -5.842336, 0.720168, 0.109729>
    }
    triangle {
      < -5.842336, 0.720168, 0.109729>,
      < -5.842317, 0.660499, 0.136354>,
      < -5.811344, 0.651886, 0.109887>
    }
    triangle {
      < -5.842336, 0.720168, 0.109729>,
      < -5.811344, 0.651886, 0.109887>,
      < -5.811363, 0.706239, 0.085634>
    }
    triangle {
      < -5.811363, 0.706239, 0.085634>,
      < -5.811344, 0.651886, 0.109887>,
      < -5.542060, 0.647252, 0.095331>
    }
    triangle {
      < -5.811363, 0.706239, 0.085634>,
      < -5.542060, 0.647252, 0.095331>,
      < -5.542078, 0.698651, 0.072398>
    }
    triangle {
      < -5.542078, 0.698651, 0.072398>,
      < -5.542060, 0.647252, 0.095331>,
      < -5.378071, 0.668445, 0.160171>
    }
    triangle {
      < -5.542078, 0.698651, 0.072398>,
      < -5.378071, 0.668445, 0.160171>,
      < -5.378091, 0.732840, 0.131438>
    }
    triangle {
      < -5.378091, 0.732840, 0.131438>,
      < -5.378071, 0.668445, 0.160171>,
      < -5.399770, 0.682815, 0.204300>
    }
    triangle {
      < -5.378091, 0.732840, 0.131438>,
      < -5.399770, 0.682815, 0.204300>,
      < -5.399796, 0.756073, 0.171613>
    }
    triangle {
      < -5.399796, 0.756073, 0.171613>,
      < -5.399770, 0.682815, 0.204300>,
      < -5.226481, 0.697301, 0.248545>
    }
    triangle {
      < -5.399796, 0.756073, 0.171613>,
      < -5.226481, 0.697301, 0.248545>,
      < -5.226508, 0.779421, 0.211903>
    }
    triangle {
      < -5.226508, 0.779421, 0.211903>,
      < -5.226481, 0.697301, 0.248545>,
      < -5.226461, 0.688671, 0.222060>
    }
    triangle {
      < -5.226508, 0.779421, 0.211903>,
      < -5.226461, 0.688671, 0.222060>,
      < -5.226485, 0.765473, 0.187790>
    }
    triangle {
      < -5.226485, 0.765473, 0.187790>,
      < -5.226461, 0.688671, 0.222060>,
      < -5.207889, 0.688682, 0.222071>
    }
    triangle {
      < -5.226485, 0.765473, 0.187790>,
      < -5.207889, 0.688682, 0.222071>,
      < -5.207914, 0.765484, 0.187801>
    }
    triangle {
      < -5.207914, 0.765484, 0.187801>,
      < -5.207889, 0.688682, 0.222071>,
      < -5.207915, 0.699230, 0.254442>
    }
    triangle {
      < -5.207914, 0.765484, 0.187801>,
      < -5.207915, 0.699230, 0.254442>,
      < -5.207942, 0.782531, 0.217272>
    }
    triangle {
      < -5.207942, 0.782531, 0.217272>,
      < -5.207915, 0.699230, 0.254442>,
      < -5.124348, 0.699279, 0.254491>
    }
    triangle {
      < -5.207942, 0.782531, 0.217272>,
      < -5.124348, 0.699279, 0.254491>,
      < -5.124374, 0.782580, 0.217322>
    }
    triangle {
      < -5.124374, 0.782580, 0.217322>,
      < -5.124348, 0.699279, 0.254491>,
      < -4.870223, 0.564228, -0.160295>
    }
    triangle {
      < -5.368534, 0.563933, -0.160590>,
      < -5.421287, 0.586083, 0.048673>,
      < -5.421308, 0.629105, 0.039490>
    }
    triangle {
      < -5.421308, 0.629105, 0.039490>,
      < -5.421287, 0.586083, 0.048673>,
      < -5.944380, 0.589361, 0.082220>
    }
    triangle {
      < -5.421308, 0.629105, 0.039490>,
      < -5.944380, 0.589361, 0.082220>,
      < -5.944404, 0.639343, 0.071551>
    }
    triangle {
      < -5.944404, 0.639343, 0.071551>,
      < -5.944380, 0.589361, 0.082220>,
      < -6.027964, 0.591921, 0.106792>
    }
    triangle {
      < -5.944404, 0.639343, 0.071551>,
      < -6.027964, 0.591921, 0.106792>,
      < -6.027989, 0.646964, 0.095044>
    }
    triangle {
      < -6.027989, 0.646964, 0.095044>,
      < -6.027964, 0.591921, 0.106792>,
      < -5.842287, 0.596598, 0.149992>
    }
    triangle {
      < -6.027989, 0.646964, 0.095044>,
      < -5.842287, 0.596598, 0.149992>,
      < -5.842317, 0.660499, 0.136354>
    }
    triangle {
      < -5.842317, 0.660499, 0.136354>,
      < -5.842287, 0.596598, 0.149992>,
      < -5.811318, 0.593681, 0.122310>
    }
    triangle {
      < -5.842317, 0.660499, 0.136354>,
      < -5.811318, 0.593681, 0.122310>,
      < -5.811344, 0.651886, 0.109887>
    }
    triangle {
      < -5.811344, 0.651886, 0.109887>,
      < -5.811318, 0.593681, 0.122310>,
      < -5.542035, 0.592209, 0.107080>
    }
    triangle {
      < -5.811344, 0.651886, 0.109887>,
      < -5.542035, 0.592209, 0.107080>,
      < -5.542060, 0.647252, 0.095331>
    }
    triangle {
      < -5.542060, 0.647252, 0.095331>,
      < -5.542035, 0.592209, 0.107080>,
      < -5.378039, 0.599483, 0.174891>
    }
    triangle {
      < -5.542060, 0.647252, 0.095331>,
      < -5.378039, 0.599483, 0.174891>,
      < -5.378071, 0.668445, 0.160171>
    }
    triangle {
      < -5.378071, 0.668445, 0.160171>,
      < -5.378039, 0.599483, 0.174891>,
      < -5.399734, 0.604363, 0.221045>
    }
    triangle {
      < -5.378071, 0.668445, 0.160171>,
      < -5.399734, 0.604363, 0.221045>,
      < -5.399770, 0.682815, 0.204300>
    }
    triangle {
      < -5.399770, 0.682815, 0.204300>,
      < -5.399734, 0.604363, 0.221045>,
      < -5.226440, 0.609358, 0.267316>
    }
    triangle {
      < -5.399770, 0.682815, 0.204300>,
      < -5.226440, 0.609358, 0.267316>,
      < -5.226481, 0.697301, 0.248545>
    }
    triangle {
      < -5.226481, 0.697301, 0.248545>,
      < -5.226440, 0.609358, 0.267316>,
      < -5.226422, 0.606423, 0.239616>
    }
    triangle {
      < -5.226481, 0.697301, 0.248545>,
      < -5.226422, 0.606423, 0.239616>,
      < -5.226461, 0.688671, 0.222060>
    }
    triangle {
      < -5.226461, 0.688671, 0.222060>,
      < -5.226422, 0.606423, 0.239616>,
      < -5.207850, 0.606434, 0.239627>
    }
    triangle {
      < -5.226461, 0.688671, 0.222060>,
      < -5.207850, 0.606434, 0.239627>,
      < -5.207889, 0.688682, 0.222071>
    }
    triangle {
      < -5.207889, 0.688682, 0.222071>,
      < -5.207850, 0.606434, 0.239627>,
      < -5.207872, 0.610022, 0.273483>
    }
    triangle {
      < -5.207889, 0.688682, 0.222071>,
      < -5.207872, 0.610022, 0.273483>,
      < -5.207915, 0.699230, 0.254442>
    }
    triangle {
      < -5.207915, 0.699230, 0.254442>,
      < -5.207872, 0.610022, 0.273483>,
      < -5.124306, 0.610071, 0.273531>
    }
    triangle {
      < -5.207915, 0.699230, 0.254442>,
      < -5.124306, 0.610071, 0.273531>,
      < -5.124348, 0.699279, 0.254491>
    }
    triangle {
      < -5.124348, 0.699279, 0.254491>,
      < -5.124306, 0.610071, 0.273531>,
      < -4.870223, 0.564228, -0.160295>
    }
    triangle {
      < -5.368534, 0.563933, -0.160590>,
      < -5.421261, 0.542092, 0.048712>,
      < -5.421287, 0.586083, 0.048673>
    }
    triangle {
      < -5.421287, 0.586083, 0.048673>,
      < -5.421261, 0.542092, 0.048712>,
      < -5.944350, 0.538254, 0.082265>
    }
    triangle {
      < -5.421287, 0.586083, 0.048673>,
      < -5.944350, 0.538254, 0.082265>,
      < -5.944380, 0.589361, 0.082220>
    }
    triangle {
      < -5.944380, 0.589361, 0.082220>,
      < -5.944350, 0.538254, 0.082265>,
      < -6.027931, 0.535638, 0.106843>
    }
    triangle {
      < -5.944380, 0.589361, 0.082220>,
      < -6.027931, 0.535638, 0.106843>,
      < -6.027964, 0.591921, 0.106792>
    }
    triangle {
      < -6.027964, 0.591921, 0.106792>,
      < -6.027931, 0.535638, 0.106843>,
      < -5.842247, 0.531258, 0.150050>
    }
    triangle {
      < -6.027964, 0.591921, 0.106792>,
      < -5.842247, 0.531258, 0.150050>,
      < -5.842287, 0.596598, 0.149992>
    }
    triangle {
      < -5.842287, 0.596598, 0.149992>,
      < -5.842247, 0.531258, 0.150050>,
      < -5.811283, 0.534163, 0.122362>
    }
    triangle {
      < -5.842287, 0.596598, 0.149992>,
      < -5.811283, 0.534163, 0.122362>,
      < -5.811318, 0.593681, 0.122310>
    }
    triangle {
      < -5.811318, 0.593681, 0.122310>,
      < -5.811283, 0.534163, 0.122362>,
      < -5.542002, 0.535926, 0.107130>
    }
    triangle {
      < -5.811318, 0.593681, 0.122310>,
      < -5.542002, 0.535926, 0.107130>,
      < -5.542035, 0.592209, 0.107080>
    }
    triangle {
      < -5.542035, 0.592209, 0.107080>,
      < -5.542002, 0.535926, 0.107130>,
      < -5.377997, 0.528968, 0.174954>
    }
    triangle {
      < -5.542035, 0.592209, 0.107080>,
      < -5.377997, 0.528968, 0.174954>,
      < -5.378039, 0.599483, 0.174891>
    }
    triangle {
      < -5.378039, 0.599483, 0.174891>,
      < -5.377997, 0.528968, 0.174954>,
      < -5.399686, 0.524144, 0.221116>
    }
    triangle {
      < -5.378039, 0.599483, 0.174891>,
      < -5.399686, 0.524144, 0.221116>,
      < -5.399734, 0.604363, 0.221045>
    }
    triangle {
      < -5.399734, 0.604363, 0.221045>,
      < -5.399686, 0.524144, 0.221116>,
      < -5.226387, 0.519435, 0.267395>
    }
    triangle {
      < -5.399734, 0.604363, 0.221045>,
      < -5.226387, 0.519435, 0.267395>,
      < -5.226440, 0.609358, 0.267316>
    }
    triangle {
      < -5.226440, 0.609358, 0.267316>,
      < -5.226387, 0.519435, 0.267395>,
      < -5.226372, 0.522322, 0.239689>
    }
    triangle {
      < -5.226440, 0.609358, 0.267316>,
      < -5.226372, 0.522322, 0.239689>,
      < -5.226422, 0.606423, 0.239616>
    }
    triangle {
      < -5.226422, 0.606423, 0.239616>,
      < -5.226372, 0.522322, 0.239689>,
      < -5.207800, 0.522333, 0.239700>
    }
    triangle {
      < -5.226422, 0.606423, 0.239616>,
      < -5.207800, 0.522333, 0.239700>,
      < -5.207850, 0.606434, 0.239627>
    }
    triangle {
      < -5.207850, 0.606434, 0.239627>,
      < -5.207800, 0.522333, 0.239700>,
      < -5.207818, 0.518805, 0.273564>
    }
    triangle {
      < -5.207850, 0.606434, 0.239627>,
      < -5.207818, 0.518805, 0.273564>,
      < -5.207872, 0.610022, 0.273483>
    }
    triangle {
      < -5.207872, 0.610022, 0.273483>,
      < -5.207818, 0.518805, 0.273564>,
      < -5.124252, 0.518854, 0.273614>
    }
    triangle {
      < -5.207872, 0.610022, 0.273483>,
      < -5.124252, 0.518854, 0.273614>,
      < -5.124306, 0.610071, 0.273531>
    }
    triangle {
      < -5.124306, 0.610071, 0.273531>,
      < -5.124252, 0.518854, 0.273614>,
      < -4.870223, 0.564228, -0.160295>
    }
    triangle {
      < -5.368534, 0.563933, -0.160590>,
      < -5.421231, 0.499054, 0.039605>,
      < -5.421261, 0.542092, 0.048712>
    }
    triangle {
      < -5.421261, 0.542092, 0.048712>,
      < -5.421231, 0.499054, 0.039605>,
      < -5.944314, 0.488253, 0.071686>
    }
    triangle {
      < -5.421261, 0.542092, 0.048712>,
      < -5.944314, 0.488253, 0.071686>,
      < -5.944350, 0.538254, 0.082265>
    }
    triangle {
      < -5.944350, 0.538254, 0.082265>,
      < -5.944314, 0.488253, 0.071686>,
      < -6.027891, 0.480574, 0.095192>
    }
    triangle {
      < -5.944350, 0.538254, 0.082265>,
      < -6.027891, 0.480574, 0.095192>,
      < -6.027931, 0.535638, 0.106843>
    }
    triangle {
      < -6.027931, 0.535638, 0.106843>,
      < -6.027891, 0.480574, 0.095192>,
      < -5.842202, 0.467334, 0.136525>
    }
    triangle {
      < -6.027931, 0.535638, 0.106843>,
      < -5.842202, 0.467334, 0.136525>,
      < -5.842247, 0.531258, 0.150050>
    }
    triangle {
      < -5.842247, 0.531258, 0.150050>,
      < -5.842202, 0.467334, 0.136525>,
      < -5.811240, 0.475935, 0.110043>
    }
    triangle {
      < -5.842247, 0.531258, 0.150050>,
      < -5.811240, 0.475935, 0.110043>,
      < -5.811283, 0.534163, 0.122362>
    }
    triangle {
      < -5.811283, 0.534163, 0.122362>,
      < -5.811240, 0.475935, 0.110043>,
      < -5.541962, 0.480862, 0.095480>
    }
    triangle {
      < -5.811283, 0.534163, 0.122362>,
      < -5.541962, 0.480862, 0.095480>,
      < -5.542002, 0.535926, 0.107130>
    }
    triangle {
      < -5.542002, 0.535926, 0.107130>,
      < -5.541962, 0.480862, 0.095480>,
      < -5.377948, 0.459980, 0.160356>
    }
    triangle {
      < -5.542002, 0.535926, 0.107130>,
      < -5.377948, 0.459980, 0.160356>,
      < -5.377997, 0.528968, 0.174954>
    }
    triangle {
      < -5.377997, 0.528968, 0.174954>,
      < -5.377948, 0.459980, 0.160356>,
      < -5.399630, 0.445662, 0.204511>
    }
    triangle {
      < -5.377997, 0.528968, 0.174954>,
      < -5.399630, 0.445662, 0.204511>,
      < -5.399686, 0.524144, 0.221116>
    }
    triangle {
      < -5.399686, 0.524144, 0.221116>,
      < -5.399630, 0.445662, 0.204511>,
      < -5.226324, 0.431460, 0.248781>
    }
    triangle {
      < -5.399686, 0.524144, 0.221116>,
      < -5.226324, 0.431460, 0.248781>,
      < -5.226387, 0.519435, 0.267395>
    }
    triangle {
      < -5.226387, 0.519435, 0.267395>,
      < -5.226324, 0.431460, 0.248781>,
      < -5.226314, 0.440043, 0.222280>
    }
    triangle {
      < -5.226387, 0.519435, 0.267395>,
      < -5.226314, 0.440043, 0.222280>,
      < -5.226372, 0.522322, 0.239689>
    }
    triangle {
      < -5.226372, 0.522322, 0.239689>,
      < -5.226314, 0.440043, 0.222280>,
      < -5.207742, 0.440054, 0.222291>
    }
    triangle {
      < -5.226372, 0.522322, 0.239689>,
      < -5.207742, 0.440054, 0.222291>,
      < -5.207800, 0.522333, 0.239700>
    }
    triangle {
      < -5.207800, 0.522333, 0.239700>,
      < -5.207742, 0.440054, 0.222291>,
      < -5.207756, 0.429564, 0.254681>
    }
    triangle {
      < -5.207800, 0.522333, 0.239700>,
      < -5.207756, 0.429564, 0.254681>,
      < -5.207818, 0.518805, 0.273564>
    }
    triangle {
      < -5.207818, 0.518805, 0.273564>,
      < -5.207756, 0.429564, 0.254681>,
      < -5.124188, 0.429613, 0.254731>
    }
    triangle {
      < -5.207818, 0.518805, 0.273564>,
      < -5.124188, 0.429613, 0.254731>,
      < -5.124252, 0.518854, 0.273614>
    }
    triangle {
      < -5.124252, 0.518854, 0.273614>,
      < -5.124188, 0.429613, 0.254731>,
      < -4.870223, 0.564228, -0.160295>
    }
    triangle {
      < -5.368534, 0.563933, -0.160590>,
      < -5.421197, 0.458848, 0.021751>,
      < -5.421231, 0.499054, 0.039605>
    }
    triangle {
      < -5.421231, 0.499054, 0.039605>,
      < -5.421197, 0.458848, 0.021751>,
      < -5.944275, 0.441545, 0.050943>
    }
    triangle {
      < -5.421231, 0.499054, 0.039605>,
      < -5.944275, 0.441545, 0.050943>,
      < -5.944314, 0.488253, 0.071686>
    }
    triangle {
      < -5.944314, 0.488253, 0.071686>,
      < -5.944275, 0.441545, 0.050943>,
      < -6.027848, 0.429136, 0.072350>
    }
    triangle {
      < -5.944314, 0.488253, 0.071686>,
      < -6.027848, 0.429136, 0.072350>,
      < -6.027891, 0.480574, 0.095192>
    }
    triangle {
      < -6.027891, 0.480574, 0.095192>,
      < -6.027848, 0.429136, 0.072350>,
      < -5.842151, 0.407617, 0.110006>
    }
    triangle {
      < -6.027891, 0.480574, 0.095192>,
      < -5.842151, 0.407617, 0.110006>,
      < -5.842202, 0.467334, 0.136525>
    }
    triangle {
      < -5.842202, 0.467334, 0.136525>,
      < -5.842151, 0.407617, 0.110006>,
      < -5.811194, 0.421539, 0.085887>
    }
    triangle {
      < -5.842202, 0.467334, 0.136525>,
      < -5.811194, 0.421539, 0.085887>,
      < -5.811240, 0.475935, 0.110043>
    }
    triangle {
      < -5.811240, 0.475935, 0.110043>,
      < -5.811194, 0.421539, 0.085887>,
      < -5.541919, 0.429424, 0.072638>
    }
    triangle {
      < -5.811240, 0.475935, 0.110043>,
      < -5.541919, 0.429424, 0.072638>,
      < -5.541962, 0.480862, 0.095480>
    }
    triangle {
      < -5.541962, 0.480862, 0.095480>,
      < -5.541919, 0.429424, 0.072638>,
      < -5.377891, 0.395533, 0.131738>
    }
    triangle {
      < -5.541962, 0.480862, 0.095480>,
      < -5.377891, 0.395533, 0.131738>,
      < -5.377948, 0.459980, 0.160356>
    }
    triangle {
      < -5.377948, 0.459980, 0.160356>,
      < -5.377891, 0.395533, 0.131738>,
      < -5.399569, 0.372347, 0.171953>
    }
    triangle {
      < -5.377948, 0.459980, 0.160356>,
      < -5.399569, 0.372347, 0.171953>,
      < -5.399630, 0.445662, 0.204511>
    }
    triangle {
      < -5.399630, 0.445662, 0.204511>,
      < -5.399569, 0.372347, 0.171953>,
      < -5.226253, 0.349276, 0.212286>
    }
    triangle {
      < -5.399630, 0.445662, 0.204511>,
      < -5.226253, 0.349276, 0.212286>,
      < -5.226324, 0.431460, 0.248781>
    }
    triangle {
      < -5.226324, 0.431460, 0.248781>,
      < -5.226253, 0.349276, 0.212286>,
      < -5.226247, 0.363180, 0.188148>
    }
    triangle {
      < -5.226324, 0.431460, 0.248781>,
      < -5.226247, 0.363180, 0.188148>,
      < -5.226314, 0.440043, 0.222280>
    }
    triangle {
      < -5.226314, 0.440043, 0.222280>,
      < -5.226247, 0.363180, 0.188148>,
      < -5.207676, 0.363191, 0.188159>
    }
    triangle {
      < -5.226314, 0.440043, 0.222280>,
      < -5.207676, 0.363191, 0.188159>,
      < -5.207742, 0.440054, 0.222291>
    }
    triangle {
      < -5.207742, 0.440054, 0.222291>,
      < -5.207676, 0.363191, 0.188159>,
      < -5.207684, 0.346197, 0.217661>
    }
    triangle {
      < -5.207742, 0.440054, 0.222291>,
      < -5.207684, 0.346197, 0.217661>,
      < -5.207756, 0.429564, 0.254681>
    }
    triangle {
      < -5.207756, 0.429564, 0.254681>,
      < -5.207684, 0.346197, 0.217661>,
      < -5.124116, 0.346246, 0.217710>
    }
    triangle {
      < -5.207756, 0.429564, 0.254681>,
      < -5.124116, 0.346246, 0.217710>,
      < -5.124188, 0.429613, 0.254731>
    }
    triangle {
      < -5.124188, 0.429613, 0.254731>,
      < -5.124116, 0.346246, 0.217710>,
      < -4.870223, 0.564228, -0.160295>
    }
    triangle {
      < -5.368534, 0.563933, -0.160590>,
      < -5.421159, 0.423233, -0.004070>,
      < -5.421197, 0.458848, 0.021751>
    }
    triangle {
      < -5.421197, 0.458848, 0.021751>,
      < -5.421159, 0.423233, -0.004070>,
      < -5.944232, 0.400168, 0.020945>
    }
    triangle {
      < -5.421197, 0.458848, 0.021751>,
      < -5.944232, 0.400168, 0.020945>,
      < -5.944275, 0.441545, 0.050943>
    }
    triangle {
      < -5.944275, 0.441545, 0.050943>,
      < -5.944232, 0.400168, 0.020945>,
      < -6.027801, 0.383568, 0.039313>
    }
    triangle {
      < -5.944275, 0.441545, 0.050943>,
      < -6.027801, 0.383568, 0.039313>,
      < -6.027848, 0.429136, 0.072350>
    }
    triangle {
      < -6.027848, 0.429136, 0.072350>,
      < -6.027801, 0.383568, 0.039313>,
      < -5.842097, 0.354717, 0.071654>
    }
    triangle {
      < -6.027848, 0.429136, 0.072350>,
      < -5.842097, 0.354717, 0.071654>,
      < -5.842151, 0.407617, 0.110006>
    }
    triangle {
      < -5.842151, 0.407617, 0.110006>,
      < -5.842097, 0.354717, 0.071654>,
      < -5.811145, 0.373354, 0.050953>
    }
    triangle {
      < -5.842151, 0.407617, 0.110006>,
      < -5.811145, 0.373354, 0.050953>,
      < -5.811194, 0.421539, 0.085887>
    }
    triangle {
      < -5.811194, 0.421539, 0.085887>,
      < -5.811145, 0.373354, 0.050953>,
      < -5.541872, 0.383856, 0.039601>
    }
    triangle {
      < -5.811194, 0.421539, 0.085887>,
      < -5.541872, 0.383856, 0.039601>,
      < -5.541919, 0.429424, 0.072638>
    }
    triangle {
      < -5.541919, 0.429424, 0.072638>,
      < -5.541872, 0.383856, 0.039601>,
      < -5.377835, 0.338444, 0.090347>
    }
    triangle {
      < -5.541919, 0.429424, 0.072638>,
      < -5.377835, 0.338444, 0.090347>,
      < -5.377891, 0.395533, 0.131738>
    }
    triangle {
      < -5.377891, 0.395533, 0.131738>,
      < -5.377835, 0.338444, 0.090347>,
      < -5.399502, 0.307401, 0.124868>
    }
    triangle {
      < -5.377891, 0.395533, 0.131738>,
      < -5.399502, 0.307401, 0.124868>,
      < -5.399569, 0.372347, 0.171953>
    }
    triangle {
      < -5.399569, 0.372347, 0.171953>,
      < -5.399502, 0.307401, 0.124868>,
      < -5.226180, 0.276473, 0.159503>
    }
    triangle {
      < -5.399569, 0.372347, 0.171953>,
      < -5.226180, 0.276473, 0.159503>,
      < -5.226253, 0.349276, 0.212286>
    }
    triangle {
      < -5.226253, 0.349276, 0.212286>,
      < -5.226180, 0.276473, 0.159503>,
      < -5.226178, 0.295091, 0.138783>
    }
    triangle {
      < -5.226253, 0.349276, 0.212286>,
      < -5.226178, 0.295091, 0.138783>,
      < -5.226247, 0.363180, 0.188148>
    }
    triangle {
      < -5.226247, 0.363180, 0.188148>,
      < -5.226178, 0.295091, 0.138783>,
      < -5.207607, 0.295102, 0.138794>
    }
    triangle {
      < -5.226247, 0.363180, 0.188148>,
      < -5.207607, 0.295102, 0.138794>,
      < -5.207676, 0.363191, 0.188159>
    }
    triangle {
      < -5.207676, 0.363191, 0.188159>,
      < -5.207607, 0.295102, 0.138794>,
      < -5.207608, 0.272347, 0.164119>
    }
    triangle {
      < -5.207676, 0.363191, 0.188159>,
      < -5.207608, 0.272347, 0.164119>,
      < -5.207684, 0.346197, 0.217661>
    }
    triangle {
      < -5.207684, 0.346197, 0.217661>,
      < -5.207608, 0.272347, 0.164119>,
      < -5.124040, 0.272397, 0.164169>
    }
    triangle {
      < -5.207684, 0.346197, 0.217661>,
      < -5.124040, 0.272397, 0.164169>,
      < -5.124116, 0.346246, 0.217710>
    }
    triangle {
      < -5.124116, 0.346246, 0.217710>,
      < -5.124040, 0.272397, 0.164169>,
      < -4.870223, 0.564228, -0.160295>
    }
    triangle {
      < -5.368534, 0.563933, -0.160590>,
      < -5.421122, 0.393763, -0.036730>,
      < -5.421159, 0.423233, -0.004070>
    }
    triangle {
      < -5.421159, 0.423233, -0.004070>,
      < -5.421122, 0.393763, -0.036730>,
      < -5.944189, 0.365930, -0.017000>
    }
    triangle {
      < -5.421159, 0.423233, -0.004070>,
      < -5.944189, 0.365930, -0.017000>,
      < -5.944232, 0.400168, 0.020945>
    }
    triangle {
      < -5.944232, 0.400168, 0.020945>,
      < -5.944189, 0.365930, -0.017000>,
      < -6.027752, 0.345865, -0.002474>
    }
    triangle {
      < -5.944232, 0.400168, 0.020945>,
      < -6.027752, 0.345865, -0.002474>,
      < -6.027801, 0.383568, 0.039313>
    }
    triangle {
      < -6.027801, 0.383568, 0.039313>,
      < -6.027752, 0.345865, -0.002474>,
      < -5.842041, 0.310946, 0.023143>
    }
    triangle {
      < -6.027801, 0.383568, 0.039313>,
      < -5.842041, 0.310946, 0.023143>,
      < -5.842097, 0.354717, 0.071654>
    }
    triangle {
      < -5.842097, 0.354717, 0.071654>,
      < -5.842041, 0.310946, 0.023143>,
      < -5.811094, 0.333482, 0.006764>
    }
    triangle {
      < -5.842097, 0.354717, 0.071654>,
      < -5.811094, 0.333482, 0.006764>,
      < -5.811145, 0.373354, 0.050953>
    }
    triangle {
      < -5.811145, 0.373354, 0.050953>,
      < -5.811094, 0.333482, 0.006764>,
      < -5.541824, 0.346153, -0.002186>
    }
    triangle {
      < -5.811145, 0.373354, 0.050953>,
      < -5.541824, 0.346153, -0.002186>,
      < -5.541872, 0.383856, 0.039601>
    }
    triangle {
      < -5.541872, 0.383856, 0.039601>,
      < -5.541824, 0.346153, -0.002186>,
      < -5.377776, 0.291205, 0.037993>
    }
    triangle {
      < -5.541872, 0.383856, 0.039601>,
      < -5.377776, 0.291205, 0.037993>,
      < -5.377835, 0.338444, 0.090347>
    }
    triangle {
      < -5.377835, 0.338444, 0.090347>,
      < -5.377776, 0.291205, 0.037993>,
      < -5.399434, 0.253661, 0.065310>
    }
    triangle {
      < -5.377835, 0.338444, 0.090347>,
      < -5.399434, 0.253661, 0.065310>,
      < -5.399502, 0.307401, 0.124868>
    }
    triangle {
      < -5.399502, 0.307401, 0.124868>,
      < -5.399434, 0.253661, 0.065310>,
      < -5.226104, 0.216234, 0.092741>
    }
    triangle {
      < -5.399502, 0.307401, 0.124868>,
      < -5.226104, 0.216234, 0.092741>,
      < -5.226180, 0.276473, 0.159503>
    }
    triangle {
      < -5.226180, 0.276473, 0.159503>,
      < -5.226104, 0.216234, 0.092741>,
      < -5.226108, 0.238752, 0.076344>
    }
    triangle {
      < -5.226180, 0.276473, 0.159503>,
      < -5.226108, 0.238752, 0.076344>,
      < -5.226178, 0.295091, 0.138783>
    }
    triangle {
      < -5.226178, 0.295091, 0.138783>,
      < -5.226108, 0.238752, 0.076344>,
      < -5.207537, 0.238763, 0.076355>
    }
    triangle {
      < -5.226178, 0.295091, 0.138783>,
      < -5.207537, 0.238763, 0.076355>,
      < -5.207607, 0.295102, 0.138794>
    }
    triangle {
      < -5.207607, 0.295102, 0.138794>,
      < -5.207537, 0.238763, 0.076355>,
      < -5.207532, 0.211240, 0.096396>
    }
    triangle {
      < -5.207607, 0.295102, 0.138794>,
      < -5.207532, 0.211240, 0.096396>,
      < -5.207608, 0.272347, 0.164119>
    }
    triangle {
      < -5.207608, 0.272347, 0.164119>,
      < -5.207532, 0.211240, 0.096396>,
      < -5.123964, 0.211290, 0.096445>
    }
    triangle {
      < -5.207608, 0.272347, 0.164119>,
      < -5.123964, 0.211290, 0.096445>,
      < -5.124040, 0.272397, 0.164169>
    }
    triangle {
      < -5.124040, 0.272397, 0.164169>,
      < -5.123964, 0.211290, 0.096445>,
      < -4.870223, 0.564228, -0.160295>
    }
    triangle {
      < -5.368534, 0.563933, -0.160590>,
      < -5.421087, 0.371726, -0.074804>,
      < -5.421122, 0.393763, -0.036730>
    }
    triangle {
      < -5.421122, 0.393763, -0.036730>,
      < -5.421087, 0.371726, -0.074804>,
      < -5.944147, 0.340328, -0.061232>
    }
    triangle {
      < -5.421122, 0.393763, -0.036730>,
      < -5.944147, 0.340328, -0.061232>,
      < -5.944189, 0.365930, -0.017000>
    }
    triangle {
      < -5.944189, 0.365930, -0.017000>,
      < -5.944147, 0.340328, -0.061232>,
      < -6.027709, 0.317670, -0.051185>
    }
    triangle {
      < -5.944189, 0.365930, -0.017000>,
      < -6.027709, 0.317670, -0.051185>,
      < -6.027752, 0.345865, -0.002474>
    }
    triangle {
      < -6.027752, 0.345865, -0.002474>,
      < -6.027709, 0.317670, -0.051185>,
      < -5.841989, 0.278214, -0.033408>
    }
    triangle {
      < -6.027752, 0.345865, -0.002474>,
      < -5.841989, 0.278214, -0.033408>,
      < -5.842041, 0.310946, 0.023143>
    }
    triangle {
      < -5.842041, 0.310946, 0.023143>,
      < -5.841989, 0.278214, -0.033408>,
      < -5.811046, 0.303668, -0.044747>
    }
    triangle {
      < -5.842041, 0.310946, 0.023143>,
      < -5.811046, 0.303668, -0.044747>,
      < -5.811094, 0.333482, 0.006764>
    }
    triangle {
      < -5.811094, 0.333482, 0.006764>,
      < -5.811046, 0.303668, -0.044747>,
      < -5.541778, 0.317958, -0.050897>
    }
    triangle {
      < -5.811094, 0.333482, 0.006764>,
      < -5.541778, 0.317958, -0.050897>,
      < -5.541824, 0.346153, -0.002186>
    }
    triangle {
      < -5.541824, 0.346153, -0.002186>,
      < -5.541778, 0.317958, -0.050897>,
      < -5.377718, 0.255881, -0.023036>
    }
    triangle {
      < -5.541824, 0.346153, -0.002186>,
      < -5.377718, 0.255881, -0.023036>,
      < -5.377776, 0.291205, 0.037993>
    }
    triangle {
      < -5.377776, 0.291205, 0.037993>,
      < -5.377718, 0.255881, -0.023036>,
      < -5.399369, 0.213476, -0.004119>
    }
    triangle {
      < -5.377776, 0.291205, 0.037993>,
      < -5.399369, 0.213476, -0.004119>,
      < -5.399434, 0.253661, 0.065310>
    }
    triangle {
      < -5.399434, 0.253661, 0.065310>,
      < -5.399369, 0.213476, -0.004119>,
      < -5.226031, 0.171188, 0.014915>
    }
    triangle {
      < -5.399434, 0.253661, 0.065310>,
      < -5.226031, 0.171188, 0.014915>,
      < -5.226104, 0.216234, 0.092741>
    }
    triangle {
      < -5.226104, 0.216234, 0.092741>,
      < -5.226031, 0.171188, 0.014915>,
      < -5.226039, 0.196622, 0.003555>
    }
    triangle {
      < -5.226104, 0.216234, 0.092741>,
      < -5.226039, 0.196622, 0.003555>,
      < -5.226108, 0.238752, 0.076344>
    }
    triangle {
      < -5.226108, 0.238752, 0.076344>,
      < -5.226039, 0.196622, 0.003555>,
      < -5.207469, 0.196633, 0.003566>
    }
    triangle {
      < -5.226108, 0.238752, 0.076344>,
      < -5.207469, 0.196633, 0.003566>,
      < -5.207537, 0.238763, 0.076355>
    }
    triangle {
      < -5.207537, 0.238763, 0.076355>,
      < -5.207469, 0.196633, 0.003566>,
      < -5.207459, 0.165546, 0.017449>
    }
    triangle {
      < -5.207537, 0.238763, 0.076355>,
      < -5.207459, 0.165546, 0.017449>,
      < -5.207532, 0.211240, 0.096396>
    }
    triangle {
      < -5.207532, 0.211240, 0.096396>,
      < -5.207459, 0.165546, 0.017449>,
      < -5.123891, 0.165596, 0.017499>
    }
    triangle {
      < -5.207532, 0.211240, 0.096396>,
      < -5.123891, 0.165596, 0.017499>,
      < -5.123964, 0.211290, 0.096445>
    }
    triangle {
      < -5.123964, 0.211290, 0.096445>,
      < -5.123891, 0.165596, 0.017499>,
      < -4.870223, 0.564228, -0.160295>
    }
    triangle {
      < -5.368534, 0.563933, -0.160590>,
      < -5.421055, 0.358084, -0.116627>,
      < -5.421087, 0.371726, -0.074804>
    }
    triangle {
      < -5.421087, 0.371726, -0.074804>,
      < -5.421055, 0.358084, -0.116627>,
      < -5.944109, 0.324480, -0.109820>
    }
    triangle {
      < -5.421087, 0.371726, -0.074804>,
      < -5.944109, 0.324480, -0.109820>,
      < -5.944147, 0.340328, -0.061232>
    }
    triangle {
      < -5.944147, 0.340328, -0.061232>,
      < -5.944109, 0.324480, -0.109820>,
      < -6.027666, 0.300217, -0.104694>
    }
    triangle {
      < -5.944147, 0.340328, -0.061232>,
      < -6.027666, 0.300217, -0.104694>,
      < -6.027709, 0.317670, -0.051185>
    }
    triangle {
      < -6.027709, 0.317670, -0.051185>,
      < -6.027666, 0.300217, -0.104694>,
      < -5.841941, 0.257953, -0.095526>
    }
    triangle {
      < -6.027709, 0.317670, -0.051185>,
      < -5.841941, 0.257953, -0.095526>,
      < -5.841989, 0.278214, -0.033408>
    }
    triangle {
      < -5.841989, 0.278214, -0.033408>,
      < -5.841941, 0.257953, -0.095526>,
      < -5.811002, 0.285212, -0.101331>
    }
    triangle {
      < -5.841989, 0.278214, -0.033408>,
      < -5.811002, 0.285212, -0.101331>,
      < -5.811046, 0.303668, -0.044747>
    }
    triangle {
      < -5.811046, 0.303668, -0.044747>,
      < -5.811002, 0.285212, -0.101331>,
      < -5.541736, 0.300505, -0.104406>
    }
    triangle {
      < -5.811046, 0.303668, -0.044747>,
      < -5.541736, 0.300505, -0.104406>,
      < -5.541778, 0.317958, -0.050897>
    }
    triangle {
      < -5.541778, 0.317958, -0.050897>,
      < -5.541736, 0.300505, -0.104406>,
      < -5.377666, 0.234015, -0.090076>
    }
    triangle {
      < -5.541778, 0.317958, -0.050897>,
      < -5.377666, 0.234015, -0.090076>,
      < -5.377718, 0.255881, -0.023036>
    }
    triangle {
      < -5.377718, 0.255881, -0.023036>,
      < -5.377666, 0.234015, -0.090076>,
      < -5.399310, 0.188602, -0.080384>
    }
    triangle {
      < -5.377718, 0.255881, -0.023036>,
      < -5.399310, 0.188602, -0.080384>,
      < -5.399369, 0.213476, -0.004119>
    }
    triangle {
      < -5.399369, 0.213476, -0.004119>,
      < -5.399310, 0.188602, -0.080384>,
      < -5.225964, 0.143303, -0.070577>
    }
    triangle {
      < -5.399369, 0.213476, -0.004119>,
      < -5.225964, 0.143303, -0.070577>,
      < -5.226031, 0.171188, 0.014915>
    }
    triangle {
      < -5.226031, 0.171188, 0.014915>,
      < -5.225964, 0.143303, -0.070577>,
      < -5.225975, 0.170544, -0.076399>
    }
    triangle {
      < -5.226031, 0.171188, 0.014915>,
      < -5.225975, 0.170544, -0.076399>,
      < -5.226039, 0.196622, 0.003555>
    }
    triangle {
      < -5.226039, 0.196622, 0.003555>,
      < -5.225975, 0.170544, -0.076399>,
      < -5.207406, 0.170555, -0.076388>
    }
    triangle {
      < -5.226039, 0.196622, 0.003555>,
      < -5.207406, 0.170555, -0.076388>,
      < -5.207469, 0.196633, 0.003566>
    }
    triangle {
      < -5.207469, 0.196633, 0.003566>,
      < -5.207406, 0.170555, -0.076388>,
      < -5.207390, 0.137261, -0.069271>
    }
    triangle {
      < -5.207469, 0.196633, 0.003566>,
      < -5.207390, 0.137261, -0.069271>,
      < -5.207459, 0.165546, 0.017449>
    }
    triangle {
      < -5.207459, 0.165546, 0.017449>,
      < -5.207390, 0.137261, -0.069271>,
      < -5.123823, 0.137311, -0.069222>
    }
    triangle {
      < -5.207459, 0.165546, 0.017449>,
      < -5.123823, 0.137311, -0.069222>,
      < -5.123891, 0.165596, 0.017499>
    }
    triangle {
      < -5.123891, 0.165596, 0.017499>,
      < -5.123823, 0.137311, -0.069222>,
      < -4.870223, 0.564228, -0.160295>
    }
    triangle {
      < -5.368534, 0.563933, -0.160590>,
      < -5.421025, 0.353435, -0.160372>,
      < -5.421055, 0.358084, -0.116627>
    }
    triangle {
      < -5.421055, 0.358084, -0.116627>,
      < -5.421025, 0.353435, -0.160372>,
      < -5.944076, 0.319079, -0.160641>
    }
    triangle {
      < -5.421055, 0.358084, -0.116627>,
      < -5.944076, 0.319079, -0.160641>,
      < -5.944109, 0.324480, -0.109820>
    }
    triangle {
      < -5.944109, 0.324480, -0.109820>,
      < -5.944076, 0.319079, -0.160641>,
      < -6.027628, 0.294269, -0.160661>
    }
    triangle {
      < -5.944109, 0.324480, -0.109820>,
      < -6.027628, 0.294269, -0.160661>,
      < -6.027666, 0.300217, -0.104694>
    }
    triangle {
      < -6.027666, 0.300217, -0.104694>,
      < -6.027628, 0.294269, -0.160661>,
      < -5.841898, 0.251048, -0.160500>
    }
    triangle {
      < -6.027666, 0.300217, -0.104694>,
      < -5.841898, 0.251048, -0.160500>,
      < -5.841941, 0.257953, -0.095526>
    }
    triangle {
      < -5.841941, 0.257953, -0.095526>,
      < -5.841898, 0.251048, -0.160500>,
      < -5.810964, 0.278922, -0.160515>
    }
    triangle {
      < -5.841941, 0.257953, -0.095526>,
      < -5.810964, 0.278922, -0.160515>,
      < -5.811002, 0.285212, -0.101331>
    }
    triangle {
      < -5.811002, 0.285212, -0.101331>,
      < -5.810964, 0.278922, -0.160515>,
      < -5.541698, 0.294557, -0.160374>
    }
    triangle {
      < -5.811002, 0.285212, -0.101331>,
      < -5.541698, 0.294557, -0.160374>,
      < -5.541736, 0.300505, -0.104406>
    }
    triangle {
      < -5.541736, 0.300505, -0.104406>,
      < -5.541698, 0.294557, -0.160374>,
      < -5.377619, 0.226562, -0.160196>
    }
    triangle {
      < -5.541736, 0.300505, -0.104406>,
      < -5.377619, 0.226562, -0.160196>,
      < -5.377666, 0.234015, -0.090076>
    }
    triangle {
      < -5.377666, 0.234015, -0.090076>,
      < -5.377619, 0.226562, -0.160196>,
      < -5.399257, 0.180123, -0.160154>
    }
    triangle {
      < -5.377666, 0.234015, -0.090076>,
      < -5.399257, 0.180123, -0.160154>,
      < -5.399310, 0.188602, -0.080384>
    }
    triangle {
      < -5.399310, 0.188602, -0.080384>,
      < -5.399257, 0.180123, -0.160154>,
      < -5.225905, 0.133799, -0.159996>
    }
    triangle {
      < -5.399310, 0.188602, -0.080384>,
      < -5.225905, 0.133799, -0.159996>,
      < -5.225964, 0.143303, -0.070577>
    }
    triangle {
      < -5.225964, 0.143303, -0.070577>,
      < -5.225905, 0.133799, -0.159996>,
      < -5.225922, 0.161655, -0.160029>
    }
    triangle {
      < -5.225964, 0.143303, -0.070577>,
      < -5.225922, 0.161655, -0.160029>,
      < -5.225975, 0.170544, -0.076399>
    }
    triangle {
      < -5.225975, 0.170544, -0.076399>,
      < -5.225922, 0.161655, -0.160029>,
      < -5.207350, 0.161666, -0.160018>
    }
    triangle {
      < -5.225975, 0.170544, -0.076399>,
      < -5.207350, 0.161666, -0.160018>,
      < -5.207406, 0.170555, -0.076388>
    }
    triangle {
      < -5.207406, 0.170555, -0.076388>,
      < -5.207350, 0.161666, -0.160018>,
      < -5.207330, 0.127620, -0.159978>
    }
    triangle {
      < -5.207406, 0.170555, -0.076388>,
      < -5.207330, 0.127620, -0.159978>,
      < -5.207390, 0.137261, -0.069271>
    }
    triangle {
      < -5.207390, 0.137261, -0.069271>,
      < -5.207330, 0.127620, -0.159978>,
      < -5.123764, 0.127670, -0.159929>
    }
    triangle {
      < -5.207390, 0.137261, -0.069271>,
      < -5.123764, 0.127670, -0.159929>,
      < -5.123823, 0.137311, -0.069222>
    }
    triangle {
      < -5.123823, 0.137311, -0.069222>,
      < -5.123764, 0.127670, -0.159929>,
      < -4.870223, 0.564228, -0.160295>
    }
    triangle {
      < -5.368534, 0.563933, -0.160590>,
      < -5.421003, 0.357981, -0.204128>,
      < -5.421025, 0.353435, -0.160372>
    }
    triangle {
      < -5.421025, 0.353435, -0.160372>,
      < -5.421003, 0.357981, -0.204128>,
      < -5.944049, 0.324360, -0.211475>
    }
    triangle {
      < -5.421025, 0.353435, -0.160372>,
      < -5.944049, 0.324360, -0.211475>,
      < -5.944076, 0.319079, -0.160641>
    }
    triangle {
      < -5.944076, 0.319079, -0.160641>,
      < -5.944049, 0.324360, -0.211475>,
      < -6.027599, 0.300085, -0.216643>
    }
    triangle {
      < -5.944076, 0.319079, -0.160641>,
      < -6.027599, 0.300085, -0.216643>,
      < -6.027628, 0.294269, -0.160661>
    }
    triangle {
      < -6.027628, 0.294269, -0.160661>,
      < -6.027599, 0.300085, -0.216643>,
      < -5.841864, 0.257799, -0.225490>
    }
    triangle {
      < -6.027628, 0.294269, -0.160661>,
      < -5.841864, 0.257799, -0.225490>,
      < -5.841898, 0.251048, -0.160500>
    }
    triangle {
      < -5.841898, 0.251048, -0.160500>,
      < -5.841864, 0.257799, -0.225490>,
      < -5.810931, 0.285072, -0.219714>
    }
    triangle {
      < -5.841898, 0.251048, -0.160500>,
      < -5.810931, 0.285072, -0.219714>,
      < -5.810964, 0.278922, -0.160515>
    }
    triangle {
      < -5.810964, 0.278922, -0.160515>,
      < -5.810931, 0.285072, -0.219714>,
      < -5.541670, 0.300373, -0.216355>
    }
    triangle {
      < -5.810964, 0.278922, -0.160515>,
      < -5.541670, 0.300373, -0.216355>,
      < -5.541698, 0.294557, -0.160374>
    }
    triangle {
      < -5.541698, 0.294557, -0.160374>,
      < -5.541670, 0.300373, -0.216355>,
      < -5.377583, 0.233849, -0.230334>
    }
    triangle {
      < -5.541698, 0.294557, -0.160374>,
      < -5.377583, 0.233849, -0.230334>,
      < -5.377619, 0.226562, -0.160196>
    }
    triangle {
      < -5.377619, 0.226562, -0.160196>,
      < -5.377583, 0.233849, -0.230334>,
      < -5.399216, 0.188412, -0.239944>
    }
    triangle {
      < -5.377619, 0.226562, -0.160196>,
      < -5.399216, 0.188412, -0.239944>,
      < -5.399257, 0.180123, -0.160154>
    }
    triangle {
      < -5.399257, 0.180123, -0.160154>,
      < -5.399216, 0.188412, -0.239944>,
      < -5.225857, 0.143091, -0.249438>
    }
    triangle {
      < -5.399257, 0.180123, -0.160154>,
      < -5.225857, 0.143091, -0.249438>,
      < -5.225905, 0.133799, -0.159996>
    }
    triangle {
      < -5.225905, 0.133799, -0.159996>,
      < -5.225857, 0.143091, -0.249438>,
      < -5.225878, 0.170346, -0.243680>
    }
    triangle {
      < -5.225905, 0.133799, -0.159996>,
      < -5.225878, 0.170346, -0.243680>,
      < -5.225922, 0.161655, -0.160029>
    }
    triangle {
      < -5.225922, 0.161655, -0.160029>,
      < -5.225878, 0.170346, -0.243680>,
      < -5.207307, 0.170357, -0.243669>
    }
    triangle {
      < -5.225922, 0.161655, -0.160029>,
      < -5.207307, 0.170357, -0.243669>,
      < -5.207350, 0.161666, -0.160018>
    }
    triangle {
      < -5.207350, 0.161666, -0.160018>,
      < -5.207307, 0.170357, -0.243669>,
      < -5.207282, 0.137046, -0.250706>
    }
    triangle {
      < -5.207350, 0.161666, -0.160018>,
      < -5.207282, 0.137046, -0.250706>,
      < -5.207330, 0.127620, -0.159978>
    }
    triangle {
      < -5.207330, 0.127620, -0.159978>,
      < -5.207282, 0.137046, -0.250706>,
      < -5.123714, 0.137095, -0.250657>
    }
    triangle {
      < -5.207330, 0.127620, -0.159978>,
      < -5.123714, 0.137095, -0.250657>,
      < -5.123764, 0.127670, -0.159929>
    }
    triangle {
      < -5.123764, 0.127670, -0.159929>,
      < -5.123714, 0.137095, -0.250657>,
      < -4.870223, 0.564228, -0.160295>
    }
    triangle {
      < -5.368534, 0.563933, -0.160590>,
      < -5.420985, 0.371523, -0.245982>,
      < -5.421003, 0.357981, -0.204128>
    }
    triangle {
      < -5.421003, 0.357981, -0.204128>,
      < -5.420985, 0.371523, -0.245982>,
      < -5.944030, 0.340092, -0.260101>
    }
    triangle {
      < -5.421003, 0.357981, -0.204128>,
      < -5.944030, 0.340092, -0.260101>,
      < -5.944049, 0.324360, -0.211475>
    }
    triangle {
      < -5.944049, 0.324360, -0.211475>,
      < -5.944030, 0.340092, -0.260101>,
      < -6.027578, 0.317410, -0.270193>
    }
    triangle {
      < -5.944049, 0.324360, -0.211475>,
      < -6.027578, 0.317410, -0.270193>,
      < -6.027599, 0.300085, -0.216643>
    }
    triangle {
      < -6.027599, 0.300085, -0.216643>,
      < -6.027578, 0.317410, -0.270193>,
      < -5.841838, 0.277914, -0.287657>
    }
    triangle {
      < -6.027599, 0.300085, -0.216643>,
      < -5.841838, 0.277914, -0.287657>,
      < -5.841864, 0.257799, -0.225490>
    }
    triangle {
      < -5.841864, 0.257799, -0.225490>,
      < -5.841838, 0.277914, -0.287657>,
      < -5.810909, 0.303394, -0.276341>
    }
    triangle {
      < -5.841864, 0.257799, -0.225490>,
      < -5.810909, 0.303394, -0.276341>,
      < -5.810931, 0.285072, -0.219714>
    }
    triangle {
      < -5.810931, 0.285072, -0.219714>,
      < -5.810909, 0.303394, -0.276341>,
      < -5.541648, 0.317698, -0.269905>
    }
    triangle {
      < -5.810931, 0.285072, -0.219714>,
      < -5.541648, 0.317698, -0.269905>,
      < -5.541670, 0.300373, -0.216355>
    }
    triangle {
      < -5.541670, 0.300373, -0.216355>,
      < -5.541648, 0.317698, -0.269905>,
      < -5.377555, 0.255556, -0.297424>
    }
    triangle {
      < -5.541670, 0.300373, -0.216355>,
      < -5.377555, 0.255556, -0.297424>,
      < -5.377583, 0.233849, -0.230334>
    }
    triangle {
      < -5.377583, 0.233849, -0.230334>,
      < -5.377555, 0.255556, -0.297424>,
      < -5.399185, 0.213106, -0.316267>
    }
    triangle {
      < -5.377583, 0.233849, -0.230334>,
      < -5.399185, 0.213106, -0.316267>,
      < -5.399216, 0.188412, -0.239944>
    }
    triangle {
      < -5.399216, 0.188412, -0.239944>,
      < -5.399185, 0.213106, -0.316267>,
      < -5.225822, 0.170773, -0.334994>
    }
    triangle {
      < -5.399216, 0.188412, -0.239944>,
      < -5.225822, 0.170773, -0.334994>,
      < -5.225857, 0.143091, -0.249438>
    }
    triangle {
      < -5.225857, 0.143091, -0.249438>,
      < -5.225822, 0.170773, -0.334994>,
      < -5.225845, 0.196234, -0.323696>
    }
    triangle {
      < -5.225857, 0.143091, -0.249438>,
      < -5.225845, 0.196234, -0.323696>,
      < -5.225878, 0.170346, -0.243680>
    }
    triangle {
      < -5.225878, 0.170346, -0.243680>,
      < -5.225845, 0.196234, -0.323696>,
      < -5.207274, 0.196245, -0.323685>
    }
    triangle {
      < -5.225878, 0.170346, -0.243680>,
      < -5.207274, 0.196245, -0.323685>,
      < -5.207307, 0.170357, -0.243669>
    }
    triangle {
      < -5.207307, 0.170357, -0.243669>,
      < -5.207274, 0.196245, -0.323685>,
      < -5.207248, 0.165126, -0.337494>
    }
    triangle {
      < -5.207307, 0.170357, -0.243669>,
      < -5.207248, 0.165126, -0.337494>,
      < -5.207282, 0.137046, -0.250706>
    }
    triangle {
      < -5.207282, 0.137046, -0.250706>,
      < -5.207248, 0.165126, -0.337494>,
      < -5.123680, 0.165176, -0.337445>
    }
    triangle {
      < -5.207282, 0.137046, -0.250706>,
      < -5.123680, 0.165176, -0.337445>,
      < -5.123714, 0.137095, -0.250657>
    }
    triangle {
      < -5.123714, 0.137095, -0.250657>,
      < -5.123680, 0.165176, -0.337445>,
      < -4.870223, 0.564228, -0.160295>
    }
    triangle {
      < -5.368534, 0.563933, -0.160590>,
      < -5.420976, 0.393469, -0.284108>,
      < -5.420985, 0.371523, -0.245982>
    }
    triangle {
      < -5.420985, 0.371523, -0.245982>,
      < -5.420976, 0.393469, -0.284108>,
      < -5.944018, 0.365589, -0.304394>
    }
    triangle {
      < -5.420985, 0.371523, -0.245982>,
      < -5.944018, 0.365589, -0.304394>,
      < -5.944030, 0.340092, -0.260101>
    }
    triangle {
      < -5.944030, 0.340092, -0.260101>,
      < -5.944018, 0.365589, -0.304394>,
      < -6.027565, 0.345489, -0.318971>
    }
    triangle {
      < -5.944030, 0.340092, -0.260101>,
      < -6.027565, 0.345489, -0.318971>,
      < -6.027578, 0.317410, -0.270193>
    }
    triangle {
      < -6.027578, 0.317410, -0.270193>,
      < -6.027565, 0.345489, -0.318971>,
      < -5.841824, 0.310510, -0.344285>
    }
    triangle {
      < -6.027578, 0.317410, -0.270193>,
      < -5.841824, 0.310510, -0.344285>,
      < -5.841838, 0.277914, -0.287657>
    }
    triangle {
      < -5.841838, 0.277914, -0.287657>,
      < -5.841824, 0.310510, -0.344285>,
      < -5.810896, 0.333086, -0.327922>
    }
    triangle {
      < -5.841838, 0.277914, -0.287657>,
      < -5.810896, 0.333086, -0.327922>,
      < -5.810909, 0.303394, -0.276341>
    }
    triangle {
      < -5.810909, 0.303394, -0.276341>,
      < -5.810896, 0.333086, -0.327922>,
      < -5.541636, 0.345777, -0.318683>
    }
    triangle {
      < -5.810909, 0.303394, -0.276341>,
      < -5.541636, 0.345777, -0.318683>,
      < -5.541648, 0.317698, -0.269905>
    }
    triangle {
      < -5.541648, 0.317698, -0.269905>,
      < -5.541636, 0.345777, -0.318683>,
      < -5.377541, 0.290735, -0.358538>
    }
    triangle {
      < -5.541648, 0.317698, -0.269905>,
      < -5.377541, 0.290735, -0.358538>,
      < -5.377555, 0.255556, -0.297424>
    }
    triangle {
      < -5.377555, 0.255556, -0.297424>,
      < -5.377541, 0.290735, -0.358538>,
      < -5.399166, 0.253127, -0.385790>
    }
    triangle {
      < -5.377555, 0.255556, -0.297424>,
      < -5.399166, 0.253127, -0.385790>,
      < -5.399185, 0.213106, -0.316267>
    }
    triangle {
      < -5.399185, 0.213106, -0.316267>,
      < -5.399166, 0.253127, -0.385790>,
      < -5.225804, 0.215634, -0.412928>
    }
    triangle {
      < -5.399185, 0.213106, -0.316267>,
      < -5.225804, 0.215634, -0.412928>,
      < -5.225822, 0.170773, -0.334994>
    }
    triangle {
      < -5.225822, 0.170773, -0.334994>,
      < -5.225804, 0.215634, -0.412928>,
      < -5.225827, 0.238191, -0.396583>
    }
    triangle {
      < -5.225822, 0.170773, -0.334994>,
      < -5.225827, 0.238191, -0.396583>,
      < -5.225845, 0.196234, -0.323696>
    }
    triangle {
      < -5.225845, 0.196234, -0.323696>,
      < -5.225827, 0.238191, -0.396583>,
      < -5.207256, 0.238202, -0.396572>
    }
    triangle {
      < -5.225845, 0.196234, -0.323696>,
      < -5.207256, 0.238202, -0.396572>,
      < -5.207274, 0.196245, -0.323685>
    }
    triangle {
      < -5.207274, 0.196245, -0.323685>,
      < -5.207256, 0.238202, -0.396572>,
      < -5.207228, 0.210633, -0.416549>
    }
    triangle {
      < -5.207274, 0.196245, -0.323685>,
      < -5.207228, 0.210633, -0.416549>,
      < -5.207248, 0.165126, -0.337494>
    }
    triangle {
      < -5.207248, 0.165126, -0.337494>,
      < -5.207228, 0.210633, -0.416549>,
      < -5.123661, 0.210683, -0.416499>
    }
    triangle {
      < -5.207248, 0.165126, -0.337494>,
      < -5.123661, 0.210683, -0.416499>,
      < -5.123680, 0.165176, -0.337445>
    }
    triangle {
      < -5.123680, 0.165176, -0.337445>,
      < -5.123661, 0.210683, -0.416499>,
      < -4.870223, 0.564228, -0.160295>
    }
    triangle {
      < -5.368534, 0.563933, -0.160590>,
      < -5.420974, 0.422862, -0.316839>,
      < -5.420976, 0.393469, -0.284108>
    }
    triangle {
      < -5.420976, 0.393469, -0.284108>,
      < -5.420974, 0.422862, -0.316839>,
      < -5.944016, 0.399737, -0.342419>
    }
    triangle {
      < -5.420976, 0.393469, -0.284108>,
      < -5.944016, 0.399737, -0.342419>,
      < -5.944018, 0.365589, -0.304394>
    }
    triangle {
      < -5.944018, 0.365589, -0.304394>,
      < -5.944016, 0.399737, -0.342419>,
      < -6.027564, 0.383094, -0.360847>
    }
    triangle {
      < -5.944018, 0.365589, -0.304394>,
      < -6.027564, 0.383094, -0.360847>,
      < -6.027565, 0.345489, -0.318971>
    }
    triangle {
      < -6.027565, 0.345489, -0.318971>,
      < -6.027564, 0.383094, -0.360847>,
      < -5.841820, 0.354167, -0.392900>
    }
    triangle {
      < -6.027565, 0.345489, -0.318971>,
      < -5.841820, 0.354167, -0.392900>,
      < -5.841824, 0.310510, -0.344285>
    }
    triangle {
      < -5.841824, 0.310510, -0.344285>,
      < -5.841820, 0.354167, -0.392900>,
      < -5.810894, 0.372852, -0.372206>
    }
    triangle {
      < -5.841824, 0.310510, -0.344285>,
      < -5.810894, 0.372852, -0.372206>,
      < -5.810896, 0.333086, -0.327922>
    }
    triangle {
      < -5.810896, 0.333086, -0.327922>,
      < -5.810894, 0.372852, -0.372206>,
      < -5.541635, 0.383382, -0.360559>
    }
    triangle {
      < -5.810896, 0.333086, -0.327922>,
      < -5.541635, 0.383382, -0.360559>,
      < -5.541636, 0.345777, -0.318683>
    }
    triangle {
      < -5.541636, 0.345777, -0.318683>,
      < -5.541635, 0.383382, -0.360559>,
      < -5.377537, 0.337850, -0.411003>
    }
    triangle {
      < -5.541636, 0.345777, -0.318683>,
      < -5.377537, 0.337850, -0.411003>,
      < -5.377541, 0.290735, -0.358538>
    }
    triangle {
      < -5.377541, 0.290735, -0.358538>,
      < -5.377537, 0.337850, -0.411003>,
      < -5.399164, 0.306724, -0.445476>
    }
    triangle {
      < -5.377541, 0.290735, -0.358538>,
      < -5.399164, 0.306724, -0.445476>,
      < -5.399166, 0.253127, -0.385790>
    }
    triangle {
      < -5.399166, 0.253127, -0.385790>,
      < -5.399164, 0.306724, -0.445476>,
      < -5.225800, 0.275716, -0.479832>
    }
    triangle {
      < -5.399166, 0.253127, -0.385790>,
      < -5.225800, 0.275716, -0.479832>,
      < -5.225804, 0.215634, -0.412928>
    }
    triangle {
      < -5.225804, 0.215634, -0.412928>,
      < -5.225800, 0.275716, -0.479832>,
      < -5.225822, 0.294383, -0.459158>
    }
    triangle {
      < -5.225804, 0.215634, -0.412928>,
      < -5.225822, 0.294383, -0.459158>,
      < -5.225827, 0.238191, -0.396583>
    }
    triangle {
      < -5.225827, 0.238191, -0.396583>,
      < -5.225822, 0.294383, -0.459158>,
      < -5.207253, 0.294394, -0.459147>
    }
    triangle {
      < -5.225827, 0.238191, -0.396583>,
      < -5.207253, 0.294394, -0.459147>,
      < -5.207256, 0.238202, -0.396572>
    }
    triangle {
      < -5.207256, 0.238202, -0.396572>,
      < -5.207253, 0.294394, -0.459147>,
      < -5.207224, 0.271579, -0.484417>
    }
    triangle {
      < -5.207256, 0.238202, -0.396572>,
      < -5.207224, 0.271579, -0.484417>,
      < -5.207228, 0.210633, -0.416549>
    }
    triangle {
      < -5.207228, 0.210633, -0.416549>,
      < -5.207224, 0.271579, -0.484417>,
      < -5.123657, 0.271629, -0.484367>
    }
    triangle {
      < -5.207228, 0.210633, -0.416549>,
      < -5.123657, 0.271629, -0.484367>,
      < -5.123661, 0.210683, -0.416499>
    }
    triangle {
      < -5.123661, 0.210683, -0.416499>,
      < -5.123657, 0.271629, -0.484367>,
      < -4.870223, 0.564228, -0.160295>
    }
    triangle {
      < -5.368534, 0.563933, -0.160590>,
      < -5.420981, 0.458416, -0.342745>,
      < -5.420974, 0.422862, -0.316839>
    }
    triangle {
      < -5.420974, 0.422862, -0.316839>,
      < -5.420981, 0.458416, -0.342745>,
      < -5.944024, 0.441043, -0.372515>
    }
    triangle {
      < -5.420974, 0.422862, -0.316839>,
      < -5.944024, 0.441043, -0.372515>,
      < -5.944016, 0.399737, -0.342419>
    }
    triangle {
      < -5.944016, 0.399737, -0.342419>,
      < -5.944024, 0.441043, -0.372515>,
      < -6.027571, 0.428583, -0.393992>
    }
    triangle {
      < -5.944016, 0.399737, -0.342419>,
      < -6.027571, 0.428583, -0.393992>,
      < -6.027564, 0.383094, -0.360847>
    }
    triangle {
      < -6.027564, 0.383094, -0.360847>,
      < -6.027571, 0.428583, -0.393992>,
      < -5.841829, 0.406976, -0.431377>
    }
    triangle {
      < -6.027564, 0.383094, -0.360847>,
      < -5.841829, 0.406976, -0.431377>,
      < -5.841820, 0.354167, -0.392900>
    }
    triangle {
      < -5.841820, 0.354167, -0.392900>,
      < -5.841829, 0.406976, -0.431377>,
      < -5.810902, 0.420955, -0.407255>
    }
    triangle {
      < -5.841820, 0.354167, -0.392900>,
      < -5.810902, 0.420955, -0.407255>,
      < -5.810894, 0.372852, -0.372206>
    }
    triangle {
      < -5.810894, 0.372852, -0.372206>,
      < -5.810902, 0.420955, -0.407255>,
      < -5.541641, 0.428871, -0.393704>
    }
    triangle {
      < -5.810894, 0.372852, -0.372206>,
      < -5.541641, 0.428871, -0.393704>,
      < -5.541635, 0.383382, -0.360559>
    }
    triangle {
      < -5.541635, 0.383382, -0.360559>,
      < -5.541641, 0.428871, -0.393704>,
      < -5.377546, 0.394841, -0.452529>
    }
    triangle {
      < -5.541635, 0.383382, -0.360559>,
      < -5.377546, 0.394841, -0.452529>,
      < -5.377537, 0.337850, -0.411003>
    }
    triangle {
      < -5.377537, 0.337850, -0.411003>,
      < -5.377546, 0.394841, -0.452529>,
      < -5.399173, 0.371559, -0.492716>
    }
    triangle {
      < -5.377537, 0.337850, -0.411003>,
      < -5.399173, 0.371559, -0.492716>,
      < -5.399164, 0.306724, -0.445476>
    }
    triangle {
      < -5.399164, 0.306724, -0.445476>,
      < -5.399173, 0.371559, -0.492716>,
      < -5.225811, 0.348393, -0.532788>
    }
    triangle {
      < -5.399164, 0.306724, -0.445476>,
      < -5.225811, 0.348393, -0.532788>,
      < -5.225800, 0.275716, -0.479832>
    }
    triangle {
      < -5.225800, 0.275716, -0.479832>,
      < -5.225811, 0.348393, -0.532788>,
      < -5.225833, 0.362355, -0.508683>
    }
    triangle {
      < -5.225800, 0.275716, -0.479832>,
      < -5.225833, 0.362355, -0.508683>,
      < -5.225822, 0.294383, -0.459158>
    }
    triangle {
      < -5.225822, 0.294383, -0.459158>,
      < -5.225833, 0.362355, -0.508683>,
      < -5.207263, 0.362366, -0.508672>
    }
    triangle {
      < -5.225822, 0.294383, -0.459158>,
      < -5.207263, 0.362366, -0.508672>,
      < -5.207253, 0.294394, -0.459147>
    }
    triangle {
      < -5.207253, 0.294394, -0.459147>,
      < -5.207263, 0.362366, -0.508672>,
      < -5.207235, 0.345301, -0.538134>
    }
    triangle {
      < -5.207253, 0.294394, -0.459147>,
      < -5.207235, 0.345301, -0.538134>,
      < -5.207224, 0.271579, -0.484417>
    }
    triangle {
      < -5.207224, 0.271579, -0.484417>,
      < -5.207235, 0.345301, -0.538134>,
      < -5.123669, 0.345351, -0.538084>
    }
    triangle {
      < -5.207224, 0.271579, -0.484417>,
      < -5.123669, 0.345351, -0.538084>,
      < -5.123657, 0.271629, -0.484367>
    }
    triangle {
      < -5.123657, 0.271629, -0.484367>,
      < -5.123669, 0.345351, -0.538084>,
      < -4.870223, 0.564228, -0.160295>
    }
    triangle {
      < -5.368534, 0.563933, -0.160590>,
      < -5.420994, 0.498579, -0.360694>,
      < -5.420981, 0.458416, -0.342745>
    }
    triangle {
      < -5.420981, 0.458416, -0.342745>,
      < -5.420994, 0.498579, -0.360694>,
      < -5.944038, 0.487702, -0.393368>
    }
    triangle {
      < -5.420981, 0.458416, -0.342745>,
      < -5.944038, 0.487702, -0.393368>,
      < -5.944024, 0.441043, -0.372515>
    }
    triangle {
      < -5.944024, 0.441043, -0.372515>,
      < -5.944038, 0.487702, -0.393368>,
      < -6.027587, 0.479968, -0.416956>
    }
    triangle {
      < -5.944024, 0.441043, -0.372515>,
      < -6.027587, 0.479968, -0.416956>,
      < -6.027571, 0.428583, -0.393992>
    }
    triangle {
      < -6.027571, 0.428583, -0.393992>,
      < -6.027587, 0.479968, -0.416956>,
      < -5.841850, 0.466630, -0.458038>
    }
    triangle {
      < -6.027571, 0.428583, -0.393992>,
      < -5.841850, 0.466630, -0.458038>,
      < -5.841829, 0.406976, -0.431377>
    }
    triangle {
      < -5.841829, 0.406976, -0.431377>,
      < -5.841850, 0.466630, -0.458038>,
      < -5.810920, 0.475293, -0.431539>
    }
    triangle {
      < -5.841829, 0.406976, -0.431377>,
      < -5.810920, 0.475293, -0.431539>,
      < -5.810902, 0.420955, -0.407255>
    }
    triangle {
      < -5.810902, 0.420955, -0.407255>,
      < -5.810920, 0.475293, -0.431539>,
      < -5.541658, 0.480256, -0.416669>
    }
    triangle {
      < -5.810902, 0.420955, -0.407255>,
      < -5.541658, 0.480256, -0.416669>,
      < -5.541641, 0.428871, -0.393704>
    }
    triangle {
      < -5.541641, 0.428871, -0.393704>,
      < -5.541658, 0.480256, -0.416669>,
      < -5.377567, 0.459219, -0.481300>
    }
    triangle {
      < -5.541641, 0.428871, -0.393704>,
      < -5.377567, 0.459219, -0.481300>,
      < -5.377546, 0.394841, -0.452529>
    }
    triangle {
      < -5.377546, 0.394841, -0.452529>,
      < -5.377567, 0.459219, -0.481300>,
      < -5.399198, 0.444797, -0.525447>
    }
    triangle {
      < -5.377546, 0.394841, -0.452529>,
      < -5.399198, 0.444797, -0.525447>,
      < -5.399173, 0.371559, -0.492716>
    }
    triangle {
      < -5.399173, 0.371559, -0.492716>,
      < -5.399198, 0.444797, -0.525447>,
      < -5.225838, 0.430491, -0.569477>
    }
    triangle {
      < -5.399173, 0.371559, -0.492716>,
      < -5.225838, 0.430491, -0.569477>,
      < -5.225811, 0.348393, -0.532788>
    }
    triangle {
      < -5.225811, 0.348393, -0.532788>,
      < -5.225838, 0.430491, -0.569477>,
      < -5.225859, 0.439136, -0.542997>
    }
    triangle {
      < -5.225811, 0.348393, -0.532788>,
      < -5.225859, 0.439136, -0.542997>,
      < -5.225833, 0.362355, -0.508683>
    }
    triangle {
      < -5.225833, 0.362355, -0.508683>,
      < -5.225859, 0.439136, -0.542997>,
      < -5.207287, 0.439147, -0.542986>
    }
    triangle {
      < -5.225833, 0.362355, -0.508683>,
      < -5.207287, 0.439147, -0.542986>,
      < -5.207263, 0.362366, -0.508672>
    }
    triangle {
      < -5.207263, 0.362366, -0.508672>,
      < -5.207287, 0.439147, -0.542986>,
      < -5.207262, 0.428580, -0.575351>
    }
    triangle {
      < -5.207263, 0.362366, -0.508672>,
      < -5.207262, 0.428580, -0.575351>,
      < -5.207235, 0.345301, -0.538134>
    }
    triangle {
      < -5.207235, 0.345301, -0.538134>,
      < -5.207262, 0.428580, -0.575351>,
      < -5.123696, 0.428630, -0.575302>
    }
    triangle {
      < -5.207235, 0.345301, -0.538134>,
      < -5.123696, 0.428630, -0.575302>,
      < -5.123669, 0.345351, -0.538084>
    }
    triangle {
      < -5.123669, 0.345351, -0.538084>,
      < -5.123696, 0.428630, -0.575302>,
      < -4.870223, 0.564228, -0.160295>
    }
    triangle {
      < -5.368534, 0.563933, -0.160590>,
      < -5.421013, 0.541595, -0.369902>,
      < -5.420994, 0.498579, -0.360694>
    }
    triangle {
      < -5.420994, 0.498579, -0.360694>,
      < -5.421013, 0.541595, -0.369902>,
      < -5.944062, 0.537677, -0.404067>
    }
    triangle {
      < -5.420994, 0.498579, -0.360694>,
      < -5.944062, 0.537677, -0.404067>,
      < -5.944038, 0.487702, -0.393368>
    }
    triangle {
      < -5.944038, 0.487702, -0.393368>,
      < -5.944062, 0.537677, -0.404067>,
      < -6.027614, 0.535004, -0.428737>
    }
    triangle {
      < -5.944038, 0.487702, -0.393368>,
      < -6.027614, 0.535004, -0.428737>,
      < -6.027587, 0.479968, -0.416956>
    }
    triangle {
      < -6.027587, 0.479968, -0.416956>,
      < -6.027614, 0.535004, -0.428737>,
      < -5.841880, 0.530522, -0.471714>
    }
    triangle {
      < -6.027587, 0.479968, -0.416956>,
      < -5.841880, 0.530522, -0.471714>,
      < -5.841850, 0.466630, -0.458038>
    }
    triangle {
      < -5.841850, 0.466630, -0.458038>,
      < -5.841880, 0.530522, -0.471714>,
      < -5.810946, 0.533492, -0.443997>
    }
    triangle {
      < -5.841850, 0.466630, -0.458038>,
      < -5.810946, 0.533492, -0.443997>,
      < -5.810920, 0.475293, -0.431539>
    }
    triangle {
      < -5.810920, 0.475293, -0.431539>,
      < -5.810946, 0.533492, -0.443997>,
      < -5.541685, 0.535292, -0.428449>
    }
    triangle {
      < -5.810920, 0.475293, -0.431539>,
      < -5.541685, 0.535292, -0.428449>,
      < -5.541658, 0.480256, -0.416669>
    }
    triangle {
      < -5.541658, 0.480256, -0.416669>,
      < -5.541685, 0.535292, -0.428449>,
      < -5.377599, 0.528172, -0.496061>
    }
    triangle {
      < -5.541658, 0.480256, -0.416669>,
      < -5.377599, 0.528172, -0.496061>,
      < -5.377567, 0.459219, -0.481300>
    }
    triangle {
      < -5.377567, 0.459219, -0.481300>,
      < -5.377599, 0.528172, -0.496061>,
      < -5.399234, 0.523239, -0.542238>
    }
    triangle {
      < -5.377567, 0.459219, -0.481300>,
      < -5.399234, 0.523239, -0.542238>,
      < -5.399198, 0.444797, -0.525447>
    }
    triangle {
      < -5.399198, 0.444797, -0.525447>,
      < -5.399234, 0.523239, -0.542238>,
      < -5.225880, 0.518422, -0.588300>
    }
    triangle {
      < -5.399198, 0.444797, -0.525447>,
      < -5.225880, 0.518422, -0.588300>,
      < -5.225838, 0.430491, -0.569477>
    }
    triangle {
      < -5.225838, 0.430491, -0.569477>,
      < -5.225880, 0.518422, -0.588300>,
      < -5.225898, 0.521374, -0.560602>
    }
    triangle {
      < -5.225838, 0.430491, -0.569477>,
      < -5.225898, 0.521374, -0.560602>,
      < -5.225859, 0.439136, -0.542997>
    }
    triangle {
      < -5.225859, 0.439136, -0.542997>,
      < -5.225898, 0.521374, -0.560602>,
      < -5.207326, 0.521385, -0.560591>
    }
    triangle {
      < -5.225859, 0.439136, -0.542997>,
      < -5.207326, 0.521385, -0.560591>,
      < -5.207287, 0.439147, -0.542986>
    }
    triangle {
      < -5.207287, 0.439147, -0.542986>,
      < -5.207326, 0.521385, -0.560591>,
      < -5.207304, 0.517777, -0.594445>
    }
    triangle {
      < -5.207287, 0.439147, -0.542986>,
      < -5.207304, 0.517777, -0.594445>,
      < -5.207262, 0.428580, -0.575351>
    }
    triangle {
      < -5.207262, 0.428580, -0.575351>,
      < -5.207304, 0.517777, -0.594445>,
      < -5.123738, 0.517826, -0.594396>
    }
    triangle {
      < -5.207262, 0.428580, -0.575351>,
      < -5.123738, 0.517826, -0.594396>,
      < -5.123696, 0.428630, -0.575302>
    }
    triangle {
      < -5.123696, 0.428630, -0.575302>,
      < -5.123738, 0.517826, -0.594396>,
      < -4.870223, 0.564228, -0.160295>
    }
    triangle {
      < -5.368534, 0.563933, -0.160590>,
      < -5.421039, 0.585587, -0.369967>,
      < -5.421013, 0.541595, -0.369902>
    }
    triangle {
      < -5.421013, 0.541595, -0.369902>,
      < -5.421039, 0.585587, -0.369967>,
      < -5.944092, 0.588785, -0.404142>
    }
    triangle {
      < -5.421013, 0.541595, -0.369902>,
      < -5.944092, 0.588785, -0.404142>,
      < -5.944062, 0.537677, -0.404067>
    }
    triangle {
      < -5.944062, 0.537677, -0.404067>,
      < -5.944092, 0.588785, -0.404142>,
      < -6.027647, 0.591287, -0.428820>
    }
    triangle {
      < -5.944062, 0.537677, -0.404067>,
      < -6.027647, 0.591287, -0.428820>,
      < -6.027614, 0.535004, -0.428737>
    }
    triangle {
      < -6.027614, 0.535004, -0.428737>,
      < -6.027647, 0.591287, -0.428820>,
      < -5.841918, 0.595862, -0.471811>
    }
    triangle {
      < -6.027614, 0.535004, -0.428737>,
      < -5.841918, 0.595862, -0.471811>,
      < -5.841880, 0.530522, -0.471714>
    }
    triangle {
      < -5.841880, 0.530522, -0.471714>,
      < -5.841918, 0.595862, -0.471811>,
      < -5.810981, 0.593009, -0.444085>
    }
    triangle {
      < -5.841880, 0.530522, -0.471714>,
      < -5.810981, 0.593009, -0.444085>,
      < -5.810946, 0.533492, -0.443997>
    }
    triangle {
      < -5.810946, 0.533492, -0.443997>,
      < -5.810981, 0.593009, -0.444085>,
      < -5.541718, 0.591575, -0.428533>
    }
    triangle {
      < -5.810946, 0.533492, -0.443997>,
      < -5.541718, 0.591575, -0.428533>,
      < -5.541685, 0.535292, -0.428449>
    }
    triangle {
      < -5.541685, 0.535292, -0.428449>,
      < -5.541718, 0.591575, -0.428533>,
      < -5.377641, 0.598688, -0.496165>
    }
    triangle {
      < -5.541685, 0.535292, -0.428449>,
      < -5.377641, 0.598688, -0.496165>,
      < -5.377599, 0.528172, -0.496061>
    }
    triangle {
      < -5.377599, 0.528172, -0.496061>,
      < -5.377641, 0.598688, -0.496165>,
      < -5.399282, 0.603458, -0.542358>
    }
    triangle {
      < -5.377599, 0.528172, -0.496061>,
      < -5.399282, 0.603458, -0.542358>,
      < -5.399234, 0.523239, -0.542238>
    }
    triangle {
      < -5.399234, 0.523239, -0.542238>,
      < -5.399282, 0.603458, -0.542358>,
      < -5.225933, 0.608344, -0.588434>
    }
    triangle {
      < -5.399234, 0.523239, -0.542238>,
      < -5.225933, 0.608344, -0.588434>,
      < -5.225880, 0.518422, -0.588300>
    }
    triangle {
      < -5.225880, 0.518422, -0.588300>,
      < -5.225933, 0.608344, -0.588434>,
      < -5.225948, 0.605475, -0.560726>
    }
    triangle {
      < -5.225880, 0.518422, -0.588300>,
      < -5.225948, 0.605475, -0.560726>,
      < -5.225898, 0.521374, -0.560602>
    }
    triangle {
      < -5.225898, 0.521374, -0.560602>,
      < -5.225948, 0.605475, -0.560726>,
      < -5.207376, 0.605486, -0.560715>
    }
    triangle {
      < -5.225898, 0.521374, -0.560602>,
      < -5.207376, 0.605486, -0.560715>,
      < -5.207326, 0.521385, -0.560591>
    }
    triangle {
      < -5.207326, 0.521385, -0.560591>,
      < -5.207376, 0.605486, -0.560715>,
      < -5.207358, 0.608994, -0.594580>
    }
    triangle {
      < -5.207326, 0.521385, -0.560591>,
      < -5.207358, 0.608994, -0.594580>,
      < -5.207304, 0.517777, -0.594445>
    }
    triangle {
      < -5.207304, 0.517777, -0.594445>,
      < -5.207358, 0.608994, -0.594580>,
      < -5.123792, 0.609043, -0.594530>
    }
    triangle {
      < -5.207304, 0.517777, -0.594445>,
      < -5.123792, 0.609043, -0.594530>,
      < -5.123738, 0.517826, -0.594396>
    }
    triangle {
      < -5.123738, 0.517826, -0.594396>,
      < -5.123792, 0.609043, -0.594530>,
      < -4.870223, 0.564228, -0.160295>
    }
    triangle {
      < -5.368534, 0.563933, -0.160590>,
      < -5.421071, 0.628631, -0.360887>,
      < -5.421039, 0.585587, -0.369967>
    }
    triangle {
      < -5.421039, 0.585587, -0.369967>,
      < -5.421071, 0.628631, -0.360887>,
      < -5.944128, 0.638791, -0.393593>
    }
    triangle {
      < -5.421039, 0.585587, -0.369967>,
      < -5.944128, 0.638791, -0.393593>,
      < -5.944092, 0.588785, -0.404142>
    }
    triangle {
      < -5.944092, 0.588785, -0.404142>,
      < -5.944128, 0.638791, -0.393593>,
      < -6.027686, 0.646357, -0.417202>
    }
    triangle {
      < -5.944092, 0.588785, -0.404142>,
      < -6.027686, 0.646357, -0.417202>,
      < -6.027647, 0.591287, -0.428820>
    }
    triangle {
      < -6.027647, 0.591287, -0.428820>,
      < -6.027686, 0.646357, -0.417202>,
      < -5.841964, 0.659794, -0.458323>
    }
    triangle {
      < -6.027647, 0.591287, -0.428820>,
      < -5.841964, 0.659794, -0.458323>,
      < -5.841918, 0.595862, -0.471811>
    }
    triangle {
      < -5.841918, 0.595862, -0.471811>,
      < -5.841964, 0.659794, -0.458323>,
      < -5.811023, 0.651246, -0.431800>
    }
    triangle {
      < -5.841918, 0.595862, -0.471811>,
      < -5.811023, 0.651246, -0.431800>,
      < -5.810981, 0.593009, -0.444085>
    }
    triangle {
      < -5.810981, 0.593009, -0.444085>,
      < -5.811023, 0.651246, -0.431800>,
      < -5.541756, 0.646645, -0.416914>
    }
    triangle {
      < -5.810981, 0.593009, -0.444085>,
      < -5.541756, 0.646645, -0.416914>,
      < -5.541718, 0.591575, -0.428533>
    }
    triangle {
      < -5.541718, 0.591575, -0.428533>,
      < -5.541756, 0.646645, -0.416914>,
      < -5.377691, 0.667684, -0.481609>
    }
    triangle {
      < -5.541718, 0.591575, -0.428533>,
      < -5.377691, 0.667684, -0.481609>,
      < -5.377641, 0.598688, -0.496165>
    }
    triangle {
      < -5.377641, 0.598688, -0.496165>,
      < -5.377691, 0.667684, -0.481609>,
      < -5.399338, 0.681950, -0.525798>
    }
    triangle {
      < -5.377641, 0.598688, -0.496165>,
      < -5.399338, 0.681950, -0.525798>,
      < -5.399282, 0.603458, -0.542358>
    }
    triangle {
      < -5.399282, 0.603458, -0.542358>,
      < -5.399338, 0.681950, -0.525798>,
      < -5.225996, 0.696331, -0.569872>
    }
    triangle {
      < -5.399282, 0.603458, -0.542358>,
      < -5.225996, 0.696331, -0.569872>,
      < -5.225933, 0.608344, -0.588434>
    }
    triangle {
      < -5.225933, 0.608344, -0.588434>,
      < -5.225996, 0.696331, -0.569872>,
      < -5.226007, 0.687764, -0.543366>
    }
    triangle {
      < -5.225933, 0.608344, -0.588434>,
      < -5.226007, 0.687764, -0.543366>,
      < -5.225948, 0.605475, -0.560726>
    }
    triangle {
      < -5.225948, 0.605475, -0.560726>,
      < -5.226007, 0.687764, -0.543366>,
      < -5.207435, 0.687775, -0.543355>
    }
    triangle {
      < -5.225948, 0.605475, -0.560726>,
      < -5.207435, 0.687775, -0.543355>,
      < -5.207376, 0.605486, -0.560715>
    }
    triangle {
      < -5.207376, 0.605486, -0.560715>,
      < -5.207435, 0.687775, -0.543355>,
      < -5.207422, 0.698246, -0.575751>
    }
    triangle {
      < -5.207376, 0.605486, -0.560715>,
      < -5.207422, 0.698246, -0.575751>,
      < -5.207358, 0.608994, -0.594580>
    }
    triangle {
      < -5.207358, 0.608994, -0.594580>,
      < -5.207422, 0.698246, -0.575751>,
      < -5.123856, 0.698296, -0.575701>
    }
    triangle {
      < -5.207358, 0.608994, -0.594580>,
      < -5.123856, 0.698296, -0.575701>,
      < -5.123792, 0.609043, -0.594530>
    }
    triangle {
      < -5.123792, 0.609043, -0.594530>,
      < -5.123856, 0.698296, -0.575701>,
      < -4.870223, 0.564228, -0.160295>
    }
    triangle {
      < -5.368534, 0.563933, -0.160590>,
      < -5.421105, 0.668846, -0.343056>,
      < -5.421071, 0.628631, -0.360887>
    }
    triangle {
      < -5.421071, 0.628631, -0.360887>,
      < -5.421105, 0.668846, -0.343056>,
      < -5.944167, 0.685513, -0.372878>
    }
    triangle {
      < -5.421071, 0.628631, -0.360887>,
      < -5.944167, 0.685513, -0.372878>,
      < -5.944128, 0.638791, -0.393593>
    }
    triangle {
      < -5.944128, 0.638791, -0.393593>,
      < -5.944167, 0.685513, -0.372878>,
      < -6.027731, 0.697809, -0.394391>
    }
    triangle {
      < -5.944128, 0.638791, -0.393593>,
      < -6.027731, 0.697809, -0.394391>,
      < -6.027686, 0.646357, -0.417202>
    }
    triangle {
      < -6.027686, 0.646357, -0.417202>,
      < -6.027731, 0.697809, -0.394391>,
      < -5.842015, 0.719526, -0.431840>
    }
    triangle {
      < -6.027686, 0.646357, -0.417202>,
      < -5.842015, 0.719526, -0.431840>,
      < -5.841964, 0.659794, -0.458323>
    }
    triangle {
      < -5.841964, 0.659794, -0.458323>,
      < -5.842015, 0.719526, -0.431840>,
      < -5.811070, 0.705655, -0.407676>
    }
    triangle {
      < -5.841964, 0.659794, -0.458323>,
      < -5.811070, 0.705655, -0.407676>,
      < -5.811023, 0.651246, -0.431800>
    }
    triangle {
      < -5.811023, 0.651246, -0.431800>,
      < -5.811070, 0.705655, -0.407676>,
      < -5.541801, 0.698098, -0.394103>
    }
    triangle {
      < -5.811023, 0.651246, -0.431800>,
      < -5.541801, 0.698098, -0.394103>,
      < -5.541756, 0.646645, -0.416914>
    }
    triangle {
      < -5.541756, 0.646645, -0.416914>,
      < -5.541801, 0.698098, -0.394103>,
      < -5.377746, 0.732148, -0.453028>
    }
    triangle {
      < -5.541756, 0.646645, -0.416914>,
      < -5.377746, 0.732148, -0.453028>,
      < -5.377691, 0.667684, -0.481609>
    }
    triangle {
      < -5.377691, 0.667684, -0.481609>,
      < -5.377746, 0.732148, -0.453028>,
      < -5.399401, 0.755284, -0.493285>
    }
    triangle {
      < -5.377691, 0.667684, -0.481609>,
      < -5.399401, 0.755284, -0.493285>,
      < -5.399338, 0.681950, -0.525798>
    }
    triangle {
      < -5.399338, 0.681950, -0.525798>,
      < -5.399401, 0.755284, -0.493285>,
      < -5.226067, 0.778537, -0.533424>
    }
    triangle {
      < -5.399338, 0.681950, -0.525798>,
      < -5.226067, 0.778537, -0.533424>,
      < -5.225996, 0.696331, -0.569872>
    }
    triangle {
      < -5.225996, 0.696331, -0.569872>,
      < -5.226067, 0.778537, -0.533424>,
      < -5.226071, 0.764647, -0.509279>
    }
    triangle {
      < -5.225996, 0.696331, -0.569872>,
      < -5.226071, 0.764647, -0.509279>,
      < -5.226007, 0.687764, -0.543366>
    }
    triangle {
      < -5.226007, 0.687764, -0.543366>,
      < -5.226071, 0.764647, -0.509279>,
      < -5.207501, 0.764658, -0.509268>
    }
    triangle {
      < -5.226007, 0.687764, -0.543366>,
      < -5.207501, 0.764658, -0.509268>,
      < -5.207435, 0.687775, -0.543355>
    }
    triangle {
      < -5.207435, 0.687775, -0.543355>,
      < -5.207501, 0.764658, -0.509268>,
      < -5.207494, 0.781635, -0.538779>
    }
    triangle {
      < -5.207435, 0.687775, -0.543355>,
      < -5.207494, 0.781635, -0.538779>,
      < -5.207422, 0.698246, -0.575751>
    }
    triangle {
      < -5.207422, 0.698246, -0.575751>,
      < -5.207494, 0.781635, -0.538779>,
      < -5.123928, 0.781685, -0.538730>
    }
    triangle {
      < -5.207422, 0.698246, -0.575751>,
      < -5.123928, 0.781685, -0.538730>,
      < -5.123856, 0.698296, -0.575701>
    }
    triangle {
      < -5.123856, 0.698296, -0.575701>,
      < -5.123928, 0.781685, -0.538730>,
      < -4.870223, 0.564228, -0.160295>
    }
    triangle {
      < -5.368534, 0.563933, -0.160590>,
      < -5.421141, 0.704478, -0.317257>,
      < -5.421105, 0.668846, -0.343056>
    }
    triangle {
      < -5.421105, 0.668846, -0.343056>,
      < -5.421141, 0.704478, -0.317257>,
      < -5.944210, 0.726907, -0.342904>
    }
    triangle {
      < -5.421105, 0.668846, -0.343056>,
      < -5.944210, 0.726907, -0.342904>,
      < -5.944167, 0.685513, -0.372878>
    }
    triangle {
      < -5.944167, 0.685513, -0.372878>,
      < -5.944210, 0.726907, -0.342904>,
      < -6.027777, 0.743396, -0.361382>
    }
    triangle {
      < -5.944167, 0.685513, -0.372878>,
      < -6.027777, 0.743396, -0.361382>,
      < -6.027731, 0.697809, -0.394391>
    }
    triangle {
      < -6.027731, 0.697809, -0.394391>,
      < -6.027777, 0.743396, -0.361382>,
      < -5.842068, 0.772448, -0.393520>
    }
    triangle {
      < -6.027731, 0.697809, -0.394391>,
      < -5.842068, 0.772448, -0.393520>,
      < -5.842015, 0.719526, -0.431840>
    }
    triangle {
      < -5.842015, 0.719526, -0.431840>,
      < -5.842068, 0.772448, -0.393520>,
      < -5.811120, 0.753862, -0.372770>
    }
    triangle {
      < -5.842015, 0.719526, -0.431840>,
      < -5.811120, 0.753862, -0.372770>,
      < -5.811070, 0.705655, -0.407676>
    }
    triangle {
      < -5.811070, 0.705655, -0.407676>,
      < -5.811120, 0.753862, -0.372770>,
      < -5.541848, 0.743684, -0.361094>
    }
    triangle {
      < -5.811070, 0.705655, -0.407676>,
      < -5.541848, 0.743684, -0.361094>,
      < -5.541801, 0.698098, -0.394103>
    }
    triangle {
      < -5.541801, 0.698098, -0.394103>,
      < -5.541848, 0.743684, -0.361094>,
      < -5.377804, 0.789262, -0.411672>
    }
    triangle {
      < -5.541801, 0.698098, -0.394103>,
      < -5.377804, 0.789262, -0.411672>,
      < -5.377746, 0.732148, -0.453028>
    }
    triangle {
      < -5.377746, 0.732148, -0.453028>,
      < -5.377804, 0.789262, -0.411672>,
      < -5.399468, 0.820259, -0.446237>
    }
    triangle {
      < -5.377746, 0.732148, -0.453028>,
      < -5.399468, 0.820259, -0.446237>,
      < -5.399401, 0.755284, -0.493285>
    }
    triangle {
      < -5.399401, 0.755284, -0.493285>,
      < -5.399468, 0.820259, -0.446237>,
      < -5.226140, 0.851370, -0.480686>
    }
    triangle {
      < -5.399401, 0.755284, -0.493285>,
      < -5.226140, 0.851370, -0.480686>,
      < -5.226067, 0.778537, -0.533424>
    }
    triangle {
      < -5.226067, 0.778537, -0.533424>,
      < -5.226140, 0.851370, -0.480686>,
      < -5.226140, 0.832765, -0.459955>
    }
    triangle {
      < -5.226067, 0.778537, -0.533424>,
      < -5.226140, 0.832765, -0.459955>,
      < -5.226071, 0.764647, -0.509279>
    }
    triangle {
      < -5.226071, 0.764647, -0.509279>,
      < -5.226140, 0.832765, -0.459955>,
      < -5.207572, 0.832776, -0.459944>
    }
    triangle {
      < -5.226071, 0.764647, -0.509279>,
      < -5.207572, 0.832776, -0.459944>,
      < -5.207501, 0.764658, -0.509268>
    }
    triangle {
      < -5.207501, 0.764658, -0.509268>,
      < -5.207572, 0.832776, -0.459944>,
      < -5.207570, 0.855517, -0.485282>
    }
    triangle {
      < -5.207501, 0.764658, -0.509268>,
      < -5.207570, 0.855517, -0.485282>,
      < -5.207494, 0.781635, -0.538779>
    }
    triangle {
      < -5.207494, 0.781635, -0.538779>,
      < -5.207570, 0.855517, -0.485282>,
      < -5.124003, 0.855566, -0.485232>
    }
    triangle {
      < -5.207494, 0.781635, -0.538779>,
      < -5.124003, 0.855566, -0.485232>,
      < -5.123928, 0.781685, -0.538730>
    }
    triangle {
      < -5.123928, 0.781685, -0.538730>,
      < -5.124003, 0.855566, -0.485232>,
      < -4.870223, 0.564228, -0.160295>
    }
    triangle {
      < -5.368534, 0.563933, -0.160590>,
      < -5.421178, 0.733967, -0.284613>,
      < -5.421141, 0.704478, -0.317257>
    }
    triangle {
      < -5.421141, 0.704478, -0.317257>,
      < -5.421178, 0.733967, -0.284613>,
      < -5.944252, 0.761167, -0.304980>
    }
    triangle {
      < -5.421141, 0.704478, -0.317257>,
      < -5.944252, 0.761167, -0.304980>,
      < -5.944210, 0.726907, -0.342904>
    }
    triangle {
      < -5.944210, 0.726907, -0.342904>,
      < -5.944252, 0.761167, -0.304980>,
      < -6.027823, 0.781126, -0.319617>
    }
    triangle {
      < -5.944210, 0.726907, -0.342904>,
      < -6.027823, 0.781126, -0.319617>,
      < -6.027777, 0.743396, -0.361382>
    }
    triangle {
      < -6.027777, 0.743396, -0.361382>,
      < -6.027823, 0.781126, -0.319617>,
      < -5.842124, 0.816249, -0.345035>
    }
    triangle {
      < -6.027777, 0.743396, -0.361382>,
      < -5.842124, 0.816249, -0.345035>,
      < -5.842068, 0.772448, -0.393520>
    }
    triangle {
      < -5.842068, 0.772448, -0.393520>,
      < -5.842124, 0.816249, -0.345035>,
      < -5.811170, 0.793759, -0.328605>
    }
    triangle {
      < -5.842068, 0.772448, -0.393520>,
      < -5.811170, 0.793759, -0.328605>,
      < -5.811120, 0.753862, -0.372770>
    }
    triangle {
      < -5.811120, 0.753862, -0.372770>,
      < -5.811170, 0.793759, -0.328605>,
      < -5.541894, 0.781414, -0.319329>
    }
    triangle {
      < -5.811120, 0.753862, -0.372770>,
      < -5.541894, 0.781414, -0.319329>,
      < -5.541848, 0.743684, -0.361094>
    }
    triangle {
      < -5.541848, 0.743684, -0.361094>,
      < -5.541894, 0.781414, -0.319329>,
      < -5.377863, 0.836532, -0.359347>
    }
    triangle {
      < -5.541848, 0.743684, -0.361094>,
      < -5.377863, 0.836532, -0.359347>,
      < -5.377804, 0.789262, -0.411672>
    }
    triangle {
      < -5.377804, 0.789262, -0.411672>,
      < -5.377863, 0.836532, -0.359347>,
      < -5.399534, 0.874033, -0.386710>
    }
    triangle {
      < -5.377804, 0.789262, -0.411672>,
      < -5.399534, 0.874033, -0.386710>,
      < -5.399468, 0.820259, -0.446237>
    }
    triangle {
      < -5.399468, 0.820259, -0.446237>,
      < -5.399534, 0.874033, -0.386710>,
      < -5.226216, 0.911651, -0.413959>
    }
    triangle {
      < -5.399468, 0.820259, -0.446237>,
      < -5.226216, 0.911651, -0.413959>,
      < -5.226140, 0.851370, -0.480686>
    }
    triangle {
      < -5.226140, 0.851370, -0.480686>,
      < -5.226216, 0.911651, -0.413959>,
      < -5.226213, 0.889141, -0.397548>
    }
    triangle {
      < -5.226140, 0.851370, -0.480686>,
      < -5.226213, 0.889141, -0.397548>,
      < -5.226140, 0.832765, -0.459955>
    }
    triangle {
      < -5.226140, 0.832765, -0.459955>,
      < -5.226213, 0.889141, -0.397548>,
      < -5.207642, 0.889153, -0.397537>
    }
    triangle {
      < -5.226140, 0.832765, -0.459955>,
      < -5.207642, 0.889153, -0.397537>,
      < -5.207572, 0.832776, -0.459944>
    }
    triangle {
      < -5.207572, 0.832776, -0.459944>,
      < -5.207642, 0.889153, -0.397537>,
      < -5.207646, 0.916664, -0.417594>
    }
    triangle {
      < -5.207572, 0.832776, -0.459944>,
      < -5.207646, 0.916664, -0.417594>,
      < -5.207570, 0.855517, -0.485282>
    }
    triangle {
      < -5.207570, 0.855517, -0.485282>,
      < -5.207646, 0.916664, -0.417594>,
      < -5.124079, 0.916713, -0.417545>
    }
    triangle {
      < -5.207570, 0.855517, -0.485282>,
      < -5.124079, 0.916713, -0.417545>,
      < -5.124003, 0.855566, -0.485232>
    }
    triangle {
      < -5.124003, 0.855566, -0.485232>,
      < -5.124079, 0.916713, -0.417545>,
      < -4.870223, 0.564228, -0.160295>
    }
    triangle {
      < -5.368534, 0.563933, -0.160590>,
      < -5.421213, 0.756026, -0.246552>,
      < -5.421178, 0.733967, -0.284613>
    }
    triangle {
      < -5.421178, 0.733967, -0.284613>,
      < -5.421213, 0.756026, -0.246552>,
      < -5.944294, 0.786795, -0.260762>
    }
    triangle {
      < -5.421178, 0.733967, -0.284613>,
      < -5.944294, 0.786795, -0.260762>,
      < -5.944252, 0.761167, -0.304980>
    }
    triangle {
      < -5.944252, 0.761167, -0.304980>,
      < -5.944294, 0.786795, -0.260762>,
      < -6.027869, 0.809349, -0.270922>
    }
    triangle {
      < -5.944252, 0.761167, -0.304980>,
      < -6.027869, 0.809349, -0.270922>,
      < -6.027823, 0.781126, -0.319617>
    }
    triangle {
      < -6.027823, 0.781126, -0.319617>,
      < -6.027869, 0.809349, -0.270922>,
      < -5.842175, 0.849014, -0.288503>
    }
    triangle {
      < -6.027823, 0.781126, -0.319617>,
      < -5.842175, 0.849014, -0.288503>,
      < -5.842124, 0.816249, -0.345035>
    }
    triangle {
      < -5.842124, 0.816249, -0.345035>,
      < -5.842175, 0.849014, -0.288503>,
      < -5.811217, 0.823604, -0.277112>
    }
    triangle {
      < -5.842124, 0.816249, -0.345035>,
      < -5.811217, 0.823604, -0.277112>,
      < -5.811170, 0.793759, -0.328605>
    }
    triangle {
      < -5.811170, 0.793759, -0.328605>,
      < -5.811217, 0.823604, -0.277112>,
      < -5.541940, 0.809637, -0.270634>
    }
    triangle {
      < -5.811170, 0.793759, -0.328605>,
      < -5.541940, 0.809637, -0.270634>,
      < -5.541894, 0.781414, -0.319329>
    }
    triangle {
      < -5.541894, 0.781414, -0.319329>,
      < -5.541940, 0.809637, -0.270634>,
      < -5.377921, 0.871891, -0.298338>
    }
    triangle {
      < -5.541894, 0.781414, -0.319329>,
      < -5.377921, 0.871891, -0.298338>,
      < -5.377863, 0.836532, -0.359347>
    }
    triangle {
      < -5.377863, 0.836532, -0.359347>,
      < -5.377921, 0.871891, -0.298338>,
      < -5.399599, 0.914259, -0.317306>
    }
    triangle {
      < -5.377863, 0.836532, -0.359347>,
      < -5.399599, 0.914259, -0.317306>,
      < -5.399534, 0.874033, -0.386710>
    }
    triangle {
      < -5.399534, 0.874033, -0.386710>,
      < -5.399599, 0.914259, -0.317306>,
      < -5.226288, 0.956743, -0.336159>
    }
    triangle {
      < -5.399534, 0.874033, -0.386710>,
      < -5.226288, 0.956743, -0.336159>,
      < -5.226216, 0.911651, -0.413959>
    }
    triangle {
      < -5.226216, 0.911651, -0.413959>,
      < -5.226288, 0.956743, -0.336159>,
      < -5.226280, 0.931315, -0.324786>
    }
    triangle {
      < -5.226216, 0.911651, -0.413959>,
      < -5.226280, 0.931315, -0.324786>,
      < -5.226213, 0.889141, -0.397548>
    }
    triangle {
      < -5.226213, 0.889141, -0.397548>,
      < -5.226280, 0.931315, -0.324786>,
      < -5.207710, 0.931326, -0.324775>
    }
    triangle {
      < -5.226213, 0.889141, -0.397548>,
      < -5.207710, 0.931326, -0.324775>,
      < -5.207642, 0.889153, -0.397537>
    }
    triangle {
      < -5.207642, 0.889153, -0.397537>,
      < -5.207710, 0.931326, -0.324775>,
      < -5.207720, 0.962404, -0.338674>
    }
    triangle {
      < -5.207642, 0.889153, -0.397537>,
      < -5.207720, 0.962404, -0.338674>,
      < -5.207646, 0.916664, -0.417594>
    }
    triangle {
      < -5.207646, 0.916664, -0.417594>,
      < -5.207720, 0.962404, -0.338674>,
      < -5.124151, 0.962454, -0.338625>
    }
    triangle {
      < -5.207646, 0.916664, -0.417594>,
      < -5.124151, 0.962454, -0.338625>,
      < -5.124079, 0.916713, -0.417545>
    }
    triangle {
      < -5.124079, 0.916713, -0.417545>,
      < -5.124151, 0.962454, -0.338625>,
      < -4.870223, 0.564228, -0.160295>
    }
    triangle {
      < -5.368534, 0.563933, -0.160590>,
      < -5.421247, 0.769692, -0.204738>,
      < -5.421213, 0.756026, -0.246552>
    }
    triangle {
      < -5.421213, 0.756026, -0.246552>,
      < -5.421247, 0.769692, -0.204738>,
      < -5.944333, 0.802672, -0.212184>
    }
    triangle {
      < -5.421213, 0.756026, -0.246552>,
      < -5.944333, 0.802672, -0.212184>,
      < -5.944294, 0.786795, -0.260762>
    }
    triangle {
      < -5.944294, 0.786795, -0.260762>,
      < -5.944333, 0.802672, -0.212184>,
      < -6.027911, 0.826833, -0.217424>
    }
    triangle {
      < -5.944294, 0.786795, -0.260762>,
      < -6.027911, 0.826833, -0.217424>,
      < -6.027869, 0.809349, -0.270922>
    }
    triangle {
      < -6.027869, 0.809349, -0.270922>,
      < -6.027911, 0.826833, -0.217424>,
      < -5.842227, 0.869312, -0.226396>
    }
    triangle {
      < -6.027869, 0.809349, -0.270922>,
      < -5.842227, 0.869312, -0.226396>,
      < -5.842175, 0.849014, -0.288503>
    }
    triangle {
      < -5.842175, 0.849014, -0.288503>,
      < -5.842227, 0.869312, -0.226396>,
      < -5.811261, 0.842093, -0.220539>
    }
    triangle {
      < -5.842175, 0.849014, -0.288503>,
      < -5.811261, 0.842093, -0.220539>,
      < -5.811217, 0.823604, -0.277112>
    }
    triangle {
      < -5.811217, 0.823604, -0.277112>,
      < -5.811261, 0.842093, -0.220539>,
      < -5.541982, 0.827121, -0.217136>
    }
    triangle {
      < -5.811217, 0.823604, -0.277112>,
      < -5.541982, 0.827121, -0.217136>,
      < -5.541940, 0.809637, -0.270634>
    }
    triangle {
      < -5.541940, 0.809637, -0.270634>,
      < -5.541982, 0.827121, -0.217136>,
      < -5.377974, 0.893797, -0.231312>
    }
    triangle {
      < -5.541940, 0.809637, -0.270634>,
      < -5.377974, 0.893797, -0.231312>,
      < -5.377921, 0.871891, -0.298338>
    }
    triangle {
      < -5.377921, 0.871891, -0.298338>,
      < -5.377974, 0.893797, -0.231312>,
      < -5.399661, 0.939179, -0.241056>
    }
    triangle {
      < -5.377921, 0.871891, -0.298338>,
      < -5.399661, 0.939179, -0.241056>,
      < -5.399599, 0.914259, -0.317306>
    }
    triangle {
      < -5.399599, 0.914259, -0.317306>,
      < -5.399661, 0.939179, -0.241056>,
      < -5.226355, 0.984678, -0.250685>
    }
    triangle {
      < -5.399599, 0.914259, -0.317306>,
      < -5.226355, 0.984678, -0.250685>,
      < -5.226288, 0.956743, -0.336159>
    }
    triangle {
      < -5.226288, 0.956743, -0.336159>,
      < -5.226355, 0.984678, -0.250685>,
      < -5.226343, 0.957440, -0.244845>
    }
    triangle {
      < -5.226288, 0.956743, -0.336159>,
      < -5.226343, 0.957440, -0.244845>,
      < -5.226280, 0.931315, -0.324786>
    }
    triangle {
      < -5.226280, 0.931315, -0.324786>,
      < -5.226343, 0.957440, -0.244845>,
      < -5.207772, 0.957451, -0.244834>
    }
    triangle {
      < -5.226280, 0.931315, -0.324786>,
      < -5.207772, 0.957451, -0.244834>,
      < -5.207710, 0.931326, -0.324775>
    }
    triangle {
      < -5.207710, 0.931326, -0.324775>,
      < -5.207772, 0.957451, -0.244834>,
      < -5.207788, 0.990741, -0.251971>
    }
    triangle {
      < -5.207710, 0.931326, -0.324775>,
      < -5.207788, 0.990741, -0.251971>,
      < -5.207720, 0.962404, -0.338674>
    }
    triangle {
      < -5.207720, 0.962404, -0.338674>,
      < -5.207788, 0.990741, -0.251971>,
      < -5.124220, 0.990790, -0.251922>
    }
    triangle {
      < -5.207720, 0.962404, -0.338674>,
      < -5.124220, 0.990790, -0.251922>,
      < -5.124151, 0.962454, -0.338625>
    }
    triangle {
      < -5.124151, 0.962454, -0.338625>,
      < -5.124220, 0.990790, -0.251922>,
      < -4.870223, 0.564228, -0.160295>
    }
    triangle {
      < -5.368534, 0.563933, -0.160590>,
      < -5.421275, 0.774367, -0.160746>,
      < -5.421247, 0.769692, -0.204738>
    }
    triangle {
      < -5.421247, 0.769692, -0.204738>,
      < -5.421275, 0.774367, -0.160746>,
      < -5.944366, 0.808103, -0.161076>
    }
    triangle {
      < -5.421247, 0.769692, -0.204738>,
      < -5.944366, 0.808103, -0.161076>,
      < -5.944333, 0.802672, -0.212184>
    }
    triangle {
      < -5.944333, 0.802672, -0.212184>,
      < -5.944366, 0.808103, -0.161076>,
      < -6.027948, 0.832815, -0.161141>
    }
    triangle {
      < -5.944333, 0.802672, -0.212184>,
      < -6.027948, 0.832815, -0.161141>,
      < -6.027911, 0.826833, -0.217424>
    }
    triangle {
      < -6.027911, 0.826833, -0.217424>,
      < -6.027948, 0.832815, -0.161141>,
      < -5.842268, 0.876256, -0.161056>
    }
    triangle {
      < -6.027911, 0.826833, -0.217424>,
      < -5.842268, 0.876256, -0.161056>,
      < -5.842227, 0.869312, -0.226396>
    }
    triangle {
      < -5.842227, 0.869312, -0.226396>,
      < -5.842268, 0.876256, -0.161056>,
      < -5.811301, 0.848419, -0.161021>
    }
    triangle {
      < -5.842227, 0.869312, -0.226396>,
      < -5.811301, 0.848419, -0.161021>,
      < -5.811261, 0.842093, -0.220539>
    }
    triangle {
      < -5.811261, 0.842093, -0.220539>,
      < -5.811301, 0.848419, -0.161021>,
      < -5.542018, 0.833103, -0.160853>
    }
    triangle {
      < -5.811261, 0.842093, -0.220539>,
      < -5.542018, 0.833103, -0.160853>,
      < -5.541982, 0.827121, -0.217136>
    }
    triangle {
      < -5.541982, 0.827121, -0.217136>,
      < -5.542018, 0.833103, -0.160853>,
      < -5.378019, 0.901292, -0.160796>
    }
    triangle {
      < -5.541982, 0.827121, -0.217136>,
      < -5.378019, 0.901292, -0.160796>,
      < -5.377974, 0.893797, -0.231312>
    }
    triangle {
      < -5.377974, 0.893797, -0.231312>,
      < -5.378019, 0.901292, -0.160796>,
      < -5.399712, 0.947706, -0.160836>
    }
    triangle {
      < -5.377974, 0.893797, -0.231312>,
      < -5.399712, 0.947706, -0.160836>,
      < -5.399661, 0.939179, -0.241056>
    }
    triangle {
      < -5.399661, 0.939179, -0.241056>,
      < -5.399712, 0.947706, -0.160836>,
      < -5.226415, 0.994235, -0.160761>
    }
    triangle {
      < -5.399661, 0.939179, -0.241056>,
      < -5.226415, 0.994235, -0.160761>,
      < -5.226355, 0.984678, -0.250685>
    }
    triangle {
      < -5.226355, 0.984678, -0.250685>,
      < -5.226415, 0.994235, -0.160761>,
      < -5.226398, 0.966379, -0.160745>
    }
    triangle {
      < -5.226355, 0.984678, -0.250685>,
      < -5.226398, 0.966379, -0.160745>,
      < -5.226343, 0.957440, -0.244845>
    }
    triangle {
      < -5.226343, 0.957440, -0.244845>,
      < -5.226398, 0.966379, -0.160745>,
      < -5.207827, 0.966390, -0.160734>
    }
    triangle {
      < -5.226343, 0.957440, -0.244845>,
      < -5.207827, 0.966390, -0.160734>,
      < -5.207772, 0.957451, -0.244834>
    }
    triangle {
      < -5.207772, 0.957451, -0.244834>,
      < -5.207827, 0.966390, -0.160734>,
      < -5.207847, 1.000436, -0.160754>
    }
    triangle {
      < -5.207772, 0.957451, -0.244834>,
      < -5.207847, 1.000436, -0.160754>,
      < -5.207788, 0.990741, -0.251971>
    }
    triangle {
      < -5.207788, 0.990741, -0.251971>,
      < -5.207847, 1.000436, -0.160754>,
      < -5.124280, 1.000485, -0.160704>
    }
    triangle {
      < -5.207788, 0.990741, -0.251971>,
      < -5.124280, 1.000485, -0.160704>,
      < -5.124220, 0.990790, -0.251922>
    }
    triangle {
      < -5.124220, 0.990790, -0.251922>,
      < -5.124280, 1.000485, -0.160704>,
      < -4.870223, 0.564228, -0.160295>
    }
    triangle {
      < -5.879563, 0.836154, -0.052205>,
      < -5.879535, 0.799352, -0.064137>,
      < -5.355986, 0.799662, -0.063826>
    }
    triangle {
      < -5.879563, 0.836154, -0.052205>,
      < -5.355986, 0.799662, -0.063826>,
      < -5.356079, 0.918161, -0.025409>
    }
    triangle {
      < -5.356064, 0.930092, -0.062212>,
      < -5.355972, 0.811594, -0.100629>,
      < -5.879521, 0.811283, -0.100940>
    }
    triangle {
      < -5.356064, 0.930092, -0.062212>,
      < -5.879521, 0.811283, -0.100940>,
      < -5.879549, 0.848086, -0.089008>
    }
    triangle {
      < -5.356079, 0.918161, -0.025409>,
      < -5.355986, 0.799662, -0.063826>,
      < -5.355972, 0.811594, -0.100629>
    }
    triangle {
      < -5.356079, 0.918161, -0.025409>,
      < -5.355972, 0.811594, -0.100629>,
      < -5.356064, 0.930092, -0.062212>
    }
    triangle {
      < -5.879549, 0.848086, -0.089008>,
      < -5.879563, 0.836154, -0.052205>,
      < -5.356079, 0.918161, -0.025409>
    }
    triangle {
      < -5.879549, 0.848086, -0.089008>,
      < -5.356079, 0.918161, -0.025409>,
      < -5.356064, 0.930092, -0.062212>
    }
    triangle {
      < -5.879549, 0.848086, -0.089008>,
      < -5.879521, 0.811283, -0.100940>,
      < -5.879535, 0.799352, -0.064137>
    }
    triangle {
      < -5.879549, 0.848086, -0.089008>,
      < -5.879535, 0.799352, -0.064137>,
      < -5.879563, 0.836154, -0.052205>
    }
    triangle {
      < -5.879535, 0.799352, -0.064137>,
      < -5.879521, 0.811283, -0.100940>,
      < -5.355972, 0.811594, -0.100629>
    }
    triangle {
      < -5.879535, 0.799352, -0.064137>,
      < -5.355972, 0.811594, -0.100629>,
      < -5.355986, 0.799662, -0.063826>
    }
    triangle {
      < -5.879583, 0.789241, 0.026677>,
      < -5.879551, 0.757925, 0.003959>,
      < -5.356002, 0.758236, 0.004269>
    }
    triangle {
      < -5.879583, 0.789241, 0.026677>,
      < -5.356002, 0.758236, 0.004269>,
      < -5.356105, 0.859067, 0.077418>
    }
    triangle {
      < -5.356100, 0.881785, 0.046101>,
      < -5.355997, 0.780954, -0.027048>,
      < -5.879546, 0.780644, -0.027358>
    }
    triangle {
      < -5.356100, 0.881785, 0.046101>,
      < -5.879546, 0.780644, -0.027358>,
      < -5.879577, 0.811959, -0.004639>
    }
    triangle {
      < -5.356105, 0.859067, 0.077418>,
      < -5.356002, 0.758236, 0.004269>,
      < -5.355997, 0.780954, -0.027048>
    }
    triangle {
      < -5.356105, 0.859067, 0.077418>,
      < -5.355997, 0.780954, -0.027048>,
      < -5.356100, 0.881785, 0.046101>
    }
    triangle {
      < -5.879577, 0.811959, -0.004639>,
      < -5.879583, 0.789241, 0.026677>,
      < -5.356105, 0.859067, 0.077418>
    }
    triangle {
      < -5.879577, 0.811959, -0.004639>,
      < -5.356105, 0.859067, 0.077418>,
      < -5.356100, 0.881785, 0.046101>
    }
    triangle {
      < -5.879577, 0.811959, -0.004639>,
      < -5.879546, 0.780644, -0.027358>,
      < -5.879551, 0.757925, 0.003959>
    }
    triangle {
      < -5.879577, 0.811959, -0.004639>,
      < -5.879551, 0.757925, 0.003959>,
      < -5.879583, 0.789241, 0.026677>
    }
    triangle {
      < -5.879551, 0.757925, 0.003959>,
      < -5.879546, 0.780644, -0.027358>,
      < -5.355997, 0.780954, -0.027048>
    }
    triangle {
      < -5.879551, 0.757925, 0.003959>,
      < -5.355997, 0.780954, -0.027048>,
      < -5.356002, 0.758236, 0.004269>
    }
    triangle {
      < -5.879577, 0.720251, 0.087205>,
      < -5.879545, 0.697486, 0.055923>,
      < -5.355998, 0.697796, 0.056232>
    }
    triangle {
      < -5.879577, 0.720251, 0.087205>,
      < -5.355998, 0.697796, 0.056232>,
      < -5.356100, 0.771095, 0.156956>
    }
    triangle {
      < -5.356104, 0.802378, 0.134192>,
      < -5.356001, 0.729079, 0.033468>,
      < -5.879550, 0.728769, 0.033158>
    }
    triangle {
      < -5.356104, 0.802378, 0.134192>,
      < -5.879550, 0.728769, 0.033158>,
      < -5.879582, 0.751533, 0.064441>
    }
    triangle {
      < -5.356100, 0.771095, 0.156956>,
      < -5.355998, 0.697796, 0.056232>,
      < -5.356001, 0.729079, 0.033468>
    }
    triangle {
      < -5.356100, 0.771095, 0.156956>,
      < -5.356001, 0.729079, 0.033468>,
      < -5.356104, 0.802378, 0.134192>
    }
    triangle {
      < -5.879582, 0.751533, 0.064441>,
      < -5.879577, 0.720251, 0.087205>,
      < -5.356100, 0.771095, 0.156956>
    }
    triangle {
      < -5.879582, 0.751533, 0.064441>,
      < -5.356100, 0.771095, 0.156956>,
      < -5.356104, 0.802378, 0.134192>
    }
    triangle {
      < -5.879582, 0.751533, 0.064441>,
      < -5.879550, 0.728769, 0.033158>,
      < -5.879545, 0.697486, 0.055923>
    }
    triangle {
      < -5.879582, 0.751533, 0.064441>,
      < -5.879545, 0.697486, 0.055923>,
      < -5.879577, 0.720251, 0.087205>
    }
    triangle {
      < -5.879545, 0.697486, 0.055923>,
      < -5.879550, 0.728769, 0.033158>,
      < -5.356001, 0.729079, 0.033468>
    }
    triangle {
      < -5.879545, 0.697486, 0.055923>,
      < -5.356001, 0.729079, 0.033468>,
      < -5.355998, 0.697796, 0.056232>
    }
    triangle {
      < -5.879548, 0.635936, 0.123456>,
      < -5.879520, 0.623950, 0.086671>,
      < -5.355972, 0.624261, 0.086981>
    }
    triangle {
      < -5.879548, 0.635936, 0.123456>,
      < -5.355972, 0.624261, 0.086981>,
      < -5.356064, 0.662853, 0.205424>
    }
    triangle {
      < -5.356079, 0.699639, 0.193437>,
      < -5.355987, 0.661046, 0.074995>,
      < -5.879536, 0.660735, 0.074685>
    }
    triangle {
      < -5.356079, 0.699639, 0.193437>,
      < -5.879536, 0.660735, 0.074685>,
      < -5.879564, 0.672721, 0.111470>
    }
    triangle {
      < -5.356064, 0.662853, 0.205424>,
      < -5.355972, 0.624261, 0.086981>,
      < -5.355987, 0.661046, 0.074995>
    }
    triangle {
      < -5.356064, 0.662853, 0.205424>,
      < -5.355987, 0.661046, 0.074995>,
      < -5.356079, 0.699639, 0.193437>
    }
    triangle {
      < -5.879564, 0.672721, 0.111470>,
      < -5.879548, 0.635936, 0.123456>,
      < -5.356064, 0.662853, 0.205424>
    }
    triangle {
      < -5.879564, 0.672721, 0.111470>,
      < -5.356064, 0.662853, 0.205424>,
      < -5.356079, 0.699639, 0.193437>
    }
    triangle {
      < -5.879564, 0.672721, 0.111470>,
      < -5.879536, 0.660735, 0.074685>,
      < -5.879520, 0.623950, 0.086671>
    }
    triangle {
      < -5.879564, 0.672721, 0.111470>,
      < -5.879520, 0.623950, 0.086671>,
      < -5.879548, 0.635936, 0.123456>
    }
    triangle {
      < -5.879520, 0.623950, 0.086671>,
      < -5.879536, 0.660735, 0.074685>,
      < -5.355987, 0.661046, 0.074995>
    }
    triangle {
      < -5.879520, 0.623950, 0.086671>,
      < -5.355987, 0.661046, 0.074995>,
      < -5.355972, 0.624261, 0.086981>
    }
    triangle {
      < -5.879501, 0.544545, 0.131884>,
      < -5.879478, 0.544511, 0.093195>,
      < -5.355929, 0.544822, 0.093506>
    }
    triangle {
      < -5.879501, 0.544545, 0.131884>,
      < -5.355929, 0.544822, 0.093506>,
      < -5.356002, 0.544932, 0.218077>
    }
    triangle {
      < -5.356025, 0.583621, 0.218042>,
      < -5.355952, 0.583511, 0.093472>,
      < -5.879501, 0.583200, 0.093161>
    }
    triangle {
      < -5.356025, 0.583621, 0.218042>,
      < -5.879501, 0.583200, 0.093161>,
      < -5.879524, 0.583234, 0.131850>
    }
    triangle {
      < -5.356002, 0.544932, 0.218077>,
      < -5.355929, 0.544822, 0.093506>,
      < -5.355952, 0.583511, 0.093472>
    }
    triangle {
      < -5.356002, 0.544932, 0.218077>,
      < -5.355952, 0.583511, 0.093472>,
      < -5.356025, 0.583621, 0.218042>
    }
    triangle {
      < -5.879524, 0.583234, 0.131850>,
      < -5.879501, 0.544545, 0.131884>,
      < -5.356002, 0.544932, 0.218077>
    }
    triangle {
      < -5.879524, 0.583234, 0.131850>,
      < -5.356002, 0.544932, 0.218077>,
      < -5.356025, 0.583621, 0.218042>
    }
    triangle {
      < -5.879524, 0.583234, 0.131850>,
      < -5.879501, 0.583200, 0.093161>,
      < -5.879478, 0.544511, 0.093195>
    }
    triangle {
      < -5.879524, 0.583234, 0.131850>,
      < -5.879478, 0.544511, 0.093195>,
      < -5.879501, 0.544545, 0.131884>
    }
    triangle {
      < -5.879478, 0.544511, 0.093195>,
      < -5.879501, 0.583200, 0.093161>,
      < -5.355952, 0.583511, 0.093472>
    }
    triangle {
      < -5.879478, 0.544511, 0.093195>,
      < -5.355952, 0.583511, 0.093472>,
      < -5.355929, 0.544822, 0.093506>
    }
    triangle {
      < -5.879435, 0.455023, 0.111664>,
      < -5.879421, 0.466943, 0.074857>,
      < -5.355872, 0.467254, 0.075168>
    }
    triangle {
      < -5.879435, 0.455023, 0.111664>,
      < -5.355872, 0.467254, 0.075168>,
      < -5.355919, 0.428871, 0.193679>
    }
    triangle {
      < -5.355947, 0.465678, 0.205599>,
      < -5.355900, 0.504060, 0.087088>,
      < -5.879448, 0.503749, 0.086778>
    }
    triangle {
      < -5.355947, 0.465678, 0.205599>,
      < -5.879448, 0.503749, 0.086778>,
      < -5.879462, 0.491829, 0.123585>
    }
    triangle {
      < -5.355919, 0.428871, 0.193679>,
      < -5.355872, 0.467254, 0.075168>,
      < -5.355900, 0.504060, 0.087088>
    }
    triangle {
      < -5.355919, 0.428871, 0.193679>,
      < -5.355900, 0.504060, 0.087088>,
      < -5.355947, 0.465678, 0.205599>
    }
    triangle {
      < -5.879462, 0.491829, 0.123585>,
      < -5.879435, 0.455023, 0.111664>,
      < -5.355919, 0.428871, 0.193679>
    }
    triangle {
      < -5.879462, 0.491829, 0.123585>,
      < -5.355919, 0.428871, 0.193679>,
      < -5.355947, 0.465678, 0.205599>
    }
    triangle {
      < -5.879462, 0.491829, 0.123585>,
      < -5.879448, 0.503749, 0.086778>,
      < -5.879421, 0.466943, 0.074857>
    }
    triangle {
      < -5.879462, 0.491829, 0.123585>,
      < -5.879421, 0.466943, 0.074857>,
      < -5.879435, 0.455023, 0.111664>
    }
    triangle {
      < -5.879421, 0.466943, 0.074857>,
      < -5.879448, 0.503749, 0.086778>,
      < -5.355900, 0.504060, 0.087088>
    }
    triangle {
      < -5.879421, 0.466943, 0.074857>,
      < -5.355900, 0.504060, 0.087088>,
      < -5.355872, 0.467254, 0.075168>
    }
    triangle {
      < -5.879360, 0.376127, 0.064774>,
      < -5.879354, 0.398836, 0.033452>,
      < -5.355805, 0.399146, 0.033761>
    }
    triangle {
      < -5.879360, 0.376127, 0.064774>,
      < -5.355805, 0.399146, 0.033761>,
      < -5.355822, 0.326027, 0.134615>
    }
    triangle {
      < -5.355855, 0.357349, 0.157324>,
      < -5.355839, 0.430469, 0.056471>,
      < -5.879388, 0.430158, 0.056160>
    }
    triangle {
      < -5.355855, 0.357349, 0.157324>,
      < -5.879388, 0.430158, 0.056160>,
      < -5.879392, 0.407450, 0.087483>
    }
    triangle {
      < -5.355822, 0.326027, 0.134615>,
      < -5.355805, 0.399146, 0.033761>,
      < -5.355839, 0.430469, 0.056471>
    }
    triangle {
      < -5.355822, 0.326027, 0.134615>,
      < -5.355839, 0.430469, 0.056471>,
      < -5.355855, 0.357349, 0.157324>
    }
    triangle {
      < -5.879392, 0.407450, 0.087483>,
      < -5.879360, 0.376127, 0.064774>,
      < -5.355822, 0.326027, 0.134615>
    }
    triangle {
      < -5.879392, 0.407450, 0.087483>,
      < -5.355822, 0.326027, 0.134615>,
      < -5.355855, 0.357349, 0.157324>
    }
    triangle {
      < -5.879392, 0.407450, 0.087483>,
      < -5.879388, 0.430158, 0.056160>,
      < -5.879354, 0.398836, 0.033452>
    }
    triangle {
      < -5.879392, 0.407450, 0.087483>,
      < -5.879354, 0.398836, 0.033452>,
      < -5.879360, 0.376127, 0.064774>
    }
    triangle {
      < -5.879354, 0.398836, 0.033452>,
      < -5.879388, 0.430158, 0.056160>,
      < -5.355839, 0.430469, 0.056471>
    }
    triangle {
      < -5.879354, 0.398836, 0.033452>,
      < -5.355839, 0.430469, 0.056471>,
      < -5.355805, 0.399146, 0.033761>
    }
    triangle {
      < -5.879283, 0.315578, -0.004198>,
      < -5.879289, 0.346854, -0.026972>,
      < -5.355740, 0.347164, -0.026662>
    }
    triangle {
      < -5.879283, 0.315578, -0.004198>,
      < -5.355740, 0.347164, -0.026662>,
      < -5.355723, 0.246463, 0.046667>
    }
    triangle {
      < -5.355755, 0.269236, 0.077942>,
      < -5.355772, 0.369938, 0.004614>,
      < -5.879321, 0.369628, 0.004304>
    }
    triangle {
      < -5.355755, 0.269236, 0.077942>,
      < -5.879321, 0.369628, 0.004304>,
      < -5.879316, 0.338352, 0.027077>
    }
    triangle {
      < -5.355723, 0.246463, 0.046667>,
      < -5.355740, 0.347164, -0.026662>,
      < -5.355772, 0.369938, 0.004614>
    }
    triangle {
      < -5.355723, 0.246463, 0.046667>,
      < -5.355772, 0.369938, 0.004614>,
      < -5.355755, 0.269236, 0.077942>
    }
    triangle {
      < -5.879316, 0.338352, 0.027077>,
      < -5.879283, 0.315578, -0.004198>,
      < -5.355723, 0.246463, 0.046667>
    }
    triangle {
      < -5.879316, 0.338352, 0.027077>,
      < -5.355723, 0.246463, 0.046667>,
      < -5.355755, 0.269236, 0.077942>
    }
    triangle {
      < -5.879316, 0.338352, 0.027077>,
      < -5.879321, 0.369628, 0.004304>,
      < -5.879289, 0.346854, -0.026972>
    }
    triangle {
      < -5.879316, 0.338352, 0.027077>,
      < -5.879289, 0.346854, -0.026972>,
      < -5.879283, 0.315578, -0.004198>
    }
    triangle {
      < -5.879289, 0.346854, -0.026972>,
      < -5.879321, 0.369628, 0.004304>,
      < -5.355772, 0.369938, 0.004614>
    }
    triangle {
      < -5.879289, 0.346854, -0.026972>,
      < -5.355772, 0.369938, 0.004614>,
      < -5.355740, 0.347164, -0.026662>
    }
    triangle {
      < -5.879212, 0.279301, -0.088503>,
      < -5.879227, 0.316083, -0.100499>,
      < -5.355679, 0.316394, -0.100189>
    }
    triangle {
      < -5.879212, 0.279301, -0.088503>,
      < -5.355679, 0.316394, -0.100189>,
      < -5.355631, 0.197963, -0.061561>
    }
    triangle {
      < -5.355659, 0.209959, -0.024779>,
      < -5.355708, 0.328391, -0.063408>,
      < -5.879255, 0.328080, -0.063717>
    }
    triangle {
      < -5.355659, 0.209959, -0.024779>,
      < -5.879255, 0.328080, -0.063717>,
      < -5.879240, 0.291298, -0.051721>
    }
    triangle {
      < -5.355631, 0.197963, -0.061561>,
      < -5.355679, 0.316394, -0.100189>,
      < -5.355708, 0.328391, -0.063408>
    }
    triangle {
      < -5.355631, 0.197963, -0.061561>,
      < -5.355708, 0.328391, -0.063408>,
      < -5.355659, 0.209959, -0.024779>
    }
    triangle {
      < -5.879240, 0.291298, -0.051721>,
      < -5.879212, 0.279301, -0.088503>,
      < -5.355631, 0.197963, -0.061561>
    }
    triangle {
      < -5.879240, 0.291298, -0.051721>,
      < -5.355631, 0.197963, -0.061561>,
      < -5.355659, 0.209959, -0.024779>
    }
    triangle {
      < -5.879240, 0.291298, -0.051721>,
      < -5.879255, 0.328080, -0.063717>,
      < -5.879227, 0.316083, -0.100499>
    }
    triangle {
      < -5.879240, 0.291298, -0.051721>,
      < -5.879227, 0.316083, -0.100499>,
      < -5.879212, 0.279301, -0.088503>
    }
    triangle {
      < -5.879227, 0.316083, -0.100499>,
      < -5.879255, 0.328080, -0.063717>,
      < -5.355708, 0.328391, -0.063408>
    }
    triangle {
      < -5.879227, 0.316083, -0.100499>,
      < -5.355708, 0.328391, -0.063408>,
      < -5.355679, 0.316394, -0.100189>
    }
    triangle {
      < -5.879153, 0.270846, -0.179891>,
      < -5.879176, 0.309535, -0.179936>,
      < -5.355627, 0.309846, -0.179626>
    }
    triangle {
      < -5.879153, 0.270846, -0.179891>,
      < -5.355627, 0.309846, -0.179626>,
      < -5.355553, 0.185275, -0.179478>
    }
    triangle {
      < -5.355575, 0.185321, -0.140790>,
      < -5.355649, 0.309892, -0.140938>,
      < -5.879199, 0.309581, -0.141247>
    }
    triangle {
      < -5.355575, 0.185321, -0.140790>,
      < -5.879199, 0.309581, -0.141247>,
      < -5.879176, 0.270892, -0.141202>
    }
    triangle {
      < -5.355553, 0.185275, -0.179478>,
      < -5.355627, 0.309846, -0.179626>,
      < -5.355649, 0.309892, -0.140938>
    }
    triangle {
      < -5.355553, 0.185275, -0.179478>,
      < -5.355649, 0.309892, -0.140938>,
      < -5.355575, 0.185321, -0.140790>
    }
    triangle {
      < -5.879176, 0.270892, -0.141202>,
      < -5.879153, 0.270846, -0.179891>,
      < -5.355553, 0.185275, -0.179478>
    }
    triangle {
      < -5.879176, 0.270892, -0.141202>,
      < -5.355553, 0.185275, -0.179478>,
      < -5.355575, 0.185321, -0.140790>
    }
    triangle {
      < -5.879176, 0.270892, -0.141202>,
      < -5.879199, 0.309581, -0.141247>,
      < -5.879176, 0.309535, -0.179936>
    }
    triangle {
      < -5.879176, 0.270892, -0.141202>,
      < -5.879176, 0.309535, -0.179936>,
      < -5.879153, 0.270846, -0.179891>
    }
    triangle {
      < -5.879176, 0.309535, -0.179936>,
      < -5.879199, 0.309581, -0.141247>,
      < -5.355649, 0.309892, -0.140938>
    }
    triangle {
      < -5.879176, 0.309535, -0.179936>,
      < -5.355649, 0.309892, -0.140938>,
      < -5.355627, 0.309846, -0.179626>
    }
    triangle {
      < -5.879113, 0.291040, -0.269420>,
      < -5.879141, 0.327850, -0.257509>,
      < -5.355593, 0.328161, -0.257200>
    }
    triangle {
      < -5.879113, 0.291040, -0.269420>,
      < -5.355593, 0.328161, -0.257200>,
      < -5.355499, 0.209639, -0.295546>
    }
    triangle {
      < -5.355514, 0.197730, -0.258736>,
      < -5.355607, 0.316252, -0.220389>,
      < -5.879155, 0.315941, -0.220699>
    }
    triangle {
      < -5.355514, 0.197730, -0.258736>,
      < -5.879155, 0.315941, -0.220699>,
      < -5.879127, 0.279131, -0.232609>
    }
    triangle {
      < -5.355499, 0.209639, -0.295546>,
      < -5.355593, 0.328161, -0.257200>,
      < -5.355607, 0.316252, -0.220389>
    }
    triangle {
      < -5.355499, 0.209639, -0.295546>,
      < -5.355607, 0.316252, -0.220389>,
      < -5.355514, 0.197730, -0.258736>
    }
    triangle {
      < -5.879127, 0.279131, -0.232609>,
      < -5.879113, 0.291040, -0.269420>,
      < -5.355499, 0.209639, -0.295546>
    }
    triangle {
      < -5.879127, 0.279131, -0.232609>,
      < -5.355499, 0.209639, -0.295546>,
      < -5.355514, 0.197730, -0.258736>
    }
    triangle {
      < -5.879127, 0.279131, -0.232609>,
      < -5.879155, 0.315941, -0.220699>,
      < -5.879141, 0.327850, -0.257509>
    }
    triangle {
      < -5.879127, 0.279131, -0.232609>,
      < -5.879141, 0.327850, -0.257509>,
      < -5.879113, 0.291040, -0.269420>
    }
    triangle {
      < -5.879141, 0.327850, -0.257509>,
      < -5.879155, 0.315941, -0.220699>,
      < -5.355607, 0.316252, -0.220389>
    }
    triangle {
      < -5.879141, 0.327850, -0.257509>,
      < -5.355607, 0.316252, -0.220389>,
      < -5.355593, 0.328161, -0.257200>
    }
    triangle {
      < -5.879093, 0.337908, -0.348328>,
      < -5.879125, 0.369237, -0.325629>,
      < -5.355576, 0.369547, -0.325319>
    }
    triangle {
      < -5.879093, 0.337908, -0.348328>,
      < -5.355576, 0.369547, -0.325319>,
      < -5.355473, 0.268672, -0.398408>
    }
    triangle {
      < -5.355477, 0.245972, -0.367079>,
      < -5.355581, 0.346848, -0.293990>,
      < -5.879129, 0.346538, -0.294299>
    }
    triangle {
      < -5.355477, 0.245972, -0.367079>,
      < -5.879129, 0.346538, -0.294299>,
      < -5.879098, 0.315207, -0.317000>
    }
    triangle {
      < -5.355473, 0.268672, -0.398408>,
      < -5.355576, 0.369547, -0.325319>,
      < -5.355581, 0.346848, -0.293990>
    }
    triangle {
      < -5.355473, 0.268672, -0.398408>,
      < -5.355581, 0.346848, -0.293990>,
      < -5.355477, 0.245972, -0.367079>
    }
    triangle {
      < -5.879098, 0.315207, -0.317000>,
      < -5.879093, 0.337908, -0.348328>,
      < -5.355473, 0.268672, -0.398408>
    }
    triangle {
      < -5.879098, 0.315207, -0.317000>,
      < -5.355473, 0.268672, -0.398408>,
      < -5.355477, 0.245972, -0.367079>
    }
    triangle {
      < -5.879098, 0.315207, -0.317000>,
      < -5.879129, 0.346538, -0.294299>,
      < -5.879125, 0.369237, -0.325629>
    }
    triangle {
      < -5.879098, 0.315207, -0.317000>,
      < -5.879125, 0.369237, -0.325629>,
      < -5.879093, 0.337908, -0.348328>
    }
    triangle {
      < -5.879125, 0.369237, -0.325629>,
      < -5.879129, 0.346538, -0.294299>,
      < -5.355581, 0.346848, -0.293990>
    }
    triangle {
      < -5.879125, 0.369237, -0.325629>,
      < -5.355581, 0.346848, -0.293990>,
      < -5.355576, 0.369547, -0.325319>
    }
    triangle {
      < -5.879098, 0.406862, -0.408898>,
      < -5.879130, 0.429644, -0.377629>,
      < -5.355581, 0.429955, -0.377319>
    }
    triangle {
      < -5.879098, 0.406862, -0.408898>,
      < -5.355581, 0.429955, -0.377319>,
      < -5.355478, 0.356597, -0.477998>
    }
    triangle {
      < -5.355472, 0.325328, -0.455216>,
      < -5.355577, 0.398686, -0.354536>,
      < -5.879126, 0.398376, -0.354846>
    }
    triangle {
      < -5.355472, 0.325328, -0.455216>,
      < -5.879126, 0.398376, -0.354846>,
      < -5.879093, 0.375592, -0.386115>
    }
    triangle {
      < -5.355478, 0.356597, -0.477998>,
      < -5.355581, 0.429955, -0.377319>,
      < -5.355577, 0.398686, -0.354536>
    }
    triangle {
      < -5.355478, 0.356597, -0.477998>,
      < -5.355577, 0.398686, -0.354536>,
      < -5.355472, 0.325328, -0.455216>
    }
    triangle {
      < -5.879093, 0.375592, -0.386115>,
      < -5.879098, 0.406862, -0.408898>,
      < -5.355478, 0.356597, -0.477998>
    }
    triangle {
      < -5.879093, 0.375592, -0.386115>,
      < -5.355478, 0.356597, -0.477998>,
      < -5.355472, 0.325328, -0.455216>
    }
    triangle {
      < -5.879093, 0.375592, -0.386115>,
      < -5.879126, 0.398376, -0.354846>,
      < -5.879130, 0.429644, -0.377629>
    }
    triangle {
      < -5.879093, 0.375592, -0.386115>,
      < -5.879130, 0.429644, -0.377629>,
      < -5.879098, 0.406862, -0.408898>
    }
    triangle {
      < -5.879130, 0.429644, -0.377629>,
      < -5.879126, 0.398376, -0.354846>,
      < -5.355577, 0.398686, -0.354536>
    }
    triangle {
      < -5.879130, 0.429644, -0.377629>,
      < -5.355577, 0.398686, -0.354536>,
      < -5.355581, 0.429955, -0.377319>
    }
    triangle {
      < -5.879126, 0.491155, -0.445199>,
      < -5.879156, 0.503163, -0.408421>,
      < -5.355607, 0.503473, -0.408111>
    }
    triangle {
      < -5.879126, 0.491155, -0.445199>,
      < -5.355607, 0.503473, -0.408111>,
      < -5.355514, 0.464810, -0.526531>
    }
    triangle {
      < -5.355499, 0.428032, -0.514523>,
      < -5.355591, 0.466696, -0.396104>,
      < -5.879140, 0.466385, -0.396413>
    }
    triangle {
      < -5.355499, 0.428032, -0.514523>,
      < -5.879140, 0.466385, -0.396413>,
      < -5.879110, 0.454377, -0.433191>
    }
    triangle {
      < -5.355514, 0.464810, -0.526531>,
      < -5.355607, 0.503473, -0.408111>,
      < -5.355591, 0.466696, -0.396104>
    }
    triangle {
      < -5.355514, 0.464810, -0.526531>,
      < -5.355591, 0.466696, -0.396104>,
      < -5.355499, 0.428032, -0.514523>
    }
    triangle {
      < -5.879110, 0.454377, -0.433191>,
      < -5.879126, 0.491155, -0.445199>,
      < -5.355514, 0.464810, -0.526531>
    }
    triangle {
      < -5.879110, 0.454377, -0.433191>,
      < -5.355514, 0.464810, -0.526531>,
      < -5.355499, 0.428032, -0.514523>
    }
    triangle {
      < -5.879110, 0.454377, -0.433191>,
      < -5.879140, 0.466385, -0.396413>,
      < -5.879156, 0.503163, -0.408421>
    }
    triangle {
      < -5.879110, 0.454377, -0.433191>,
      < -5.879156, 0.503163, -0.408421>,
      < -5.879126, 0.491155, -0.445199>
    }
    triangle {
      < -5.879156, 0.503163, -0.408421>,
      < -5.879140, 0.466385, -0.396413>,
      < -5.355591, 0.466696, -0.396104>
    }
    triangle {
      < -5.879156, 0.503163, -0.408421>,
      < -5.355591, 0.466696, -0.396104>,
      < -5.355607, 0.503473, -0.408111>
    }
    triangle {
      < -5.879176, 0.582540, -0.453681>,
      < -5.879198, 0.582597, -0.414993>,
      < -5.355649, 0.582908, -0.414683>
    }
    triangle {
      < -5.879176, 0.582540, -0.453681>,
      < -5.355649, 0.582908, -0.414683>,
      < -5.355575, 0.582724, -0.539253>
    }
    triangle {
      < -5.355551, 0.544035, -0.539196>,
      < -5.355627, 0.544220, -0.414626>,
      < -5.879175, 0.543909, -0.414935>
    }
    triangle {
      < -5.355551, 0.544035, -0.539196>,
      < -5.879175, 0.543909, -0.414935>,
      < -5.879153, 0.543851, -0.453624>
    }
    triangle {
      < -5.355575, 0.582724, -0.539253>,
      < -5.355649, 0.582908, -0.414683>,
      < -5.355627, 0.544220, -0.414626>
    }
    triangle {
      < -5.355575, 0.582724, -0.539253>,
      < -5.355627, 0.544220, -0.414626>,
      < -5.355551, 0.544035, -0.539196>
    }
    triangle {
      < -5.879153, 0.543851, -0.453624>,
      < -5.879176, 0.582540, -0.453681>,
      < -5.355575, 0.582724, -0.539253>
    }
    triangle {
      < -5.879153, 0.543851, -0.453624>,
      < -5.355575, 0.582724, -0.539253>,
      < -5.355551, 0.544035, -0.539196>
    }
    triangle {
      < -5.879153, 0.543851, -0.453624>,
      < -5.879175, 0.543909, -0.414935>,
      < -5.879198, 0.582597, -0.414993>
    }
    triangle {
      < -5.879153, 0.543851, -0.453624>,
      < -5.879198, 0.582597, -0.414993>,
      < -5.879176, 0.582540, -0.453681>
    }
    triangle {
      < -5.879198, 0.582597, -0.414993>,
      < -5.879175, 0.543909, -0.414935>,
      < -5.355627, 0.544220, -0.414626>
    }
    triangle {
      < -5.879198, 0.582597, -0.414993>,
      < -5.355627, 0.544220, -0.414626>,
      < -5.355649, 0.582908, -0.414683>
    }
    triangle {
      < -5.879240, 0.672075, -0.433514>,
      < -5.879255, 0.660177, -0.396700>,
      < -5.355706, 0.660487, -0.396391>
    }
    triangle {
      < -5.879240, 0.672075, -0.433514>,
      < -5.355706, 0.660487, -0.396391>,
      < -5.355659, 0.698799, -0.514924>
    }
    triangle {
      < -5.355630, 0.661985, -0.526822>,
      < -5.355678, 0.623673, -0.408290>,
      < -5.879227, 0.623363, -0.408599>
    }
    triangle {
      < -5.355630, 0.661985, -0.526822>,
      < -5.879227, 0.623363, -0.408599>,
      < -5.879211, 0.635262, -0.445413>
    }
    triangle {
      < -5.355659, 0.698799, -0.514924>,
      < -5.355706, 0.660487, -0.396391>,
      < -5.355678, 0.623673, -0.408290>
    }
    triangle {
      < -5.355659, 0.698799, -0.514924>,
      < -5.355678, 0.623673, -0.408290>,
      < -5.355630, 0.661985, -0.526822>
    }
    triangle {
      < -5.879211, 0.635262, -0.445413>,
      < -5.879240, 0.672075, -0.433514>,
      < -5.355659, 0.698799, -0.514924>
    }
    triangle {
      < -5.879211, 0.635262, -0.445413>,
      < -5.355659, 0.698799, -0.514924>,
      < -5.355630, 0.661985, -0.526822>
    }
    triangle {
      < -5.879211, 0.635262, -0.445413>,
      < -5.879227, 0.623363, -0.408599>,
      < -5.879255, 0.660177, -0.396700>
    }
    triangle {
      < -5.879211, 0.635262, -0.445413>,
      < -5.879255, 0.660177, -0.396700>,
      < -5.879240, 0.672075, -0.433514>
    }
    triangle {
      < -5.879255, 0.660177, -0.396700>,
      < -5.879227, 0.623363, -0.408599>,
      < -5.355678, 0.623673, -0.408290>
    }
    triangle {
      < -5.879255, 0.660177, -0.396700>,
      < -5.355678, 0.623673, -0.408290>,
      < -5.355706, 0.660487, -0.396391>
    }
    triangle {
      < -5.879315, 0.750999, -0.386670>,
      < -5.879321, 0.728308, -0.355335>,
      < -5.355771, 0.728619, -0.355025>
    }
    triangle {
      < -5.879315, 0.750999, -0.386670>,
      < -5.355771, 0.728619, -0.355025>,
      < -5.355754, 0.801678, -0.455921>
    }
    triangle {
      < -5.355724, 0.770343, -0.478612>,
      < -5.355740, 0.697283, -0.377715>,
      < -5.879288, 0.696972, -0.378025>
    }
    triangle {
      < -5.355724, 0.770343, -0.478612>,
      < -5.879288, 0.696972, -0.378025>,
      < -5.879284, 0.719662, -0.409361>
    }
    triangle {
      < -5.355754, 0.801678, -0.455921>,
      < -5.355771, 0.728619, -0.355025>,
      < -5.355740, 0.697283, -0.377715>
    }
    triangle {
      < -5.355754, 0.801678, -0.455921>,
      < -5.355740, 0.697283, -0.377715>,
      < -5.355724, 0.770343, -0.478612>
    }
    triangle {
      < -5.879284, 0.719662, -0.409361>,
      < -5.879315, 0.750999, -0.386670>,
      < -5.355754, 0.801678, -0.455921>
    }
    triangle {
      < -5.879284, 0.719662, -0.409361>,
      < -5.355754, 0.801678, -0.455921>,
      < -5.355724, 0.770343, -0.478612>
    }
    triangle {
      < -5.879284, 0.719662, -0.409361>,
      < -5.879288, 0.696972, -0.378025>,
      < -5.879321, 0.728308, -0.355335>
    }
    triangle {
      < -5.879284, 0.719662, -0.409361>,
      < -5.879321, 0.728308, -0.355335>,
      < -5.879315, 0.750999, -0.386670>
    }
    triangle {
      < -5.879321, 0.728308, -0.355335>,
      < -5.879288, 0.696972, -0.378025>,
      < -5.355740, 0.697283, -0.377715>
    }
    triangle {
      < -5.879321, 0.728308, -0.355335>,
      < -5.355740, 0.697283, -0.377715>,
      < -5.355771, 0.728619, -0.355025>
    }
    triangle {
      < -5.879392, 0.811589, -0.317735>,
      < -5.879385, 0.780326, -0.294942>,
      < -5.355838, 0.780637, -0.294633>
    }
    triangle {
      < -5.879392, 0.811589, -0.317735>,
      < -5.355838, 0.780637, -0.294633>,
      < -5.355854, 0.881295, -0.368020>
    }
    triangle {
      < -5.355822, 0.858503, -0.399282>,
      < -5.355806, 0.757844, -0.325894>,
      < -5.879355, 0.757534, -0.326204>
    }
    triangle {
      < -5.355822, 0.858503, -0.399282>,
      < -5.879355, 0.757534, -0.326204>,
      < -5.879360, 0.788796, -0.348997>
    }
    triangle {
      < -5.355854, 0.881295, -0.368020>,
      < -5.355838, 0.780637, -0.294633>,
      < -5.355806, 0.757844, -0.325894>
    }
    triangle {
      < -5.355854, 0.881295, -0.368020>,
      < -5.355806, 0.757844, -0.325894>,
      < -5.355822, 0.858503, -0.399282>
    }
    triangle {
      < -5.879360, 0.788796, -0.348997>,
      < -5.879392, 0.811589, -0.317735>,
      < -5.355854, 0.881295, -0.368020>
    }
    triangle {
      < -5.879360, 0.788796, -0.348997>,
      < -5.355854, 0.881295, -0.368020>,
      < -5.355822, 0.858503, -0.399282>
    }
    triangle {
      < -5.879360, 0.788796, -0.348997>,
      < -5.879355, 0.757534, -0.326204>,
      < -5.879385, 0.780326, -0.294942>
    }
    triangle {
      < -5.879360, 0.788796, -0.348997>,
      < -5.879385, 0.780326, -0.294942>,
      < -5.879392, 0.811589, -0.317735>
    }
    triangle {
      < -5.879385, 0.780326, -0.294942>,
      < -5.879355, 0.757534, -0.326204>,
      < -5.355806, 0.757844, -0.325894>
    }
    triangle {
      < -5.879385, 0.780326, -0.294942>,
      < -5.355806, 0.757844, -0.325894>,
      < -5.355838, 0.780637, -0.294633>
    }
    triangle {
      < -5.879464, 0.847915, -0.233452>,
      < -5.879449, 0.811141, -0.221433>,
      < -5.355900, 0.811451, -0.221123>
    }
    triangle {
      < -5.879464, 0.847915, -0.233452>,
      < -5.355900, 0.811451, -0.221123>,
      < -5.355947, 0.929858, -0.259821>
    }
    triangle {
      < -5.355917, 0.917839, -0.296596>,
      < -5.355871, 0.799433, -0.257898>,
      < -5.879420, 0.799122, -0.258208>
    }
    triangle {
      < -5.355917, 0.917839, -0.296596>,
      < -5.879420, 0.799122, -0.258208>,
      < -5.879435, 0.835896, -0.270226>
    }
    triangle {
      < -5.355947, 0.929858, -0.259821>,
      < -5.355900, 0.811451, -0.221123>,
      < -5.355871, 0.799433, -0.257898>
    }
    triangle {
      < -5.355947, 0.929858, -0.259821>,
      < -5.355871, 0.799433, -0.257898>,
      < -5.355917, 0.917839, -0.296596>
    }
    triangle {
      < -5.879435, 0.835896, -0.270226>,
      < -5.879464, 0.847915, -0.233452>,
      < -5.355947, 0.929858, -0.259821>
    }
    triangle {
      < -5.879435, 0.835896, -0.270226>,
      < -5.355947, 0.929858, -0.259821>,
      < -5.355917, 0.917839, -0.296596>
    }
    triangle {
      < -5.879435, 0.835896, -0.270226>,
      < -5.879420, 0.799122, -0.258208>,
      < -5.879449, 0.811141, -0.221433>
    }
    triangle {
      < -5.879435, 0.835896, -0.270226>,
      < -5.879449, 0.811141, -0.221433>,
      < -5.879464, 0.847915, -0.233452>
    }
    triangle {
      < -5.879449, 0.811141, -0.221433>,
      < -5.879420, 0.799122, -0.258208>,
      < -5.355871, 0.799433, -0.257898>
    }
    triangle {
      < -5.879449, 0.811141, -0.221433>,
      < -5.355871, 0.799433, -0.257898>,
      < -5.355900, 0.811451, -0.221123>
    }
    triangle {
      < -5.879523, 0.856424, -0.142069>,
      < -5.879500, 0.817735, -0.142000>,
      < -5.355950, 0.818045, -0.141690>
    }
    triangle {
      < -5.879523, 0.856424, -0.142069>,
      < -5.355950, 0.818045, -0.141690>,
      < -5.356024, 0.942616, -0.141912>
    }
    triangle {
      < -5.356001, 0.942548, -0.180601>,
      < -5.355928, 0.817977, -0.180379>,
      < -5.879477, 0.817667, -0.180689>
    }
    triangle {
      < -5.356001, 0.942548, -0.180601>,
      < -5.879477, 0.817667, -0.180689>,
      < -5.879500, 0.856355, -0.180758>
    }
    triangle {
      < -5.356024, 0.942616, -0.141912>,
      < -5.355950, 0.818045, -0.141690>,
      < -5.355928, 0.817977, -0.180379>
    }
    triangle {
      < -5.356024, 0.942616, -0.141912>,
      < -5.355928, 0.817977, -0.180379>,
      < -5.356001, 0.942548, -0.180601>
    }
    triangle {
      < -5.879500, 0.856355, -0.180758>,
      < -5.879523, 0.856424, -0.142069>,
      < -5.356024, 0.942616, -0.141912>
    }
    triangle {
      < -5.879500, 0.856355, -0.180758>,
      < -5.356024, 0.942616, -0.141912>,
      < -5.356001, 0.942548, -0.180601>
    }
    triangle {
      < -5.879500, 0.856355, -0.180758>,
      < -5.879477, 0.817667, -0.180689>,
      < -5.879500, 0.817735, -0.142000>
    }
    triangle {
      < -5.879500, 0.856355, -0.180758>,
      < -5.879500, 0.817735, -0.142000>,
      < -5.879523, 0.856424, -0.142069>
    }
    triangle {
      < -5.879500, 0.817735, -0.142000>,
      < -5.879477, 0.817667, -0.180689>,
      < -5.355928, 0.817977, -0.180379>
    }
    triangle {
      < -5.879500, 0.817735, -0.142000>,
      < -5.355928, 0.817977, -0.180379>,
      < -5.355950, 0.818045, -0.141690>
    }
    texture {exhaust}
  }
  // stabilizer
  union {
    triangle {
      < -4.313659, 1.231319, -0.187124>,
      < -4.585864, 1.231219, -0.128794>,
      < -4.893066, 1.231079, -0.097685>
    }
    triangle {
      < -4.313659, 1.231319, -0.187124>,
      < -4.893066, 1.231079, -0.097685>,
      < -5.363595, 1.230814, -0.113239>
    }
    triangle {
      < -4.313659, 1.231319, -0.187124>,
      < -5.363595, 1.230814, -0.113239>,
      < -6.228981, 1.193867, -0.159879>
    }
    triangle {
      < -4.313659, 1.231319, -0.187124>,
      < -6.228981, 1.193867, -0.159879>,
      < -6.597289, 1.211451, -0.179262>
    }
    triangle {
      < -4.313659, 1.231319, -0.187124>,
      < -6.597289, 1.211451, -0.179262>,
      < -5.810791, 1.230478, -0.229899>
    }
    triangle {
      < -4.313659, 1.231319, -0.187124>,
      < -5.810791, 1.230478, -0.229899>,
      < -5.118608, 1.230839, -0.245453>
    }
    triangle {
      < -4.313659, 1.231319, -0.187124>,
      < -5.118608, 1.230839, -0.245453>,
      < -4.791963, 1.231011, -0.249342>
    }
    triangle {
      < -4.313659, 1.231319, -0.187124>,
      < -4.791963, 1.231011, -0.249342>,
      < -4.348657, 1.231254, -0.245453>
    }
    triangle {
      < -4.313659, 1.231319, -0.187124>,
      < -4.348657, 1.231254, -0.245453>,
      < -4.294215, 1.231301, -0.222122>
    }
    triangle {
      < -6.378834, 3.233620, -0.163143>,
      < -6.301877, 3.262084, -0.185881>,
      < -6.472362, 3.295749, -0.185901>
    }
    triangle {
      < -6.465685, 3.201486, -0.151006>,
      < -6.378834, 3.233620, -0.163143>,
      < -6.472362, 3.295749, -0.185901>
    }
    triangle {
      < -6.598707, 3.152248, -0.157036>,
      < -6.465685, 3.201486, -0.151006>,
      < -6.472362, 3.295749, -0.185901>
    }
    triangle {
      < -6.860351, 3.055392, -0.175156>,
      < -6.598707, 3.152248, -0.157036>,
      < -6.472362, 3.295749, -0.185901>
    }
    triangle {
      < -6.981718, 3.002096, -0.182697>,
      < -6.860351, 3.055392, -0.175156>,
      < -6.472362, 3.295749, -0.185901>
    }
    triangle {
      < -6.725128, 3.105416, -0.202450>,
      < -6.981718, 3.002096, -0.182697>,
      < -6.472362, 3.295749, -0.185901>
    }
    triangle {
      < -6.529440, 3.177837, -0.208551>,
      < -6.725128, 3.105416, -0.202450>,
      < -6.472362, 3.295749, -0.185901>
    }
    triangle {
      < -6.437096, 3.212014, -0.210087>,
      < -6.529440, 3.177837, -0.208551>,
      < -6.472362, 3.295749, -0.185901>
    }
    triangle {
      < -6.311769, 3.258401, -0.208599>,
      < -6.437096, 3.212014, -0.210087>,
      < -6.472362, 3.295749, -0.185901>
    }
    triangle {
      < -6.296379, 3.264106, -0.199514>,
      < -6.311769, 3.258401, -0.208599>,
      < -6.472362, 3.295749, -0.185901>
    }
    triangle {
      < -6.301877, 3.262084, -0.185881>,
      < -6.296379, 3.264106, -0.199514>,
      < -6.472362, 3.295749, -0.185901>
    }
    triangle {
      < -4.585864, 1.231219, -0.128794>,
      < -5.139141, 2.004331, -0.143268>,
      < -5.339432, 2.004232, -0.120209>
    }
    triangle {
      < -4.585864, 1.231219, -0.128794>,
      < -5.339432, 2.004232, -0.120209>,
      < -4.893066, 1.231079, -0.097685>
    }
    triangle {
      < -4.893066, 1.231079, -0.097685>,
      < -5.339432, 2.004232, -0.120209>,
      < -5.646209, 2.004040, -0.131739>
    }
    triangle {
      < -4.893066, 1.231079, -0.097685>,
      < -5.646209, 2.004040, -0.131739>,
      < -5.363595, 1.230814, -0.113239>
    }
    triangle {
      < -5.363595, 1.230814, -0.113239>,
      < -5.646209, 2.004040, -0.131739>,
      < -6.430728, 2.003544, -0.166326>
    }
    triangle {
      < -5.363595, 1.230814, -0.113239>,
      < -6.430728, 2.003544, -0.166326>,
      < -6.228981, 1.193867, -0.159879>
    }
    triangle {
      < -6.228981, 1.193867, -0.159879>,
      < -6.430728, 2.003544, -0.166326>,
      < -6.762857, 2.003335, -0.180738>
    }
    triangle {
      < -6.228981, 1.193867, -0.159879>,
      < -6.762857, 2.003335, -0.180738>,
      < -6.597289, 1.211451, -0.179262>
    }
    triangle {
      < -6.597289, 1.211451, -0.179262>,
      < -6.762857, 2.003335, -0.180738>,
      < -6.118881, 2.003683, -0.218208>
    }
    triangle {
      < -6.597289, 1.211451, -0.179262>,
      < -6.118881, 2.003683, -0.218208>,
      < -5.810791, 1.230478, -0.229899>
    }
    triangle {
      < -5.810791, 1.230478, -0.229899>,
      < -6.118881, 2.003683, -0.218208>,
      < -5.486483, 2.004048, -0.229739>
    }
    triangle {
      < -5.810791, 1.230478, -0.229899>,
      < -5.486483, 2.004048, -0.229739>,
      < -5.118608, 1.230839, -0.245453>
    }
    triangle {
      < -5.118608, 1.230839, -0.245453>,
      < -5.486483, 2.004048, -0.229739>,
      < -5.273514, 2.004171, -0.232621>
    }
    triangle {
      < -5.118608, 1.230839, -0.245453>,
      < -5.273514, 2.004171, -0.232621>,
      < -4.791963, 1.231011, -0.249342>
    }
    triangle {
      < -4.961667, 2.004397, -0.186503>,
      < -5.999783, 2.974055, -0.185938>,
      < -6.107042, 2.974014, -0.159807>
    }
    triangle {
      < -4.961667, 2.004397, -0.186503>,
      < -6.107042, 2.974014, -0.159807>,
      < -5.139141, 2.004331, -0.143268>
    }
    triangle {
      < -5.139141, 2.004331, -0.143268>,
      < -6.107042, 2.974014, -0.159807>,
      < -6.228090, 2.973955, -0.145871>
    }
    triangle {
      < -5.139141, 2.004331, -0.143268>,
      < -6.228090, 2.973955, -0.145871>,
      < -5.339432, 2.004232, -0.120209>
    }
    triangle {
      < -5.339432, 2.004232, -0.120209>,
      < -6.228090, 2.973955, -0.145871>,
      < -6.413496, 2.973839, -0.152839>
    }
    triangle {
      < -5.339432, 2.004232, -0.120209>,
      < -6.413496, 2.973839, -0.152839>,
      < -5.646209, 2.004040, -0.131739>
    }
    triangle {
      < -5.646209, 2.004040, -0.131739>,
      < -6.413496, 2.973839, -0.152839>,
      < -6.778175, 2.973604, -0.173743>
    }
    triangle {
      < -5.646209, 2.004040, -0.131739>,
      < -6.778175, 2.973604, -0.173743>,
      < -6.430728, 2.003544, -0.166326>
    }
    triangle {
      < -6.430728, 2.003544, -0.166326>,
      < -6.778175, 2.973604, -0.173743>,
      < -6.978902, 2.973477, -0.182453>
    }
    triangle {
      < -6.430728, 2.003544, -0.166326>,
      < -6.978902, 2.973477, -0.182453>,
      < -6.762857, 2.003335, -0.180738>
    }
    triangle {
      < -6.762857, 2.003335, -0.180738>,
      < -6.978902, 2.973477, -0.182453>,
      < -6.589707, 2.973689, -0.205099>
    }
    triangle {
      < -6.762857, 2.003335, -0.180738>,
      < -6.589707, 2.973689, -0.205099>,
      < -6.118881, 2.003683, -0.218208>
    }
    triangle {
      < -6.118881, 2.003683, -0.218208>,
      < -6.589707, 2.973689, -0.205099>,
      < -6.316962, 2.973844, -0.212067>
    }
    triangle {
      < -6.118881, 2.003683, -0.218208>,
      < -6.316962, 2.973844, -0.212067>,
      < -5.486483, 2.004048, -0.229739>
    }
    triangle {
      < -5.486483, 2.004048, -0.229739>,
      < -6.316962, 2.973844, -0.212067>,
      < -6.188253, 2.973918, -0.213809>
    }
    triangle {
      < -5.486483, 2.004048, -0.229739>,
      < -6.188253, 2.973918, -0.213809>,
      < -5.273514, 2.004171, -0.232621>
    }
    triangle {
      < -5.273514, 2.004171, -0.232621>,
      < -6.188253, 2.973918, -0.213809>,
      < -6.013574, 2.974024, -0.212067>
    }
    triangle {
      < -5.273514, 2.004171, -0.232621>,
      < -6.013574, 2.974024, -0.212067>,
      < -4.984484, 2.004345, -0.229739>
    }
    triangle {
      < -4.984484, 2.004345, -0.229739>,
      < -6.013574, 2.974024, -0.212067>,
      < -5.992121, 2.974046, -0.201616>
    }
    triangle {
      < -4.984484, 2.004345, -0.229739>,
      < -5.992121, 2.974046, -0.201616>,
      < -4.948990, 2.004382, -0.212444>
    }
    triangle {
      < -4.948990, 2.004382, -0.212444>,
      < -5.992121, 2.974046, -0.201616>,
      < -5.999783, 2.974055, -0.185938>
    }
    triangle {
      < -4.948990, 2.004382, -0.212444>,
      < -5.999783, 2.974055, -0.185938>,
      < -4.961667, 2.004397, -0.186503>
    }
    triangle {
      < -5.999783, 2.974055, -0.185938>,
      < -6.301877, 3.262084, -0.185881>,
      < -6.378834, 3.233620, -0.163143>
    }
    triangle {
      < -5.999783, 2.974055, -0.185938>,
      < -6.378834, 3.233620, -0.163143>,
      < -6.107042, 2.974014, -0.159807>
    }
    triangle {
      < -6.107042, 2.974014, -0.159807>,
      < -6.378834, 3.233620, -0.163143>,
      < -6.465685, 3.201486, -0.151006>
    }
    triangle {
      < -6.107042, 2.974014, -0.159807>,
      < -6.465685, 3.201486, -0.151006>,
      < -6.228090, 2.973955, -0.145871>
    }
    triangle {
      < -6.228090, 2.973955, -0.145871>,
      < -6.465685, 3.201486, -0.151006>,
      < -6.598707, 3.152248, -0.157036>
    }
    triangle {
      < -6.228090, 2.973955, -0.145871>,
      < -6.598707, 3.152248, -0.157036>,
      < -6.413496, 2.973839, -0.152839>
    }
    triangle {
      < -6.413496, 2.973839, -0.152839>,
      < -6.598707, 3.152248, -0.157036>,
      < -6.860351, 3.055392, -0.175156>
    }
    triangle {
      < -6.413496, 2.973839, -0.152839>,
      < -6.860351, 3.055392, -0.175156>,
      < -6.778175, 2.973604, -0.173743>
    }
    triangle {
      < -6.778175, 2.973604, -0.173743>,
      < -6.860351, 3.055392, -0.175156>,
      < -6.981718, 3.002096, -0.182697>
    }
    triangle {
      < -6.778175, 2.973604, -0.173743>,
      < -6.981718, 3.002096, -0.182697>,
      < -6.978902, 2.973477, -0.182453>
    }
    triangle {
      < -6.978902, 2.973477, -0.182453>,
      < -6.981718, 3.002096, -0.182697>,
      < -6.725128, 3.105416, -0.202450>
    }
    triangle {
      < -6.978902, 2.973477, -0.182453>,
      < -6.725128, 3.105416, -0.202450>,
      < -6.589707, 2.973689, -0.205099>
    }
    triangle {
      < -6.589707, 2.973689, -0.205099>,
      < -6.725128, 3.105416, -0.202450>,
      < -6.529440, 3.177837, -0.208551>
    }
    triangle {
      < -6.589707, 2.973689, -0.205099>,
      < -6.529440, 3.177837, -0.208551>,
      < -6.316962, 2.973844, -0.212067>
    }
    triangle {
      < -6.316962, 2.973844, -0.212067>,
      < -6.529440, 3.177837, -0.208551>,
      < -6.437096, 3.212014, -0.210087>
    }
    triangle {
      < -6.316962, 2.973844, -0.212067>,
      < -6.437096, 3.212014, -0.210087>,
      < -6.188253, 2.973918, -0.213809>
    }
    triangle {
      < -6.188253, 2.973918, -0.213809>,
      < -6.437096, 3.212014, -0.210087>,
      < -6.311769, 3.258401, -0.208599>
    }
    triangle {
      < -6.188253, 2.973918, -0.213809>,
      < -6.311769, 3.258401, -0.208599>,
      < -6.013574, 2.974024, -0.212067>
    }
    triangle {
      < -6.013574, 2.974024, -0.212067>,
      < -6.311769, 3.258401, -0.208599>,
      < -6.296379, 3.264106, -0.199514>
    }
    triangle {
      < -6.013574, 2.974024, -0.212067>,
      < -6.296379, 3.264106, -0.199514>,
      < -5.992121, 2.974046, -0.201616>
    }
    triangle {
      < -5.992121, 2.974046, -0.201616>,
      < -6.296379, 3.264106, -0.199514>,
      < -6.301877, 3.262084, -0.185881>
    }
    triangle {
      < -5.992121, 2.974046, -0.201616>,
      < -6.301877, 3.262084, -0.185881>,
      < -5.999783, 2.974055, -0.185938>
    }
    texture {stabilizer}
  }
  // wings
  union {
    triangle {
      < 0.600839, 1.475695, -0.148154>,
      < 0.119560, 1.475502, -0.045022>,
      < -0.423597, 1.475229, 0.009981>
    }
    triangle {
      < 0.600839, 1.475695, -0.148154>,
      < -0.423597, 1.475229, 0.009981>,
      < -1.255521, 1.474711, -0.017521>
    }
    triangle {
      < 0.600839, 1.475695, -0.148154>,
      < -1.255521, 1.474711, -0.017521>,
      < -2.891868, 1.473668, -0.100025>
    }
    triangle {
      < 0.600839, 1.475695, -0.148154>,
      < -2.891868, 1.473668, -0.100025>,
      < -3.792546, 1.473103, -0.134402>
    }
    triangle {
      < 0.600839, 1.475695, -0.148154>,
      < -3.792546, 1.473103, -0.134402>,
      < -2.046193, 1.474059, -0.223783>
    }
    triangle {
      < 0.600839, 1.475695, -0.148154>,
      < -2.046193, 1.474059, -0.223783>,
      < -0.822371, 1.474760, -0.251284>
    }
    triangle {
      < 0.600839, 1.475695, -0.148154>,
      < -0.822371, 1.474760, -0.251284>,
      < -0.244836, 1.475096, -0.258160>
    }
    triangle {
      < 0.600839, 1.475695, -0.148154>,
      < -0.244836, 1.475096, -0.258160>,
      < 0.538960, 1.475567, -0.251284>
    }
    triangle {
      < 0.600839, 1.475695, -0.148154>,
      < 0.538960, 1.475567, -0.251284>,
      < 0.635216, 1.475660, -0.210033>
    }
    triangle {
      < -3.215895, 4.909915, -0.145992>,
      < -2.914467, 4.850392, -0.145956>,
      < -3.050532, 4.800069, -0.105755>
    }
    triangle {
      < -3.215895, 4.909915, -0.145992>,
      < -3.050532, 4.800069, -0.105755>,
      < -3.204090, 4.743255, -0.084297>
    }
    triangle {
      < -3.215895, 4.909915, -0.145992>,
      < -3.204090, 4.743255, -0.084297>,
      < -3.439280, 4.656197, -0.094957>
    }
    triangle {
      < -3.215895, 4.909915, -0.145992>,
      < -3.439280, 4.656197, -0.094957>,
      < -3.901887, 4.484949, -0.126993>
    }
    triangle {
      < -3.215895, 4.909915, -0.145992>,
      < -3.901887, 4.484949, -0.126993>,
      < -4.116473, 4.390718, -0.140328>
    }
    triangle {
      < -3.215895, 4.909915, -0.145992>,
      < -4.116473, 4.390718, -0.140328>,
      < -3.662802, 4.573394, -0.175251>
    }
    triangle {
      < -3.215895, 4.909915, -0.145992>,
      < -3.662802, 4.573394, -0.175251>,
      < -3.316816, 4.701440, -0.186040>
    }
    triangle {
      < -3.215895, 4.909915, -0.145992>,
      < -3.316816, 4.701440, -0.186040>,
      < -3.153542, 4.761868, -0.188754>
    }
    triangle {
      < -3.215895, 4.909915, -0.145992>,
      < -3.153542, 4.761868, -0.188754>,
      < -2.931956, 4.843884, -0.186125>
    }
    triangle {
      < -3.215895, 4.909915, -0.145992>,
      < -2.931956, 4.843884, -0.186125>,
      < -2.904745, 4.853970, -0.170062>
    }
    triangle {
      < -3.215895, 4.909915, -0.145992>,
      < -2.904745, 4.853970, -0.170062>,
      < -2.914467, 4.850392, -0.145956>
    }
    triangle {
      < 0.119560, 1.475502, -0.045022>,
      < -1.251305, 2.946618, -0.070803>,
      < -0.937519, 2.946735, -0.147246>
    }
    triangle {
      < 0.119560, 1.475502, -0.045022>,
      < -0.937519, 2.946735, -0.147246>,
      < 0.600839, 1.475695, -0.148154>
    }
    triangle {
      < -0.423597, 1.475229, 0.009981>,
      < -1.605435, 2.946444, -0.030034>,
      < -1.251305, 2.946618, -0.070803>
    }
    triangle {
      < -0.423597, 1.475229, 0.009981>,
      < -1.251305, 2.946618, -0.070803>,
      < 0.119560, 1.475502, -0.045022>
    }
    triangle {
      < -1.255521, 1.474711, -0.017521>,
      < -2.147836, 2.946105, -0.050419>,
      < -1.605435, 2.946444, -0.030034>
    }
    triangle {
      < -1.255521, 1.474711, -0.017521>,
      < -1.605435, 2.946444, -0.030034>,
      < -0.423597, 1.475229, 0.009981>
    }
    triangle {
      < -2.891868, 1.473668, -0.100025>,
      < -3.214707, 2.945417, -0.111573>,
      < -2.147836, 2.946105, -0.050419>
    }
    triangle {
      < -2.891868, 1.473668, -0.100025>,
      < -2.147836, 2.946105, -0.050419>,
      < -1.255521, 1.474711, -0.017521>
    }
    triangle {
      < -3.792546, 1.473103, -0.134402>,
      < -3.801934, 2.945047, -0.137053>,
      < -3.214707, 2.945417, -0.111573>
    }
    triangle {
      < -3.792546, 1.473103, -0.134402>,
      < -3.214707, 2.945417, -0.111573>,
      < -2.891868, 1.473668, -0.100025>
    }
    triangle {
      < -2.046193, 1.474059, -0.223783>,
      < -2.663341, 2.945662, -0.203304>,
      < -3.801934, 2.945047, -0.137053>
    }
    triangle {
      < -2.046193, 1.474059, -0.223783>,
      < -3.801934, 2.945047, -0.137053>,
      < -3.792546, 1.473103, -0.134402>
    }
    triangle {
      < -0.822371, 1.474760, -0.251284>,
      < -1.865428, 2.946117, -0.223689>,
      < -2.663341, 2.945662, -0.203304>
    }
    triangle {
      < -0.822371, 1.474760, -0.251284>,
      < -2.663341, 2.945662, -0.203304>,
      < -2.046193, 1.474059, -0.223783>
    }
    triangle {
      < -0.244836, 1.475096, -0.258160>,
      < -1.488886, 2.946336, -0.228785>,
      < -1.865428, 2.946117, -0.223689>
    }
    triangle {
      < -0.244836, 1.475096, -0.258160>,
      < -1.865428, 2.946117, -0.223689>,
      < -0.822371, 1.474760, -0.251284>
    }
    triangle {
      < 0.538960, 1.475567, -0.251284>,
      < -0.977863, 2.946643, -0.223689>,
      < -1.488886, 2.946336, -0.228785>
    }
    triangle {
      < 0.538960, 1.475567, -0.251284>,
      < -1.488886, 2.946336, -0.228785>,
      < -0.244836, 1.475096, -0.258160>
    }
    triangle {
      < 0.635216, 1.475660, -0.210033>,
      < -0.915106, 2.946707, -0.193112>,
      < -0.977863, 2.946643, -0.223689>
    }
    triangle {
      < 0.635216, 1.475660, -0.210033>,
      < -0.977863, 2.946643, -0.223689>,
      < 0.538960, 1.475567, -0.251284>
    }
    triangle {
      < 0.600839, 1.475695, -0.148154>,
      < -0.937519, 2.946735, -0.147246>,
      < -0.915106, 2.946707, -0.193112>
    }
    triangle {
      < 0.600839, 1.475695, -0.148154>,
      < -0.915106, 2.946707, -0.193112>,
      < 0.635216, 1.475660, -0.210033>
    }
    triangle {
      < -1.251305, 2.946618, -0.070803>,
      < -2.569985, 4.341068, -0.099858>,
      < -2.380344, 4.341140, -0.146057>
    }
    triangle {
      < -1.251305, 2.946618, -0.070803>,
      < -2.380344, 4.341140, -0.146057>,
      < -0.937519, 2.946735, -0.147246>
    }
    triangle {
      < -1.605435, 2.946444, -0.030034>,
      < -2.784008, 4.340964, -0.075218>,
      < -2.569985, 4.341068, -0.099858>
    }
    triangle {
      < -1.605435, 2.946444, -0.030034>,
      < -2.569985, 4.341068, -0.099858>,
      < -1.251305, 2.946618, -0.070803>
    }
    triangle {
      < -2.147836, 2.946105, -0.050419>,
      < -3.111816, 4.340758, -0.087537>,
      < -2.784008, 4.340964, -0.075218>
    }
    triangle {
      < -2.147836, 2.946105, -0.050419>,
      < -2.784008, 4.340964, -0.075218>,
      < -1.605435, 2.946444, -0.030034>
    }
    triangle {
      < -3.214707, 2.945417, -0.111573>,
      < -3.756595, 4.340343, -0.124496>,
      < -3.111816, 4.340758, -0.087537>
    }
    triangle {
      < -3.214707, 2.945417, -0.111573>,
      < -3.111816, 4.340758, -0.087537>,
      < -2.147836, 2.946105, -0.050419>
    }
    triangle {
      < -3.801934, 2.945047, -0.137053>,
      < -4.111494, 4.340119, -0.139896>,
      < -3.756595, 4.340343, -0.124496>
    }
    triangle {
      < -3.801934, 2.945047, -0.137053>,
      < -3.756595, 4.340343, -0.124496>,
      < -3.214707, 2.945417, -0.111573>
    }
    triangle {
      < -2.663341, 2.945662, -0.203304>,
      < -3.423369, 4.340492, -0.179935>,
      < -4.111494, 4.340119, -0.139896>
    }
    triangle {
      < -2.663341, 2.945662, -0.203304>,
      < -4.111494, 4.340119, -0.139896>,
      < -3.801934, 2.945047, -0.137053>
    }
    triangle {
      < -1.865428, 2.946117, -0.223689>,
      < -2.941139, 4.340766, -0.192255>,
      < -3.423369, 4.340492, -0.179935>
    }
    triangle {
      < -1.865428, 2.946117, -0.223689>,
      < -3.423369, 4.340492, -0.179935>,
      < -2.663341, 2.945662, -0.203304>
    }
    triangle {
      < -1.488886, 2.946336, -0.228785>,
      < -2.713570, 4.340898, -0.195336>,
      < -2.941139, 4.340766, -0.192255>
    }
    triangle {
      < -1.488886, 2.946336, -0.228785>,
      < -2.941139, 4.340766, -0.192255>,
      < -1.865428, 2.946117, -0.223689>
    }
    triangle {
      < -0.977863, 2.946643, -0.223689>,
      < -2.404726, 4.341084, -0.192256>,
      < -2.713570, 4.340898, -0.195336>
    }
    triangle {
      < -0.977863, 2.946643, -0.223689>,
      < -2.713570, 4.340898, -0.195336>,
      < -1.488886, 2.946336, -0.228785>
    }
    triangle {
      < -0.915106, 2.946707, -0.193112>,
      < -2.366798, 4.341124, -0.173777>,
      < -2.404726, 4.341084, -0.192256>
    }
    triangle {
      < -0.915106, 2.946707, -0.193112>,
      < -2.404726, 4.341084, -0.192256>,
      < -0.977863, 2.946643, -0.223689>
    }
    triangle {
      < -0.937519, 2.946735, -0.147246>,
      < -2.380344, 4.341140, -0.146057>,
      < -2.366798, 4.341124, -0.173777>
    }
    triangle {
      < -0.937519, 2.946735, -0.147246>,
      < -2.366798, 4.341124, -0.173777>,
      < -0.915106, 2.946707, -0.193112>
    }
    triangle {
      < -2.569985, 4.341068, -0.099858>,
      < -3.050532, 4.800069, -0.105755>,
      < -2.914467, 4.850392, -0.145956>
    }
    triangle {
      < -2.569985, 4.341068, -0.099858>,
      < -2.914467, 4.850392, -0.145956>,
      < -2.380344, 4.341140, -0.146057>
    }
    triangle {
      < -2.784008, 4.340964, -0.075218>,
      < -3.204090, 4.743255, -0.084297>,
      < -3.050532, 4.800069, -0.105755>
    }
    triangle {
      < -2.784008, 4.340964, -0.075218>,
      < -3.050532, 4.800069, -0.105755>,
      < -2.569985, 4.341068, -0.099858>
    }
    triangle {
      < -3.111816, 4.340758, -0.087537>,
      < -3.439280, 4.656197, -0.094957>,
      < -3.204090, 4.743255, -0.084297>
    }
    triangle {
      < -3.111816, 4.340758, -0.087537>,
      < -3.204090, 4.743255, -0.084297>,
      < -2.784008, 4.340964, -0.075218>
    }
    triangle {
      < -3.756595, 4.340343, -0.124496>,
      < -3.901887, 4.484949, -0.126993>,
      < -3.439280, 4.656197, -0.094957>
    }
    triangle {
      < -3.756595, 4.340343, -0.124496>,
      < -3.439280, 4.656197, -0.094957>,
      < -3.111816, 4.340758, -0.087537>
    }
    triangle {
      < -4.111494, 4.340119, -0.139896>,
      < -4.116473, 4.390718, -0.140328>,
      < -3.901887, 4.484949, -0.126993>
    }
    triangle {
      < -4.111494, 4.340119, -0.139896>,
      < -3.901887, 4.484949, -0.126993>,
      < -3.756595, 4.340343, -0.124496>
    }
    triangle {
      < -3.423369, 4.340492, -0.179935>,
      < -3.662802, 4.573394, -0.175251>,
      < -4.116473, 4.390718, -0.140328>
    }
    triangle {
      < -3.423369, 4.340492, -0.179935>,
      < -4.116473, 4.390718, -0.140328>,
      < -4.111494, 4.340119, -0.139896>
    }
    triangle {
      < -2.941139, 4.340766, -0.192255>,
      < -3.316816, 4.701440, -0.186040>,
      < -3.662802, 4.573394, -0.175251>
    }
    triangle {
      < -2.941139, 4.340766, -0.192255>,
      < -3.662802, 4.573394, -0.175251>,
      < -3.423369, 4.340492, -0.179935>
    }
    triangle {
      < -2.713570, 4.340898, -0.195336>,
      < -3.153542, 4.761868, -0.188754>,
      < -3.316816, 4.701440, -0.186040>
    }
    triangle {
      < -2.713570, 4.340898, -0.195336>,
      < -3.316816, 4.701440, -0.186040>,
      < -2.941139, 4.340766, -0.192255>
    }
    triangle {
      < -2.404726, 4.341084, -0.192256>,
      < -2.931956, 4.843884, -0.186125>,
      < -3.153542, 4.761868, -0.188754>
    }
    triangle {
      < -2.404726, 4.341084, -0.192256>,
      < -3.153542, 4.761868, -0.188754>,
      < -2.713570, 4.340898, -0.195336>
    }
    triangle {
      < -2.366798, 4.341124, -0.173777>,
      < -2.904745, 4.853970, -0.170062>,
      < -2.931956, 4.843884, -0.186125>
    }
    triangle {
      < -2.366798, 4.341124, -0.173777>,
      < -2.931956, 4.843884, -0.186125>,
      < -2.404726, 4.341084, -0.192256>
    }
    triangle {
      < -2.380344, 4.341140, -0.146057>,
      < -2.914467, 4.850392, -0.145956>,
      < -2.904745, 4.853970, -0.170062>
    }
    triangle {
      < -2.380344, 4.341140, -0.146057>,
      < -2.904745, 4.853970, -0.170062>,
      < -2.366798, 4.341124, -0.173777>
    }
    texture {wings}
  }
  // stabilizer
  union {
    triangle {
      < -4.585864, 1.231219, -0.128794>,
      < -4.313659, 1.231319, -0.187124>,
      < -5.139141, 2.004331, -0.143268>
    }
    triangle {
      < -5.139141, 2.004331, -0.143268>,
      < -4.348657, 1.231254, -0.245453>,
      < -5.273514, 2.004171, -0.232621>
    }
    triangle {
      < -4.294215, 1.231301, -0.222122>,
      < -4.348657, 1.231254, -0.245453>,
      < -5.139141, 2.004331, -0.143268>
    }
    triangle {
      < -4.294215, 1.231301, -0.222122>,
      < -5.139141, 2.004331, -0.143268>,
      < -4.313659, 1.231319, -0.187124>
    }
    triangle {
      < -5.273514, 2.004171, -0.232621>,
      < -4.984484, 2.004345, -0.229739>,
      < -4.948990, 2.004382, -0.212444>
    }
    triangle {
      < -5.273514, 2.004171, -0.232621>,
      < -4.948990, 2.004382, -0.212444>,
      < -4.961667, 2.004397, -0.186503>
    }
    triangle {
      < -5.273514, 2.004171, -0.232621>,
      < -4.961667, 2.004397, -0.186503>,
      < -5.139141, 2.004331, -0.143268>
    }
    texture {stabilizer}
  }
  // rudder
  union {
    triangle {
      < -3.249990, 1.193459, -0.000707>,
      < -3.305810, 1.172030, -0.000695>,
      < -3.529136, 1.163339, -0.000689>
    }
    triangle {
      < -3.249990, 1.193459, -0.000707>,
      < -3.529136, 1.163339, -0.000689>,
      < -5.360464, 1.187928, -0.000704>
    }
    triangle {
      < -3.249990, 1.193459, -0.000707>,
      < -5.360464, 1.187928, -0.000704>,
      < -3.372845, 1.231897, -0.000730>
    }
    triangle {
      < -3.249990, 1.193459, -0.000707>,
      < -3.372845, 1.231897, -0.000730>,
      < -3.272339, 1.219120, -0.000722>
    }
    triangle {
      < -3.249990, 1.193459, -0.000707>,
      < -4.670779, 1.197646, 2.101188>,
      < -4.691529, 1.187254, 2.101195>
    }
    triangle {
      < -3.249990, 1.193459, -0.000707>,
      < -4.691529, 1.187254, 2.101195>,
      < -3.305810, 1.172030, -0.000695>
    }
    triangle {
      < -3.305810, 1.172030, -0.000695>,
      < -4.691529, 1.187254, 2.101195>,
      < -4.774560, 1.183054, 2.101196>
    }
    triangle {
      < -3.305810, 1.172030, -0.000695>,
      < -4.774560, 1.183054, 2.101196>,
      < -3.529136, 1.163339, -0.000689>
    }
    triangle {
      < -3.529136, 1.163339, -0.000689>,
      < -4.774560, 1.183054, 2.101196>,
      < -5.455435, 1.195105, 2.101189>
    }
    triangle {
      < -3.529136, 1.163339, -0.000689>,
      < -5.455435, 1.195105, 2.101189>,
      < -5.360464, 1.187928, -0.000704>
    }
    triangle {
      < -5.360464, 1.187928, -0.000704>,
      < -5.455435, 1.195105, 2.101189>,
      < -4.716457, 1.216300, 2.101177>
    }
    triangle {
      < -5.360464, 1.187928, -0.000704>,
      < -4.716457, 1.216300, 2.101177>,
      < -3.372845, 1.231897, -0.000730>
    }
    triangle {
      < -3.372845, 1.231897, -0.000730>,
      < -4.716457, 1.216300, 2.101177>,
      < -4.679088, 1.210096, 2.101180>
    }
    triangle {
      < -3.372845, 1.231897, -0.000730>,
      < -4.679088, 1.210096, 2.101180>,
      < -3.272339, 1.219120, -0.000722>
    }
    triangle {
      < -3.272339, 1.219120, -0.000722>,
      < -4.679088, 1.210096, 2.101180>,
      < -4.670779, 1.197646, 2.101188>
    }
    triangle {
      < -3.272339, 1.219120, -0.000722>,
      < -4.670779, 1.197646, 2.101188>,
      < -3.249990, 1.193459, -0.000707>
    }
    triangle {
      < -4.213335, 1.202084, 2.152509>,
      < -4.213322, 1.180062, 2.143397>,
      < -4.174404, 1.202098, 2.121365>
    }
    triangle {
      < -4.283411, 1.202049, 2.175868>,
      < -4.283389, 1.163510, 2.159922>,
      < -4.213322, 1.180062, 2.143397>
    }
    triangle {
      < -4.283411, 1.202049, 2.175868>,
      < -4.213322, 1.180062, 2.143397>,
      < -4.213335, 1.202084, 2.152509>
    }
    triangle {
      < -5.455233, 1.201355, 2.175868>,
      < -5.455211, 1.162815, 2.159922>,
      < -4.283389, 1.163510, 2.159922>
    }
    triangle {
      < -5.455233, 1.201355, 2.175868>,
      < -4.283389, 1.163510, 2.159922>,
      < -4.283411, 1.202049, 2.175868>
    }
    triangle {
      < -5.540881, 1.201303, 2.171975>,
      < -5.540860, 1.165516, 2.157167>,
      < -5.455211, 1.162815, 2.159922>
    }
    triangle {
      < -5.540881, 1.201303, 2.171975>,
      < -5.455211, 1.162815, 2.159922>,
      < -5.455233, 1.201355, 2.175868>
    }
    triangle {
      < -5.564239, 1.201274, 2.121365>,
      < -5.540860, 1.165516, 2.157167>,
      < -5.540881, 1.201303, 2.171975>
    }
    triangle {
      < -4.213322, 1.180062, 2.143397>,
      < -4.213317, 1.170930, 2.121383>,
      < -4.174404, 1.202098, 2.121365>
    }
    triangle {
      < -4.283389, 1.163510, 2.159922>,
      < -4.283379, 1.147529, 2.121397>,
      < -4.213317, 1.170930, 2.121383>
    }
    triangle {
      < -4.283389, 1.163510, 2.159922>,
      < -4.213317, 1.170930, 2.121383>,
      < -4.213322, 1.180062, 2.143397>
    }
    triangle {
      < -5.455211, 1.162815, 2.159922>,
      < -5.455201, 1.146835, 2.121398>,
      < -4.283379, 1.147529, 2.121397>
    }
    triangle {
      < -5.455211, 1.162815, 2.159922>,
      < -4.283379, 1.147529, 2.121397>,
      < -4.283389, 1.163510, 2.159922>
    }
    triangle {
      < -5.540860, 1.165516, 2.157167>,
      < -5.540851, 1.150678, 2.121395>,
      < -5.455201, 1.146835, 2.121398>
    }
    triangle {
      < -5.540860, 1.165516, 2.157167>,
      < -5.455201, 1.146835, 2.121398>,
      < -5.455211, 1.162815, 2.159922>
    }
    triangle {
      < -5.564239, 1.201274, 2.121365>,
      < -5.540851, 1.150678, 2.121395>,
      < -5.540860, 1.165516, 2.157167>
    }
    triangle {
      < -4.213317, 1.170930, 2.121383>,
      < -4.213322, 1.180036, 2.099358>,
      < -4.174404, 1.202098, 2.121365>
    }
    triangle {
      < -4.283379, 1.147529, 2.121397>,
      < -4.283389, 1.163464, 2.082854>,
      < -4.213322, 1.180036, 2.099358>
    }
    triangle {
      < -4.283379, 1.147529, 2.121397>,
      < -4.213322, 1.180036, 2.099358>,
      < -4.213317, 1.170930, 2.121383>
    }
    triangle {
      < -5.455201, 1.146835, 2.121398>,
      < -5.455211, 1.162770, 2.082854>,
      < -4.283389, 1.163464, 2.082854>
    }
    triangle {
      < -5.455201, 1.146835, 2.121398>,
      < -4.283389, 1.163464, 2.082854>,
      < -4.283379, 1.147529, 2.121397>
    }
    triangle {
      < -5.540851, 1.150678, 2.121395>,
      < -5.540860, 1.165475, 2.085606>,
      < -5.455211, 1.162770, 2.082854>
    }
    triangle {
      < -5.540851, 1.150678, 2.121395>,
      < -5.455211, 1.162770, 2.082854>,
      < -5.455201, 1.146835, 2.121398>
    }
    triangle {
      < -5.564239, 1.201274, 2.121365>,
      < -5.540860, 1.165475, 2.085606>,
      < -5.540851, 1.150678, 2.121395>
    }
    triangle {
      < -4.213322, 1.180036, 2.099358>,
      < -4.213335, 1.202046, 2.090220>,
      < -4.174404, 1.202098, 2.121365>
    }
    triangle {
      < -4.283389, 1.163464, 2.082854>,
      < -4.283411, 1.201985, 2.066862>,
      < -4.213335, 1.202046, 2.090220>
    }
    triangle {
      < -4.283389, 1.163464, 2.082854>,
      < -4.213335, 1.202046, 2.090220>,
      < -4.213322, 1.180036, 2.099358>
    }
    triangle {
      < -5.455211, 1.162770, 2.082854>,
      < -5.455233, 1.201290, 2.066862>,
      < -4.283411, 1.201985, 2.066862>
    }
    triangle {
      < -5.455211, 1.162770, 2.082854>,
      < -4.283411, 1.201985, 2.066862>,
      < -4.283389, 1.163464, 2.082854>
    }
    triangle {
      < -5.540860, 1.165475, 2.085606>,
      < -5.540881, 1.201243, 2.070754>,
      < -5.455233, 1.201290, 2.066862>
    }
    triangle {
      < -5.540860, 1.165475, 2.085606>,
      < -5.455233, 1.201290, 2.066862>,
      < -5.455211, 1.162770, 2.082854>
    }
    triangle {
      < -5.564239, 1.201274, 2.121365>,
      < -5.540881, 1.201243, 2.070754>,
      < -5.540860, 1.165475, 2.085606>
    }
    triangle {
      < -4.213335, 1.202046, 2.090220>,
      < -4.213348, 1.224075, 2.099319>,
      < -4.174404, 1.202098, 2.121365>
    }
    triangle {
      < -4.283411, 1.201985, 2.066862>,
      < -4.283434, 1.240532, 2.082785>,
      < -4.213348, 1.224075, 2.099319>
    }
    triangle {
      < -4.283411, 1.201985, 2.066862>,
      < -4.213348, 1.224075, 2.099319>,
      < -4.213335, 1.202046, 2.090220>
    }
    triangle {
      < -5.455233, 1.201290, 2.066862>,
      < -5.455256, 1.239838, 2.082785>,
      < -4.283434, 1.240532, 2.082785>
    }
    triangle {
      < -5.455233, 1.201290, 2.066862>,
      < -4.283434, 1.240532, 2.082785>,
      < -4.283411, 1.201985, 2.066862>
    }
    triangle {
      < -5.540881, 1.201243, 2.070754>,
      < -5.540902, 1.237038, 2.085541>,
      < -5.455256, 1.239838, 2.082785>
    }
    triangle {
      < -5.540881, 1.201243, 2.070754>,
      < -5.455256, 1.239838, 2.082785>,
      < -5.455233, 1.201290, 2.066862>
    }
    triangle {
      < -5.564239, 1.201274, 2.121365>,
      < -5.540902, 1.237038, 2.085541>,
      < -5.540881, 1.201243, 2.070754>
    }
    triangle {
      < -4.213348, 1.224075, 2.099319>,
      < -4.213354, 1.233220, 2.121329>,
      < -4.174404, 1.202098, 2.121365>
    }
    triangle {
      < -4.283434, 1.240532, 2.082785>,
      < -4.283443, 1.256536, 2.121301>,
      < -4.213354, 1.233220, 2.121329>
    }
    triangle {
      < -4.283434, 1.240532, 2.082785>,
      < -4.213354, 1.233220, 2.121329>,
      < -4.213348, 1.224075, 2.099319>
    }
    triangle {
      < -5.455256, 1.239838, 2.082785>,
      < -5.455266, 1.255842, 2.121301>,
      < -4.283443, 1.256536, 2.121301>
    }
    triangle {
      < -5.455256, 1.239838, 2.082785>,
      < -4.283443, 1.256536, 2.121301>,
      < -4.283434, 1.240532, 2.082785>
    }
    triangle {
      < -5.540902, 1.237038, 2.085541>,
      < -5.540911, 1.251898, 2.121304>,
      < -5.455266, 1.255842, 2.121301>
    }
    triangle {
      < -5.540902, 1.237038, 2.085541>,
      < -5.455266, 1.255842, 2.121301>,
      < -5.455256, 1.239838, 2.082785>
    }
    triangle {
      < -5.564239, 1.201274, 2.121365>,
      < -5.540911, 1.251898, 2.121304>,
      < -5.540902, 1.237038, 2.085541>
    }
    triangle {
      < -4.213354, 1.233220, 2.121329>,
      < -4.213348, 1.224127, 2.143358>,
      < -4.174404, 1.202098, 2.121365>
    }
    triangle {
      < -4.283443, 1.256536, 2.121301>,
      < -4.283434, 1.240624, 2.159853>,
      < -4.213348, 1.224127, 2.143358>
    }
    triangle {
      < -4.283443, 1.256536, 2.121301>,
      < -4.213348, 1.224127, 2.143358>,
      < -4.213354, 1.233220, 2.121329>
    }
    triangle {
      < -5.455266, 1.255842, 2.121301>,
      < -5.455256, 1.239929, 2.159853>,
      < -4.283434, 1.240624, 2.159853>
    }
    triangle {
      < -5.455266, 1.255842, 2.121301>,
      < -4.283434, 1.240624, 2.159853>,
      < -4.283443, 1.256536, 2.121301>
    }
    triangle {
      < -5.540911, 1.251898, 2.121304>,
      < -5.540902, 1.237122, 2.157104>,
      < -5.455256, 1.239929, 2.159853>
    }
    triangle {
      < -5.540911, 1.251898, 2.121304>,
      < -5.455256, 1.239929, 2.159853>,
      < -5.455266, 1.255842, 2.121301>
    }
    triangle {
      < -5.564239, 1.201274, 2.121365>,
      < -5.540902, 1.237122, 2.157104>,
      < -5.540911, 1.251898, 2.121304>
    }
    triangle {
      < -4.213348, 1.224127, 2.143358>,
      < -4.213335, 1.202084, 2.152509>,
      < -4.174404, 1.202098, 2.121365>
    }
    triangle {
      < -4.283434, 1.240624, 2.159853>,
      < -4.283411, 1.202049, 2.175868>,
      < -4.213335, 1.202084, 2.152509>
    }
    triangle {
      < -4.283434, 1.240624, 2.159853>,
      < -4.213335, 1.202084, 2.152509>,
      < -4.213348, 1.224127, 2.143358>
    }
    triangle {
      < -5.455256, 1.239929, 2.159853>,
      < -5.455233, 1.201355, 2.175868>,
      < -4.283411, 1.202049, 2.175868>
    }
    triangle {
      < -5.455256, 1.239929, 2.159853>,
      < -4.283411, 1.202049, 2.175868>,
      < -4.283434, 1.240624, 2.159853>
    }
    triangle {
      < -5.540902, 1.237122, 2.157104>,
      < -5.540881, 1.201303, 2.171975>,
      < -5.455233, 1.201355, 2.175868>
    }
    triangle {
      < -5.540902, 1.237122, 2.157104>,
      < -5.455233, 1.201355, 2.175868>,
      < -5.455256, 1.239929, 2.159853>
    }
    triangle {
      < -5.564239, 1.201274, 2.121365>,
      < -5.540881, 1.201303, 2.171975>,
      < -5.540902, 1.237122, 2.157104>
    }
    texture {rudder}
  }
  // fuselage
  union {
    triangle {
      < 1.198339, 0.243963, 0.261473>,
      < 1.201251, 0.000994, 0.297109>,
      < 1.491516, 0.001214, 0.350689>
    }
    triangle {
      < 1.198339, 0.243963, 0.261473>,
      < 1.491516, 0.001214, 0.350689>,
      < 1.481581, 0.228733, 0.305164>
    }
    triangle {
      < 1.771862, 0.250878, 0.340451>,
      < 1.481581, 0.228733, 0.305164>,
      < 1.491516, 0.001214, 0.350689>
    }
    triangle {
      < 1.771862, 0.250878, 0.340451>,
      < 1.491516, 0.001214, 0.350689>,
      < 1.762473, 0.001420, 0.403259>
    }
    triangle {
      < 2.024386, 0.279154, 0.382606>,
      < 1.771862, 0.250878, 0.340451>,
      < 1.762473, 0.001420, 0.403259>
    }
    triangle {
      < 2.024386, 0.279154, 0.382606>,
      < 1.762473, 0.001420, 0.403259>,
      < 2.016242, 0.001616, 0.454408>
    }
    triangle {
      < 1.481581, 0.228733, 0.305164>,
      < 1.471679, 0.374014, 0.159908>,
      < 1.196140, 0.363068, 0.142999>
    }
    triangle {
      < 1.481581, 0.228733, 0.305164>,
      < 1.196140, 0.363068, 0.142999>,
      < 1.198339, 0.243963, 0.261473>
    }
    triangle {
      < 1.751961, 0.249231, 0.337493>,
      < 1.745796, 0.386451, 0.193264>,
      < 1.471679, 0.374014, 0.159908>
    }
    triangle {
      < 1.751961, 0.249231, 0.337493>,
      < 1.471679, 0.374014, 0.159908>,
      < 1.481581, 0.228733, 0.305164>
    }
    triangle {
      < 2.024386, 0.279154, 0.382606>,
      < 2.016338, 0.426499, 0.159213>,
      < 1.745796, 0.386451, 0.193264>
    }
    triangle {
      < 2.024386, 0.279154, 0.382606>,
      < 1.745796, 0.386451, 0.193264>,
      < 1.751961, 0.249231, 0.337493>
    }
    triangle {
      < 2.257002, 0.392137, 0.272339>,
      < 2.267797, 0.467526, 0.055106>,
      < 2.016338, 0.426499, 0.159213>
    }
    triangle {
      < 2.257002, 0.392137, 0.272339>,
      < 2.016338, 0.426499, 0.159213>,
      < 2.024386, 0.279154, 0.382606>
    }
    triangle {
      < 2.529116, 0.435382, 0.226245>,
      < 2.540446, 0.494354, 0.020243>,
      < 2.267797, 0.467526, 0.055106>
    }
    triangle {
      < 2.529116, 0.435382, 0.226245>,
      < 2.267797, 0.467526, 0.055106>,
      < 2.257002, 0.392137, 0.272339>
    }
    triangle {
      < 2.807019, 0.453108, 0.197385>,
      < 2.815136, 0.505896, -0.006291>,
      < 2.540446, 0.494354, 0.020243>
    }
    triangle {
      < 2.807019, 0.453108, 0.197385>,
      < 2.540446, 0.494354, 0.020243>,
      < 2.529116, 0.435382, 0.226245>
    }
    triangle {
      < 3.086323, 0.462472, 0.176988>,
      < 3.090362, 0.511096, -0.030228>,
      < 2.815136, 0.505896, -0.006291>
    }
    triangle {
      < 3.086323, 0.462472, 0.176988>,
      < 2.815136, 0.505896, -0.006291>,
      < 2.807019, 0.453108, 0.197385>
    }
    triangle {
      < 3.365745, 0.467026, 0.168550>,
      < 3.365813, 0.511418, -0.050403>,
      < 3.090362, 0.511096, -0.030228>
    }
    triangle {
      < 3.365745, 0.467026, 0.168550>,
      < 3.090362, 0.511096, -0.030228>,
      < 3.086323, 0.462472, 0.176988>
    }
    triangle {
      < 3.643949, 0.470506, 0.140631>,
      < 3.639787, 0.511151, -0.085703>,
      < 3.365813, 0.511418, -0.050403>
    }
    triangle {
      < 3.643949, 0.470506, 0.140631>,
      < 3.365813, 0.511418, -0.050403>,
      < 3.365745, 0.467026, 0.168550>
    }
    triangle {
      < 3.922013, 0.475394, 0.105946>,
      < 3.913719, 0.509988, -0.121794>,
      < 3.639787, 0.511151, -0.085703>
    }
    triangle {
      < 3.922013, 0.475394, 0.105946>,
      < 3.639787, 0.511151, -0.085703>,
      < 3.643949, 0.470506, 0.140631>
    }
    triangle {
      < 4.200414, 0.471202, 0.076922>,
      < 4.188530, 0.503119, -0.149051>,
      < 3.913719, 0.509988, -0.121794>
    }
    triangle {
      < 4.200414, 0.471202, 0.076922>,
      < 3.913719, 0.509988, -0.121794>,
      < 3.922013, 0.475394, 0.105946>
    }
    triangle {
      < 4.478800, 0.463455, 0.053088>,
      < 4.464262, 0.492663, -0.153684>,
      < 4.188530, 0.503119, -0.149051>
    }
    triangle {
      < 4.478800, 0.463455, 0.053088>,
      < 4.188530, 0.503119, -0.149051>,
      < 4.200414, 0.471202, 0.076922>
    }
    triangle {
      < 4.758167, 0.445590, 0.039906>,
      < 4.739192, 0.481498, -0.178913>,
      < 4.464262, 0.492663, -0.153684>
    }
    triangle {
      < 4.758167, 0.445590, 0.039906>,
      < 4.464262, 0.492663, -0.153684>,
      < 4.478800, 0.463455, 0.053088>
    }
    triangle {
      < 5.037039, 0.422140, 0.026680>,
      < 5.015838, 0.475323, -0.186381>,
      < 4.739192, 0.481498, -0.178913>
    }
    triangle {
      < 5.037039, 0.422140, 0.026680>,
      < 4.739192, 0.481498, -0.178913>,
      < 4.758167, 0.445590, 0.039906>
    }
    triangle {
      < 5.261581, 0.311004, 0.126252>,
      < 5.277090, 0.438301, -0.113385>,
      < 5.015838, 0.475323, -0.186381>
    }
    triangle {
      < 5.261581, 0.311004, 0.126252>,
      < 5.015838, 0.475323, -0.186381>,
      < 5.037039, 0.422140, 0.026680>
    }
    triangle {
      < 5.479286, 0.204376, 0.151285>,
      < 5.515337, 0.365897, -0.000937>,
      < 5.277090, 0.438301, -0.113385>
    }
    triangle {
      < 5.479286, 0.204376, 0.151285>,
      < 5.277090, 0.438301, -0.113385>,
      < 5.261581, 0.311004, 0.126252>
    }
    triangle {
      < 5.771106, 0.171185, 0.095576>,
      < 5.785850, 0.311185, -0.020058>,
      < 5.515337, 0.365897, -0.000937>
    }
    triangle {
      < 5.771106, 0.171185, 0.095576>,
      < 5.515337, 0.365897, -0.000937>,
      < 5.479286, 0.204376, 0.151285>
    }
    triangle {
      < 6.043525, 0.143062, 0.037786>,
      < 6.055883, 0.267967, -0.058155>,
      < 5.785850, 0.311185, -0.020058>
    }
    triangle {
      < 6.043525, 0.143062, 0.037786>,
      < 5.785850, 0.311185, -0.020058>,
      < 5.771106, 0.171185, 0.095576>
    }
    triangle {
      < 6.314840, 0.116139, -0.026543>,
      < 6.324892, 0.236518, -0.112995>,
      < 6.055883, 0.267967, -0.058155>
    }
    triangle {
      < 6.314840, 0.116139, -0.026543>,
      < 6.055883, 0.267967, -0.058155>,
      < 6.043525, 0.143062, 0.037786>
    }
    triangle {
      < 6.586153, 0.089218, -0.090885>,
      < 6.593898, 0.205081, -0.167855>,
      < 6.324892, 0.236518, -0.112995>
    }
    triangle {
      < 6.586153, 0.089218, -0.090885>,
      < 6.324892, 0.236518, -0.112995>,
      < 6.314840, 0.116139, -0.026543>
    }
    triangle {
      < 6.770559, 0.065696, -0.167385>,
      < 6.770498, 0.168644, -0.230562>,
      < 6.593898, 0.205081, -0.167855>
    }
    triangle {
      < 6.770559, 0.065696, -0.167385>,
      < 6.593898, 0.205081, -0.167855>,
      < 6.586153, 0.089218, -0.090885>
    }
    triangle {
      < 7.116776, 0.047954, -0.263921>,
      < 7.121902, 0.123094, -0.307895>,
      < 6.770498, 0.168644, -0.230562>
    }
    triangle {
      < 7.116776, 0.047954, -0.263921>,
      < 6.770498, 0.168644, -0.230562>,
      < 6.770559, 0.065696, -0.167385>
    }
    triangle {
      < 7.371684, 0.022324, -0.373781>,
      < 7.374551, 0.064885, -0.398374>,
      < 7.121902, 0.123094, -0.307895>
    }
    triangle {
      < 7.371684, 0.022324, -0.373781>,
      < 7.121902, 0.123094, -0.307895>,
      < 7.116776, 0.047954, -0.263921>
    }
    triangle {
      < 7.649260, 0.004225, -0.520518>,
      < 7.374551, 0.064885, -0.398374>,
      < 7.371684, 0.022324, -0.373781>
    }
    triangle {
      < 1.471679, 0.374014, 0.159908>,
      < 1.475675, 0.439473, -0.012157>,
      < 1.207264, 0.418914, 0.033963>
    }
    triangle {
      < 1.471679, 0.374014, 0.159908>,
      < 1.207264, 0.418914, 0.033963>,
      < 1.196140, 0.363068, 0.142999>
    }
    triangle {
      < 1.745796, 0.386451, 0.193264>,
      < 1.743944, 0.460029, -0.059098>,
      < 1.475675, 0.439473, -0.012157>
    }
    triangle {
      < 1.745796, 0.386451, 0.193264>,
      < 1.475675, 0.439473, -0.012157>,
      < 1.471679, 0.374014, 0.159908>
    }
    triangle {
      < 2.016338, 0.426499, 0.159213>,
      < 2.011100, 0.480500, -0.112020>,
      < 1.743944, 0.460029, -0.059098>
    }
    triangle {
      < 2.016338, 0.426499, 0.159213>,
      < 1.743944, 0.460029, -0.059098>,
      < 1.745796, 0.386451, 0.193264>
    }
    triangle {
      < 2.267797, 0.467526, 0.055106>,
      < 2.277497, 0.491765, -0.169951>,
      < 2.011100, 0.480500, -0.112020>
    }
    triangle {
      < 2.267797, 0.467526, 0.055106>,
      < 2.011100, 0.480500, -0.112020>,
      < 2.016338, 0.426499, 0.159213>
    }
    triangle {
      < 2.540446, 0.494354, 0.020243>,
      < 2.545206, 0.501288, -0.223224>,
      < 2.277497, 0.491765, -0.169951>
    }
    triangle {
      < 2.540446, 0.494354, 0.020243>,
      < 2.277497, 0.491765, -0.169951>,
      < 2.267797, 0.467526, 0.055106>
    }
    triangle {
      < 2.815136, 0.505896, -0.006291>,
      < 2.815604, 0.503287, -0.259024>,
      < 2.545206, 0.501288, -0.223224>
    }
    triangle {
      < 2.815136, 0.505896, -0.006291>,
      < 2.545206, 0.501288, -0.223224>,
      < 2.540446, 0.494354, 0.020243>
    }
    triangle {
      < 3.090362, 0.511096, -0.030228>,
      < 3.088069, 0.500635, -0.279719>,
      < 2.815604, 0.503287, -0.259024>
    }
    triangle {
      < 3.090362, 0.511096, -0.030228>,
      < 2.815604, 0.503287, -0.259024>,
      < 2.815136, 0.505896, -0.006291>
    }
    triangle {
      < 3.365813, 0.511418, -0.050403>,
      < 3.360431, 0.493427, -0.289843>,
      < 3.088069, 0.500635, -0.279719>
    }
    triangle {
      < 3.365813, 0.511418, -0.050403>,
      < 3.088069, 0.500635, -0.279719>,
      < 3.090362, 0.511096, -0.030228>
    }
    triangle {
      < 3.639787, 0.511151, -0.085703>,
      < 3.631701, 0.487235, -0.318527>,
      < 3.360431, 0.493427, -0.289843>
    }
    triangle {
      < 3.639787, 0.511151, -0.085703>,
      < 3.360431, 0.493427, -0.289843>,
      < 3.365813, 0.511418, -0.050403>
    }
    triangle {
      < 3.913719, 0.509988, -0.121794>,
      < 3.902919, 0.480340, -0.351330>,
      < 3.631701, 0.487235, -0.318527>
    }
    triangle {
      < 3.913719, 0.509988, -0.121794>,
      < 3.631701, 0.487235, -0.318527>,
      < 3.639787, 0.511151, -0.085703>
    }
    triangle {
      < 4.188530, 0.503119, -0.149051>,
      < 4.174546, 0.467258, -0.373662>,
      < 3.902919, 0.480340, -0.351330>
    }
    triangle {
      < 4.188530, 0.503119, -0.149051>,
      < 3.902919, 0.480340, -0.351330>,
      < 3.913719, 0.509988, -0.121794>
    }
    triangle {
      < 4.464262, 0.492663, -0.153684>,
      < 4.447010, 0.455553, -0.374462>,
      < 4.174546, 0.467258, -0.373662>
    }
    triangle {
      < 4.464262, 0.492663, -0.153684>,
      < 4.174546, 0.467258, -0.373662>,
      < 4.188530, 0.503119, -0.149051>
    }
    triangle {
      < 4.739192, 0.481498, -0.178913>,
      < 4.720108, 0.453559, -0.373652>,
      < 4.447010, 0.455553, -0.374462>
    }
    triangle {
      < 4.739192, 0.481498, -0.178913>,
      < 4.447010, 0.455553, -0.374462>,
      < 4.464262, 0.492663, -0.153684>
    }
    triangle {
      < 5.015838, 0.475323, -0.186381>,
      < 4.993431, 0.455972, -0.377799>,
      < 4.720108, 0.453559, -0.373652>
    }
    triangle {
      < 5.015838, 0.475323, -0.186381>,
      < 4.720108, 0.453559, -0.373652>,
      < 4.739192, 0.481498, -0.178913>
    }
    triangle {
      < 5.277090, 0.438301, -0.113385>,
      < 5.253285, 0.451182, -0.305425>,
      < 4.993431, 0.455972, -0.377799>
    }
    triangle {
      < 5.277090, 0.438301, -0.113385>,
      < 4.993431, 0.455972, -0.377799>,
      < 5.015838, 0.475323, -0.186381>
    }
    triangle {
      < 5.515337, 0.365897, -0.000937>,
      < 5.518673, 0.431592, -0.244227>,
      < 5.253285, 0.451182, -0.305425>
    }
    triangle {
      < 5.515337, 0.365897, -0.000937>,
      < 5.253285, 0.451182, -0.305425>,
      < 5.277090, 0.438301, -0.113385>
    }
    triangle {
      < 5.785850, 0.311185, -0.020058>,
      < 5.788766, 0.403739, -0.210866>,
      < 5.518673, 0.431592, -0.244227>
    }
    triangle {
      < 5.785850, 0.311185, -0.020058>,
      < 5.518673, 0.431592, -0.244227>,
      < 5.515337, 0.365897, -0.000937>
    }
    triangle {
      < 6.055883, 0.267967, -0.058155>,
      < 6.057230, 0.371015, -0.212688>,
      < 5.788766, 0.403739, -0.210866>
    }
    triangle {
      < 6.055883, 0.267967, -0.058155>,
      < 5.788766, 0.403739, -0.210866>,
      < 5.785850, 0.311185, -0.020058>
    }
    triangle {
      < 6.324892, 0.236518, -0.112995>,
      < 6.323297, 0.331984, -0.261674>,
      < 6.057230, 0.371015, -0.212688>
    }
    triangle {
      < 6.324892, 0.236518, -0.112995>,
      < 6.057230, 0.371015, -0.212688>,
      < 6.055883, 0.267967, -0.058155>
    }
    triangle {
      < 6.593898, 0.205081, -0.167855>,
      < 6.589358, 0.292942, -0.310736>,
      < 6.323297, 0.331984, -0.261674>
    }
    triangle {
      < 6.593898, 0.205081, -0.167855>,
      < 6.323297, 0.331984, -0.261674>,
      < 6.324892, 0.236518, -0.112995>
    }
    triangle {
      < 6.770498, 0.168644, -0.230562>,
      < 6.770453, 0.243598, -0.357254>,
      < 6.589358, 0.292942, -0.310736>
    }
    triangle {
      < 6.770498, 0.168644, -0.230562>,
      < 6.589358, 0.292942, -0.310736>,
      < 6.593898, 0.205081, -0.167855>
    }
    triangle {
      < 7.121902, 0.123094, -0.307895>,
      < 7.115184, 0.175561, -0.399116>,
      < 6.770453, 0.243598, -0.357254>
    }
    triangle {
      < 7.121902, 0.123094, -0.307895>,
      < 6.770453, 0.243598, -0.357254>,
      < 6.770498, 0.168644, -0.230562>
    }
    triangle {
      < 7.374551, 0.064885, -0.398374>,
      < 7.369051, 0.093043, -0.449913>,
      < 7.115184, 0.175561, -0.399116>
    }
    triangle {
      < 7.374551, 0.064885, -0.398374>,
      < 7.115184, 0.175561, -0.399116>,
      < 7.121902, 0.123094, -0.307895>
    }
    triangle {
      < 7.649260, 0.004225, -0.520518>,
      < 7.369051, 0.093043, -0.449913>,
      < 7.374551, 0.064885, -0.398374>
    }
    triangle {
      < 3.088069, 0.500635, -0.279719>,
      < 3.046471, 0.434435, -0.531076>,
      < 2.772436, 0.445257, -0.518754>
    }
    triangle {
      < 3.088069, 0.500635, -0.279719>,
      < 2.772436, 0.445257, -0.518754>,
      < 2.815604, 0.503287, -0.259024>
    }
    triangle {
      < 3.360431, 0.493427, -0.289843>,
      < 3.320114, 0.423438, -0.540538>,
      < 3.046471, 0.434435, -0.531076>
    }
    triangle {
      < 3.360431, 0.493427, -0.289843>,
      < 3.046471, 0.434435, -0.531076>,
      < 3.088069, 0.500635, -0.279719>
    }
    triangle {
      < 3.631701, 0.487235, -0.318527>,
      < 3.612123, 0.410504, -0.529010>,
      < 3.320114, 0.423438, -0.540538>
    }
    triangle {
      < 3.631701, 0.487235, -0.318527>,
      < 3.320114, 0.423438, -0.540538>,
      < 3.360431, 0.493427, -0.289843>
    }
    triangle {
      < 3.902919, 0.480340, -0.351330>,
      < 3.868229, 0.412185, -0.536226>,
      < 3.612123, 0.410504, -0.529010>
    }
    triangle {
      < 3.902919, 0.480340, -0.351330>,
      < 3.612123, 0.410504, -0.529010>,
      < 3.631701, 0.487235, -0.318527>
    }
    triangle {
      < 4.174546, 0.467258, -0.373662>,
      < 4.116097, 0.404798, -0.531111>,
      < 3.868229, 0.412185, -0.536226>
    }
    triangle {
      < 4.174546, 0.467258, -0.373662>,
      < 3.868229, 0.412185, -0.536226>,
      < 3.902919, 0.480340, -0.351330>
    }
    triangle {
      < 4.447010, 0.455553, -0.374462>,
      < 4.390909, 0.407078, -0.514066>,
      < 4.116097, 0.404798, -0.531111>
    }
    triangle {
      < 4.447010, 0.455553, -0.374462>,
      < 4.116097, 0.404798, -0.531111>,
      < 4.174546, 0.467258, -0.373662>
    }
    triangle {
      < 4.720108, 0.453559, -0.373652>,
      < 4.664285, 0.410997, -0.509336>,
      < 4.390909, 0.407078, -0.514066>
    }
    triangle {
      < 4.720108, 0.453559, -0.373652>,
      < 4.390909, 0.407078, -0.514066>,
      < 4.447010, 0.455553, -0.374462>
    }
    triangle {
      < 4.993431, 0.455972, -0.377799>,
      < 4.938007, 0.424688, -0.493235>,
      < 4.664285, 0.410997, -0.509336>
    }
    triangle {
      < 4.993431, 0.455972, -0.377799>,
      < 4.664285, 0.410997, -0.509336>,
      < 4.720108, 0.453559, -0.373652>
    }
    triangle {
      < 5.253285, 0.451182, -0.305425>,
      < 5.209997, 0.432654, -0.461041>,
      < 4.938007, 0.424688, -0.493235>
    }
    triangle {
      < 5.253285, 0.451182, -0.305425>,
      < 4.938007, 0.424688, -0.493235>,
      < 4.993431, 0.455972, -0.377799>
    }
    triangle {
      < 5.518673, 0.431592, -0.244227>,
      < 5.481122, 0.427012, -0.427239>,
      < 5.209997, 0.432654, -0.461041>
    }
    triangle {
      < 5.518673, 0.431592, -0.244227>,
      < 5.209997, 0.432654, -0.461041>,
      < 5.253285, 0.451182, -0.305425>
    }
    triangle {
      < 5.788766, 0.403739, -0.210866>,
      < 5.754146, 0.411564, -0.406742>,
      < 5.481122, 0.427012, -0.427239>
    }
    triangle {
      < 5.788766, 0.403739, -0.210866>,
      < 5.481122, 0.427012, -0.427239>,
      < 5.518673, 0.431592, -0.244227>
    }
    triangle {
      < 6.057230, 0.371015, -0.212688>,
      < 6.026528, 0.385048, -0.403608>,
      < 5.754146, 0.411564, -0.406742>
    }
    triangle {
      < 6.057230, 0.371015, -0.212688>,
      < 5.754146, 0.411564, -0.406742>,
      < 5.788766, 0.403739, -0.210866>
    }
    triangle {
      < 6.323297, 0.331984, -0.261674>,
      < 6.296460, 0.343454, -0.430806>,
      < 6.026528, 0.385048, -0.403608>
    }
    triangle {
      < 6.323297, 0.331984, -0.261674>,
      < 6.026528, 0.385048, -0.403608>,
      < 6.057230, 0.371015, -0.212688>
    }
    triangle {
      < 6.589358, 0.292942, -0.310736>,
      < 6.566384, 0.301803, -0.458117>,
      < 6.296460, 0.343454, -0.430806>
    }
    triangle {
      < 6.589358, 0.292942, -0.310736>,
      < 6.296460, 0.343454, -0.430806>,
      < 6.323297, 0.331984, -0.261674>
    }
    triangle {
      < 6.770453, 0.243598, -0.357254>,
      < 6.770447, 0.253623, -0.481034>,
      < 6.566384, 0.301803, -0.458117>
    }
    triangle {
      < 6.770453, 0.243598, -0.357254>,
      < 6.566384, 0.301803, -0.458117>,
      < 6.589358, 0.292942, -0.310736>
    }
    triangle {
      < 7.115184, 0.175561, -0.399116>,
      < 7.100350, 0.182466, -0.488340>,
      < 6.770447, 0.253623, -0.481034>
    }
    triangle {
      < 7.115184, 0.175561, -0.399116>,
      < 6.770447, 0.253623, -0.481034>,
      < 6.770453, 0.243598, -0.357254>
    }
    triangle {
      < 7.369051, 0.093043, -0.449913>,
      < 7.360462, 0.098951, -0.499426>,
      < 7.100350, 0.182466, -0.488340>
    }
    triangle {
      < 7.369051, 0.093043, -0.449913>,
      < 7.100350, 0.182466, -0.488340>,
      < 7.115184, 0.175561, -0.399116>
    }
    triangle {
      < 7.649260, 0.004225, -0.520518>,
      < 7.360462, 0.098951, -0.499426>,
      < 7.369051, 0.093043, -0.449913>
    }
    triangle {
      < 1.451620, 0.350457, -0.719402>,
      < 1.450825, 0.311862, -0.781969>,
      < 1.183668, 0.298872, -0.819809>
    }
    triangle {
      < 1.451620, 0.350457, -0.719402>,
      < 1.183668, 0.298872, -0.819809>,
      < 1.190363, 0.308380, -0.791965>
    }
    triangle {
      < 1.710583, 0.388570, -0.637198>,
      < 1.719227, 0.331030, -0.760814>,
      < 1.450825, 0.311862, -0.781969>
    }
    triangle {
      < 1.710583, 0.388570, -0.637198>,
      < 1.450825, 0.311862, -0.781969>,
      < 1.451620, 0.350457, -0.719402>
    }
    triangle {
      < 1.963903, 0.426099, -0.539467>,
      < 1.988689, 0.343862, -0.747118>,
      < 1.719227, 0.331030, -0.760814>
    }
    triangle {
      < 1.963903, 0.426099, -0.539467>,
      < 1.719227, 0.331030, -0.760814>,
      < 1.710583, 0.388570, -0.637198>
    }
    triangle {
      < 2.225539, 0.446824, -0.488610>,
      < 2.256986, 0.353113, -0.729867>,
      < 1.988689, 0.343862, -0.747118>
    }
    triangle {
      < 2.225539, 0.446824, -0.488610>,
      < 1.988689, 0.343862, -0.747118>,
      < 1.963903, 0.426099, -0.539467>
    }
    triangle {
      < 2.498800, 0.451602, -0.497808>,
      < 2.525537, 0.360276, -0.708921>,
      < 2.256986, 0.353113, -0.729867>
    }
    triangle {
      < 2.498800, 0.451602, -0.497808>,
      < 2.256986, 0.353113, -0.729867>,
      < 2.225539, 0.446824, -0.488610>
    }
    triangle {
      < 2.772436, 0.445257, -0.518754>,
      < 2.795599, 0.354455, -0.703673>,
      < 2.525537, 0.360276, -0.708921>
    }
    triangle {
      < 2.772436, 0.445257, -0.518754>,
      < 2.525537, 0.360276, -0.708921>,
      < 2.498800, 0.451602, -0.497808>
    }
    triangle {
      < 3.046471, 0.434435, -0.531076>,
      < 3.065454, 0.342082, -0.700419>,
      < 2.795599, 0.354455, -0.703673>
    }
    triangle {
      < 3.046471, 0.434435, -0.531076>,
      < 2.795599, 0.354455, -0.703673>,
      < 2.772436, 0.445257, -0.518754>
    }
    triangle {
      < 3.320114, 0.423438, -0.540538>,
      < 3.335166, 0.334296, -0.695366>,
      < 3.065454, 0.342082, -0.700419>
    }
    triangle {
      < 3.320114, 0.423438, -0.540538>,
      < 3.065454, 0.342082, -0.700419>,
      < 3.046471, 0.434435, -0.531076>
    }
    triangle {
      < 3.612123, 0.410504, -0.529010>,
      < 3.604730, 0.333408, -0.690735>,
      < 3.335166, 0.334296, -0.695366>
    }
    triangle {
      < 3.612123, 0.410504, -0.529010>,
      < 3.335166, 0.334296, -0.695366>,
      < 3.320114, 0.423438, -0.540538>
    }
    triangle {
      < 3.868229, 0.412185, -0.536226>,
      < 3.874663, 0.321917, -0.691436>,
      < 3.604730, 0.333408, -0.690735>
    }
    triangle {
      < 3.868229, 0.412185, -0.536226>,
      < 3.604730, 0.333408, -0.690735>,
      < 3.612123, 0.410504, -0.529010>
    }
    triangle {
      < 4.116097, 0.404798, -0.531111>,
      < 4.144661, 0.322266, -0.685143>,
      < 3.874663, 0.321917, -0.691436>
    }
    triangle {
      < 4.116097, 0.404798, -0.531111>,
      < 3.874663, 0.321917, -0.691436>,
      < 3.868229, 0.412185, -0.536226>
    }
    triangle {
      < 4.390909, 0.407078, -0.514066>,
      < 4.413633, 0.325293, -0.660600>,
      < 4.144661, 0.322266, -0.685143>
    }
    triangle {
      < 4.390909, 0.407078, -0.514066>,
      < 4.144661, 0.322266, -0.685143>,
      < 4.116097, 0.404798, -0.531111>
    }
    triangle {
      < 4.664285, 0.410997, -0.509336>,
      < 4.682949, 0.326558, -0.661387>,
      < 4.413633, 0.325293, -0.660600>
    }
    triangle {
      < 4.664285, 0.410997, -0.509336>,
      < 4.413633, 0.325293, -0.660600>,
      < 4.390909, 0.407078, -0.514066>
    }
    triangle {
      < 4.938007, 0.424688, -0.493235>,
      < 4.953202, 0.328398, -0.658127>,
      < 4.682949, 0.326558, -0.661387>
    }
    triangle {
      < 4.938007, 0.424688, -0.493235>,
      < 4.682949, 0.326558, -0.661387>,
      < 4.664285, 0.410997, -0.509336>
    }
    triangle {
      < 5.209997, 0.432654, -0.461041>,
      < 5.221509, 0.323173, -0.677744>,
      < 4.953202, 0.328398, -0.658127>
    }
    triangle {
      < 5.209997, 0.432654, -0.461041>,
      < 4.953202, 0.328398, -0.658127>,
      < 4.938007, 0.424688, -0.493235>
    }
    triangle {
      < 5.481122, 0.427012, -0.427239>,
      < 5.491029, 0.315858, -0.662395>,
      < 5.221509, 0.323173, -0.677744>
    }
    triangle {
      < 5.481122, 0.427012, -0.427239>,
      < 5.221509, 0.323173, -0.677744>,
      < 5.209997, 0.432654, -0.461041>
    }
    triangle {
      < 5.754146, 0.411564, -0.406742>,
      < 5.760621, 0.309697, -0.646271>,
      < 5.491029, 0.315858, -0.662395>
    }
    triangle {
      < 5.754146, 0.411564, -0.406742>,
      < 5.491029, 0.315858, -0.662395>,
      < 5.481122, 0.427012, -0.427239>
    }
    triangle {
      < 6.026528, 0.385048, -0.403608>,
      < 6.029724, 0.294610, -0.636694>,
      < 5.760621, 0.309697, -0.646271>
    }
    triangle {
      < 6.026528, 0.385048, -0.403608>,
      < 5.760621, 0.309697, -0.646271>,
      < 5.754146, 0.411564, -0.406742>
    }
    triangle {
      < 6.296460, 0.343454, -0.430806>,
      < 6.297848, 0.261605, -0.640119>,
      < 6.029724, 0.294610, -0.636694>
    }
    triangle {
      < 6.296460, 0.343454, -0.430806>,
      < 6.029724, 0.294610, -0.636694>,
      < 6.026528, 0.385048, -0.403608>
    }
    triangle {
      < 6.566384, 0.301803, -0.458117>,
      < 6.565969, 0.228542, -0.643586>,
      < 6.297848, 0.261605, -0.640119>
    }
    triangle {
      < 6.566384, 0.301803, -0.458117>,
      < 6.297848, 0.261605, -0.640119>,
      < 6.296460, 0.343454, -0.430806>
    }
    triangle {
      < 6.770447, 0.253623, -0.481034>,
      < 6.770486, 0.188460, -0.638863>,
      < 6.565969, 0.228542, -0.643586>
    }
    triangle {
      < 6.770447, 0.253623, -0.481034>,
      < 6.565969, 0.228542, -0.643586>,
      < 6.566384, 0.301803, -0.458117>
    }
    triangle {
      < 7.100350, 0.182466, -0.488340>,
      < 7.094471, 0.128469, -0.610704>,
      < 6.770486, 0.188460, -0.638863>
    }
    triangle {
      < 7.100350, 0.182466, -0.488340>,
      < 6.770486, 0.188460, -0.638863>,
      < 6.770447, 0.253623, -0.481034>
    }
    triangle {
      < 7.360462, 0.098951, -0.499426>,
      < 7.353906, 0.062480, -0.577469>,
      < 7.094471, 0.128469, -0.610704>
    }
    triangle {
      < 7.360462, 0.098951, -0.499426>,
      < 7.094471, 0.128469, -0.610704>,
      < 7.100350, 0.182466, -0.488340>
    }
    triangle {
      < 7.649260, 0.004225, -0.520518>,
      < 7.353906, 0.062480, -0.577469>,
      < 7.360462, 0.098951, -0.499426>
    }
    triangle {
      < 1.450825, 0.311862, -0.781969>,
      < 1.471330, 0.188934, -0.873344>,
      < 1.202917, 0.199658, -0.865038>
    }
    triangle {
      < 1.450825, 0.311862, -0.781969>,
      < 1.202917, 0.199658, -0.865038>,
      < 1.183668, 0.298872, -0.819809>
    }
    triangle {
      < 1.719227, 0.331030, -0.760814>,
      < 1.739915, 0.190057, -0.868901>,
      < 1.471330, 0.188934, -0.873344>
    }
    triangle {
      < 1.719227, 0.331030, -0.760814>,
      < 1.471330, 0.188934, -0.873344>,
      < 1.450825, 0.311862, -0.781969>
    }
    triangle {
      < 1.988689, 0.343862, -0.747118>,
      < 2.008174, 0.197846, -0.855523>,
      < 1.739915, 0.190057, -0.868901>
    }
    triangle {
      < 1.988689, 0.343862, -0.747118>,
      < 1.739915, 0.190057, -0.868901>,
      < 1.719227, 0.331030, -0.760814>
    }
    triangle {
      < 2.256986, 0.353113, -0.729867>,
      < 2.276315, 0.204973, -0.849076>,
      < 2.008174, 0.197846, -0.855523>
    }
    triangle {
      < 2.256986, 0.353113, -0.729867>,
      < 2.008174, 0.197846, -0.855523>,
      < 1.988689, 0.343862, -0.747118>
    }
    triangle {
      < 2.525537, 0.360276, -0.708921>,
      < 2.543920, 0.184819, -0.850753>,
      < 2.276315, 0.204973, -0.849076>
    }
    triangle {
      < 2.525537, 0.360276, -0.708921>,
      < 2.276315, 0.204973, -0.849076>,
      < 2.256986, 0.353113, -0.729867>
    }
    triangle {
      < 2.795599, 0.354455, -0.703673>,
      < 2.811984, 0.170903, -0.850322>,
      < 2.543920, 0.184819, -0.850753>
    }
    triangle {
      < 2.795599, 0.354455, -0.703673>,
      < 2.543920, 0.184819, -0.850753>,
      < 2.525537, 0.360276, -0.708921>
    }
    triangle {
      < 3.065454, 0.342082, -0.700419>,
      < 3.080625, 0.167868, -0.841362>,
      < 2.811984, 0.170903, -0.850322>
    }
    triangle {
      < 3.065454, 0.342082, -0.700419>,
      < 2.811984, 0.170903, -0.850322>,
      < 2.795599, 0.354455, -0.703673>
    }
    triangle {
      < 3.335166, 0.334296, -0.695366>,
      < 3.349054, 0.170538, -0.838378>,
      < 3.080625, 0.167868, -0.841362>
    }
    triangle {
      < 3.335166, 0.334296, -0.695366>,
      < 3.080625, 0.167868, -0.841362>,
      < 3.065454, 0.342082, -0.700419>
    }
    triangle {
      < 3.604730, 0.333408, -0.690735>,
      < 3.616170, 0.187987, -0.819195>,
      < 3.349054, 0.170538, -0.838378>
    }
    triangle {
      < 3.604730, 0.333408, -0.690735>,
      < 3.349054, 0.170538, -0.838378>,
      < 3.335166, 0.334296, -0.695366>
    }
    triangle {
      < 3.874663, 0.321917, -0.691436>,
      < 3.883242, 0.202956, -0.792753>,
      < 3.616170, 0.187987, -0.819195>
    }
    triangle {
      < 3.874663, 0.321917, -0.691436>,
      < 3.616170, 0.187987, -0.819195>,
      < 3.604730, 0.333408, -0.690735>
    }
    triangle {
      < 4.144661, 0.322266, -0.685143>,
      < 4.151753, 0.195163, -0.786414>,
      < 3.883242, 0.202956, -0.792753>
    }
    triangle {
      < 4.144661, 0.322266, -0.685143>,
      < 3.883242, 0.202956, -0.792753>,
      < 3.874663, 0.321917, -0.691436>
    }
    triangle {
      < 4.413633, 0.325293, -0.660600>,
      < 4.420224, 0.188190, -0.780088>,
      < 4.151753, 0.195163, -0.786414>
    }
    triangle {
      < 4.413633, 0.325293, -0.660600>,
      < 4.151753, 0.195163, -0.786414>,
      < 4.144661, 0.322266, -0.685143>
    }
    triangle {
      < 4.682949, 0.326558, -0.661387>,
      < 4.688565, 0.187660, -0.786137>,
      < 4.420224, 0.188190, -0.780088>
    }
    triangle {
      < 4.682949, 0.326558, -0.661387>,
      < 4.420224, 0.188190, -0.780088>,
      < 4.413633, 0.325293, -0.660600>
    }
    triangle {
      < 4.953202, 0.328398, -0.658127>,
      < 4.957150, 0.188875, -0.784127>,
      < 4.688565, 0.187660, -0.786137>
    }
    triangle {
      < 4.953202, 0.328398, -0.658127>,
      < 4.688565, 0.187660, -0.786137>,
      < 4.682949, 0.326558, -0.661387>
    }
    triangle {
      < 5.221509, 0.323173, -0.677744>,
      < 5.224185, 0.184755, -0.789676>,
      < 4.957150, 0.188875, -0.784127>
    }
    triangle {
      < 5.221509, 0.323173, -0.677744>,
      < 4.957150, 0.188875, -0.784127>,
      < 4.953202, 0.328398, -0.658127>
    }
    triangle {
      < 5.491029, 0.315858, -0.662395>,
      < 5.492767, 0.186665, -0.783038>,
      < 5.224185, 0.184755, -0.789676>
    }
    triangle {
      < 5.491029, 0.315858, -0.662395>,
      < 5.224185, 0.184755, -0.789676>,
      < 5.221509, 0.323173, -0.677744>
    }
    triangle {
      < 5.760621, 0.309697, -0.646271>,
      < 5.760886, 0.169005, -0.778864>,
      < 5.492767, 0.186665, -0.783038>
    }
    triangle {
      < 5.760621, 0.309697, -0.646271>,
      < 5.492767, 0.186665, -0.783038>,
      < 5.491029, 0.315858, -0.662395>
    }
    triangle {
      < 6.029724, 0.294610, -0.636694>,
      < 6.028741, 0.151089, -0.768473>,
      < 5.760886, 0.169005, -0.778864>
    }
    triangle {
      < 6.029724, 0.294610, -0.636694>,
      < 5.760886, 0.169005, -0.778864>,
      < 5.760621, 0.309697, -0.646271>
    }
    triangle {
      < 6.297848, 0.261605, -0.640119>,
      < 6.296164, 0.134342, -0.747700>,
      < 6.028741, 0.151089, -0.768473>
    }
    triangle {
      < 6.297848, 0.261605, -0.640119>,
      < 6.028741, 0.151089, -0.768473>,
      < 6.029724, 0.294610, -0.636694>
    }
    triangle {
      < 6.565969, 0.228542, -0.643586>,
      < 6.563584, 0.117598, -0.726900>,
      < 6.296164, 0.134342, -0.747700>
    }
    triangle {
      < 6.565969, 0.228542, -0.643586>,
      < 6.296164, 0.134342, -0.747700>,
      < 6.297848, 0.261605, -0.640119>
    }
    triangle {
      < 6.770486, 0.188460, -0.638863>,
      < 6.770539, 0.099726, -0.701021>,
      < 6.563584, 0.117598, -0.726900>
    }
    triangle {
      < 6.770486, 0.188460, -0.638863>,
      < 6.563584, 0.117598, -0.726900>,
      < 6.565969, 0.228542, -0.643586>
    }
    triangle {
      < 7.094471, 0.128469, -0.610704>,
      < 7.093650, 0.076913, -0.651891>,
      < 6.770539, 0.099726, -0.701021>
    }
    triangle {
      < 7.094471, 0.128469, -0.610704>,
      < 6.770539, 0.099726, -0.701021>,
      < 6.770486, 0.188460, -0.638863>
    }
    triangle {
      < 7.353906, 0.062480, -0.577469>,
      < 7.353213, 0.041203, -0.596139>,
      < 7.093650, 0.076913, -0.651891>
    }
    triangle {
      < 7.353906, 0.062480, -0.577469>,
      < 7.093650, 0.076913, -0.651891>,
      < 7.094471, 0.128469, -0.610704>
    }
    triangle {
      < 7.649260, 0.004225, -0.520518>,
      < 7.353213, 0.041203, -0.596139>,
      < 7.353906, 0.062480, -0.577469>
    }
    triangle {
      < 1.471330, 0.188934, -0.873344>,
      < 1.466908, 0.000101, -0.883941>,
      < 1.197575, -0.000058, -0.884557>
    }
    triangle {
      < 1.471330, 0.188934, -0.873344>,
      < 1.197575, -0.000058, -0.884557>,
      < 1.202917, 0.199658, -0.865038>
    }
    triangle {
      < 1.739915, 0.190057, -0.868901>,
      < 1.736248, 0.000253, -0.892463>,
      < 1.466908, 0.000101, -0.883941>
    }
    triangle {
      < 1.739915, 0.190057, -0.868901>,
      < 1.466908, 0.000101, -0.883941>,
      < 1.471330, 0.188934, -0.873344>
    }
    triangle {
      < 2.008174, 0.197846, -0.855523>,
      < 2.005571, 0.000414, -0.891492>,
      < 1.736248, 0.000253, -0.892463>
    }
    triangle {
      < 2.008174, 0.197846, -0.855523>,
      < 1.736248, 0.000253, -0.892463>,
      < 1.739915, 0.190057, -0.868901>
    }
    triangle {
      < 2.276315, 0.204973, -0.849076>,
      < 2.274189, 0.000566, -0.899767>,
      < 2.005571, 0.000414, -0.891492>
    }
    triangle {
      < 2.276315, 0.204973, -0.849076>,
      < 2.005571, 0.000414, -0.891492>,
      < 2.008174, 0.197846, -0.855523>
    }
    triangle {
      < 2.543920, 0.184819, -0.850753>,
      < 2.543703, 0.000725, -0.900228>,
      < 2.274189, 0.000566, -0.899767>
    }
    triangle {
      < 2.543920, 0.184819, -0.850753>,
      < 2.274189, 0.000566, -0.899767>,
      < 2.276315, 0.204973, -0.849076>
    }
    triangle {
      < 2.811984, 0.170903, -0.850322>,
      < 2.813176, 0.000890, -0.894266>,
      < 2.543703, 0.000725, -0.900228>
    }
    triangle {
      < 2.811984, 0.170903, -0.850322>,
      < 2.543703, 0.000725, -0.900228>,
      < 2.543920, 0.184819, -0.850753>
    }
    triangle {
      < 3.080625, 0.167868, -0.841362>,
      < 3.082713, 0.001060, -0.882400>,
      < 2.813176, 0.000890, -0.894266>
    }
    triangle {
      < 3.080625, 0.167868, -0.841362>,
      < 2.813176, 0.000890, -0.894266>,
      < 2.811984, 0.170903, -0.850322>
    }
    triangle {
      < 3.349054, 0.170538, -0.838378>,
      < 3.351521, 0.001230, -0.870261>,
      < 3.082713, 0.001060, -0.882400>
    }
    triangle {
      < 3.349054, 0.170538, -0.838378>,
      < 3.082713, 0.001060, -0.882400>,
      < 3.080625, 0.167868, -0.841362>
    }
    triangle {
      < 3.616170, 0.187987, -0.819195>,
      < 3.618671, 0.001399, -0.858496>,
      < 3.351521, 0.001230, -0.870261>
    }
    triangle {
      < 3.616170, 0.187987, -0.819195>,
      < 3.351521, 0.001230, -0.870261>,
      < 3.349054, 0.170538, -0.838378>
    }
    triangle {
      < 3.883242, 0.202956, -0.792753>,
      < 3.888165, 0.001568, -0.848197>,
      < 3.618671, 0.001399, -0.858496>
    }
    triangle {
      < 3.883242, 0.202956, -0.792753>,
      < 3.618671, 0.001399, -0.858496>,
      < 3.616170, 0.187987, -0.819195>
    }
    triangle {
      < 4.151753, 0.195163, -0.786414>,
      < 4.157630, 0.001733, -0.842092>,
      < 3.888165, 0.001568, -0.848197>
    }
    triangle {
      < 4.151753, 0.195163, -0.786414>,
      < 3.888165, 0.001568, -0.848197>,
      < 3.883242, 0.202956, -0.792753>
    }
    triangle {
      < 4.420224, 0.188190, -0.780088>,
      < 4.426398, 0.001900, -0.833463>,
      < 4.157630, 0.001733, -0.842092>
    }
    triangle {
      < 4.420224, 0.188190, -0.780088>,
      < 4.157630, 0.001733, -0.842092>,
      < 4.151753, 0.195163, -0.786414>
    }
    triangle {
      < 4.688565, 0.187660, -0.786137>,
      < 4.695592, 0.002057, -0.835782>,
      < 4.426398, 0.001900, -0.833463>
    }
    triangle {
      < 4.688565, 0.187660, -0.786137>,
      < 4.426398, 0.001900, -0.833463>,
      < 4.420224, 0.188190, -0.780088>
    }
    triangle {
      < 4.957150, 0.188875, -0.784127>,
      < 4.965064, 0.002223, -0.828553>,
      < 4.695592, 0.002057, -0.835782>
    }
    triangle {
      < 4.957150, 0.188875, -0.784127>,
      < 4.695592, 0.002057, -0.835782>,
      < 4.688565, 0.187660, -0.786137>
    }
    triangle {
      < 5.224185, 0.184755, -0.789676>,
      < 5.232914, 0.002384, -0.826482>,
      < 4.965064, 0.002223, -0.828553>
    }
    triangle {
      < 5.224185, 0.184755, -0.789676>,
      < 4.965064, 0.002223, -0.828553>,
      < 4.957150, 0.188875, -0.784127>
    }
    triangle {
      < 5.492767, 0.186665, -0.783038>,
      < 5.499146, 0.002539, -0.829901>,
      < 5.232914, 0.002384, -0.826482>
    }
    triangle {
      < 5.492767, 0.186665, -0.783038>,
      < 5.232914, 0.002384, -0.826482>,
      < 5.224185, 0.184755, -0.789676>
    }
    triangle {
      < 5.760886, 0.169005, -0.778864>,
      < 5.768410, 0.002708, -0.819773>,
      < 5.499146, 0.002539, -0.829901>
    }
    triangle {
      < 5.760886, 0.169005, -0.778864>,
      < 5.499146, 0.002539, -0.829901>,
      < 5.492767, 0.186665, -0.783038>
    }
    triangle {
      < 6.028741, 0.151089, -0.768473>,
      < 6.037335, 0.002882, -0.803745>,
      < 5.768410, 0.002708, -0.819773>
    }
    triangle {
      < 6.028741, 0.151089, -0.768473>,
      < 5.768410, 0.002708, -0.819773>,
      < 5.760886, 0.169005, -0.778864>
    }
    triangle {
      < 6.296164, 0.134342, -0.747700>,
      < 6.305811, 0.003062, -0.779611>,
      < 6.037335, 0.002882, -0.803745>
    }
    triangle {
      < 6.296164, 0.134342, -0.747700>,
      < 6.037335, 0.002882, -0.803745>,
      < 6.028741, 0.151089, -0.768473>
    }
    triangle {
      < 6.563584, 0.117598, -0.726900>,
      < 6.574285, 0.003242, -0.755462>,
      < 6.305811, 0.003062, -0.779611>
    }
    triangle {
      < 6.563584, 0.117598, -0.726900>,
      < 6.305811, 0.003062, -0.779611>,
      < 6.296164, 0.134342, -0.747700>
    }
    triangle {
      < 6.770539, 0.099726, -0.701021>,
      < 6.770596, 0.003388, -0.722986>,
      < 6.574285, 0.003242, -0.755462>
    }
    triangle {
      < 6.770539, 0.099726, -0.701021>,
      < 6.574285, 0.003242, -0.755462>,
      < 6.563584, 0.117598, -0.726900>
    }
    triangle {
      < 7.093650, 0.076913, -0.651891>,
      < 7.106607, 0.003631, -0.672710>,
      < 6.770596, 0.003388, -0.722986>
    }
    triangle {
      < 7.093650, 0.076913, -0.651891>,
      < 6.770596, 0.003388, -0.722986>,
      < 6.770539, 0.099726, -0.701021>
    }
    triangle {
      < 7.353213, 0.041203, -0.596139>,
      < 7.365457, 0.003846, -0.603781>,
      < 7.106607, 0.003631, -0.672710>
    }
    triangle {
      < 7.353213, 0.041203, -0.596139>,
      < 7.106607, 0.003631, -0.672710>,
      < 7.093650, 0.076913, -0.651891>
    }
    triangle {
      < 7.649260, 0.004225, -0.520518>,
      < 7.365457, 0.004168, -0.603782>,
      < 7.353213, 0.041203, -0.596139>
    }
    texture {fuselage}
  }
  // canopy
  union {
    triangle {
      < 2.349199, 0.001902, 0.552995>,
      < 2.352829, 0.193865, 0.537086>,
      < 2.137806, 0.177979, 0.461808>
    }
    triangle {
      < 2.349199, 0.001902, 0.552995>,
      < 2.137806, 0.177979, 0.461808>,
      < 2.134644, 0.001701, 0.470626>
    }
    triangle {
      < 2.575834, 0.002077, 0.599170>,
      < 2.577610, 0.195950, 0.577528>,
      < 2.352829, 0.193865, 0.537086>
    }
    triangle {
      < 2.575834, 0.002077, 0.599170>,
      < 2.352829, 0.193865, 0.537086>,
      < 2.349199, 0.001902, 0.552995>
    }
    triangle {
      < 2.802996, 0.002250, 0.642613>,
      < 2.802414, 0.193580, 0.617754>,
      < 2.577610, 0.195950, 0.577528>
    }
    triangle {
      < 2.802996, 0.002250, 0.642613>,
      < 2.577610, 0.195950, 0.577528>,
      < 2.575834, 0.002077, 0.599170>
    }
    triangle {
      < 3.031510, 0.002417, 0.678243>,
      < 3.026575, 0.180492, 0.659482>,
      < 2.802414, 0.193580, 0.617754>
    }
    triangle {
      < 3.031510, 0.002417, 0.678243>,
      < 2.802414, 0.193580, 0.617754>,
      < 2.802996, 0.002250, 0.642613>
    }
    triangle {
      < 3.260049, 0.002584, 0.713728>,
      < 3.250749, 0.167415, 0.701209>,
      < 3.026575, 0.180492, 0.659482>
    }
    triangle {
      < 3.260049, 0.002584, 0.713728>,
      < 3.026575, 0.180492, 0.659482>,
      < 3.031510, 0.002417, 0.678243>
    }
    triangle {
      < 3.490595, 0.002737, 0.732152>,
      < 3.477470, 0.187327, 0.720140>,
      < 3.250749, 0.167415, 0.701209>
    }
    triangle {
      < 3.490595, 0.002737, 0.732152>,
      < 3.250749, 0.167415, 0.701209>,
      < 3.260049, 0.002584, 0.713728>
    }
    triangle {
      < 3.720606, 0.002886, 0.746310>,
      < 3.705691, 0.192786, 0.726912>,
      < 3.477470, 0.187327, 0.720140>
    }
    triangle {
      < 3.720606, 0.002886, 0.746310>,
      < 3.477470, 0.187327, 0.720140>,
      < 3.490595, 0.002737, 0.732152>
    }
    triangle {
      < 3.950685, 0.003035, 0.760075>,
      < 3.933930, 0.198056, 0.733374>,
      < 3.705691, 0.192786, 0.726912>
    }
    triangle {
      < 3.950685, 0.003035, 0.760075>,
      < 3.705691, 0.192786, 0.726912>,
      < 3.720606, 0.002886, 0.746310>
    }
    triangle {
      < 4.180501, 0.003152, 0.738167>,
      < 4.161140, 0.196242, 0.710337>,
      < 3.933930, 0.198056, 0.733374>
    }
    triangle {
      < 4.180501, 0.003152, 0.738167>,
      < 3.933930, 0.198056, 0.733374>,
      < 3.950685, 0.003035, 0.760075>
    }
    triangle {
      < 4.404828, 0.003235, 0.681923>,
      < 4.383232, 0.178322, 0.660162>,
      < 4.161140, 0.196242, 0.710337>
    }
    triangle {
      < 4.404828, 0.003235, 0.681923>,
      < 4.161140, 0.196242, 0.710337>,
      < 4.180501, 0.003152, 0.738167>
    }
    triangle {
      < 4.616331, 0.003277, 0.588851>,
      < 4.593604, 0.160064, 0.573156>,
      < 4.383232, 0.178322, 0.660162>
    }
    triangle {
      < 4.616331, 0.003277, 0.588851>,
      < 4.383232, 0.178322, 0.660162>,
      < 4.404828, 0.003235, 0.681923>
    }
    triangle {
      < 4.819567, 0.003300, 0.478603>,
      < 4.795667, 0.157537, 0.466737>,
      < 4.593604, 0.160064, 0.573156>
    }
    triangle {
      < 4.819567, 0.003300, 0.478603>,
      < 4.593604, 0.160064, 0.573156>,
      < 4.616331, 0.003277, 0.588851>
    }
    triangle {
      < 5.024826, 0.003327, 0.372908>,
      < 4.995974, 0.164676, 0.357221>,
      < 4.795667, 0.157537, 0.466737>
    }
    triangle {
      < 5.024826, 0.003327, 0.372908>,
      < 4.795667, 0.157537, 0.466737>,
      < 4.819567, 0.003300, 0.478603>
    }
    triangle {
      < 5.228969, 0.003351, 0.264257>,
      < 5.202312, 0.137238, 0.263287>,
      < 4.995974, 0.164676, 0.357221>
    }
    triangle {
      < 5.228969, 0.003351, 0.264257>,
      < 4.995974, 0.164676, 0.357221>,
      < 5.024826, 0.003327, 0.372908>
    }
    triangle {
      < 2.352829, 0.193865, 0.537086>,
      < 2.334411, 0.247753, 0.501428>,
      < 2.115541, 0.249600, 0.433508>
    }
    triangle {
      < 2.352829, 0.193865, 0.537086>,
      < 2.115541, 0.249600, 0.433508>,
      < 2.137806, 0.177979, 0.461808>
    }
    triangle {
      < 2.577610, 0.195950, 0.577528>,
      < 2.558580, 0.254046, 0.548674>,
      < 2.334411, 0.247753, 0.501428>
    }
    triangle {
      < 2.577610, 0.195950, 0.577528>,
      < 2.334411, 0.247753, 0.501428>,
      < 2.352829, 0.193865, 0.537086>
    }
    triangle {
      < 2.802414, 0.193580, 0.617754>,
      < 2.784306, 0.262539, 0.587373>,
      < 2.558580, 0.254046, 0.548674>
    }
    triangle {
      < 2.802414, 0.193580, 0.617754>,
      < 2.558580, 0.254046, 0.548674>,
      < 2.577610, 0.195950, 0.577528>
    }
    triangle {
      < 3.026575, 0.180492, 0.659482>,
      < 3.011409, 0.277680, 0.614148>,
      < 2.784306, 0.262539, 0.587373>
    }
    triangle {
      < 3.026575, 0.180492, 0.659482>,
      < 2.784306, 0.262539, 0.587373>,
      < 2.802414, 0.193580, 0.617754>
    }
    triangle {
      < 3.250749, 0.167415, 0.701209>,
      < 3.238527, 0.292593, 0.640958>,
      < 3.011409, 0.277680, 0.614148>
    }
    triangle {
      < 3.250749, 0.167415, 0.701209>,
      < 3.011409, 0.277680, 0.614148>,
      < 3.026575, 0.180492, 0.659482>
    }
    triangle {
      < 3.477470, 0.187327, 0.720140>,
      < 3.466151, 0.282601, 0.665641>,
      < 3.238527, 0.292593, 0.640958>
    }
    triangle {
      < 3.477470, 0.187327, 0.720140>,
      < 3.238527, 0.292593, 0.640958>,
      < 3.250749, 0.167415, 0.701209>
    }
    triangle {
      < 3.705691, 0.192786, 0.726912>,
      < 3.695167, 0.290914, 0.667589>,
      < 3.466151, 0.282601, 0.665641>
    }
    triangle {
      < 3.705691, 0.192786, 0.726912>,
      < 3.466151, 0.282601, 0.665641>,
      < 3.477470, 0.187327, 0.720140>
    }
    triangle {
      < 3.933930, 0.198056, 0.733374>,
      < 3.924199, 0.299060, 0.669243>,
      < 3.695167, 0.290914, 0.667589>
    }
    triangle {
      < 3.933930, 0.198056, 0.733374>,
      < 3.695167, 0.290914, 0.667589>,
      < 3.705691, 0.192786, 0.726912>
    }
    triangle {
      < 4.161140, 0.196242, 0.710337>,
      < 4.152092, 0.277030, 0.658881>,
      < 3.924199, 0.299060, 0.669243>
    }
    triangle {
      < 4.161140, 0.196242, 0.710337>,
      < 3.924199, 0.299060, 0.669243>,
      < 3.933930, 0.198056, 0.733374>
    }
    triangle {
      < 4.383232, 0.178322, 0.660162>,
      < 4.372890, 0.260751, 0.599743>,
      < 4.152092, 0.277030, 0.658881>
    }
    triangle {
      < 4.383232, 0.178322, 0.660162>,
      < 4.152092, 0.277030, 0.658881>,
      < 4.161140, 0.196242, 0.710337>
    }
    triangle {
      < 4.593604, 0.160064, 0.573156>,
      < 4.587118, 0.249449, 0.519118>,
      < 4.372890, 0.260751, 0.599743>
    }
    triangle {
      < 4.593604, 0.160064, 0.573156>,
      < 4.372890, 0.260751, 0.599743>,
      < 4.383232, 0.178322, 0.660162>
    }
    triangle {
      < 4.795667, 0.157537, 0.466737>,
      < 4.793503, 0.242611, 0.419711>,
      < 4.587118, 0.249449, 0.519118>
    }
    triangle {
      < 4.795667, 0.157537, 0.466737>,
      < 4.587118, 0.249449, 0.519118>,
      < 4.593604, 0.160064, 0.573156>
    }
    triangle {
      < 4.995974, 0.164676, 0.357221>,
      < 5.003575, 0.212735, 0.333119>,
      < 4.793503, 0.242611, 0.419711>
    }
    triangle {
      < 4.995974, 0.164676, 0.357221>,
      < 4.793503, 0.242611, 0.419711>,
      < 4.795667, 0.157537, 0.466737>
    }
    triangle {
      < 5.202312, 0.137238, 0.263287>,
      < 5.209365, 0.183659, 0.236543>,
      < 5.003575, 0.212735, 0.333119>
    }
    triangle {
      < 5.202312, 0.137238, 0.263287>,
      < 5.003575, 0.212735, 0.333119>,
      < 4.995974, 0.164676, 0.357221>
    }
    triangle {
      < 2.334411, 0.247753, 0.501428>,
      < 2.343631, 0.284545, 0.458806>,
      < 2.124206, 0.286766, 0.397431>
    }
    triangle {
      < 2.334411, 0.247753, 0.501428>,
      < 2.124206, 0.286766, 0.397431>,
      < 2.115541, 0.249600, 0.433508>
    }
    triangle {
      < 2.558580, 0.254046, 0.548674>,
      < 2.568107, 0.301887, 0.493830>,
      < 2.343631, 0.284545, 0.458806>
    }
    triangle {
      < 2.558580, 0.254046, 0.548674>,
      < 2.343631, 0.284545, 0.458806>,
      < 2.334411, 0.247753, 0.501428>
    }
    triangle {
      < 2.784306, 0.262539, 0.587373>,
      < 2.794041, 0.320210, 0.517040>,
      < 2.568107, 0.301887, 0.493830>
    }
    triangle {
      < 2.784306, 0.262539, 0.587373>,
      < 2.568107, 0.301887, 0.493830>,
      < 2.558580, 0.254046, 0.548674>
    }
    triangle {
      < 3.011409, 0.277680, 0.614148>,
      < 3.021096, 0.338723, 0.521080>,
      < 2.794041, 0.320210, 0.517040>
    }
    triangle {
      < 3.011409, 0.277680, 0.614148>,
      < 2.794041, 0.320210, 0.517040>,
      < 2.784306, 0.262539, 0.587373>
    }
    triangle {
      < 3.238527, 0.292593, 0.640958>,
      < 3.248230, 0.356892, 0.525401>,
      < 3.021096, 0.338723, 0.521080>
    }
    triangle {
      < 3.238527, 0.292593, 0.640958>,
      < 3.021096, 0.338723, 0.521080>,
      < 3.011409, 0.277680, 0.614148>
    }
    triangle {
      < 3.466151, 0.282601, 0.665641>,
      < 3.473168, 0.345270, 0.559700>,
      < 3.248230, 0.356892, 0.525401>
    }
    triangle {
      < 3.466151, 0.282601, 0.665641>,
      < 3.248230, 0.356892, 0.525401>,
      < 3.238527, 0.292593, 0.640958>
    }
    triangle {
      < 3.695167, 0.290914, 0.667589>,
      < 3.700799, 0.348464, 0.568844>,
      < 3.473168, 0.345270, 0.559700>
    }
    triangle {
      < 3.695167, 0.290914, 0.667589>,
      < 3.473168, 0.345270, 0.559700>,
      < 3.466151, 0.282601, 0.665641>
    }
    triangle {
      < 3.924199, 0.299060, 0.669243>,
      < 3.928560, 0.351129, 0.575375>,
      < 3.700799, 0.348464, 0.568844>
    }
    triangle {
      < 3.924199, 0.299060, 0.669243>,
      < 3.700799, 0.348464, 0.568844>,
      < 3.695167, 0.290914, 0.667589>
    }
    triangle {
      < 4.152092, 0.277030, 0.658881>,
      < 4.154482, 0.338977, 0.548236>,
      < 3.928560, 0.351129, 0.575375>
    }
    triangle {
      < 4.152092, 0.277030, 0.658881>,
      < 3.928560, 0.351129, 0.575375>,
      < 3.924199, 0.299060, 0.669243>
    }
    triangle {
      < 4.372890, 0.260751, 0.599743>,
      < 4.371489, 0.340851, 0.478691>,
      < 4.154482, 0.338977, 0.548236>
    }
    triangle {
      < 4.372890, 0.260751, 0.599743>,
      < 4.154482, 0.338977, 0.548236>,
      < 4.152092, 0.277030, 0.658881>
    }
    triangle {
      < 4.587118, 0.249449, 0.519118>,
      < 4.585075, 0.304330, 0.408330>,
      < 4.371489, 0.340851, 0.478691>
    }
    triangle {
      < 4.587118, 0.249449, 0.519118>,
      < 4.371489, 0.340851, 0.478691>,
      < 4.372890, 0.260751, 0.599743>
    }
    triangle {
      < 4.793503, 0.242611, 0.419711>,
      < 4.799024, 0.293174, 0.330723>,
      < 4.585075, 0.304330, 0.408330>
    }
    triangle {
      < 4.793503, 0.242611, 0.419711>,
      < 4.585075, 0.304330, 0.408330>,
      < 4.587118, 0.249449, 0.519118>
    }
    triangle {
      < 5.003575, 0.212735, 0.333119>,
      < 5.017540, 0.259576, 0.275740>,
      < 4.799024, 0.293174, 0.330723>
    }
    triangle {
      < 5.003575, 0.212735, 0.333119>,
      < 4.799024, 0.293174, 0.330723>,
      < 4.793503, 0.242611, 0.419711>
    }
    triangle {
      < 5.209365, 0.183659, 0.236543>,
      < 5.235247, 0.222121, 0.219857>,
      < 5.017540, 0.259576, 0.275740>
    }
    triangle {
      < 5.209365, 0.183659, 0.236543>,
      < 5.017540, 0.259576, 0.275740>,
      < 5.003575, 0.212735, 0.333119>
    }
    triangle {
      < 2.343631, 0.284545, 0.458806>,
      < 2.333355, 0.302876, 0.437234>,
      < 2.114694, 0.295437, 0.387913>
    }
    triangle {
      < 2.343631, 0.284545, 0.458806>,
      < 2.114694, 0.295437, 0.387913>,
      < 2.124206, 0.286766, 0.397431>
    }
    triangle {
      < 2.568107, 0.301887, 0.493830>,
      < 2.553913, 0.336021, 0.412181>,
      < 2.333355, 0.302876, 0.437234>
    }
    triangle {
      < 2.568107, 0.301887, 0.493830>,
      < 2.333355, 0.302876, 0.437234>,
      < 2.343631, 0.284545, 0.458806>
    }
    triangle {
      < 2.794041, 0.320210, 0.517040>,
      < 2.775500, 0.360654, 0.387311>,
      < 2.553913, 0.336021, 0.412181>
    }
    triangle {
      < 2.794041, 0.320210, 0.517040>,
      < 2.553913, 0.336021, 0.412181>,
      < 2.568107, 0.301887, 0.493830>
    }
    triangle {
      < 3.021096, 0.338723, 0.521080>,
      < 2.999358, 0.363123, 0.372373>,
      < 2.775500, 0.360654, 0.387311>
    }
    triangle {
      < 3.021096, 0.338723, 0.521080>,
      < 2.775500, 0.360654, 0.387311>,
      < 2.794041, 0.320210, 0.517040>
    }
    triangle {
      < 3.248230, 0.356892, 0.525401>,
      < 3.223204, 0.365494, 0.357408>,
      < 2.999358, 0.363123, 0.372373>
    }
    triangle {
      < 3.248230, 0.356892, 0.525401>,
      < 2.999358, 0.363123, 0.372373>,
      < 3.021096, 0.338723, 0.521080>
    }
    triangle {
      < 3.473168, 0.345270, 0.559700>,
      < 3.446741, 0.359949, 0.339005>,
      < 3.223204, 0.365494, 0.357408>
    }
    triangle {
      < 3.473168, 0.345270, 0.559700>,
      < 3.223204, 0.365494, 0.357408>,
      < 3.248230, 0.356892, 0.525401>
    }
    triangle {
      < 3.700799, 0.348464, 0.568844>,
      < 3.669885, 0.357056, 0.315842>,
      < 3.446741, 0.359949, 0.339005>
    }
    triangle {
      < 3.700799, 0.348464, 0.568844>,
      < 3.446741, 0.359949, 0.339005>,
      < 3.473168, 0.345270, 0.559700>
    }
    triangle {
      < 3.928560, 0.351129, 0.575375>,
      < 3.892828, 0.355185, 0.290736>,
      < 3.669885, 0.357056, 0.315842>
    }
    triangle {
      < 3.928560, 0.351129, 0.575375>,
      < 3.669885, 0.357056, 0.315842>,
      < 3.700799, 0.348464, 0.568844>
    }
    triangle {
      < 4.154482, 0.338977, 0.548236>,
      < 4.114724, 0.357172, 0.257628>,
      < 3.892828, 0.355185, 0.290736>
    }
    triangle {
      < 4.154482, 0.338977, 0.548236>,
      < 3.892828, 0.355185, 0.290736>,
      < 3.928560, 0.351129, 0.575375>
    }
    triangle {
      < 4.371489, 0.340851, 0.478691>,
      < 4.336713, 0.351730, 0.225538>,
      < 4.114724, 0.357172, 0.257628>
    }
    triangle {
      < 4.371489, 0.340851, 0.478691>,
      < 4.114724, 0.357172, 0.257628>,
      < 4.154482, 0.338977, 0.548236>
    }
    triangle {
      < 4.585075, 0.304330, 0.408330>,
      < 4.560906, 0.349005, 0.217320>,
      < 4.336713, 0.351730, 0.225538>
    }
    triangle {
      < 4.585075, 0.304330, 0.408330>,
      < 4.336713, 0.351730, 0.225538>,
      < 4.371489, 0.340851, 0.478691>
    }
    triangle {
      < 4.799024, 0.293174, 0.330723>,
      < 4.783655, 0.325950, 0.203537>,
      < 4.560906, 0.349005, 0.217320>
    }
    triangle {
      < 4.799024, 0.293174, 0.330723>,
      < 4.560906, 0.349005, 0.217320>,
      < 4.585075, 0.304330, 0.408330>
    }
    triangle {
      < 5.017540, 0.259576, 0.275740>,
      < 5.003752, 0.284891, 0.218164>,
      < 4.783655, 0.325950, 0.203537>
    }
    triangle {
      < 5.017540, 0.259576, 0.275740>,
      < 4.783655, 0.325950, 0.203537>,
      < 4.799024, 0.293174, 0.330723>
    }
    triangle {
      < 5.235247, 0.222121, 0.219857>,
      < 5.224565, 0.267198, 0.182706>,
      < 5.003752, 0.284891, 0.218164>
    }
    triangle {
      < 5.235247, 0.222121, 0.219857>,
      < 5.003752, 0.284891, 0.218164>,
      < 5.017540, 0.259576, 0.275740>
    }
    triangle {
      < 2.553913, 0.336021, 0.412181>,
      < 2.559190, 0.382613, 0.329554>,
      < 2.337171, 0.359234, 0.353994>
    }
    triangle {
      < 2.553913, 0.336021, 0.412181>,
      < 2.337171, 0.359234, 0.353994>,
      < 2.333355, 0.302876, 0.437234>
    }
    triangle {
      < 2.775500, 0.360654, 0.387311>,
      < 2.782181, 0.398024, 0.307775>,
      < 2.559190, 0.382613, 0.329554>
    }
    triangle {
      < 2.775500, 0.360654, 0.387311>,
      < 2.559190, 0.382613, 0.329554>,
      < 2.553913, 0.336021, 0.412181>
    }
    triangle {
      < 2.999358, 0.363123, 0.372373>,
      < 3.005748, 0.408090, 0.288984>,
      < 2.782181, 0.398024, 0.307775>
    }
    triangle {
      < 2.999358, 0.363123, 0.372373>,
      < 2.782181, 0.398024, 0.307775>,
      < 2.775500, 0.360654, 0.387311>
    }
    triangle {
      < 3.223204, 0.365494, 0.357408>,
      < 3.229293, 0.418221, 0.269963>,
      < 3.005748, 0.408090, 0.288984>
    }
    triangle {
      < 3.223204, 0.365494, 0.357408>,
      < 3.005748, 0.408090, 0.288984>,
      < 2.999358, 0.363123, 0.372373>
    }
    triangle {
      < 3.446741, 0.359949, 0.339005>,
      < 3.451332, 0.427051, 0.237448>,
      < 3.229293, 0.418221, 0.269963>
    }
    triangle {
      < 3.446741, 0.359949, 0.339005>,
      < 3.229293, 0.418221, 0.269963>,
      < 3.223204, 0.365494, 0.357408>
    }
    triangle {
      < 3.669885, 0.357056, 0.315842>,
      < 3.675052, 0.426922, 0.217839>,
      < 3.451332, 0.427051, 0.237448>
    }
    triangle {
      < 3.669885, 0.357056, 0.315842>,
      < 3.451332, 0.427051, 0.237448>,
      < 3.446741, 0.359949, 0.339005>
    }
    triangle {
      < 3.892828, 0.355185, 0.290736>,
      < 3.898826, 0.427621, 0.198841>,
      < 3.675052, 0.426922, 0.217839>
    }
    triangle {
      < 3.892828, 0.355185, 0.290736>,
      < 3.675052, 0.426922, 0.217839>,
      < 3.669885, 0.357056, 0.315842>
    }
    triangle {
      < 4.114724, 0.357172, 0.257628>,
      < 4.122722, 0.427829, 0.181253>,
      < 3.898826, 0.427621, 0.198841>
    }
    triangle {
      < 4.114724, 0.357172, 0.257628>,
      < 3.898826, 0.427621, 0.198841>,
      < 3.892828, 0.355185, 0.290736>
    }
    triangle {
      < 4.336713, 0.351730, 0.225538>,
      < 4.346104, 0.411554, 0.164720>,
      < 4.122722, 0.427829, 0.181253>
    }
    triangle {
      < 4.336713, 0.351730, 0.225538>,
      < 4.122722, 0.427829, 0.181253>,
      < 4.114724, 0.357172, 0.257628>
    }
    triangle {
      < 4.560906, 0.349005, 0.217320>,
      < 4.569841, 0.413159, 0.145401>,
      < 4.346104, 0.411554, 0.164720>
    }
    triangle {
      < 4.560906, 0.349005, 0.217320>,
      < 4.346104, 0.411554, 0.164720>,
      < 4.336713, 0.351730, 0.225538>
    }
    triangle {
      < 4.783655, 0.325950, 0.203537>,
      < 4.791869, 0.379574, 0.149197>,
      < 4.569841, 0.413159, 0.145401>
    }
    triangle {
      < 4.783655, 0.325950, 0.203537>,
      < 4.569841, 0.413159, 0.145401>,
      < 4.560906, 0.349005, 0.217320>
    }
    triangle {
      < 5.003752, 0.284891, 0.218164>,
      < 5.010640, 0.330552, 0.162482>,
      < 4.791869, 0.379574, 0.149197>
    }
    triangle {
      < 5.003752, 0.284891, 0.218164>,
      < 4.791869, 0.379574, 0.149197>,
      < 4.783655, 0.325950, 0.203537>
    }
    triangle {
      < 5.224565, 0.267198, 0.182706>,
      < 5.261581, 0.311004, 0.126252>,
      < 5.010640, 0.330552, 0.162482>
    }
    triangle {
      < 5.224565, 0.267198, 0.182706>,
      < 5.010640, 0.330552, 0.162482>,
      < 5.003752, 0.284891, 0.218164>
    }
    triangle {
      < 5.228969, 0.003351, 0.264257>,
      < 5.339709, 0.003390, 0.233985>,
      < 5.202312, 0.137238, 0.263287>
    }
    triangle {
      < 5.202312, 0.137238, 0.263287>,
      < 5.339709, 0.003390, 0.233985>,
      < 5.209365, 0.183659, 0.236543>
    }
    triangle {
      < 5.339709, 0.003390, 0.233985>,
      < 5.328047, 0.247677, 0.170188>,
      < 5.235247, 0.222121, 0.219857>
    }
    triangle {
      < 5.339709, 0.003390, 0.233985>,
      < 5.235247, 0.222121, 0.219857>,
      < 5.209365, 0.183659, 0.236543>
    }
    triangle {
      < 5.328047, 0.247677, 0.170188>,
      < 5.235247, 0.222121, 0.219857>,
      < 5.224565, 0.267198, 0.182706>
    }
    texture {canopy}
  }
  // fuselage
  union {
    triangle {
      < 5.479286, 0.204376, 0.151285>,
      < 5.261581, 0.311004, 0.126252>,
      < 5.328047, 0.247677, 0.170188>
    }
    texture {fuselage}
  }
  // canopy
  union {
    triangle {
      < 5.224565, 0.267198, 0.182706>,
      < 5.328047, 0.247677, 0.170188>,
      < 5.261581, 0.311004, 0.126252>
    }
    triangle {
      < 5.261581, 0.311004, 0.126252>,
      < 5.037039, 0.422140, 0.026680>,
      < 5.010640, 0.330552, 0.162482>
    }
    triangle {
      < 5.010640, 0.330552, 0.162482>,
      < 5.037039, 0.422140, 0.026680>,
      < 4.758167, 0.445590, 0.039906>
    }
    triangle {
      < 5.010640, 0.330552, 0.162482>,
      < 4.758167, 0.445590, 0.039906>,
      < 4.791869, 0.379574, 0.149197>
    }
    triangle {
      < 4.791869, 0.379574, 0.149197>,
      < 4.758167, 0.445590, 0.039906>,
      < 4.478800, 0.463455, 0.053088>
    }
    triangle {
      < 4.791869, 0.379574, 0.149197>,
      < 4.478800, 0.463455, 0.053088>,
      < 4.569841, 0.413159, 0.145401>
    }
    triangle {
      < 4.569841, 0.413159, 0.145401>,
      < 4.478800, 0.463455, 0.053088>,
      < 4.346104, 0.411554, 0.164720>
    }
    triangle {
      < 4.346104, 0.411554, 0.164720>,
      < 4.478800, 0.463455, 0.053088>,
      < 4.200414, 0.471202, 0.076922>
    }
    triangle {
      < 4.346104, 0.411554, 0.164720>,
      < 4.200414, 0.471202, 0.076922>,
      < 4.122722, 0.427829, 0.181253>
    }
    triangle {
      < 4.122722, 0.427829, 0.181253>,
      < 4.200414, 0.471202, 0.076922>,
      < 3.922013, 0.475394, 0.105946>
    }
    triangle {
      < 4.122722, 0.427829, 0.181253>,
      < 3.922013, 0.475394, 0.105946>,
      < 3.898826, 0.427621, 0.198841>
    }
    triangle {
      < 3.898826, 0.427621, 0.198841>,
      < 3.922013, 0.475394, 0.105946>,
      < 3.643949, 0.470506, 0.140631>
    }
    triangle {
      < 3.898826, 0.427621, 0.198841>,
      < 3.643949, 0.470506, 0.140631>,
      < 3.675052, 0.426922, 0.217839>
    }
    triangle {
      < 3.675052, 0.426922, 0.217839>,
      < 3.643949, 0.470506, 0.140631>,
      < 3.365745, 0.467026, 0.168550>
    }
    triangle {
      < 3.675052, 0.426922, 0.217839>,
      < 3.365745, 0.467026, 0.168550>,
      < 3.451332, 0.427051, 0.237448>
    }
    triangle {
      < 3.451332, 0.427051, 0.237448>,
      < 3.365745, 0.467026, 0.168550>,
      < 3.229293, 0.418221, 0.269963>
    }
    triangle {
      < 3.229293, 0.418221, 0.269963>,
      < 3.365745, 0.467026, 0.168550>,
      < 3.086323, 0.462472, 0.176988>
    }
    triangle {
      < 3.005748, 0.408090, 0.288984>,
      < 3.229293, 0.418221, 0.269963>,
      < 3.086323, 0.462472, 0.176988>
    }
    triangle {
      < 3.005748, 0.408090, 0.288984>,
      < 3.086323, 0.462472, 0.176988>,
      < 2.807019, 0.453108, 0.197385>
    }
    triangle {
      < 3.005748, 0.408090, 0.288984>,
      < 2.807019, 0.453108, 0.197385>,
      < 2.782181, 0.398024, 0.307775>
    }
    triangle {
      < 2.782181, 0.398024, 0.307775>,
      < 2.807019, 0.453108, 0.197385>,
      < 2.529116, 0.435382, 0.226245>
    }
    triangle {
      < 2.782181, 0.398024, 0.307775>,
      < 2.529116, 0.435382, 0.226245>,
      < 2.559190, 0.382613, 0.329554>
    }
    triangle {
      < 2.559190, 0.382613, 0.329554>,
      < 2.529116, 0.435382, 0.226245>,
      < 2.257002, 0.392137, 0.272339>
    }
    triangle {
      < 2.559190, 0.382613, 0.329554>,
      < 2.257002, 0.392137, 0.272339>,
      < 2.337171, 0.359234, 0.353994>
    }
    triangle {
      < 2.337171, 0.359234, 0.353994>,
      < 2.257002, 0.392137, 0.272339>,
      < 2.024386, 0.279154, 0.382606>
    }
    triangle {
      < 2.337171, 0.359234, 0.353994>,
      < 2.024386, 0.279154, 0.382606>,
      < 2.114694, 0.295437, 0.387913>
    }
    triangle {
      < 2.114694, 0.295437, 0.387913>,
      < 2.333355, 0.302876, 0.437234>,
      < 2.337171, 0.359234, 0.353994>
    }
    triangle {
      < 2.016242, 0.001616, 0.454408>,
      < 2.134644, 0.001701, 0.470626>,
      < 2.137806, 0.177979, 0.461808>
    }
    triangle {
      < 2.016242, 0.001616, 0.454408>,
      < 2.137806, 0.177979, 0.461808>,
      < 2.115541, 0.249600, 0.433508>
    }
    triangle {
      < 2.016242, 0.001616, 0.454408>,
      < 2.115541, 0.249600, 0.433508>,
      < 2.024386, 0.279154, 0.382606>
    }
    triangle {
      < 2.024386, 0.279154, 0.382606>,
      < 2.115541, 0.249600, 0.433508>,
      < 2.124206, 0.286766, 0.397431>
    }
    texture {canopy}
  }
  // fuselage
  union {
    triangle {
      < 2.024386, 0.279154, 0.382606>,
      < 2.124206, 0.286766, 0.397431>,
      < 2.114694, 0.295437, 0.387913>
    }
    triangle {
      < 5.471096, 0.003443, 0.205047>,
      < 5.929174, 0.003607, 0.084684>,
      < 5.771106, 0.171185, 0.095576>
    }
    triangle {
      < 5.471096, 0.003443, 0.205047>,
      < 5.771106, 0.171185, 0.095576>,
      < 5.479286, 0.204376, 0.151285>
    }
    triangle {
      < 5.929174, 0.003607, 0.084684>,
      < 6.043525, 0.143062, 0.037786>,
      < 5.771106, 0.171185, 0.095576>
    }
    triangle {
      < 5.929174, 0.003607, 0.084684>,
      < 6.770596, 0.003920, -0.124314>,
      < 6.586153, 0.089218, -0.090885>
    }
    triangle {
      < 5.929174, 0.003607, 0.084684>,
      < 6.586153, 0.089218, -0.090885>,
      < 6.314840, 0.116139, -0.026543>
    }
    triangle {
      < 5.929174, 0.003607, 0.084684>,
      < 6.314840, 0.116139, -0.026543>,
      < 6.043525, 0.143062, 0.037786>
    }
    triangle {
      < 6.770596, 0.003920, -0.124314>,
      < 6.770559, 0.065696, -0.167385>,
      < 6.586153, 0.089218, -0.090885>
    }
    triangle {
      < 6.770596, 0.003920, -0.124314>,
      < 7.295649, 0.004055, -0.321875>,
      < 7.371684, 0.022324, -0.373781>
    }
    triangle {
      < 6.770596, 0.003920, -0.124314>,
      < 7.371684, 0.022324, -0.373781>,
      < 7.116776, 0.047954, -0.263921>
    }
    triangle {
      < 6.770596, 0.003920, -0.124314>,
      < 7.116776, 0.047954, -0.263921>,
      < 6.770559, 0.065696, -0.167385>
    }
    triangle {
      < 7.295649, 0.004211, -0.321876>,
      < 7.649260, 0.004225, -0.520518>,
      < 7.371684, 0.022324, -0.373781>
    }
    triangle {
      < 5.339709, 0.003390, 0.233985>,
      < 5.471096, 0.003443, 0.205047>,
      < 5.479286, 0.204376, 0.151285>
    }
    triangle {
      < 5.339709, 0.003390, 0.233985>,
      < 5.479286, 0.204376, 0.151285>,
      < 5.328047, 0.247677, 0.170188>
    }
    triangle {
      < 2.545206, 0.501288, -0.223224>,
      < 2.815604, 0.503287, -0.259024>,
      < 2.679061, 0.495221, -0.256318>
    }
    triangle {
      < 2.679061, 0.495221, -0.256318>,
      < 2.815604, 0.503287, -0.259024>,
      < 2.772436, 0.445257, -0.518754>
    }
    triangle {
      < 2.679061, 0.495221, -0.256318>,
      < 2.772436, 0.445257, -0.518754>,
      < 2.498800, 0.451602, -0.497808>
    }
    triangle {
      < 2.679061, 0.495221, -0.256318>,
      < 2.498800, 0.451602, -0.497808>,
      < 2.225539, 0.446824, -0.488610>
    }
    triangle {
      < 2.679061, 0.495221, -0.256318>,
      < 2.225539, 0.446824, -0.488610>,
      < 2.331846, 0.468857, -0.413919>
    }
    triangle {
      < 2.331846, 0.468857, -0.413919>,
      < 2.225539, 0.446824, -0.488610>,
      < 2.232905, 0.461321, -0.437707>
    }
    triangle {
      < 2.232905, 0.461321, -0.437707>,
      < 2.225539, 0.446824, -0.488610>,
      < 1.963903, 0.426099, -0.539467>
    }
    triangle {
      < 1.475675, 0.439473, -0.012157>,
      < 1.475542, 0.664295, -0.012358>,
      < 1.207119, 0.664178, 0.033744>
    }
    triangle {
      < 1.475675, 0.439473, -0.012157>,
      < 1.207119, 0.664178, 0.033744>,
      < 1.207264, 0.418914, 0.033963>
    }
    triangle {
      < 1.743944, 0.460029, -0.059098>,
      < 1.743822, 0.664413, -0.059279>,
      < 1.475542, 0.664295, -0.012358>
    }
    triangle {
      < 1.743944, 0.460029, -0.059098>,
      < 1.475542, 0.664295, -0.012358>,
      < 1.475675, 0.439473, -0.012157>
    }
    triangle {
      < 2.011100, 0.480500, -0.112020>,
      < 2.010991, 0.664524, -0.112183>,
      < 1.743822, 0.664413, -0.059279>
    }
    triangle {
      < 2.011100, 0.480500, -0.112020>,
      < 1.743822, 0.664413, -0.059279>,
      < 1.743944, 0.460029, -0.059098>
    }
    triangle {
      < 2.277497, 0.491765, -0.169951>,
      < 2.277394, 0.664631, -0.170106>,
      < 2.010991, 0.664524, -0.112183>
    }
    triangle {
      < 2.277497, 0.491765, -0.169951>,
      < 2.010991, 0.664524, -0.112183>,
      < 2.011100, 0.480500, -0.112020>
    }
    triangle {
      < 2.545206, 0.501288, -0.223224>,
      < 2.545109, 0.664742, -0.223369>,
      < 2.277394, 0.664631, -0.170106>
    }
    triangle {
      < 2.545206, 0.501288, -0.223224>,
      < 2.277394, 0.664631, -0.170106>,
      < 2.277497, 0.491765, -0.169951>
    }
    triangle {
      < 2.679061, 0.495221, -0.256318>,
      < 2.678960, 0.664792, -0.256468>,
      < 2.545109, 0.664742, -0.223369>
    }
    triangle {
      < 2.679061, 0.495221, -0.256318>,
      < 2.545109, 0.664742, -0.223369>,
      < 2.545206, 0.501288, -0.223224>
    }
    triangle {
      < 2.331846, 0.468857, -0.413919>,
      < 2.331730, 0.664446, -0.414092>,
      < 2.678960, 0.664792, -0.256468>
    }
    triangle {
      < 2.331846, 0.468857, -0.413919>,
      < 2.678960, 0.664792, -0.256468>,
      < 2.679061, 0.495221, -0.256318>
    }
    triangle {
      < 2.232905, 0.461321, -0.437707>,
      < 2.232784, 0.664366, -0.437888>,
      < 2.331730, 0.664446, -0.414092>
    }
    triangle {
      < 2.232905, 0.461321, -0.437707>,
      < 2.331730, 0.664446, -0.414092>,
      < 2.331846, 0.468857, -0.413919>
    }
    triangle {
      < 1.963903, 0.426099, -0.539467>,
      < 1.963762, 0.664116, -0.539678>,
      < 2.232784, 0.664366, -0.437888>
    }
    triangle {
      < 1.963903, 0.426099, -0.539467>,
      < 2.232784, 0.664366, -0.437888>,
      < 2.232905, 0.461321, -0.437707>
    }
    triangle {
      < 1.710583, 0.388570, -0.637198>,
      < 1.710420, 0.663879, -0.637443>,
      < 1.963762, 0.664116, -0.539678>
    }
    triangle {
      < 1.710583, 0.388570, -0.637198>,
      < 1.963762, 0.664116, -0.539678>,
      < 1.963903, 0.426099, -0.539467>
    }
    triangle {
      < 1.451620, 0.350457, -0.719402>,
      < 1.451435, 0.663653, -0.719679>,
      < 1.710420, 0.663879, -0.637443>
    }
    triangle {
      < 1.451620, 0.350457, -0.719402>,
      < 1.710420, 0.663879, -0.637443>,
      < 1.710583, 0.388570, -0.637198>
    }
    triangle {
      < 1.190363, 0.308380, -0.791965>,
      < 1.190153, 0.663433, -0.792280>,
      < 1.451435, 0.663653, -0.719679>
    }
    triangle {
      < 1.190363, 0.308380, -0.791965>,
      < 1.451435, 0.663653, -0.719679>,
      < 1.451620, 0.350457, -0.719402>
    }
    triangle {
      < 1.049965, 0.239135, -0.786745>,
      < 1.202917, 0.199658, -0.865038>,
      < 1.197575, -0.000058, -0.884557>
    }
    triangle {
      < 1.049965, 0.239135, -0.786745>,
      < 1.197575, -0.000058, -0.884557>,
      < 1.050107, 0.000129, -0.832263>
    }
    triangle {
      < 1.183668, 0.298872, -0.819809>,
      < 1.202917, 0.199658, -0.865038>,
      < 1.049965, 0.239135, -0.786745>
    }
    triangle {
      < 1.190363, 0.308380, -0.791965>,
      < 1.183668, 0.298872, -0.819809>,
      < 1.049965, 0.239135, -0.786745>
    }
    triangle {
      < 1.049845, 0.442109, -0.741205>,
      < 1.190153, 0.663433, -0.792280>,
      < 1.190363, 0.308380, -0.791965>
    }
    triangle {
      < 1.049845, 0.442109, -0.741205>,
      < 1.190363, 0.308380, -0.791965>,
      < 1.049965, 0.239135, -0.786745>
    }
    triangle {
      < 1.198339, 0.243963, 0.261473>,
      < 1.049934, 0.291942, 0.273770>,
      < 1.050107, 0.000796, 0.292355>
    }
    triangle {
      < 1.198339, 0.243963, 0.261473>,
      < 1.050107, 0.000796, 0.292355>,
      < 1.201251, 0.000994, 0.297109>
    }
    triangle {
      < 1.196140, 0.363068, 0.142999>,
      < 1.049868, 0.402755, 0.136512>,
      < 1.049934, 0.291942, 0.273770>
    }
    triangle {
      < 1.196140, 0.363068, 0.142999>,
      < 1.049934, 0.291942, 0.273770>,
      < 1.198339, 0.243963, 0.261473>
    }
    triangle {
      < 1.207264, 0.418914, 0.033963>,
      < 1.049829, 0.469950, 0.017654>,
      < 1.049868, 0.402755, 0.136512>
    }
    triangle {
      < 1.207264, 0.418914, 0.033963>,
      < 1.049868, 0.402755, 0.136512>,
      < 1.196140, 0.363068, 0.142999>
    }
    triangle {
      < 1.207119, 0.664178, 0.033744>,
      < 1.049738, 0.622635, 0.008157>,
      < 1.049829, 0.469950, 0.017654>
    }
    triangle {
      < 1.207119, 0.664178, 0.033744>,
      < 1.049829, 0.469950, 0.017654>,
      < 1.207264, 0.418914, 0.033963>
    }
    triangle {
      < 1.049370, 1.242991, -0.358155>,
      < 1.049331, 1.308970, -0.358213>,
      < 1.477065, 1.273062, -0.330443>
    }
    triangle {
      < 1.049370, 1.242991, -0.358155>,
      < 1.477065, 1.273062, -0.330443>,
      < 1.477103, 1.208354, -0.330385>
    }
    triangle {
      < 1.049370, 1.242991, -0.358155>,
      < 1.477103, 1.208354, -0.330385>,
      < 1.049414, 1.169297, -0.385450>
    }
    texture {fuselage}
  }
  // fuselage_lights
  union {
    triangle {
      < 1.477065, 1.273062, -0.330443>,
      < 1.590393, 1.268928, -0.303071>,
      < 1.590427, 1.212164, -0.303021>
    }
    triangle {
      < 1.477065, 1.273062, -0.330443>,
      < 1.590427, 1.212164, -0.303021>,
      < 1.477103, 1.208354, -0.330385>
    }
    texture {fuselage_lights}
  }
  // fuselage
  union {
    triangle {
      < 1.590393, 1.268928, -0.303071>,
      < 1.936402, 1.256296, -0.266688>,
      < 1.914521, 1.216078, -0.257293>
    }
    triangle {
      < 1.590393, 1.268928, -0.303071>,
      < 1.914521, 1.216078, -0.257293>,
      < 1.590427, 1.212164, -0.303021>
    }
    triangle {
      < 1.936402, 1.256296, -0.266688>,
      < 2.316907, 1.177742, -0.209101>,
      < 1.914521, 1.216078, -0.257293>
    }
    texture {fuselage}
  }
  // stabilizer
  union {
    triangle {
      < -4.791963, 1.231011, -0.249342>,
      < -4.348657, 1.231254, -0.245453>,
      < -5.273514, 2.004171, -0.232621>
    }
    texture {stabilizer}
  }
  // ordinance1
  union {
    triangle {
      < -1.916002, -1.522676, -0.648693>,
      < -1.916002, -1.522752, -0.732882>,
      < -1.915929, -1.646882, -0.732771>
    }
    triangle {
      < -1.916002, -1.522676, -0.648693>,
      < -1.915929, -1.646882, -0.732771>,
      < -1.915913, -1.673538, -0.732747>
    }
    triangle {
      < -1.916002, -1.522676, -0.648693>,
      < -1.915913, -1.673538, -0.732747>,
      < -1.915880, -1.728692, -0.545917>
    }
    triangle {
      < -1.916124, -1.316338, -0.546493>,
      < -1.916091, -1.372049, -0.733015>,
      < -1.916075, -1.398960, -0.732992>
    }
    triangle {
      < -1.916124, -1.316338, -0.546493>,
      < -1.916075, -1.398960, -0.732992>,
      < -1.916002, -1.522676, -0.648693>
    }
    triangle {
      < -1.916002, -1.522676, -0.648693>,
      < -1.916075, -1.398960, -0.732992>,
      < -1.916002, -1.522752, -0.732882>
    }
    triangle {
      < 0.215398, -2.264631, -0.432421>,
      < 0.215243, -2.002805, -0.432653>,
      < 0.251843, -2.002784, -0.432659>
    }
    triangle {
      < -1.618284, -1.199919, -1.166866>,
      < -1.549677, -1.420721, -0.939266>,
      < -1.549670, -1.432515, -0.957386>
    }
    triangle {
      < -1.618284, -1.199919, -1.166866>,
      < -1.549670, -1.432515, -0.957386>,
      < -1.618269, -1.224326, -1.191165>
    }
    triangle {
      < -1.549670, -1.432515, -0.957386>,
      < -1.549659, -1.450919, -0.969296>,
      < -1.618269, -1.224326, -1.191165>
    }
    triangle {
      < -1.912979, -1.224501, -1.191164>,
      < -1.914088, -1.451135, -0.969296>,
      < -1.914099, -1.432731, -0.957386>
    }
    triangle {
      < -1.912979, -1.224501, -1.191164>,
      < -1.914099, -1.432731, -0.957386>,
      < -1.912994, -1.200094, -1.166866>
    }
    triangle {
      < -1.914099, -1.432731, -0.957386>,
      < -1.914106, -1.420937, -0.939266>,
      < -1.912994, -1.200094, -1.166866>
    }
    triangle {
      < -1.618269, -1.224326, -1.191165>,
      < -1.549659, -1.450919, -0.969296>,
      < -1.914088, -1.451135, -0.969296>
    }
    triangle {
      < -1.618269, -1.224326, -1.191165>,
      < -1.914088, -1.451135, -0.969296>,
      < -1.912979, -1.224501, -1.191164>
    }
    triangle {
      < -1.912994, -1.200094, -1.166866>,
      < -1.914106, -1.420937, -0.939266>,
      < -1.549677, -1.420721, -0.939266>
    }
    triangle {
      < -1.912994, -1.200094, -1.166866>,
      < -1.549677, -1.420721, -0.939266>,
      < -1.618284, -1.199919, -1.166866>
    }
    triangle {
      < -0.139795, -1.373938, -0.985418>,
      < -0.077645, -1.419848, -0.939267>,
      < -0.081950, -1.431646, -0.957387>
    }
    triangle {
      < -0.139795, -1.373938, -0.985418>,
      < -0.081950, -1.431646, -0.957387>,
      < -0.139777, -1.404119, -1.015465>
    }
    triangle {
      < -0.081950, -1.431646, -0.957387>,
      < -0.077605, -1.450047, -0.969297>,
      < -0.139777, -1.404119, -1.015465>
    }
    triangle {
      < -1.478695, -1.224244, -1.191165>,
      < -1.377064, -1.450817, -0.969296>,
      < -1.377075, -1.432413, -0.957386>
    }
    triangle {
      < -1.478695, -1.224244, -1.191165>,
      < -1.377075, -1.432413, -0.957386>,
      < -1.478710, -1.199836, -1.166866>
    }
    triangle {
      < -1.377075, -1.432413, -0.957386>,
      < -1.377082, -1.420618, -0.939266>,
      < -1.478710, -1.199836, -1.166866>
    }
    triangle {
      < -0.139777, -1.404119, -1.015465>,
      < -0.077605, -1.450047, -0.969297>,
      < -1.377064, -1.450817, -0.969296>
    }
    triangle {
      < -0.139777, -1.404119, -1.015465>,
      < -1.377064, -1.450817, -0.969296>,
      < -1.478695, -1.224244, -1.191165>
    }
    triangle {
      < -1.478710, -1.199836, -1.166866>,
      < -1.377082, -1.420618, -0.939266>,
      < -0.077645, -1.419848, -0.939267>
    }
    triangle {
      < -1.478710, -1.199836, -1.166866>,
      < -0.077645, -1.419848, -0.939267>,
      < -0.139795, -1.373938, -0.985418>
    }
    triangle {
      < -1.617915, -1.822405, -1.189925>,
      < -1.549573, -1.594958, -0.969143>,
      < -1.549557, -1.621976, -0.947177>
    }
    triangle {
      < -1.617915, -1.822405, -1.189925>,
      < -1.549557, -1.621976, -0.947177>,
      < -1.617900, -1.846710, -1.165525>
    }
    triangle {
      < -1.549557, -1.621976, -0.947177>,
      < -1.549555, -1.625761, -0.939715>,
      < -1.617900, -1.846710, -1.165525>
    }
    triangle {
      < -1.912610, -1.846885, -1.165525>,
      < -1.913984, -1.625977, -0.939715>,
      < -1.913986, -1.622192, -0.947177>
    }
    triangle {
      < -1.912610, -1.846885, -1.165525>,
      < -1.913986, -1.622192, -0.947177>,
      < -1.912625, -1.822579, -1.189925>
    }
    triangle {
      < -1.913986, -1.622192, -0.947177>,
      < -1.914002, -1.595174, -0.969143>,
      < -1.912625, -1.822579, -1.189925>
    }
    triangle {
      < -1.617900, -1.846710, -1.165525>,
      < -1.549555, -1.625761, -0.939715>,
      < -1.913984, -1.625977, -0.939715>
    }
    triangle {
      < -1.617900, -1.846710, -1.165525>,
      < -1.913984, -1.625977, -0.939715>,
      < -1.912610, -1.846885, -1.165525>
    }
    triangle {
      < -1.912625, -1.822579, -1.189925>,
      < -1.914002, -1.595174, -0.969143>,
      < -1.549573, -1.594958, -0.969143>
    }
    triangle {
      < -1.912625, -1.822579, -1.189925>,
      < -1.549573, -1.594958, -0.969143>,
      < -1.617915, -1.822405, -1.189925>
    }
    triangle {
      < -0.139637, -1.640132, -1.014976>,
      < -0.077716, -1.594086, -0.969143>,
      < -0.081172, -1.621106, -0.947177>
    }
    triangle {
      < -0.139637, -1.640132, -1.014976>,
      < -0.081172, -1.621106, -0.947177>,
      < -0.139620, -1.670189, -0.984803>
    }
    triangle {
      < -0.081172, -1.621106, -0.947177>,
      < -0.078702, -1.624889, -0.939715>,
      < -0.139620, -1.670189, -0.984803>
    }
    triangle {
      < -1.478326, -1.846627, -1.165525>,
      < -1.376960, -1.625659, -0.939715>,
      < -1.376962, -1.621874, -0.947177>
    }
    triangle {
      < -1.478326, -1.846627, -1.165525>,
      < -1.376962, -1.621874, -0.947177>,
      < -1.478341, -1.822322, -1.189925>
    }
    triangle {
      < -1.376962, -1.621874, -0.947177>,
      < -1.376978, -1.594856, -0.969143>,
      < -1.478341, -1.822322, -1.189925>
    }
    triangle {
      < -0.139620, -1.670189, -0.984803>,
      < -0.078702, -1.624889, -0.939715>,
      < -1.376960, -1.625659, -0.939715>
    }
    triangle {
      < -0.139620, -1.670189, -0.984803>,
      < -1.376960, -1.625659, -0.939715>,
      < -1.478326, -1.846627, -1.165525>
    }
    triangle {
      < -1.478341, -1.822322, -1.189925>,
      < -1.376978, -1.594856, -0.969143>,
      < -0.077716, -1.594086, -0.969143>
    }
    triangle {
      < -1.478341, -1.822322, -1.189925>,
      < -0.077716, -1.594086, -0.969143>,
      < -0.139637, -1.640132, -1.014976>
    }
    triangle {
      < -1.617901, -1.845648, -0.567445>,
      < -1.549555, -1.625852, -0.793688>,
      < -1.549573, -1.595690, -0.763622>
    }
    triangle {
      < -1.617901, -1.845648, -0.567445>,
      < -1.549573, -1.595690, -0.763622>,
      < -1.617915, -1.821254, -0.543132>
    }
    triangle {
      < -1.912625, -1.821429, -0.543132>,
      < -1.914002, -1.595906, -0.763622>,
      < -1.913984, -1.626068, -0.793687>
    }
    triangle {
      < -1.912625, -1.821429, -0.543132>,
      < -1.913984, -1.626068, -0.793687>,
      < -1.912611, -1.845822, -0.567445>
    }
    triangle {
      < -1.617915, -1.821254, -0.543132>,
      < -1.549573, -1.595690, -0.763622>,
      < -1.914002, -1.595906, -0.763622>
    }
    triangle {
      < -1.617915, -1.821254, -0.543132>,
      < -1.914002, -1.595906, -0.763622>,
      < -1.912625, -1.821429, -0.543132>
    }
    triangle {
      < -1.912611, -1.845822, -0.567445>,
      < -1.913984, -1.626068, -0.793687>,
      < -1.549555, -1.625852, -0.793688>
    }
    triangle {
      < -1.912611, -1.845822, -0.567445>,
      < -1.549555, -1.625852, -0.793688>,
      < -1.617901, -1.845648, -0.567445>
    }
    triangle {
      < -0.139620, -1.669768, -0.748791>,
      < -0.079176, -1.624981, -0.793688>,
      < -0.079194, -1.594818, -0.763623>
    }
    triangle {
      < -0.139620, -1.669768, -0.748791>,
      < -0.079194, -1.594818, -0.763623>,
      < -0.139638, -1.639605, -0.718725>
    }
    triangle {
      < -1.478341, -1.821172, -0.543132>,
      < -1.376978, -1.595587, -0.763623>,
      < -1.376960, -1.625750, -0.793688>
    }
    triangle {
      < -1.478341, -1.821172, -0.543132>,
      < -1.376960, -1.625750, -0.793688>,
      < -1.478327, -1.845565, -0.567445>
    }
    triangle {
      < -0.139638, -1.639605, -0.718725>,
      < -0.079194, -1.594818, -0.763623>,
      < -1.376978, -1.595587, -0.763623>
    }
    triangle {
      < -0.139638, -1.639605, -0.718725>,
      < -1.376978, -1.595587, -0.763623>,
      < -1.478341, -1.821172, -0.543132>
    }
    triangle {
      < -1.478327, -1.845565, -0.567445>,
      < -1.376960, -1.625750, -0.793688>,
      < -0.079176, -1.624981, -0.793688>
    }
    triangle {
      < -1.478327, -1.845565, -0.567445>,
      < -0.079176, -1.624981, -0.793688>,
      < -0.139620, -1.669768, -0.748791>
    }
    triangle {
      < -1.618270, -1.223176, -0.544018>,
      < -1.549659, -1.449664, -0.764191>,
      < -1.549664, -1.442214, -0.767999>
    }
    triangle {
      < -1.618270, -1.223176, -0.544018>,
      < -1.549664, -1.442214, -0.767999>,
      < -1.618284, -1.198854, -0.568404>
    }
    triangle {
      < -1.549664, -1.442214, -0.767999>,
      < -1.549677, -1.420336, -0.795088>,
      < -1.618284, -1.198854, -0.568404>
    }
    triangle {
      < -1.912994, -1.199029, -0.568404>,
      < -1.914106, -1.420552, -0.795088>,
      < -1.914093, -1.442430, -0.767999>
    }
    triangle {
      < -1.912994, -1.199029, -0.568404>,
      < -1.914093, -1.442430, -0.767999>,
      < -1.912980, -1.223351, -0.544018>
    }
    triangle {
      < -1.914093, -1.442430, -0.767999>,
      < -1.914088, -1.449880, -0.764191>,
      < -1.912980, -1.223351, -0.544018>
    }
    triangle {
      < -1.618284, -1.198854, -0.568404>,
      < -1.549677, -1.420336, -0.795088>,
      < -1.914106, -1.420552, -0.795088>
    }
    triangle {
      < -1.618284, -1.198854, -0.568404>,
      < -1.914106, -1.420552, -0.795088>,
      < -1.912994, -1.199029, -0.568404>
    }
    triangle {
      < -1.912980, -1.223351, -0.544018>,
      < -1.914088, -1.449880, -0.764191>,
      < -1.549659, -1.449664, -0.764191>
    }
    triangle {
      < -1.912980, -1.223351, -0.544018>,
      < -1.549659, -1.449664, -0.764191>,
      < -1.618270, -1.223176, -0.544018>
    }
    triangle {
      < -0.139777, -1.403592, -0.719075>,
      < -0.078807, -1.448792, -0.764192>,
      < -0.081278, -1.441344, -0.768000>
    }
    triangle {
      < -0.139777, -1.403592, -0.719075>,
      < -0.081278, -1.441344, -0.768000>,
      < -0.139795, -1.373518, -0.749229>
    }
    triangle {
      < -0.081278, -1.441344, -0.768000>,
      < -0.077819, -1.419464, -0.795089>,
      < -0.139795, -1.373518, -0.749229>
    }
    triangle {
      < -1.478710, -1.198772, -0.568404>,
      < -1.377082, -1.420234, -0.795089>,
      < -1.377069, -1.442112, -0.768000>
    }
    triangle {
      < -1.478710, -1.198772, -0.568404>,
      < -1.377069, -1.442112, -0.768000>,
      < -1.478696, -1.223093, -0.544018>
    }
    triangle {
      < -1.377069, -1.442112, -0.768000>,
      < -1.377064, -1.449561, -0.764191>,
      < -1.478696, -1.223093, -0.544018>
    }
    triangle {
      < -0.139795, -1.373518, -0.749229>,
      < -0.077819, -1.419464, -0.795089>,
      < -1.377082, -1.420234, -0.795089>
    }
    triangle {
      < -0.139795, -1.373518, -0.749229>,
      < -1.377082, -1.420234, -0.795089>,
      < -1.478710, -1.198772, -0.568404>
    }
    triangle {
      < -1.478696, -1.223093, -0.544018>,
      < -1.377064, -1.449561, -0.764191>,
      < -0.078807, -1.448792, -0.764192>
    }
    triangle {
      < -1.478696, -1.223093, -0.544018>,
      < -0.078807, -1.448792, -0.764192>,
      < -0.139777, -1.403592, -0.719075>
    }
    triangle {
      < -1.478695, -1.224244, -1.191165>,
      < -1.478710, -1.199836, -1.166866>,
      < -0.139795, -1.373938, -0.985418>
    }
    triangle {
      < -1.478695, -1.224244, -1.191165>,
      < -0.139795, -1.373938, -0.985418>,
      < -0.139777, -1.404119, -1.015465>
    }
    triangle {
      < -1.912979, -1.224501, -1.191164>,
      < -1.912994, -1.200094, -1.166866>,
      < -1.618284, -1.199919, -1.166866>
    }
    triangle {
      < -1.912979, -1.224501, -1.191164>,
      < -1.618284, -1.199919, -1.166866>,
      < -1.618269, -1.224326, -1.191165>
    }
    triangle {
      < -1.478710, -1.198772, -0.568404>,
      < -1.478696, -1.223093, -0.544018>,
      < -0.139777, -1.403592, -0.719075>
    }
    triangle {
      < -1.478710, -1.198772, -0.568404>,
      < -0.139777, -1.403592, -0.719075>,
      < -0.139795, -1.373518, -0.749229>
    }
    triangle {
      < -1.912994, -1.199029, -0.568404>,
      < -1.912980, -1.223351, -0.544018>,
      < -1.618270, -1.223176, -0.544018>
    }
    triangle {
      < -1.912994, -1.199029, -0.568404>,
      < -1.618270, -1.223176, -0.544018>,
      < -1.618284, -1.198854, -0.568404>
    }
    triangle {
      < -1.478326, -1.846627, -1.165525>,
      < -1.478341, -1.822322, -1.189925>,
      < -0.139637, -1.640132, -1.014976>
    }
    triangle {
      < -1.478326, -1.846627, -1.165525>,
      < -0.139637, -1.640132, -1.014976>,
      < -0.139620, -1.670189, -0.984803>
    }
    triangle {
      < -1.912610, -1.846885, -1.165525>,
      < -1.912625, -1.822579, -1.189925>,
      < -1.617915, -1.822405, -1.189925>
    }
    triangle {
      < -1.912610, -1.846885, -1.165525>,
      < -1.617915, -1.822405, -1.189925>,
      < -1.617900, -1.846710, -1.165525>
    }
    triangle {
      < -1.478341, -1.821172, -0.543132>,
      < -1.478327, -1.845565, -0.567445>,
      < -0.139620, -1.669768, -0.748791>
    }
    triangle {
      < -1.478341, -1.821172, -0.543132>,
      < -0.139620, -1.669768, -0.748791>,
      < -0.139638, -1.639605, -0.718725>
    }
    triangle {
      < -1.912625, -1.821429, -0.543132>,
      < -1.912611, -1.845822, -0.567445>,
      < -1.617901, -1.845648, -0.567445>
    }
    triangle {
      < -1.912625, -1.821429, -0.543132>,
      < -1.617901, -1.845648, -0.567445>,
      < -1.617915, -1.821254, -0.543132>
    }
    triangle {
      < -1.377064, -1.450817, -0.969296>,
      < -0.077605, -1.450047, -0.969297>,
      < 0.673009, -1.475862, -0.986291>
    }
    triangle {
      < -0.077605, -1.450047, -0.969297>,
      < -0.081950, -1.431646, -0.957387>,
      < 0.672983, -1.431198, -0.957387>
    }
    triangle {
      < -0.077605, -1.450047, -0.969297>,
      < 0.672983, -1.431198, -0.957387>,
      < 0.673009, -1.475862, -0.986291>
    }
    triangle {
      < -1.377064, -1.450817, -0.969296>,
      < 0.673009, -1.475862, -0.986291>,
      < -1.549659, -1.450919, -0.969296>
    }
    triangle {
      < -1.377064, -1.450817, -0.969296>,
      < -1.549659, -1.450919, -0.969296>,
      < -1.377075, -1.432413, -0.957386>
    }
    triangle {
      < 0.673009, -1.475862, -0.986291>,
      < -1.960610, -1.477423, -0.986290>,
      < -1.914088, -1.451135, -0.969296>
    }
    triangle {
      < 0.673009, -1.475862, -0.986291>,
      < -1.914088, -1.451135, -0.969296>,
      < -1.549659, -1.450919, -0.969296>
    }
    triangle {
      < -1.960610, -1.477423, -0.986290>,
      < -1.960637, -1.432759, -0.957386>,
      < -1.914099, -1.432731, -0.957386>
    }
    triangle {
      < -1.960610, -1.477423, -0.986290>,
      < -1.914099, -1.432731, -0.957386>,
      < -1.914088, -1.451135, -0.969296>
    }
    triangle {
      < -1.549659, -1.450919, -0.969296>,
      < -1.549670, -1.432515, -0.957386>,
      < -1.377075, -1.432413, -0.957386>
    }
    triangle {
      < -1.549573, -1.594958, -0.969143>,
      < -1.914002, -1.595174, -0.969143>,
      < -1.960549, -1.581056, -0.980643>
    }
    triangle {
      < -1.914002, -1.595174, -0.969143>,
      < -1.913986, -1.622192, -0.947177>,
      < -1.960524, -1.622220, -0.947177>
    }
    triangle {
      < -1.914002, -1.595174, -0.969143>,
      < -1.960524, -1.622220, -0.947177>,
      < -1.960549, -1.581056, -0.980643>
    }
    triangle {
      < -1.549573, -1.594958, -0.969143>,
      < -1.960549, -1.581056, -0.980643>,
      < -1.376978, -1.594856, -0.969143>
    }
    triangle {
      < -1.549573, -1.594958, -0.969143>,
      < -1.376978, -1.594856, -0.969143>,
      < -1.549557, -1.621976, -0.947177>
    }
    triangle {
      < -1.960549, -1.581056, -0.980643>,
      < 0.673071, -1.579495, -0.980644>,
      < -0.077716, -1.594086, -0.969143>
    }
    triangle {
      < -1.960549, -1.581056, -0.980643>,
      < -0.077716, -1.594086, -0.969143>,
      < -1.376978, -1.594856, -0.969143>
    }
    triangle {
      < 0.673071, -1.579495, -0.980644>,
      < 0.673095, -1.620659, -0.947178>,
      < -0.081172, -1.621106, -0.947177>
    }
    triangle {
      < 0.673071, -1.579495, -0.980644>,
      < -0.081172, -1.621106, -0.947177>,
      < -0.077716, -1.594086, -0.969143>
    }
    triangle {
      < -1.376978, -1.594856, -0.969143>,
      < -1.376962, -1.621874, -0.947177>,
      < -1.549557, -1.621976, -0.947177>
    }
    triangle {
      < -1.376960, -1.625659, -0.939715>,
      < -0.078702, -1.624889, -0.939715>,
      < 0.673109, -1.644656, -0.899863>
    }
    triangle {
      < -0.078702, -1.624889, -0.939715>,
      < -0.081172, -1.621106, -0.947177>,
      < 0.673095, -1.620659, -0.947178>
    }
    triangle {
      < -0.078702, -1.624889, -0.939715>,
      < 0.673095, -1.620659, -0.947178>,
      < 0.673109, -1.644656, -0.899863>
    }
    triangle {
      < -1.376960, -1.625659, -0.939715>,
      < 0.673109, -1.644656, -0.899863>,
      < -1.549555, -1.625761, -0.939715>
    }
    triangle {
      < -1.376960, -1.625659, -0.939715>,
      < -1.549555, -1.625761, -0.939715>,
      < -1.376962, -1.621874, -0.947177>
    }
    triangle {
      < 0.673109, -1.644656, -0.899863>,
      < -1.960510, -1.646217, -0.899863>,
      < -1.913984, -1.625977, -0.939715>
    }
    triangle {
      < 0.673109, -1.644656, -0.899863>,
      < -1.913984, -1.625977, -0.939715>,
      < -1.549555, -1.625761, -0.939715>
    }
    triangle {
      < -1.960510, -1.646217, -0.899863>,
      < -1.960524, -1.622220, -0.947177>,
      < -1.913986, -1.622192, -0.947177>
    }
    triangle {
      < -1.960510, -1.646217, -0.899863>,
      < -1.913986, -1.622192, -0.947177>,
      < -1.913984, -1.625977, -0.939715>
    }
    triangle {
      < -1.549555, -1.625761, -0.939715>,
      < -1.549557, -1.621976, -0.947177>,
      < -1.376962, -1.621874, -0.947177>
    }
    triangle {
      < 0.673100, -1.628241, -0.797382>,
      < -0.079176, -1.624981, -0.793688>,
      < -1.960520, -1.629802, -0.797381>
    }
    triangle {
      < 0.673100, -1.628241, -0.797382>,
      < 0.673078, -1.590666, -0.759930>,
      < -0.079194, -1.594818, -0.763623>
    }
    triangle {
      < 0.673100, -1.628241, -0.797382>,
      < -0.079194, -1.594818, -0.763623>,
      < -0.079176, -1.624981, -0.793688>
    }
    triangle {
      < 0.673078, -1.590666, -0.759930>,
      < -1.376978, -1.595587, -0.763623>,
      < -0.079194, -1.594818, -0.763623>
    }
    triangle {
      < 0.673078, -1.590666, -0.759930>,
      < -1.549573, -1.595690, -0.763622>,
      < -1.376978, -1.595587, -0.763623>
    }
    triangle {
      < -0.079176, -1.624981, -0.793688>,
      < -1.376960, -1.625750, -0.793688>,
      < -1.960520, -1.629802, -0.797381>
    }
    triangle {
      < -1.376960, -1.625750, -0.793688>,
      < -1.549555, -1.625852, -0.793688>,
      < -1.960520, -1.629802, -0.797381>
    }
    triangle {
      < -1.376960, -1.625750, -0.793688>,
      < -1.376978, -1.595587, -0.763623>,
      < -1.549555, -1.625852, -0.793688>
    }
    triangle {
      < -1.376978, -1.595587, -0.763623>,
      < -1.549573, -1.595690, -0.763622>,
      < -1.549555, -1.625852, -0.793688>
    }
    triangle {
      < 0.673078, -1.590666, -0.759930>,
      < -1.960542, -1.592227, -0.759930>,
      < -1.914002, -1.595906, -0.763622>
    }
    triangle {
      < 0.673078, -1.590666, -0.759930>,
      < -1.914002, -1.595906, -0.763622>,
      < -1.549573, -1.595690, -0.763622>
    }
    triangle {
      < -1.549555, -1.625852, -0.793688>,
      < -1.913984, -1.626068, -0.793687>,
      < -1.960520, -1.629802, -0.797381>
    }
    triangle {
      < -1.913984, -1.626068, -0.793687>,
      < -1.914002, -1.595906, -0.763622>,
      < -1.960520, -1.629802, -0.797381>
    }
    triangle {
      < -1.914002, -1.595906, -0.763622>,
      < -1.960542, -1.592227, -0.759930>,
      < -1.960520, -1.629802, -0.797381>
    }
    triangle {
      < -1.549659, -1.449664, -0.764191>,
      < -1.914088, -1.449880, -0.764191>,
      < -1.960603, -1.489694, -0.743848>
    }
    triangle {
      < -1.914088, -1.449880, -0.764191>,
      < -1.914093, -1.442430, -0.767999>,
      < -1.960631, -1.442458, -0.767999>
    }
    triangle {
      < -1.914088, -1.449880, -0.764191>,
      < -1.960631, -1.442458, -0.767999>,
      < -1.960603, -1.489694, -0.743848>
    }
    triangle {
      < -1.549659, -1.449664, -0.764191>,
      < -1.960603, -1.489694, -0.743848>,
      < -1.377064, -1.449561, -0.764191>
    }
    triangle {
      < -1.549659, -1.449664, -0.764191>,
      < -1.377064, -1.449561, -0.764191>,
      < -1.549664, -1.442214, -0.767999>
    }
    triangle {
      < -1.960603, -1.489694, -0.743848>,
      < 0.673017, -1.488134, -0.743849>,
      < -0.078807, -1.448792, -0.764192>
    }
    triangle {
      < -1.960603, -1.489694, -0.743848>,
      < -0.078807, -1.448792, -0.764192>,
      < -1.377064, -1.449561, -0.764191>
    }
    triangle {
      < 0.673017, -1.488134, -0.743849>,
      < 0.672989, -1.440897, -0.768000>,
      < -0.081278, -1.441344, -0.768000>
    }
    triangle {
      < 0.673017, -1.488134, -0.743849>,
      < -0.081278, -1.441344, -0.768000>,
      < -0.078807, -1.448792, -0.764192>
    }
    triangle {
      < -1.377064, -1.449561, -0.764191>,
      < -1.377069, -1.442112, -0.768000>,
      < -1.549664, -1.442214, -0.767999>
    }
    triangle {
      < -1.377082, -1.420234, -0.795089>,
      < -0.077819, -1.419464, -0.795089>,
      < 0.672969, -1.407564, -0.809273>
    }
    triangle {
      < -0.077819, -1.419464, -0.795089>,
      < -0.081278, -1.441344, -0.768000>,
      < 0.672989, -1.440897, -0.768000>
    }
    triangle {
      < -0.077819, -1.419464, -0.795089>,
      < 0.672989, -1.440897, -0.768000>,
      < 0.672969, -1.407564, -0.809273>
    }
    triangle {
      < -1.377082, -1.420234, -0.795089>,
      < 0.672969, -1.407564, -0.809273>,
      < -1.549677, -1.420336, -0.795088>
    }
    triangle {
      < -1.377082, -1.420234, -0.795089>,
      < -1.549677, -1.420336, -0.795088>,
      < -1.377069, -1.442112, -0.768000>
    }
    triangle {
      < 0.672969, -1.407564, -0.809273>,
      < -1.960651, -1.409125, -0.809272>,
      < -1.914106, -1.420552, -0.795088>
    }
    triangle {
      < 0.672969, -1.407564, -0.809273>,
      < -1.914106, -1.420552, -0.795088>,
      < -1.549677, -1.420336, -0.795088>
    }
    triangle {
      < -1.960651, -1.409125, -0.809272>,
      < -1.960631, -1.442458, -0.767999>,
      < -1.914093, -1.442430, -0.767999>
    }
    triangle {
      < -1.960651, -1.409125, -0.809272>,
      < -1.914093, -1.442430, -0.767999>,
      < -1.914106, -1.420552, -0.795088>
    }
    triangle {
      < -1.549677, -1.420336, -0.795088>,
      < -1.549664, -1.442214, -0.767999>,
      < -1.377069, -1.442112, -0.768000>
    }
    triangle {
      < -1.549677, -1.420721, -0.939266>,
      < -1.914106, -1.420937, -0.939266>,
      < -1.960654, -1.403816, -0.912923>
    }
    triangle {
      < -1.914106, -1.420937, -0.939266>,
      < -1.914099, -1.432731, -0.957386>,
      < -1.960637, -1.432759, -0.957386>
    }
    triangle {
      < -1.914106, -1.420937, -0.939266>,
      < -1.960637, -1.432759, -0.957386>,
      < -1.960654, -1.403816, -0.912923>
    }
    triangle {
      < -1.549677, -1.420721, -0.939266>,
      < -1.960654, -1.403816, -0.912923>,
      < -1.377082, -1.420618, -0.939266>
    }
    triangle {
      < -1.549677, -1.420721, -0.939266>,
      < -1.377082, -1.420618, -0.939266>,
      < -1.549670, -1.432515, -0.957386>
    }
    triangle {
      < -1.960654, -1.403816, -0.912923>,
      < 0.672966, -1.402256, -0.912924>,
      < -0.077645, -1.419848, -0.939267>
    }
    triangle {
      < -1.960654, -1.403816, -0.912923>,
      < -0.077645, -1.419848, -0.939267>,
      < -1.377082, -1.420618, -0.939266>
    }
    triangle {
      < 0.672966, -1.402256, -0.912924>,
      < 0.672983, -1.431198, -0.957387>,
      < -0.081950, -1.431646, -0.957387>
    }
    triangle {
      < 0.672966, -1.402256, -0.912924>,
      < -0.081950, -1.431646, -0.957387>,
      < -0.077645, -1.419848, -0.939267>
    }
    triangle {
      < -1.377082, -1.420618, -0.939266>,
      < -1.377075, -1.432413, -0.957386>,
      < -1.549670, -1.432515, -0.957386>
    }
    triangle {
      < 0.672983, -1.431198, -0.957387>,
      < 0.672966, -1.402256, -0.912924>,
      < 1.095457, -1.425822, -0.903752>
    }
    triangle {
      < 0.672983, -1.431198, -0.957387>,
      < 1.095457, -1.425822, -0.903752>,
      < 1.095471, -1.448976, -0.939321>
    }
    triangle {
      < 0.673009, -1.475862, -0.986291>,
      < 0.672983, -1.431198, -0.957387>,
      < 1.095471, -1.448976, -0.939321>
    }
    triangle {
      < 0.673009, -1.475862, -0.986291>,
      < 1.095471, -1.448976, -0.939321>,
      < 1.095492, -1.484707, -0.962444>
    }
    triangle {
      < -1.982552, -1.486531, -0.962443>,
      < -1.982573, -1.450800, -0.939320>,
      < -1.960637, -1.432759, -0.957386>
    }
    triangle {
      < -1.982552, -1.486531, -0.962443>,
      < -1.960637, -1.432759, -0.957386>,
      < -1.960610, -1.477423, -0.986290>
    }
    triangle {
      < -1.982573, -1.450800, -0.939320>,
      < -1.982587, -1.427646, -0.903751>,
      < -1.960654, -1.403816, -0.912923>
    }
    triangle {
      < -1.982573, -1.450800, -0.939320>,
      < -1.960654, -1.403816, -0.912923>,
      < -1.960637, -1.432759, -0.957386>
    }
    triangle {
      < -1.960654, -1.403816, -0.912923>,
      < -1.960659, -1.395457, -0.860533>,
      < 0.672961, -1.393897, -0.860534>
    }
    triangle {
      < -1.960654, -1.403816, -0.912923>,
      < 0.672961, -1.393897, -0.860534>,
      < 0.672966, -1.402256, -0.912924>
    }
    triangle {
      < -1.982587, -1.427646, -0.903751>,
      < -1.982591, -1.420958, -0.861839>,
      < -1.960659, -1.395457, -0.860533>
    }
    triangle {
      < -1.982587, -1.427646, -0.903751>,
      < -1.960659, -1.395457, -0.860533>,
      < -1.960654, -1.403816, -0.912923>
    }
    triangle {
      < 0.672966, -1.402256, -0.912924>,
      < 0.672961, -1.393897, -0.860534>,
      < 1.095453, -1.419134, -0.861840>
    }
    triangle {
      < 0.672966, -1.402256, -0.912924>,
      < 1.095453, -1.419134, -0.861840>,
      < 1.095457, -1.425822, -0.903752>
    }
    triangle {
      < -1.960579, -1.529840, -0.994479>,
      < -1.960610, -1.477423, -0.986290>,
      < 0.673009, -1.475862, -0.986291>
    }
    triangle {
      < -1.960579, -1.529840, -0.994479>,
      < 0.673009, -1.475862, -0.986291>,
      < 0.673040, -1.528279, -0.994479>
    }
    triangle {
      < 0.673040, -1.528279, -0.994479>,
      < 0.673009, -1.475862, -0.986291>,
      < 1.095492, -1.484707, -0.962444>
    }
    triangle {
      < 0.673040, -1.528279, -0.994479>,
      < 1.095492, -1.484707, -0.962444>,
      < 1.095517, -1.526640, -0.968996>
    }
    triangle {
      < -1.982527, -1.528464, -0.968995>,
      < -1.982552, -1.486531, -0.962443>,
      < -1.960610, -1.477423, -0.986290>
    }
    triangle {
      < -1.982527, -1.528464, -0.968995>,
      < -1.960610, -1.477423, -0.986290>,
      < -1.960579, -1.529840, -0.994479>
    }
    triangle {
      < 1.095492, -1.484707, -0.962444>,
      < 1.095471, -1.448976, -0.939321>,
      < 1.282029, -1.466893, -0.921257>
    }
    triangle {
      < 1.095492, -1.484707, -0.962444>,
      < 1.282029, -1.466893, -0.921257>,
      < 1.282045, -1.493691, -0.938599>
    }
    triangle {
      < -1.823429, -1.499429, -0.928379>,
      < -1.823443, -1.476459, -0.913513>,
      < -1.982573, -1.450800, -0.939320>
    }
    triangle {
      < -1.823429, -1.499429, -0.928379>,
      < -1.982573, -1.450800, -0.939320>,
      < -1.982552, -1.486531, -0.962443>
    }
    triangle {
      < 1.095471, -1.448976, -0.939321>,
      < 1.095457, -1.425822, -0.903752>,
      < 1.282019, -1.449527, -0.894579>
    }
    triangle {
      < 1.095471, -1.448976, -0.939321>,
      < 1.282019, -1.449527, -0.894579>,
      < 1.282029, -1.466893, -0.921257>
    }
    triangle {
      < -1.823443, -1.476459, -0.913513>,
      < -1.823451, -1.461575, -0.890647>,
      < -1.982587, -1.427646, -0.903751>
    }
    triangle {
      < -1.823443, -1.476459, -0.913513>,
      < -1.982587, -1.427646, -0.903751>,
      < -1.982573, -1.450800, -0.939320>
    }
    triangle {
      < 1.095457, -1.425822, -0.903752>,
      < 1.095453, -1.419134, -0.861840>,
      < 1.282016, -1.444511, -0.863145>
    }
    triangle {
      < 1.095457, -1.425822, -0.903752>,
      < 1.282016, -1.444511, -0.863145>,
      < 1.282019, -1.449527, -0.894579>
    }
    triangle {
      < -1.823451, -1.461575, -0.890647>,
      < -1.823454, -1.457276, -0.863703>,
      < -1.982591, -1.420958, -0.861839>
    }
    triangle {
      < -1.823451, -1.461575, -0.890647>,
      < -1.982591, -1.420958, -0.861839>,
      < -1.982587, -1.427646, -0.903751>
    }
    triangle {
      < -1.823413, -1.526386, -0.932590>,
      < -1.823429, -1.499429, -0.928379>,
      < -1.982552, -1.486531, -0.962443>
    }
    triangle {
      < -1.823413, -1.526386, -0.932590>,
      < -1.982552, -1.486531, -0.962443>,
      < -1.982527, -1.528464, -0.968995>
    }
    triangle {
      < 1.095517, -1.526640, -0.968996>,
      < 1.095492, -1.484707, -0.962444>,
      < 1.282045, -1.493691, -0.938599>
    }
    triangle {
      < 1.095517, -1.526640, -0.968996>,
      < 1.282045, -1.493691, -0.938599>,
      < 1.282064, -1.525141, -0.943512>
    }
    triangle {
      < 0.672961, -1.393897, -0.860534>,
      < 0.672969, -1.407564, -0.809273>,
      < 1.095459, -1.430069, -0.820832>
    }
    triangle {
      < 0.672961, -1.393897, -0.860534>,
      < 1.095459, -1.430069, -0.820832>,
      < 1.095453, -1.419134, -0.861840>
    }
    triangle {
      < -1.982591, -1.420958, -0.861839>,
      < -1.982584, -1.431893, -0.820831>,
      < -1.960651, -1.409125, -0.809272>
    }
    triangle {
      < -1.982591, -1.420958, -0.861839>,
      < -1.960651, -1.409125, -0.809272>,
      < -1.960659, -1.395457, -0.860533>
    }
    triangle {
      < -1.960659, -1.395457, -0.860533>,
      < -1.960651, -1.409125, -0.809272>,
      < 0.672969, -1.407564, -0.809273>
    }
    triangle {
      < -1.960659, -1.395457, -0.860533>,
      < 0.672969, -1.407564, -0.809273>,
      < 0.672961, -1.393897, -0.860534>
    }
    triangle {
      < 0.673071, -1.579495, -0.980644>,
      < 0.673040, -1.528279, -0.994479>,
      < 1.095517, -1.526640, -0.968996>
    }
    triangle {
      < 0.673071, -1.579495, -0.980644>,
      < 1.095517, -1.526640, -0.968996>,
      < 1.095541, -1.567613, -0.957928>
    }
    triangle {
      < -1.960549, -1.581056, -0.980643>,
      < -1.960579, -1.529840, -0.994479>,
      < 0.673040, -1.528279, -0.994479>
    }
    triangle {
      < -1.960549, -1.581056, -0.980643>,
      < 0.673040, -1.528279, -0.994479>,
      < 0.673071, -1.579495, -0.980644>
    }
    triangle {
      < -1.982503, -1.569437, -0.957927>,
      < -1.982527, -1.528464, -0.968995>,
      < -1.960579, -1.529840, -0.994479>
    }
    triangle {
      < -1.982503, -1.569437, -0.957927>,
      < -1.960579, -1.529840, -0.994479>,
      < -1.960549, -1.581056, -0.980643>
    }
    triangle {
      < 1.282045, -1.493691, -0.938599>,
      < 1.282029, -1.466893, -0.921257>,
      < 1.386288, -1.487434, -0.900611>
    }
    triangle {
      < 1.282045, -1.493691, -0.938599>,
      < 1.386288, -1.487434, -0.900611>,
      < 1.386298, -1.504023, -0.911347>
    }
    triangle {
      < 1.282029, -1.466893, -0.921257>,
      < 1.282019, -1.449527, -0.894579>,
      < 1.386282, -1.476684, -0.884096>
    }
    triangle {
      < 1.282029, -1.466893, -0.921257>,
      < 1.386282, -1.476684, -0.884096>,
      < 1.386288, -1.487434, -0.900611>
    }
    triangle {
      < 1.282019, -1.449527, -0.894579>,
      < 1.282016, -1.444511, -0.863145>,
      < 1.386280, -1.473580, -0.864637>
    }
    triangle {
      < 1.282019, -1.449527, -0.894579>,
      < 1.386280, -1.473580, -0.864637>,
      < 1.386282, -1.476684, -0.884096>
    }
    triangle {
      < 1.282064, -1.525141, -0.943512>,
      < 1.282045, -1.493691, -0.938599>,
      < 1.386298, -1.504023, -0.911347>
    }
    triangle {
      < 1.282064, -1.525141, -0.943512>,
      < 1.386298, -1.504023, -0.911347>,
      < 1.386310, -1.523493, -0.914388>
    }
    triangle {
      < 1.095453, -1.419134, -0.861840>,
      < 1.095459, -1.430069, -0.820832>,
      < 1.282021, -1.452713, -0.832388>
    }
    triangle {
      < 1.095453, -1.419134, -0.861840>,
      < 1.282021, -1.452713, -0.832388>,
      < 1.282016, -1.444511, -0.863145>
    }
    triangle {
      < -1.823454, -1.457276, -0.863703>,
      < -1.823450, -1.464304, -0.837340>,
      < -1.982584, -1.431893, -0.820831>
    }
    triangle {
      < -1.823454, -1.457276, -0.863703>,
      < -1.982584, -1.431893, -0.820831>,
      < -1.982591, -1.420958, -0.861839>
    }
    triangle {
      < 1.095541, -1.567613, -0.957928>,
      < 1.095517, -1.526640, -0.968996>,
      < 1.282064, -1.525141, -0.943512>
    }
    triangle {
      < 1.095541, -1.567613, -0.957928>,
      < 1.282064, -1.525141, -0.943512>,
      < 1.282082, -1.555871, -0.935211>
    }
    triangle {
      < -1.823397, -1.552727, -0.925475>,
      < -1.823413, -1.526386, -0.932590>,
      < -1.982527, -1.528464, -0.968995>
    }
    triangle {
      < -1.823397, -1.552727, -0.925475>,
      < -1.982527, -1.528464, -0.968995>,
      < -1.982503, -1.569437, -0.957927>
    }
    triangle {
      < -1.790495, -1.522797, -0.867060>,
      < -1.823443, -1.476459, -0.913513>,
      < -1.823429, -1.499429, -0.928379>
    }
    triangle {
      < -1.790495, -1.522797, -0.867060>,
      < -1.823451, -1.461575, -0.890647>,
      < -1.823443, -1.476459, -0.913513>
    }
    triangle {
      < -1.790495, -1.522797, -0.867060>,
      < -1.823454, -1.457276, -0.863703>,
      < -1.823451, -1.461575, -0.890647>
    }
    triangle {
      < -1.790495, -1.522797, -0.867060>,
      < -1.823429, -1.499429, -0.928379>,
      < -1.823413, -1.526386, -0.932590>
    }
    triangle {
      < 1.282016, -1.444511, -0.863145>,
      < 1.282021, -1.452713, -0.832388>,
      < 1.386283, -1.478655, -0.845597>
    }
    triangle {
      < 1.282016, -1.444511, -0.863145>,
      < 1.386283, -1.478655, -0.845597>,
      < 1.386280, -1.473580, -0.864637>
    }
    triangle {
      < 1.282082, -1.555871, -0.935211>,
      < 1.282064, -1.525141, -0.943512>,
      < 1.386310, -1.523493, -0.914388>
    }
    triangle {
      < 1.282082, -1.555871, -0.935211>,
      < 1.386310, -1.523493, -0.914388>,
      < 1.386321, -1.542516, -0.909250>
    }
    triangle {
      < 1.386288, -1.487434, -0.900611>,
      < 1.386282, -1.476684, -0.884096>,
      < 1.474096, -1.520862, -0.867061>
    }
    triangle {
      < 1.386298, -1.504023, -0.911347>,
      < 1.386288, -1.487434, -0.900611>,
      < 1.474096, -1.520862, -0.867061>
    }
    triangle {
      < -1.790495, -1.522797, -0.867060>,
      < -1.823450, -1.464304, -0.837340>,
      < -1.823454, -1.457276, -0.863703>
    }
    triangle {
      < -1.790495, -1.522797, -0.867060>,
      < -1.823413, -1.526386, -0.932590>,
      < -1.823397, -1.552727, -0.925475>
    }
    triangle {
      < 1.386282, -1.476684, -0.884096>,
      < 1.386280, -1.473580, -0.864637>,
      < 1.474096, -1.520862, -0.867061>
    }
    triangle {
      < 1.386310, -1.523493, -0.914388>,
      < 1.386298, -1.504023, -0.911347>,
      < 1.474096, -1.520862, -0.867061>
    }
    triangle {
      < -1.982584, -1.431893, -0.820831>,
      < -1.982568, -1.458558, -0.787811>,
      < -1.960631, -1.442458, -0.767999>
    }
    triangle {
      < -1.982584, -1.431893, -0.820831>,
      < -1.960631, -1.442458, -0.767999>,
      < -1.960651, -1.409125, -0.809272>
    }
    triangle {
      < 0.672969, -1.407564, -0.809273>,
      < 0.672989, -1.440897, -0.768000>,
      < 1.095475, -1.456734, -0.787812>
    }
    triangle {
      < 0.672969, -1.407564, -0.809273>,
      < 1.095475, -1.456734, -0.787812>,
      < 1.095459, -1.430069, -0.820832>
    }
    triangle {
      < -1.982483, -1.602368, -0.931154>,
      < -1.982503, -1.569437, -0.957927>,
      < -1.960549, -1.581056, -0.980643>
    }
    triangle {
      < -1.982483, -1.602368, -0.931154>,
      < -1.960549, -1.581056, -0.980643>,
      < -1.960524, -1.622220, -0.947177>
    }
    triangle {
      < 0.673095, -1.620659, -0.947178>,
      < 0.673071, -1.579495, -0.980644>,
      < 1.095541, -1.567613, -0.957928>
    }
    triangle {
      < 0.673095, -1.620659, -0.947178>,
      < 1.095541, -1.567613, -0.957928>,
      < 1.095560, -1.600544, -0.931155>
    }
    triangle {
      < 1.386280, -1.473580, -0.864637>,
      < 1.386283, -1.478655, -0.845597>,
      < 1.474096, -1.520862, -0.867061>
    }
    triangle {
      < 1.386321, -1.542516, -0.909250>,
      < 1.386310, -1.523493, -0.914388>,
      < 1.474096, -1.520862, -0.867061>
    }
    triangle {
      < 1.095459, -1.430069, -0.820832>,
      < 1.095475, -1.456734, -0.787812>,
      < 1.282033, -1.472711, -0.807624>
    }
    triangle {
      < 1.095459, -1.430069, -0.820832>,
      < 1.282033, -1.472711, -0.807624>,
      < 1.282021, -1.452713, -0.832388>
    }
    triangle {
      < -1.823450, -1.464304, -0.837340>,
      < -1.823440, -1.481447, -0.816114>,
      < -1.982568, -1.458558, -0.787811>
    }
    triangle {
      < -1.823450, -1.464304, -0.837340>,
      < -1.982568, -1.458558, -0.787811>,
      < -1.982584, -1.431893, -0.820831>
    }
    triangle {
      < 1.095560, -1.600544, -0.931155>,
      < 1.095541, -1.567613, -0.957928>,
      < 1.282082, -1.555871, -0.935211>
    }
    triangle {
      < 1.095560, -1.600544, -0.931155>,
      < 1.282082, -1.555871, -0.935211>,
      < 1.282097, -1.580569, -0.915132>
    }
    triangle {
      < -1.823385, -1.573896, -0.908262>,
      < -1.823397, -1.552727, -0.925475>,
      < -1.982503, -1.569437, -0.957927>
    }
    triangle {
      < -1.823385, -1.573896, -0.908262>,
      < -1.982503, -1.569437, -0.957927>,
      < -1.982483, -1.602368, -0.931154>
    }
    triangle {
      < 1.282021, -1.452713, -0.832388>,
      < 1.282033, -1.472711, -0.807624>,
      < 1.386291, -1.491036, -0.830268>
    }
    triangle {
      < 1.282021, -1.452713, -0.832388>,
      < 1.386291, -1.491036, -0.830268>,
      < 1.386283, -1.478655, -0.845597>
    }
    triangle {
      < 1.282097, -1.580569, -0.915132>,
      < 1.282082, -1.555871, -0.935211>,
      < 1.386321, -1.542516, -0.909250>
    }
    triangle {
      < 1.282097, -1.580569, -0.915132>,
      < 1.386321, -1.542516, -0.909250>,
      < 1.386330, -1.557806, -0.896819>
    }
    triangle {
      < -1.790495, -1.522797, -0.867060>,
      < -1.823440, -1.481447, -0.816114>,
      < -1.823450, -1.464304, -0.837340>
    }
    triangle {
      < -1.790495, -1.522797, -0.867060>,
      < -1.823397, -1.552727, -0.925475>,
      < -1.823385, -1.573896, -0.908262>
    }
    triangle {
      < 1.386283, -1.478655, -0.845597>,
      < 1.386291, -1.491036, -0.830268>,
      < 1.474096, -1.520862, -0.867061>
    }
    triangle {
      < 1.386330, -1.557806, -0.896819>,
      < 1.386321, -1.542516, -0.909250>,
      < 1.474096, -1.520862, -0.867061>
    }
    triangle {
      < -1.790495, -1.522797, -0.867060>,
      < -1.823385, -1.573896, -0.908262>,
      < -1.823377, -1.586237, -0.883929>
    }
    triangle {
      < 1.386291, -1.491036, -0.830268>,
      < 1.386301, -1.508581, -0.821296>,
      < 1.474096, -1.520862, -0.867061>
    }
    triangle {
      < -1.790495, -1.522797, -0.867060>,
      < -1.823377, -1.586237, -0.883929>,
      < -1.823377, -1.587617, -0.856680>
    }
    triangle {
      < -1.790495, -1.522797, -0.867060>,
      < -1.823382, -1.577796, -0.831225>,
      < -1.823394, -1.558471, -0.811964>
    }
    triangle {
      < -1.790495, -1.522797, -0.867060>,
      < -1.823377, -1.587617, -0.856680>,
      < -1.823382, -1.577796, -0.831225>
    }
    triangle {
      < 1.386324, -1.546665, -0.827270>,
      < 1.386332, -1.560622, -0.841181>,
      < 1.474096, -1.520862, -0.867061>
    }
    triangle {
      < 1.386335, -1.566719, -0.879245>,
      < 1.386330, -1.557806, -0.896819>,
      < 1.474096, -1.520862, -0.867061>
    }
    triangle {
      < 1.386336, -1.567716, -0.859565>,
      < 1.386335, -1.566719, -0.879245>,
      < 1.474096, -1.520862, -0.867061>
    }
    triangle {
      < -1.790495, -1.522797, -0.867060>,
      < -1.823425, -1.505739, -0.803694>,
      < -1.823440, -1.481447, -0.816114>
    }
    triangle {
      < 1.386301, -1.508581, -0.821296>,
      < 1.386313, -1.528258, -0.820237>,
      < 1.474096, -1.520862, -0.867061>
    }
    triangle {
      < 1.386332, -1.560622, -0.841181>,
      < 1.386336, -1.567716, -0.859565>,
      < 1.474096, -1.520862, -0.867061>
    }
    triangle {
      < -1.790495, -1.522797, -0.867060>,
      < -1.823409, -1.532985, -0.802226>,
      < -1.823425, -1.505739, -0.803694>
    }
    triangle {
      < 1.386313, -1.528258, -0.820237>,
      < 1.386324, -1.546665, -0.827270>,
      < 1.474096, -1.520862, -0.867061>
    }
    triangle {
      < -1.790495, -1.522797, -0.867060>,
      < -1.823394, -1.558471, -0.811964>,
      < -1.823409, -1.532985, -0.802226>
    }
    triangle {
      < 1.282033, -1.472711, -0.807624>,
      < 1.282050, -1.501054, -0.793134>,
      < 1.386301, -1.508581, -0.821296>
    }
    triangle {
      < 1.282033, -1.472711, -0.807624>,
      < 1.386301, -1.508581, -0.821296>,
      < 1.386291, -1.491036, -0.830268>
    }
    triangle {
      < 1.282105, -1.594967, -0.886743>,
      < 1.282097, -1.580569, -0.915132>,
      < 1.386330, -1.557806, -0.896819>
    }
    triangle {
      < 1.282105, -1.594967, -0.886743>,
      < 1.386330, -1.557806, -0.896819>,
      < 1.386335, -1.566719, -0.879245>
    }
    triangle {
      < -1.823440, -1.481447, -0.816114>,
      < -1.823425, -1.505739, -0.803694>,
      < -1.982546, -1.496348, -0.768490>
    }
    triangle {
      < -1.823440, -1.481447, -0.816114>,
      < -1.982546, -1.496348, -0.768490>,
      < -1.982568, -1.458558, -0.787811>
    }
    triangle {
      < -1.823377, -1.586237, -0.883929>,
      < -1.823385, -1.573896, -0.908262>,
      < -1.982483, -1.602368, -0.931154>
    }
    triangle {
      < -1.823377, -1.586237, -0.883929>,
      < -1.982483, -1.602368, -0.931154>,
      < -1.982472, -1.621567, -0.893301>
    }
    triangle {
      < 1.095475, -1.456734, -0.787812>,
      < 1.095498, -1.494524, -0.768491>,
      < 1.282050, -1.501054, -0.793134>
    }
    triangle {
      < 1.095475, -1.456734, -0.787812>,
      < 1.282050, -1.501054, -0.793134>,
      < 1.282033, -1.472711, -0.807624>
    }
    triangle {
      < 1.095572, -1.619743, -0.893302>,
      < 1.095560, -1.600544, -0.931155>,
      < 1.282097, -1.580569, -0.915132>
    }
    triangle {
      < 1.095572, -1.619743, -0.893302>,
      < 1.282097, -1.580569, -0.915132>,
      < 1.282105, -1.594967, -0.886743>
    }
    triangle {
      < -1.982568, -1.458558, -0.787811>,
      < -1.982546, -1.496348, -0.768490>,
      < -1.960603, -1.489694, -0.743848>
    }
    triangle {
      < -1.982568, -1.458558, -0.787811>,
      < -1.960603, -1.489694, -0.743848>,
      < -1.960631, -1.442458, -0.767999>
    }
    triangle {
      < 0.672989, -1.440897, -0.768000>,
      < 0.673017, -1.488134, -0.743849>,
      < 1.095498, -1.494524, -0.768491>
    }
    triangle {
      < 0.672989, -1.440897, -0.768000>,
      < 1.095498, -1.494524, -0.768491>,
      < 1.095475, -1.456734, -0.787812>
    }
    triangle {
      < 0.673109, -1.644656, -0.899863>,
      < 0.673095, -1.620659, -0.947178>,
      < 1.095560, -1.600544, -0.931155>
    }
    triangle {
      < 0.673109, -1.644656, -0.899863>,
      < 1.095560, -1.600544, -0.931155>,
      < 1.095572, -1.619743, -0.893302>
    }
    triangle {
      < -1.982472, -1.621567, -0.893301>,
      < -1.982483, -1.602368, -0.931154>,
      < -1.960524, -1.622220, -0.947177>
    }
    triangle {
      < -1.982472, -1.621567, -0.893301>,
      < -1.960524, -1.622220, -0.947177>,
      < -1.960510, -1.646217, -0.899863>
    }
    triangle {
      < 1.282050, -1.501054, -0.793134>,
      < 1.282068, -1.532839, -0.791421>,
      < 1.386313, -1.528258, -0.820237>
    }
    triangle {
      < 1.282050, -1.501054, -0.793134>,
      < 1.386313, -1.528258, -0.820237>,
      < 1.386301, -1.508581, -0.821296>
    }
    triangle {
      < 1.282106, -1.596577, -0.854952>,
      < 1.282105, -1.594967, -0.886743>,
      < 1.386335, -1.566719, -0.879245>
    }
    triangle {
      < 1.282106, -1.596577, -0.854952>,
      < 1.386335, -1.566719, -0.879245>,
      < 1.386336, -1.567716, -0.859565>
    }
    triangle {
      < -1.823425, -1.505739, -0.803694>,
      < -1.823409, -1.532985, -0.802226>,
      < -1.982521, -1.538728, -0.766207>
    }
    triangle {
      < -1.823425, -1.505739, -0.803694>,
      < -1.982521, -1.538728, -0.766207>,
      < -1.982546, -1.496348, -0.768490>
    }
    triangle {
      < -1.823377, -1.587617, -0.856680>,
      < -1.823377, -1.586237, -0.883929>,
      < -1.982472, -1.621567, -0.893301>
    }
    triangle {
      < -1.823377, -1.587617, -0.856680>,
      < -1.982472, -1.621567, -0.893301>,
      < -1.982470, -1.623711, -0.850914>
    }
    triangle {
      < 1.095498, -1.494524, -0.768491>,
      < 1.095523, -1.536904, -0.766208>,
      < 1.282068, -1.532839, -0.791421>
    }
    triangle {
      < 1.095498, -1.494524, -0.768491>,
      < 1.282068, -1.532839, -0.791421>,
      < 1.282050, -1.501054, -0.793134>
    }
    triangle {
      < 1.282068, -1.532839, -0.791421>,
      < 1.282086, -1.562574, -0.802782>,
      < 1.386324, -1.546665, -0.827270>
    }
    triangle {
      < 1.282068, -1.532839, -0.791421>,
      < 1.386324, -1.546665, -0.827270>,
      < 1.386313, -1.528258, -0.820237>
    }
    triangle {
      < 1.095573, -1.621887, -0.850915>,
      < 1.095572, -1.619743, -0.893302>,
      < 1.282105, -1.594967, -0.886743>
    }
    triangle {
      < 1.095573, -1.621887, -0.850915>,
      < 1.282105, -1.594967, -0.886743>,
      < 1.282106, -1.596577, -0.854952>
    }
    triangle {
      < 1.282099, -1.585118, -0.825255>,
      < 1.282106, -1.596577, -0.854952>,
      < 1.386336, -1.567716, -0.859565>
    }
    triangle {
      < 1.282099, -1.585118, -0.825255>,
      < 1.386336, -1.567716, -0.859565>,
      < 1.386332, -1.560622, -0.841181>
    }
    triangle {
      < 1.282086, -1.562574, -0.802782>,
      < 1.282099, -1.585118, -0.825255>,
      < 1.386332, -1.560622, -0.841181>
    }
    triangle {
      < 1.282086, -1.562574, -0.802782>,
      < 1.386332, -1.560622, -0.841181>,
      < 1.386324, -1.546665, -0.827270>
    }
    triangle {
      < -1.982546, -1.496348, -0.768490>,
      < -1.982521, -1.538728, -0.766207>,
      < -1.960571, -1.542670, -0.740994>
    }
    triangle {
      < -1.982546, -1.496348, -0.768490>,
      < -1.960571, -1.542670, -0.740994>,
      < -1.960603, -1.489694, -0.743848>
    }
    triangle {
      < 0.673017, -1.488134, -0.743849>,
      < 0.673048, -1.541109, -0.740995>,
      < 1.095523, -1.536904, -0.766208>
    }
    triangle {
      < 0.673017, -1.488134, -0.743849>,
      < 1.095523, -1.536904, -0.766208>,
      < 1.095498, -1.494524, -0.768491>
    }
    triangle {
      < 0.673111, -1.647338, -0.846878>,
      < 0.673109, -1.644656, -0.899863>,
      < 1.095572, -1.619743, -0.893302>
    }
    triangle {
      < 0.673111, -1.647338, -0.846878>,
      < 1.095572, -1.619743, -0.893302>,
      < 1.095573, -1.621887, -0.850915>
    }
    triangle {
      < -1.982470, -1.623711, -0.850914>,
      < -1.982472, -1.621567, -0.893301>,
      < -1.960510, -1.646217, -0.899863>
    }
    triangle {
      < -1.982470, -1.623711, -0.850914>,
      < -1.960510, -1.646217, -0.899863>,
      < -1.960508, -1.648898, -0.846877>
    }
    triangle {
      < -1.823409, -1.532985, -0.802226>,
      < -1.823394, -1.558471, -0.811964>,
      < -1.982497, -1.578374, -0.781355>
    }
    triangle {
      < -1.823409, -1.532985, -0.802226>,
      < -1.982497, -1.578374, -0.781355>,
      < -1.982521, -1.538728, -0.766207>
    }
    triangle {
      < -1.823382, -1.577796, -0.831225>,
      < -1.823377, -1.587617, -0.856680>,
      < -1.982470, -1.623711, -0.850914>
    }
    triangle {
      < -1.823382, -1.577796, -0.831225>,
      < -1.982470, -1.623711, -0.850914>,
      < -1.982479, -1.608433, -0.811317>
    }
    triangle {
      < 1.095523, -1.536904, -0.766208>,
      < 1.095546, -1.576549, -0.781356>,
      < 1.282086, -1.562574, -0.802782>
    }
    triangle {
      < 1.095523, -1.536904, -0.766208>,
      < 1.282086, -1.562574, -0.802782>,
      < 1.282068, -1.532839, -0.791421>
    }
    triangle {
      < 1.095564, -1.606609, -0.811318>,
      < 1.095573, -1.621887, -0.850915>,
      < 1.282106, -1.596577, -0.854952>
    }
    triangle {
      < 1.095564, -1.606609, -0.811318>,
      < 1.282106, -1.596577, -0.854952>,
      < 1.282099, -1.585118, -0.825255>
    }
    triangle {
      < -1.960603, -1.489694, -0.743848>,
      < -1.960571, -1.542670, -0.740994>,
      < 0.673048, -1.541109, -0.740995>
    }
    triangle {
      < -1.960603, -1.489694, -0.743848>,
      < 0.673048, -1.541109, -0.740995>,
      < 0.673017, -1.488134, -0.743849>
    }
    triangle {
      < -1.960508, -1.648898, -0.846877>,
      < -1.960510, -1.646217, -0.899863>,
      < 0.673109, -1.644656, -0.899863>
    }
    triangle {
      < -1.960508, -1.648898, -0.846877>,
      < 0.673109, -1.644656, -0.899863>,
      < 0.673111, -1.647338, -0.846878>
    }
    triangle {
      < -1.823394, -1.558471, -0.811964>,
      < -1.823382, -1.577796, -0.831225>,
      < -1.982479, -1.608433, -0.811317>
    }
    triangle {
      < -1.823394, -1.558471, -0.811964>,
      < -1.982479, -1.608433, -0.811317>,
      < -1.982497, -1.578374, -0.781355>
    }
    triangle {
      < 1.095546, -1.576549, -0.781356>,
      < 1.095564, -1.606609, -0.811318>,
      < 1.282099, -1.585118, -0.825255>
    }
    triangle {
      < 1.095546, -1.576549, -0.781356>,
      < 1.282099, -1.585118, -0.825255>,
      < 1.282086, -1.562574, -0.802782>
    }
    triangle {
      < -1.982521, -1.538728, -0.766207>,
      < -1.982497, -1.578374, -0.781355>,
      < -1.960542, -1.592227, -0.759930>
    }
    triangle {
      < -1.982521, -1.538728, -0.766207>,
      < -1.960542, -1.592227, -0.759930>,
      < -1.960571, -1.542670, -0.740994>
    }
    triangle {
      < 0.673048, -1.541109, -0.740995>,
      < 0.673078, -1.590666, -0.759930>,
      < 1.095546, -1.576549, -0.781356>
    }
    triangle {
      < 0.673048, -1.541109, -0.740995>,
      < 1.095546, -1.576549, -0.781356>,
      < 1.095523, -1.536904, -0.766208>
    }
    triangle {
      < 0.673100, -1.628241, -0.797382>,
      < 0.673111, -1.647338, -0.846878>,
      < 1.095573, -1.621887, -0.850915>
    }
    triangle {
      < 0.673100, -1.628241, -0.797382>,
      < 1.095573, -1.621887, -0.850915>,
      < 1.095564, -1.606609, -0.811318>
    }
    triangle {
      < -1.982479, -1.608433, -0.811317>,
      < -1.982470, -1.623711, -0.850914>,
      < -1.960508, -1.648898, -0.846877>
    }
    triangle {
      < -1.982479, -1.608433, -0.811317>,
      < -1.960508, -1.648898, -0.846877>,
      < -1.960520, -1.629802, -0.797381>
    }
    triangle {
      < -1.982497, -1.578374, -0.781355>,
      < -1.982479, -1.608433, -0.811317>,
      < -1.960520, -1.629802, -0.797381>
    }
    triangle {
      < -1.982497, -1.578374, -0.781355>,
      < -1.960520, -1.629802, -0.797381>,
      < -1.960542, -1.592227, -0.759930>
    }
    triangle {
      < 0.673078, -1.590666, -0.759930>,
      < 0.673100, -1.628241, -0.797382>,
      < 1.095564, -1.606609, -0.811318>
    }
    triangle {
      < 0.673078, -1.590666, -0.759930>,
      < 1.095564, -1.606609, -0.811318>,
      < 1.095546, -1.576549, -0.781356>
    }
    triangle {
      < -1.960571, -1.542670, -0.740994>,
      < -1.960542, -1.592227, -0.759930>,
      < 0.673078, -1.590666, -0.759930>
    }
    triangle {
      < -1.960571, -1.542670, -0.740994>,
      < 0.673078, -1.590666, -0.759930>,
      < 0.673048, -1.541109, -0.740995>
    }
    triangle {
      < -1.960520, -1.629802, -0.797381>,
      < -1.960508, -1.648898, -0.846877>,
      < 0.673111, -1.647338, -0.846878>
    }
    triangle {
      < -1.960520, -1.629802, -0.797381>,
      < 0.673111, -1.647338, -0.846878>,
      < 0.673100, -1.628241, -0.797382>
    }
    triangle {
      < -2.440538, -1.812593, -0.865700>,
      < -2.371929, -2.033394, -0.638101>,
      < -2.371922, -2.045189, -0.656220>
    }
    triangle {
      < -2.440538, -1.812593, -0.865700>,
      < -2.371922, -2.045189, -0.656220>,
      < -2.440524, -1.836999, -0.889998>
    }
    triangle {
      < -2.371922, -2.045189, -0.656220>,
      < -2.371912, -2.063593, -0.668130>,
      < -2.440524, -1.836999, -0.889998>
    }
    triangle {
      < -2.735232, -1.837174, -0.889998>,
      < -2.736342, -2.063809, -0.668130>,
      < -2.736353, -2.045405, -0.656220>
    }
    triangle {
      < -2.735232, -1.837174, -0.889998>,
      < -2.736353, -2.045405, -0.656220>,
      < -2.735246, -1.812768, -0.865700>
    }
    triangle {
      < -2.736353, -2.045405, -0.656220>,
      < -2.736360, -2.033610, -0.638101>,
      < -2.735246, -1.812768, -0.865700>
    }
    triangle {
      < -2.440524, -1.836999, -0.889998>,
      < -2.371912, -2.063593, -0.668130>,
      < -2.736342, -2.063809, -0.668130>
    }
    triangle {
      < -2.440524, -1.836999, -0.889998>,
      < -2.736342, -2.063809, -0.668130>,
      < -2.735232, -1.837174, -0.889998>
    }
    triangle {
      < -2.735246, -1.812768, -0.865700>,
      < -2.736360, -2.033610, -0.638101>,
      < -2.371929, -2.033394, -0.638101>
    }
    triangle {
      < -2.735246, -1.812768, -0.865700>,
      < -2.371929, -2.033394, -0.638101>,
      < -2.440538, -1.812593, -0.865700>
    }
    triangle {
      < -0.962049, -1.986612, -0.684253>,
      < -0.899900, -2.032522, -0.638102>,
      < -0.904204, -2.044319, -0.656221>
    }
    triangle {
      < -0.962049, -1.986612, -0.684253>,
      < -0.904204, -2.044319, -0.656221>,
      < -0.962031, -2.016793, -0.714300>
    }
    triangle {
      < -0.904204, -2.044319, -0.656221>,
      < -0.899858, -2.062721, -0.668131>,
      < -0.962031, -2.016793, -0.714300>
    }
    triangle {
      < -2.300949, -1.836917, -0.889999>,
      < -2.199318, -2.063491, -0.668130>,
      < -2.199329, -2.045087, -0.656220>
    }
    triangle {
      < -2.300949, -1.836917, -0.889999>,
      < -2.199329, -2.045087, -0.656220>,
      < -2.300963, -1.812510, -0.865700>
    }
    triangle {
      < -2.199329, -2.045087, -0.656220>,
      < -2.199336, -2.033292, -0.638101>,
      < -2.300963, -1.812510, -0.865700>
    }
    triangle {
      < -0.962031, -2.016793, -0.714300>,
      < -0.899858, -2.062721, -0.668131>,
      < -2.199318, -2.063491, -0.668130>
    }
    triangle {
      < -0.962031, -2.016793, -0.714300>,
      < -2.199318, -2.063491, -0.668130>,
      < -2.300949, -1.836917, -0.889999>
    }
    triangle {
      < -2.300963, -1.812510, -0.865700>,
      < -2.199336, -2.033292, -0.638101>,
      < -0.899900, -2.032522, -0.638102>
    }
    triangle {
      < -2.300963, -1.812510, -0.865700>,
      < -0.899900, -2.032522, -0.638102>,
      < -0.962049, -1.986612, -0.684253>
    }
    triangle {
      < -2.440170, -2.435079, -0.888759>,
      < -2.371826, -2.207632, -0.667977>,
      < -2.371810, -2.234650, -0.646012>
    }
    triangle {
      < -2.440170, -2.435079, -0.888759>,
      < -2.371810, -2.234650, -0.646012>,
      < -2.440155, -2.459384, -0.864359>
    }
    triangle {
      < -2.371810, -2.234650, -0.646012>,
      < -2.371808, -2.238435, -0.638550>,
      < -2.440155, -2.459384, -0.864359>
    }
    triangle {
      < -2.734863, -2.459559, -0.864359>,
      < -2.736238, -2.238651, -0.638549>,
      < -2.736240, -2.234866, -0.646012>
    }
    triangle {
      < -2.734863, -2.459559, -0.864359>,
      < -2.736240, -2.234866, -0.646012>,
      < -2.734878, -2.435253, -0.888759>
    }
    triangle {
      < -2.736240, -2.234866, -0.646012>,
      < -2.736256, -2.207848, -0.667977>,
      < -2.734878, -2.435253, -0.888759>
    }
    triangle {
      < -2.440155, -2.459384, -0.864359>,
      < -2.371808, -2.238435, -0.638550>,
      < -2.736238, -2.238651, -0.638549>
    }
    triangle {
      < -2.440155, -2.459384, -0.864359>,
      < -2.736238, -2.238651, -0.638549>,
      < -2.734863, -2.459559, -0.864359>
    }
    triangle {
      < -2.734878, -2.435253, -0.888759>,
      < -2.736256, -2.207848, -0.667977>,
      < -2.371826, -2.207632, -0.667977>
    }
    triangle {
      < -2.734878, -2.435253, -0.888759>,
      < -2.371826, -2.207632, -0.667977>,
      < -2.440170, -2.435079, -0.888759>
    }
    triangle {
      < -0.961891, -2.252806, -0.713810>,
      < -0.899971, -2.206760, -0.667977>,
      < -0.903426, -2.233780, -0.646012>
    }
    triangle {
      < -0.961891, -2.252806, -0.713810>,
      < -0.903426, -2.233780, -0.646012>,
      < -0.961874, -2.282863, -0.683638>
    }
    triangle {
      < -0.903426, -2.233780, -0.646012>,
      < -0.900957, -2.237563, -0.638550>,
      < -0.961874, -2.282863, -0.683638>
    }
    triangle {
      < -2.300580, -2.459301, -0.864359>,
      < -2.199214, -2.238332, -0.638550>,
      < -2.199216, -2.234548, -0.646012>
    }
    triangle {
      < -2.300580, -2.459301, -0.864359>,
      < -2.199216, -2.234548, -0.646012>,
      < -2.300595, -2.434996, -0.888759>
    }
    triangle {
      < -2.199216, -2.234548, -0.646012>,
      < -2.199232, -2.207530, -0.667977>,
      < -2.300595, -2.434996, -0.888759>
    }
    triangle {
      < -0.961874, -2.282863, -0.683638>,
      < -0.900957, -2.237563, -0.638550>,
      < -2.199214, -2.238332, -0.638550>
    }
    triangle {
      < -0.961874, -2.282863, -0.683638>,
      < -2.199214, -2.238332, -0.638550>,
      < -2.300580, -2.459301, -0.864359>
    }
    triangle {
      < -2.300595, -2.434996, -0.888759>,
      < -2.199232, -2.207530, -0.667977>,
      < -0.899971, -2.206760, -0.667977>
    }
    triangle {
      < -2.300595, -2.434996, -0.888759>,
      < -0.899971, -2.206760, -0.667977>,
      < -0.961891, -2.252806, -0.713810>
    }
    triangle {
      < -2.440156, -2.458322, -0.266280>,
      < -2.371808, -2.238526, -0.492523>,
      < -2.371826, -2.208363, -0.462457>
    }
    triangle {
      < -2.440156, -2.458322, -0.266280>,
      < -2.371826, -2.208363, -0.462457>,
      < -2.440170, -2.433928, -0.241967>
    }
    triangle {
      < -2.734878, -2.434103, -0.241967>,
      < -2.736256, -2.208579, -0.462457>,
      < -2.736238, -2.238742, -0.492522>
    }
    triangle {
      < -2.734878, -2.434103, -0.241967>,
      < -2.736238, -2.238742, -0.492522>,
      < -2.734864, -2.458496, -0.266280>
    }
    triangle {
      < -2.440170, -2.433928, -0.241967>,
      < -2.371826, -2.208363, -0.462457>,
      < -2.736256, -2.208579, -0.462457>
    }
    triangle {
      < -2.440170, -2.433928, -0.241967>,
      < -2.736256, -2.208579, -0.462457>,
      < -2.734878, -2.434103, -0.241967>
    }
    triangle {
      < -2.734864, -2.458496, -0.266280>,
      < -2.736238, -2.238742, -0.492522>,
      < -2.371808, -2.238526, -0.492523>
    }
    triangle {
      < -2.734864, -2.458496, -0.266280>,
      < -2.371808, -2.238526, -0.492523>,
      < -2.440156, -2.458322, -0.266280>
    }
    triangle {
      < -0.961874, -2.282442, -0.447625>,
      < -0.901431, -2.237655, -0.492523>,
      < -0.901449, -2.207492, -0.462458>
    }
    triangle {
      < -0.961874, -2.282442, -0.447625>,
      < -0.901449, -2.207492, -0.462458>,
      < -0.961892, -2.252279, -0.417559>
    }
    triangle {
      < -2.300595, -2.433846, -0.241967>,
      < -2.199232, -2.208261, -0.462457>,
      < -2.199214, -2.238424, -0.492523>
    }
    triangle {
      < -2.300595, -2.433846, -0.241967>,
      < -2.199214, -2.238424, -0.492523>,
      < -2.300581, -2.458239, -0.266280>
    }
    triangle {
      < -0.961892, -2.252279, -0.417559>,
      < -0.901449, -2.207492, -0.462458>,
      < -2.199232, -2.208261, -0.462457>
    }
    triangle {
      < -0.961892, -2.252279, -0.417559>,
      < -2.199232, -2.208261, -0.462457>,
      < -2.300595, -2.433846, -0.241967>
    }
    triangle {
      < -2.300581, -2.458239, -0.266280>,
      < -2.199214, -2.238424, -0.492523>,
      < -0.901431, -2.237655, -0.492523>
    }
    triangle {
      < -2.300581, -2.458239, -0.266280>,
      < -0.901431, -2.237655, -0.492523>,
      < -0.961874, -2.282442, -0.447625>
    }
    triangle {
      < -2.440525, -1.835850, -0.242853>,
      < -2.371912, -2.062338, -0.463025>,
      < -2.371917, -2.054888, -0.466834>
    }
    triangle {
      < -2.440525, -1.835850, -0.242853>,
      < -2.371917, -2.054888, -0.466834>,
      < -2.440539, -1.811528, -0.267238>
    }
    triangle {
      < -2.371917, -2.054888, -0.466834>,
      < -2.371930, -2.033010, -0.493923>,
      < -2.440539, -1.811528, -0.267238>
    }
    triangle {
      < -2.735247, -1.811703, -0.267238>,
      < -2.736360, -2.033226, -0.493923>,
      < -2.736347, -2.055104, -0.466834>
    }
    triangle {
      < -2.735247, -1.811703, -0.267238>,
      < -2.736347, -2.055104, -0.466834>,
      < -2.735233, -1.836025, -0.242853>
    }
    triangle {
      < -2.736347, -2.055104, -0.466834>,
      < -2.736342, -2.062554, -0.463025>,
      < -2.735233, -1.836025, -0.242853>
    }
    triangle {
      < -2.440539, -1.811528, -0.267238>,
      < -2.371930, -2.033010, -0.493923>,
      < -2.736360, -2.033226, -0.493923>
    }
    triangle {
      < -2.440539, -1.811528, -0.267238>,
      < -2.736360, -2.033226, -0.493923>,
      < -2.735247, -1.811703, -0.267238>
    }
    triangle {
      < -2.735233, -1.836025, -0.242853>,
      < -2.736342, -2.062554, -0.463025>,
      < -2.371912, -2.062338, -0.463025>
    }
    triangle {
      < -2.735233, -1.836025, -0.242853>,
      < -2.371912, -2.062338, -0.463025>,
      < -2.440525, -1.835850, -0.242853>
    }
    triangle {
      < -0.962031, -2.016266, -0.417910>,
      < -0.901062, -2.061466, -0.463025>,
      < -0.903532, -2.054018, -0.466835>
    }
    triangle {
      < -0.962031, -2.016266, -0.417910>,
      < -0.903532, -2.054018, -0.466835>,
      < -0.962049, -1.986191, -0.448064>
    }
    triangle {
      < -0.903532, -2.054018, -0.466835>,
      < -0.900074, -2.032138, -0.493924>,
      < -0.962049, -1.986191, -0.448064>
    }
    triangle {
      < -2.300964, -1.811446, -0.267239>,
      < -2.199336, -2.032908, -0.493923>,
      < -2.199323, -2.054785, -0.466834>
    }
    triangle {
      < -2.300964, -1.811446, -0.267239>,
      < -2.199323, -2.054785, -0.466834>,
      < -2.300950, -1.835767, -0.242853>
    }
    triangle {
      < -2.199323, -2.054785, -0.466834>,
      < -2.199318, -2.062235, -0.463025>,
      < -2.300950, -1.835767, -0.242853>
    }
    triangle {
      < -0.962049, -1.986191, -0.448064>,
      < -0.900074, -2.032138, -0.493924>,
      < -2.199336, -2.032908, -0.493923>
    }
    triangle {
      < -0.962049, -1.986191, -0.448064>,
      < -2.199336, -2.032908, -0.493923>,
      < -2.300964, -1.811446, -0.267239>
    }
    triangle {
      < -2.300950, -1.835767, -0.242853>,
      < -2.199318, -2.062235, -0.463025>,
      < -0.901062, -2.061466, -0.463025>
    }
    triangle {
      < -2.300950, -1.835767, -0.242853>,
      < -0.901062, -2.061466, -0.463025>,
      < -0.962031, -2.016266, -0.417910>
    }
    triangle {
      < -2.300949, -1.836917, -0.889999>,
      < -2.300963, -1.812510, -0.865700>,
      < -0.962049, -1.986612, -0.684253>
    }
    triangle {
      < -2.300949, -1.836917, -0.889999>,
      < -0.962049, -1.986612, -0.684253>,
      < -0.962031, -2.016793, -0.714300>
    }
    triangle {
      < -2.735232, -1.837174, -0.889998>,
      < -2.735246, -1.812768, -0.865700>,
      < -2.440538, -1.812593, -0.865700>
    }
    triangle {
      < -2.735232, -1.837174, -0.889998>,
      < -2.440538, -1.812593, -0.865700>,
      < -2.440524, -1.836999, -0.889998>
    }
    triangle {
      < -2.300964, -1.811446, -0.267239>,
      < -2.300950, -1.835767, -0.242853>,
      < -0.962031, -2.016266, -0.417910>
    }
    triangle {
      < -2.300964, -1.811446, -0.267239>,
      < -0.962031, -2.016266, -0.417910>,
      < -0.962049, -1.986191, -0.448064>
    }
    triangle {
      < -2.735247, -1.811703, -0.267238>,
      < -2.735233, -1.836025, -0.242853>,
      < -2.440525, -1.835850, -0.242853>
    }
    triangle {
      < -2.735247, -1.811703, -0.267238>,
      < -2.440525, -1.835850, -0.242853>,
      < -2.440539, -1.811528, -0.267238>
    }
    triangle {
      < -2.300580, -2.459301, -0.864359>,
      < -2.300595, -2.434996, -0.888759>,
      < -0.961891, -2.252806, -0.713810>
    }
    triangle {
      < -2.300580, -2.459301, -0.864359>,
      < -0.961891, -2.252806, -0.713810>,
      < -0.961874, -2.282863, -0.683638>
    }
    triangle {
      < -2.734863, -2.459559, -0.864359>,
      < -2.734878, -2.435253, -0.888759>,
      < -2.440170, -2.435079, -0.888759>
    }
    triangle {
      < -2.734863, -2.459559, -0.864359>,
      < -2.440170, -2.435079, -0.888759>,
      < -2.440155, -2.459384, -0.864359>
    }
    triangle {
      < -2.300595, -2.433846, -0.241967>,
      < -2.300581, -2.458239, -0.266280>,
      < -0.961874, -2.282442, -0.447625>
    }
    triangle {
      < -2.300595, -2.433846, -0.241967>,
      < -0.961874, -2.282442, -0.447625>,
      < -0.961892, -2.252279, -0.417559>
    }
    triangle {
      < -2.734878, -2.434103, -0.241967>,
      < -2.734864, -2.458496, -0.266280>,
      < -2.440156, -2.458322, -0.266280>
    }
    triangle {
      < -2.734878, -2.434103, -0.241967>,
      < -2.440156, -2.458322, -0.266280>,
      < -2.440170, -2.433928, -0.241967>
    }
    triangle {
      < -2.199318, -2.063491, -0.668130>,
      < -0.899858, -2.062721, -0.668131>,
      < -0.149245, -2.088536, -0.685125>
    }
    triangle {
      < -0.899858, -2.062721, -0.668131>,
      < -0.904204, -2.044319, -0.656221>,
      < -0.149271, -2.043872, -0.656221>
    }
    triangle {
      < -0.899858, -2.062721, -0.668131>,
      < -0.149271, -2.043872, -0.656221>,
      < -0.149245, -2.088536, -0.685125>
    }
    triangle {
      < -2.199318, -2.063491, -0.668130>,
      < -0.149245, -2.088536, -0.685125>,
      < -2.371912, -2.063593, -0.668130>
    }
    triangle {
      < -2.199318, -2.063491, -0.668130>,
      < -2.371912, -2.063593, -0.668130>,
      < -2.199329, -2.045087, -0.656220>
    }
    triangle {
      < -0.149245, -2.088536, -0.685125>,
      < -2.782865, -2.090097, -0.685124>,
      < -2.736342, -2.063809, -0.668130>
    }
    triangle {
      < -0.149245, -2.088536, -0.685125>,
      < -2.736342, -2.063809, -0.668130>,
      < -2.371912, -2.063593, -0.668130>
    }
    triangle {
      < -2.782865, -2.090097, -0.685124>,
      < -2.782892, -2.045433, -0.656220>,
      < -2.736353, -2.045405, -0.656220>
    }
    triangle {
      < -2.782865, -2.090097, -0.685124>,
      < -2.736353, -2.045405, -0.656220>,
      < -2.736342, -2.063809, -0.668130>
    }
    triangle {
      < -2.371912, -2.063593, -0.668130>,
      < -2.371922, -2.045189, -0.656220>,
      < -2.199329, -2.045087, -0.656220>
    }
    triangle {
      < -2.371826, -2.207632, -0.667977>,
      < -2.736256, -2.207848, -0.667977>,
      < -2.782804, -2.193729, -0.679478>
    }
    triangle {
      < -2.736256, -2.207848, -0.667977>,
      < -2.736240, -2.234866, -0.646012>,
      < -2.782779, -2.234894, -0.646012>
    }
    triangle {
      < -2.736256, -2.207848, -0.667977>,
      < -2.782779, -2.234894, -0.646012>,
      < -2.782804, -2.193729, -0.679478>
    }
    triangle {
      < -2.371826, -2.207632, -0.667977>,
      < -2.782804, -2.193729, -0.679478>,
      < -2.199232, -2.207530, -0.667977>
    }
    triangle {
      < -2.371826, -2.207632, -0.667977>,
      < -2.199232, -2.207530, -0.667977>,
      < -2.371810, -2.234650, -0.646012>
    }
    triangle {
      < -2.782804, -2.193729, -0.679478>,
      < -0.149183, -2.192169, -0.679479>,
      < -0.899971, -2.206760, -0.667977>
    }
    triangle {
      < -2.782804, -2.193729, -0.679478>,
      < -0.899971, -2.206760, -0.667977>,
      < -2.199232, -2.207530, -0.667977>
    }
    triangle {
      < -0.149183, -2.192169, -0.679479>,
      < -0.149159, -2.233333, -0.646013>,
      < -0.903426, -2.233780, -0.646012>
    }
    triangle {
      < -0.149183, -2.192169, -0.679479>,
      < -0.903426, -2.233780, -0.646012>,
      < -0.899971, -2.206760, -0.667977>
    }
    triangle {
      < -2.199232, -2.207530, -0.667977>,
      < -2.199216, -2.234548, -0.646012>,
      < -2.371810, -2.234650, -0.646012>
    }
    triangle {
      < -2.199214, -2.238332, -0.638550>,
      < -0.900957, -2.237563, -0.638550>,
      < -0.149144, -2.257330, -0.598697>
    }
    triangle {
      < -0.900957, -2.237563, -0.638550>,
      < -0.903426, -2.233780, -0.646012>,
      < -0.149159, -2.233333, -0.646013>
    }
    triangle {
      < -0.900957, -2.237563, -0.638550>,
      < -0.149159, -2.233333, -0.646013>,
      < -0.149144, -2.257330, -0.598697>
    }
    triangle {
      < -2.199214, -2.238332, -0.638550>,
      < -0.149144, -2.257330, -0.598697>,
      < -2.371808, -2.238435, -0.638550>
    }
    triangle {
      < -2.199214, -2.238332, -0.638550>,
      < -2.371808, -2.238435, -0.638550>,
      < -2.199216, -2.234548, -0.646012>
    }
    triangle {
      < -0.149144, -2.257330, -0.598697>,
      < -2.782765, -2.258890, -0.598696>,
      < -2.736238, -2.238651, -0.638549>
    }
    triangle {
      < -0.149144, -2.257330, -0.598697>,
      < -2.736238, -2.238651, -0.638549>,
      < -2.371808, -2.238435, -0.638550>
    }
    triangle {
      < -2.782765, -2.258890, -0.598696>,
      < -2.782779, -2.234894, -0.646012>,
      < -2.736240, -2.234866, -0.646012>
    }
    triangle {
      < -2.782765, -2.258890, -0.598696>,
      < -2.736240, -2.234866, -0.646012>,
      < -2.736238, -2.238651, -0.638549>
    }
    triangle {
      < -2.371808, -2.238435, -0.638550>,
      < -2.371810, -2.234650, -0.646012>,
      < -2.199216, -2.234548, -0.646012>
    }
    triangle {
      < -0.149154, -2.240915, -0.496217>,
      < -0.901431, -2.237655, -0.492523>,
      < -2.782775, -2.242476, -0.496216>
    }
    triangle {
      < -0.149154, -2.240915, -0.496217>,
      < -0.149176, -2.203340, -0.458765>,
      < -0.901449, -2.207492, -0.462458>
    }
    triangle {
      < -0.149154, -2.240915, -0.496217>,
      < -0.901449, -2.207492, -0.462458>,
      < -0.901431, -2.237655, -0.492523>
    }
    triangle {
      < -0.149176, -2.203340, -0.458765>,
      < -2.199232, -2.208261, -0.462457>,
      < -0.901449, -2.207492, -0.462458>
    }
    triangle {
      < -0.149176, -2.203340, -0.458765>,
      < -2.371826, -2.208363, -0.462457>,
      < -2.199232, -2.208261, -0.462457>
    }
    triangle {
      < -0.901431, -2.237655, -0.492523>,
      < -2.199214, -2.238424, -0.492523>,
      < -2.782775, -2.242476, -0.496216>
    }
    triangle {
      < -2.199214, -2.238424, -0.492523>,
      < -2.371808, -2.238526, -0.492523>,
      < -2.782775, -2.242476, -0.496216>
    }
    triangle {
      < -2.199214, -2.238424, -0.492523>,
      < -2.199232, -2.208261, -0.462457>,
      < -2.371808, -2.238526, -0.492523>
    }
    triangle {
      < -2.199232, -2.208261, -0.462457>,
      < -2.371826, -2.208363, -0.462457>,
      < -2.371808, -2.238526, -0.492523>
    }
    triangle {
      < -0.149176, -2.203340, -0.458765>,
      < -2.782797, -2.204901, -0.458764>,
      < -2.736256, -2.208579, -0.462457>
    }
    triangle {
      < -0.149176, -2.203340, -0.458765>,
      < -2.736256, -2.208579, -0.462457>,
      < -2.371826, -2.208363, -0.462457>
    }
    triangle {
      < -2.371808, -2.238526, -0.492523>,
      < -2.736238, -2.238742, -0.492522>,
      < -2.782775, -2.242476, -0.496216>
    }
    triangle {
      < -2.736238, -2.238742, -0.492522>,
      < -2.736256, -2.208579, -0.462457>,
      < -2.782775, -2.242476, -0.496216>
    }
    triangle {
      < -2.736256, -2.208579, -0.462457>,
      < -2.782797, -2.204901, -0.458764>,
      < -2.782775, -2.242476, -0.496216>
    }
    triangle {
      < -2.371912, -2.062338, -0.463025>,
      < -2.736342, -2.062554, -0.463025>,
      < -2.782858, -2.102368, -0.442682>
    }
    triangle {
      < -2.736342, -2.062554, -0.463025>,
      < -2.736347, -2.055104, -0.466834>,
      < -2.782886, -2.055131, -0.466834>
    }
    triangle {
      < -2.736342, -2.062554, -0.463025>,
      < -2.782886, -2.055131, -0.466834>,
      < -2.782858, -2.102368, -0.442682>
    }
    triangle {
      < -2.371912, -2.062338, -0.463025>,
      < -2.782858, -2.102368, -0.442682>,
      < -2.199318, -2.062235, -0.463025>
    }
    triangle {
      < -2.371912, -2.062338, -0.463025>,
      < -2.199318, -2.062235, -0.463025>,
      < -2.371917, -2.054888, -0.466834>
    }
    triangle {
      < -2.782858, -2.102368, -0.442682>,
      < -0.149237, -2.100807, -0.442683>,
      < -0.901062, -2.061466, -0.463025>
    }
    triangle {
      < -2.782858, -2.102368, -0.442682>,
      < -0.901062, -2.061466, -0.463025>,
      < -2.199318, -2.062235, -0.463025>
    }
    triangle {
      < -0.149237, -2.100807, -0.442683>,
      < -0.149265, -2.053571, -0.466835>,
      < -0.903532, -2.054018, -0.466835>
    }
    triangle {
      < -0.149237, -2.100807, -0.442683>,
      < -0.903532, -2.054018, -0.466835>,
      < -0.901062, -2.061466, -0.463025>
    }
    triangle {
      < -2.199318, -2.062235, -0.463025>,
      < -2.199323, -2.054785, -0.466834>,
      < -2.371917, -2.054888, -0.466834>
    }
    triangle {
      < -2.199336, -2.032908, -0.493923>,
      < -0.900074, -2.032138, -0.493924>,
      < -0.149285, -2.020237, -0.508108>
    }
    triangle {
      < -0.900074, -2.032138, -0.493924>,
      < -0.903532, -2.054018, -0.466835>,
      < -0.149265, -2.053571, -0.466835>
    }
    triangle {
      < -0.900074, -2.032138, -0.493924>,
      < -0.149265, -2.053571, -0.466835>,
      < -0.149285, -2.020237, -0.508108>
    }
    triangle {
      < -2.199336, -2.032908, -0.493923>,
      < -0.149285, -2.020237, -0.508108>,
      < -2.371930, -2.033010, -0.493923>
    }
    triangle {
      < -2.199336, -2.032908, -0.493923>,
      < -2.371930, -2.033010, -0.493923>,
      < -2.199323, -2.054785, -0.466834>
    }
    triangle {
      < -0.149285, -2.020237, -0.508108>,
      < -2.782905, -2.021798, -0.508107>,
      < -2.736360, -2.033226, -0.493923>
    }
    triangle {
      < -0.149285, -2.020237, -0.508108>,
      < -2.736360, -2.033226, -0.493923>,
      < -2.371930, -2.033010, -0.493923>
    }
    triangle {
      < -2.782905, -2.021798, -0.508107>,
      < -2.782886, -2.055131, -0.466834>,
      < -2.736347, -2.055104, -0.466834>
    }
    triangle {
      < -2.782905, -2.021798, -0.508107>,
      < -2.736347, -2.055104, -0.466834>,
      < -2.736360, -2.033226, -0.493923>
    }
    triangle {
      < -2.371930, -2.033010, -0.493923>,
      < -2.371917, -2.054888, -0.466834>,
      < -2.199323, -2.054785, -0.466834>
    }
    triangle {
      < -2.371929, -2.033394, -0.638101>,
      < -2.736360, -2.033610, -0.638101>,
      < -2.782909, -2.016490, -0.611758>
    }
    triangle {
      < -2.736360, -2.033610, -0.638101>,
      < -2.736353, -2.045405, -0.656220>,
      < -2.782892, -2.045433, -0.656220>
    }
    triangle {
      < -2.736360, -2.033610, -0.638101>,
      < -2.782892, -2.045433, -0.656220>,
      < -2.782909, -2.016490, -0.611758>
    }
    triangle {
      < -2.371929, -2.033394, -0.638101>,
      < -2.782909, -2.016490, -0.611758>,
      < -2.199336, -2.033292, -0.638101>
    }
    triangle {
      < -2.371929, -2.033394, -0.638101>,
      < -2.199336, -2.033292, -0.638101>,
      < -2.371922, -2.045189, -0.656220>
    }
    triangle {
      < -2.782909, -2.016490, -0.611758>,
      < -0.149288, -2.014930, -0.611759>,
      < -0.899900, -2.032522, -0.638102>
    }
    triangle {
      < -2.782909, -2.016490, -0.611758>,
      < -0.899900, -2.032522, -0.638102>,
      < -2.199336, -2.033292, -0.638101>
    }
    triangle {
      < -0.149288, -2.014930, -0.611759>,
      < -0.149271, -2.043872, -0.656221>,
      < -0.904204, -2.044319, -0.656221>
    }
    triangle {
      < -0.149288, -2.014930, -0.611759>,
      < -0.904204, -2.044319, -0.656221>,
      < -0.899900, -2.032522, -0.638102>
    }
    triangle {
      < -2.199336, -2.033292, -0.638101>,
      < -2.199329, -2.045087, -0.656220>,
      < -2.371922, -2.045189, -0.656220>
    }
    triangle {
      < -0.149271, -2.043872, -0.656221>,
      < -0.149288, -2.014930, -0.611759>,
      < 0.273203, -2.038496, -0.602586>
    }
    triangle {
      < -0.149271, -2.043872, -0.656221>,
      < 0.273203, -2.038496, -0.602586>,
      < 0.273217, -2.061650, -0.638156>
    }
    triangle {
      < -0.149245, -2.088536, -0.685125>,
      < -0.149271, -2.043872, -0.656221>,
      < 0.273217, -2.061650, -0.638156>
    }
    triangle {
      < -0.149245, -2.088536, -0.685125>,
      < 0.273217, -2.061650, -0.638156>,
      < 0.273238, -2.097381, -0.661278>
    }
    triangle {
      < -2.804806, -2.099205, -0.661277>,
      < -2.804827, -2.063474, -0.638155>,
      < -2.782892, -2.045433, -0.656220>
    }
    triangle {
      < -2.804806, -2.099205, -0.661277>,
      < -2.782892, -2.045433, -0.656220>,
      < -2.782865, -2.090097, -0.685124>
    }
    triangle {
      < -2.804827, -2.063474, -0.638155>,
      < -2.804841, -2.040320, -0.602585>,
      < -2.782909, -2.016490, -0.611758>
    }
    triangle {
      < -2.804827, -2.063474, -0.638155>,
      < -2.782909, -2.016490, -0.611758>,
      < -2.782892, -2.045433, -0.656220>
    }
    triangle {
      < -2.782909, -2.016490, -0.611758>,
      < -2.782913, -2.008130, -0.559368>,
      < -0.149293, -2.006569, -0.559369>
    }
    triangle {
      < -2.782909, -2.016490, -0.611758>,
      < -0.149293, -2.006569, -0.559369>,
      < -0.149288, -2.014930, -0.611759>
    }
    triangle {
      < -2.804841, -2.040320, -0.602585>,
      < -2.804845, -2.033632, -0.560674>,
      < -2.782913, -2.008130, -0.559368>
    }
    triangle {
      < -2.804841, -2.040320, -0.602585>,
      < -2.782913, -2.008130, -0.559368>,
      < -2.782909, -2.016490, -0.611758>
    }
    triangle {
      < -0.149288, -2.014930, -0.611759>,
      < -0.149293, -2.006569, -0.559369>,
      < 0.273199, -2.031808, -0.560675>
    }
    triangle {
      < -0.149288, -2.014930, -0.611759>,
      < 0.273199, -2.031808, -0.560675>,
      < 0.273203, -2.038496, -0.602586>
    }
    triangle {
      < -2.782834, -2.142512, -0.693312>,
      < -2.782865, -2.090097, -0.685124>,
      < -0.149245, -2.088536, -0.685125>
    }
    triangle {
      < -2.782834, -2.142512, -0.693312>,
      < -0.149245, -2.088536, -0.685125>,
      < -0.149213, -2.140952, -0.693313>
    }
    triangle {
      < -0.149213, -2.140952, -0.693313>,
      < -0.149245, -2.088536, -0.685125>,
      < 0.273238, -2.097381, -0.661278>
    }
    triangle {
      < -0.149213, -2.140952, -0.693313>,
      < 0.273238, -2.097381, -0.661278>,
      < 0.273263, -2.139313, -0.667830>
    }
    triangle {
      < -2.804781, -2.141138, -0.667829>,
      < -2.804806, -2.099205, -0.661277>,
      < -2.782865, -2.090097, -0.685124>
    }
    triangle {
      < -2.804781, -2.141138, -0.667829>,
      < -2.782865, -2.090097, -0.685124>,
      < -2.782834, -2.142512, -0.693312>
    }
    triangle {
      < 0.273238, -2.097381, -0.661278>,
      < 0.273217, -2.061650, -0.638156>,
      < 0.459775, -2.079566, -0.620091>
    }
    triangle {
      < 0.273238, -2.097381, -0.661278>,
      < 0.459775, -2.079566, -0.620091>,
      < 0.459791, -2.106365, -0.637434>
    }
    triangle {
      < -2.645683, -2.112103, -0.627212>,
      < -2.645697, -2.089132, -0.612347>,
      < -2.804827, -2.063474, -0.638155>
    }
    triangle {
      < -2.645683, -2.112103, -0.627212>,
      < -2.804827, -2.063474, -0.638155>,
      < -2.804806, -2.099205, -0.661277>
    }
    triangle {
      < 0.273217, -2.061650, -0.638156>,
      < 0.273203, -2.038496, -0.602586>,
      < 0.459765, -2.062201, -0.593414>
    }
    triangle {
      < 0.273217, -2.061650, -0.638156>,
      < 0.459765, -2.062201, -0.593414>,
      < 0.459775, -2.079566, -0.620091>
    }
    triangle {
      < -2.645697, -2.089132, -0.612347>,
      < -2.645705, -2.074249, -0.589482>,
      < -2.804841, -2.040320, -0.602585>
    }
    triangle {
      < -2.645697, -2.089132, -0.612347>,
      < -2.804841, -2.040320, -0.602585>,
      < -2.804827, -2.063474, -0.638155>
    }
    triangle {
      < 0.273203, -2.038496, -0.602586>,
      < 0.273199, -2.031808, -0.560675>,
      < 0.459762, -2.057185, -0.561980>
    }
    triangle {
      < 0.273203, -2.038496, -0.602586>,
      < 0.459762, -2.057185, -0.561980>,
      < 0.459765, -2.062201, -0.593414>
    }
    triangle {
      < -2.645705, -2.074249, -0.589482>,
      < -2.645708, -2.069950, -0.562538>,
      < -2.804845, -2.033632, -0.560674>
    }
    triangle {
      < -2.645705, -2.074249, -0.589482>,
      < -2.804845, -2.033632, -0.560674>,
      < -2.804841, -2.040320, -0.602585>
    }
    triangle {
      < -2.645667, -2.139060, -0.631424>,
      < -2.645683, -2.112103, -0.627212>,
      < -2.804806, -2.099205, -0.661277>
    }
    triangle {
      < -2.645667, -2.139060, -0.631424>,
      < -2.804806, -2.099205, -0.661277>,
      < -2.804781, -2.141138, -0.667829>
    }
    triangle {
      < 0.273263, -2.139313, -0.667830>,
      < 0.273238, -2.097381, -0.661278>,
      < 0.459791, -2.106365, -0.637434>
    }
    triangle {
      < 0.273263, -2.139313, -0.667830>,
      < 0.459791, -2.106365, -0.637434>,
      < 0.459810, -2.137815, -0.642347>
    }
    triangle {
      < -0.149293, -2.006569, -0.559369>,
      < -0.149285, -2.020237, -0.508108>,
      < 0.273205, -2.042742, -0.519665>
    }
    triangle {
      < -0.149293, -2.006569, -0.559369>,
      < 0.273205, -2.042742, -0.519665>,
      < 0.273199, -2.031808, -0.560675>
    }
    triangle {
      < -2.804845, -2.033632, -0.560674>,
      < -2.804838, -2.044566, -0.519664>,
      < -2.782905, -2.021798, -0.508107>
    }
    triangle {
      < -2.804845, -2.033632, -0.560674>,
      < -2.782905, -2.021798, -0.508107>,
      < -2.782913, -2.008130, -0.559368>
    }
    triangle {
      < -2.782913, -2.008130, -0.559368>,
      < -2.782905, -2.021798, -0.508107>,
      < -0.149285, -2.020237, -0.508108>
    }
    triangle {
      < -2.782913, -2.008130, -0.559368>,
      < -0.149285, -2.020237, -0.508108>,
      < -0.149293, -2.006569, -0.559369>
    }
    triangle {
      < -0.149183, -2.192169, -0.679479>,
      < -0.149213, -2.140952, -0.693313>,
      < 0.273263, -2.139313, -0.667830>
    }
    triangle {
      < -0.149183, -2.192169, -0.679479>,
      < 0.273263, -2.139313, -0.667830>,
      < 0.273287, -2.180286, -0.656762>
    }
    triangle {
      < -2.782804, -2.193729, -0.679478>,
      < -2.782834, -2.142512, -0.693312>,
      < -0.149213, -2.140952, -0.693313>
    }
    triangle {
      < -2.782804, -2.193729, -0.679478>,
      < -0.149213, -2.140952, -0.693313>,
      < -0.149183, -2.192169, -0.679479>
    }
    triangle {
      < -2.804757, -2.182110, -0.656761>,
      < -2.804781, -2.141138, -0.667829>,
      < -2.782834, -2.142512, -0.693312>
    }
    triangle {
      < -2.804757, -2.182110, -0.656761>,
      < -2.782834, -2.142512, -0.693312>,
      < -2.782804, -2.193729, -0.679478>
    }
    triangle {
      < 0.459791, -2.106365, -0.637434>,
      < 0.459775, -2.079566, -0.620091>,
      < 0.564034, -2.100107, -0.599445>
    }
    triangle {
      < 0.459791, -2.106365, -0.637434>,
      < 0.564034, -2.100107, -0.599445>,
      < 0.564044, -2.116697, -0.610181>
    }
    triangle {
      < 0.459775, -2.079566, -0.620091>,
      < 0.459765, -2.062201, -0.593414>,
      < 0.564028, -2.089357, -0.582931>
    }
    triangle {
      < 0.459775, -2.079566, -0.620091>,
      < 0.564028, -2.089357, -0.582931>,
      < 0.564034, -2.100107, -0.599445>
    }
    triangle {
      < 0.459765, -2.062201, -0.593414>,
      < 0.459762, -2.057185, -0.561980>,
      < 0.564026, -2.086253, -0.563472>
    }
    triangle {
      < 0.459765, -2.062201, -0.593414>,
      < 0.564026, -2.086253, -0.563472>,
      < 0.564028, -2.089357, -0.582931>
    }
    triangle {
      < 0.459810, -2.137815, -0.642347>,
      < 0.459791, -2.106365, -0.637434>,
      < 0.564044, -2.116697, -0.610181>
    }
    triangle {
      < 0.459810, -2.137815, -0.642347>,
      < 0.564044, -2.116697, -0.610181>,
      < 0.564056, -2.136167, -0.613222>
    }
    triangle {
      < 0.273199, -2.031808, -0.560675>,
      < 0.273205, -2.042742, -0.519665>,
      < 0.459767, -2.065386, -0.531223>
    }
    triangle {
      < 0.273199, -2.031808, -0.560675>,
      < 0.459767, -2.065386, -0.531223>,
      < 0.459762, -2.057185, -0.561980>
    }
    triangle {
      < -2.645708, -2.069950, -0.562538>,
      < -2.645704, -2.076978, -0.536175>,
      < -2.804838, -2.044566, -0.519664>
    }
    triangle {
      < -2.645708, -2.069950, -0.562538>,
      < -2.804838, -2.044566, -0.519664>,
      < -2.804845, -2.033632, -0.560674>
    }
    triangle {
      < 0.273287, -2.180286, -0.656762>,
      < 0.273263, -2.139313, -0.667830>,
      < 0.459810, -2.137815, -0.642347>
    }
    triangle {
      < 0.273287, -2.180286, -0.656762>,
      < 0.459810, -2.137815, -0.642347>,
      < 0.459828, -2.168544, -0.634046>
    }
    triangle {
      < -2.645651, -2.165400, -0.624309>,
      < -2.645667, -2.139060, -0.631424>,
      < -2.804781, -2.141138, -0.667829>
    }
    triangle {
      < -2.645651, -2.165400, -0.624309>,
      < -2.804781, -2.141138, -0.667829>,
      < -2.804757, -2.182110, -0.656761>
    }
    triangle {
      < -2.612750, -2.135470, -0.565895>,
      < -2.645697, -2.089132, -0.612347>,
      < -2.645683, -2.112103, -0.627212>
    }
    triangle {
      < -2.612750, -2.135470, -0.565895>,
      < -2.645705, -2.074249, -0.589482>,
      < -2.645697, -2.089132, -0.612347>
    }
    triangle {
      < -2.612750, -2.135470, -0.565895>,
      < -2.645708, -2.069950, -0.562538>,
      < -2.645705, -2.074249, -0.589482>
    }
    triangle {
      < -2.612750, -2.135470, -0.565895>,
      < -2.645683, -2.112103, -0.627212>,
      < -2.645667, -2.139060, -0.631424>
    }
    triangle {
      < 0.459762, -2.057185, -0.561980>,
      < 0.459767, -2.065386, -0.531223>,
      < 0.564029, -2.091329, -0.544432>
    }
    triangle {
      < 0.459762, -2.057185, -0.561980>,
      < 0.564029, -2.091329, -0.544432>,
      < 0.564026, -2.086253, -0.563472>
    }
    triangle {
      < 0.459828, -2.168544, -0.634046>,
      < 0.459810, -2.137815, -0.642347>,
      < 0.564056, -2.136167, -0.613222>
    }
    triangle {
      < 0.459828, -2.168544, -0.634046>,
      < 0.564056, -2.136167, -0.613222>,
      < 0.564067, -2.155190, -0.608084>
    }
    triangle {
      < 0.564034, -2.100107, -0.599445>,
      < 0.564028, -2.089357, -0.582931>,
      < 0.651842, -2.133536, -0.565896>
    }
    triangle {
      < 0.564044, -2.116697, -0.610181>,
      < 0.564034, -2.100107, -0.599445>,
      < 0.651842, -2.133536, -0.565896>
    }
    triangle {
      < -2.612750, -2.135470, -0.565895>,
      < -2.645704, -2.076978, -0.536175>,
      < -2.645708, -2.069950, -0.562538>
    }
    triangle {
      < -2.612750, -2.135470, -0.565895>,
      < -2.645667, -2.139060, -0.631424>,
      < -2.645651, -2.165400, -0.624309>
    }
    triangle {
      < 0.564028, -2.089357, -0.582931>,
      < 0.564026, -2.086253, -0.563472>,
      < 0.651842, -2.133536, -0.565896>
    }
    triangle {
      < 0.564056, -2.136167, -0.613222>,
      < 0.564044, -2.116697, -0.610181>,
      < 0.651842, -2.133536, -0.565896>
    }
    triangle {
      < -2.804838, -2.044566, -0.519664>,
      < -2.804822, -2.071232, -0.486646>,
      < -2.782886, -2.055131, -0.466834>
    }
    triangle {
      < -2.804838, -2.044566, -0.519664>,
      < -2.782886, -2.055131, -0.466834>,
      < -2.782905, -2.021798, -0.508107>
    }
    triangle {
      < -0.149285, -2.020237, -0.508108>,
      < -0.149265, -2.053571, -0.466835>,
      < 0.273221, -2.069408, -0.486647>
    }
    triangle {
      < -0.149285, -2.020237, -0.508108>,
      < 0.273221, -2.069408, -0.486647>,
      < 0.273205, -2.042742, -0.519665>
    }
    triangle {
      < -2.804737, -2.215042, -0.629987>,
      < -2.804757, -2.182110, -0.656761>,
      < -2.782804, -2.193729, -0.679478>
    }
    triangle {
      < -2.804737, -2.215042, -0.629987>,
      < -2.782804, -2.193729, -0.679478>,
      < -2.782779, -2.234894, -0.646012>
    }
    triangle {
      < -0.149159, -2.233333, -0.646013>,
      < -0.149183, -2.192169, -0.679479>,
      < 0.273287, -2.180286, -0.656762>
    }
    triangle {
      < -0.149159, -2.233333, -0.646013>,
      < 0.273287, -2.180286, -0.656762>,
      < 0.273306, -2.213218, -0.629988>
    }
    triangle {
      < 0.564026, -2.086253, -0.563472>,
      < 0.564029, -2.091329, -0.544432>,
      < 0.651842, -2.133536, -0.565896>
    }
    triangle {
      < 0.564067, -2.155190, -0.608084>,
      < 0.564056, -2.136167, -0.613222>,
      < 0.651842, -2.133536, -0.565896>
    }
    triangle {
      < 0.273205, -2.042742, -0.519665>,
      < 0.273221, -2.069408, -0.486647>,
      < 0.459779, -2.085385, -0.506459>
    }
    triangle {
      < 0.273205, -2.042742, -0.519665>,
      < 0.459779, -2.085385, -0.506459>,
      < 0.459767, -2.065386, -0.531223>
    }
    triangle {
      < -2.645704, -2.076978, -0.536175>,
      < -2.645694, -2.094121, -0.514949>,
      < -2.804822, -2.071232, -0.486646>
    }
    triangle {
      < -2.645704, -2.076978, -0.536175>,
      < -2.804822, -2.071232, -0.486646>,
      < -2.804838, -2.044566, -0.519664>
    }
    triangle {
      < 0.273306, -2.213218, -0.629988>,
      < 0.273287, -2.180286, -0.656762>,
      < 0.459828, -2.168544, -0.634046>
    }
    triangle {
      < 0.273306, -2.213218, -0.629988>,
      < 0.459828, -2.168544, -0.634046>,
      < 0.459843, -2.193243, -0.613966>
    }
    triangle {
      < -2.645639, -2.186569, -0.607097>,
      < -2.645651, -2.165400, -0.624309>,
      < -2.804757, -2.182110, -0.656761>
    }
    triangle {
      < -2.645639, -2.186569, -0.607097>,
      < -2.804757, -2.182110, -0.656761>,
      < -2.804737, -2.215042, -0.629987>
    }
    triangle {
      < 0.459767, -2.065386, -0.531223>,
      < 0.459779, -2.085385, -0.506459>,
      < 0.564037, -2.103710, -0.529101>
    }
    triangle {
      < 0.459767, -2.065386, -0.531223>,
      < 0.564037, -2.103710, -0.529101>,
      < 0.564029, -2.091329, -0.544432>
    }
    triangle {
      < 0.459843, -2.193243, -0.613966>,
      < 0.459828, -2.168544, -0.634046>,
      < 0.564067, -2.155190, -0.608084>
    }
    triangle {
      < 0.459843, -2.193243, -0.613966>,
      < 0.564067, -2.155190, -0.608084>,
      < 0.564076, -2.170479, -0.595653>
    }
    triangle {
      < -2.612750, -2.135470, -0.565895>,
      < -2.645694, -2.094121, -0.514949>,
      < -2.645704, -2.076978, -0.536175>
    }
    triangle {
      < -2.612750, -2.135470, -0.565895>,
      < -2.645651, -2.165400, -0.624309>,
      < -2.645639, -2.186569, -0.607097>
    }
    triangle {
      < 0.564029, -2.091329, -0.544432>,
      < 0.564037, -2.103710, -0.529101>,
      < 0.651842, -2.133536, -0.565896>
    }
    triangle {
      < 0.564076, -2.170479, -0.595653>,
      < 0.564067, -2.155190, -0.608084>,
      < 0.651842, -2.133536, -0.565896>
    }
    triangle {
      < -2.612750, -2.135470, -0.565895>,
      < -2.645639, -2.186569, -0.607097>,
      < -2.645632, -2.198911, -0.582764>
    }
    triangle {
      < 0.564037, -2.103710, -0.529101>,
      < 0.564047, -2.121254, -0.520131>,
      < 0.651842, -2.133536, -0.565896>
    }
    triangle {
      < -2.612750, -2.135470, -0.565895>,
      < -2.645632, -2.198911, -0.582764>,
      < -2.645631, -2.200291, -0.555514>
    }
    triangle {
      < -2.612750, -2.135470, -0.565895>,
      < -2.645637, -2.190470, -0.530060>,
      < -2.645648, -2.171145, -0.510798>
    }
    triangle {
      < -2.612750, -2.135470, -0.565895>,
      < -2.645631, -2.200291, -0.555514>,
      < -2.645637, -2.190470, -0.530060>
    }
    triangle {
      < 0.564070, -2.159339, -0.526104>,
      < 0.564078, -2.173295, -0.540015>,
      < 0.651842, -2.133536, -0.565896>
    }
    triangle {
      < 0.564081, -2.179392, -0.578079>,
      < 0.564076, -2.170479, -0.595653>,
      < 0.651842, -2.133536, -0.565896>
    }
    triangle {
      < 0.564082, -2.180388, -0.558399>,
      < 0.564081, -2.179392, -0.578079>,
      < 0.651842, -2.133536, -0.565896>
    }
    triangle {
      < -2.612750, -2.135470, -0.565895>,
      < -2.645679, -2.118413, -0.502529>,
      < -2.645694, -2.094121, -0.514949>
    }
    triangle {
      < 0.564047, -2.121254, -0.520131>,
      < 0.564059, -2.140932, -0.519070>,
      < 0.651842, -2.133536, -0.565896>
    }
    triangle {
      < 0.564078, -2.173295, -0.540015>,
      < 0.564082, -2.180388, -0.558399>,
      < 0.651842, -2.133536, -0.565896>
    }
    triangle {
      < -2.612750, -2.135470, -0.565895>,
      < -2.645663, -2.145658, -0.501060>,
      < -2.645679, -2.118413, -0.502529>
    }
    triangle {
      < 0.564059, -2.140932, -0.519070>,
      < 0.564070, -2.159339, -0.526104>,
      < 0.651842, -2.133536, -0.565896>
    }
    triangle {
      < -2.612750, -2.135470, -0.565895>,
      < -2.645648, -2.171145, -0.510798>,
      < -2.645663, -2.145658, -0.501060>
    }
    triangle {
      < 0.459779, -2.085385, -0.506459>,
      < 0.459796, -2.113728, -0.491968>,
      < 0.564047, -2.121254, -0.520131>
    }
    triangle {
      < 0.459779, -2.085385, -0.506459>,
      < 0.564047, -2.121254, -0.520131>,
      < 0.564037, -2.103710, -0.529101>
    }
    triangle {
      < 0.459851, -2.207641, -0.585577>,
      < 0.459843, -2.193243, -0.613966>,
      < 0.564076, -2.170479, -0.595653>
    }
    triangle {
      < 0.459851, -2.207641, -0.585577>,
      < 0.564076, -2.170479, -0.595653>,
      < 0.564081, -2.179392, -0.578079>
    }
    triangle {
      < -2.645694, -2.094121, -0.514949>,
      < -2.645679, -2.118413, -0.502529>,
      < -2.804800, -2.109021, -0.467325>
    }
    triangle {
      < -2.645694, -2.094121, -0.514949>,
      < -2.804800, -2.109021, -0.467325>,
      < -2.804822, -2.071232, -0.486646>
    }
    triangle {
      < -2.645632, -2.198911, -0.582764>,
      < -2.645639, -2.186569, -0.607097>,
      < -2.804737, -2.215042, -0.629987>
    }
    triangle {
      < -2.645632, -2.198911, -0.582764>,
      < -2.804737, -2.215042, -0.629987>,
      < -2.804726, -2.234240, -0.592136>
    }
    triangle {
      < 0.273221, -2.069408, -0.486647>,
      < 0.273244, -2.107197, -0.467326>,
      < 0.459796, -2.113728, -0.491968>
    }
    triangle {
      < 0.273221, -2.069408, -0.486647>,
      < 0.459796, -2.113728, -0.491968>,
      < 0.459779, -2.085385, -0.506459>
    }
    triangle {
      < 0.273318, -2.232415, -0.592137>,
      < 0.273306, -2.213218, -0.629988>,
      < 0.459843, -2.193243, -0.613966>
    }
    triangle {
      < 0.273318, -2.232415, -0.592137>,
      < 0.459843, -2.193243, -0.613966>,
      < 0.459851, -2.207641, -0.585577>
    }
    triangle {
      < -2.804822, -2.071232, -0.486646>,
      < -2.804800, -2.109021, -0.467325>,
      < -2.782858, -2.102368, -0.442682>
    }
    triangle {
      < -2.804822, -2.071232, -0.486646>,
      < -2.782858, -2.102368, -0.442682>,
      < -2.782886, -2.055131, -0.466834>
    }
    triangle {
      < -0.149265, -2.053571, -0.466835>,
      < -0.149237, -2.100807, -0.442683>,
      < 0.273244, -2.107197, -0.467326>
    }
    triangle {
      < -0.149265, -2.053571, -0.466835>,
      < 0.273244, -2.107197, -0.467326>,
      < 0.273221, -2.069408, -0.486647>
    }
    triangle {
      < -0.149144, -2.257330, -0.598697>,
      < -0.149159, -2.233333, -0.646013>,
      < 0.273306, -2.213218, -0.629988>
    }
    triangle {
      < -0.149144, -2.257330, -0.598697>,
      < 0.273306, -2.213218, -0.629988>,
      < 0.273318, -2.232415, -0.592137>
    }
    triangle {
      < -2.804726, -2.234240, -0.592136>,
      < -2.804737, -2.215042, -0.629987>,
      < -2.782779, -2.234894, -0.646012>
    }
    triangle {
      < -2.804726, -2.234240, -0.592136>,
      < -2.782779, -2.234894, -0.646012>,
      < -2.782765, -2.258890, -0.598696>
    }
    triangle {
      < 0.459796, -2.113728, -0.491968>,
      < 0.459814, -2.145513, -0.490256>,
      < 0.564059, -2.140932, -0.519070>
    }
    triangle {
      < 0.459796, -2.113728, -0.491968>,
      < 0.564059, -2.140932, -0.519070>,
      < 0.564047, -2.121254, -0.520131>
    }
    triangle {
      < 0.459852, -2.209250, -0.553786>,
      < 0.459851, -2.207641, -0.585577>,
      < 0.564081, -2.179392, -0.578079>
    }
    triangle {
      < 0.459852, -2.209250, -0.553786>,
      < 0.564081, -2.179392, -0.578079>,
      < 0.564082, -2.180388, -0.558399>
    }
    triangle {
      < -2.645679, -2.118413, -0.502529>,
      < -2.645663, -2.145658, -0.501060>,
      < -2.804775, -2.151401, -0.465041>
    }
    triangle {
      < -2.645679, -2.118413, -0.502529>,
      < -2.804775, -2.151401, -0.465041>,
      < -2.804800, -2.109021, -0.467325>
    }
    triangle {
      < -2.645631, -2.200291, -0.555514>,
      < -2.645632, -2.198911, -0.582764>,
      < -2.804726, -2.234240, -0.592136>
    }
    triangle {
      < -2.645631, -2.200291, -0.555514>,
      < -2.804726, -2.234240, -0.592136>,
      < -2.804724, -2.236385, -0.549749>
    }
    triangle {
      < 0.273244, -2.107197, -0.467326>,
      < 0.273269, -2.149577, -0.465042>,
      < 0.459814, -2.145513, -0.490256>
    }
    triangle {
      < 0.273244, -2.107197, -0.467326>,
      < 0.459814, -2.145513, -0.490256>,
      < 0.459796, -2.113728, -0.491968>
    }
    triangle {
      < 0.459814, -2.145513, -0.490256>,
      < 0.459832, -2.175246, -0.501617>,
      < 0.564070, -2.159339, -0.526104>
    }
    triangle {
      < 0.459814, -2.145513, -0.490256>,
      < 0.564070, -2.159339, -0.526104>,
      < 0.564059, -2.140932, -0.519070>
    }
    triangle {
      < 0.273319, -2.234560, -0.549750>,
      < 0.273318, -2.232415, -0.592137>,
      < 0.459851, -2.207641, -0.585577>
    }
    triangle {
      < 0.273319, -2.234560, -0.549750>,
      < 0.459851, -2.207641, -0.585577>,
      < 0.459852, -2.209250, -0.553786>
    }
    triangle {
      < 0.459845, -2.197792, -0.524089>,
      < 0.459852, -2.209250, -0.553786>,
      < 0.564082, -2.180388, -0.558399>
    }
    triangle {
      < 0.459845, -2.197792, -0.524089>,
      < 0.564082, -2.180388, -0.558399>,
      < 0.564078, -2.173295, -0.540015>
    }
    triangle {
      < 0.459832, -2.175246, -0.501617>,
      < 0.459845, -2.197792, -0.524089>,
      < 0.564078, -2.173295, -0.540015>
    }
    triangle {
      < 0.459832, -2.175246, -0.501617>,
      < 0.564078, -2.173295, -0.540015>,
      < 0.564070, -2.159339, -0.526104>
    }
    triangle {
      < -2.804800, -2.109021, -0.467325>,
      < -2.804775, -2.151401, -0.465041>,
      < -2.782826, -2.155343, -0.439829>
    }
    triangle {
      < -2.804800, -2.109021, -0.467325>,
      < -2.782826, -2.155343, -0.439829>,
      < -2.782858, -2.102368, -0.442682>
    }
    triangle {
      < -0.149237, -2.100807, -0.442683>,
      < -0.149206, -2.153783, -0.439830>,
      < 0.273269, -2.149577, -0.465042>
    }
    triangle {
      < -0.149237, -2.100807, -0.442683>,
      < 0.273269, -2.149577, -0.465042>,
      < 0.273244, -2.107197, -0.467326>
    }
    triangle {
      < -0.149143, -2.260011, -0.545713>,
      < -0.149144, -2.257330, -0.598697>,
      < 0.273318, -2.232415, -0.592137>
    }
    triangle {
      < -0.149143, -2.260011, -0.545713>,
      < 0.273318, -2.232415, -0.592137>,
      < 0.273319, -2.234560, -0.549750>
    }
    triangle {
      < -2.804724, -2.236385, -0.549749>,
      < -2.804726, -2.234240, -0.592136>,
      < -2.782765, -2.258890, -0.598696>
    }
    triangle {
      < -2.804724, -2.236385, -0.549749>,
      < -2.782765, -2.258890, -0.598696>,
      < -2.782763, -2.261572, -0.545712>
    }
    triangle {
      < -2.645663, -2.145658, -0.501060>,
      < -2.645648, -2.171145, -0.510798>,
      < -2.804751, -2.191047, -0.480190>
    }
    triangle {
      < -2.645663, -2.145658, -0.501060>,
      < -2.804751, -2.191047, -0.480190>,
      < -2.804775, -2.151401, -0.465041>
    }
    triangle {
      < -2.645637, -2.190470, -0.530060>,
      < -2.645631, -2.200291, -0.555514>,
      < -2.804724, -2.236385, -0.549749>
    }
    triangle {
      < -2.645637, -2.190470, -0.530060>,
      < -2.804724, -2.236385, -0.549749>,
      < -2.804734, -2.221107, -0.510151>
    }
    triangle {
      < 0.273269, -2.149577, -0.465042>,
      < 0.273292, -2.189223, -0.480191>,
      < 0.459832, -2.175246, -0.501617>
    }
    triangle {
      < 0.273269, -2.149577, -0.465042>,
      < 0.459832, -2.175246, -0.501617>,
      < 0.459814, -2.145513, -0.490256>
    }
    triangle {
      < 0.273310, -2.219283, -0.510152>,
      < 0.273319, -2.234560, -0.549750>,
      < 0.459852, -2.209250, -0.553786>
    }
    triangle {
      < 0.273310, -2.219283, -0.510152>,
      < 0.459852, -2.209250, -0.553786>,
      < 0.459845, -2.197792, -0.524089>
    }
    triangle {
      < -2.782858, -2.102368, -0.442682>,
      < -2.782826, -2.155343, -0.439829>,
      < -0.149206, -2.153783, -0.439830>
    }
    triangle {
      < -2.782858, -2.102368, -0.442682>,
      < -0.149206, -2.153783, -0.439830>,
      < -0.149237, -2.100807, -0.442683>
    }
    triangle {
      < -2.782763, -2.261572, -0.545712>,
      < -2.782765, -2.258890, -0.598696>,
      < -0.149144, -2.257330, -0.598697>
    }
    triangle {
      < -2.782763, -2.261572, -0.545712>,
      < -0.149144, -2.257330, -0.598697>,
      < -0.149143, -2.260011, -0.545713>
    }
    triangle {
      < -2.645648, -2.171145, -0.510798>,
      < -2.645637, -2.190470, -0.530060>,
      < -2.804734, -2.221107, -0.510151>
    }
    triangle {
      < -2.645648, -2.171145, -0.510798>,
      < -2.804734, -2.221107, -0.510151>,
      < -2.804751, -2.191047, -0.480190>
    }
    triangle {
      < 0.273292, -2.189223, -0.480191>,
      < 0.273310, -2.219283, -0.510152>,
      < 0.459845, -2.197792, -0.524089>
    }
    triangle {
      < 0.273292, -2.189223, -0.480191>,
      < 0.459845, -2.197792, -0.524089>,
      < 0.459832, -2.175246, -0.501617>
    }
    triangle {
      < -2.804775, -2.151401, -0.465041>,
      < -2.804751, -2.191047, -0.480190>,
      < -2.782797, -2.204901, -0.458764>
    }
    triangle {
      < -2.804775, -2.151401, -0.465041>,
      < -2.782797, -2.204901, -0.458764>,
      < -2.782826, -2.155343, -0.439829>
    }
    triangle {
      < -0.149206, -2.153783, -0.439830>,
      < -0.149176, -2.203340, -0.458765>,
      < 0.273292, -2.189223, -0.480191>
    }
    triangle {
      < -0.149206, -2.153783, -0.439830>,
      < 0.273292, -2.189223, -0.480191>,
      < 0.273269, -2.149577, -0.465042>
    }
    triangle {
      < -0.149154, -2.240915, -0.496217>,
      < -0.149143, -2.260011, -0.545713>,
      < 0.273319, -2.234560, -0.549750>
    }
    triangle {
      < -0.149154, -2.240915, -0.496217>,
      < 0.273319, -2.234560, -0.549750>,
      < 0.273310, -2.219283, -0.510152>
    }
    triangle {
      < -2.804734, -2.221107, -0.510151>,
      < -2.804724, -2.236385, -0.549749>,
      < -2.782763, -2.261572, -0.545712>
    }
    triangle {
      < -2.804734, -2.221107, -0.510151>,
      < -2.782763, -2.261572, -0.545712>,
      < -2.782775, -2.242476, -0.496216>
    }
    triangle {
      < -2.804751, -2.191047, -0.480190>,
      < -2.804734, -2.221107, -0.510151>,
      < -2.782775, -2.242476, -0.496216>
    }
    triangle {
      < -2.804751, -2.191047, -0.480190>,
      < -2.782775, -2.242476, -0.496216>,
      < -2.782797, -2.204901, -0.458764>
    }
    triangle {
      < -0.149176, -2.203340, -0.458765>,
      < -0.149154, -2.240915, -0.496217>,
      < 0.273310, -2.219283, -0.510152>
    }
    triangle {
      < -0.149176, -2.203340, -0.458765>,
      < 0.273310, -2.219283, -0.510152>,
      < 0.273292, -2.189223, -0.480191>
    }
    triangle {
      < -2.782826, -2.155343, -0.439829>,
      < -2.782797, -2.204901, -0.458764>,
      < -0.149176, -2.203340, -0.458765>
    }
    triangle {
      < -2.782826, -2.155343, -0.439829>,
      < -0.149176, -2.203340, -0.458765>,
      < -0.149206, -2.153783, -0.439830>
    }
    triangle {
      < -2.782775, -2.242476, -0.496216>,
      < -2.782763, -2.261572, -0.545712>,
      < -0.149143, -2.260011, -0.545713>
    }
    triangle {
      < -2.782775, -2.242476, -0.496216>,
      < -0.149143, -2.260011, -0.545713>,
      < -0.149154, -2.240915, -0.496217>
    }
    triangle {
      < -1.917879, 1.643741, -0.734721>,
      < -1.917805, 1.519611, -0.734685>,
      < -1.917805, 1.519635, -0.650496>
    }
    triangle {
      < -1.917927, 1.725772, -0.547964>,
      < -1.917894, 1.670396, -0.734729>,
      < -1.917879, 1.643741, -0.734721>
    }
    triangle {
      < -1.917927, 1.725772, -0.547964>,
      < -1.917879, 1.643741, -0.734721>,
      < -1.917805, 1.519635, -0.650496>
    }
    triangle {
      < -1.917805, 1.519635, -0.650496>,
      < -1.917732, 1.395819, -0.734648>,
      < -1.917716, 1.368908, -0.734639>
    }
    triangle {
      < -1.917805, 1.519635, -0.650496>,
      < -1.917716, 1.368908, -0.734639>,
      < -1.917683, 1.313417, -0.548051>
    }
    triangle {
      < -1.917805, 1.519611, -0.734685>,
      < -1.917732, 1.395819, -0.734648>,
      < -1.917805, 1.519635, -0.650496>
    }
    triangle {
      < 0.249469, 2.002567, -0.435033>,
      < 0.212869, 2.002545, -0.435027>,
      < 0.212714, 2.264371, -0.435105>
    }
    triangle {
      < -1.619718, 1.220995, -1.192614>,
      < -1.551366, 1.429542, -0.959082>,
      < -1.551359, 1.417768, -0.940948>
    }
    triangle {
      < -1.619718, 1.220995, -1.192614>,
      < -1.551359, 1.417768, -0.940948>,
      < -1.619704, 1.196616, -1.168286>
    }
    triangle {
      < -1.619718, 1.220995, -1.192614>,
      < -1.551377, 1.447932, -0.971014>,
      < -1.551366, 1.429542, -0.959082>
    }
    triangle {
      < -1.914414, 1.196442, -1.168286>,
      < -1.915795, 1.429326, -0.959082>,
      < -1.915806, 1.447716, -0.971014>
    }
    triangle {
      < -1.914414, 1.196442, -1.168286>,
      < -1.915806, 1.447716, -0.971014>,
      < -1.914428, 1.220820, -1.192614>
    }
    triangle {
      < -1.914414, 1.196442, -1.168286>,
      < -1.915788, 1.417552, -0.940948>,
      < -1.915795, 1.429326, -0.959082>
    }
    triangle {
      < -1.914428, 1.220820, -1.192614>,
      < -1.915806, 1.447716, -0.971014>,
      < -1.551377, 1.447932, -0.971014>
    }
    triangle {
      < -1.914428, 1.220820, -1.192614>,
      < -1.551377, 1.447932, -0.971014>,
      < -1.619718, 1.220995, -1.192614>
    }
    triangle {
      < -1.619704, 1.196616, -1.168286>,
      < -1.551359, 1.417768, -0.940948>,
      < -1.915788, 1.417552, -0.940948>
    }
    triangle {
      < -1.619704, 1.196616, -1.168286>,
      < -1.915788, 1.417552, -0.940948>,
      < -1.914414, 1.196442, -1.168286>
    }
    triangle {
      < -0.141441, 1.402748, -1.017128>,
      < -0.083646, 1.430411, -0.959083>,
      < -0.079327, 1.418641, -0.940949>
    }
    triangle {
      < -0.141441, 1.402748, -1.017128>,
      < -0.079327, 1.418641, -0.940949>,
      < -0.141423, 1.372603, -0.987046>
    }
    triangle {
      < -0.141441, 1.402748, -1.017128>,
      < -0.079323, 1.448804, -0.971015>,
      < -0.083646, 1.430411, -0.959083>
    }
    triangle {
      < -1.480130, 1.196699, -1.168286>,
      < -1.378771, 1.429644, -0.959082>,
      < -1.378782, 1.448034, -0.971014>
    }
    triangle {
      < -1.480130, 1.196699, -1.168286>,
      < -1.378782, 1.448034, -0.971014>,
      < -1.480144, 1.221077, -1.192614>
    }
    triangle {
      < -1.480130, 1.196699, -1.168286>,
      < -1.378764, 1.417871, -0.940948>,
      < -1.378771, 1.429644, -0.959082>
    }
    triangle {
      < -1.480144, 1.221077, -1.192614>,
      < -1.378782, 1.448034, -0.971014>,
      < -0.079323, 1.448804, -0.971015>
    }
    triangle {
      < -1.480144, 1.221077, -1.192614>,
      < -0.079323, 1.448804, -0.971015>,
      < -0.141441, 1.402748, -1.017128>
    }
    triangle {
      < -0.141423, 1.372603, -0.987046>,
      < -0.079327, 1.418641, -0.940949>,
      < -1.378764, 1.417871, -0.940948>
    }
    triangle {
      < -0.141423, 1.372603, -0.987046>,
      < -1.378764, 1.417871, -0.940948>,
      < -1.480130, 1.196699, -1.168286>
    }
    triangle {
      < -1.620087, 1.843408, -1.167712>,
      < -1.551478, 1.619015, -0.949098>,
      < -1.551462, 1.591971, -0.971032>
    }
    triangle {
      < -1.620087, 1.843408, -1.167712>,
      < -1.551462, 1.591971, -0.971032>,
      < -1.620073, 1.819074, -1.192083>
    }
    triangle {
      < -1.620087, 1.843408, -1.167712>,
      < -1.551480, 1.622808, -0.941640>,
      < -1.551478, 1.619015, -0.949098>
    }
    triangle {
      < -1.914783, 1.818899, -1.192083>,
      < -1.915907, 1.618799, -0.949098>,
      < -1.915909, 1.622592, -0.941640>
    }
    triangle {
      < -1.914783, 1.818899, -1.192083>,
      < -1.915909, 1.622592, -0.941640>,
      < -1.914797, 1.843234, -1.167711>
    }
    triangle {
      < -1.914783, 1.818899, -1.192083>,
      < -1.915891, 1.591755, -0.971031>,
      < -1.915907, 1.618799, -0.949098>
    }
    triangle {
      < -1.914797, 1.843234, -1.167711>,
      < -1.915909, 1.622592, -0.941640>,
      < -1.551480, 1.622808, -0.941640>
    }
    triangle {
      < -1.914797, 1.843234, -1.167711>,
      < -1.551480, 1.622808, -0.941640>,
      < -1.620087, 1.843408, -1.167712>
    }
    triangle {
      < -1.620073, 1.819074, -1.192083>,
      < -1.551462, 1.591971, -0.971032>,
      < -1.915891, 1.591755, -0.971031>
    }
    triangle {
      < -1.620073, 1.819074, -1.192083>,
      < -1.915891, 1.591755, -0.971031>,
      < -1.914783, 1.818899, -1.192083>
    }
    triangle {
      < -0.141598, 1.668854, -0.986782>,
      < -0.083092, 1.619885, -0.949098>,
      < -0.079604, 1.592843, -0.971032>
    }
    triangle {
      < -0.141598, 1.668854, -0.986782>,
      < -0.079604, 1.592843, -0.971032>,
      < -0.141581, 1.638761, -1.016919>
    }
    triangle {
      < -0.141598, 1.668854, -0.986782>,
      < -0.080628, 1.623680, -0.941640>,
      < -0.083092, 1.619885, -0.949098>
    }
    triangle {
      < -1.480499, 1.819157, -1.192083>,
      < -1.378883, 1.619117, -0.949098>,
      < -1.378885, 1.622910, -0.941640>
    }
    triangle {
      < -1.480499, 1.819157, -1.192083>,
      < -1.378885, 1.622910, -0.941640>,
      < -1.480513, 1.843491, -1.167712>
    }
    triangle {
      < -1.480499, 1.819157, -1.192083>,
      < -1.378867, 1.592073, -0.971032>,
      < -1.378883, 1.619117, -0.949098>
    }
    triangle {
      < -1.480513, 1.843491, -1.167712>,
      < -1.378885, 1.622910, -0.941640>,
      < -0.080628, 1.623680, -0.941640>
    }
    triangle {
      < -1.480513, 1.843491, -1.167712>,
      < -0.080628, 1.623680, -0.941640>,
      < -0.141598, 1.668854, -0.986782>
    }
    triangle {
      < -0.141581, 1.638761, -1.016919>,
      < -0.079604, 1.592843, -0.971032>,
      < -1.378867, 1.592073, -0.971032>
    }
    triangle {
      < -0.141581, 1.638761, -1.016919>,
      < -1.378867, 1.592073, -0.971032>,
      < -1.480499, 1.819157, -1.192083>
    }
    triangle {
      < -1.620072, 1.818690, -0.545289>,
      < -1.551463, 1.592946, -0.765512>,
      < -1.551481, 1.623073, -0.795613>
    }
    triangle {
      < -1.620072, 1.818690, -0.545289>,
      < -1.551481, 1.623073, -0.795613>,
      < -1.620087, 1.843055, -0.569631>
    }
    triangle {
      < -1.914797, 1.842880, -0.569631>,
      < -1.915909, 1.622857, -0.795613>,
      < -1.915892, 1.592730, -0.765512>
    }
    triangle {
      < -1.914797, 1.842880, -0.569631>,
      < -1.915892, 1.592730, -0.765512>,
      < -1.914782, 1.818516, -0.545289>
    }
    triangle {
      < -1.914782, 1.818516, -0.545289>,
      < -1.915892, 1.592730, -0.765512>,
      < -1.551463, 1.592946, -0.765512>
    }
    triangle {
      < -1.914782, 1.818516, -0.545289>,
      < -1.551463, 1.592946, -0.765512>,
      < -1.620072, 1.818690, -0.545289>
    }
    triangle {
      < -1.620087, 1.843055, -0.569631>,
      < -1.551481, 1.623073, -0.795613>,
      < -1.915909, 1.622857, -0.795613>
    }
    triangle {
      < -1.620087, 1.843055, -0.569631>,
      < -1.915909, 1.622857, -0.795613>,
      < -1.914797, 1.842880, -0.569631>
    }
    triangle {
      < -0.141580, 1.638586, -0.720668>,
      < -0.081084, 1.593817, -0.765513>,
      < -0.081102, 1.623944, -0.795614>
    }
    triangle {
      < -0.141580, 1.638586, -0.720668>,
      < -0.081102, 1.623944, -0.795614>,
      < -0.141598, 1.668713, -0.750769>
    }
    triangle {
      < -1.480513, 1.843138, -0.569631>,
      < -1.378886, 1.623175, -0.795613>,
      < -1.378868, 1.593048, -0.765512>
    }
    triangle {
      < -1.480513, 1.843138, -0.569631>,
      < -1.378868, 1.593048, -0.765512>,
      < -1.480498, 1.818773, -0.545289>
    }
    triangle {
      < -1.480498, 1.818773, -0.545289>,
      < -1.378868, 1.593048, -0.765512>,
      < -0.081084, 1.593817, -0.765513>
    }
    triangle {
      < -1.480498, 1.818773, -0.545289>,
      < -0.081084, 1.593817, -0.765513>,
      < -0.141580, 1.638586, -0.720668>
    }
    triangle {
      < -0.141598, 1.668713, -0.750769>,
      < -0.081102, 1.623944, -0.795614>,
      < -1.378886, 1.623175, -0.795613>
    }
    triangle {
      < -0.141598, 1.668713, -0.750769>,
      < -1.378886, 1.623175, -0.795613>,
      < -1.480513, 1.843138, -0.569631>
    }
    triangle {
      < -1.619703, 1.196261, -0.569823>,
      < -1.551372, 1.439465, -0.769707>,
      < -1.551376, 1.446919, -0.765908>
    }
    triangle {
      < -1.619703, 1.196261, -0.569823>,
      < -1.551376, 1.446919, -0.765908>,
      < -1.619718, 1.220611, -0.545466>
    }
    triangle {
      < -1.619703, 1.196261, -0.569823>,
      < -1.551359, 1.417555, -0.796770>,
      < -1.551372, 1.439465, -0.769707>
    }
    triangle {
      < -1.914428, 1.220437, -0.545466>,
      < -1.915801, 1.439249, -0.769707>,
      < -1.915788, 1.417339, -0.796770>
    }
    triangle {
      < -1.914428, 1.220437, -0.545466>,
      < -1.915788, 1.417339, -0.796770>,
      < -1.914413, 1.196086, -0.569823>
    }
    triangle {
      < -1.914428, 1.220437, -0.545466>,
      < -1.915805, 1.446703, -0.765907>,
      < -1.915801, 1.439249, -0.769707>
    }
    triangle {
      < -1.914413, 1.196086, -0.569823>,
      < -1.915788, 1.417339, -0.796770>,
      < -1.551359, 1.417555, -0.796770>
    }
    triangle {
      < -1.914413, 1.196086, -0.569823>,
      < -1.551359, 1.417555, -0.796770>,
      < -1.619703, 1.196261, -0.569823>
    }
    triangle {
      < -1.619718, 1.220611, -0.545466>,
      < -1.551376, 1.446919, -0.765908>,
      < -1.915805, 1.446703, -0.765907>
    }
    triangle {
      < -1.619718, 1.220611, -0.545466>,
      < -1.915805, 1.446703, -0.765907>,
      < -1.914428, 1.220437, -0.545466>
    }
    triangle {
      < -0.141423, 1.372463, -0.750856>,
      < -0.082986, 1.440335, -0.769708>,
      < -0.080523, 1.447791, -0.765908>
    }
    triangle {
      < -0.141423, 1.372463, -0.750856>,
      < -0.080523, 1.447791, -0.765908>,
      < -0.141440, 1.402573, -0.720738>
    }
    triangle {
      < -0.141423, 1.372463, -0.750856>,
      < -0.079501, 1.418427, -0.796771>,
      < -0.082986, 1.440335, -0.769708>
    }
    triangle {
      < -1.480144, 1.220694, -0.545466>,
      < -1.378777, 1.439567, -0.769707>,
      < -1.378764, 1.417657, -0.796770>
    }
    triangle {
      < -1.480144, 1.220694, -0.545466>,
      < -1.378764, 1.417657, -0.796770>,
      < -1.480129, 1.196344, -0.569823>
    }
    triangle {
      < -1.480144, 1.220694, -0.545466>,
      < -1.378781, 1.447022, -0.765908>,
      < -1.378777, 1.439567, -0.769707>
    }
    triangle {
      < -1.480129, 1.196344, -0.569823>,
      < -1.378764, 1.417657, -0.796770>,
      < -0.079501, 1.418427, -0.796771>
    }
    triangle {
      < -1.480129, 1.196344, -0.569823>,
      < -0.079501, 1.418427, -0.796771>,
      < -0.141423, 1.372463, -0.750856>
    }
    triangle {
      < -0.141440, 1.402573, -0.720738>,
      < -0.080523, 1.447791, -0.765908>,
      < -1.378781, 1.447022, -0.765908>
    }
    triangle {
      < -0.141440, 1.402573, -0.720738>,
      < -1.378781, 1.447022, -0.765908>,
      < -1.480144, 1.220694, -0.545466>
    }
    triangle {
      < -0.141441, 1.402748, -1.017128>,
      < -0.141423, 1.372603, -0.987046>,
      < -1.480130, 1.196699, -1.168286>
    }
    triangle {
      < -0.141441, 1.402748, -1.017128>,
      < -1.480130, 1.196699, -1.168286>,
      < -1.480144, 1.221077, -1.192614>
    }
    triangle {
      < -1.619718, 1.220995, -1.192614>,
      < -1.619704, 1.196616, -1.168286>,
      < -1.914414, 1.196442, -1.168286>
    }
    triangle {
      < -1.619718, 1.220995, -1.192614>,
      < -1.914414, 1.196442, -1.168286>,
      < -1.914428, 1.220820, -1.192614>
    }
    triangle {
      < -0.141423, 1.372463, -0.750856>,
      < -0.141440, 1.402573, -0.720738>,
      < -1.480144, 1.220694, -0.545466>
    }
    triangle {
      < -0.141423, 1.372463, -0.750856>,
      < -1.480144, 1.220694, -0.545466>,
      < -1.480129, 1.196344, -0.569823>
    }
    triangle {
      < -1.619703, 1.196261, -0.569823>,
      < -1.619718, 1.220611, -0.545466>,
      < -1.914428, 1.220437, -0.545466>
    }
    triangle {
      < -1.619703, 1.196261, -0.569823>,
      < -1.914428, 1.220437, -0.545466>,
      < -1.914413, 1.196086, -0.569823>
    }
    triangle {
      < -0.141598, 1.668854, -0.986782>,
      < -0.141581, 1.638761, -1.016919>,
      < -1.480499, 1.819157, -1.192083>
    }
    triangle {
      < -0.141598, 1.668854, -0.986782>,
      < -1.480499, 1.819157, -1.192083>,
      < -1.480513, 1.843491, -1.167712>
    }
    triangle {
      < -1.620087, 1.843408, -1.167712>,
      < -1.620073, 1.819074, -1.192083>,
      < -1.914783, 1.818899, -1.192083>
    }
    triangle {
      < -1.620087, 1.843408, -1.167712>,
      < -1.914783, 1.818899, -1.192083>,
      < -1.914797, 1.843234, -1.167711>
    }
    triangle {
      < -0.141580, 1.638586, -0.720668>,
      < -0.141598, 1.668713, -0.750769>,
      < -1.480513, 1.843138, -0.569631>
    }
    triangle {
      < -0.141580, 1.638586, -0.720668>,
      < -1.480513, 1.843138, -0.569631>,
      < -1.480498, 1.818773, -0.545289>
    }
    triangle {
      < -1.620072, 1.818690, -0.545289>,
      < -1.620087, 1.843055, -0.569631>,
      < -1.914797, 1.842880, -0.569631>
    }
    triangle {
      < -1.620072, 1.818690, -0.545289>,
      < -1.914797, 1.842880, -0.569631>,
      < -1.914782, 1.818516, -0.545289>
    }
    triangle {
      < 0.671260, 1.475489, -0.988040>,
      < -0.079323, 1.448804, -0.971015>,
      < -1.378782, 1.448034, -0.971014>
    }
    triangle {
      < 0.671260, 1.475489, -0.988040>,
      < 0.671287, 1.430859, -0.959083>,
      < -0.083646, 1.430411, -0.959083>
    }
    triangle {
      < 0.671260, 1.475489, -0.988040>,
      < -0.083646, 1.430411, -0.959083>,
      < -0.079323, 1.448804, -0.971015>
    }
    triangle {
      < -1.551377, 1.447932, -0.971014>,
      < 0.671260, 1.475489, -0.988040>,
      < -1.378782, 1.448034, -0.971014>
    }
    triangle {
      < -1.378771, 1.429644, -0.959082>,
      < -1.551377, 1.447932, -0.971014>,
      < -1.378782, 1.448034, -0.971014>
    }
    triangle {
      < -1.551377, 1.447932, -0.971014>,
      < -1.915806, 1.447716, -0.971014>,
      < -1.962359, 1.473928, -0.988039>
    }
    triangle {
      < -1.551377, 1.447932, -0.971014>,
      < -1.962359, 1.473928, -0.988039>,
      < 0.671260, 1.475489, -0.988040>
    }
    triangle {
      < -1.915806, 1.447716, -0.971014>,
      < -1.915795, 1.429326, -0.959082>,
      < -1.962333, 1.429298, -0.959082>
    }
    triangle {
      < -1.915806, 1.447716, -0.971014>,
      < -1.962333, 1.429298, -0.959082>,
      < -1.962359, 1.473928, -0.988039>
    }
    triangle {
      < -1.378771, 1.429644, -0.959082>,
      < -1.551366, 1.429542, -0.959082>,
      < -1.551377, 1.447932, -0.971014>
    }
    triangle {
      < -1.962421, 1.577567, -0.982515>,
      < -1.915891, 1.591755, -0.971031>,
      < -1.551462, 1.591971, -0.971032>
    }
    triangle {
      < -1.962421, 1.577567, -0.982515>,
      < -1.962445, 1.618771, -0.949097>,
      < -1.915907, 1.618799, -0.949098>
    }
    triangle {
      < -1.962421, 1.577567, -0.982515>,
      < -1.915907, 1.618799, -0.949098>,
      < -1.915891, 1.591755, -0.971031>
    }
    triangle {
      < -1.378867, 1.592073, -0.971032>,
      < -1.962421, 1.577567, -0.982515>,
      < -1.551462, 1.591971, -0.971032>
    }
    triangle {
      < -1.551478, 1.619015, -0.949098>,
      < -1.378867, 1.592073, -0.971032>,
      < -1.551462, 1.591971, -0.971032>
    }
    triangle {
      < -1.378867, 1.592073, -0.971032>,
      < -0.079604, 1.592843, -0.971032>,
      < 0.671199, 1.579128, -0.982516>
    }
    triangle {
      < -1.378867, 1.592073, -0.971032>,
      < 0.671199, 1.579128, -0.982516>,
      < -1.962421, 1.577567, -0.982515>
    }
    triangle {
      < -0.079604, 1.592843, -0.971032>,
      < -0.083092, 1.619885, -0.949098>,
      < 0.671175, 1.620332, -0.949098>
    }
    triangle {
      < -0.079604, 1.592843, -0.971032>,
      < 0.671175, 1.620332, -0.949098>,
      < 0.671199, 1.579128, -0.982516>
    }
    triangle {
      < -1.551478, 1.619015, -0.949098>,
      < -1.378883, 1.619117, -0.949098>,
      < -1.378867, 1.592073, -0.971032>
    }
    triangle {
      < 0.671160, 1.644385, -0.901813>,
      < -0.080628, 1.623680, -0.941640>,
      < -1.378885, 1.622910, -0.941640>
    }
    triangle {
      < 0.671160, 1.644385, -0.901813>,
      < 0.671175, 1.620332, -0.949098>,
      < -0.083092, 1.619885, -0.949098>
    }
    triangle {
      < 0.671160, 1.644385, -0.901813>,
      < -0.083092, 1.619885, -0.949098>,
      < -0.080628, 1.623680, -0.941640>
    }
    triangle {
      < -1.551480, 1.622808, -0.941640>,
      < 0.671160, 1.644385, -0.901813>,
      < -1.378885, 1.622910, -0.941640>
    }
    triangle {
      < -1.378883, 1.619117, -0.949098>,
      < -1.551480, 1.622808, -0.941640>,
      < -1.378885, 1.622910, -0.941640>
    }
    triangle {
      < -1.551480, 1.622808, -0.941640>,
      < -1.915909, 1.622592, -0.941640>,
      < -1.962459, 1.642824, -0.901812>
    }
    triangle {
      < -1.551480, 1.622808, -0.941640>,
      < -1.962459, 1.642824, -0.901812>,
      < 0.671160, 1.644385, -0.901813>
    }
    triangle {
      < -1.915909, 1.622592, -0.941640>,
      < -1.915907, 1.618799, -0.949098>,
      < -1.962445, 1.618771, -0.949097>
    }
    triangle {
      < -1.915909, 1.622592, -0.941640>,
      < -1.962445, 1.618771, -0.949097>,
      < -1.962459, 1.642824, -0.901812>
    }
    triangle {
      < -1.378883, 1.619117, -0.949098>,
      < -1.551478, 1.619015, -0.949098>,
      < -1.551480, 1.622808, -0.941640>
    }
    triangle {
      < -1.962450, 1.626531, -0.799311>,
      < -0.081102, 1.623944, -0.795614>,
      < 0.671170, 1.628092, -0.799312>
    }
    triangle {
      < -0.081102, 1.623944, -0.795614>,
      < -0.081084, 1.593817, -0.765513>,
      < 0.671192, 1.590561, -0.761816>
    }
    triangle {
      < -0.081102, 1.623944, -0.795614>,
      < 0.671192, 1.590561, -0.761816>,
      < 0.671170, 1.628092, -0.799312>
    }
    triangle {
      < -0.081084, 1.593817, -0.765513>,
      < -1.378868, 1.593048, -0.765512>,
      < 0.671192, 1.590561, -0.761816>
    }
    triangle {
      < -1.378868, 1.593048, -0.765512>,
      < -1.551463, 1.592946, -0.765512>,
      < 0.671192, 1.590561, -0.761816>
    }
    triangle {
      < -1.962450, 1.626531, -0.799311>,
      < -1.378886, 1.623175, -0.795613>,
      < -0.081102, 1.623944, -0.795614>
    }
    triangle {
      < -1.962450, 1.626531, -0.799311>,
      < -1.551481, 1.623073, -0.795613>,
      < -1.378886, 1.623175, -0.795613>
    }
    triangle {
      < -1.551481, 1.623073, -0.795613>,
      < -1.378868, 1.593048, -0.765512>,
      < -1.378886, 1.623175, -0.795613>
    }
    triangle {
      < -1.551481, 1.623073, -0.795613>,
      < -1.551463, 1.592946, -0.765512>,
      < -1.378868, 1.593048, -0.765512>
    }
    triangle {
      < -1.551463, 1.592946, -0.765512>,
      < -1.915892, 1.592730, -0.765512>,
      < -1.962427, 1.589000, -0.761815>
    }
    triangle {
      < -1.551463, 1.592946, -0.765512>,
      < -1.962427, 1.589000, -0.761815>,
      < 0.671192, 1.590561, -0.761816>
    }
    triangle {
      < -1.962450, 1.626531, -0.799311>,
      < -1.915909, 1.622857, -0.795613>,
      < -1.551481, 1.623073, -0.795613>
    }
    triangle {
      < -1.962450, 1.626531, -0.799311>,
      < -1.915892, 1.592730, -0.765512>,
      < -1.915909, 1.622857, -0.795613>
    }
    triangle {
      < -1.962450, 1.626531, -0.799311>,
      < -1.962427, 1.589000, -0.761815>,
      < -1.915892, 1.592730, -0.765512>
    }
    triangle {
      < -1.962367, 1.486487, -0.745612>,
      < -1.915805, 1.446703, -0.765907>,
      < -1.551376, 1.446919, -0.765908>
    }
    triangle {
      < -1.962367, 1.486487, -0.745612>,
      < -1.962339, 1.439222, -0.769707>,
      < -1.915801, 1.439249, -0.769707>
    }
    triangle {
      < -1.962367, 1.486487, -0.745612>,
      < -1.915801, 1.439249, -0.769707>,
      < -1.915805, 1.446703, -0.765907>
    }
    triangle {
      < -1.378781, 1.447022, -0.765908>,
      < -1.962367, 1.486487, -0.745612>,
      < -1.551376, 1.446919, -0.765908>
    }
    triangle {
      < -1.551372, 1.439465, -0.769707>,
      < -1.378781, 1.447022, -0.765908>,
      < -1.551376, 1.446919, -0.765908>
    }
    triangle {
      < -1.378781, 1.447022, -0.765908>,
      < -0.080523, 1.447791, -0.765908>,
      < 0.671253, 1.488047, -0.745613>
    }
    triangle {
      < -1.378781, 1.447022, -0.765908>,
      < 0.671253, 1.488047, -0.745613>,
      < -1.962367, 1.486487, -0.745612>
    }
    triangle {
      < -0.080523, 1.447791, -0.765908>,
      < -0.082986, 1.440335, -0.769708>,
      < 0.671281, 1.440782, -0.769708>
    }
    triangle {
      < -0.080523, 1.447791, -0.765908>,
      < 0.671281, 1.440782, -0.769708>,
      < 0.671253, 1.488047, -0.745613>
    }
    triangle {
      < -1.551372, 1.439465, -0.769707>,
      < -1.378777, 1.439567, -0.769707>,
      < -1.378781, 1.447022, -0.765908>
    }
    triangle {
      < 0.671301, 1.407401, -0.810941>,
      < -0.079501, 1.418427, -0.796771>,
      < -1.378764, 1.417657, -0.796770>
    }
    triangle {
      < 0.671301, 1.407401, -0.810941>,
      < 0.671281, 1.440782, -0.769708>,
      < -0.082986, 1.440335, -0.769708>
    }
    triangle {
      < 0.671301, 1.407401, -0.810941>,
      < -0.082986, 1.440335, -0.769708>,
      < -0.079501, 1.418427, -0.796771>
    }
    triangle {
      < -1.551359, 1.417555, -0.796770>,
      < 0.671301, 1.407401, -0.810941>,
      < -1.378764, 1.417657, -0.796770>
    }
    triangle {
      < -1.378777, 1.439567, -0.769707>,
      < -1.551359, 1.417555, -0.796770>,
      < -1.378764, 1.417657, -0.796770>
    }
    triangle {
      < -1.551359, 1.417555, -0.796770>,
      < -1.915788, 1.417339, -0.796770>,
      < -1.962319, 1.405840, -0.810940>
    }
    triangle {
      < -1.551359, 1.417555, -0.796770>,
      < -1.962319, 1.405840, -0.810940>,
      < 0.671301, 1.407401, -0.810941>
    }
    triangle {
      < -1.915788, 1.417339, -0.796770>,
      < -1.915801, 1.439249, -0.769707>,
      < -1.962339, 1.439222, -0.769707>
    }
    triangle {
      < -1.915788, 1.417339, -0.796770>,
      < -1.962339, 1.439222, -0.769707>,
      < -1.962319, 1.405840, -0.810940>
    }
    triangle {
      < -1.378777, 1.439567, -0.769707>,
      < -1.551372, 1.439465, -0.769707>,
      < -1.551359, 1.417555, -0.796770>
    }
    triangle {
      < -1.962316, 1.400409, -0.914585>,
      < -1.915788, 1.417552, -0.940948>,
      < -1.551359, 1.417768, -0.940948>
    }
    triangle {
      < -1.962316, 1.400409, -0.914585>,
      < -1.962333, 1.429298, -0.959082>,
      < -1.915795, 1.429326, -0.959082>
    }
    triangle {
      < -1.962316, 1.400409, -0.914585>,
      < -1.915795, 1.429326, -0.959082>,
      < -1.915788, 1.417552, -0.940948>
    }
    triangle {
      < -1.378764, 1.417871, -0.940948>,
      < -1.962316, 1.400409, -0.914585>,
      < -1.551359, 1.417768, -0.940948>
    }
    triangle {
      < -1.551366, 1.429542, -0.959082>,
      < -1.378764, 1.417871, -0.940948>,
      < -1.551359, 1.417768, -0.940948>
    }
    triangle {
      < -1.378764, 1.417871, -0.940948>,
      < -0.079327, 1.418641, -0.940949>,
      < 0.671304, 1.401969, -0.914586>
    }
    triangle {
      < -1.378764, 1.417871, -0.940948>,
      < 0.671304, 1.401969, -0.914586>,
      < -1.962316, 1.400409, -0.914585>
    }
    triangle {
      < -0.079327, 1.418641, -0.940949>,
      < -0.083646, 1.430411, -0.959083>,
      < 0.671287, 1.430859, -0.959083>
    }
    triangle {
      < -0.079327, 1.418641, -0.940949>,
      < 0.671287, 1.430859, -0.959083>,
      < 0.671304, 1.401969, -0.914586>
    }
    triangle {
      < -1.551366, 1.429542, -0.959082>,
      < -1.378771, 1.429644, -0.959082>,
      < -1.378764, 1.417871, -0.940948>
    }
    triangle {
      < 1.093753, 1.449159, -0.941039>,
      < 1.093767, 1.426047, -0.905442>,
      < 0.671304, 1.401969, -0.914586>
    }
    triangle {
      < 1.093753, 1.449159, -0.941039>,
      < 0.671304, 1.401969, -0.914586>,
      < 0.671287, 1.430859, -0.959083>
    }
    triangle {
      < 1.093732, 1.484862, -0.964204>,
      < 1.093753, 1.449159, -0.941039>,
      < 0.671287, 1.430859, -0.959083>
    }
    triangle {
      < 1.093732, 1.484862, -0.964204>,
      < 0.671287, 1.430859, -0.959083>,
      < 0.671260, 1.475489, -0.988040>
    }
    triangle {
      < -1.962359, 1.473928, -0.988039>,
      < -1.962333, 1.429298, -0.959082>,
      < -1.984290, 1.447335, -0.941038>
    }
    triangle {
      < -1.962359, 1.473928, -0.988039>,
      < -1.984290, 1.447335, -0.941038>,
      < -1.984312, 1.483038, -0.964203>
    }
    triangle {
      < -1.962333, 1.429298, -0.959082>,
      < -1.962316, 1.400409, -0.914585>,
      < -1.984277, 1.424223, -0.905441>
    }
    triangle {
      < -1.962333, 1.429298, -0.959082>,
      < -1.984277, 1.424223, -0.905441>,
      < -1.984290, 1.447335, -0.941038>
    }
    triangle {
      < 0.671304, 1.401969, -0.914586>,
      < 0.671309, 1.393672, -0.862186>,
      < -1.962311, 1.392112, -0.862185>
    }
    triangle {
      < 0.671304, 1.401969, -0.914586>,
      < -1.962311, 1.392112, -0.862185>,
      < -1.962316, 1.400409, -0.914585>
    }
    triangle {
      < -1.962316, 1.400409, -0.914585>,
      < -1.962311, 1.392112, -0.862185>,
      < -1.984273, 1.417585, -0.863521>
    }
    triangle {
      < -1.962316, 1.400409, -0.914585>,
      < -1.984273, 1.417585, -0.863521>,
      < -1.984277, 1.424223, -0.905441>
    }
    triangle {
      < 1.093767, 1.426047, -0.905442>,
      < 1.093771, 1.419409, -0.863522>,
      < 0.671309, 1.393672, -0.862186>
    }
    triangle {
      < 1.093767, 1.426047, -0.905442>,
      < 0.671309, 1.393672, -0.862186>,
      < 0.671304, 1.401969, -0.914586>
    }
    triangle {
      < 0.671229, 1.527896, -0.996291>,
      < 0.671260, 1.475489, -0.988040>,
      < -1.962359, 1.473928, -0.988039>
    }
    triangle {
      < 0.671229, 1.527896, -0.996291>,
      < -1.962359, 1.473928, -0.988039>,
      < -1.962390, 1.526335, -0.996290>
    }
    triangle {
      < 1.093707, 1.526787, -0.970806>,
      < 1.093732, 1.484862, -0.964204>,
      < 0.671260, 1.475489, -0.988040>
    }
    triangle {
      < 1.093707, 1.526787, -0.970806>,
      < 0.671260, 1.475489, -0.988040>,
      < 0.671229, 1.527896, -0.996291>
    }
    triangle {
      < -1.962390, 1.526335, -0.996290>,
      < -1.962359, 1.473928, -0.988039>,
      < -1.984312, 1.483038, -0.964203>
    }
    triangle {
      < -1.962390, 1.526335, -0.996290>,
      < -1.984312, 1.483038, -0.964203>,
      < -1.984336, 1.524963, -0.970805>
    }
    triangle {
      < 1.280274, 1.494096, -0.940370>,
      < 1.280290, 1.467318, -0.922996>,
      < 1.093753, 1.449159, -0.941039>
    }
    triangle {
      < 1.280274, 1.494096, -0.940370>,
      < 1.093753, 1.449159, -0.941039>,
      < 1.093732, 1.484862, -0.964204>
    }
    triangle {
      < -1.984312, 1.483038, -0.964203>,
      < -1.984290, 1.447335, -0.941038>,
      < -1.825191, 1.473212, -0.915261>
    }
    triangle {
      < -1.984312, 1.483038, -0.964203>,
      < -1.825191, 1.473212, -0.915261>,
      < -1.825204, 1.496166, -0.930154>
    }
    triangle {
      < 1.280290, 1.467318, -0.922996>,
      < 1.280301, 1.449984, -0.896297>,
      < 1.093767, 1.426047, -0.905442>
    }
    triangle {
      < 1.280290, 1.467318, -0.922996>,
      < 1.093767, 1.426047, -0.905442>,
      < 1.093753, 1.449159, -0.941039>
    }
    triangle {
      < -1.984290, 1.447335, -0.941038>,
      < -1.984277, 1.424223, -0.905441>,
      < -1.825182, 1.458356, -0.892377>
    }
    triangle {
      < -1.984290, 1.447335, -0.941038>,
      < -1.825182, 1.458356, -0.892377>,
      < -1.825191, 1.473212, -0.915261>
    }
    triangle {
      < 1.280301, 1.449984, -0.896297>,
      < 1.280304, 1.445006, -0.864857>,
      < 1.093771, 1.419409, -0.863522>
    }
    triangle {
      < 1.280301, 1.449984, -0.896297>,
      < 1.093771, 1.419409, -0.863522>,
      < 1.093767, 1.426047, -0.905442>
    }
    triangle {
      < -1.984277, 1.424223, -0.905441>,
      < -1.984273, 1.417585, -0.863521>,
      < -1.825179, 1.454089, -0.865429>
    }
    triangle {
      < -1.984277, 1.424223, -0.905441>,
      < -1.825179, 1.454089, -0.865429>,
      < -1.825182, 1.458356, -0.892377>
    }
    triangle {
      < -1.984336, 1.524963, -0.970805>,
      < -1.984312, 1.483038, -0.964203>,
      < -1.825204, 1.496166, -0.930154>
    }
    triangle {
      < -1.984336, 1.524963, -0.970805>,
      < -1.825204, 1.496166, -0.930154>,
      < -1.825220, 1.523117, -0.934397>
    }
    triangle {
      < 1.280256, 1.525540, -0.945320>,
      < 1.280274, 1.494096, -0.940370>,
      < 1.093732, 1.484862, -0.964204>
    }
    triangle {
      < 1.280256, 1.525540, -0.945320>,
      < 1.093732, 1.484862, -0.964204>,
      < 1.093707, 1.526787, -0.970806>
    }
    triangle {
      < 1.093771, 1.419409, -0.863522>,
      < 1.093764, 1.430392, -0.822527>,
      < 0.671301, 1.407401, -0.810941>
    }
    triangle {
      < 1.093771, 1.419409, -0.863522>,
      < 0.671301, 1.407401, -0.810941>,
      < 0.671309, 1.393672, -0.862186>
    }
    triangle {
      < -1.962311, 1.392112, -0.862185>,
      < -1.962319, 1.405840, -0.810940>,
      < -1.984279, 1.428568, -0.822526>
    }
    triangle {
      < -1.962311, 1.392112, -0.862185>,
      < -1.984279, 1.428568, -0.822526>,
      < -1.984273, 1.417585, -0.863521>
    }
    triangle {
      < 0.671309, 1.393672, -0.862186>,
      < 0.671301, 1.407401, -0.810941>,
      < -1.962319, 1.405840, -0.810940>
    }
    triangle {
      < 0.671309, 1.393672, -0.862186>,
      < -1.962319, 1.405840, -0.810940>,
      < -1.962311, 1.392112, -0.862185>
    }
    triangle {
      < 1.093683, 1.567774, -0.959786>,
      < 1.093707, 1.526787, -0.970806>,
      < 0.671229, 1.527896, -0.996291>
    }
    triangle {
      < 1.093683, 1.567774, -0.959786>,
      < 0.671229, 1.527896, -0.996291>,
      < 0.671199, 1.579128, -0.982516>
    }
    triangle {
      < 0.671199, 1.579128, -0.982516>,
      < 0.671229, 1.527896, -0.996291>,
      < -1.962390, 1.526335, -0.996290>
    }
    triangle {
      < 0.671199, 1.579128, -0.982516>,
      < -1.962390, 1.526335, -0.996290>,
      < -1.962421, 1.577567, -0.982515>
    }
    triangle {
      < -1.962421, 1.577567, -0.982515>,
      < -1.962390, 1.526335, -0.996290>,
      < -1.984336, 1.524963, -0.970805>
    }
    triangle {
      < -1.962421, 1.577567, -0.982515>,
      < -1.984336, 1.524963, -0.970805>,
      < -1.984361, 1.565950, -0.959785>
    }
    triangle {
      < 1.384515, 1.504584, -0.913130>,
      < 1.384525, 1.488007, -0.902374>,
      < 1.280290, 1.467318, -0.922996>
    }
    triangle {
      < 1.384515, 1.504584, -0.913130>,
      < 1.280290, 1.467318, -0.922996>,
      < 1.280274, 1.494096, -0.940370>
    }
    triangle {
      < 1.384525, 1.488007, -0.902374>,
      < 1.384531, 1.477277, -0.885847>,
      < 1.280301, 1.449984, -0.896297>
    }
    triangle {
      < 1.384525, 1.488007, -0.902374>,
      < 1.280301, 1.449984, -0.896297>,
      < 1.280290, 1.467318, -0.922996>
    }
    triangle {
      < 1.384531, 1.477277, -0.885847>,
      < 1.384533, 1.474196, -0.866384>,
      < 1.280304, 1.445006, -0.864857>
    }
    triangle {
      < 1.384531, 1.477277, -0.885847>,
      < 1.280304, 1.445006, -0.864857>,
      < 1.280301, 1.449984, -0.896297>
    }
    triangle {
      < 1.384504, 1.524050, -0.916194>,
      < 1.384515, 1.504584, -0.913130>,
      < 1.280274, 1.494096, -0.940370>
    }
    triangle {
      < 1.384504, 1.524050, -0.916194>,
      < 1.280274, 1.494096, -0.940370>,
      < 1.280256, 1.525540, -0.945320>
    }
    triangle {
      < 1.280304, 1.445006, -0.864857>,
      < 1.280299, 1.453244, -0.834110>,
      < 1.093764, 1.430392, -0.822527>
    }
    triangle {
      < 1.280304, 1.445006, -0.864857>,
      < 1.093764, 1.430392, -0.822527>,
      < 1.093771, 1.419409, -0.863522>
    }
    triangle {
      < -1.984273, 1.417585, -0.863521>,
      < -1.984279, 1.428568, -0.822526>,
      < -1.825184, 1.461149, -0.839074>
    }
    triangle {
      < -1.984273, 1.417585, -0.863521>,
      < -1.825184, 1.461149, -0.839074>,
      < -1.825179, 1.454089, -0.865429>
    }
    triangle {
      < 1.280238, 1.556280, -0.937055>,
      < 1.280256, 1.525540, -0.945320>,
      < 1.093707, 1.526787, -0.970806>
    }
    triangle {
      < 1.280238, 1.556280, -0.937055>,
      < 1.093707, 1.526787, -0.970806>,
      < 1.093683, 1.567774, -0.959786>
    }
    triangle {
      < -1.984361, 1.565950, -0.959785>,
      < -1.984336, 1.524963, -0.970805>,
      < -1.825220, 1.523117, -0.934397>
    }
    triangle {
      < -1.984361, 1.565950, -0.959785>,
      < -1.825220, 1.523117, -0.934397>,
      < -1.825236, 1.549466, -0.927313>
    }
    triangle {
      < -1.825204, 1.496166, -0.930154>,
      < -1.825191, 1.473212, -0.915261>,
      < -1.792298, 1.519644, -0.868863>
    }
    triangle {
      < -1.825191, 1.473212, -0.915261>,
      < -1.825182, 1.458356, -0.892377>,
      < -1.792298, 1.519644, -0.868863>
    }
    triangle {
      < -1.825182, 1.458356, -0.892377>,
      < -1.825179, 1.454089, -0.865429>,
      < -1.792298, 1.519644, -0.868863>
    }
    triangle {
      < -1.825220, 1.523117, -0.934397>,
      < -1.825204, 1.496166, -0.930154>,
      < -1.792298, 1.519644, -0.868863>
    }
    triangle {
      < 1.384533, 1.474196, -0.866384>,
      < 1.384530, 1.479294, -0.847350>,
      < 1.280299, 1.453244, -0.834110>
    }
    triangle {
      < 1.384533, 1.474196, -0.866384>,
      < 1.280299, 1.453244, -0.834110>,
      < 1.280304, 1.445006, -0.864857>
    }
    triangle {
      < 1.384492, 1.543079, -0.911079>,
      < 1.384504, 1.524050, -0.916194>,
      < 1.280256, 1.525540, -0.945320>
    }
    triangle {
      < 1.384492, 1.543079, -0.911079>,
      < 1.280256, 1.525540, -0.945320>,
      < 1.280238, 1.556280, -0.937055>
    }
    triangle {
      < 1.472293, 1.521579, -0.868864>,
      < 1.384531, 1.477277, -0.885847>,
      < 1.384525, 1.488007, -0.902374>
    }
    triangle {
      < 1.472293, 1.521579, -0.868864>,
      < 1.384525, 1.488007, -0.902374>,
      < 1.384515, 1.504584, -0.913130>
    }
    triangle {
      < -1.825179, 1.454089, -0.865429>,
      < -1.825184, 1.461149, -0.839074>,
      < -1.792298, 1.519644, -0.868863>
    }
    triangle {
      < -1.825236, 1.549466, -0.927313>,
      < -1.825220, 1.523117, -0.934397>,
      < -1.792298, 1.519644, -0.868863>
    }
    triangle {
      < 1.472293, 1.521579, -0.868864>,
      < 1.384533, 1.474196, -0.866384>,
      < 1.384531, 1.477277, -0.885847>
    }
    triangle {
      < 1.472293, 1.521579, -0.868864>,
      < 1.384515, 1.504584, -0.913130>,
      < 1.384504, 1.524050, -0.916194>
    }
    triangle {
      < -1.962319, 1.405840, -0.810940>,
      < -1.962339, 1.439222, -0.769707>,
      < -1.984295, 1.455273, -0.789538>
    }
    triangle {
      < -1.962319, 1.405840, -0.810940>,
      < -1.984295, 1.455273, -0.789538>,
      < -1.984279, 1.428568, -0.822526>
    }
    triangle {
      < 1.093764, 1.430392, -0.822527>,
      < 1.093748, 1.457097, -0.789539>,
      < 0.671281, 1.440782, -0.769708>
    }
    triangle {
      < 1.093764, 1.430392, -0.822527>,
      < 0.671281, 1.440782, -0.769708>,
      < 0.671301, 1.407401, -0.810941>
    }
    triangle {
      < -1.962445, 1.618771, -0.949097>,
      < -1.962421, 1.577567, -0.982515>,
      < -1.984361, 1.565950, -0.959785>
    }
    triangle {
      < -1.962445, 1.618771, -0.949097>,
      < -1.984361, 1.565950, -0.959785>,
      < -1.984380, 1.598913, -0.933051>
    }
    triangle {
      < 1.093663, 1.600737, -0.933052>,
      < 1.093683, 1.567774, -0.959786>,
      < 0.671199, 1.579128, -0.982516>
    }
    triangle {
      < 1.093663, 1.600737, -0.933052>,
      < 0.671199, 1.579128, -0.982516>,
      < 0.671175, 1.620332, -0.949098>
    }
    triangle {
      < 1.472293, 1.521579, -0.868864>,
      < 1.384530, 1.479294, -0.847350>,
      < 1.384533, 1.474196, -0.866384>
    }
    triangle {
      < 1.472293, 1.521579, -0.868864>,
      < 1.384504, 1.524050, -0.916194>,
      < 1.384492, 1.543079, -0.911079>
    }
    triangle {
      < 1.280299, 1.453244, -0.834110>,
      < 1.280287, 1.473272, -0.809370>,
      < 1.093748, 1.457097, -0.789539>
    }
    triangle {
      < 1.280299, 1.453244, -0.834110>,
      < 1.093748, 1.457097, -0.789539>,
      < 1.093764, 1.430392, -0.822527>
    }
    triangle {
      < -1.984279, 1.428568, -0.822526>,
      < -1.984295, 1.455273, -0.789538>,
      < -1.825194, 1.478316, -0.817868>
    }
    triangle {
      < -1.984279, 1.428568, -0.822526>,
      < -1.825194, 1.478316, -0.817868>,
      < -1.825184, 1.461149, -0.839074>
    }
    triangle {
      < 1.280223, 1.581002, -0.917005>,
      < 1.280238, 1.556280, -0.937055>,
      < 1.093683, 1.567774, -0.959786>
    }
    triangle {
      < 1.280223, 1.581002, -0.917005>,
      < 1.093683, 1.567774, -0.959786>,
      < 1.093663, 1.600737, -0.933052>
    }
    triangle {
      < -1.984380, 1.598913, -0.933051>,
      < -1.984361, 1.565950, -0.959785>,
      < -1.825236, 1.549466, -0.927313>
    }
    triangle {
      < -1.984380, 1.598913, -0.933051>,
      < -1.825236, 1.549466, -0.927313>,
      < -1.825248, 1.570657, -0.910126>
    }
    triangle {
      < 1.384530, 1.479294, -0.847350>,
      < 1.384523, 1.491693, -0.832035>,
      < 1.280287, 1.473272, -0.809370>
    }
    triangle {
      < 1.384530, 1.479294, -0.847350>,
      < 1.280287, 1.473272, -0.809370>,
      < 1.280299, 1.453244, -0.834110>
    }
    triangle {
      < 1.384483, 1.558383, -0.898666>,
      < 1.384492, 1.543079, -0.911079>,
      < 1.280238, 1.556280, -0.937055>
    }
    triangle {
      < 1.384483, 1.558383, -0.898666>,
      < 1.280238, 1.556280, -0.937055>,
      < 1.280223, 1.581002, -0.917005>
    }
    triangle {
      < -1.825184, 1.461149, -0.839074>,
      < -1.825194, 1.478316, -0.817868>,
      < -1.792298, 1.519644, -0.868863>
    }
    triangle {
      < -1.825248, 1.570657, -0.910126>,
      < -1.825236, 1.549466, -0.927313>,
      < -1.792298, 1.519644, -0.868863>
    }
    triangle {
      < 1.472293, 1.521579, -0.868864>,
      < 1.384523, 1.491693, -0.832035>,
      < 1.384530, 1.479294, -0.847350>
    }
    triangle {
      < 1.472293, 1.521579, -0.868864>,
      < 1.384492, 1.543079, -0.911079>,
      < 1.384483, 1.558383, -0.898666>
    }
    triangle {
      < -1.825256, 1.583026, -0.885807>,
      < -1.825248, 1.570657, -0.910126>,
      < -1.792298, 1.519644, -0.868863>
    }
    triangle {
      < 1.472293, 1.521579, -0.868864>,
      < 1.384513, 1.509248, -0.823085>,
      < 1.384523, 1.491693, -0.832035>
    }
    triangle {
      < -1.825257, 1.584438, -0.858560>,
      < -1.825256, 1.583026, -0.885807>,
      < -1.792298, 1.519644, -0.868863>
    }
    triangle {
      < -1.825239, 1.555346, -0.813809>,
      < -1.825251, 1.574647, -0.833093>,
      < -1.792298, 1.519644, -0.868863>
    }
    triangle {
      < -1.825251, 1.574647, -0.833093>,
      < -1.825257, 1.584438, -0.858560>,
      < -1.792298, 1.519644, -0.868863>
    }
    triangle {
      < 1.472293, 1.521579, -0.868864>,
      < 1.384482, 1.561265, -0.843031>,
      < 1.384490, 1.547326, -0.829103>
    }
    triangle {
      < 1.472293, 1.521579, -0.868864>,
      < 1.384483, 1.558383, -0.898666>,
      < 1.384478, 1.567318, -0.881102>
    }
    triangle {
      < 1.472293, 1.521579, -0.868864>,
      < 1.384478, 1.567318, -0.881102>,
      < 1.384477, 1.568338, -0.861424>
    }
    triangle {
      < -1.825194, 1.478316, -0.817868>,
      < -1.825208, 1.502624, -0.805477>,
      < -1.792298, 1.519644, -0.868863>
    }
    triangle {
      < 1.472293, 1.521579, -0.868864>,
      < 1.384501, 1.528927, -0.822048>,
      < 1.384513, 1.509248, -0.823085>
    }
    triangle {
      < 1.472293, 1.521579, -0.868864>,
      < 1.384477, 1.568338, -0.861424>,
      < 1.384482, 1.561265, -0.843031>
    }
    triangle {
      < -1.825208, 1.502624, -0.805477>,
      < -1.825224, 1.529870, -0.804041>,
      < -1.792298, 1.519644, -0.868863>
    }
    triangle {
      < 1.472293, 1.521579, -0.868864>,
      < 1.384490, 1.547326, -0.829103>,
      < 1.384501, 1.528927, -0.822048>
    }
    triangle {
      < -1.825224, 1.529870, -0.804041>,
      < -1.825239, 1.555346, -0.813809>,
      < -1.792298, 1.519644, -0.868863>
    }
    triangle {
      < 1.384523, 1.491693, -0.832035>,
      < 1.384513, 1.509248, -0.823085>,
      < 1.280270, 1.501631, -0.794913>
    }
    triangle {
      < 1.384523, 1.491693, -0.832035>,
      < 1.280270, 1.501631, -0.794913>,
      < 1.280287, 1.473272, -0.809370>
    }
    triangle {
      < 1.384478, 1.567318, -0.881102>,
      < 1.384483, 1.558383, -0.898666>,
      < 1.280223, 1.581002, -0.917005>
    }
    triangle {
      < 1.384478, 1.567318, -0.881102>,
      < 1.280223, 1.581002, -0.917005>,
      < 1.280214, 1.595434, -0.888634>
    }
    triangle {
      < -1.984295, 1.455273, -0.789538>,
      < -1.984318, 1.493085, -0.770262>,
      < -1.825208, 1.502624, -0.805477>
    }
    triangle {
      < -1.984295, 1.455273, -0.789538>,
      < -1.825208, 1.502624, -0.805477>,
      < -1.825194, 1.478316, -0.817868>
    }
    triangle {
      < -1.984392, 1.618156, -0.895221>,
      < -1.984380, 1.598913, -0.933051>,
      < -1.825248, 1.570657, -0.910126>
    }
    triangle {
      < -1.984392, 1.618156, -0.895221>,
      < -1.825248, 1.570657, -0.910126>,
      < -1.825256, 1.583026, -0.885807>
    }
    triangle {
      < 1.280287, 1.473272, -0.809370>,
      < 1.280270, 1.501631, -0.794913>,
      < 1.093726, 1.494909, -0.770263>
    }
    triangle {
      < 1.280287, 1.473272, -0.809370>,
      < 1.093726, 1.494909, -0.770263>,
      < 1.093748, 1.457097, -0.789539>
    }
    triangle {
      < 1.280214, 1.595434, -0.888634>,
      < 1.280223, 1.581002, -0.917005>,
      < 1.093663, 1.600737, -0.933052>
    }
    triangle {
      < 1.280214, 1.595434, -0.888634>,
      < 1.093663, 1.600737, -0.933052>,
      < 1.093652, 1.619980, -0.895222>
    }
    triangle {
      < -1.962339, 1.439222, -0.769707>,
      < -1.962367, 1.486487, -0.745612>,
      < -1.984318, 1.493085, -0.770262>
    }
    triangle {
      < -1.962339, 1.439222, -0.769707>,
      < -1.984318, 1.493085, -0.770262>,
      < -1.984295, 1.455273, -0.789538>
    }
    triangle {
      < 1.093748, 1.457097, -0.789539>,
      < 1.093726, 1.494909, -0.770263>,
      < 0.671253, 1.488047, -0.745613>
    }
    triangle {
      < 1.093748, 1.457097, -0.789539>,
      < 0.671253, 1.488047, -0.745613>,
      < 0.671281, 1.440782, -0.769708>
    }
    triangle {
      < 1.093652, 1.619980, -0.895222>,
      < 1.093663, 1.600737, -0.933052>,
      < 0.671175, 1.620332, -0.949098>
    }
    triangle {
      < 1.093652, 1.619980, -0.895222>,
      < 0.671175, 1.620332, -0.949098>,
      < 0.671160, 1.644385, -0.901813>
    }
    triangle {
      < -1.962459, 1.642824, -0.901812>,
      < -1.962445, 1.618771, -0.949097>,
      < -1.984380, 1.598913, -0.933051>
    }
    triangle {
      < -1.962459, 1.642824, -0.901812>,
      < -1.984380, 1.598913, -0.933051>,
      < -1.984392, 1.618156, -0.895221>
    }
    triangle {
      < 1.384513, 1.509248, -0.823085>,
      < 1.384501, 1.528927, -0.822048>,
      < 1.280251, 1.533418, -0.793238>
    }
    triangle {
      < 1.384513, 1.509248, -0.823085>,
      < 1.280251, 1.533418, -0.793238>,
      < 1.280270, 1.501631, -0.794913>
    }
    triangle {
      < 1.384477, 1.568338, -0.861424>,
      < 1.384478, 1.567318, -0.881102>,
      < 1.280214, 1.595434, -0.888634>
    }
    triangle {
      < 1.384477, 1.568338, -0.861424>,
      < 1.280214, 1.595434, -0.888634>,
      < 1.280213, 1.597081, -0.856845>
    }
    triangle {
      < -1.984318, 1.493085, -0.770262>,
      < -1.984343, 1.535468, -0.768029>,
      < -1.825224, 1.529870, -0.804041>
    }
    triangle {
      < -1.984318, 1.493085, -0.770262>,
      < -1.825224, 1.529870, -0.804041>,
      < -1.825208, 1.502624, -0.805477>
    }
    triangle {
      < -1.984393, 1.620350, -0.852836>,
      < -1.984392, 1.618156, -0.895221>,
      < -1.825256, 1.583026, -0.885807>
    }
    triangle {
      < -1.984393, 1.620350, -0.852836>,
      < -1.825256, 1.583026, -0.885807>,
      < -1.825257, 1.584438, -0.858560>
    }
    triangle {
      < 1.280270, 1.501631, -0.794913>,
      < 1.280251, 1.533418, -0.793238>,
      < 1.093701, 1.537292, -0.768030>
    }
    triangle {
      < 1.280270, 1.501631, -0.794913>,
      < 1.093701, 1.537292, -0.768030>,
      < 1.093726, 1.494909, -0.770263>
    }
    triangle {
      < 1.384501, 1.528927, -0.822048>,
      < 1.384490, 1.547326, -0.829103>,
      < 1.280234, 1.563140, -0.804635>
    }
    triangle {
      < 1.384501, 1.528927, -0.822048>,
      < 1.280234, 1.563140, -0.804635>,
      < 1.280251, 1.533418, -0.793238>
    }
    triangle {
      < 1.280213, 1.597081, -0.856845>,
      < 1.280214, 1.595434, -0.888634>,
      < 1.093652, 1.619980, -0.895222>
    }
    triangle {
      < 1.280213, 1.597081, -0.856845>,
      < 1.093652, 1.619980, -0.895222>,
      < 1.093650, 1.622174, -0.852838>
    }
    triangle {
      < 1.384482, 1.561265, -0.843031>,
      < 1.384477, 1.568338, -0.861424>,
      < 1.280213, 1.597081, -0.856845>
    }
    triangle {
      < 1.384482, 1.561265, -0.843031>,
      < 1.280213, 1.597081, -0.856845>,
      < 1.280220, 1.585657, -0.827134>
    }
    triangle {
      < 1.384490, 1.547326, -0.829103>,
      < 1.384482, 1.561265, -0.843031>,
      < 1.280220, 1.585657, -0.827134>
    }
    triangle {
      < 1.384490, 1.547326, -0.829103>,
      < 1.280220, 1.585657, -0.827134>,
      < 1.280234, 1.563140, -0.804635>
    }
    triangle {
      < -1.962367, 1.486487, -0.745612>,
      < -1.962398, 1.539465, -0.742821>,
      < -1.984343, 1.535468, -0.768029>
    }
    triangle {
      < -1.962367, 1.486487, -0.745612>,
      < -1.984343, 1.535468, -0.768029>,
      < -1.984318, 1.493085, -0.770262>
    }
    triangle {
      < 1.093726, 1.494909, -0.770263>,
      < 1.093701, 1.537292, -0.768030>,
      < 0.671222, 1.541026, -0.742821>
    }
    triangle {
      < 1.093726, 1.494909, -0.770263>,
      < 0.671222, 1.541026, -0.742821>,
      < 0.671253, 1.488047, -0.745613>
    }
    triangle {
      < 1.093650, 1.622174, -0.852838>,
      < 1.093652, 1.619980, -0.895222>,
      < 0.671160, 1.644385, -0.901813>
    }
    triangle {
      < 1.093650, 1.622174, -0.852838>,
      < 0.671160, 1.644385, -0.901813>,
      < 0.671159, 1.647129, -0.848830>
    }
    triangle {
      < -1.962461, 1.645569, -0.848829>,
      < -1.962459, 1.642824, -0.901812>,
      < -1.984392, 1.618156, -0.895221>
    }
    triangle {
      < -1.962461, 1.645569, -0.848829>,
      < -1.984392, 1.618156, -0.895221>,
      < -1.984393, 1.620350, -0.852836>
    }
    triangle {
      < -1.984343, 1.535468, -0.768029>,
      < -1.984366, 1.575096, -0.783224>,
      < -1.825239, 1.555346, -0.813809>
    }
    triangle {
      < -1.984343, 1.535468, -0.768029>,
      < -1.825239, 1.555346, -0.813809>,
      < -1.825224, 1.529870, -0.804041>
    }
    triangle {
      < -1.984384, 1.605120, -0.813221>,
      < -1.984393, 1.620350, -0.852836>,
      < -1.825257, 1.584438, -0.858560>
    }
    triangle {
      < -1.984384, 1.605120, -0.813221>,
      < -1.825257, 1.584438, -0.858560>,
      < -1.825251, 1.574647, -0.833093>
    }
    triangle {
      < 1.280251, 1.533418, -0.793238>,
      < 1.280234, 1.563140, -0.804635>,
      < 1.093677, 1.576920, -0.783225>
    }
    triangle {
      < 1.280251, 1.533418, -0.793238>,
      < 1.093677, 1.576920, -0.783225>,
      < 1.093701, 1.537292, -0.768030>
    }
    triangle {
      < 1.280220, 1.585657, -0.827134>,
      < 1.280213, 1.597081, -0.856845>,
      < 1.093650, 1.622174, -0.852838>
    }
    triangle {
      < 1.280220, 1.585657, -0.827134>,
      < 1.093650, 1.622174, -0.852838>,
      < 1.093660, 1.606944, -0.813222>
    }
    triangle {
      < 0.671253, 1.488047, -0.745613>,
      < 0.671222, 1.541026, -0.742821>,
      < -1.962398, 1.539465, -0.742821>
    }
    triangle {
      < 0.671253, 1.488047, -0.745613>,
      < -1.962398, 1.539465, -0.742821>,
      < -1.962367, 1.486487, -0.745612>
    }
    triangle {
      < 0.671159, 1.647129, -0.848830>,
      < 0.671160, 1.644385, -0.901813>,
      < -1.962459, 1.642824, -0.901812>
    }
    triangle {
      < 0.671159, 1.647129, -0.848830>,
      < -1.962459, 1.642824, -0.901812>,
      < -1.962461, 1.645569, -0.848829>
    }
    triangle {
      < -1.984366, 1.575096, -0.783224>,
      < -1.984384, 1.605120, -0.813221>,
      < -1.825251, 1.574647, -0.833093>
    }
    triangle {
      < -1.984366, 1.575096, -0.783224>,
      < -1.825251, 1.574647, -0.833093>,
      < -1.825239, 1.555346, -0.813809>
    }
    triangle {
      < 1.280234, 1.563140, -0.804635>,
      < 1.280220, 1.585657, -0.827134>,
      < 1.093660, 1.606944, -0.813222>
    }
    triangle {
      < 1.280234, 1.563140, -0.804635>,
      < 1.093660, 1.606944, -0.813222>,
      < 1.093677, 1.576920, -0.783225>
    }
    triangle {
      < -1.962398, 1.539465, -0.742821>,
      < -1.962427, 1.589000, -0.761815>,
      < -1.984366, 1.575096, -0.783224>
    }
    triangle {
      < -1.962398, 1.539465, -0.742821>,
      < -1.984366, 1.575096, -0.783224>,
      < -1.984343, 1.535468, -0.768029>
    }
    triangle {
      < 1.093701, 1.537292, -0.768030>,
      < 1.093677, 1.576920, -0.783225>,
      < 0.671192, 1.590561, -0.761816>
    }
    triangle {
      < 1.093701, 1.537292, -0.768030>,
      < 0.671192, 1.590561, -0.761816>,
      < 0.671222, 1.541026, -0.742821>
    }
    triangle {
      < 1.093660, 1.606944, -0.813222>,
      < 1.093650, 1.622174, -0.852838>,
      < 0.671159, 1.647129, -0.848830>
    }
    triangle {
      < 1.093660, 1.606944, -0.813222>,
      < 0.671159, 1.647129, -0.848830>,
      < 0.671170, 1.628092, -0.799312>
    }
    triangle {
      < -1.962450, 1.626531, -0.799311>,
      < -1.962461, 1.645569, -0.848829>,
      < -1.984393, 1.620350, -0.852836>
    }
    triangle {
      < -1.962450, 1.626531, -0.799311>,
      < -1.984393, 1.620350, -0.852836>,
      < -1.984384, 1.605120, -0.813221>
    }
    triangle {
      < -1.962427, 1.589000, -0.761815>,
      < -1.962450, 1.626531, -0.799311>,
      < -1.984384, 1.605120, -0.813221>
    }
    triangle {
      < -1.962427, 1.589000, -0.761815>,
      < -1.984384, 1.605120, -0.813221>,
      < -1.984366, 1.575096, -0.783224>
    }
    triangle {
      < 1.093677, 1.576920, -0.783225>,
      < 1.093660, 1.606944, -0.813222>,
      < 0.671170, 1.628092, -0.799312>
    }
    triangle {
      < 1.093677, 1.576920, -0.783225>,
      < 0.671170, 1.628092, -0.799312>,
      < 0.671192, 1.590561, -0.761816>
    }
    triangle {
      < 0.671222, 1.541026, -0.742821>,
      < 0.671192, 1.590561, -0.761816>,
      < -1.962427, 1.589000, -0.761815>
    }
    triangle {
      < 0.671222, 1.541026, -0.742821>,
      < -1.962427, 1.589000, -0.761815>,
      < -1.962398, 1.539465, -0.742821>
    }
    triangle {
      < 0.671170, 1.628092, -0.799312>,
      < 0.671159, 1.647129, -0.848830>,
      < -1.962461, 1.645569, -0.848829>
    }
    triangle {
      < 0.671170, 1.628092, -0.799312>,
      < -1.962461, 1.645569, -0.848829>,
      < -1.962450, 1.626531, -0.799311>
    }
    triangle {
      < -2.442699, 1.833049, -0.892173>,
      < -2.374344, 2.041597, -0.658642>,
      < -2.374337, 2.029824, -0.640509>
    }
    triangle {
      < -2.442699, 1.833049, -0.892173>,
      < -2.374337, 2.029824, -0.640509>,
      < -2.442685, 1.808672, -0.867846>
    }
    triangle {
      < -2.442699, 1.833049, -0.892173>,
      < -2.374355, 2.059987, -0.670574>,
      < -2.374344, 2.041597, -0.658642>
    }
    triangle {
      < -2.737393, 1.808497, -0.867846>,
      < -2.738775, 2.041381, -0.658642>,
      < -2.738786, 2.059771, -0.670574>
    }
    triangle {
      < -2.737393, 1.808497, -0.867846>,
      < -2.738786, 2.059771, -0.670574>,
      < -2.737407, 1.832875, -0.892173>
    }
    triangle {
      < -2.737393, 1.808497, -0.867846>,
      < -2.738768, 2.029608, -0.640509>,
      < -2.738775, 2.041381, -0.658642>
    }
    triangle {
      < -2.737407, 1.832875, -0.892173>,
      < -2.738786, 2.059771, -0.670574>,
      < -2.374355, 2.059987, -0.670574>
    }
    triangle {
      < -2.737407, 1.832875, -0.892173>,
      < -2.374355, 2.059987, -0.670574>,
      < -2.442699, 1.833049, -0.892173>
    }
    triangle {
      < -2.442685, 1.808672, -0.867846>,
      < -2.374337, 2.029824, -0.640509>,
      < -2.738768, 2.029608, -0.640509>
    }
    triangle {
      < -2.442685, 1.808672, -0.867846>,
      < -2.738768, 2.029608, -0.640509>,
      < -2.737393, 1.808497, -0.867846>
    }
    triangle {
      < -0.964420, 2.014803, -0.716689>,
      < -0.906626, 2.042467, -0.658643>,
      < -0.902308, 2.030696, -0.640510>
    }
    triangle {
      < -0.964420, 2.014803, -0.716689>,
      < -0.902308, 2.030696, -0.640510>,
      < -0.964403, 1.984658, -0.686606>
    }
    triangle {
      < -0.964420, 2.014803, -0.716689>,
      < -0.902302, 2.060859, -0.670574>,
      < -0.906626, 2.042467, -0.658643>
    }
    triangle {
      < -2.303110, 1.808754, -0.867846>,
      < -2.201751, 2.041699, -0.658642>,
      < -2.201761, 2.060089, -0.670574>
    }
    triangle {
      < -2.303110, 1.808754, -0.867846>,
      < -2.201761, 2.060089, -0.670574>,
      < -2.303124, 1.833132, -0.892173>
    }
    triangle {
      < -2.303110, 1.808754, -0.867846>,
      < -2.201744, 2.029926, -0.640509>,
      < -2.201751, 2.041699, -0.658642>
    }
    triangle {
      < -2.303124, 1.833132, -0.892173>,
      < -2.201761, 2.060089, -0.670574>,
      < -0.902302, 2.060859, -0.670574>
    }
    triangle {
      < -2.303124, 1.833132, -0.892173>,
      < -0.902302, 2.060859, -0.670574>,
      < -0.964420, 2.014803, -0.716689>
    }
    triangle {
      < -0.964403, 1.984658, -0.686606>,
      < -0.902308, 2.030696, -0.640510>,
      < -2.201744, 2.029926, -0.640509>
    }
    triangle {
      < -0.964403, 1.984658, -0.686606>,
      < -2.201744, 2.029926, -0.640509>,
      < -2.303110, 1.808754, -0.867846>
    }
    triangle {
      < -2.443068, 2.455464, -0.867271>,
      < -2.374457, 2.231070, -0.648658>,
      < -2.374441, 2.204026, -0.670591>
    }
    triangle {
      < -2.443068, 2.455464, -0.867271>,
      < -2.374441, 2.204026, -0.670591>,
      < -2.443053, 2.431129, -0.891643>
    }
    triangle {
      < -2.443068, 2.455464, -0.867271>,
      < -2.374459, 2.234864, -0.641201>,
      < -2.374457, 2.231070, -0.648658>
    }
    triangle {
      < -2.737761, 2.430955, -0.891643>,
      < -2.738887, 2.230854, -0.648658>,
      < -2.738889, 2.234648, -0.641200>
    }
    triangle {
      < -2.737761, 2.430955, -0.891643>,
      < -2.738889, 2.234648, -0.641200>,
      < -2.737776, 2.455290, -0.867271>
    }
    triangle {
      < -2.737761, 2.430955, -0.891643>,
      < -2.738871, 2.203810, -0.670591>,
      < -2.738887, 2.230854, -0.648658>
    }
    triangle {
      < -2.737776, 2.455290, -0.867271>,
      < -2.738889, 2.234648, -0.641200>,
      < -2.374459, 2.234864, -0.641201>
    }
    triangle {
      < -2.737776, 2.455290, -0.867271>,
      < -2.374459, 2.234864, -0.641201>,
      < -2.443068, 2.455464, -0.867271>
    }
    triangle {
      < -2.443053, 2.431129, -0.891643>,
      < -2.374441, 2.204026, -0.670591>,
      < -2.738871, 2.203810, -0.670591>
    }
    triangle {
      < -2.443053, 2.431129, -0.891643>,
      < -2.738871, 2.203810, -0.670591>,
      < -2.737761, 2.430955, -0.891643>
    }
    triangle {
      < -0.964578, 2.280909, -0.686343>,
      < -0.906072, 2.231940, -0.648659>,
      < -0.902585, 2.204898, -0.670592>
    }
    triangle {
      < -0.964578, 2.280909, -0.686343>,
      < -0.902585, 2.204898, -0.670592>,
      < -0.964560, 2.250816, -0.716479>
    }
    triangle {
      < -0.964578, 2.280909, -0.686343>,
      < -0.903608, 2.235735, -0.641201>,
      < -0.906072, 2.231940, -0.648659>
    }
    triangle {
      < -2.303478, 2.431212, -0.891643>,
      < -2.201863, 2.231172, -0.648658>,
      < -2.201865, 2.234966, -0.641201>
    }
    triangle {
      < -2.303478, 2.431212, -0.891643>,
      < -2.201865, 2.234966, -0.641201>,
      < -2.303493, 2.455547, -0.867271>
    }
    triangle {
      < -2.303478, 2.431212, -0.891643>,
      < -2.201847, 2.204128, -0.670591>,
      < -2.201863, 2.231172, -0.648658>
    }
    triangle {
      < -2.303493, 2.455547, -0.867271>,
      < -2.201865, 2.234966, -0.641201>,
      < -0.903608, 2.235735, -0.641201>
    }
    triangle {
      < -2.303493, 2.455547, -0.867271>,
      < -0.903608, 2.235735, -0.641201>,
      < -0.964578, 2.280909, -0.686343>
    }
    triangle {
      < -0.964560, 2.250816, -0.716479>,
      < -0.902585, 2.204898, -0.670592>,
      < -2.201847, 2.204128, -0.670591>
    }
    triangle {
      < -0.964560, 2.250816, -0.716479>,
      < -2.201847, 2.204128, -0.670591>,
      < -2.303478, 2.431212, -0.891643>
    }
    triangle {
      < -2.443053, 2.430746, -0.244850>,
      < -2.374441, 2.205001, -0.465073>,
      < -2.374459, 2.235128, -0.495174>
    }
    triangle {
      < -2.443053, 2.430746, -0.244850>,
      < -2.374459, 2.235128, -0.495174>,
      < -2.443067, 2.455111, -0.269192>
    }
    triangle {
      < -2.737775, 2.454936, -0.269192>,
      < -2.738889, 2.234912, -0.495174>,
      < -2.738871, 2.204785, -0.465073>
    }
    triangle {
      < -2.737775, 2.454936, -0.269192>,
      < -2.738871, 2.204785, -0.465073>,
      < -2.737761, 2.430571, -0.244849>
    }
    triangle {
      < -2.737761, 2.430571, -0.244849>,
      < -2.738871, 2.204785, -0.465073>,
      < -2.374441, 2.205001, -0.465073>
    }
    triangle {
      < -2.737761, 2.430571, -0.244849>,
      < -2.374441, 2.205001, -0.465073>,
      < -2.443053, 2.430746, -0.244850>
    }
    triangle {
      < -2.443067, 2.455111, -0.269192>,
      < -2.374459, 2.235128, -0.495174>,
      < -2.738889, 2.234912, -0.495174>
    }
    triangle {
      < -2.443067, 2.455111, -0.269192>,
      < -2.738889, 2.234912, -0.495174>,
      < -2.737775, 2.454936, -0.269192>
    }
    triangle {
      < -0.964560, 2.250641, -0.420228>,
      < -0.904065, 2.205872, -0.465073>,
      < -0.904082, 2.235999, -0.495174>
    }
    triangle {
      < -0.964560, 2.250641, -0.420228>,
      < -0.904082, 2.235999, -0.495174>,
      < -0.964578, 2.280768, -0.450330>
    }
    triangle {
      < -2.303492, 2.455193, -0.269192>,
      < -2.201865, 2.235230, -0.495174>,
      < -2.201847, 2.205103, -0.465073>
    }
    triangle {
      < -2.303492, 2.455193, -0.269192>,
      < -2.201847, 2.205103, -0.465073>,
      < -2.303478, 2.430829, -0.244850>
    }
    triangle {
      < -2.303478, 2.430829, -0.244850>,
      < -2.201847, 2.205103, -0.465073>,
      < -0.904065, 2.205872, -0.465073>
    }
    triangle {
      < -2.303478, 2.430829, -0.244850>,
      < -0.904065, 2.205872, -0.465073>,
      < -0.964560, 2.250641, -0.420228>
    }
    triangle {
      < -0.964578, 2.280768, -0.450330>,
      < -0.904082, 2.235999, -0.495174>,
      < -2.201865, 2.235230, -0.495174>
    }
    triangle {
      < -0.964578, 2.280768, -0.450330>,
      < -2.201865, 2.235230, -0.495174>,
      < -2.303492, 2.455193, -0.269192>
    }
    triangle {
      < -2.442684, 1.808316, -0.269384>,
      < -2.374350, 2.051520, -0.469268>,
      < -2.374355, 2.058975, -0.465467>
    }
    triangle {
      < -2.442684, 1.808316, -0.269384>,
      < -2.374355, 2.058975, -0.465467>,
      < -2.442698, 1.832667, -0.245027>
    }
    triangle {
      < -2.442684, 1.808316, -0.269384>,
      < -2.374337, 2.029610, -0.496331>,
      < -2.374350, 2.051520, -0.469268>
    }
    triangle {
      < -2.737406, 1.832492, -0.245027>,
      < -2.738780, 2.051304, -0.469268>,
      < -2.738767, 2.029394, -0.496331>
    }
    triangle {
      < -2.737406, 1.832492, -0.245027>,
      < -2.738767, 2.029394, -0.496331>,
      < -2.737392, 1.808142, -0.269384>
    }
    triangle {
      < -2.737406, 1.832492, -0.245027>,
      < -2.738785, 2.058758, -0.465467>,
      < -2.738780, 2.051304, -0.469268>
    }
    triangle {
      < -2.737392, 1.808142, -0.269384>,
      < -2.738767, 2.029394, -0.496331>,
      < -2.374337, 2.029610, -0.496331>
    }
    triangle {
      < -2.737392, 1.808142, -0.269384>,
      < -2.374337, 2.029610, -0.496331>,
      < -2.442684, 1.808316, -0.269384>
    }
    triangle {
      < -2.442698, 1.832667, -0.245027>,
      < -2.374355, 2.058975, -0.465467>,
      < -2.738785, 2.058758, -0.465467>
    }
    triangle {
      < -2.442698, 1.832667, -0.245027>,
      < -2.738785, 2.058758, -0.465467>,
      < -2.737406, 1.832492, -0.245027>
    }
    triangle {
      < -0.964402, 1.984517, -0.450417>,
      < -0.905966, 2.052391, -0.469268>,
      < -0.903504, 2.059846, -0.465468>
    }
    triangle {
      < -0.964402, 1.984517, -0.450417>,
      < -0.903504, 2.059846, -0.465468>,
      < -0.964420, 2.014628, -0.420299>
    }
    triangle {
      < -0.964402, 1.984517, -0.450417>,
      < -0.902482, 2.030483, -0.496331>,
      < -0.905966, 2.052391, -0.469268>
    }
    triangle {
      < -2.303123, 1.832749, -0.245027>,
      < -2.201756, 2.051623, -0.469268>,
      < -2.201743, 2.029712, -0.496331>
    }
    triangle {
      < -2.303123, 1.832749, -0.245027>,
      < -2.201743, 2.029712, -0.496331>,
      < -2.303109, 1.808399, -0.269384>
    }
    triangle {
      < -2.303123, 1.832749, -0.245027>,
      < -2.201761, 2.059077, -0.465467>,
      < -2.201756, 2.051623, -0.469268>
    }
    triangle {
      < -2.303109, 1.808399, -0.269384>,
      < -2.201743, 2.029712, -0.496331>,
      < -0.902482, 2.030483, -0.496331>
    }
    triangle {
      < -2.303109, 1.808399, -0.269384>,
      < -0.902482, 2.030483, -0.496331>,
      < -0.964402, 1.984517, -0.450417>
    }
    triangle {
      < -0.964420, 2.014628, -0.420299>,
      < -0.903504, 2.059846, -0.465468>,
      < -2.201761, 2.059077, -0.465467>
    }
    triangle {
      < -0.964420, 2.014628, -0.420299>,
      < -2.201761, 2.059077, -0.465467>,
      < -2.303123, 1.832749, -0.245027>
    }
    triangle {
      < -0.964420, 2.014803, -0.716689>,
      < -0.964403, 1.984658, -0.686606>,
      < -2.303110, 1.808754, -0.867846>
    }
    triangle {
      < -0.964420, 2.014803, -0.716689>,
      < -2.303110, 1.808754, -0.867846>,
      < -2.303124, 1.833132, -0.892173>
    }
    triangle {
      < -2.442699, 1.833049, -0.892173>,
      < -2.442685, 1.808672, -0.867846>,
      < -2.737393, 1.808497, -0.867846>
    }
    triangle {
      < -2.442699, 1.833049, -0.892173>,
      < -2.737393, 1.808497, -0.867846>,
      < -2.737407, 1.832875, -0.892173>
    }
    triangle {
      < -0.964402, 1.984517, -0.450417>,
      < -0.964420, 2.014628, -0.420299>,
      < -2.303123, 1.832749, -0.245027>
    }
    triangle {
      < -0.964402, 1.984517, -0.450417>,
      < -2.303123, 1.832749, -0.245027>,
      < -2.303109, 1.808399, -0.269384>
    }
    triangle {
      < -2.442684, 1.808316, -0.269384>,
      < -2.442698, 1.832667, -0.245027>,
      < -2.737406, 1.832492, -0.245027>
    }
    triangle {
      < -2.442684, 1.808316, -0.269384>,
      < -2.737406, 1.832492, -0.245027>,
      < -2.737392, 1.808142, -0.269384>
    }
    triangle {
      < -0.964578, 2.280909, -0.686343>,
      < -0.964560, 2.250816, -0.716479>,
      < -2.303478, 2.431212, -0.891643>
    }
    triangle {
      < -0.964578, 2.280909, -0.686343>,
      < -2.303478, 2.431212, -0.891643>,
      < -2.303493, 2.455547, -0.867271>
    }
    triangle {
      < -2.443068, 2.455464, -0.867271>,
      < -2.443053, 2.431129, -0.891643>,
      < -2.737761, 2.430955, -0.891643>
    }
    triangle {
      < -2.443068, 2.455464, -0.867271>,
      < -2.737761, 2.430955, -0.891643>,
      < -2.737776, 2.455290, -0.867271>
    }
    triangle {
      < -0.964560, 2.250641, -0.420228>,
      < -0.964578, 2.280768, -0.450330>,
      < -2.303492, 2.455193, -0.269192>
    }
    triangle {
      < -0.964560, 2.250641, -0.420228>,
      < -2.303492, 2.455193, -0.269192>,
      < -2.303478, 2.430829, -0.244850>
    }
    triangle {
      < -2.443053, 2.430746, -0.244850>,
      < -2.443067, 2.455111, -0.269192>,
      < -2.737775, 2.454936, -0.269192>
    }
    triangle {
      < -2.443053, 2.430746, -0.244850>,
      < -2.737775, 2.454936, -0.269192>,
      < -2.737761, 2.430571, -0.244849>
    }
    triangle {
      < -0.151719, 2.087544, -0.687600>,
      < -0.902302, 2.060859, -0.670574>,
      < -2.201761, 2.060089, -0.670574>
    }
    triangle {
      < -0.151719, 2.087544, -0.687600>,
      < -0.151693, 2.042914, -0.658643>,
      < -0.906626, 2.042467, -0.658643>
    }
    triangle {
      < -0.151719, 2.087544, -0.687600>,
      < -0.906626, 2.042467, -0.658643>,
      < -0.902302, 2.060859, -0.670574>
    }
    triangle {
      < -2.374355, 2.059987, -0.670574>,
      < -0.151719, 2.087544, -0.687600>,
      < -2.201761, 2.060089, -0.670574>
    }
    triangle {
      < -2.201751, 2.041699, -0.658642>,
      < -2.374355, 2.059987, -0.670574>,
      < -2.201761, 2.060089, -0.670574>
    }
    triangle {
      < -2.374355, 2.059987, -0.670574>,
      < -2.738786, 2.059771, -0.670574>,
      < -2.785340, 2.085984, -0.687599>
    }
    triangle {
      < -2.374355, 2.059987, -0.670574>,
      < -2.785340, 2.085984, -0.687599>,
      < -0.151719, 2.087544, -0.687600>
    }
    triangle {
      < -2.738786, 2.059771, -0.670574>,
      < -2.738775, 2.041381, -0.658642>,
      < -2.785313, 2.041354, -0.658642>
    }
    triangle {
      < -2.738786, 2.059771, -0.670574>,
      < -2.785313, 2.041354, -0.658642>,
      < -2.785340, 2.085984, -0.687599>
    }
    triangle {
      < -2.201751, 2.041699, -0.658642>,
      < -2.374344, 2.041597, -0.658642>,
      < -2.374355, 2.059987, -0.670574>
    }
    triangle {
      < -2.785401, 2.189623, -0.682076>,
      < -2.738871, 2.203810, -0.670591>,
      < -2.374441, 2.204026, -0.670591>
    }
    triangle {
      < -2.785401, 2.189623, -0.682076>,
      < -2.785426, 2.230827, -0.648658>,
      < -2.738887, 2.230854, -0.648658>
    }
    triangle {
      < -2.785401, 2.189623, -0.682076>,
      < -2.738887, 2.230854, -0.648658>,
      < -2.738871, 2.203810, -0.670591>
    }
    triangle {
      < -2.201847, 2.204128, -0.670591>,
      < -2.785401, 2.189623, -0.682076>,
      < -2.374441, 2.204026, -0.670591>
    }
    triangle {
      < -2.374457, 2.231070, -0.648658>,
      < -2.201847, 2.204128, -0.670591>,
      < -2.374441, 2.204026, -0.670591>
    }
    triangle {
      < -2.201847, 2.204128, -0.670591>,
      < -0.902585, 2.204898, -0.670592>,
      < -0.151781, 2.191184, -0.682077>
    }
    triangle {
      < -2.201847, 2.204128, -0.670591>,
      < -0.151781, 2.191184, -0.682077>,
      < -2.785401, 2.189623, -0.682076>
    }
    triangle {
      < -0.902585, 2.204898, -0.670592>,
      < -0.906072, 2.231940, -0.648659>,
      < -0.151805, 2.232387, -0.648659>
    }
    triangle {
      < -0.902585, 2.204898, -0.670592>,
      < -0.151805, 2.232387, -0.648659>,
      < -0.151781, 2.191184, -0.682077>
    }
    triangle {
      < -2.374457, 2.231070, -0.648658>,
      < -2.201863, 2.231172, -0.648658>,
      < -2.201847, 2.204128, -0.670591>
    }
    triangle {
      < -0.151819, 2.256440, -0.601372>,
      < -0.903608, 2.235735, -0.641201>,
      < -2.201865, 2.234966, -0.641201>
    }
    triangle {
      < -0.151819, 2.256440, -0.601372>,
      < -0.151805, 2.232387, -0.648659>,
      < -0.906072, 2.231940, -0.648659>
    }
    triangle {
      < -0.151819, 2.256440, -0.601372>,
      < -0.906072, 2.231940, -0.648659>,
      < -0.903608, 2.235735, -0.641201>
    }
    triangle {
      < -2.374459, 2.234864, -0.641201>,
      < -0.151819, 2.256440, -0.601372>,
      < -2.201865, 2.234966, -0.641201>
    }
    triangle {
      < -2.201863, 2.231172, -0.648658>,
      < -2.374459, 2.234864, -0.641201>,
      < -2.201865, 2.234966, -0.641201>
    }
    triangle {
      < -2.374459, 2.234864, -0.641201>,
      < -2.738889, 2.234648, -0.641200>,
      < -2.785440, 2.254880, -0.601371>
    }
    triangle {
      < -2.374459, 2.234864, -0.641201>,
      < -2.785440, 2.254880, -0.601371>,
      < -0.151819, 2.256440, -0.601372>
    }
    triangle {
      < -2.738889, 2.234648, -0.641200>,
      < -2.738887, 2.230854, -0.648658>,
      < -2.785426, 2.230827, -0.648658>
    }
    triangle {
      < -2.738889, 2.234648, -0.641200>,
      < -2.785426, 2.230827, -0.648658>,
      < -2.785440, 2.254880, -0.601371>
    }
    triangle {
      < -2.201863, 2.231172, -0.648658>,
      < -2.374457, 2.231070, -0.648658>,
      < -2.374459, 2.234864, -0.641201>
    }
    triangle {
      < -2.785430, 2.238586, -0.498872>,
      < -0.904082, 2.235999, -0.495174>,
      < -0.151810, 2.240147, -0.498873>
    }
    triangle {
      < -0.904082, 2.235999, -0.495174>,
      < -0.904065, 2.205872, -0.465073>,
      < -0.151788, 2.202616, -0.461376>
    }
    triangle {
      < -0.904082, 2.235999, -0.495174>,
      < -0.151788, 2.202616, -0.461376>,
      < -0.151810, 2.240147, -0.498873>
    }
    triangle {
      < -0.904065, 2.205872, -0.465073>,
      < -2.201847, 2.205103, -0.465073>,
      < -0.151788, 2.202616, -0.461376>
    }
    triangle {
      < -2.201847, 2.205103, -0.465073>,
      < -2.374441, 2.205001, -0.465073>,
      < -0.151788, 2.202616, -0.461376>
    }
    triangle {
      < -2.785430, 2.238586, -0.498872>,
      < -2.201865, 2.235230, -0.495174>,
      < -0.904082, 2.235999, -0.495174>
    }
    triangle {
      < -2.785430, 2.238586, -0.498872>,
      < -2.374459, 2.235128, -0.495174>,
      < -2.201865, 2.235230, -0.495174>
    }
    triangle {
      < -2.374459, 2.235128, -0.495174>,
      < -2.201847, 2.205103, -0.465073>,
      < -2.201865, 2.235230, -0.495174>
    }
    triangle {
      < -2.374459, 2.235128, -0.495174>,
      < -2.374441, 2.205001, -0.465073>,
      < -2.201847, 2.205103, -0.465073>
    }
    triangle {
      < -2.374441, 2.205001, -0.465073>,
      < -2.738871, 2.204785, -0.465073>,
      < -2.785408, 2.201056, -0.461375>
    }
    triangle {
      < -2.374441, 2.205001, -0.465073>,
      < -2.785408, 2.201056, -0.461375>,
      < -0.151788, 2.202616, -0.461376>
    }
    triangle {
      < -2.785430, 2.238586, -0.498872>,
      < -2.738889, 2.234912, -0.495174>,
      < -2.374459, 2.235128, -0.495174>
    }
    triangle {
      < -2.785430, 2.238586, -0.498872>,
      < -2.738871, 2.204785, -0.465073>,
      < -2.738889, 2.234912, -0.495174>
    }
    triangle {
      < -2.785430, 2.238586, -0.498872>,
      < -2.785408, 2.201056, -0.461375>,
      < -2.738871, 2.204785, -0.465073>
    }
    triangle {
      < -2.785347, 2.098542, -0.445172>,
      < -2.738785, 2.058758, -0.465467>,
      < -2.374355, 2.058975, -0.465467>
    }
    triangle {
      < -2.785347, 2.098542, -0.445172>,
      < -2.785319, 2.051277, -0.469268>,
      < -2.738780, 2.051304, -0.469268>
    }
    triangle {
      < -2.785347, 2.098542, -0.445172>,
      < -2.738780, 2.051304, -0.469268>,
      < -2.738785, 2.058758, -0.465467>
    }
    triangle {
      < -2.201761, 2.059077, -0.465467>,
      < -2.785347, 2.098542, -0.445172>,
      < -2.374355, 2.058975, -0.465467>
    }
    triangle {
      < -2.374350, 2.051520, -0.469268>,
      < -2.201761, 2.059077, -0.465467>,
      < -2.374355, 2.058975, -0.465467>
    }
    triangle {
      < -2.201761, 2.059077, -0.465467>,
      < -0.903504, 2.059846, -0.465468>,
      < -0.151727, 2.100103, -0.445173>
    }
    triangle {
      < -2.201761, 2.059077, -0.465467>,
      < -0.151727, 2.100103, -0.445173>,
      < -2.785347, 2.098542, -0.445172>
    }
    triangle {
      < -0.903504, 2.059846, -0.465468>,
      < -0.905966, 2.052391, -0.469268>,
      < -0.151699, 2.052838, -0.469269>
    }
    triangle {
      < -0.903504, 2.059846, -0.465468>,
      < -0.151699, 2.052838, -0.469269>,
      < -0.151727, 2.100103, -0.445173>
    }
    triangle {
      < -2.374350, 2.051520, -0.469268>,
      < -2.201756, 2.051623, -0.469268>,
      < -2.201761, 2.059077, -0.465467>
    }
    triangle {
      < -0.151679, 2.019455, -0.510502>,
      < -0.902482, 2.030483, -0.496331>,
      < -2.201743, 2.029712, -0.496331>
    }
    triangle {
      < -0.151679, 2.019455, -0.510502>,
      < -0.151699, 2.052838, -0.469269>,
      < -0.905966, 2.052391, -0.469268>
    }
    triangle {
      < -0.151679, 2.019455, -0.510502>,
      < -0.905966, 2.052391, -0.469268>,
      < -0.902482, 2.030483, -0.496331>
    }
    triangle {
      < -2.374337, 2.029610, -0.496331>,
      < -0.151679, 2.019455, -0.510502>,
      < -2.201743, 2.029712, -0.496331>
    }
    triangle {
      < -2.201756, 2.051623, -0.469268>,
      < -2.374337, 2.029610, -0.496331>,
      < -2.201743, 2.029712, -0.496331>
    }
    triangle {
      < -2.374337, 2.029610, -0.496331>,
      < -2.738767, 2.029394, -0.496331>,
      < -2.785300, 2.017894, -0.510501>
    }
    triangle {
      < -2.374337, 2.029610, -0.496331>,
      < -2.785300, 2.017894, -0.510501>,
      < -0.151679, 2.019455, -0.510502>
    }
    triangle {
      < -2.738767, 2.029394, -0.496331>,
      < -2.738780, 2.051304, -0.469268>,
      < -2.785319, 2.051277, -0.469268>
    }
    triangle {
      < -2.738767, 2.029394, -0.496331>,
      < -2.785319, 2.051277, -0.469268>,
      < -2.785300, 2.017894, -0.510501>
    }
    triangle {
      < -2.201756, 2.051623, -0.469268>,
      < -2.374350, 2.051520, -0.469268>,
      < -2.374337, 2.029610, -0.496331>
    }
    triangle {
      < -2.785296, 2.012464, -0.614146>,
      < -2.738768, 2.029608, -0.640509>,
      < -2.374337, 2.029824, -0.640509>
    }
    triangle {
      < -2.785296, 2.012464, -0.614146>,
      < -2.785313, 2.041354, -0.658642>,
      < -2.738775, 2.041381, -0.658642>
    }
    triangle {
      < -2.785296, 2.012464, -0.614146>,
      < -2.738775, 2.041381, -0.658642>,
      < -2.738768, 2.029608, -0.640509>
    }
    triangle {
      < -2.201744, 2.029926, -0.640509>,
      < -2.785296, 2.012464, -0.614146>,
      < -2.374337, 2.029824, -0.640509>
    }
    triangle {
      < -2.374344, 2.041597, -0.658642>,
      < -2.201744, 2.029926, -0.640509>,
      < -2.374337, 2.029824, -0.640509>
    }
    triangle {
      < -2.201744, 2.029926, -0.640509>,
      < -0.902308, 2.030696, -0.640510>,
      < -0.151676, 2.014024, -0.614147>
    }
    triangle {
      < -2.201744, 2.029926, -0.640509>,
      < -0.151676, 2.014024, -0.614147>,
      < -2.785296, 2.012464, -0.614146>
    }
    triangle {
      < -0.902308, 2.030696, -0.640510>,
      < -0.906626, 2.042467, -0.658643>,
      < -0.151693, 2.042914, -0.658643>
    }
    triangle {
      < -0.902308, 2.030696, -0.640510>,
      < -0.151693, 2.042914, -0.658643>,
      < -0.151676, 2.014024, -0.614147>
    }
    triangle {
      < -2.374344, 2.041597, -0.658642>,
      < -2.201751, 2.041699, -0.658642>,
      < -2.201744, 2.029926, -0.640509>
    }
    triangle {
      < 0.270773, 2.061214, -0.640600>,
      < 0.270787, 2.038102, -0.605002>,
      < -0.151676, 2.014024, -0.614147>
    }
    triangle {
      < 0.270773, 2.061214, -0.640600>,
      < -0.151676, 2.014024, -0.614147>,
      < -0.151693, 2.042914, -0.658643>
    }
    triangle {
      < 0.270752, 2.096918, -0.663764>,
      < 0.270773, 2.061214, -0.640600>,
      < -0.151693, 2.042914, -0.658643>
    }
    triangle {
      < 0.270752, 2.096918, -0.663764>,
      < -0.151693, 2.042914, -0.658643>,
      < -0.151719, 2.087544, -0.687600>
    }
    triangle {
      < -2.785340, 2.085984, -0.687599>,
      < -2.785313, 2.041354, -0.658642>,
      < -2.807270, 2.059390, -0.640599>
    }
    triangle {
      < -2.785340, 2.085984, -0.687599>,
      < -2.807270, 2.059390, -0.640599>,
      < -2.807292, 2.095093, -0.663763>
    }
    triangle {
      < -2.785313, 2.041354, -0.658642>,
      < -2.785296, 2.012464, -0.614146>,
      < -2.807256, 2.036278, -0.605001>
    }
    triangle {
      < -2.785313, 2.041354, -0.658642>,
      < -2.807256, 2.036278, -0.605001>,
      < -2.807270, 2.059390, -0.640599>
    }
    triangle {
      < -0.151676, 2.014024, -0.614147>,
      < -0.151671, 2.005727, -0.561747>,
      < -2.785291, 2.004166, -0.561746>
    }
    triangle {
      < -0.151676, 2.014024, -0.614147>,
      < -2.785291, 2.004166, -0.561746>,
      < -2.785296, 2.012464, -0.614146>
    }
    triangle {
      < -2.785296, 2.012464, -0.614146>,
      < -2.785291, 2.004166, -0.561746>,
      < -2.807253, 2.029640, -0.563082>
    }
    triangle {
      < -2.785296, 2.012464, -0.614146>,
      < -2.807253, 2.029640, -0.563082>,
      < -2.807256, 2.036278, -0.605001>
    }
    triangle {
      < 0.270787, 2.038102, -0.605002>,
      < 0.270791, 2.031464, -0.563083>,
      < -0.151671, 2.005727, -0.561747>
    }
    triangle {
      < 0.270787, 2.038102, -0.605002>,
      < -0.151671, 2.005727, -0.561747>,
      < -0.151676, 2.014024, -0.614147>
    }
    triangle {
      < -0.151750, 2.139950, -0.695850>,
      < -0.151719, 2.087544, -0.687600>,
      < -2.785340, 2.085984, -0.687599>
    }
    triangle {
      < -0.151750, 2.139950, -0.695850>,
      < -2.785340, 2.085984, -0.687599>,
      < -2.785371, 2.138390, -0.695849>
    }
    triangle {
      < 0.270727, 2.138843, -0.670366>,
      < 0.270752, 2.096918, -0.663764>,
      < -0.151719, 2.087544, -0.687600>
    }
    triangle {
      < 0.270727, 2.138843, -0.670366>,
      < -0.151719, 2.087544, -0.687600>,
      < -0.151750, 2.139950, -0.695850>
    }
    triangle {
      < -2.785371, 2.138390, -0.695849>,
      < -2.785340, 2.085984, -0.687599>,
      < -2.807292, 2.095093, -0.663763>
    }
    triangle {
      < -2.785371, 2.138390, -0.695849>,
      < -2.807292, 2.095093, -0.663763>,
      < -2.807316, 2.137019, -0.670365>
    }
    triangle {
      < 0.457295, 2.106151, -0.639930>,
      < 0.457311, 2.079374, -0.622555>,
      < 0.270773, 2.061214, -0.640600>
    }
    triangle {
      < 0.457295, 2.106151, -0.639930>,
      < 0.270773, 2.061214, -0.640600>,
      < 0.270752, 2.096918, -0.663764>
    }
    triangle {
      < -2.807292, 2.095093, -0.663763>,
      < -2.807270, 2.059390, -0.640599>,
      < -2.648170, 2.085268, -0.614821>
    }
    triangle {
      < -2.807292, 2.095093, -0.663763>,
      < -2.648170, 2.085268, -0.614821>,
      < -2.648184, 2.108221, -0.629713>
    }
    triangle {
      < 0.457311, 2.079374, -0.622555>,
      < 0.457321, 2.062039, -0.595858>,
      < 0.270787, 2.038102, -0.605002>
    }
    triangle {
      < 0.457311, 2.079374, -0.622555>,
      < 0.270787, 2.038102, -0.605002>,
      < 0.270773, 2.061214, -0.640600>
    }
    triangle {
      < -2.807270, 2.059390, -0.640599>,
      < -2.807256, 2.036278, -0.605001>,
      < -2.648162, 2.070411, -0.591938>
    }
    triangle {
      < -2.807270, 2.059390, -0.640599>,
      < -2.648162, 2.070411, -0.591938>,
      < -2.648170, 2.085268, -0.614821>
    }
    triangle {
      < 0.457321, 2.062039, -0.595858>,
      < 0.457324, 2.057061, -0.564418>,
      < 0.270791, 2.031464, -0.563083>
    }
    triangle {
      < 0.457321, 2.062039, -0.595858>,
      < 0.270791, 2.031464, -0.563083>,
      < 0.270787, 2.038102, -0.605002>
    }
    triangle {
      < -2.807256, 2.036278, -0.605001>,
      < -2.807253, 2.029640, -0.563082>,
      < -2.648159, 2.066144, -0.564990>
    }
    triangle {
      < -2.807256, 2.036278, -0.605001>,
      < -2.648159, 2.066144, -0.564990>,
      < -2.648162, 2.070411, -0.591938>
    }
    triangle {
      < -2.807316, 2.137019, -0.670365>,
      < -2.807292, 2.095093, -0.663763>,
      < -2.648184, 2.108221, -0.629713>
    }
    triangle {
      < -2.807316, 2.137019, -0.670365>,
      < -2.648184, 2.108221, -0.629713>,
      < -2.648200, 2.135172, -0.633957>
    }
    triangle {
      < 0.457276, 2.137595, -0.644881>,
      < 0.457295, 2.106151, -0.639930>,
      < 0.270752, 2.096918, -0.663764>
    }
    triangle {
      < 0.457276, 2.137595, -0.644881>,
      < 0.270752, 2.096918, -0.663764>,
      < 0.270727, 2.138843, -0.670366>
    }
    triangle {
      < 0.270791, 2.031464, -0.563083>,
      < 0.270784, 2.042446, -0.522086>,
      < -0.151679, 2.019455, -0.510502>
    }
    triangle {
      < 0.270791, 2.031464, -0.563083>,
      < -0.151679, 2.019455, -0.510502>,
      < -0.151671, 2.005727, -0.561747>
    }
    triangle {
      < -2.785291, 2.004166, -0.561746>,
      < -2.785300, 2.017894, -0.510501>,
      < -2.807259, 2.040622, -0.522085>
    }
    triangle {
      < -2.785291, 2.004166, -0.561746>,
      < -2.807259, 2.040622, -0.522085>,
      < -2.807253, 2.029640, -0.563082>
    }
    triangle {
      < -0.151671, 2.005727, -0.561747>,
      < -0.151679, 2.019455, -0.510502>,
      < -2.785300, 2.017894, -0.510501>
    }
    triangle {
      < -0.151671, 2.005727, -0.561747>,
      < -2.785300, 2.017894, -0.510501>,
      < -2.785291, 2.004166, -0.561746>
    }
    triangle {
      < 0.270703, 2.179828, -0.659346>,
      < 0.270727, 2.138843, -0.670366>,
      < -0.151750, 2.139950, -0.695850>
    }
    triangle {
      < 0.270703, 2.179828, -0.659346>,
      < -0.151750, 2.139950, -0.695850>,
      < -0.151781, 2.191184, -0.682077>
    }
    triangle {
      < -0.151781, 2.191184, -0.682077>,
      < -0.151750, 2.139950, -0.695850>,
      < -2.785371, 2.138390, -0.695849>
    }
    triangle {
      < -0.151781, 2.191184, -0.682077>,
      < -2.785371, 2.138390, -0.695849>,
      < -2.785401, 2.189623, -0.682076>
    }
    triangle {
      < -2.785401, 2.189623, -0.682076>,
      < -2.785371, 2.138390, -0.695849>,
      < -2.807316, 2.137019, -0.670365>
    }
    triangle {
      < -2.785401, 2.189623, -0.682076>,
      < -2.807316, 2.137019, -0.670365>,
      < -2.807341, 2.178004, -0.659345>
    }
    triangle {
      < 0.561535, 2.116639, -0.612689>,
      < 0.561545, 2.100063, -0.601934>,
      < 0.457311, 2.079374, -0.622555>
    }
    triangle {
      < 0.561535, 2.116639, -0.612689>,
      < 0.457311, 2.079374, -0.622555>,
      < 0.457295, 2.106151, -0.639930>
    }
    triangle {
      < 0.561545, 2.100063, -0.601934>,
      < 0.561552, 2.089331, -0.585407>,
      < 0.457321, 2.062039, -0.595858>
    }
    triangle {
      < 0.561545, 2.100063, -0.601934>,
      < 0.457321, 2.062039, -0.595858>,
      < 0.457311, 2.079374, -0.622555>
    }
    triangle {
      < 0.561552, 2.089331, -0.585407>,
      < 0.561553, 2.086251, -0.565944>,
      < 0.457324, 2.057061, -0.564418>
    }
    triangle {
      < 0.561552, 2.089331, -0.585407>,
      < 0.457324, 2.057061, -0.564418>,
      < 0.457321, 2.062039, -0.595858>
    }
    triangle {
      < 0.561524, 2.136106, -0.615754>,
      < 0.561535, 2.116639, -0.612689>,
      < 0.457295, 2.106151, -0.639930>
    }
    triangle {
      < 0.561524, 2.136106, -0.615754>,
      < 0.457295, 2.106151, -0.639930>,
      < 0.457276, 2.137595, -0.644881>
    }
    triangle {
      < 0.457324, 2.057061, -0.564418>,
      < 0.457319, 2.065298, -0.533671>,
      < 0.270784, 2.042446, -0.522086>
    }
    triangle {
      < 0.457324, 2.057061, -0.564418>,
      < 0.270784, 2.042446, -0.522086>,
      < 0.270791, 2.031464, -0.563083>
    }
    triangle {
      < -2.807253, 2.029640, -0.563082>,
      < -2.807259, 2.040622, -0.522085>,
      < -2.648163, 2.073204, -0.538635>
    }
    triangle {
      < -2.807253, 2.029640, -0.563082>,
      < -2.648163, 2.073204, -0.538635>,
      < -2.648159, 2.066144, -0.564990>
    }
    triangle {
      < 0.457258, 2.168334, -0.636616>,
      < 0.457276, 2.137595, -0.644881>,
      < 0.270727, 2.138843, -0.670366>
    }
    triangle {
      < 0.457258, 2.168334, -0.636616>,
      < 0.270727, 2.138843, -0.670366>,
      < 0.270703, 2.179828, -0.659346>
    }
    triangle {
      < -2.807341, 2.178004, -0.659345>,
      < -2.807316, 2.137019, -0.670365>,
      < -2.648200, 2.135172, -0.633957>
    }
    triangle {
      < -2.807341, 2.178004, -0.659345>,
      < -2.648200, 2.135172, -0.633957>,
      < -2.648216, 2.161522, -0.626873>
    }
    triangle {
      < -2.648184, 2.108221, -0.629713>,
      < -2.648170, 2.085268, -0.614821>,
      < -2.615279, 2.131700, -0.568423>
    }
    triangle {
      < -2.648170, 2.085268, -0.614821>,
      < -2.648162, 2.070411, -0.591938>,
      < -2.615279, 2.131700, -0.568423>
    }
    triangle {
      < -2.648162, 2.070411, -0.591938>,
      < -2.648159, 2.066144, -0.564990>,
      < -2.615279, 2.131700, -0.568423>
    }
    triangle {
      < -2.648200, 2.135172, -0.633957>,
      < -2.648184, 2.108221, -0.629713>,
      < -2.615279, 2.131700, -0.568423>
    }
    triangle {
      < 0.561553, 2.086251, -0.565944>,
      < 0.561550, 2.091349, -0.546910>,
      < 0.457319, 2.065298, -0.533671>
    }
    triangle {
      < 0.561553, 2.086251, -0.565944>,
      < 0.457319, 2.065298, -0.533671>,
      < 0.457324, 2.057061, -0.564418>
    }
    triangle {
      < 0.561513, 2.155134, -0.610638>,
      < 0.561524, 2.136106, -0.615754>,
      < 0.457276, 2.137595, -0.644881>
    }
    triangle {
      < 0.561513, 2.155134, -0.610638>,
      < 0.457276, 2.137595, -0.644881>,
      < 0.457258, 2.168334, -0.636616>
    }
    triangle {
      < 0.649314, 2.133634, -0.568425>,
      < 0.561552, 2.089331, -0.585407>,
      < 0.561545, 2.100063, -0.601934>
    }
    triangle {
      < 0.649314, 2.133634, -0.568425>,
      < 0.561545, 2.100063, -0.601934>,
      < 0.561535, 2.116639, -0.612689>
    }
    triangle {
      < -2.648159, 2.066144, -0.564990>,
      < -2.648163, 2.073204, -0.538635>,
      < -2.615279, 2.131700, -0.568423>
    }
    triangle {
      < -2.648216, 2.161522, -0.626873>,
      < -2.648200, 2.135172, -0.633957>,
      < -2.615279, 2.131700, -0.568423>
    }
    triangle {
      < 0.649314, 2.133634, -0.568425>,
      < 0.561553, 2.086251, -0.565944>,
      < 0.561552, 2.089331, -0.585407>
    }
    triangle {
      < 0.649314, 2.133634, -0.568425>,
      < 0.561535, 2.116639, -0.612689>,
      < 0.561524, 2.136106, -0.615754>
    }
    triangle {
      < -2.785300, 2.017894, -0.510501>,
      < -2.785319, 2.051277, -0.469268>,
      < -2.807275, 2.067328, -0.489098>
    }
    triangle {
      < -2.785300, 2.017894, -0.510501>,
      < -2.807275, 2.067328, -0.489098>,
      < -2.807259, 2.040622, -0.522085>
    }
    triangle {
      < 0.270784, 2.042446, -0.522086>,
      < 0.270769, 2.069152, -0.489099>,
      < -0.151699, 2.052838, -0.469269>
    }
    triangle {
      < 0.270784, 2.042446, -0.522086>,
      < -0.151699, 2.052838, -0.469269>,
      < -0.151679, 2.019455, -0.510502>
    }
    triangle {
      < -2.785426, 2.230827, -0.648658>,
      < -2.785401, 2.189623, -0.682076>,
      < -2.807341, 2.178004, -0.659345>
    }
    triangle {
      < -2.785426, 2.230827, -0.648658>,
      < -2.807341, 2.178004, -0.659345>,
      < -2.807360, 2.210968, -0.632610>
    }
    triangle {
      < 0.270683, 2.212792, -0.632611>,
      < 0.270703, 2.179828, -0.659346>,
      < -0.151781, 2.191184, -0.682077>
    }
    triangle {
      < 0.270683, 2.212792, -0.632611>,
      < -0.151781, 2.191184, -0.682077>,
      < -0.151805, 2.232387, -0.648659>
    }
    triangle {
      < 0.649314, 2.133634, -0.568425>,
      < 0.561550, 2.091349, -0.546910>,
      < 0.561553, 2.086251, -0.565944>
    }
    triangle {
      < 0.649314, 2.133634, -0.568425>,
      < 0.561524, 2.136106, -0.615754>,
      < 0.561513, 2.155134, -0.610638>
    }
    triangle {
      < 0.457319, 2.065298, -0.533671>,
      < 0.457307, 2.085327, -0.508931>,
      < 0.270769, 2.069152, -0.489099>
    }
    triangle {
      < 0.457319, 2.065298, -0.533671>,
      < 0.270769, 2.069152, -0.489099>,
      < 0.270784, 2.042446, -0.522086>
    }
    triangle {
      < -2.807259, 2.040622, -0.522085>,
      < -2.807275, 2.067328, -0.489098>,
      < -2.648174, 2.090372, -0.517429>
    }
    triangle {
      < -2.807259, 2.040622, -0.522085>,
      < -2.648174, 2.090372, -0.517429>,
      < -2.648163, 2.073204, -0.538635>
    }
    triangle {
      < 0.457243, 2.193057, -0.616566>,
      < 0.457258, 2.168334, -0.636616>,
      < 0.270703, 2.179828, -0.659346>
    }
    triangle {
      < 0.457243, 2.193057, -0.616566>,
      < 0.270703, 2.179828, -0.659346>,
      < 0.270683, 2.212792, -0.632611>
    }
    triangle {
      < -2.807360, 2.210968, -0.632610>,
      < -2.807341, 2.178004, -0.659345>,
      < -2.648216, 2.161522, -0.626873>
    }
    triangle {
      < -2.807360, 2.210968, -0.632610>,
      < -2.648216, 2.161522, -0.626873>,
      < -2.648228, 2.182711, -0.609687>
    }
    triangle {
      < 0.561550, 2.091349, -0.546910>,
      < 0.561543, 2.103748, -0.531595>,
      < 0.457307, 2.085327, -0.508931>
    }
    triangle {
      < 0.561550, 2.091349, -0.546910>,
      < 0.457307, 2.085327, -0.508931>,
      < 0.457319, 2.065298, -0.533671>
    }
    triangle {
      < 0.561504, 2.170439, -0.598225>,
      < 0.561513, 2.155134, -0.610638>,
      < 0.457258, 2.168334, -0.636616>
    }
    triangle {
      < 0.561504, 2.170439, -0.598225>,
      < 0.457258, 2.168334, -0.636616>,
      < 0.457243, 2.193057, -0.616566>
    }
    triangle {
      < -2.648163, 2.073204, -0.538635>,
      < -2.648174, 2.090372, -0.517429>,
      < -2.615279, 2.131700, -0.568423>
    }
    triangle {
      < -2.648228, 2.182711, -0.609687>,
      < -2.648216, 2.161522, -0.626873>,
      < -2.615279, 2.131700, -0.568423>
    }
    triangle {
      < 0.649314, 2.133634, -0.568425>,
      < 0.561543, 2.103748, -0.531595>,
      < 0.561550, 2.091349, -0.546910>
    }
    triangle {
      < 0.649314, 2.133634, -0.568425>,
      < 0.561513, 2.155134, -0.610638>,
      < 0.561504, 2.170439, -0.598225>
    }
    triangle {
      < -2.648236, 2.195081, -0.585368>,
      < -2.648228, 2.182711, -0.609687>,
      < -2.615279, 2.131700, -0.568423>
    }
    triangle {
      < 0.649314, 2.133634, -0.568425>,
      < 0.561533, 2.121304, -0.522645>,
      < 0.561543, 2.103748, -0.531595>
    }
    triangle {
      < -2.648236, 2.196494, -0.558120>,
      < -2.648236, 2.195081, -0.585368>,
      < -2.615279, 2.131700, -0.568423>
    }
    triangle {
      < -2.648219, 2.167401, -0.513370>,
      < -2.648231, 2.186702, -0.532654>,
      < -2.615279, 2.131700, -0.568423>
    }
    triangle {
      < -2.648231, 2.186702, -0.532654>,
      < -2.648236, 2.196494, -0.558120>,
      < -2.615279, 2.131700, -0.568423>
    }
    triangle {
      < 0.649314, 2.133634, -0.568425>,
      < 0.561502, 2.173321, -0.542591>,
      < 0.561510, 2.159381, -0.528664>
    }
    triangle {
      < 0.649314, 2.133634, -0.568425>,
      < 0.561504, 2.170439, -0.598225>,
      < 0.561498, 2.179372, -0.580662>
    }
    triangle {
      < 0.649314, 2.133634, -0.568425>,
      < 0.561498, 2.179372, -0.580662>,
      < 0.561498, 2.180392, -0.560983>
    }
    triangle {
      < -2.648174, 2.090372, -0.517429>,
      < -2.648188, 2.114679, -0.505037>,
      < -2.615279, 2.131700, -0.568423>
    }
    triangle {
      < 0.649314, 2.133634, -0.568425>,
      < 0.561521, 2.140982, -0.521608>,
      < 0.561533, 2.121304, -0.522645>
    }
    triangle {
      < 0.649314, 2.133634, -0.568425>,
      < 0.561498, 2.180392, -0.560983>,
      < 0.561502, 2.173321, -0.542591>
    }
    triangle {
      < -2.648188, 2.114679, -0.505037>,
      < -2.648204, 2.141926, -0.503601>,
      < -2.615279, 2.131700, -0.568423>
    }
    triangle {
      < 0.649314, 2.133634, -0.568425>,
      < 0.561510, 2.159381, -0.528664>,
      < 0.561521, 2.140982, -0.521608>
    }
    triangle {
      < -2.648204, 2.141926, -0.503601>,
      < -2.648219, 2.167401, -0.513370>,
      < -2.615279, 2.131700, -0.568423>
    }
    triangle {
      < 0.561543, 2.103748, -0.531595>,
      < 0.561533, 2.121304, -0.522645>,
      < 0.457290, 2.113687, -0.494474>
    }
    triangle {
      < 0.561543, 2.103748, -0.531595>,
      < 0.457290, 2.113687, -0.494474>,
      < 0.457307, 2.085327, -0.508931>
    }
    triangle {
      < 0.561498, 2.179372, -0.580662>,
      < 0.561504, 2.170439, -0.598225>,
      < 0.457243, 2.193057, -0.616566>
    }
    triangle {
      < 0.561498, 2.179372, -0.580662>,
      < 0.457243, 2.193057, -0.616566>,
      < 0.457235, 2.207489, -0.588193>
    }
    triangle {
      < -2.807275, 2.067328, -0.489098>,
      < -2.807297, 2.105139, -0.469823>,
      < -2.648188, 2.114679, -0.505037>
    }
    triangle {
      < -2.807275, 2.067328, -0.489098>,
      < -2.648188, 2.114679, -0.505037>,
      < -2.648174, 2.090372, -0.517429>
    }
    triangle {
      < -2.807371, 2.230210, -0.594782>,
      < -2.807360, 2.210968, -0.632610>,
      < -2.648228, 2.182711, -0.609687>
    }
    triangle {
      < -2.807371, 2.230210, -0.594782>,
      < -2.648228, 2.182711, -0.609687>,
      < -2.648236, 2.195081, -0.585368>
    }
    triangle {
      < 0.457307, 2.085327, -0.508931>,
      < 0.457290, 2.113687, -0.494474>,
      < 0.270746, 2.106963, -0.469824>
    }
    triangle {
      < 0.457307, 2.085327, -0.508931>,
      < 0.270746, 2.106963, -0.469824>,
      < 0.270769, 2.069152, -0.489099>
    }
    triangle {
      < 0.457235, 2.207489, -0.588193>,
      < 0.457243, 2.193057, -0.616566>,
      < 0.270683, 2.212792, -0.632611>
    }
    triangle {
      < 0.457235, 2.207489, -0.588193>,
      < 0.270683, 2.212792, -0.632611>,
      < 0.270672, 2.232034, -0.594783>
    }
    triangle {
      < -2.785319, 2.051277, -0.469268>,
      < -2.785347, 2.098542, -0.445172>,
      < -2.807297, 2.105139, -0.469823>
    }
    triangle {
      < -2.785319, 2.051277, -0.469268>,
      < -2.807297, 2.105139, -0.469823>,
      < -2.807275, 2.067328, -0.489098>
    }
    triangle {
      < 0.270769, 2.069152, -0.489099>,
      < 0.270746, 2.106963, -0.469824>,
      < -0.151727, 2.100103, -0.445173>
    }
    triangle {
      < 0.270769, 2.069152, -0.489099>,
      < -0.151727, 2.100103, -0.445173>,
      < -0.151699, 2.052838, -0.469269>
    }
    triangle {
      < 0.270672, 2.232034, -0.594783>,
      < 0.270683, 2.212792, -0.632611>,
      < -0.151805, 2.232387, -0.648659>
    }
    triangle {
      < 0.270672, 2.232034, -0.594783>,
      < -0.151805, 2.232387, -0.648659>,
      < -0.151819, 2.256440, -0.601372>
    }
    triangle {
      < -2.785440, 2.254880, -0.601371>,
      < -2.785426, 2.230827, -0.648658>,
      < -2.807360, 2.210968, -0.632610>
    }
    triangle {
      < -2.785440, 2.254880, -0.601371>,
      < -2.807360, 2.210968, -0.632610>,
      < -2.807371, 2.230210, -0.594782>
    }
    triangle {
      < 0.561533, 2.121304, -0.522645>,
      < 0.561521, 2.140982, -0.521608>,
      < 0.457271, 2.145473, -0.492799>
    }
    triangle {
      < 0.561533, 2.121304, -0.522645>,
      < 0.457271, 2.145473, -0.492799>,
      < 0.457290, 2.113687, -0.494474>
    }
    triangle {
      < 0.561498, 2.180392, -0.560983>,
      < 0.561498, 2.179372, -0.580662>,
      < 0.457235, 2.207489, -0.588193>
    }
    triangle {
      < 0.561498, 2.180392, -0.560983>,
      < 0.457235, 2.207489, -0.588193>,
      < 0.457234, 2.209136, -0.556404>
    }
    triangle {
      < -2.807297, 2.105139, -0.469823>,
      < -2.807323, 2.147523, -0.467589>,
      < -2.648204, 2.141926, -0.503601>
    }
    triangle {
      < -2.807297, 2.105139, -0.469823>,
      < -2.648204, 2.141926, -0.503601>,
      < -2.648188, 2.114679, -0.505037>
    }
    triangle {
      < -2.807373, 2.232405, -0.552397>,
      < -2.807371, 2.230210, -0.594782>,
      < -2.648236, 2.195081, -0.585368>
    }
    triangle {
      < -2.807373, 2.232405, -0.552397>,
      < -2.648236, 2.195081, -0.585368>,
      < -2.648236, 2.196494, -0.558120>
    }
    triangle {
      < 0.457290, 2.113687, -0.494474>,
      < 0.457271, 2.145473, -0.492799>,
      < 0.270721, 2.149347, -0.467590>
    }
    triangle {
      < 0.457290, 2.113687, -0.494474>,
      < 0.270721, 2.149347, -0.467590>,
      < 0.270746, 2.106963, -0.469824>
    }
    triangle {
      < 0.561521, 2.140982, -0.521608>,
      < 0.561510, 2.159381, -0.528664>,
      < 0.457254, 2.175194, -0.504195>
    }
    triangle {
      < 0.561521, 2.140982, -0.521608>,
      < 0.457254, 2.175194, -0.504195>,
      < 0.457271, 2.145473, -0.492799>
    }
    triangle {
      < 0.457234, 2.209136, -0.556404>,
      < 0.457235, 2.207489, -0.588193>,
      < 0.270672, 2.232034, -0.594783>
    }
    triangle {
      < 0.457234, 2.209136, -0.556404>,
      < 0.270672, 2.232034, -0.594783>,
      < 0.270671, 2.234230, -0.552398>
    }
    triangle {
      < 0.561502, 2.173321, -0.542591>,
      < 0.561498, 2.180392, -0.560983>,
      < 0.457234, 2.209136, -0.556404>
    }
    triangle {
      < 0.561502, 2.173321, -0.542591>,
      < 0.457234, 2.209136, -0.556404>,
      < 0.457240, 2.197712, -0.526693>
    }
    triangle {
      < 0.561510, 2.159381, -0.528664>,
      < 0.561502, 2.173321, -0.542591>,
      < 0.457240, 2.197712, -0.526693>
    }
    triangle {
      < 0.561510, 2.159381, -0.528664>,
      < 0.457240, 2.197712, -0.526693>,
      < 0.457254, 2.175194, -0.504195>
    }
    triangle {
      < -2.785347, 2.098542, -0.445172>,
      < -2.785379, 2.151521, -0.442381>,
      < -2.807323, 2.147523, -0.467589>
    }
    triangle {
      < -2.785347, 2.098542, -0.445172>,
      < -2.807323, 2.147523, -0.467589>,
      < -2.807297, 2.105139, -0.469823>
    }
    triangle {
      < 0.270746, 2.106963, -0.469824>,
      < 0.270721, 2.149347, -0.467590>,
      < -0.151758, 2.153082, -0.442382>
    }
    triangle {
      < 0.270746, 2.106963, -0.469824>,
      < -0.151758, 2.153082, -0.442382>,
      < -0.151727, 2.100103, -0.445173>
    }
    triangle {
      < 0.270671, 2.234230, -0.552398>,
      < 0.270672, 2.232034, -0.594783>,
      < -0.151819, 2.256440, -0.601372>
    }
    triangle {
      < 0.270671, 2.234230, -0.552398>,
      < -0.151819, 2.256440, -0.601372>,
      < -0.151821, 2.259185, -0.548391>
    }
    triangle {
      < -2.785442, 2.257624, -0.548390>,
      < -2.785440, 2.254880, -0.601371>,
      < -2.807371, 2.230210, -0.594782>
    }
    triangle {
      < -2.785442, 2.257624, -0.548390>,
      < -2.807371, 2.230210, -0.594782>,
      < -2.807373, 2.232405, -0.552397>
    }
    triangle {
      < -2.807323, 2.147523, -0.467589>,
      < -2.807346, 2.187151, -0.482784>,
      < -2.648219, 2.167401, -0.513370>
    }
    triangle {
      < -2.807323, 2.147523, -0.467589>,
      < -2.648219, 2.167401, -0.513370>,
      < -2.648204, 2.141926, -0.503601>
    }
    triangle {
      < -2.807364, 2.217175, -0.512781>,
      < -2.807373, 2.232405, -0.552397>,
      < -2.648236, 2.196494, -0.558120>
    }
    triangle {
      < -2.807364, 2.217175, -0.512781>,
      < -2.648236, 2.196494, -0.558120>,
      < -2.648231, 2.186702, -0.532654>
    }
    triangle {
      < 0.457271, 2.145473, -0.492799>,
      < 0.457254, 2.175194, -0.504195>,
      < 0.270698, 2.188975, -0.482785>
    }
    triangle {
      < 0.457271, 2.145473, -0.492799>,
      < 0.270698, 2.188975, -0.482785>,
      < 0.270721, 2.149347, -0.467590>
    }
    triangle {
      < 0.457240, 2.197712, -0.526693>,
      < 0.457234, 2.209136, -0.556404>,
      < 0.270671, 2.234230, -0.552398>
    }
    triangle {
      < 0.457240, 2.197712, -0.526693>,
      < 0.270671, 2.234230, -0.552398>,
      < 0.270680, 2.218999, -0.512782>
    }
    triangle {
      < -0.151727, 2.100103, -0.445173>,
      < -0.151758, 2.153082, -0.442382>,
      < -2.785379, 2.151521, -0.442381>
    }
    triangle {
      < -0.151727, 2.100103, -0.445173>,
      < -2.785379, 2.151521, -0.442381>,
      < -2.785347, 2.098542, -0.445172>
    }
    triangle {
      < -0.151821, 2.259185, -0.548391>,
      < -0.151819, 2.256440, -0.601372>,
      < -2.785440, 2.254880, -0.601371>
    }
    triangle {
      < -0.151821, 2.259185, -0.548391>,
      < -2.785440, 2.254880, -0.601371>,
      < -2.785442, 2.257624, -0.548390>
    }
    triangle {
      < -2.807346, 2.187151, -0.482784>,
      < -2.807364, 2.217175, -0.512781>,
      < -2.648231, 2.186702, -0.532654>
    }
    triangle {
      < -2.807346, 2.187151, -0.482784>,
      < -2.648231, 2.186702, -0.532654>,
      < -2.648219, 2.167401, -0.513370>
    }
    triangle {
      < 0.457254, 2.175194, -0.504195>,
      < 0.457240, 2.197712, -0.526693>,
      < 0.270680, 2.218999, -0.512782>
    }
    triangle {
      < 0.457254, 2.175194, -0.504195>,
      < 0.270680, 2.218999, -0.512782>,
      < 0.270698, 2.188975, -0.482785>
    }
    triangle {
      < -2.785379, 2.151521, -0.442381>,
      < -2.785408, 2.201056, -0.461375>,
      < -2.807346, 2.187151, -0.482784>
    }
    triangle {
      < -2.785379, 2.151521, -0.442381>,
      < -2.807346, 2.187151, -0.482784>,
      < -2.807323, 2.147523, -0.467589>
    }
    triangle {
      < 0.270721, 2.149347, -0.467590>,
      < 0.270698, 2.188975, -0.482785>,
      < -0.151788, 2.202616, -0.461376>
    }
    triangle {
      < 0.270721, 2.149347, -0.467590>,
      < -0.151788, 2.202616, -0.461376>,
      < -0.151758, 2.153082, -0.442382>
    }
    triangle {
      < 0.270680, 2.218999, -0.512782>,
      < 0.270671, 2.234230, -0.552398>,
      < -0.151821, 2.259185, -0.548391>
    }
    triangle {
      < 0.270680, 2.218999, -0.512782>,
      < -0.151821, 2.259185, -0.548391>,
      < -0.151810, 2.240147, -0.498873>
    }
    triangle {
      < -2.785430, 2.238586, -0.498872>,
      < -2.785442, 2.257624, -0.548390>,
      < -2.807373, 2.232405, -0.552397>
    }
    triangle {
      < -2.785430, 2.238586, -0.498872>,
      < -2.807373, 2.232405, -0.552397>,
      < -2.807364, 2.217175, -0.512781>
    }
    triangle {
      < -2.785408, 2.201056, -0.461375>,
      < -2.785430, 2.238586, -0.498872>,
      < -2.807364, 2.217175, -0.512781>
    }
    triangle {
      < -2.785408, 2.201056, -0.461375>,
      < -2.807364, 2.217175, -0.512781>,
      < -2.807346, 2.187151, -0.482784>
    }
    triangle {
      < 0.270698, 2.188975, -0.482785>,
      < 0.270680, 2.218999, -0.512782>,
      < -0.151810, 2.240147, -0.498873>
    }
    triangle {
      < 0.270698, 2.188975, -0.482785>,
      < -0.151810, 2.240147, -0.498873>,
      < -0.151788, 2.202616, -0.461376>
    }
    triangle {
      < -0.151758, 2.153082, -0.442382>,
      < -0.151788, 2.202616, -0.461376>,
      < -2.785408, 2.201056, -0.461375>
    }
    triangle {
      < -0.151758, 2.153082, -0.442382>,
      < -2.785408, 2.201056, -0.461375>,
      < -2.785379, 2.151521, -0.442381>
    }
    triangle {
      < -0.151810, 2.240147, -0.498873>,
      < -0.151821, 2.259185, -0.548391>,
      < -2.785442, 2.257624, -0.548390>
    }
    triangle {
      < -0.151810, 2.240147, -0.498873>,
      < -2.785442, 2.257624, -0.548390>,
      < -2.785430, 2.238586, -0.498872>
    }
    texture {ordinance1}
  }
  // ordinace2
  union {
    triangle {
      < -3.757195, -3.380272, -0.604465>,
      < -1.546384, -3.378307, -0.604465>,
      < -1.546405, -3.355047, -0.651019>
    }
    triangle {
      < -3.757195, -3.380272, -0.604465>,
      < -1.546405, -3.355047, -0.651019>,
      < -3.757215, -3.357012, -0.651018>
    }
    triangle {
      < -3.757081, -3.508275, -0.604426>,
      < -1.546271, -3.506310, -0.604427>,
      < -1.546384, -3.378307, -0.604465>
    }
    triangle {
      < -3.757081, -3.508275, -0.604426>,
      < -1.546384, -3.378307, -0.604465>,
      < -3.757195, -3.380272, -0.604465>
    }
    triangle {
      < -3.757060, -3.531426, -0.191317>,
      < -1.814004, -3.529700, -0.191318>,
      < -1.546271, -3.506310, -0.604427>
    }
    triangle {
      < -3.757060, -3.531426, -0.191317>,
      < -1.546271, -3.506310, -0.604427>,
      < -3.757081, -3.508275, -0.604426>
    }
    triangle {
      < -3.756998, -3.601246, -0.191297>,
      < -1.813942, -3.599519, -0.191298>,
      < -1.814004, -3.529700, -0.191318>
    }
    triangle {
      < -3.756998, -3.601246, -0.191297>,
      < -1.814004, -3.529700, -0.191318>,
      < -3.757060, -3.531426, -0.191317>
    }
    triangle {
      < -3.756999, -3.601396, -0.697492>,
      < -1.546188, -3.599431, -0.697493>,
      < -1.813942, -3.599519, -0.191298>
    }
    triangle {
      < -3.756999, -3.601396, -0.697492>,
      < -1.813942, -3.599519, -0.191298>,
      < -3.756998, -3.601246, -0.191297>
    }
    triangle {
      < -3.756750, -3.880755, -0.965053>,
      < -1.798231, -3.879015, -0.965053>,
      < -1.546188, -3.599431, -0.697493>
    }
    triangle {
      < -3.756750, -3.880755, -0.965053>,
      < -1.546188, -3.599431, -0.697493>,
      < -3.756999, -3.601396, -0.697492>
    }
    triangle {
      < -3.756792, -3.834216, -0.988340>,
      < -1.798272, -3.832474, -0.988341>,
      < -1.798231, -3.879015, -0.965053>
    }
    triangle {
      < -3.756792, -3.834216, -0.988340>,
      < -1.798231, -3.879015, -0.965053>,
      < -3.756750, -3.880755, -0.965053>
    }
    triangle {
      < -3.757086, -3.502484, -0.697522>,
      < -1.546277, -3.500519, -0.697523>,
      < -1.798272, -3.832474, -0.988341>
    }
    triangle {
      < -3.757086, -3.502484, -0.697522>,
      < -1.798272, -3.832474, -0.988341>,
      < -3.756792, -3.834216, -0.988340>
    }
    triangle {
      < -3.757215, -3.357012, -0.651018>,
      < -1.546405, -3.355047, -0.651019>,
      < -1.546277, -3.500519, -0.697523>
    }
    triangle {
      < -3.757215, -3.357012, -0.651018>,
      < -1.546277, -3.500519, -0.697523>,
      < -3.757086, -3.502484, -0.697522>
    }
    triangle {
      < -1.546405, -3.355047, -0.651019>,
      < -1.546384, -3.378307, -0.604465>,
      < -1.546277, -3.500519, -0.697523>
    }
    triangle {
      < -1.546277, -3.500519, -0.697523>,
      < -1.546384, -3.378307, -0.604465>,
      < -1.546271, -3.506310, -0.604427>
    }
    triangle {
      < -1.546271, -3.506310, -0.604427>,
      < -1.814004, -3.529700, -0.191318>,
      < -1.813942, -3.599519, -0.191298>
    }
    triangle {
      < -1.546277, -3.500519, -0.697523>,
      < -1.546271, -3.506310, -0.604427>,
      < -1.813942, -3.599519, -0.191298>
    }
    triangle {
      < -1.546277, -3.500519, -0.697523>,
      < -1.813942, -3.599519, -0.191298>,
      < -1.546188, -3.599431, -0.697493>
    }
    triangle {
      < -1.546277, -3.500519, -0.697523>,
      < -1.546188, -3.599431, -0.697493>,
      < -1.798272, -3.832474, -0.988341>
    }
    triangle {
      < -1.798272, -3.832474, -0.988341>,
      < -1.546188, -3.599431, -0.697493>,
      < -1.798231, -3.879015, -0.965053>
    }
    triangle {
      < -3.756792, -3.834216, -0.988340>,
      < -3.756750, -3.880755, -0.965053>,
      < -3.756999, -3.601396, -0.697492>
    }
    triangle {
      < -3.756792, -3.834216, -0.988340>,
      < -3.756999, -3.601396, -0.697492>,
      < -3.757086, -3.502484, -0.697522>
    }
    triangle {
      < -3.757086, -3.502484, -0.697522>,
      < -3.756999, -3.601396, -0.697492>,
      < -3.757215, -3.357012, -0.651018>
    }
    triangle {
      < -3.757215, -3.357012, -0.651018>,
      < -3.756999, -3.601396, -0.697492>,
      < -3.757081, -3.508275, -0.604426>
    }
    triangle {
      < -3.757215, -3.357012, -0.651018>,
      < -3.757081, -3.508275, -0.604426>,
      < -3.757195, -3.380272, -0.604465>
    }
    triangle {
      < -3.757081, -3.508275, -0.604426>,
      < -3.756999, -3.601396, -0.697492>,
      < -3.756998, -3.601246, -0.191297>
    }
    triangle {
      < -3.757081, -3.508275, -0.604426>,
      < -3.756998, -3.601246, -0.191297>,
      < -3.757060, -3.531426, -0.191317>
    }
    triangle {
      < -0.829879, -3.867795, -1.043794>,
      < -0.829874, -3.876751, -1.056921>,
      < -0.757027, -3.849406, -1.067533>
    }
    triangle {
      < -0.932737, -3.880961, -1.026837>,
      < -0.932727, -3.897381, -1.050903>,
      < -0.829874, -3.876751, -1.056921>
    }
    triangle {
      < -0.932737, -3.880961, -1.026837>,
      < -0.829874, -3.876751, -1.056921>,
      < -0.829879, -3.867795, -1.043794>
    }
    triangle {
      < -1.117033, -3.888935, -1.016663>,
      < -1.117020, -3.909831, -1.047293>,
      < -0.932727, -3.897381, -1.050903>
    }
    triangle {
      < -1.117033, -3.888935, -1.016663>,
      < -0.932727, -3.897381, -1.050903>,
      < -0.932737, -3.880961, -1.026837>
    }
    triangle {
      < -1.374197, -3.889087, -1.016663>,
      < -1.374184, -3.909983, -1.047293>,
      < -1.117020, -3.909831, -1.047293>
    }
    triangle {
      < -1.374197, -3.889087, -1.016663>,
      < -1.117020, -3.909831, -1.047293>,
      < -1.117033, -3.888935, -1.016663>
    }
    triangle {
      < -3.778128, -3.890512, -1.016662>,
      < -3.778116, -3.911408, -1.047292>,
      < -1.374184, -3.909983, -1.047293>
    }
    triangle {
      < -3.778128, -3.890512, -1.016662>,
      < -1.374184, -3.909983, -1.047293>,
      < -1.374197, -3.889087, -1.016663>
    }
    triangle {
      < -3.790992, -3.882655, -1.026836>,
      < -3.790982, -3.899075, -1.050902>,
      < -3.778116, -3.911408, -1.047292>
    }
    triangle {
      < -3.790992, -3.882655, -1.026836>,
      < -3.778116, -3.911408, -1.047292>,
      < -3.778128, -3.890512, -1.016662>
    }
    triangle {
      < -3.752426, -3.866907, -1.047184>,
      < -3.752422, -3.874369, -1.058123>,
      < -3.790982, -3.899075, -1.050902>
    }
    triangle {
      < -3.752426, -3.866907, -1.047184>,
      < -3.790982, -3.899075, -1.050902>,
      < -3.790992, -3.882655, -1.026836>
    }
    triangle {
      < -3.752436, -3.851181, -1.067532>,
      < -3.752422, -3.874369, -1.058123>,
      < -3.752426, -3.866907, -1.047184>
    }
    triangle {
      < -1.257998, -3.311134, -0.584114>,
      < -1.257994, -3.318836, -0.603852>,
      < -1.249442, -3.284600, -0.605837>
    }
    triangle {
      < -1.275135, -3.324409, -0.573252>,
      < -1.275128, -3.335961, -0.602859>,
      < -1.257994, -3.318836, -0.603852>
    }
    triangle {
      < -1.275135, -3.324409, -0.573252>,
      < -1.257994, -3.318836, -0.603852>,
      < -1.257998, -3.311134, -0.584114>
    }
    triangle {
      < -1.770603, -3.328019, -0.570536>,
      < -1.770596, -3.340533, -0.602611>,
      < -1.275128, -3.335961, -0.602859>
    }
    triangle {
      < -1.770603, -3.328019, -0.570536>,
      < -1.275128, -3.335961, -0.602859>,
      < -1.275135, -3.324409, -0.573252>
    }
    triangle {
      < -1.774883, -3.337969, -0.562390>,
      < -1.774874, -3.353373, -0.601866>,
      < -1.770596, -3.340533, -0.602611>
    }
    triangle {
      < -1.774883, -3.337969, -0.562390>,
      < -1.770596, -3.340533, -0.602611>,
      < -1.770603, -3.328019, -0.570536>
    }
    triangle {
      < -1.796313, -3.337982, -0.562390>,
      < -1.796304, -3.353385, -0.601866>,
      < -1.774874, -3.353373, -0.601866>
    }
    triangle {
      < -1.796313, -3.337982, -0.562390>,
      < -1.774874, -3.353373, -0.601866>,
      < -1.774883, -3.337969, -0.562390>
    }
    triangle {
      < -1.800605, -3.328037, -0.570536>,
      < -1.800598, -3.340551, -0.602611>,
      < -1.796304, -3.353385, -0.601866>
    }
    triangle {
      < -1.800605, -3.328037, -0.570536>,
      < -1.796304, -3.353385, -0.601866>,
      < -1.796313, -3.337982, -0.562390>
    }
    triangle {
      < -1.869183, -3.328077, -0.570536>,
      < -1.869176, -3.340592, -0.602611>,
      < -1.800598, -3.340551, -0.602611>
    }
    triangle {
      < -1.869183, -3.328077, -0.570536>,
      < -1.800598, -3.340551, -0.602611>,
      < -1.800605, -3.328037, -0.570536>
    }
    triangle {
      < -1.864890, -3.338022, -0.562390>,
      < -1.864881, -3.353426, -0.601866>,
      < -1.869176, -3.340592, -0.602611>
    }
    triangle {
      < -1.864890, -3.338022, -0.562390>,
      < -1.869176, -3.340592, -0.602611>,
      < -1.869183, -3.328077, -0.570536>
    }
    triangle {
      < -1.890607, -3.338037, -0.562390>,
      < -1.890598, -3.353441, -0.601866>,
      < -1.864881, -3.353426, -0.601866>
    }
    triangle {
      < -1.890607, -3.338037, -0.562390>,
      < -1.864881, -3.353426, -0.601866>,
      < -1.864890, -3.338022, -0.562390>
    }
    triangle {
      < -1.894899, -3.328093, -0.570536>,
      < -1.894892, -3.340607, -0.602611>,
      < -1.890598, -3.353441, -0.601866>
    }
    triangle {
      < -1.894899, -3.328093, -0.570536>,
      < -1.890598, -3.353441, -0.601866>,
      < -1.890607, -3.338037, -0.562390>
    }
    triangle {
      < -2.842656, -3.328654, -0.570535>,
      < -2.842649, -3.341169, -0.602611>,
      < -1.894892, -3.340607, -0.602611>
    }
    triangle {
      < -2.842656, -3.328654, -0.570535>,
      < -1.894892, -3.340607, -0.602611>,
      < -1.894899, -3.328093, -0.570536>
    }
    triangle {
      < -2.851218, -3.345239, -0.556960>,
      < -2.851208, -3.362568, -0.601370>,
      < -2.842649, -3.341169, -0.602611>
    }
    triangle {
      < -2.851218, -3.345239, -0.556960>,
      < -2.842649, -3.341169, -0.602611>,
      < -2.842656, -3.328654, -0.570535>
    }
    triangle {
      < -2.898365, -3.345267, -0.556960>,
      < -2.898355, -3.362596, -0.601370>,
      < -2.851208, -3.362568, -0.601370>
    }
    triangle {
      < -2.898365, -3.345267, -0.556960>,
      < -2.851208, -3.362568, -0.601370>,
      < -2.851218, -3.345239, -0.556960>
    }
    triangle {
      < -2.902661, -3.328690, -0.570535>,
      < -2.902654, -3.341204, -0.602611>,
      < -2.898355, -3.362596, -0.601370>
    }
    triangle {
      < -2.902661, -3.328690, -0.570535>,
      < -2.898355, -3.362596, -0.601370>,
      < -2.898365, -3.345267, -0.556960>
    }
    triangle {
      < -3.361270, -3.328962, -0.570535>,
      < -3.361262, -3.341476, -0.602611>,
      < -2.902654, -3.341204, -0.602611>
    }
    triangle {
      < -3.361270, -3.328962, -0.570535>,
      < -2.902654, -3.341204, -0.602611>,
      < -2.902661, -3.328690, -0.570535>
    }
    triangle {
      < -3.374138, -3.312388, -0.584113>,
      < -3.374133, -3.320090, -0.603851>,
      < -3.361262, -3.341476, -0.602611>
    }
    triangle {
      < -3.374138, -3.312388, -0.584113>,
      < -3.361262, -3.341476, -0.602611>,
      < -3.361270, -3.328962, -0.570535>
    }
    triangle {
      < -3.365581, -3.285854, -0.605836>,
      < -3.374133, -3.320090, -0.603851>,
      < -3.374138, -3.312388, -0.584113>
    }
    triangle {
      < -0.829874, -3.876751, -1.056921>,
      < -0.829874, -3.876283, -1.072804>,
      < -0.757027, -3.849406, -1.067533>
    }
    triangle {
      < -0.932727, -3.897381, -1.050903>,
      < -0.932727, -3.896522, -1.080024>,
      < -0.829874, -3.876283, -1.072804>
    }
    triangle {
      < -0.932727, -3.897381, -1.050903>,
      < -0.829874, -3.876283, -1.072804>,
      < -0.829874, -3.876751, -1.056921>
    }
    triangle {
      < -1.117020, -3.909831, -1.047293>,
      < -1.117021, -3.908737, -1.084355>,
      < -0.932727, -3.896522, -1.080024>
    }
    triangle {
      < -1.117020, -3.909831, -1.047293>,
      < -0.932727, -3.896522, -1.080024>,
      < -0.932727, -3.897381, -1.050903>
    }
    triangle {
      < -1.374184, -3.909983, -1.047293>,
      < -1.374185, -3.908889, -1.084355>,
      < -1.117021, -3.908737, -1.084355>
    }
    triangle {
      < -1.374184, -3.909983, -1.047293>,
      < -1.117021, -3.908737, -1.084355>,
      < -1.117020, -3.909831, -1.047293>
    }
    triangle {
      < -3.778116, -3.911408, -1.047292>,
      < -3.778117, -3.910314, -1.084354>,
      < -1.374185, -3.908889, -1.084355>
    }
    triangle {
      < -3.778116, -3.911408, -1.047292>,
      < -1.374185, -3.908889, -1.084355>,
      < -1.374184, -3.909983, -1.047293>
    }
    triangle {
      < -3.790982, -3.899075, -1.050902>,
      < -3.790983, -3.898216, -1.080023>,
      < -3.778117, -3.910314, -1.084354>
    }
    triangle {
      < -3.790982, -3.899075, -1.050902>,
      < -3.778117, -3.910314, -1.084354>,
      < -3.778116, -3.911408, -1.047292>
    }
    triangle {
      < -3.752422, -3.874369, -1.058123>,
      < -3.752422, -3.873979, -1.071359>,
      < -3.790983, -3.898216, -1.080023>
    }
    triangle {
      < -3.752422, -3.874369, -1.058123>,
      < -3.790983, -3.898216, -1.080023>,
      < -3.790982, -3.899075, -1.050902>
    }
    triangle {
      < -3.752436, -3.851181, -1.067532>,
      < -3.752422, -3.873979, -1.071359>,
      < -3.752422, -3.874369, -1.058123>
    }
    triangle {
      < -1.257994, -3.318836, -0.603852>,
      < -1.257997, -3.313467, -0.624347>,
      < -1.249442, -3.284600, -0.605837>
    }
    triangle {
      < -1.275128, -3.335961, -0.602859>,
      < -1.275133, -3.327909, -0.633604>,
      < -1.257997, -3.313467, -0.624347>
    }
    triangle {
      < -1.275128, -3.335961, -0.602859>,
      < -1.257997, -3.313467, -0.624347>,
      < -1.257994, -3.318836, -0.603852>
    }
    triangle {
      < -1.770596, -3.340533, -0.602611>,
      < -1.770601, -3.331811, -0.635918>,
      < -1.275133, -3.327909, -0.633604>
    }
    triangle {
      < -1.770596, -3.340533, -0.602611>,
      < -1.275133, -3.327909, -0.633604>,
      < -1.275128, -3.335961, -0.602859>
    }
    triangle {
      < -1.774874, -3.353373, -0.601866>,
      < -1.774881, -3.342636, -0.642859>,
      < -1.770601, -3.331811, -0.635918>
    }
    triangle {
      < -1.774874, -3.353373, -0.601866>,
      < -1.770601, -3.331811, -0.635918>,
      < -1.770596, -3.340533, -0.602611>
    }
    triangle {
      < -1.796304, -3.353385, -0.601866>,
      < -1.796311, -3.342649, -0.642859>,
      < -1.774881, -3.342636, -0.642859>
    }
    triangle {
      < -1.796304, -3.353385, -0.601866>,
      < -1.774881, -3.342636, -0.642859>,
      < -1.774874, -3.353373, -0.601866>
    }
    triangle {
      < -1.800598, -3.340551, -0.602611>,
      < -1.800603, -3.331829, -0.635918>,
      < -1.796311, -3.342649, -0.642859>
    }
    triangle {
      < -1.800598, -3.340551, -0.602611>,
      < -1.796311, -3.342649, -0.642859>,
      < -1.796304, -3.353385, -0.601866>
    }
    triangle {
      < -1.869176, -3.340592, -0.602611>,
      < -1.869181, -3.331869, -0.635918>,
      < -1.800603, -3.331829, -0.635918>
    }
    triangle {
      < -1.869176, -3.340592, -0.602611>,
      < -1.800603, -3.331829, -0.635918>,
      < -1.800598, -3.340551, -0.602611>
    }
    triangle {
      < -1.864881, -3.353426, -0.601866>,
      < -1.864888, -3.342689, -0.642859>,
      < -1.869181, -3.331869, -0.635918>
    }
    triangle {
      < -1.864881, -3.353426, -0.601866>,
      < -1.869181, -3.331869, -0.635918>,
      < -1.869176, -3.340592, -0.602611>
    }
    triangle {
      < -1.890598, -3.353441, -0.601866>,
      < -1.890605, -3.342704, -0.642859>,
      < -1.864888, -3.342689, -0.642859>
    }
    triangle {
      < -1.890598, -3.353441, -0.601866>,
      < -1.864888, -3.342689, -0.642859>,
      < -1.864881, -3.353426, -0.601866>
    }
    triangle {
      < -1.894892, -3.340607, -0.602611>,
      < -1.894897, -3.331884, -0.635918>,
      < -1.890605, -3.342704, -0.642859>
    }
    triangle {
      < -1.894892, -3.340607, -0.602611>,
      < -1.890605, -3.342704, -0.642859>,
      < -1.890598, -3.353441, -0.601866>
    }
    triangle {
      < -2.842649, -3.341169, -0.602611>,
      < -2.842654, -3.332446, -0.635917>,
      < -1.894897, -3.331884, -0.635918>
    }
    triangle {
      < -2.842649, -3.341169, -0.602611>,
      < -1.894897, -3.331884, -0.635918>,
      < -1.894892, -3.340607, -0.602611>
    }
    triangle {
      < -2.851208, -3.362568, -0.601370>,
      < -2.851215, -3.350489, -0.647487>,
      < -2.842654, -3.332446, -0.635917>
    }
    triangle {
      < -2.851208, -3.362568, -0.601370>,
      < -2.842654, -3.332446, -0.635917>,
      < -2.842649, -3.341169, -0.602611>
    }
    triangle {
      < -2.898355, -3.362596, -0.601370>,
      < -2.898362, -3.350517, -0.647487>,
      < -2.851215, -3.350489, -0.647487>
    }
    triangle {
      < -2.898355, -3.362596, -0.601370>,
      < -2.851215, -3.350489, -0.647487>,
      < -2.851208, -3.362568, -0.601370>
    }
    triangle {
      < -2.902654, -3.341204, -0.602611>,
      < -2.902659, -3.332482, -0.635917>,
      < -2.898362, -3.350517, -0.647487>
    }
    triangle {
      < -2.902654, -3.341204, -0.602611>,
      < -2.898362, -3.350517, -0.647487>,
      < -2.898355, -3.362596, -0.601370>
    }
    triangle {
      < -3.361262, -3.341476, -0.602611>,
      < -3.361268, -3.332753, -0.635917>,
      < -2.902659, -3.332482, -0.635917>
    }
    triangle {
      < -3.361262, -3.341476, -0.602611>,
      < -2.902659, -3.332482, -0.635917>,
      < -2.902654, -3.341204, -0.602611>
    }
    triangle {
      < -3.374133, -3.320090, -0.603851>,
      < -3.374136, -3.314721, -0.624347>,
      < -3.361268, -3.332753, -0.635917>
    }
    triangle {
      < -3.374133, -3.320090, -0.603851>,
      < -3.361268, -3.332753, -0.635917>,
      < -3.361262, -3.341476, -0.602611>
    }
    triangle {
      < -3.365581, -3.285854, -0.605836>,
      < -3.374136, -3.314721, -0.624347>,
      < -3.374133, -3.320090, -0.603851>
    }
    triangle {
      < -0.829874, -3.876283, -1.072804>,
      < -0.829880, -3.866569, -1.085381>,
      < -0.757027, -3.849610, -1.060602>
    }
    triangle {
      < -0.829874, -3.876283, -1.072804>,
      < -0.757027, -3.849610, -1.060602>,
      < -0.757027, -3.849406, -1.067533>
    }
    triangle {
      < -0.932727, -3.896522, -1.080024>,
      < -0.932738, -3.878713, -1.103080>,
      < -0.829880, -3.866569, -1.085381>
    }
    triangle {
      < -0.932727, -3.896522, -1.080024>,
      < -0.829880, -3.866569, -1.085381>,
      < -0.829874, -3.876283, -1.072804>
    }
    triangle {
      < -1.117021, -3.908737, -1.084355>,
      < -1.117035, -3.886071, -1.113699>,
      < -0.932738, -3.878713, -1.103080>
    }
    triangle {
      < -1.117021, -3.908737, -1.084355>,
      < -0.932738, -3.878713, -1.103080>,
      < -0.932727, -3.896522, -1.080024>
    }
    triangle {
      < -1.374185, -3.908889, -1.084355>,
      < -1.374199, -3.886224, -1.113699>,
      < -1.117035, -3.886071, -1.113699>
    }
    triangle {
      < -1.374185, -3.908889, -1.084355>,
      < -1.117035, -3.886071, -1.113699>,
      < -1.117021, -3.908737, -1.084355>
    }
    triangle {
      < -3.778117, -3.910314, -1.084354>,
      < -3.778130, -3.887648, -1.113698>,
      < -1.374199, -3.886224, -1.113699>
    }
    triangle {
      < -3.778117, -3.910314, -1.084354>,
      < -1.374199, -3.886224, -1.113699>,
      < -1.374185, -3.908889, -1.084355>
    }
    triangle {
      < -3.790983, -3.898216, -1.080023>,
      < -3.790993, -3.880407, -1.103079>,
      < -3.778130, -3.887648, -1.113698>
    }
    triangle {
      < -3.790983, -3.898216, -1.080023>,
      < -3.778130, -3.887648, -1.113698>,
      < -3.778117, -3.910314, -1.084354>
    }
    triangle {
      < -3.752422, -3.873979, -1.071359>,
      < -3.752427, -3.865884, -1.081840>,
      < -3.790993, -3.880407, -1.103079>
    }
    triangle {
      < -3.752422, -3.873979, -1.071359>,
      < -3.790993, -3.880407, -1.103079>,
      < -3.790983, -3.898216, -1.080023>
    }
    triangle {
      < -3.752436, -3.851181, -1.067532>,
      < -3.752436, -3.851386, -1.060601>,
      < -3.752427, -3.865884, -1.081840>
    }
    triangle {
      < -3.752436, -3.851181, -1.067532>,
      < -3.752427, -3.865884, -1.081840>,
      < -3.752422, -3.873979, -1.071359>
    }
    triangle {
      < -1.257997, -3.313467, -0.624347>,
      < -1.258007, -3.297078, -0.637776>,
      < -1.249442, -3.284600, -0.605837>
    }
    triangle {
      < -1.275133, -3.327909, -0.633604>,
      < -1.275148, -3.303325, -0.653745>,
      < -1.258007, -3.297078, -0.637776>
    }
    triangle {
      < -1.275133, -3.327909, -0.633604>,
      < -1.258007, -3.297078, -0.637776>,
      < -1.257997, -3.313467, -0.624347>
    }
    triangle {
      < -1.770601, -3.331811, -0.635918>,
      < -1.770617, -3.305179, -0.657738>,
      < -1.275148, -3.303325, -0.653745>
    }
    triangle {
      < -1.770601, -3.331811, -0.635918>,
      < -1.275148, -3.303325, -0.653745>,
      < -1.275133, -3.327909, -0.633604>
    }
    triangle {
      < -1.774881, -3.342636, -0.642859>,
      < -1.774900, -3.309858, -0.669716>,
      < -1.770617, -3.305179, -0.657738>
    }
    triangle {
      < -1.774881, -3.342636, -0.642859>,
      < -1.770617, -3.305179, -0.657738>,
      < -1.770601, -3.331811, -0.635918>
    }
    triangle {
      < -1.796311, -3.342649, -0.642859>,
      < -1.796330, -3.309871, -0.669716>,
      < -1.774900, -3.309858, -0.669716>
    }
    triangle {
      < -1.796311, -3.342649, -0.642859>,
      < -1.774900, -3.309858, -0.669716>,
      < -1.774881, -3.342636, -0.642859>
    }
    triangle {
      < -1.800603, -3.331829, -0.635918>,
      < -1.800619, -3.305197, -0.657738>,
      < -1.796330, -3.309871, -0.669716>
    }
    triangle {
      < -1.800603, -3.331829, -0.635918>,
      < -1.796330, -3.309871, -0.669716>,
      < -1.796311, -3.342649, -0.642859>
    }
    triangle {
      < -1.869181, -3.331869, -0.635918>,
      < -1.869197, -3.305237, -0.657738>,
      < -1.800619, -3.305197, -0.657738>
    }
    triangle {
      < -1.869181, -3.331869, -0.635918>,
      < -1.800619, -3.305197, -0.657738>,
      < -1.800603, -3.331829, -0.635918>
    }
    triangle {
      < -1.864888, -3.342689, -0.642859>,
      < -1.864907, -3.309911, -0.669716>,
      < -1.869197, -3.305237, -0.657738>
    }
    triangle {
      < -1.864888, -3.342689, -0.642859>,
      < -1.869197, -3.305237, -0.657738>,
      < -1.869181, -3.331869, -0.635918>
    }
    triangle {
      < -1.890605, -3.342704, -0.642859>,
      < -1.890624, -3.309927, -0.669716>,
      < -1.864907, -3.309911, -0.669716>
    }
    triangle {
      < -1.890605, -3.342704, -0.642859>,
      < -1.864907, -3.309911, -0.669716>,
      < -1.864888, -3.342689, -0.642859>
    }
    triangle {
      < -1.894897, -3.331884, -0.635918>,
      < -1.894913, -3.305252, -0.657738>,
      < -1.890624, -3.309927, -0.669716>
    }
    triangle {
      < -1.894897, -3.331884, -0.635918>,
      < -1.890624, -3.309927, -0.669716>,
      < -1.890605, -3.342704, -0.642859>
    }
    triangle {
      < -2.842654, -3.332446, -0.635917>,
      < -2.842670, -3.305814, -0.657738>,
      < -1.894913, -3.305252, -0.657738>
    }
    triangle {
      < -2.842654, -3.332446, -0.635917>,
      < -1.894913, -3.305252, -0.657738>,
      < -1.894897, -3.331884, -0.635918>
    }
    triangle {
      < -2.851215, -3.350489, -0.647487>,
      < -2.851237, -3.313615, -0.677699>,
      < -2.842670, -3.305814, -0.657738>
    }
    triangle {
      < -2.851215, -3.350489, -0.647487>,
      < -2.842670, -3.305814, -0.657738>,
      < -2.842654, -3.332446, -0.635917>
    }
    triangle {
      < -2.898362, -3.350517, -0.647487>,
      < -2.898384, -3.313643, -0.677699>,
      < -2.851237, -3.313615, -0.677699>
    }
    triangle {
      < -2.898362, -3.350517, -0.647487>,
      < -2.851237, -3.313615, -0.677699>,
      < -2.851215, -3.350489, -0.647487>
    }
    triangle {
      < -2.902659, -3.332482, -0.635917>,
      < -2.902675, -3.305850, -0.657738>,
      < -2.898384, -3.313643, -0.677699>
    }
    triangle {
      < -2.902659, -3.332482, -0.635917>,
      < -2.898384, -3.313643, -0.677699>,
      < -2.898362, -3.350517, -0.647487>
    }
    triangle {
      < -3.361268, -3.332753, -0.635917>,
      < -3.361283, -3.306121, -0.657738>,
      < -2.902675, -3.305850, -0.657738>
    }
    triangle {
      < -3.361268, -3.332753, -0.635917>,
      < -2.902675, -3.305850, -0.657738>,
      < -2.902659, -3.332482, -0.635917>
    }
    triangle {
      < -3.374136, -3.314721, -0.624347>,
      < -3.374146, -3.298332, -0.637775>,
      < -3.361283, -3.306121, -0.657738>
    }
    triangle {
      < -3.374136, -3.314721, -0.624347>,
      < -3.361283, -3.306121, -0.657738>,
      < -3.361268, -3.332753, -0.635917>
    }
    triangle {
      < -3.365581, -3.285854, -0.605836>,
      < -3.374146, -3.298332, -0.637775>,
      < -3.374136, -3.314721, -0.624347>
    }
    triangle {
      < -0.829880, -3.866569, -1.085381>,
      < -0.829889, -3.851319, -1.089847>,
      < -0.757027, -3.849610, -1.060602>
    }
    triangle {
      < -0.932738, -3.878713, -1.103080>,
      < -0.932755, -3.850754, -1.111268>,
      < -0.829889, -3.851319, -1.089847>
    }
    triangle {
      < -0.932738, -3.878713, -1.103080>,
      < -0.829889, -3.851319, -1.089847>,
      < -0.829880, -3.866569, -1.085381>
    }
    triangle {
      < -1.117035, -3.886071, -1.113699>,
      < -1.117056, -3.850487, -1.124120>,
      < -0.932755, -3.850754, -1.111268>
    }
    triangle {
      < -1.117035, -3.886071, -1.113699>,
      < -0.932755, -3.850754, -1.111268>,
      < -0.932738, -3.878713, -1.103080>
    }
    triangle {
      < -1.374199, -3.886224, -1.113699>,
      < -1.374220, -3.850640, -1.124120>,
      < -1.117056, -3.850487, -1.124120>
    }
    triangle {
      < -1.374199, -3.886224, -1.113699>,
      < -1.117056, -3.850487, -1.124120>,
      < -1.117035, -3.886071, -1.113699>
    }
    triangle {
      < -3.778130, -3.887648, -1.113698>,
      < -3.778151, -3.852065, -1.124119>,
      < -1.374220, -3.850640, -1.124120>
    }
    triangle {
      < -3.778130, -3.887648, -1.113698>,
      < -1.374220, -3.850640, -1.124120>,
      < -1.374199, -3.886224, -1.113699>
    }
    triangle {
      < -3.790993, -3.880407, -1.103079>,
      < -3.791010, -3.852448, -1.111267>,
      < -3.778151, -3.852065, -1.124119>
    }
    triangle {
      < -3.790993, -3.880407, -1.103079>,
      < -3.778151, -3.852065, -1.124119>,
      < -3.778130, -3.887648, -1.113698>
    }
    triangle {
      < -3.752427, -3.865884, -1.081840>,
      < -3.752435, -3.853175, -1.085562>,
      < -3.791010, -3.852448, -1.111267>
    }
    triangle {
      < -3.752427, -3.865884, -1.081840>,
      < -3.791010, -3.852448, -1.111267>,
      < -3.790993, -3.880407, -1.103079>
    }
    triangle {
      < -3.752436, -3.851386, -1.060601>,
      < -3.752435, -3.853175, -1.085562>,
      < -3.752427, -3.865884, -1.081840>
    }
    triangle {
      < -1.258007, -3.297078, -0.637776>,
      < -1.258019, -3.275927, -0.639009>,
      < -1.249442, -3.284600, -0.605837>
    }
    triangle {
      < -1.275148, -3.303325, -0.653745>,
      < -1.275167, -3.271597, -0.655595>,
      < -1.258019, -3.275927, -0.639009>
    }
    triangle {
      < -1.275148, -3.303325, -0.653745>,
      < -1.258019, -3.275927, -0.639009>,
      < -1.258007, -3.297078, -0.637776>
    }
    triangle {
      < -1.770617, -3.305179, -0.657738>,
      < -1.770637, -3.270807, -0.659742>,
      < -1.275167, -3.271597, -0.655595>
    }
    triangle {
      < -1.770617, -3.305179, -0.657738>,
      < -1.275167, -3.271597, -0.655595>,
      < -1.275148, -3.303325, -0.653745>
    }
    triangle {
      < -1.774900, -3.309858, -0.669716>,
      < -1.774925, -3.267555, -0.672181>,
      < -1.770637, -3.270807, -0.659742>
    }
    triangle {
      < -1.774900, -3.309858, -0.669716>,
      < -1.770637, -3.270807, -0.659742>,
      < -1.770617, -3.305179, -0.657738>
    }
    triangle {
      < -1.796330, -3.309871, -0.669716>,
      < -1.796355, -3.267567, -0.672181>,
      < -1.774925, -3.267555, -0.672181>
    }
    triangle {
      < -1.796330, -3.309871, -0.669716>,
      < -1.774925, -3.267555, -0.672181>,
      < -1.774900, -3.309858, -0.669716>
    }
    triangle {
      < -1.800619, -3.305197, -0.657738>,
      < -1.800639, -3.270825, -0.659742>,
      < -1.796355, -3.267567, -0.672181>
    }
    triangle {
      < -1.800619, -3.305197, -0.657738>,
      < -1.796355, -3.267567, -0.672181>,
      < -1.796330, -3.309871, -0.669716>
    }
    triangle {
      < -1.869197, -3.305237, -0.657738>,
      < -1.869217, -3.270865, -0.659742>,
      < -1.800639, -3.270825, -0.659742>
    }
    triangle {
      < -1.869197, -3.305237, -0.657738>,
      < -1.800639, -3.270825, -0.659742>,
      < -1.800619, -3.305197, -0.657738>
    }
    triangle {
      < -1.864907, -3.309911, -0.669716>,
      < -1.864932, -3.267608, -0.672181>,
      < -1.869217, -3.270865, -0.659742>
    }
    triangle {
      < -1.864907, -3.309911, -0.669716>,
      < -1.869217, -3.270865, -0.659742>,
      < -1.869197, -3.305237, -0.657738>
    }
    triangle {
      < -1.890624, -3.309927, -0.669716>,
      < -1.890649, -3.267623, -0.672181>,
      < -1.864932, -3.267608, -0.672181>
    }
    triangle {
      < -1.890624, -3.309927, -0.669716>,
      < -1.864932, -3.267608, -0.672181>,
      < -1.864907, -3.309911, -0.669716>
    }
    triangle {
      < -1.894913, -3.305252, -0.657738>,
      < -1.894933, -3.270880, -0.659742>,
      < -1.890649, -3.267623, -0.672181>
    }
    triangle {
      < -1.894913, -3.305252, -0.657738>,
      < -1.890649, -3.267623, -0.672181>,
      < -1.890624, -3.309927, -0.669716>
    }
    triangle {
      < -2.842670, -3.305814, -0.657738>,
      < -2.842690, -3.271442, -0.659741>,
      < -1.894933, -3.270880, -0.659742>
    }
    triangle {
      < -2.842670, -3.305814, -0.657738>,
      < -1.894933, -3.270880, -0.659742>,
      < -1.894913, -3.305252, -0.657738>
    }
    triangle {
      < -2.851237, -3.313615, -0.677699>,
      < -2.851265, -3.266023, -0.680474>,
      < -2.842690, -3.271442, -0.659741>
    }
    triangle {
      < -2.851237, -3.313615, -0.677699>,
      < -2.842690, -3.271442, -0.659741>,
      < -2.842670, -3.305814, -0.657738>
    }
    triangle {
      < -2.898384, -3.313643, -0.677699>,
      < -2.898412, -3.266051, -0.680474>,
      < -2.851265, -3.266023, -0.680474>
    }
    triangle {
      < -2.898384, -3.313643, -0.677699>,
      < -2.851265, -3.266023, -0.680474>,
      < -2.851237, -3.313615, -0.677699>
    }
    triangle {
      < -2.902675, -3.305850, -0.657738>,
      < -2.902695, -3.271478, -0.659741>,
      < -2.898412, -3.266051, -0.680474>
    }
    triangle {
      < -2.902675, -3.305850, -0.657738>,
      < -2.898412, -3.266051, -0.680474>,
      < -2.898384, -3.313643, -0.677699>
    }
    triangle {
      < -3.361283, -3.306121, -0.657738>,
      < -3.361304, -3.271749, -0.659741>,
      < -2.902695, -3.271478, -0.659741>
    }
    triangle {
      < -3.361283, -3.306121, -0.657738>,
      < -2.902695, -3.271478, -0.659741>,
      < -2.902675, -3.305850, -0.657738>
    }
    triangle {
      < -3.374146, -3.298332, -0.637775>,
      < -3.374159, -3.277181, -0.639008>,
      < -3.361304, -3.271749, -0.659741>
    }
    triangle {
      < -3.374146, -3.298332, -0.637775>,
      < -3.361304, -3.271749, -0.659741>,
      < -3.361283, -3.306121, -0.657738>
    }
    triangle {
      < -3.365581, -3.285854, -0.605836>,
      < -3.374159, -3.277181, -0.639008>,
      < -3.374146, -3.298332, -0.637775>
    }
    triangle {
      < -0.829889, -3.851319, -1.089847>,
      < -0.829898, -3.836356, -1.084498>,
      < -0.757027, -3.849610, -1.060602>
    }
    triangle {
      < -0.932755, -3.850754, -1.111268>,
      < -0.932771, -3.823321, -1.101461>,
      < -0.829898, -3.836356, -1.084498>
    }
    triangle {
      < -0.932755, -3.850754, -1.111268>,
      < -0.829898, -3.836356, -1.084498>,
      < -0.829889, -3.851319, -1.089847>
    }
    triangle {
      < -1.117056, -3.850487, -1.124120>,
      < -1.117076, -3.815573, -1.111640>,
      < -0.932771, -3.823321, -1.101461>
    }
    triangle {
      < -1.117056, -3.850487, -1.124120>,
      < -0.932771, -3.823321, -1.101461>,
      < -0.932755, -3.850754, -1.111268>
    }
    triangle {
      < -1.374220, -3.850640, -1.124120>,
      < -1.374240, -3.815725, -1.111640>,
      < -1.117076, -3.815573, -1.111640>
    }
    triangle {
      < -1.374220, -3.850640, -1.124120>,
      < -1.117076, -3.815573, -1.111640>,
      < -1.117056, -3.850487, -1.124120>
    }
    triangle {
      < -3.778151, -3.852065, -1.124119>,
      < -3.778172, -3.817150, -1.111639>,
      < -1.374240, -3.815725, -1.111640>
    }
    triangle {
      < -3.778151, -3.852065, -1.124119>,
      < -1.374240, -3.815725, -1.111640>,
      < -1.374220, -3.850640, -1.124120>
    }
    triangle {
      < -3.791010, -3.852448, -1.111267>,
      < -3.791026, -3.825015, -1.101460>,
      < -3.778172, -3.817150, -1.111639>
    }
    triangle {
      < -3.791010, -3.852448, -1.111267>,
      < -3.778172, -3.817150, -1.111639>,
      < -3.778151, -3.852065, -1.124119>
    }
    triangle {
      < -3.752435, -3.853175, -1.085562>,
      < -3.752442, -3.840706, -1.081104>,
      < -3.791026, -3.825015, -1.101460>
    }
    triangle {
      < -3.752435, -3.853175, -1.085562>,
      < -3.791026, -3.825015, -1.101460>,
      < -3.791010, -3.852448, -1.111267>
    }
    triangle {
      < -3.752436, -3.851386, -1.060601>,
      < -3.752442, -3.840706, -1.081104>,
      < -3.752435, -3.853175, -1.085562>
    }
    triangle {
      < -1.258019, -3.275927, -0.639009>,
      < -1.258030, -3.258088, -0.627576>,
      < -1.249442, -3.284600, -0.605837>
    }
    triangle {
      < -1.275167, -3.271597, -0.655595>,
      < -1.275182, -3.244840, -0.638446>,
      < -1.258030, -3.258088, -0.627576>
    }
    triangle {
      < -1.275167, -3.271597, -0.655595>,
      < -1.258030, -3.258088, -0.627576>,
      < -1.258019, -3.275927, -0.639009>
    }
    triangle {
      < -1.770637, -3.270807, -0.659742>,
      < -1.770654, -3.241820, -0.641163>,
      < -1.275182, -3.244840, -0.638446>
    }
    triangle {
      < -1.770637, -3.270807, -0.659742>,
      < -1.275182, -3.244840, -0.638446>,
      < -1.275167, -3.271597, -0.655595>
    }
    triangle {
      < -1.774925, -3.267555, -0.672181>,
      < -1.774946, -3.231878, -0.649315>,
      < -1.770654, -3.241820, -0.641163>
    }
    triangle {
      < -1.774925, -3.267555, -0.672181>,
      < -1.770654, -3.241820, -0.641163>,
      < -1.770637, -3.270807, -0.659742>
    }
    triangle {
      < -1.796355, -3.267567, -0.672181>,
      < -1.796376, -3.231891, -0.649315>,
      < -1.774946, -3.231878, -0.649315>
    }
    triangle {
      < -1.796355, -3.267567, -0.672181>,
      < -1.774946, -3.231878, -0.649315>,
      < -1.774925, -3.267555, -0.672181>
    }
    triangle {
      < -1.800639, -3.270825, -0.659742>,
      < -1.800656, -3.241838, -0.641163>,
      < -1.796376, -3.231891, -0.649315>
    }
    triangle {
      < -1.800639, -3.270825, -0.659742>,
      < -1.796376, -3.231891, -0.649315>,
      < -1.796355, -3.267567, -0.672181>
    }
    triangle {
      < -1.869217, -3.270865, -0.659742>,
      < -1.869234, -3.241878, -0.641163>,
      < -1.800656, -3.241838, -0.641163>
    }
    triangle {
      < -1.869217, -3.270865, -0.659742>,
      < -1.800656, -3.241838, -0.641163>,
      < -1.800639, -3.270825, -0.659742>
    }
    triangle {
      < -1.864932, -3.267608, -0.672181>,
      < -1.864953, -3.231931, -0.649315>,
      < -1.869234, -3.241878, -0.641163>
    }
    triangle {
      < -1.864932, -3.267608, -0.672181>,
      < -1.869234, -3.241878, -0.641163>,
      < -1.869217, -3.270865, -0.659742>
    }
    triangle {
      < -1.890649, -3.267623, -0.672181>,
      < -1.890670, -3.231946, -0.649315>,
      < -1.864953, -3.231931, -0.649315>
    }
    triangle {
      < -1.890649, -3.267623, -0.672181>,
      < -1.864953, -3.231931, -0.649315>,
      < -1.864932, -3.267608, -0.672181>
    }
    triangle {
      < -1.894933, -3.270880, -0.659742>,
      < -1.894950, -3.241893, -0.641163>,
      < -1.890670, -3.231946, -0.649315>
    }
    triangle {
      < -1.894933, -3.270880, -0.659742>,
      < -1.890670, -3.231946, -0.649315>,
      < -1.890649, -3.267623, -0.672181>
    }
    triangle {
      < -2.842690, -3.271442, -0.659741>,
      < -2.842707, -3.242455, -0.641163>,
      < -1.894950, -3.241893, -0.641163>
    }
    triangle {
      < -2.842690, -3.271442, -0.659741>,
      < -1.894950, -3.241893, -0.641163>,
      < -1.894933, -3.270880, -0.659742>
    }
    triangle {
      < -2.851265, -3.266023, -0.680474>,
      < -2.851289, -3.225887, -0.654749>,
      < -2.842707, -3.242455, -0.641163>
    }
    triangle {
      < -2.851265, -3.266023, -0.680474>,
      < -2.842707, -3.242455, -0.641163>,
      < -2.842690, -3.271442, -0.659741>
    }
    triangle {
      < -2.898412, -3.266051, -0.680474>,
      < -2.898436, -3.225915, -0.654749>,
      < -2.851289, -3.225887, -0.654749>
    }
    triangle {
      < -2.898412, -3.266051, -0.680474>,
      < -2.851289, -3.225887, -0.654749>,
      < -2.851265, -3.266023, -0.680474>
    }
    triangle {
      < -2.902695, -3.271478, -0.659741>,
      < -2.902712, -3.242491, -0.641163>,
      < -2.898436, -3.225915, -0.654749>
    }
    triangle {
      < -2.902695, -3.271478, -0.659741>,
      < -2.898436, -3.225915, -0.654749>,
      < -2.898412, -3.266051, -0.680474>
    }
    triangle {
      < -3.361304, -3.271749, -0.659741>,
      < -3.361321, -3.242762, -0.641162>,
      < -2.902712, -3.242491, -0.641163>
    }
    triangle {
      < -3.361304, -3.271749, -0.659741>,
      < -2.902712, -3.242491, -0.641163>,
      < -2.902695, -3.271478, -0.659741>
    }
    triangle {
      < -3.374159, -3.277181, -0.639008>,
      < -3.374169, -3.259342, -0.627576>,
      < -3.361321, -3.242762, -0.641162>
    }
    triangle {
      < -3.374159, -3.277181, -0.639008>,
      < -3.361321, -3.242762, -0.641162>,
      < -3.361304, -3.271749, -0.659741>
    }
    triangle {
      < -3.365581, -3.285854, -0.605836>,
      < -3.374169, -3.259342, -0.627576>,
      < -3.374159, -3.277181, -0.639008>
    }
    triangle {
      < -0.829898, -3.836356, -1.084498>,
      < -0.829903, -3.827392, -1.071377>,
      < -0.757023, -3.856140, -1.062936>
    }
    triangle {
      < -0.829898, -3.836356, -1.084498>,
      < -0.757023, -3.856140, -1.062936>,
      < -0.757027, -3.849610, -1.060602>
    }
    triangle {
      < -0.932771, -3.823321, -1.101461>,
      < -0.932781, -3.806889, -1.077406>,
      < -0.829903, -3.827392, -1.071377>
    }
    triangle {
      < -0.932771, -3.823321, -1.101461>,
      < -0.829903, -3.827392, -1.071377>,
      < -0.829898, -3.836356, -1.084498>
    }
    triangle {
      < -1.117076, -3.815573, -1.111640>,
      < -1.117089, -3.794659, -1.081023>,
      < -0.932781, -3.806889, -1.077406>
    }
    triangle {
      < -1.117076, -3.815573, -1.111640>,
      < -0.932781, -3.806889, -1.077406>,
      < -0.932771, -3.823321, -1.101461>
    }
    triangle {
      < -1.374240, -3.815725, -1.111640>,
      < -1.374253, -3.794811, -1.081023>,
      < -1.117089, -3.794659, -1.081023>
    }
    triangle {
      < -1.374240, -3.815725, -1.111640>,
      < -1.117089, -3.794659, -1.081023>,
      < -1.117076, -3.815573, -1.111640>
    }
    triangle {
      < -3.778172, -3.817150, -1.111639>,
      < -3.778184, -3.796236, -1.081022>,
      < -1.374253, -3.794811, -1.081023>
    }
    triangle {
      < -3.778172, -3.817150, -1.111639>,
      < -1.374253, -3.794811, -1.081023>,
      < -1.374240, -3.815725, -1.111640>
    }
    triangle {
      < -3.791026, -3.825015, -1.101460>,
      < -3.791036, -3.808583, -1.077405>,
      < -3.778184, -3.796236, -1.081022>
    }
    triangle {
      < -3.791026, -3.825015, -1.101460>,
      < -3.778184, -3.796236, -1.081022>,
      < -3.778172, -3.817150, -1.111639>
    }
    triangle {
      < -3.752442, -3.840706, -1.081104>,
      < -3.752446, -3.833237, -1.070169>,
      < -3.791036, -3.808583, -1.077405>
    }
    triangle {
      < -3.752442, -3.840706, -1.081104>,
      < -3.791036, -3.808583, -1.077405>,
      < -3.791026, -3.825015, -1.101460>
    }
    triangle {
      < -3.752436, -3.851386, -1.060601>,
      < -3.752432, -3.857915, -1.062935>,
      < -3.752446, -3.833237, -1.070169>
    }
    triangle {
      < -3.752436, -3.851386, -1.060601>,
      < -3.752446, -3.833237, -1.070169>,
      < -3.752442, -3.840706, -1.081104>
    }
    triangle {
      < -1.258030, -3.258088, -0.627576>,
      < -1.258034, -3.250375, -0.607843>,
      < -1.249442, -3.284600, -0.605837>
    }
    triangle {
      < -1.275182, -3.244840, -0.638446>,
      < -1.275189, -3.233270, -0.608845>,
      < -1.258034, -3.250375, -0.607843>
    }
    triangle {
      < -1.275182, -3.244840, -0.638446>,
      < -1.258034, -3.250375, -0.607843>,
      < -1.258030, -3.258088, -0.627576>
    }
    triangle {
      < -1.770654, -3.241820, -0.641163>,
      < -1.770662, -3.229285, -0.609095>,
      < -1.275189, -3.233270, -0.608845>
    }
    triangle {
      < -1.770654, -3.241820, -0.641163>,
      < -1.275189, -3.233270, -0.608845>,
      < -1.275182, -3.244840, -0.638446>
    }
    triangle {
      < -1.774946, -3.231878, -0.649315>,
      < -1.774955, -3.216452, -0.609848>,
      < -1.770662, -3.229285, -0.609095>
    }
    triangle {
      < -1.774946, -3.231878, -0.649315>,
      < -1.770662, -3.229285, -0.609095>,
      < -1.770654, -3.241820, -0.641163>
    }
    triangle {
      < -1.796376, -3.231891, -0.649315>,
      < -1.796385, -3.216465, -0.609848>,
      < -1.774955, -3.216452, -0.609848>
    }
    triangle {
      < -1.796376, -3.231891, -0.649315>,
      < -1.774955, -3.216452, -0.609848>,
      < -1.774946, -3.231878, -0.649315>
    }
    triangle {
      < -1.800656, -3.241838, -0.641163>,
      < -1.800664, -3.229303, -0.609095>,
      < -1.796385, -3.216465, -0.609848>
    }
    triangle {
      < -1.800656, -3.241838, -0.641163>,
      < -1.796385, -3.216465, -0.609848>,
      < -1.796376, -3.231891, -0.649315>
    }
    triangle {
      < -1.869234, -3.241878, -0.641163>,
      < -1.869242, -3.229343, -0.609095>,
      < -1.800664, -3.229303, -0.609095>
    }
    triangle {
      < -1.869234, -3.241878, -0.641163>,
      < -1.800664, -3.229303, -0.609095>,
      < -1.800656, -3.241838, -0.641163>
    }
    triangle {
      < -1.864953, -3.231931, -0.649315>,
      < -1.864962, -3.216505, -0.609848>,
      < -1.869242, -3.229343, -0.609095>
    }
    triangle {
      < -1.864953, -3.231931, -0.649315>,
      < -1.869242, -3.229343, -0.609095>,
      < -1.869234, -3.241878, -0.641163>
    }
    triangle {
      < -1.890670, -3.231946, -0.649315>,
      < -1.890679, -3.216520, -0.609848>,
      < -1.864962, -3.216505, -0.609848>
    }
    triangle {
      < -1.890670, -3.231946, -0.649315>,
      < -1.864962, -3.216505, -0.609848>,
      < -1.864953, -3.231931, -0.649315>
    }
    triangle {
      < -1.894950, -3.241893, -0.641163>,
      < -1.894958, -3.229358, -0.609095>,
      < -1.890679, -3.216520, -0.609848>
    }
    triangle {
      < -1.894950, -3.241893, -0.641163>,
      < -1.890679, -3.216520, -0.609848>,
      < -1.890670, -3.231946, -0.649315>
    }
    triangle {
      < -2.842707, -3.242455, -0.641163>,
      < -2.842715, -3.229920, -0.609095>,
      < -1.894958, -3.229358, -0.609095>
    }
    triangle {
      < -2.842707, -3.242455, -0.641163>,
      < -1.894958, -3.229358, -0.609095>,
      < -1.894950, -3.241893, -0.641163>
    }
    triangle {
      < -2.851289, -3.225887, -0.654749>,
      < -2.851299, -3.208532, -0.610349>,
      < -2.842715, -3.229920, -0.609095>
    }
    triangle {
      < -2.851289, -3.225887, -0.654749>,
      < -2.842715, -3.229920, -0.609095>,
      < -2.842707, -3.242455, -0.641163>
    }
    triangle {
      < -2.898436, -3.225915, -0.654749>,
      < -2.898446, -3.208560, -0.610349>,
      < -2.851299, -3.208532, -0.610349>
    }
    triangle {
      < -2.898436, -3.225915, -0.654749>,
      < -2.851299, -3.208532, -0.610349>,
      < -2.851289, -3.225887, -0.654749>
    }
    triangle {
      < -2.902712, -3.242491, -0.641163>,
      < -2.902720, -3.229956, -0.609095>,
      < -2.898446, -3.208560, -0.610349>
    }
    triangle {
      < -2.902712, -3.242491, -0.641163>,
      < -2.898446, -3.208560, -0.610349>,
      < -2.898436, -3.225915, -0.654749>
    }
    triangle {
      < -3.361321, -3.242762, -0.641162>,
      < -3.361328, -3.230227, -0.609095>,
      < -2.902720, -3.229956, -0.609095>
    }
    triangle {
      < -3.361321, -3.242762, -0.641162>,
      < -2.902720, -3.229956, -0.609095>,
      < -2.902712, -3.242491, -0.641163>
    }
    triangle {
      < -3.374169, -3.259342, -0.627576>,
      < -3.374174, -3.251629, -0.607842>,
      < -3.361328, -3.230227, -0.609095>
    }
    triangle {
      < -3.374169, -3.259342, -0.627576>,
      < -3.361328, -3.230227, -0.609095>,
      < -3.361321, -3.242762, -0.641162>
    }
    triangle {
      < -3.365581, -3.285854, -0.605836>,
      < -3.374174, -3.251629, -0.607842>,
      < -3.374169, -3.259342, -0.627576>
    }
    triangle {
      < -0.829903, -3.827392, -1.071377>,
      < -0.829903, -3.827852, -1.055492>,
      < -0.757023, -3.856140, -1.062936>
    }
    triangle {
      < -0.932781, -3.806889, -1.077406>,
      < -0.932780, -3.807730, -1.048286>,
      < -0.829903, -3.827852, -1.055492>
    }
    triangle {
      < -0.932781, -3.806889, -1.077406>,
      < -0.829903, -3.827852, -1.055492>,
      < -0.829903, -3.827392, -1.071377>
    }
    triangle {
      < -1.117089, -3.794659, -1.081023>,
      < -1.117088, -3.795730, -1.043961>,
      < -0.932780, -3.807730, -1.048286>
    }
    triangle {
      < -1.117089, -3.794659, -1.081023>,
      < -0.932780, -3.807730, -1.048286>,
      < -0.932781, -3.806889, -1.077406>
    }
    triangle {
      < -1.374253, -3.794811, -1.081023>,
      < -1.374252, -3.795882, -1.043961>,
      < -1.117088, -3.795730, -1.043961>
    }
    triangle {
      < -1.374253, -3.794811, -1.081023>,
      < -1.117088, -3.795730, -1.043961>,
      < -1.117089, -3.794659, -1.081023>
    }
    triangle {
      < -3.778184, -3.796236, -1.081022>,
      < -3.778183, -3.797307, -1.043960>,
      < -1.374252, -3.795882, -1.043961>
    }
    triangle {
      < -3.778184, -3.796236, -1.081022>,
      < -1.374252, -3.795882, -1.043961>,
      < -1.374253, -3.794811, -1.081023>
    }
    triangle {
      < -3.791036, -3.808583, -1.077405>,
      < -3.791035, -3.809424, -1.048285>,
      < -3.778183, -3.797307, -1.043960>
    }
    triangle {
      < -3.791036, -3.808583, -1.077405>,
      < -3.778183, -3.797307, -1.043960>,
      < -3.778184, -3.796236, -1.081022>
    }
    triangle {
      < -3.752446, -3.833237, -1.070169>,
      < -3.752446, -3.833620, -1.056933>,
      < -3.791035, -3.809424, -1.048285>
    }
    triangle {
      < -3.752446, -3.833237, -1.070169>,
      < -3.791035, -3.809424, -1.048285>,
      < -3.791036, -3.808583, -1.077405>
    }
    triangle {
      < -3.752432, -3.857915, -1.062935>,
      < -3.752446, -3.833620, -1.056933>,
      < -3.752446, -3.833237, -1.070169>
    }
    triangle {
      < -1.258034, -3.250375, -0.607843>,
      < -1.258031, -3.255731, -0.587343>,
      < -1.249442, -3.284600, -0.605837>
    }
    triangle {
      < -1.275189, -3.233270, -0.608845>,
      < -1.275185, -3.241305, -0.578096>,
      < -1.258031, -3.255731, -0.587343>
    }
    triangle {
      < -1.275189, -3.233270, -0.608845>,
      < -1.258031, -3.255731, -0.587343>,
      < -1.258034, -3.250375, -0.607843>
    }
    triangle {
      < -1.770662, -3.229285, -0.609095>,
      < -1.770657, -3.237989, -0.575784>,
      < -1.275185, -3.241305, -0.578096>
    }
    triangle {
      < -1.770662, -3.229285, -0.609095>,
      < -1.275185, -3.241305, -0.578096>,
      < -1.275189, -3.233270, -0.608845>
    }
    triangle {
      < -1.774955, -3.216452, -0.609848>,
      < -1.774949, -3.227165, -0.568849>,
      < -1.770657, -3.237989, -0.575784>
    }
    triangle {
      < -1.774955, -3.216452, -0.609848>,
      < -1.770657, -3.237989, -0.575784>,
      < -1.770662, -3.229285, -0.609095>
    }
    triangle {
      < -1.796385, -3.216465, -0.609848>,
      < -1.796379, -3.227177, -0.568849>,
      < -1.774949, -3.227165, -0.568849>
    }
    triangle {
      < -1.796385, -3.216465, -0.609848>,
      < -1.774949, -3.227165, -0.568849>,
      < -1.774955, -3.216452, -0.609848>
    }
    triangle {
      < -1.800664, -3.229303, -0.609095>,
      < -1.800659, -3.238007, -0.575784>,
      < -1.796379, -3.227177, -0.568849>
    }
    triangle {
      < -1.800664, -3.229303, -0.609095>,
      < -1.796379, -3.227177, -0.568849>,
      < -1.796385, -3.216465, -0.609848>
    }
    triangle {
      < -1.869242, -3.229343, -0.609095>,
      < -1.869237, -3.238047, -0.575784>,
      < -1.800659, -3.238007, -0.575784>
    }
    triangle {
      < -1.869242, -3.229343, -0.609095>,
      < -1.800659, -3.238007, -0.575784>,
      < -1.800664, -3.229303, -0.609095>
    }
    triangle {
      < -1.864962, -3.216505, -0.609848>,
      < -1.864956, -3.227218, -0.568849>,
      < -1.869237, -3.238047, -0.575784>
    }
    triangle {
      < -1.864962, -3.216505, -0.609848>,
      < -1.869237, -3.238047, -0.575784>,
      < -1.869242, -3.229343, -0.609095>
    }
    triangle {
      < -1.890679, -3.216520, -0.609848>,
      < -1.890673, -3.227233, -0.568849>,
      < -1.864956, -3.227218, -0.568849>
    }
    triangle {
      < -1.890679, -3.216520, -0.609848>,
      < -1.864956, -3.227218, -0.568849>,
      < -1.864962, -3.216505, -0.609848>
    }
    triangle {
      < -1.894958, -3.229358, -0.609095>,
      < -1.894953, -3.238063, -0.575784>,
      < -1.890673, -3.227233, -0.568849>
    }
    triangle {
      < -1.894958, -3.229358, -0.609095>,
      < -1.890673, -3.227233, -0.568849>,
      < -1.890679, -3.216520, -0.609848>
    }
    triangle {
      < -2.842715, -3.229920, -0.609095>,
      < -2.842710, -3.238624, -0.575784>,
      < -1.894953, -3.238063, -0.575784>
    }
    triangle {
      < -2.842715, -3.229920, -0.609095>,
      < -1.894953, -3.238063, -0.575784>,
      < -1.894958, -3.229358, -0.609095>
    }
    triangle {
      < -2.851299, -3.208532, -0.610349>,
      < -2.851292, -3.220583, -0.564225>,
      < -2.842710, -3.238624, -0.575784>
    }
    triangle {
      < -2.851299, -3.208532, -0.610349>,
      < -2.842710, -3.238624, -0.575784>,
      < -2.842715, -3.229920, -0.609095>
    }
    triangle {
      < -2.898446, -3.208560, -0.610349>,
      < -2.898439, -3.220611, -0.564224>,
      < -2.851292, -3.220583, -0.564225>
    }
    triangle {
      < -2.898446, -3.208560, -0.610349>,
      < -2.851292, -3.220583, -0.564225>,
      < -2.851299, -3.208532, -0.610349>
    }
    triangle {
      < -2.902720, -3.229956, -0.609095>,
      < -2.902714, -3.238660, -0.575784>,
      < -2.898439, -3.220611, -0.564224>
    }
    triangle {
      < -2.902720, -3.229956, -0.609095>,
      < -2.898439, -3.220611, -0.564224>,
      < -2.898446, -3.208560, -0.610349>
    }
    triangle {
      < -3.361328, -3.230227, -0.609095>,
      < -3.361323, -3.238932, -0.575784>,
      < -2.902714, -3.238660, -0.575784>
    }
    triangle {
      < -3.361328, -3.230227, -0.609095>,
      < -2.902714, -3.238660, -0.575784>,
      < -2.902720, -3.229956, -0.609095>
    }
    triangle {
      < -3.374174, -3.251629, -0.607842>,
      < -3.374171, -3.256985, -0.587342>,
      < -3.361323, -3.238932, -0.575784>
    }
    triangle {
      < -3.374174, -3.251629, -0.607842>,
      < -3.361323, -3.238932, -0.575784>,
      < -3.361328, -3.230227, -0.609095>
    }
    triangle {
      < -3.365581, -3.285854, -0.605836>,
      < -3.374171, -3.256985, -0.587342>,
      < -3.374174, -3.251629, -0.607842>
    }
    triangle {
      < -0.829903, -3.827852, -1.055492>,
      < -0.829897, -3.837558, -1.042911>,
      < -0.757023, -3.856140, -1.062936>
    }
    triangle {
      < -0.932780, -3.807730, -1.048286>,
      < -0.932769, -3.825526, -1.025219>,
      < -0.829897, -3.837558, -1.042911>
    }
    triangle {
      < -0.932780, -3.807730, -1.048286>,
      < -0.829897, -3.837558, -1.042911>,
      < -0.829903, -3.827852, -1.055492>
    }
    triangle {
      < -1.117088, -3.795730, -1.043961>,
      < -1.117075, -3.818379, -1.014603>,
      < -0.932769, -3.825526, -1.025219>
    }
    triangle {
      < -1.117088, -3.795730, -1.043961>,
      < -0.932769, -3.825526, -1.025219>,
      < -0.932780, -3.807730, -1.048286>
    }
    triangle {
      < -1.374252, -3.795882, -1.043961>,
      < -1.374239, -3.818531, -1.014603>,
      < -1.117075, -3.818379, -1.014603>
    }
    triangle {
      < -1.374252, -3.795882, -1.043961>,
      < -1.117075, -3.818379, -1.014603>,
      < -1.117088, -3.795730, -1.043961>
    }
    triangle {
      < -3.778183, -3.797307, -1.043960>,
      < -3.778170, -3.819956, -1.014602>,
      < -1.374239, -3.818531, -1.014603>
    }
    triangle {
      < -3.778183, -3.797307, -1.043960>,
      < -1.374239, -3.818531, -1.014603>,
      < -1.374252, -3.795882, -1.043961>
    }
    triangle {
      < -3.791035, -3.809424, -1.048285>,
      < -3.791025, -3.827219, -1.025218>,
      < -3.778170, -3.819956, -1.014602>
    }
    triangle {
      < -3.791035, -3.809424, -1.048285>,
      < -3.778170, -3.819956, -1.014602>,
      < -3.778183, -3.797307, -1.043960>
    }
    triangle {
      < -3.752446, -3.833620, -1.056933>,
      < -3.752441, -3.841708, -1.046448>,
      < -3.791025, -3.827219, -1.025218>
    }
    triangle {
      < -3.752446, -3.833620, -1.056933>,
      < -3.791025, -3.827219, -1.025218>,
      < -3.791035, -3.809424, -1.048285>
    }
    triangle {
      < -3.752432, -3.857915, -1.062935>,
      < -3.752441, -3.841708, -1.046448>,
      < -3.752446, -3.833620, -1.056933>
    }
    triangle {
      < -1.258031, -3.255731, -0.587343>,
      < -1.258021, -3.272112, -0.573905>,
      < -1.249442, -3.284600, -0.605837>
    }
    triangle {
      < -1.275185, -3.241305, -0.578096>,
      < -1.275170, -3.265876, -0.557940>,
      < -1.258021, -3.272112, -0.573905>
    }
    triangle {
      < -1.275185, -3.241305, -0.578096>,
      < -1.258021, -3.272112, -0.573905>,
      < -1.258031, -3.255731, -0.587343>
    }
    triangle {
      < -1.770657, -3.237989, -0.575784>,
      < -1.770641, -3.264608, -0.553947>,
      < -1.275170, -3.265876, -0.557940>
    }
    triangle {
      < -1.770657, -3.237989, -0.575784>,
      < -1.275170, -3.265876, -0.557940>,
      < -1.275185, -3.241305, -0.578096>
    }
    triangle {
      < -1.774949, -3.227165, -0.568849>,
      < -1.774930, -3.259925, -0.541973>,
      < -1.770641, -3.264608, -0.553947>
    }
    triangle {
      < -1.774949, -3.227165, -0.568849>,
      < -1.770641, -3.264608, -0.553947>,
      < -1.770657, -3.237989, -0.575784>
    }
    triangle {
      < -1.796379, -3.227177, -0.568849>,
      < -1.796360, -3.259938, -0.541973>,
      < -1.774930, -3.259925, -0.541973>
    }
    triangle {
      < -1.796379, -3.227177, -0.568849>,
      < -1.774930, -3.259925, -0.541973>,
      < -1.774949, -3.227165, -0.568849>
    }
    triangle {
      < -1.800659, -3.238007, -0.575784>,
      < -1.800643, -3.264626, -0.553947>,
      < -1.796360, -3.259938, -0.541973>
    }
    triangle {
      < -1.800659, -3.238007, -0.575784>,
      < -1.796360, -3.259938, -0.541973>,
      < -1.796379, -3.227177, -0.568849>
    }
    triangle {
      < -1.869237, -3.238047, -0.575784>,
      < -1.869221, -3.264666, -0.553947>,
      < -1.800643, -3.264626, -0.553947>
    }
    triangle {
      < -1.869237, -3.238047, -0.575784>,
      < -1.800643, -3.264626, -0.553947>,
      < -1.800659, -3.238007, -0.575784>
    }
    triangle {
      < -1.864956, -3.227218, -0.568849>,
      < -1.864937, -3.259979, -0.541973>,
      < -1.869221, -3.264666, -0.553947>
    }
    triangle {
      < -1.864956, -3.227218, -0.568849>,
      < -1.869221, -3.264666, -0.553947>,
      < -1.869237, -3.238047, -0.575784>
    }
    triangle {
      < -1.890673, -3.227233, -0.568849>,
      < -1.890654, -3.259994, -0.541973>,
      < -1.864937, -3.259979, -0.541973>
    }
    triangle {
      < -1.890673, -3.227233, -0.568849>,
      < -1.864937, -3.259979, -0.541973>,
      < -1.864956, -3.227218, -0.568849>
    }
    triangle {
      < -1.894953, -3.238063, -0.575784>,
      < -1.894937, -3.264682, -0.553947>,
      < -1.890654, -3.259994, -0.541973>
    }
    triangle {
      < -1.894953, -3.238063, -0.575784>,
      < -1.890654, -3.259994, -0.541973>,
      < -1.890673, -3.227233, -0.568849>
    }
    triangle {
      < -2.842710, -3.238624, -0.575784>,
      < -2.842694, -3.265243, -0.553947>,
      < -1.894937, -3.264682, -0.553947>
    }
    triangle {
      < -2.842710, -3.238624, -0.575784>,
      < -1.894937, -3.264682, -0.553947>,
      < -1.894953, -3.238063, -0.575784>
    }
    triangle {
      < -2.851292, -3.220583, -0.564225>,
      < -2.851270, -3.257441, -0.533990>,
      < -2.842694, -3.265243, -0.553947>
    }
    triangle {
      < -2.851292, -3.220583, -0.564225>,
      < -2.842694, -3.265243, -0.553947>,
      < -2.842710, -3.238624, -0.575784>
    }
    triangle {
      < -2.898439, -3.220611, -0.564224>,
      < -2.898417, -3.257468, -0.533990>,
      < -2.851270, -3.257441, -0.533990>
    }
    triangle {
      < -2.898439, -3.220611, -0.564224>,
      < -2.851270, -3.257441, -0.533990>,
      < -2.851292, -3.220583, -0.564225>
    }
    triangle {
      < -2.902714, -3.238660, -0.575784>,
      < -2.902699, -3.265279, -0.553947>,
      < -2.898417, -3.257468, -0.533990>
    }
    triangle {
      < -2.902714, -3.238660, -0.575784>,
      < -2.898417, -3.257468, -0.533990>,
      < -2.898439, -3.220611, -0.564224>
    }
    triangle {
      < -3.361323, -3.238932, -0.575784>,
      < -3.361307, -3.265551, -0.553947>,
      < -2.902699, -3.265279, -0.553947>
    }
    triangle {
      < -3.361323, -3.238932, -0.575784>,
      < -2.902699, -3.265279, -0.553947>,
      < -2.902714, -3.238660, -0.575784>
    }
    triangle {
      < -3.374171, -3.256985, -0.587342>,
      < -3.374161, -3.273366, -0.573904>,
      < -3.361307, -3.265551, -0.553947>
    }
    triangle {
      < -3.374171, -3.256985, -0.587342>,
      < -3.361307, -3.265551, -0.553947>,
      < -3.361323, -3.238932, -0.575784>
    }
    triangle {
      < -3.365581, -3.285854, -0.605836>,
      < -3.374161, -3.273366, -0.573904>,
      < -3.374171, -3.256985, -0.587342>
    }
    triangle {
      < -0.829897, -3.837558, -1.042911>,
      < -0.829888, -3.852804, -1.038436>,
      < -0.757027, -3.849406, -1.067533>
    }
    triangle {
      < -0.829897, -3.837558, -1.042911>,
      < -0.757027, -3.849406, -1.067533>,
      < -0.757023, -3.856140, -1.062936>
    }
    triangle {
      < -0.932769, -3.825526, -1.025219>,
      < -0.932753, -3.853479, -1.017013>,
      < -0.829888, -3.852804, -1.038436>
    }
    triangle {
      < -0.932769, -3.825526, -1.025219>,
      < -0.829888, -3.852804, -1.038436>,
      < -0.829897, -3.837558, -1.042911>
    }
    triangle {
      < -1.117075, -3.818379, -1.014603>,
      < -1.117054, -3.853956, -1.004161>,
      < -0.932753, -3.853479, -1.017013>
    }
    triangle {
      < -1.117075, -3.818379, -1.014603>,
      < -0.932753, -3.853479, -1.017013>,
      < -0.932769, -3.825526, -1.025219>
    }
    triangle {
      < -1.374239, -3.818531, -1.014603>,
      < -1.374218, -3.854109, -1.004161>,
      < -1.117054, -3.853956, -1.004161>
    }
    triangle {
      < -1.374239, -3.818531, -1.014603>,
      < -1.117054, -3.853956, -1.004161>,
      < -1.117075, -3.818379, -1.014603>
    }
    triangle {
      < -3.778170, -3.819956, -1.014602>,
      < -3.778149, -3.855534, -1.004160>,
      < -1.374218, -3.854109, -1.004161>
    }
    triangle {
      < -3.778170, -3.819956, -1.014602>,
      < -1.374218, -3.854109, -1.004161>,
      < -1.374239, -3.818531, -1.014603>
    }
    triangle {
      < -3.791025, -3.827219, -1.025218>,
      < -3.791008, -3.855173, -1.017012>,
      < -3.778149, -3.855534, -1.004160>
    }
    triangle {
      < -3.791025, -3.827219, -1.025218>,
      < -3.778149, -3.855534, -1.004160>,
      < -3.778170, -3.819956, -1.014602>
    }
    triangle {
      < -3.752441, -3.841708, -1.046448>,
      < -3.752434, -3.854415, -1.042719>,
      < -3.791008, -3.855173, -1.017012>
    }
    triangle {
      < -3.752441, -3.841708, -1.046448>,
      < -3.791008, -3.855173, -1.017012>,
      < -3.791025, -3.827219, -1.025218>
    }
    triangle {
      < -3.752432, -3.857915, -1.062935>,
      < -3.752436, -3.851181, -1.067532>,
      < -3.752434, -3.854415, -1.042719>
    }
    triangle {
      < -3.752432, -3.857915, -1.062935>,
      < -3.752434, -3.854415, -1.042719>,
      < -3.752441, -3.841708, -1.046448>
    }
    triangle {
      < -1.258021, -3.272112, -0.573905>,
      < -1.258009, -3.293262, -0.572659>,
      < -1.249442, -3.284600, -0.605837>
    }
    triangle {
      < -1.275170, -3.265876, -0.557940>,
      < -1.275151, -3.297602, -0.556071>,
      < -1.258009, -3.293262, -0.572659>
    }
    triangle {
      < -1.275170, -3.265876, -0.557940>,
      < -1.258009, -3.293262, -0.572659>,
      < -1.258021, -3.272112, -0.573905>
    }
    triangle {
      < -1.770641, -3.264608, -0.553947>,
      < -1.770620, -3.298979, -0.551924>,
      < -1.275151, -3.297602, -0.556071>
    }
    triangle {
      < -1.770641, -3.264608, -0.553947>,
      < -1.275151, -3.297602, -0.556071>,
      < -1.275170, -3.265876, -0.557940>
    }
    triangle {
      < -1.774930, -3.259925, -0.541973>,
      < -1.774904, -3.302228, -0.539482>,
      < -1.770620, -3.298979, -0.551924>
    }
    triangle {
      < -1.774930, -3.259925, -0.541973>,
      < -1.770620, -3.298979, -0.551924>,
      < -1.770641, -3.264608, -0.553947>
    }
    triangle {
      < -1.796360, -3.259938, -0.541973>,
      < -1.796335, -3.302241, -0.539482>,
      < -1.774904, -3.302228, -0.539482>
    }
    triangle {
      < -1.796360, -3.259938, -0.541973>,
      < -1.774904, -3.302228, -0.539482>,
      < -1.774930, -3.259925, -0.541973>
    }
    triangle {
      < -1.800643, -3.264626, -0.553947>,
      < -1.800622, -3.298997, -0.551924>,
      < -1.796335, -3.302241, -0.539482>
    }
    triangle {
      < -1.800643, -3.264626, -0.553947>,
      < -1.796335, -3.302241, -0.539482>,
      < -1.796360, -3.259938, -0.541973>
    }
    triangle {
      < -1.869221, -3.264666, -0.553947>,
      < -1.869200, -3.299037, -0.551924>,
      < -1.800622, -3.298997, -0.551924>
    }
    triangle {
      < -1.869221, -3.264666, -0.553947>,
      < -1.800622, -3.298997, -0.551924>,
      < -1.800643, -3.264626, -0.553947>
    }
    triangle {
      < -1.864937, -3.259979, -0.541973>,
      < -1.864912, -3.302281, -0.539482>,
      < -1.869200, -3.299037, -0.551924>
    }
    triangle {
      < -1.864937, -3.259979, -0.541973>,
      < -1.869200, -3.299037, -0.551924>,
      < -1.869221, -3.264666, -0.553947>
    }
    triangle {
      < -1.890654, -3.259994, -0.541973>,
      < -1.890629, -3.302296, -0.539482>,
      < -1.864912, -3.302281, -0.539482>
    }
    triangle {
      < -1.890654, -3.259994, -0.541973>,
      < -1.864912, -3.302281, -0.539482>,
      < -1.864937, -3.259979, -0.541973>
    }
    triangle {
      < -1.894937, -3.264682, -0.553947>,
      < -1.894916, -3.299052, -0.551924>,
      < -1.890629, -3.302296, -0.539482>
    }
    triangle {
      < -1.894937, -3.264682, -0.553947>,
      < -1.890629, -3.302296, -0.539482>,
      < -1.890654, -3.259994, -0.541973>
    }
    triangle {
      < -2.842694, -3.265243, -0.553947>,
      < -2.842673, -3.299614, -0.551924>,
      < -1.894916, -3.299052, -0.551924>
    }
    triangle {
      < -2.842694, -3.265243, -0.553947>,
      < -1.894916, -3.299052, -0.551924>,
      < -1.894937, -3.264682, -0.553947>
    }
    triangle {
      < -2.851270, -3.257441, -0.533990>,
      < -2.851242, -3.305031, -0.531187>,
      < -2.842673, -3.299614, -0.551924>
    }
    triangle {
      < -2.851270, -3.257441, -0.533990>,
      < -2.842673, -3.299614, -0.551924>,
      < -2.842694, -3.265243, -0.553947>
    }
    triangle {
      < -2.898417, -3.257468, -0.533990>,
      < -2.898389, -3.305059, -0.531187>,
      < -2.851242, -3.305031, -0.531187>
    }
    triangle {
      < -2.898417, -3.257468, -0.533990>,
      < -2.851242, -3.305031, -0.531187>,
      < -2.851270, -3.257441, -0.533990>
    }
    triangle {
      < -2.902699, -3.265279, -0.553947>,
      < -2.902678, -3.299650, -0.551924>,
      < -2.898389, -3.305059, -0.531187>
    }
    triangle {
      < -2.902699, -3.265279, -0.553947>,
      < -2.898389, -3.305059, -0.531187>,
      < -2.898417, -3.257468, -0.533990>
    }
    triangle {
      < -3.361307, -3.265551, -0.553947>,
      < -3.361287, -3.299922, -0.551924>,
      < -2.902678, -3.299650, -0.551924>
    }
    triangle {
      < -3.361307, -3.265551, -0.553947>,
      < -2.902678, -3.299650, -0.551924>,
      < -2.902699, -3.265279, -0.553947>
    }
    triangle {
      < -3.374161, -3.273366, -0.573904>,
      < -3.374148, -3.294516, -0.572659>,
      < -3.361287, -3.299922, -0.551924>
    }
    triangle {
      < -3.374161, -3.273366, -0.573904>,
      < -3.361287, -3.299922, -0.551924>,
      < -3.361307, -3.265551, -0.553947>
    }
    triangle {
      < -3.365581, -3.285854, -0.605836>,
      < -3.374148, -3.294516, -0.572659>,
      < -3.374161, -3.273366, -0.573904>
    }
    triangle {
      < -0.829888, -3.852804, -1.038436>,
      < -0.829879, -3.867795, -1.043794>,
      < -0.757027, -3.849406, -1.067533>
    }
    triangle {
      < -0.932753, -3.853479, -1.017013>,
      < -0.932737, -3.880961, -1.026837>,
      < -0.829879, -3.867795, -1.043794>
    }
    triangle {
      < -0.932753, -3.853479, -1.017013>,
      < -0.829879, -3.867795, -1.043794>,
      < -0.829888, -3.852804, -1.038436>
    }
    triangle {
      < -1.117054, -3.853956, -1.004161>,
      < -1.117033, -3.888935, -1.016663>,
      < -0.932737, -3.880961, -1.026837>
    }
    triangle {
      < -1.117054, -3.853956, -1.004161>,
      < -0.932737, -3.880961, -1.026837>,
      < -0.932753, -3.853479, -1.017013>
    }
    triangle {
      < -1.374218, -3.854109, -1.004161>,
      < -1.374197, -3.889087, -1.016663>,
      < -1.117033, -3.888935, -1.016663>
    }
    triangle {
      < -1.374218, -3.854109, -1.004161>,
      < -1.117033, -3.888935, -1.016663>,
      < -1.117054, -3.853956, -1.004161>
    }
    triangle {
      < -3.778149, -3.855534, -1.004160>,
      < -3.778128, -3.890512, -1.016662>,
      < -1.374197, -3.889087, -1.016663>
    }
    triangle {
      < -3.778149, -3.855534, -1.004160>,
      < -1.374197, -3.889087, -1.016663>,
      < -1.374218, -3.854109, -1.004161>
    }
    triangle {
      < -3.791008, -3.855173, -1.017012>,
      < -3.790992, -3.882655, -1.026836>,
      < -3.778128, -3.890512, -1.016662>
    }
    triangle {
      < -3.791008, -3.855173, -1.017012>,
      < -3.778128, -3.890512, -1.016662>,
      < -3.778149, -3.855534, -1.004160>
    }
    triangle {
      < -3.752434, -3.854415, -1.042719>,
      < -3.752426, -3.866907, -1.047184>,
      < -3.790992, -3.882655, -1.026836>
    }
    triangle {
      < -3.752434, -3.854415, -1.042719>,
      < -3.790992, -3.882655, -1.026836>,
      < -3.791008, -3.855173, -1.017012>
    }
    triangle {
      < -3.752436, -3.851181, -1.067532>,
      < -3.752426, -3.866907, -1.047184>,
      < -3.752434, -3.854415, -1.042719>
    }
    triangle {
      < -1.258009, -3.293262, -0.572659>,
      < -1.257998, -3.311134, -0.584114>,
      < -1.249442, -3.284600, -0.605837>
    }
    triangle {
      < -1.275151, -3.297602, -0.556071>,
      < -1.275135, -3.324409, -0.573252>,
      < -1.257998, -3.311134, -0.584114>
    }
    triangle {
      < -1.275151, -3.297602, -0.556071>,
      < -1.257998, -3.311134, -0.584114>,
      < -1.258009, -3.293262, -0.572659>
    }
    triangle {
      < -1.770620, -3.298979, -0.551924>,
      < -1.770603, -3.328019, -0.570536>,
      < -1.275135, -3.324409, -0.573252>
    }
    triangle {
      < -1.770620, -3.298979, -0.551924>,
      < -1.275135, -3.324409, -0.573252>,
      < -1.275151, -3.297602, -0.556071>
    }
    triangle {
      < -1.774904, -3.302228, -0.539482>,
      < -1.774883, -3.337969, -0.562390>,
      < -1.770603, -3.328019, -0.570536>
    }
    triangle {
      < -1.774904, -3.302228, -0.539482>,
      < -1.770603, -3.328019, -0.570536>,
      < -1.770620, -3.298979, -0.551924>
    }
    triangle {
      < -1.796335, -3.302241, -0.539482>,
      < -1.796313, -3.337982, -0.562390>,
      < -1.774883, -3.337969, -0.562390>
    }
    triangle {
      < -1.796335, -3.302241, -0.539482>,
      < -1.774883, -3.337969, -0.562390>,
      < -1.774904, -3.302228, -0.539482>
    }
    triangle {
      < -1.800622, -3.298997, -0.551924>,
      < -1.800605, -3.328037, -0.570536>,
      < -1.796313, -3.337982, -0.562390>
    }
    triangle {
      < -1.800622, -3.298997, -0.551924>,
      < -1.796313, -3.337982, -0.562390>,
      < -1.796335, -3.302241, -0.539482>
    }
    triangle {
      < -1.869200, -3.299037, -0.551924>,
      < -1.869183, -3.328077, -0.570536>,
      < -1.800605, -3.328037, -0.570536>
    }
    triangle {
      < -1.869200, -3.299037, -0.551924>,
      < -1.800605, -3.328037, -0.570536>,
      < -1.800622, -3.298997, -0.551924>
    }
    triangle {
      < -1.864912, -3.302281, -0.539482>,
      < -1.864890, -3.338022, -0.562390>,
      < -1.869183, -3.328077, -0.570536>
    }
    triangle {
      < -1.864912, -3.302281, -0.539482>,
      < -1.869183, -3.328077, -0.570536>,
      < -1.869200, -3.299037, -0.551924>
    }
    triangle {
      < -1.890629, -3.302296, -0.539482>,
      < -1.890607, -3.338037, -0.562390>,
      < -1.864890, -3.338022, -0.562390>
    }
    triangle {
      < -1.890629, -3.302296, -0.539482>,
      < -1.864890, -3.338022, -0.562390>,
      < -1.864912, -3.302281, -0.539482>
    }
    triangle {
      < -1.894916, -3.299052, -0.551924>,
      < -1.894899, -3.328093, -0.570536>,
      < -1.890607, -3.338037, -0.562390>
    }
    triangle {
      < -1.894916, -3.299052, -0.551924>,
      < -1.890607, -3.338037, -0.562390>,
      < -1.890629, -3.302296, -0.539482>
    }
    triangle {
      < -2.842673, -3.299614, -0.551924>,
      < -2.842656, -3.328654, -0.570535>,
      < -1.894899, -3.328093, -0.570536>
    }
    triangle {
      < -2.842673, -3.299614, -0.551924>,
      < -1.894899, -3.328093, -0.570536>,
      < -1.894916, -3.299052, -0.551924>
    }
    triangle {
      < -2.851242, -3.305031, -0.531187>,
      < -2.851218, -3.345239, -0.556960>,
      < -2.842656, -3.328654, -0.570535>
    }
    triangle {
      < -2.851242, -3.305031, -0.531187>,
      < -2.842656, -3.328654, -0.570535>,
      < -2.842673, -3.299614, -0.551924>
    }
    triangle {
      < -2.898389, -3.305059, -0.531187>,
      < -2.898365, -3.345267, -0.556960>,
      < -2.851218, -3.345239, -0.556960>
    }
    triangle {
      < -2.898389, -3.305059, -0.531187>,
      < -2.851218, -3.345239, -0.556960>,
      < -2.851242, -3.305031, -0.531187>
    }
    triangle {
      < -2.902678, -3.299650, -0.551924>,
      < -2.902661, -3.328690, -0.570535>,
      < -2.898365, -3.345267, -0.556960>
    }
    triangle {
      < -2.902678, -3.299650, -0.551924>,
      < -2.898365, -3.345267, -0.556960>,
      < -2.898389, -3.305059, -0.531187>
    }
    triangle {
      < -3.361287, -3.299922, -0.551924>,
      < -3.361270, -3.328962, -0.570535>,
      < -2.902661, -3.328690, -0.570535>
    }
    triangle {
      < -3.361287, -3.299922, -0.551924>,
      < -2.902661, -3.328690, -0.570535>,
      < -2.902678, -3.299650, -0.551924>
    }
    triangle {
      < -3.374148, -3.294516, -0.572659>,
      < -3.374138, -3.312388, -0.584113>,
      < -3.361270, -3.328962, -0.570535>
    }
    triangle {
      < -3.374148, -3.294516, -0.572659>,
      < -3.361270, -3.328962, -0.570535>,
      < -3.361287, -3.299922, -0.551924>
    }
    triangle {
      < -3.365581, -3.285854, -0.605836>,
      < -3.374138, -3.312388, -0.584113>,
      < -3.374148, -3.294516, -0.572659>
    }
    triangle {
      < -3.303029, -3.452513, -0.837785>,
      < -3.303126, -3.289371, -0.638671>,
      < -2.952952, -3.289164, -0.638671>
    }
    triangle {
      < -3.303029, -3.452513, -0.837785>,
      < -2.952952, -3.289164, -0.638671>,
      < -3.147906, -3.453499, -0.839099>
    }
    triangle {
      < -3.147890, -3.481439, -0.816207>,
      < -2.952935, -3.317104, -0.615778>,
      < -3.303109, -3.317312, -0.615778>
    }
    triangle {
      < -3.147890, -3.481439, -0.816207>,
      < -3.303109, -3.317312, -0.615778>,
      < -3.303012, -3.480453, -0.814892>
    }
    triangle {
      < -3.303012, -3.480453, -0.814892>,
      < -3.303109, -3.317312, -0.615778>,
      < -3.303126, -3.289371, -0.638671>
    }
    triangle {
      < -3.303012, -3.480453, -0.814892>,
      < -3.303126, -3.289371, -0.638671>,
      < -3.303029, -3.452513, -0.837785>
    }
    triangle {
      < -3.303012, -3.480453, -0.814892>,
      < -3.303029, -3.452513, -0.837785>,
      < -3.147906, -3.453499, -0.839099>
    }
    triangle {
      < -3.303012, -3.480453, -0.814892>,
      < -3.147906, -3.453499, -0.839099>,
      < -3.147890, -3.481439, -0.816207>
    }
    triangle {
      < -3.147906, -3.453499, -0.839099>,
      < -2.952952, -3.289164, -0.638671>,
      < -2.952935, -3.317104, -0.615778>
    }
    triangle {
      < -3.147906, -3.453499, -0.839099>,
      < -2.952935, -3.317104, -0.615778>,
      < -3.147890, -3.481439, -0.816207>
    }
    triangle {
      < -3.303126, -3.289371, -0.638671>,
      < -3.303109, -3.317312, -0.615778>,
      < -2.952935, -3.317104, -0.615778>
    }
    triangle {
      < -3.303126, -3.289371, -0.638671>,
      < -2.952935, -3.317104, -0.615778>,
      < -2.952952, -3.289164, -0.638671>
    }
    triangle {
      < -3.749635, -4.172039, -1.343803>,
      < -3.749815, -3.869883, -1.110411>,
      < -3.390553, -3.869670, -1.110411>
    }
    triangle {
      < -3.749635, -4.172039, -1.343803>,
      < -3.390553, -3.869670, -1.110411>,
      < -3.390534, -3.901601, -1.135076>
    }
    triangle {
      < -3.390514, -3.934352, -1.092677>,
      < -3.390533, -3.902419, -1.068010>,
      < -3.749795, -3.902632, -1.068010>
    }
    triangle {
      < -3.390514, -3.934352, -1.092677>,
      < -3.749795, -3.902632, -1.068010>,
      < -3.749616, -4.204790, -1.301402>
    }
    triangle {
      < -3.749616, -4.204790, -1.301402>,
      < -3.749795, -3.902632, -1.068010>,
      < -3.749815, -3.869883, -1.110411>
    }
    triangle {
      < -3.749616, -4.204790, -1.301402>,
      < -3.749815, -3.869883, -1.110411>,
      < -3.749635, -4.172039, -1.343803>
    }
    triangle {
      < -3.749616, -4.204790, -1.301402>,
      < -3.749635, -4.172039, -1.343803>,
      < -3.390534, -3.901601, -1.135076>
    }
    triangle {
      < -3.749616, -4.204790, -1.301402>,
      < -3.390534, -3.901601, -1.135076>,
      < -3.390514, -3.934352, -1.092677>
    }
    triangle {
      < -3.390534, -3.901601, -1.135076>,
      < -3.390553, -3.869670, -1.110411>,
      < -3.390533, -3.902419, -1.068010>
    }
    triangle {
      < -3.390534, -3.901601, -1.135076>,
      < -3.390533, -3.902419, -1.068010>,
      < -3.390514, -3.934352, -1.092677>
    }
    triangle {
      < -3.749815, -3.869883, -1.110411>,
      < -3.749795, -3.902632, -1.068010>,
      < -3.390533, -3.902419, -1.068010>
    }
    triangle {
      < -3.749815, -3.869883, -1.110411>,
      < -3.390533, -3.902419, -1.068010>,
      < -3.390553, -3.869670, -1.110411>
    }
    triangle {
      < -2.243021, -4.171146, -1.343803>,
      < -2.243200, -3.868990, -1.110411>,
      < -1.883937, -3.868777, -1.110412>
    }
    triangle {
      < -2.243021, -4.171146, -1.343803>,
      < -1.883937, -3.868777, -1.110412>,
      < -1.883918, -3.900708, -1.135077>
    }
    triangle {
      < -1.883899, -3.933459, -1.092677>,
      < -1.883918, -3.901526, -1.068011>,
      < -2.243181, -3.901739, -1.068011>
    }
    triangle {
      < -1.883899, -3.933459, -1.092677>,
      < -2.243181, -3.901739, -1.068011>,
      < -2.243001, -4.203897, -1.301403>
    }
    triangle {
      < -2.243001, -4.203897, -1.301403>,
      < -2.243181, -3.901739, -1.068011>,
      < -2.243200, -3.868990, -1.110411>
    }
    triangle {
      < -2.243001, -4.203897, -1.301403>,
      < -2.243200, -3.868990, -1.110411>,
      < -2.243021, -4.171146, -1.343803>
    }
    triangle {
      < -2.243001, -4.203897, -1.301403>,
      < -2.243021, -4.171146, -1.343803>,
      < -1.883918, -3.900708, -1.135077>
    }
    triangle {
      < -2.243001, -4.203897, -1.301403>,
      < -1.883918, -3.900708, -1.135077>,
      < -1.883899, -3.933459, -1.092677>
    }
    triangle {
      < -1.883918, -3.900708, -1.135077>,
      < -1.883937, -3.868777, -1.110412>,
      < -1.883918, -3.901526, -1.068011>
    }
    triangle {
      < -1.883918, -3.900708, -1.135077>,
      < -1.883918, -3.901526, -1.068011>,
      < -1.883899, -3.933459, -1.092677>
    }
    triangle {
      < -2.243200, -3.868990, -1.110411>,
      < -2.243181, -3.901739, -1.068011>,
      < -1.883918, -3.901526, -1.068011>
    }
    triangle {
      < -2.243200, -3.868990, -1.110411>,
      < -1.883918, -3.901526, -1.068011>,
      < -1.883937, -3.868777, -1.110412>
    }
    triangle {
      < -1.669246, -3.451545, -0.837786>,
      < -1.669343, -3.288403, -0.638671>,
      < -1.427124, -3.288260, -0.638671>
    }
    triangle {
      < -1.669246, -3.451545, -0.837786>,
      < -1.427124, -3.288260, -0.638671>,
      < -1.622079, -3.452595, -0.839100>
    }
    triangle {
      < -1.622062, -3.480535, -0.816208>,
      < -1.427107, -3.316200, -0.615779>,
      < -1.669326, -3.316343, -0.615779>
    }
    triangle {
      < -1.622062, -3.480535, -0.816208>,
      < -1.669326, -3.316343, -0.615779>,
      < -1.669230, -3.479485, -0.814892>
    }
    triangle {
      < -1.669230, -3.479485, -0.814892>,
      < -1.669326, -3.316343, -0.615779>,
      < -1.669343, -3.288403, -0.638671>
    }
    triangle {
      < -1.669230, -3.479485, -0.814892>,
      < -1.669343, -3.288403, -0.638671>,
      < -1.669246, -3.451545, -0.837786>
    }
    triangle {
      < -1.669230, -3.479485, -0.814892>,
      < -1.669246, -3.451545, -0.837786>,
      < -1.622079, -3.452595, -0.839100>
    }
    triangle {
      < -1.669230, -3.479485, -0.814892>,
      < -1.622079, -3.452595, -0.839100>,
      < -1.622062, -3.480535, -0.816208>
    }
    triangle {
      < -1.622079, -3.452595, -0.839100>,
      < -1.427124, -3.288260, -0.638671>,
      < -1.427107, -3.316200, -0.615779>
    }
    triangle {
      < -1.622079, -3.452595, -0.839100>,
      < -1.427107, -3.316200, -0.615779>,
      < -1.622062, -3.480535, -0.816208>
    }
    triangle {
      < -1.669343, -3.288403, -0.638671>,
      < -1.669326, -3.316343, -0.615779>,
      < -1.427107, -3.316200, -0.615779>
    }
    triangle {
      < -1.669343, -3.288403, -0.638671>,
      < -1.427107, -3.316200, -0.615779>,
      < -1.427124, -3.288260, -0.638671>
    }
    triangle {
      < -3.303265, -3.053918, -0.772602>,
      < -3.303147, -3.252983, -0.609400>,
      < -2.952973, -3.252776, -0.609400>
    }
    triangle {
      < -3.303265, -3.053918, -0.772602>,
      < -2.952973, -3.252776, -0.609400>,
      < -3.148144, -3.052511, -0.773679>
    }
    triangle {
      < -3.148130, -3.075412, -0.801614>,
      < -2.952960, -3.275676, -0.637334>,
      < -3.303133, -3.275883, -0.637334>
    }
    triangle {
      < -3.148130, -3.075412, -0.801614>,
      < -3.303133, -3.275883, -0.637334>,
      < -3.303252, -3.076818, -0.800536>
    }
    triangle {
      < -3.303252, -3.076818, -0.800536>,
      < -3.303133, -3.275883, -0.637334>,
      < -3.303147, -3.252983, -0.609400>
    }
    triangle {
      < -3.303252, -3.076818, -0.800536>,
      < -3.303147, -3.252983, -0.609400>,
      < -3.303265, -3.053918, -0.772602>
    }
    triangle {
      < -3.303252, -3.076818, -0.800536>,
      < -3.303265, -3.053918, -0.772602>,
      < -3.148144, -3.052511, -0.773679>
    }
    triangle {
      < -3.303252, -3.076818, -0.800536>,
      < -3.148144, -3.052511, -0.773679>,
      < -3.148130, -3.075412, -0.801614>
    }
    triangle {
      < -3.148144, -3.052511, -0.773679>,
      < -2.952973, -3.252776, -0.609400>,
      < -2.952960, -3.275676, -0.637334>
    }
    triangle {
      < -3.148144, -3.052511, -0.773679>,
      < -2.952960, -3.275676, -0.637334>,
      < -3.148130, -3.075412, -0.801614>
    }
    triangle {
      < -3.303147, -3.252983, -0.609400>,
      < -3.303133, -3.275883, -0.637334>,
      < -2.952960, -3.275676, -0.637334>
    }
    triangle {
      < -3.303147, -3.252983, -0.609400>,
      < -2.952960, -3.275676, -0.637334>,
      < -2.952973, -3.252776, -0.609400>
    }
    triangle {
      < -3.749990, -3.574232, -1.382462>,
      < -3.749851, -3.807534, -1.080236>,
      < -3.390589, -3.807321, -1.080236>
    }
    triangle {
      < -3.749990, -3.574232, -1.382462>,
      < -3.390589, -3.807321, -1.080236>,
      < -3.390604, -3.782665, -1.112175>
    }
    triangle {
      < -3.390579, -3.825075, -1.144913>,
      < -3.390564, -3.849731, -1.112975>,
      < -3.749826, -3.849944, -1.112975>
    }
    triangle {
      < -3.390579, -3.825075, -1.144913>,
      < -3.749826, -3.849944, -1.112975>,
      < -3.749965, -3.616642, -1.415200>
    }
    triangle {
      < -3.749965, -3.616642, -1.415200>,
      < -3.749826, -3.849944, -1.112975>,
      < -3.749851, -3.807534, -1.080236>
    }
    triangle {
      < -3.749965, -3.616642, -1.415200>,
      < -3.749851, -3.807534, -1.080236>,
      < -3.749990, -3.574232, -1.382462>
    }
    triangle {
      < -3.749965, -3.616642, -1.415200>,
      < -3.749990, -3.574232, -1.382462>,
      < -3.390604, -3.782665, -1.112175>
    }
    triangle {
      < -3.749965, -3.616642, -1.415200>,
      < -3.390604, -3.782665, -1.112175>,
      < -3.390579, -3.825075, -1.144913>
    }
    triangle {
      < -3.390604, -3.782665, -1.112175>,
      < -3.390589, -3.807321, -1.080236>,
      < -3.390564, -3.849731, -1.112975>
    }
    triangle {
      < -3.390604, -3.782665, -1.112175>,
      < -3.390564, -3.849731, -1.112975>,
      < -3.390579, -3.825075, -1.144913>
    }
    triangle {
      < -3.749851, -3.807534, -1.080236>,
      < -3.749826, -3.849944, -1.112975>,
      < -3.390564, -3.849731, -1.112975>
    }
    triangle {
      < -3.749851, -3.807534, -1.080236>,
      < -3.390564, -3.849731, -1.112975>,
      < -3.390589, -3.807321, -1.080236>
    }
    triangle {
      < -2.243375, -3.573339, -1.382463>,
      < -2.243237, -3.806641, -1.080236>,
      < -1.883974, -3.806428, -1.080236>
    }
    triangle {
      < -2.243375, -3.573339, -1.382463>,
      < -1.883974, -3.806428, -1.080236>,
      < -1.883989, -3.781773, -1.112176>
    }
    triangle {
      < -1.883963, -3.824182, -1.144914>,
      < -1.883949, -3.848838, -1.112975>,
      < -2.243212, -3.849051, -1.112975>
    }
    triangle {
      < -1.883963, -3.824182, -1.144914>,
      < -2.243212, -3.849051, -1.112975>,
      < -2.243350, -3.615749, -1.415200>
    }
    triangle {
      < -2.243350, -3.615749, -1.415200>,
      < -2.243212, -3.849051, -1.112975>,
      < -2.243237, -3.806641, -1.080236>
    }
    triangle {
      < -2.243350, -3.615749, -1.415200>,
      < -2.243237, -3.806641, -1.080236>,
      < -2.243375, -3.573339, -1.382463>
    }
    triangle {
      < -2.243350, -3.615749, -1.415200>,
      < -2.243375, -3.573339, -1.382463>,
      < -1.883989, -3.781773, -1.112176>
    }
    triangle {
      < -2.243350, -3.615749, -1.415200>,
      < -1.883989, -3.781773, -1.112176>,
      < -1.883963, -3.824182, -1.144914>
    }
    triangle {
      < -1.883989, -3.781773, -1.112176>,
      < -1.883974, -3.806428, -1.080236>,
      < -1.883949, -3.848838, -1.112975>
    }
    triangle {
      < -1.883989, -3.781773, -1.112176>,
      < -1.883949, -3.848838, -1.112975>,
      < -1.883963, -3.824182, -1.144914>
    }
    triangle {
      < -2.243237, -3.806641, -1.080236>,
      < -2.243212, -3.849051, -1.112975>,
      < -1.883949, -3.848838, -1.112975>
    }
    triangle {
      < -2.243237, -3.806641, -1.080236>,
      < -1.883949, -3.848838, -1.112975>,
      < -1.883974, -3.806428, -1.080236>
    }
    triangle {
      < -1.669482, -3.052949, -0.772603>,
      < -1.669364, -3.252015, -0.609401>,
      < -1.427145, -3.251871, -0.609401>
    }
    triangle {
      < -1.669482, -3.052949, -0.772603>,
      < -1.427145, -3.251871, -0.609401>,
      < -1.622316, -3.051607, -0.773680>
    }
    triangle {
      < -1.622303, -3.074508, -0.801614>,
      < -1.427132, -3.274772, -0.637334>,
      < -1.669351, -3.274915, -0.637334>
    }
    triangle {
      < -1.622303, -3.074508, -0.801614>,
      < -1.669351, -3.274915, -0.637334>,
      < -1.669469, -3.075850, -0.800536>
    }
    triangle {
      < -1.669469, -3.075850, -0.800536>,
      < -1.669351, -3.274915, -0.637334>,
      < -1.669364, -3.252015, -0.609401>
    }
    triangle {
      < -1.669469, -3.075850, -0.800536>,
      < -1.669364, -3.252015, -0.609401>,
      < -1.669482, -3.052949, -0.772603>
    }
    triangle {
      < -1.669469, -3.075850, -0.800536>,
      < -1.669482, -3.052949, -0.772603>,
      < -1.622316, -3.051607, -0.773680>
    }
    triangle {
      < -1.669469, -3.075850, -0.800536>,
      < -1.622316, -3.051607, -0.773680>,
      < -1.622303, -3.074508, -0.801614>
    }
    triangle {
      < -1.622316, -3.051607, -0.773680>,
      < -1.427145, -3.251871, -0.609401>,
      < -1.427132, -3.274772, -0.637334>
    }
    triangle {
      < -1.622316, -3.051607, -0.773680>,
      < -1.427132, -3.274772, -0.637334>,
      < -1.622303, -3.074508, -0.801614>
    }
    triangle {
      < -1.669364, -3.252015, -0.609401>,
      < -1.669351, -3.274915, -0.637334>,
      < -1.427132, -3.274772, -0.637334>
    }
    triangle {
      < -1.669364, -3.252015, -0.609401>,
      < -1.427132, -3.274772, -0.637334>,
      < -1.427145, -3.251871, -0.609401>
    }
    triangle {
      < -3.303226, -3.118982, -0.373987>,
      < -3.303130, -3.282242, -0.573003>,
      < -2.952956, -3.282035, -0.573003>
    }
    triangle {
      < -3.303226, -3.118982, -0.373987>,
      < -2.952956, -3.282035, -0.573003>,
      < -3.148105, -3.117813, -0.372672>
    }
    triangle {
      < -3.148122, -3.089885, -0.395582>,
      < -2.952972, -3.254108, -0.595913>,
      < -3.303146, -3.254316, -0.595913>
    }
    triangle {
      < -3.148122, -3.089885, -0.395582>,
      < -3.303146, -3.254316, -0.595913>,
      < -3.303243, -3.091055, -0.396896>
    }
    triangle {
      < -3.303243, -3.091055, -0.396896>,
      < -3.303146, -3.254316, -0.595913>,
      < -3.303130, -3.282242, -0.573003>
    }
    triangle {
      < -3.303243, -3.091055, -0.396896>,
      < -3.303130, -3.282242, -0.573003>,
      < -3.303226, -3.118982, -0.373987>
    }
    triangle {
      < -3.303243, -3.091055, -0.396896>,
      < -3.303226, -3.118982, -0.373987>,
      < -3.148105, -3.117813, -0.372672>
    }
    triangle {
      < -3.303243, -3.091055, -0.396896>,
      < -3.148105, -3.117813, -0.372672>,
      < -3.148122, -3.089885, -0.395582>
    }
    triangle {
      < -3.148105, -3.117813, -0.372672>,
      < -2.952956, -3.282035, -0.573003>,
      < -2.952972, -3.254108, -0.595913>
    }
    triangle {
      < -3.148105, -3.117813, -0.372672>,
      < -2.952972, -3.254108, -0.595913>,
      < -3.148122, -3.089885, -0.395582>
    }
    triangle {
      < -3.303130, -3.282242, -0.573003>,
      < -3.303146, -3.254316, -0.595913>,
      < -2.952972, -3.254108, -0.595913>
    }
    triangle {
      < -3.303130, -3.282242, -0.573003>,
      < -2.952972, -3.254108, -0.595913>,
      < -2.952956, -3.282035, -0.573003>
    }
    triangle {
      < -3.750013, -3.535395, -0.784666>,
      < -3.749834, -3.837691, -1.017879>,
      < -3.390572, -3.837478, -1.017879>
    }
    triangle {
      < -3.750013, -3.535395, -0.784666>,
      < -3.390572, -3.837478, -1.017879>,
      < -3.390590, -3.805531, -0.993233>
    }
    triangle {
      < -3.390610, -3.772805, -1.035653>,
      < -3.390591, -3.804752, -1.060299>,
      < -3.749853, -3.804965, -1.060299>
    }
    triangle {
      < -3.390610, -3.772805, -1.035653>,
      < -3.749853, -3.804965, -1.060299>,
      < -3.750032, -3.502671, -0.827086>
    }
    triangle {
      < -3.750032, -3.502671, -0.827086>,
      < -3.749853, -3.804965, -1.060299>,
      < -3.749834, -3.837691, -1.017879>
    }
    triangle {
      < -3.750032, -3.502671, -0.827086>,
      < -3.749834, -3.837691, -1.017879>,
      < -3.750013, -3.535395, -0.784666>
    }
    triangle {
      < -3.750032, -3.502671, -0.827086>,
      < -3.750013, -3.535395, -0.784666>,
      < -3.390590, -3.805531, -0.993233>
    }
    triangle {
      < -3.750032, -3.502671, -0.827086>,
      < -3.390590, -3.805531, -0.993233>,
      < -3.390610, -3.772805, -1.035653>
    }
    triangle {
      < -3.390590, -3.805531, -0.993233>,
      < -3.390572, -3.837478, -1.017879>,
      < -3.390591, -3.804752, -1.060299>
    }
    triangle {
      < -3.390590, -3.805531, -0.993233>,
      < -3.390591, -3.804752, -1.060299>,
      < -3.390610, -3.772805, -1.035653>
    }
    triangle {
      < -3.749834, -3.837691, -1.017879>,
      < -3.749853, -3.804965, -1.060299>,
      < -3.390591, -3.804752, -1.060299>
    }
    triangle {
      < -3.749834, -3.837691, -1.017879>,
      < -3.390591, -3.804752, -1.060299>,
      < -3.390572, -3.837478, -1.017879>
    }
    triangle {
      < -2.243398, -3.534503, -0.784667>,
      < -2.243219, -3.836798, -1.017879>,
      < -1.883956, -3.836585, -1.017879>
    }
    triangle {
      < -2.243398, -3.534503, -0.784667>,
      < -1.883956, -3.836585, -1.017879>,
      < -1.883975, -3.804638, -0.993233>
    }
    triangle {
      < -1.883994, -3.771912, -1.035654>,
      < -1.883976, -3.803859, -1.060300>,
      < -2.243238, -3.804072, -1.060300>
    }
    triangle {
      < -1.883994, -3.771912, -1.035654>,
      < -2.243238, -3.804072, -1.060300>,
      < -2.243417, -3.501778, -0.827087>
    }
    triangle {
      < -2.243417, -3.501778, -0.827087>,
      < -2.243238, -3.804072, -1.060300>,
      < -2.243219, -3.836798, -1.017879>
    }
    triangle {
      < -2.243417, -3.501778, -0.827087>,
      < -2.243219, -3.836798, -1.017879>,
      < -2.243398, -3.534503, -0.784667>
    }
    triangle {
      < -2.243417, -3.501778, -0.827087>,
      < -2.243398, -3.534503, -0.784667>,
      < -1.883975, -3.804638, -0.993233>
    }
    triangle {
      < -2.243417, -3.501778, -0.827087>,
      < -1.883975, -3.804638, -0.993233>,
      < -1.883994, -3.771912, -1.035654>
    }
    triangle {
      < -1.883975, -3.804638, -0.993233>,
      < -1.883956, -3.836585, -1.017879>,
      < -1.883976, -3.803859, -1.060300>
    }
    triangle {
      < -1.883975, -3.804638, -0.993233>,
      < -1.883976, -3.803859, -1.060300>,
      < -1.883994, -3.771912, -1.035654>
    }
    triangle {
      < -2.243219, -3.836798, -1.017879>,
      < -2.243238, -3.804072, -1.060300>,
      < -1.883976, -3.803859, -1.060300>
    }
    triangle {
      < -2.243219, -3.836798, -1.017879>,
      < -1.883976, -3.803859, -1.060300>,
      < -1.883956, -3.836585, -1.017879>
    }
    triangle {
      < -1.669444, -3.118014, -0.373987>,
      < -1.669347, -3.281274, -0.573004>,
      < -1.427128, -3.281131, -0.573004>
    }
    triangle {
      < -1.669444, -3.118014, -0.373987>,
      < -1.427128, -3.281131, -0.573004>,
      < -1.622277, -3.116909, -0.372673>
    }
    triangle {
      < -1.622294, -3.088981, -0.395582>,
      < -1.427145, -3.253204, -0.595913>,
      < -1.669363, -3.253348, -0.595913>
    }
    triangle {
      < -1.622294, -3.088981, -0.395582>,
      < -1.669363, -3.253348, -0.595913>,
      < -1.669460, -3.090087, -0.396897>
    }
    triangle {
      < -1.669460, -3.090087, -0.396897>,
      < -1.669363, -3.253348, -0.595913>,
      < -1.669347, -3.281274, -0.573004>
    }
    triangle {
      < -1.669460, -3.090087, -0.396897>,
      < -1.669347, -3.281274, -0.573004>,
      < -1.669444, -3.118014, -0.373987>
    }
    triangle {
      < -1.669460, -3.090087, -0.396897>,
      < -1.669444, -3.118014, -0.373987>,
      < -1.622277, -3.116909, -0.372673>
    }
    triangle {
      < -1.669460, -3.090087, -0.396897>,
      < -1.622277, -3.116909, -0.372673>,
      < -1.622294, -3.088981, -0.395582>
    }
    triangle {
      < -1.622277, -3.116909, -0.372673>,
      < -1.427128, -3.281131, -0.573004>,
      < -1.427145, -3.253204, -0.595913>
    }
    triangle {
      < -1.622277, -3.116909, -0.372673>,
      < -1.427145, -3.253204, -0.595913>,
      < -1.622294, -3.088981, -0.395582>
    }
    triangle {
      < -1.669347, -3.281274, -0.573004>,
      < -1.669363, -3.253348, -0.595913>,
      < -1.427145, -3.253204, -0.595913>
    }
    triangle {
      < -1.669347, -3.281274, -0.573004>,
      < -1.427145, -3.253204, -0.595913>,
      < -1.427128, -3.281131, -0.573004>
    }
    triangle {
      < -3.302990, -3.517617, -0.438933>,
      < -3.303108, -3.318649, -0.602253>,
      < -2.952934, -3.318441, -0.602253>
    }
    triangle {
      < -3.302990, -3.517617, -0.438933>,
      < -2.952934, -3.318441, -0.602253>,
      < -3.147867, -3.518838, -0.437855>
    }
    triangle {
      < -3.147881, -3.495920, -0.409935>,
      < -2.952948, -3.295523, -0.574333>,
      < -3.303122, -3.295730, -0.574333>
    }
    triangle {
      < -3.147881, -3.495920, -0.409935>,
      < -3.303122, -3.295730, -0.574333>,
      < -3.303004, -3.494699, -0.411013>
    }
    triangle {
      < -3.303004, -3.494699, -0.411013>,
      < -3.303122, -3.295730, -0.574333>,
      < -3.303108, -3.318649, -0.602253>
    }
    triangle {
      < -3.303004, -3.494699, -0.411013>,
      < -3.303108, -3.318649, -0.602253>,
      < -3.302990, -3.517617, -0.438933>
    }
    triangle {
      < -3.303004, -3.494699, -0.411013>,
      < -3.302990, -3.517617, -0.438933>,
      < -3.147867, -3.518838, -0.437855>
    }
    triangle {
      < -3.303004, -3.494699, -0.411013>,
      < -3.147867, -3.518838, -0.437855>,
      < -3.147881, -3.495920, -0.409935>
    }
    triangle {
      < -3.147867, -3.518838, -0.437855>,
      < -2.952934, -3.318441, -0.602253>,
      < -2.952948, -3.295523, -0.574333>
    }
    triangle {
      < -3.147867, -3.518838, -0.437855>,
      < -2.952948, -3.295523, -0.574333>,
      < -3.147881, -3.495920, -0.409935>
    }
    triangle {
      < -3.303108, -3.318649, -0.602253>,
      < -3.303122, -3.295730, -0.574333>,
      < -2.952948, -3.295523, -0.574333>
    }
    triangle {
      < -3.303108, -3.318649, -0.602253>,
      < -2.952948, -3.295523, -0.574333>,
      < -2.952934, -3.318441, -0.602253>
    }
    triangle {
      < -3.749658, -4.133179, -0.745653>,
      < -3.749797, -3.900057, -1.048018>,
      < -3.390535, -3.899844, -1.048018>
    }
    triangle {
      < -3.749658, -4.133179, -0.745653>,
      < -3.390535, -3.899844, -1.048018>,
      < -3.390520, -3.924479, -1.016063>
    }
    triangle {
      < -3.390545, -3.882051, -0.983351>,
      < -3.390560, -3.857414, -1.015304>,
      < -3.749822, -3.857627, -1.015304>
    }
    triangle {
      < -3.390545, -3.882051, -0.983351>,
      < -3.749822, -3.857627, -1.015304>,
      < -3.749683, -4.090749, -0.712940>
    }
    triangle {
      < -3.749683, -4.090749, -0.712940>,
      < -3.749822, -3.857627, -1.015304>,
      < -3.749797, -3.900057, -1.048018>
    }
    triangle {
      < -3.749683, -4.090749, -0.712940>,
      < -3.749797, -3.900057, -1.048018>,
      < -3.749658, -4.133179, -0.745653>
    }
    triangle {
      < -3.749683, -4.090749, -0.712940>,
      < -3.749658, -4.133179, -0.745653>,
      < -3.390520, -3.924479, -1.016063>
    }
    triangle {
      < -3.749683, -4.090749, -0.712940>,
      < -3.390520, -3.924479, -1.016063>,
      < -3.390545, -3.882051, -0.983351>
    }
    triangle {
      < -3.390520, -3.924479, -1.016063>,
      < -3.390535, -3.899844, -1.048018>,
      < -3.390560, -3.857414, -1.015304>
    }
    triangle {
      < -3.390520, -3.924479, -1.016063>,
      < -3.390560, -3.857414, -1.015304>,
      < -3.390545, -3.882051, -0.983351>
    }
    triangle {
      < -3.749797, -3.900057, -1.048018>,
      < -3.749822, -3.857627, -1.015304>,
      < -3.390560, -3.857414, -1.015304>
    }
    triangle {
      < -3.749797, -3.900057, -1.048018>,
      < -3.390560, -3.857414, -1.015304>,
      < -3.390535, -3.899844, -1.048018>
    }
    triangle {
      < -2.243044, -4.132287, -0.745653>,
      < -2.243182, -3.899164, -1.048018>,
      < -1.883919, -3.898951, -1.048018>
    }
    triangle {
      < -2.243044, -4.132287, -0.745653>,
      < -1.883919, -3.898951, -1.048018>,
      < -1.883904, -3.923587, -1.016064>
    }
    triangle {
      < -1.883930, -3.881158, -0.983351>,
      < -1.883944, -3.856521, -1.015305>,
      < -2.243207, -3.856734, -1.015305>
    }
    triangle {
      < -1.883930, -3.881158, -0.983351>,
      < -2.243207, -3.856734, -1.015305>,
      < -2.243069, -4.089857, -0.712940>
    }
    triangle {
      < -2.243069, -4.089857, -0.712940>,
      < -2.243207, -3.856734, -1.015305>,
      < -2.243182, -3.899164, -1.048018>
    }
    triangle {
      < -2.243069, -4.089857, -0.712940>,
      < -2.243182, -3.899164, -1.048018>,
      < -2.243044, -4.132287, -0.745653>
    }
    triangle {
      < -2.243069, -4.089857, -0.712940>,
      < -2.243044, -4.132287, -0.745653>,
      < -1.883904, -3.923587, -1.016064>
    }
    triangle {
      < -2.243069, -4.089857, -0.712940>,
      < -1.883904, -3.923587, -1.016064>,
      < -1.883930, -3.881158, -0.983351>
    }
    triangle {
      < -1.883904, -3.923587, -1.016064>,
      < -1.883919, -3.898951, -1.048018>,
      < -1.883944, -3.856521, -1.015305>
    }
    triangle {
      < -1.883904, -3.923587, -1.016064>,
      < -1.883944, -3.856521, -1.015305>,
      < -1.883930, -3.881158, -0.983351>
    }
    triangle {
      < -2.243182, -3.899164, -1.048018>,
      < -2.243207, -3.856734, -1.015305>,
      < -1.883944, -3.856521, -1.015305>
    }
    triangle {
      < -2.243182, -3.899164, -1.048018>,
      < -1.883944, -3.856521, -1.015305>,
      < -1.883919, -3.898951, -1.048018>
    }
    triangle {
      < -1.669207, -3.516648, -0.438934>,
      < -1.669325, -3.317681, -0.602254>,
      < -1.427106, -3.317537, -0.602254>
    }
    triangle {
      < -1.669207, -3.516648, -0.438934>,
      < -1.427106, -3.317537, -0.602254>,
      < -1.622040, -3.517934, -0.437855>
    }
    triangle {
      < -1.622053, -3.495016, -0.409936>,
      < -1.427120, -3.294618, -0.574334>,
      < -1.669339, -3.294762, -0.574334>
    }
    triangle {
      < -1.622053, -3.495016, -0.409936>,
      < -1.669339, -3.294762, -0.574334>,
      < -1.669221, -3.493731, -0.411014>
    }
    triangle {
      < -1.669221, -3.493731, -0.411014>,
      < -1.669339, -3.294762, -0.574334>,
      < -1.669325, -3.317681, -0.602254>
    }
    triangle {
      < -1.669221, -3.493731, -0.411014>,
      < -1.669325, -3.317681, -0.602254>,
      < -1.669207, -3.516648, -0.438934>
    }
    triangle {
      < -1.669221, -3.493731, -0.411014>,
      < -1.669207, -3.516648, -0.438934>,
      < -1.622040, -3.517934, -0.437855>
    }
    triangle {
      < -1.669221, -3.493731, -0.411014>,
      < -1.622040, -3.517934, -0.437855>,
      < -1.622053, -3.495016, -0.409936>
    }
    triangle {
      < -1.622040, -3.517934, -0.437855>,
      < -1.427106, -3.317537, -0.602254>,
      < -1.427120, -3.294618, -0.574334>
    }
    triangle {
      < -1.622040, -3.517934, -0.437855>,
      < -1.427120, -3.294618, -0.574334>,
      < -1.622053, -3.495016, -0.409936>
    }
    triangle {
      < -1.669325, -3.317681, -0.602254>,
      < -1.669339, -3.294762, -0.574334>,
      < -1.427120, -3.294618, -0.574334>
    }
    triangle {
      < -1.669325, -3.317681, -0.602254>,
      < -1.427120, -3.294618, -0.574334>,
      < -1.427106, -3.317537, -0.602254>
    }
    triangle {
      < -3.761191, 3.351783, -0.654993>,
      < -1.550380, 3.352438, -0.654994>,
      < -1.550387, 3.375753, -0.608468>
    }
    triangle {
      < -3.761191, 3.351783, -0.654993>,
      < -1.550387, 3.375753, -0.608468>,
      < -3.761198, 3.375098, -0.608468>
    }
    triangle {
      < -3.761198, 3.375098, -0.608468>,
      < -1.550387, 3.375753, -0.608468>,
      < -1.550425, 3.503755, -0.608581>
    }
    triangle {
      < -3.761198, 3.375098, -0.608468>,
      < -1.550425, 3.503755, -0.608581>,
      < -3.761236, 3.503100, -0.608581>
    }
    triangle {
      < -3.761236, 3.503100, -0.608581>,
      < -1.550425, 3.503755, -0.608581>,
      < -1.818186, 3.527318, -0.195500>
    }
    triangle {
      < -3.761236, 3.503100, -0.608581>,
      < -1.818186, 3.527318, -0.195500>,
      < -3.761243, 3.526741, -0.195500>
    }
    triangle {
      < -3.761243, 3.526741, -0.195500>,
      < -1.818186, 3.527318, -0.195500>,
      < -1.818207, 3.597138, -0.195563>
    }
    triangle {
      < -3.761243, 3.526741, -0.195500>,
      < -1.818207, 3.597138, -0.195563>,
      < -3.761264, 3.596561, -0.195562>
    }
    triangle {
      < -3.761264, 3.596561, -0.195562>,
      < -1.818207, 3.597138, -0.195563>,
      < -1.550453, 3.596766, -0.701758>
    }
    triangle {
      < -3.761264, 3.596561, -0.195562>,
      < -1.550453, 3.596766, -0.701758>,
      < -3.761264, 3.596111, -0.701757>
    }
    triangle {
      < -3.761264, 3.596111, -0.701757>,
      < -1.550453, 3.596766, -0.701758>,
      < -1.802826, 3.875735, -0.969649>
    }
    triangle {
      < -3.761264, 3.596111, -0.701757>,
      < -1.802826, 3.875735, -0.969649>,
      < -3.761346, 3.875154, -0.969650>
    }
    triangle {
      < -3.761346, 3.875154, -0.969650>,
      < -1.802826, 3.875735, -0.969649>,
      < -1.802813, 3.829167, -0.992881>
    }
    triangle {
      < -3.761346, 3.875154, -0.969650>,
      < -1.802813, 3.829167, -0.992881>,
      < -3.761333, 3.828587, -0.992881>
    }
    triangle {
      < -3.761333, 3.828587, -0.992881>,
      < -1.802813, 3.829167, -0.992881>,
      < -1.550424, 3.497854, -0.701670>
    }
    triangle {
      < -3.761333, 3.828587, -0.992881>,
      < -1.550424, 3.497854, -0.701670>,
      < -3.761234, 3.497199, -0.701670>
    }
    triangle {
      < -3.761234, 3.497199, -0.701670>,
      < -1.550424, 3.497854, -0.701670>,
      < -1.550380, 3.352438, -0.654994>
    }
    triangle {
      < -3.761234, 3.497199, -0.701670>,
      < -1.550380, 3.352438, -0.654994>,
      < -3.761191, 3.351783, -0.654993>
    }
    triangle {
      < -1.550424, 3.497854, -0.701670>,
      < -1.550387, 3.375753, -0.608468>,
      < -1.550380, 3.352438, -0.654994>
    }
    triangle {
      < -1.550425, 3.503755, -0.608581>,
      < -1.550387, 3.375753, -0.608468>,
      < -1.550424, 3.497854, -0.701670>
    }
    triangle {
      < -1.818207, 3.597138, -0.195563>,
      < -1.818186, 3.527318, -0.195500>,
      < -1.550425, 3.503755, -0.608581>
    }
    triangle {
      < -1.818207, 3.597138, -0.195563>,
      < -1.550425, 3.503755, -0.608581>,
      < -1.550424, 3.497854, -0.701670>
    }
    triangle {
      < -1.550453, 3.596766, -0.701758>,
      < -1.818207, 3.597138, -0.195563>,
      < -1.550424, 3.497854, -0.701670>
    }
    triangle {
      < -1.802813, 3.829167, -0.992881>,
      < -1.550453, 3.596766, -0.701758>,
      < -1.550424, 3.497854, -0.701670>
    }
    triangle {
      < -1.802826, 3.875735, -0.969649>,
      < -1.550453, 3.596766, -0.701758>,
      < -1.802813, 3.829167, -0.992881>
    }
    triangle {
      < -3.761264, 3.596111, -0.701757>,
      < -3.761346, 3.875154, -0.969650>,
      < -3.761333, 3.828587, -0.992881>
    }
    triangle {
      < -3.761234, 3.497199, -0.701670>,
      < -3.761264, 3.596111, -0.701757>,
      < -3.761333, 3.828587, -0.992881>
    }
    triangle {
      < -3.761191, 3.351783, -0.654993>,
      < -3.761264, 3.596111, -0.701757>,
      < -3.761234, 3.497199, -0.701670>
    }
    triangle {
      < -3.761236, 3.503100, -0.608581>,
      < -3.761264, 3.596111, -0.701757>,
      < -3.761191, 3.351783, -0.654993>
    }
    triangle {
      < -3.761198, 3.375098, -0.608468>,
      < -3.761236, 3.503100, -0.608581>,
      < -3.761191, 3.351783, -0.654993>
    }
    triangle {
      < -3.761264, 3.596561, -0.195562>,
      < -3.761264, 3.596111, -0.701757>,
      < -3.761236, 3.503100, -0.608581>
    }
    triangle {
      < -3.761243, 3.526741, -0.195500>,
      < -3.761264, 3.596561, -0.195562>,
      < -3.761236, 3.503100, -0.608581>
    }
    triangle {
      < -0.761588, 3.847238, -1.072094>,
      < -0.834468, 3.874510, -1.061514>,
      < -0.834462, 3.865570, -1.048377>
    }
    triangle {
      < -0.834462, 3.865570, -1.048377>,
      < -0.834468, 3.874510, -1.061514>,
      < -0.937345, 3.895024, -1.055521>
    }
    triangle {
      < -0.834462, 3.865570, -1.048377>,
      < -0.937345, 3.895024, -1.055521>,
      < -0.937335, 3.878633, -1.031436>
    }
    triangle {
      < -0.937335, 3.878633, -1.031436>,
      < -0.937345, 3.895024, -1.055521>,
      < -1.121653, 3.907260, -1.051926>
    }
    triangle {
      < -0.937335, 3.878633, -1.031436>,
      < -1.121653, 3.907260, -1.051926>,
      < -1.121641, 3.886400, -1.021271>
    }
    triangle {
      < -1.121641, 3.886400, -1.021271>,
      < -1.121653, 3.907260, -1.051926>,
      < -1.378817, 3.907108, -1.051926>
    }
    triangle {
      < -1.121641, 3.886400, -1.021271>,
      < -1.378817, 3.907108, -1.051926>,
      < -1.378805, 3.886248, -1.021271>
    }
    triangle {
      < -1.378805, 3.886248, -1.021271>,
      < -1.378817, 3.907108, -1.051926>,
      < -3.782748, 3.905683, -1.051925>
    }
    triangle {
      < -1.378805, 3.886248, -1.021271>,
      < -3.782748, 3.905683, -1.051925>,
      < -3.782736, 3.884823, -1.021270>
    }
    triangle {
      < -3.782736, 3.884823, -1.021270>,
      < -3.782748, 3.905683, -1.051925>,
      < -3.795600, 3.893330, -1.055520>
    }
    triangle {
      < -3.782736, 3.884823, -1.021270>,
      < -3.795600, 3.893330, -1.055520>,
      < -3.795591, 3.876940, -1.031435>
    }
    triangle {
      < -3.795591, 3.876940, -1.031435>,
      < -3.795600, 3.893330, -1.055520>,
      < -3.757011, 3.868662, -1.062712>
    }
    triangle {
      < -3.795591, 3.876940, -1.031435>,
      < -3.757011, 3.868662, -1.062712>,
      < -3.757006, 3.861212, -1.051763>
    }
    triangle {
      < -3.757006, 3.861212, -1.051763>,
      < -3.757011, 3.868662, -1.062712>,
      < -3.756997, 3.845463, -1.072093>
    }
    triangle {
      < -1.253334, 3.282396, -0.609728>,
      < -1.261926, 3.316624, -0.607785>,
      < -1.261921, 3.308946, -0.588037>
    }
    triangle {
      < -1.261921, 3.308946, -0.588037>,
      < -1.261926, 3.316624, -0.607785>,
      < -1.279081, 3.333730, -0.606812>
    }
    triangle {
      < -1.261921, 3.308946, -0.588037>,
      < -1.279081, 3.333730, -0.606812>,
      < -1.279074, 3.322213, -0.577191>
    }
    triangle {
      < -1.279074, 3.322213, -0.577191>,
      < -1.279081, 3.333730, -0.606812>,
      < -1.774554, 3.337716, -0.606569>
    }
    triangle {
      < -1.279074, 3.322213, -0.577191>,
      < -1.774554, 3.337716, -0.606569>,
      < -1.774546, 3.325239, -0.574479>
    }
    triangle {
      < -1.774546, 3.325239, -0.574479>,
      < -1.774554, 3.337716, -0.606569>,
      < -1.778847, 3.350551, -0.605839>
    }
    triangle {
      < -1.774546, 3.325239, -0.574479>,
      < -1.778847, 3.350551, -0.605839>,
      < -1.778838, 3.335194, -0.566345>
    }
    triangle {
      < -1.778838, 3.335194, -0.566345>,
      < -1.778847, 3.350551, -0.605839>,
      < -1.800277, 3.350538, -0.605839>
    }
    triangle {
      < -1.778838, 3.335194, -0.566345>,
      < -1.800277, 3.350538, -0.605839>,
      < -1.800268, 3.335181, -0.566345>
    }
    triangle {
      < -1.800268, 3.335181, -0.566345>,
      < -1.800277, 3.350538, -0.605839>,
      < -1.804556, 3.337698, -0.606569>
    }
    triangle {
      < -1.800268, 3.335181, -0.566345>,
      < -1.804556, 3.337698, -0.606569>,
      < -1.804548, 3.325222, -0.574479>
    }
    triangle {
      < -1.804548, 3.325222, -0.574479>,
      < -1.804556, 3.337698, -0.606569>,
      < -1.873134, 3.337657, -0.606569>
    }
    triangle {
      < -1.804548, 3.325222, -0.574479>,
      < -1.873134, 3.337657, -0.606569>,
      < -1.873126, 3.325181, -0.574479>
    }
    triangle {
      < -1.873126, 3.325181, -0.574479>,
      < -1.873134, 3.337657, -0.606569>,
      < -1.868854, 3.350497, -0.605839>
    }
    triangle {
      < -1.873126, 3.325181, -0.574479>,
      < -1.868854, 3.350497, -0.605839>,
      < -1.868845, 3.335141, -0.566345>
    }
    triangle {
      < -1.868845, 3.335141, -0.566345>,
      < -1.868854, 3.350497, -0.605839>,
      < -1.894571, 3.350482, -0.605839>
    }
    triangle {
      < -1.868845, 3.335141, -0.566345>,
      < -1.894571, 3.350482, -0.605839>,
      < -1.894562, 3.335125, -0.566345>
    }
    triangle {
      < -1.894562, 3.335125, -0.566345>,
      < -1.894571, 3.350482, -0.605839>,
      < -1.898849, 3.337642, -0.606569>
    }
    triangle {
      < -1.894562, 3.335125, -0.566345>,
      < -1.898849, 3.337642, -0.606569>,
      < -1.898842, 3.325166, -0.574479>
    }
    triangle {
      < -1.898842, 3.325166, -0.574479>,
      < -1.898849, 3.337642, -0.606569>,
      < -2.846606, 3.337080, -0.606569>
    }
    triangle {
      < -1.898842, 3.325166, -0.574479>,
      < -2.846606, 3.337080, -0.606569>,
      < -2.846599, 3.324604, -0.574478>
    }
    triangle {
      < -2.846599, 3.324604, -0.574478>,
      < -2.846606, 3.337080, -0.606569>,
      < -2.855191, 3.358471, -0.605353>
    }
    triangle {
      < -2.846599, 3.324604, -0.574478>,
      < -2.855191, 3.358471, -0.605353>,
      < -2.855181, 3.341195, -0.560922>
    }
    triangle {
      < -2.855181, 3.341195, -0.560922>,
      < -2.855191, 3.358471, -0.605353>,
      < -2.902338, 3.358443, -0.605353>
    }
    triangle {
      < -2.855181, 3.341195, -0.560922>,
      < -2.902338, 3.358443, -0.605353>,
      < -2.902328, 3.341167, -0.560922>
    }
    triangle {
      < -2.902328, 3.341167, -0.560922>,
      < -2.902338, 3.358443, -0.605353>,
      < -2.906611, 3.337045, -0.606569>
    }
    triangle {
      < -2.902328, 3.341167, -0.560922>,
      < -2.906611, 3.337045, -0.606569>,
      < -2.906604, 3.324569, -0.574478>
    }
    triangle {
      < -2.906604, 3.324569, -0.574478>,
      < -2.906611, 3.337045, -0.606569>,
      < -3.365220, 3.336773, -0.606569>
    }
    triangle {
      < -2.906604, 3.324569, -0.574478>,
      < -3.365220, 3.336773, -0.606569>,
      < -3.365213, 3.324297, -0.574478>
    }
    triangle {
      < -3.365213, 3.324297, -0.574478>,
      < -3.365220, 3.336773, -0.606569>,
      < -3.378066, 3.315370, -0.607784>
    }
    triangle {
      < -3.365213, 3.324297, -0.574478>,
      < -3.378066, 3.315370, -0.607784>,
      < -3.378061, 3.307692, -0.588036>
    }
    triangle {
      < -3.378061, 3.307692, -0.588036>,
      < -3.378066, 3.315370, -0.607784>,
      < -3.369473, 3.281142, -0.609728>
    }
    triangle {
      < -0.761588, 3.847238, -1.072094>,
      < -0.834467, 3.874022, -1.077397>,
      < -0.834468, 3.874510, -1.061514>
    }
    triangle {
      < -0.834468, 3.874510, -1.061514>,
      < -0.834467, 3.874022, -1.077397>,
      < -0.937344, 3.894131, -1.084641>
    }
    triangle {
      < -0.834468, 3.874510, -1.061514>,
      < -0.937344, 3.894131, -1.084641>,
      < -0.937345, 3.895024, -1.055521>
    }
    triangle {
      < -0.937345, 3.895024, -1.055521>,
      < -0.937344, 3.894131, -1.084641>,
      < -1.121652, 3.906122, -1.088986>
    }
    triangle {
      < -0.937345, 3.895024, -1.055521>,
      < -1.121652, 3.906122, -1.088986>,
      < -1.121653, 3.907260, -1.051926>
    }
    triangle {
      < -1.121653, 3.907260, -1.051926>,
      < -1.121652, 3.906122, -1.088986>,
      < -1.378816, 3.905970, -1.088986>
    }
    triangle {
      < -1.121653, 3.907260, -1.051926>,
      < -1.378816, 3.905970, -1.088986>,
      < -1.378817, 3.907108, -1.051926>
    }
    triangle {
      < -1.378817, 3.907108, -1.051926>,
      < -1.378816, 3.905970, -1.088986>,
      < -3.782748, 3.904545, -1.088985>
    }
    triangle {
      < -1.378817, 3.907108, -1.051926>,
      < -3.782748, 3.904545, -1.088985>,
      < -3.782748, 3.905683, -1.051925>
    }
    triangle {
      < -3.782748, 3.905683, -1.051925>,
      < -3.782748, 3.904545, -1.088985>,
      < -3.795600, 3.892437, -1.084640>
    }
    triangle {
      < -3.782748, 3.905683, -1.051925>,
      < -3.795600, 3.892437, -1.084640>,
      < -3.795600, 3.893330, -1.055520>
    }
    triangle {
      < -3.795600, 3.893330, -1.055520>,
      < -3.795600, 3.892437, -1.084640>,
      < -3.757010, 3.868256, -1.075948>
    }
    triangle {
      < -3.795600, 3.893330, -1.055520>,
      < -3.757010, 3.868256, -1.075948>,
      < -3.757011, 3.868662, -1.062712>
    }
    triangle {
      < -3.757011, 3.868662, -1.062712>,
      < -3.757010, 3.868256, -1.075948>,
      < -3.756997, 3.845463, -1.072093>
    }
    triangle {
      < -1.253334, 3.282396, -0.609728>,
      < -1.261923, 3.311231, -0.628273>,
      < -1.261926, 3.316624, -0.607785>
    }
    triangle {
      < -1.261926, 3.316624, -0.607785>,
      < -1.261923, 3.311231, -0.628273>,
      < -1.279076, 3.325642, -0.637547>
    }
    triangle {
      < -1.261926, 3.316624, -0.607785>,
      < -1.279076, 3.325642, -0.637547>,
      < -1.279081, 3.333730, -0.606812>
    }
    triangle {
      < -1.279081, 3.333730, -0.606812>,
      < -1.279076, 3.325642, -0.637547>,
      < -1.774548, 3.328954, -0.639865>
    }
    triangle {
      < -1.279081, 3.333730, -0.606812>,
      < -1.774548, 3.328954, -0.639865>,
      < -1.774554, 3.337716, -0.606569>
    }
    triangle {
      < -1.774554, 3.337716, -0.606569>,
      < -1.774548, 3.328954, -0.639865>,
      < -1.778841, 3.339765, -0.646819>
    }
    triangle {
      < -1.774554, 3.337716, -0.606569>,
      < -1.778841, 3.339765, -0.646819>,
      < -1.778847, 3.350551, -0.605839>
    }
    triangle {
      < -1.778847, 3.350551, -0.605839>,
      < -1.778841, 3.339765, -0.646819>,
      < -1.800271, 3.339753, -0.646819>
    }
    triangle {
      < -1.778847, 3.350551, -0.605839>,
      < -1.800271, 3.339753, -0.646819>,
      < -1.800277, 3.350538, -0.605839>
    }
    triangle {
      < -1.800277, 3.350538, -0.605839>,
      < -1.800271, 3.339753, -0.646819>,
      < -1.804550, 3.328936, -0.639865>
    }
    triangle {
      < -1.800277, 3.350538, -0.605839>,
      < -1.804550, 3.328936, -0.639865>,
      < -1.804556, 3.337698, -0.606569>
    }
    triangle {
      < -1.804556, 3.337698, -0.606569>,
      < -1.804550, 3.328936, -0.639865>,
      < -1.873128, 3.328895, -0.639865>
    }
    triangle {
      < -1.804556, 3.337698, -0.606569>,
      < -1.873128, 3.328895, -0.639865>,
      < -1.873134, 3.337657, -0.606569>
    }
    triangle {
      < -1.873134, 3.337657, -0.606569>,
      < -1.873128, 3.328895, -0.639865>,
      < -1.868848, 3.339712, -0.646819>
    }
    triangle {
      < -1.873134, 3.337657, -0.606569>,
      < -1.868848, 3.339712, -0.646819>,
      < -1.868854, 3.350497, -0.605839>
    }
    triangle {
      < -1.868854, 3.350497, -0.605839>,
      < -1.868848, 3.339712, -0.646819>,
      < -1.894565, 3.339697, -0.646819>
    }
    triangle {
      < -1.868854, 3.350497, -0.605839>,
      < -1.894565, 3.339697, -0.646819>,
      < -1.894571, 3.350482, -0.605839>
    }
    triangle {
      < -1.894571, 3.350482, -0.605839>,
      < -1.894565, 3.339697, -0.646819>,
      < -1.898844, 3.328880, -0.639865>
    }
    triangle {
      < -1.894571, 3.350482, -0.605839>,
      < -1.898844, 3.328880, -0.639865>,
      < -1.898849, 3.337642, -0.606569>
    }
    triangle {
      < -1.898849, 3.337642, -0.606569>,
      < -1.898844, 3.328880, -0.639865>,
      < -2.846601, 3.328318, -0.639865>
    }
    triangle {
      < -1.898849, 3.337642, -0.606569>,
      < -2.846601, 3.328318, -0.639865>,
      < -2.846606, 3.337080, -0.606569>
    }
    triangle {
      < -2.846606, 3.337080, -0.606569>,
      < -2.846601, 3.328318, -0.639865>,
      < -2.855184, 3.346338, -0.651455>
    }
    triangle {
      < -2.846606, 3.337080, -0.606569>,
      < -2.855184, 3.346338, -0.651455>,
      < -2.855191, 3.358471, -0.605353>
    }
    triangle {
      < -2.855191, 3.358471, -0.605353>,
      < -2.855184, 3.346338, -0.651455>,
      < -2.902331, 3.346310, -0.651455>
    }
    triangle {
      < -2.855191, 3.358471, -0.605353>,
      < -2.902331, 3.346310, -0.651455>,
      < -2.902338, 3.358443, -0.605353>
    }
    triangle {
      < -2.902338, 3.358443, -0.605353>,
      < -2.902331, 3.346310, -0.651455>,
      < -2.906606, 3.328283, -0.639865>
    }
    triangle {
      < -2.902338, 3.358443, -0.605353>,
      < -2.906606, 3.328283, -0.639865>,
      < -2.906611, 3.337045, -0.606569>
    }
    triangle {
      < -2.906611, 3.337045, -0.606569>,
      < -2.906606, 3.328283, -0.639865>,
      < -3.365215, 3.328011, -0.639864>
    }
    triangle {
      < -2.906611, 3.337045, -0.606569>,
      < -3.365215, 3.328011, -0.639864>,
      < -3.365220, 3.336773, -0.606569>
    }
    triangle {
      < -3.365220, 3.336773, -0.606569>,
      < -3.365215, 3.328011, -0.639864>,
      < -3.378062, 3.309977, -0.628273>
    }
    triangle {
      < -3.365220, 3.336773, -0.606569>,
      < -3.378062, 3.309977, -0.628273>,
      < -3.378066, 3.315370, -0.607784>
    }
    triangle {
      < -3.378066, 3.315370, -0.607784>,
      < -3.378062, 3.309977, -0.628273>,
      < -3.369473, 3.281142, -0.609728>
    }
    triangle {
      < -0.761588, 3.847238, -1.072094>,
      < -0.761589, 3.847451, -1.065163>,
      < -0.834462, 3.864294, -1.089962>
    }
    triangle {
      < -0.761588, 3.847238, -1.072094>,
      < -0.834462, 3.864294, -1.089962>,
      < -0.834467, 3.874022, -1.077397>
    }
    triangle {
      < -0.834467, 3.874022, -1.077397>,
      < -0.834462, 3.864294, -1.089962>,
      < -0.937334, 3.876294, -1.107675>
    }
    triangle {
      < -0.834467, 3.874022, -1.077397>,
      < -0.937334, 3.876294, -1.107675>,
      < -0.937344, 3.894131, -1.084641>
    }
    triangle {
      < -0.937344, 3.894131, -1.084641>,
      < -0.937334, 3.876294, -1.107675>,
      < -1.121639, 3.883422, -1.118304>
    }
    triangle {
      < -0.937344, 3.894131, -1.084641>,
      < -1.121639, 3.883422, -1.118304>,
      < -1.121652, 3.906122, -1.088986>
    }
    triangle {
      < -1.121652, 3.906122, -1.088986>,
      < -1.121639, 3.883422, -1.118304>,
      < -1.378803, 3.883270, -1.118303>
    }
    triangle {
      < -1.121652, 3.906122, -1.088986>,
      < -1.378803, 3.883270, -1.118303>,
      < -1.378816, 3.905970, -1.088986>
    }
    triangle {
      < -1.378816, 3.905970, -1.088986>,
      < -1.378803, 3.883270, -1.118303>,
      < -3.782734, 3.881845, -1.118303>
    }
    triangle {
      < -1.378816, 3.905970, -1.088986>,
      < -3.782734, 3.881845, -1.118303>,
      < -3.782748, 3.904545, -1.088985>
    }
    triangle {
      < -3.782748, 3.904545, -1.088985>,
      < -3.782734, 3.881845, -1.118303>,
      < -3.795589, 3.874600, -1.107674>
    }
    triangle {
      < -3.782748, 3.904545, -1.088985>,
      < -3.795589, 3.874600, -1.107674>,
      < -3.795600, 3.892437, -1.084640>
    }
    triangle {
      < -3.795600, 3.892437, -1.084640>,
      < -3.795589, 3.874600, -1.107674>,
      < -3.757006, 3.860149, -1.086419>
    }
    triangle {
      < -3.795600, 3.892437, -1.084640>,
      < -3.757006, 3.860149, -1.086419>,
      < -3.757010, 3.868256, -1.075948>
    }
    triangle {
      < -3.757010, 3.868256, -1.075948>,
      < -3.757006, 3.860149, -1.086419>,
      < -3.756997, 3.845675, -1.065162>
    }
    triangle {
      < -3.757010, 3.868256, -1.075948>,
      < -3.756997, 3.845675, -1.065162>,
      < -3.756997, 3.845463, -1.072093>
    }
    triangle {
      < -1.253334, 3.282396, -0.609728>,
      < -1.261913, 3.294826, -0.641683>,
      < -1.261923, 3.311231, -0.628273>
    }
    triangle {
      < -1.261923, 3.311231, -0.628273>,
      < -1.261913, 3.294826, -0.641683>,
      < -1.279062, 3.301035, -0.657659>
    }
    triangle {
      < -1.261923, 3.311231, -0.628273>,
      < -1.279062, 3.301035, -0.657659>,
      < -1.279076, 3.325642, -0.637547>
    }
    triangle {
      < -1.279076, 3.325642, -0.637547>,
      < -1.279062, 3.301035, -0.657659>,
      < -1.774533, 3.302296, -0.661654>
    }
    triangle {
      < -1.279076, 3.325642, -0.637547>,
      < -1.774533, 3.302296, -0.661654>,
      < -1.774548, 3.328954, -0.639865>
    }
    triangle {
      < -1.774548, 3.328954, -0.639865>,
      < -1.774533, 3.302296, -0.661654>,
      < -1.778821, 3.306956, -0.673637>
    }
    triangle {
      < -1.774548, 3.328954, -0.639865>,
      < -1.778821, 3.306956, -0.673637>,
      < -1.778841, 3.339765, -0.646819>
    }
    triangle {
      < -1.778841, 3.339765, -0.646819>,
      < -1.778821, 3.306956, -0.673637>,
      < -1.800251, 3.306943, -0.673637>
    }
    triangle {
      < -1.778841, 3.339765, -0.646819>,
      < -1.800251, 3.306943, -0.673637>,
      < -1.800271, 3.339753, -0.646819>
    }
    triangle {
      < -1.800271, 3.339753, -0.646819>,
      < -1.800251, 3.306943, -0.673637>,
      < -1.804535, 3.302278, -0.661654>
    }
    triangle {
      < -1.800271, 3.339753, -0.646819>,
      < -1.804535, 3.302278, -0.661654>,
      < -1.804550, 3.328936, -0.639865>
    }
    triangle {
      < -1.804550, 3.328936, -0.639865>,
      < -1.804535, 3.302278, -0.661654>,
      < -1.873113, 3.302237, -0.661654>
    }
    triangle {
      < -1.804550, 3.328936, -0.639865>,
      < -1.873113, 3.302237, -0.661654>,
      < -1.873128, 3.328895, -0.639865>
    }
    triangle {
      < -1.873128, 3.328895, -0.639865>,
      < -1.873113, 3.302237, -0.661654>,
      < -1.868828, 3.306903, -0.673637>
    }
    triangle {
      < -1.873128, 3.328895, -0.639865>,
      < -1.868828, 3.306903, -0.673637>,
      < -1.868848, 3.339712, -0.646819>
    }
    triangle {
      < -1.868848, 3.339712, -0.646819>,
      < -1.868828, 3.306903, -0.673637>,
      < -1.894545, 3.306887, -0.673637>
    }
    triangle {
      < -1.868848, 3.339712, -0.646819>,
      < -1.894545, 3.306887, -0.673637>,
      < -1.894565, 3.339697, -0.646819>
    }
    triangle {
      < -1.894565, 3.339697, -0.646819>,
      < -1.894545, 3.306887, -0.673637>,
      < -1.898829, 3.302222, -0.661654>
    }
    triangle {
      < -1.894565, 3.339697, -0.646819>,
      < -1.898829, 3.302222, -0.661654>,
      < -1.898844, 3.328880, -0.639865>
    }
    triangle {
      < -1.898844, 3.328880, -0.639865>,
      < -1.898829, 3.302222, -0.661654>,
      < -2.846586, 3.301660, -0.661654>
    }
    triangle {
      < -1.898844, 3.328880, -0.639865>,
      < -2.846586, 3.301660, -0.661654>,
      < -2.846601, 3.328318, -0.639865>
    }
    triangle {
      < -2.846601, 3.328318, -0.639865>,
      < -2.846586, 3.301660, -0.661654>,
      < -2.855162, 3.309427, -0.681624>
    }
    triangle {
      < -2.846601, 3.328318, -0.639865>,
      < -2.855162, 3.309427, -0.681624>,
      < -2.855184, 3.346338, -0.651455>
    }
    triangle {
      < -2.855184, 3.346338, -0.651455>,
      < -2.855162, 3.309427, -0.681624>,
      < -2.902309, 3.309400, -0.681624>
    }
    triangle {
      < -2.855184, 3.346338, -0.651455>,
      < -2.902309, 3.309400, -0.681624>,
      < -2.902331, 3.346310, -0.651455>
    }
    triangle {
      < -2.902331, 3.346310, -0.651455>,
      < -2.902309, 3.309400, -0.681624>,
      < -2.906590, 3.301625, -0.661654>
    }
    triangle {
      < -2.902331, 3.346310, -0.651455>,
      < -2.906590, 3.301625, -0.661654>,
      < -2.906606, 3.328283, -0.639865>
    }
    triangle {
      < -2.906606, 3.328283, -0.639865>,
      < -2.906590, 3.301625, -0.661654>,
      < -3.365199, 3.301353, -0.661654>
    }
    triangle {
      < -2.906606, 3.328283, -0.639865>,
      < -3.365199, 3.301353, -0.661654>,
      < -3.365215, 3.328011, -0.639864>
    }
    triangle {
      < -3.365215, 3.328011, -0.639864>,
      < -3.365199, 3.301353, -0.661654>,
      < -3.378053, 3.293572, -0.641682>
    }
    triangle {
      < -3.365215, 3.328011, -0.639864>,
      < -3.378053, 3.293572, -0.641682>,
      < -3.378062, 3.309977, -0.628273>
    }
    triangle {
      < -3.378062, 3.309977, -0.628273>,
      < -3.378053, 3.293572, -0.641682>,
      < -3.369473, 3.281142, -0.609728>
    }
    triangle {
      < -0.761589, 3.847451, -1.065163>,
      < -0.834453, 3.849038, -1.094410>,
      < -0.834462, 3.864294, -1.089962>
    }
    triangle {
      < -0.834462, 3.864294, -1.089962>,
      < -0.834453, 3.849038, -1.094410>,
      < -0.937317, 3.848325, -1.115831>
    }
    triangle {
      < -0.834462, 3.864294, -1.089962>,
      < -0.937317, 3.848325, -1.115831>,
      < -0.937334, 3.876294, -1.107675>
    }
    triangle {
      < -0.937334, 3.876294, -1.107675>,
      < -0.937317, 3.848325, -1.115831>,
      < -1.121618, 3.847826, -1.128682>
    }
    triangle {
      < -0.937334, 3.876294, -1.107675>,
      < -1.121618, 3.847826, -1.128682>,
      < -1.121639, 3.883422, -1.118304>
    }
    triangle {
      < -1.121639, 3.883422, -1.118304>,
      < -1.121618, 3.847826, -1.128682>,
      < -1.378782, 3.847673, -1.128682>
    }
    triangle {
      < -1.121639, 3.883422, -1.118304>,
      < -1.378782, 3.847673, -1.128682>,
      < -1.378803, 3.883270, -1.118303>
    }
    triangle {
      < -1.378803, 3.883270, -1.118303>,
      < -1.378782, 3.847673, -1.128682>,
      < -3.782713, 3.846249, -1.128682>
    }
    triangle {
      < -1.378803, 3.883270, -1.118303>,
      < -3.782713, 3.846249, -1.128682>,
      < -3.782734, 3.881845, -1.118303>
    }
    triangle {
      < -3.782734, 3.881845, -1.118303>,
      < -3.782713, 3.846249, -1.128682>,
      < -3.795573, 3.846632, -1.115830>
    }
    triangle {
      < -3.782734, 3.881845, -1.118303>,
      < -3.795573, 3.846632, -1.115830>,
      < -3.795589, 3.874600, -1.107674>
    }
    triangle {
      < -3.795589, 3.874600, -1.107674>,
      < -3.795573, 3.846632, -1.115830>,
      < -3.756998, 3.847436, -1.090125>
    }
    triangle {
      < -3.795589, 3.874600, -1.107674>,
      < -3.756998, 3.847436, -1.090125>,
      < -3.757006, 3.860149, -1.086419>
    }
    triangle {
      < -3.757006, 3.860149, -1.086419>,
      < -3.756998, 3.847436, -1.090125>,
      < -3.756997, 3.845675, -1.065162>
    }
    triangle {
      < -1.253334, 3.282396, -0.609728>,
      < -1.261901, 3.273674, -0.642890>,
      < -1.261913, 3.294826, -0.641683>
    }
    triangle {
      < -1.261913, 3.294826, -0.641683>,
      < -1.261901, 3.273674, -0.642890>,
      < -1.279043, 3.269305, -0.659472>
    }
    triangle {
      < -1.261913, 3.294826, -0.641683>,
      < -1.279043, 3.269305, -0.659472>,
      < -1.279062, 3.301035, -0.657659>
    }
    triangle {
      < -1.279062, 3.301035, -0.657659>,
      < -1.279043, 3.269305, -0.659472>,
      < -1.774512, 3.267921, -0.663617>
    }
    triangle {
      < -1.279062, 3.301035, -0.657659>,
      < -1.774512, 3.267921, -0.663617>,
      < -1.774533, 3.302296, -0.661654>
    }
    triangle {
      < -1.774533, 3.302296, -0.661654>,
      < -1.774512, 3.267921, -0.663617>,
      < -1.778796, 3.264649, -0.676052>
    }
    triangle {
      < -1.774533, 3.302296, -0.661654>,
      < -1.778796, 3.264649, -0.676052>,
      < -1.778821, 3.306956, -0.673637>
    }
    triangle {
      < -1.778821, 3.306956, -0.673637>,
      < -1.778796, 3.264649, -0.676052>,
      < -1.800226, 3.264637, -0.676052>
    }
    triangle {
      < -1.778821, 3.306956, -0.673637>,
      < -1.800226, 3.264637, -0.676052>,
      < -1.800251, 3.306943, -0.673637>
    }
    triangle {
      < -1.800251, 3.306943, -0.673637>,
      < -1.800226, 3.264637, -0.676052>,
      < -1.804514, 3.267904, -0.663617>
    }
    triangle {
      < -1.800251, 3.306943, -0.673637>,
      < -1.804514, 3.267904, -0.663617>,
      < -1.804535, 3.302278, -0.661654>
    }
    triangle {
      < -1.804535, 3.302278, -0.661654>,
      < -1.804514, 3.267904, -0.663617>,
      < -1.873092, 3.267863, -0.663617>
    }
    triangle {
      < -1.804535, 3.302278, -0.661654>,
      < -1.873092, 3.267863, -0.663617>,
      < -1.873113, 3.302237, -0.661654>
    }
    triangle {
      < -1.873113, 3.302237, -0.661654>,
      < -1.873092, 3.267863, -0.663617>,
      < -1.868803, 3.264596, -0.676052>
    }
    triangle {
      < -1.873113, 3.302237, -0.661654>,
      < -1.868803, 3.264596, -0.676052>,
      < -1.868828, 3.306903, -0.673637>
    }
    triangle {
      < -1.868828, 3.306903, -0.673637>,
      < -1.868803, 3.264596, -0.676052>,
      < -1.894520, 3.264581, -0.676052>
    }
    triangle {
      < -1.868828, 3.306903, -0.673637>,
      < -1.894520, 3.264581, -0.676052>,
      < -1.894545, 3.306887, -0.673637>
    }
    triangle {
      < -1.894545, 3.306887, -0.673637>,
      < -1.894520, 3.264581, -0.676052>,
      < -1.898808, 3.267848, -0.663617>
    }
    triangle {
      < -1.894545, 3.306887, -0.673637>,
      < -1.898808, 3.267848, -0.663617>,
      < -1.898829, 3.302222, -0.661654>
    }
    triangle {
      < -1.898829, 3.302222, -0.661654>,
      < -1.898808, 3.267848, -0.663617>,
      < -2.846565, 3.267286, -0.663616>
    }
    triangle {
      < -1.898829, 3.302222, -0.661654>,
      < -2.846565, 3.267286, -0.663616>,
      < -2.846586, 3.301660, -0.661654>
    }
    triangle {
      < -2.846586, 3.301660, -0.661654>,
      < -2.846565, 3.267286, -0.663616>,
      < -2.855134, 3.261833, -0.684342>
    }
    triangle {
      < -2.846586, 3.301660, -0.661654>,
      < -2.855134, 3.261833, -0.684342>,
      < -2.855162, 3.309427, -0.681624>
    }
    triangle {
      < -2.855162, 3.309427, -0.681624>,
      < -2.855134, 3.261833, -0.684342>,
      < -2.902281, 3.261805, -0.684342>
    }
    triangle {
      < -2.855162, 3.309427, -0.681624>,
      < -2.902281, 3.261805, -0.684342>,
      < -2.902309, 3.309400, -0.681624>
    }
    triangle {
      < -2.902309, 3.309400, -0.681624>,
      < -2.902281, 3.261805, -0.684342>,
      < -2.906570, 3.267251, -0.663616>
    }
    triangle {
      < -2.902309, 3.309400, -0.681624>,
      < -2.906570, 3.267251, -0.663616>,
      < -2.906590, 3.301625, -0.661654>
    }
    triangle {
      < -2.906590, 3.301625, -0.661654>,
      < -2.906570, 3.267251, -0.663616>,
      < -3.365179, 3.266979, -0.663616>
    }
    triangle {
      < -2.906590, 3.301625, -0.661654>,
      < -3.365179, 3.266979, -0.663616>,
      < -3.365199, 3.301353, -0.661654>
    }
    triangle {
      < -3.365199, 3.301353, -0.661654>,
      < -3.365179, 3.266979, -0.663616>,
      < -3.378040, 3.272419, -0.642889>
    }
    triangle {
      < -3.365199, 3.301353, -0.661654>,
      < -3.378040, 3.272419, -0.642889>,
      < -3.378053, 3.293572, -0.641682>
    }
    triangle {
      < -3.378053, 3.293572, -0.641682>,
      < -3.378040, 3.272419, -0.642889>,
      < -3.369473, 3.281142, -0.609728>
    }
    triangle {
      < -0.761589, 3.847451, -1.065163>,
      < -0.834444, 3.834082, -1.089043>,
      < -0.834453, 3.849038, -1.094410>
    }
    triangle {
      < -0.834453, 3.849038, -1.094410>,
      < -0.834444, 3.834082, -1.089043>,
      < -0.937301, 3.820904, -1.105991>
    }
    triangle {
      < -0.834453, 3.849038, -1.094410>,
      < -0.937301, 3.820904, -1.105991>,
      < -0.937317, 3.848325, -1.115831>
    }
    triangle {
      < -0.937317, 3.848325, -1.115831>,
      < -0.937301, 3.820904, -1.105991>,
      < -1.121597, 3.812926, -1.116161>
    }
    triangle {
      < -0.937317, 3.848325, -1.115831>,
      < -1.121597, 3.812926, -1.116161>,
      < -1.121618, 3.847826, -1.128682>
    }
    triangle {
      < -1.121618, 3.847826, -1.128682>,
      < -1.121597, 3.812926, -1.116161>,
      < -1.378761, 3.812774, -1.116161>
    }
    triangle {
      < -1.121618, 3.847826, -1.128682>,
      < -1.378761, 3.812774, -1.116161>,
      < -1.378782, 3.847673, -1.128682>
    }
    triangle {
      < -1.378782, 3.847673, -1.128682>,
      < -1.378761, 3.812774, -1.116161>,
      < -3.782693, 3.811349, -1.116160>
    }
    triangle {
      < -1.378782, 3.847673, -1.128682>,
      < -3.782693, 3.811349, -1.116160>,
      < -3.782713, 3.846249, -1.128682>
    }
    triangle {
      < -3.782713, 3.846249, -1.128682>,
      < -3.782693, 3.811349, -1.116160>,
      < -3.795556, 3.819211, -1.105991>
    }
    triangle {
      < -3.782713, 3.846249, -1.128682>,
      < -3.795556, 3.819211, -1.105991>,
      < -3.795573, 3.846632, -1.115830>
    }
    triangle {
      < -3.795573, 3.846632, -1.115830>,
      < -3.795556, 3.819211, -1.105991>,
      < -3.756991, 3.834971, -1.085653>
    }
    triangle {
      < -3.795573, 3.846632, -1.115830>,
      < -3.756991, 3.834971, -1.085653>,
      < -3.756998, 3.847436, -1.090125>
    }
    triangle {
      < -3.756998, 3.847436, -1.090125>,
      < -3.756991, 3.834971, -1.085653>,
      < -3.756997, 3.845675, -1.065162>
    }
    triangle {
      < -1.253334, 3.282396, -0.609728>,
      < -1.261890, 3.255848, -0.631437>,
      < -1.261901, 3.273674, -0.642890>
    }
    triangle {
      < -1.261901, 3.273674, -0.642890>,
      < -1.261890, 3.255848, -0.631437>,
      < -1.279027, 3.242568, -0.642291>
    }
    triangle {
      < -1.261901, 3.273674, -0.642890>,
      < -1.279027, 3.242568, -0.642291>,
      < -1.279043, 3.269305, -0.659472>
    }
    triangle {
      < -1.279043, 3.269305, -0.659472>,
      < -1.279027, 3.242568, -0.642291>,
      < -1.774495, 3.238957, -0.645004>
    }
    triangle {
      < -1.279043, 3.269305, -0.659472>,
      < -1.774495, 3.238957, -0.645004>,
      < -1.774512, 3.267921, -0.663617>
    }
    triangle {
      < -1.774512, 3.267921, -0.663617>,
      < -1.774495, 3.238957, -0.645004>,
      < -1.778775, 3.229000, -0.653144>
    }
    triangle {
      < -1.774512, 3.267921, -0.663617>,
      < -1.778775, 3.229000, -0.653144>,
      < -1.778796, 3.264649, -0.676052>
    }
    triangle {
      < -1.778796, 3.264649, -0.676052>,
      < -1.778775, 3.229000, -0.653144>,
      < -1.800205, 3.228987, -0.653144>
    }
    triangle {
      < -1.778796, 3.264649, -0.676052>,
      < -1.800205, 3.228987, -0.653144>,
      < -1.800226, 3.264637, -0.676052>
    }
    triangle {
      < -1.800226, 3.264637, -0.676052>,
      < -1.800205, 3.228987, -0.653144>,
      < -1.804497, 3.238939, -0.645004>
    }
    triangle {
      < -1.800226, 3.264637, -0.676052>,
      < -1.804497, 3.238939, -0.645004>,
      < -1.804514, 3.267904, -0.663617>
    }
    triangle {
      < -1.804514, 3.267904, -0.663617>,
      < -1.804497, 3.238939, -0.645004>,
      < -1.873075, 3.238898, -0.645004>
    }
    triangle {
      < -1.804514, 3.267904, -0.663617>,
      < -1.873075, 3.238898, -0.645004>,
      < -1.873092, 3.267863, -0.663617>
    }
    triangle {
      < -1.873092, 3.267863, -0.663617>,
      < -1.873075, 3.238898, -0.645004>,
      < -1.868782, 3.228947, -0.653144>
    }
    triangle {
      < -1.873092, 3.267863, -0.663617>,
      < -1.868782, 3.228947, -0.653144>,
      < -1.868803, 3.264596, -0.676052>
    }
    triangle {
      < -1.868803, 3.264596, -0.676052>,
      < -1.868782, 3.228947, -0.653144>,
      < -1.894499, 3.228931, -0.653144>
    }
    triangle {
      < -1.868803, 3.264596, -0.676052>,
      < -1.894499, 3.228931, -0.653144>,
      < -1.894520, 3.264581, -0.676052>
    }
    triangle {
      < -1.894520, 3.264581, -0.676052>,
      < -1.894499, 3.228931, -0.653144>,
      < -1.898791, 3.238883, -0.645003>
    }
    triangle {
      < -1.894520, 3.264581, -0.676052>,
      < -1.898791, 3.238883, -0.645003>,
      < -1.898808, 3.267848, -0.663617>
    }
    triangle {
      < -1.898808, 3.267848, -0.663617>,
      < -1.898791, 3.238883, -0.645003>,
      < -2.846548, 3.238321, -0.645003>
    }
    triangle {
      < -1.898808, 3.267848, -0.663617>,
      < -2.846548, 3.238321, -0.645003>,
      < -2.846565, 3.267286, -0.663616>
    }
    triangle {
      < -2.846565, 3.267286, -0.663616>,
      < -2.846548, 3.238321, -0.645003>,
      < -2.855110, 3.221727, -0.658570>
    }
    triangle {
      < -2.846565, 3.267286, -0.663616>,
      < -2.855110, 3.221727, -0.658570>,
      < -2.855134, 3.261833, -0.684342>
    }
    triangle {
      < -2.855134, 3.261833, -0.684342>,
      < -2.855110, 3.221727, -0.658570>,
      < -2.902257, 3.221699, -0.658570>
    }
    triangle {
      < -2.855134, 3.261833, -0.684342>,
      < -2.902257, 3.221699, -0.658570>,
      < -2.902281, 3.261805, -0.684342>
    }
    triangle {
      < -2.902281, 3.261805, -0.684342>,
      < -2.902257, 3.221699, -0.658570>,
      < -2.906553, 3.238286, -0.645003>
    }
    triangle {
      < -2.902281, 3.261805, -0.684342>,
      < -2.906553, 3.238286, -0.645003>,
      < -2.906570, 3.267251, -0.663616>
    }
    triangle {
      < -2.906570, 3.267251, -0.663616>,
      < -2.906553, 3.238286, -0.645003>,
      < -3.365161, 3.238014, -0.645003>
    }
    triangle {
      < -2.906570, 3.267251, -0.663616>,
      < -3.365161, 3.238014, -0.645003>,
      < -3.365179, 3.266979, -0.663616>
    }
    triangle {
      < -3.365179, 3.266979, -0.663616>,
      < -3.365161, 3.238014, -0.645003>,
      < -3.378030, 3.254594, -0.631436>
    }
    triangle {
      < -3.365179, 3.266979, -0.663616>,
      < -3.378030, 3.254594, -0.631436>,
      < -3.378040, 3.272419, -0.642889>
    }
    triangle {
      < -3.378040, 3.272419, -0.642889>,
      < -3.378030, 3.254594, -0.631436>,
      < -3.369473, 3.281142, -0.609728>
    }
    triangle {
      < -0.761589, 3.847451, -1.065163>,
      < -0.761592, 3.853977, -1.067505>,
      < -0.834438, 3.825133, -1.075912>
    }
    triangle {
      < -0.761589, 3.847451, -1.065163>,
      < -0.834438, 3.825133, -1.075912>,
      < -0.834444, 3.834082, -1.089043>
    }
    triangle {
      < -0.834444, 3.834082, -1.089043>,
      < -0.834438, 3.825133, -1.075912>,
      < -0.937291, 3.804501, -1.081917>
    }
    triangle {
      < -0.834444, 3.834082, -1.089043>,
      < -0.937291, 3.804501, -1.081917>,
      < -0.937301, 3.820904, -1.105991>
    }
    triangle {
      < -0.937301, 3.820904, -1.105991>,
      < -0.937291, 3.804501, -1.081917>,
      < -1.121585, 3.792048, -1.085519>
    }
    triangle {
      < -0.937301, 3.820904, -1.105991>,
      < -1.121585, 3.792048, -1.085519>,
      < -1.121597, 3.812926, -1.116161>
    }
    triangle {
      < -1.121597, 3.812926, -1.116161>,
      < -1.121585, 3.792048, -1.085519>,
      < -1.378749, 3.791896, -1.085519>
    }
    triangle {
      < -1.121597, 3.812926, -1.116161>,
      < -1.378749, 3.791896, -1.085519>,
      < -1.378761, 3.812774, -1.116161>
    }
    triangle {
      < -1.378761, 3.812774, -1.116161>,
      < -1.378749, 3.791896, -1.085519>,
      < -3.782680, 3.790471, -1.085518>
    }
    triangle {
      < -1.378761, 3.812774, -1.116161>,
      < -3.782680, 3.790471, -1.085518>,
      < -3.782693, 3.811349, -1.116160>
    }
    triangle {
      < -3.782693, 3.811349, -1.116160>,
      < -3.782680, 3.790471, -1.085518>,
      < -3.795547, 3.802807, -1.081916>
    }
    triangle {
      < -3.782693, 3.811349, -1.116160>,
      < -3.795547, 3.802807, -1.081916>,
      < -3.795556, 3.819211, -1.105991>
    }
    triangle {
      < -3.795556, 3.819211, -1.105991>,
      < -3.795547, 3.802807, -1.081916>,
      < -3.756986, 3.827516, -1.074709>
    }
    triangle {
      < -3.795556, 3.819211, -1.105991>,
      < -3.756986, 3.827516, -1.074709>,
      < -3.756991, 3.834971, -1.085653>
    }
    triangle {
      < -3.756991, 3.834971, -1.085653>,
      < -3.756986, 3.827516, -1.074709>,
      < -3.757001, 3.852202, -1.067504>
    }
    triangle {
      < -3.756991, 3.834971, -1.085653>,
      < -3.757001, 3.852202, -1.067504>,
      < -3.756997, 3.845675, -1.065162>
    }
    triangle {
      < -1.253334, 3.282396, -0.609728>,
      < -1.261885, 3.248159, -0.611694>,
      < -1.261890, 3.255848, -0.631437>
    }
    triangle {
      < -1.261890, 3.255848, -0.631437>,
      < -1.261885, 3.248159, -0.611694>,
      < -1.279020, 3.231032, -0.612676>
    }
    triangle {
      < -1.261890, 3.255848, -0.631437>,
      < -1.279020, 3.231032, -0.612676>,
      < -1.279027, 3.242568, -0.642291>
    }
    triangle {
      < -1.279027, 3.242568, -0.642291>,
      < -1.279020, 3.231032, -0.612676>,
      < -1.774488, 3.226460, -0.612921>
    }
    triangle {
      < -1.279027, 3.242568, -0.642291>,
      < -1.774488, 3.226460, -0.612921>,
      < -1.774495, 3.238957, -0.645004>
    }
    triangle {
      < -1.774495, 3.238957, -0.645004>,
      < -1.774488, 3.226460, -0.612921>,
      < -1.778766, 3.213620, -0.613659>
    }
    triangle {
      < -1.774495, 3.238957, -0.645004>,
      < -1.778766, 3.213620, -0.613659>,
      < -1.778775, 3.229000, -0.653144>
    }
    triangle {
      < -1.778775, 3.229000, -0.653144>,
      < -1.778766, 3.213620, -0.613659>,
      < -1.800196, 3.213608, -0.613659>
    }
    triangle {
      < -1.778775, 3.229000, -0.653144>,
      < -1.800196, 3.213608, -0.613659>,
      < -1.800205, 3.228987, -0.653144>
    }
    triangle {
      < -1.800205, 3.228987, -0.653144>,
      < -1.800196, 3.213608, -0.613659>,
      < -1.804490, 3.226442, -0.612921>
    }
    triangle {
      < -1.800205, 3.228987, -0.653144>,
      < -1.804490, 3.226442, -0.612921>,
      < -1.804497, 3.238939, -0.645004>
    }
    triangle {
      < -1.804497, 3.238939, -0.645004>,
      < -1.804490, 3.226442, -0.612921>,
      < -1.873068, 3.226401, -0.612921>
    }
    triangle {
      < -1.804497, 3.238939, -0.645004>,
      < -1.873068, 3.226401, -0.612921>,
      < -1.873075, 3.238898, -0.645004>
    }
    triangle {
      < -1.873075, 3.238898, -0.645004>,
      < -1.873068, 3.226401, -0.612921>,
      < -1.868773, 3.213567, -0.613659>
    }
    triangle {
      < -1.873075, 3.238898, -0.645004>,
      < -1.868773, 3.213567, -0.613659>,
      < -1.868782, 3.228947, -0.653144>
    }
    triangle {
      < -1.868782, 3.228947, -0.653144>,
      < -1.868773, 3.213567, -0.613659>,
      < -1.894490, 3.213552, -0.613658>
    }
    triangle {
      < -1.868782, 3.228947, -0.653144>,
      < -1.894490, 3.213552, -0.613658>,
      < -1.894499, 3.228931, -0.653144>
    }
    triangle {
      < -1.894499, 3.228931, -0.653144>,
      < -1.894490, 3.213552, -0.613658>,
      < -1.898784, 3.226386, -0.612921>
    }
    triangle {
      < -1.894499, 3.228931, -0.653144>,
      < -1.898784, 3.226386, -0.612921>,
      < -1.898791, 3.238883, -0.645003>
    }
    triangle {
      < -1.898791, 3.238883, -0.645003>,
      < -1.898784, 3.226386, -0.612921>,
      < -2.846540, 3.225824, -0.612921>
    }
    triangle {
      < -1.898791, 3.238883, -0.645003>,
      < -2.846540, 3.225824, -0.612921>,
      < -2.846548, 3.238321, -0.645003>
    }
    triangle {
      < -2.846548, 3.238321, -0.645003>,
      < -2.846540, 3.225824, -0.612921>,
      < -2.855100, 3.204424, -0.614149>
    }
    triangle {
      < -2.846548, 3.238321, -0.645003>,
      < -2.855100, 3.204424, -0.614149>,
      < -2.855110, 3.221727, -0.658570>
    }
    triangle {
      < -2.855110, 3.221727, -0.658570>,
      < -2.855100, 3.204424, -0.614149>,
      < -2.902247, 3.204396, -0.614149>
    }
    triangle {
      < -2.855110, 3.221727, -0.658570>,
      < -2.902247, 3.204396, -0.614149>,
      < -2.902257, 3.221699, -0.658570>
    }
    triangle {
      < -2.902257, 3.221699, -0.658570>,
      < -2.902247, 3.204396, -0.614149>,
      < -2.906545, 3.225789, -0.612921>
    }
    triangle {
      < -2.902257, 3.221699, -0.658570>,
      < -2.906545, 3.225789, -0.612921>,
      < -2.906553, 3.238286, -0.645003>
    }
    triangle {
      < -2.906553, 3.238286, -0.645003>,
      < -2.906545, 3.225789, -0.612921>,
      < -3.365154, 3.225517, -0.612921>
    }
    triangle {
      < -2.906553, 3.238286, -0.645003>,
      < -3.365154, 3.225517, -0.612921>,
      < -3.365161, 3.238014, -0.645003>
    }
    triangle {
      < -3.365161, 3.238014, -0.645003>,
      < -3.365154, 3.225517, -0.612921>,
      < -3.378025, 3.246905, -0.611693>
    }
    triangle {
      < -3.365161, 3.238014, -0.645003>,
      < -3.378025, 3.246905, -0.611693>,
      < -3.378030, 3.254594, -0.631436>
    }
    triangle {
      < -3.378030, 3.254594, -0.631436>,
      < -3.378025, 3.246905, -0.611693>,
      < -3.369473, 3.281142, -0.609728>
    }
    triangle {
      < -0.761592, 3.853977, -1.067505>,
      < -0.834439, 3.825612, -1.060027>,
      < -0.834438, 3.825133, -1.075912>
    }
    triangle {
      < -0.834438, 3.825133, -1.075912>,
      < -0.834439, 3.825612, -1.060027>,
      < -0.937292, 3.805377, -1.052797>
    }
    triangle {
      < -0.834438, 3.825133, -1.075912>,
      < -0.937292, 3.805377, -1.052797>,
      < -0.937291, 3.804501, -1.081917>
    }
    triangle {
      < -0.937291, 3.804501, -1.081917>,
      < -0.937292, 3.805377, -1.052797>,
      < -1.121585, 3.793163, -1.048458>
    }
    triangle {
      < -0.937291, 3.804501, -1.081917>,
      < -1.121585, 3.793163, -1.048458>,
      < -1.121585, 3.792048, -1.085519>
    }
    triangle {
      < -1.121585, 3.792048, -1.085519>,
      < -1.121585, 3.793163, -1.048458>,
      < -1.378749, 3.793011, -1.048458>
    }
    triangle {
      < -1.121585, 3.792048, -1.085519>,
      < -1.378749, 3.793011, -1.048458>,
      < -1.378749, 3.791896, -1.085519>
    }
    triangle {
      < -1.378749, 3.791896, -1.085519>,
      < -1.378749, 3.793011, -1.048458>,
      < -3.782681, 3.791586, -1.048457>
    }
    triangle {
      < -1.378749, 3.791896, -1.085519>,
      < -3.782681, 3.791586, -1.048457>,
      < -3.782680, 3.790471, -1.085518>
    }
    triangle {
      < -3.782680, 3.790471, -1.085518>,
      < -3.782681, 3.791586, -1.048457>,
      < -3.795547, 3.803683, -1.052796>
    }
    triangle {
      < -3.782680, 3.790471, -1.085518>,
      < -3.795547, 3.803683, -1.052796>,
      < -3.795547, 3.802807, -1.081916>
    }
    triangle {
      < -3.795547, 3.802807, -1.081916>,
      < -3.795547, 3.803683, -1.052796>,
      < -3.756987, 3.827914, -1.061474>
    }
    triangle {
      < -3.795547, 3.802807, -1.081916>,
      < -3.756987, 3.827914, -1.061474>,
      < -3.756986, 3.827516, -1.074709>
    }
    triangle {
      < -3.756986, 3.827516, -1.074709>,
      < -3.756987, 3.827914, -1.061474>,
      < -3.757001, 3.852202, -1.067504>
    }
    triangle {
      < -1.253334, 3.282396, -0.609728>,
      < -1.261889, 3.253539, -0.591200>,
      < -1.261885, 3.248159, -0.611694>
    }
    triangle {
      < -1.261885, 3.248159, -0.611694>,
      < -1.261889, 3.253539, -0.591200>,
      < -1.279025, 3.239104, -0.581937>
    }
    triangle {
      < -1.261885, 3.248159, -0.611694>,
      < -1.279025, 3.239104, -0.581937>,
      < -1.279020, 3.231032, -0.612676>
    }
    triangle {
      < -1.279020, 3.231032, -0.612676>,
      < -1.279025, 3.239104, -0.581937>,
      < -1.774493, 3.235203, -0.579620>
    }
    triangle {
      < -1.279020, 3.231032, -0.612676>,
      < -1.774493, 3.235203, -0.579620>,
      < -1.774488, 3.226460, -0.612921>
    }
    triangle {
      < -1.774488, 3.226460, -0.612921>,
      < -1.774493, 3.235203, -0.579620>,
      < -1.778772, 3.224382, -0.572672>
    }
    triangle {
      < -1.774488, 3.226460, -0.612921>,
      < -1.778772, 3.224382, -0.572672>,
      < -1.778766, 3.213620, -0.613659>
    }
    triangle {
      < -1.778766, 3.213620, -0.613659>,
      < -1.778772, 3.224382, -0.572672>,
      < -1.800202, 3.224369, -0.572672>
    }
    triangle {
      < -1.778766, 3.213620, -0.613659>,
      < -1.800202, 3.224369, -0.572672>,
      < -1.800196, 3.213608, -0.613659>
    }
    triangle {
      < -1.800196, 3.213608, -0.613659>,
      < -1.800202, 3.224369, -0.572672>,
      < -1.804495, 3.235185, -0.579620>
    }
    triangle {
      < -1.800196, 3.213608, -0.613659>,
      < -1.804495, 3.235185, -0.579620>,
      < -1.804490, 3.226442, -0.612921>
    }
    triangle {
      < -1.804490, 3.226442, -0.612921>,
      < -1.804495, 3.235185, -0.579620>,
      < -1.873073, 3.235145, -0.579620>
    }
    triangle {
      < -1.804490, 3.226442, -0.612921>,
      < -1.873073, 3.235145, -0.579620>,
      < -1.873068, 3.226401, -0.612921>
    }
    triangle {
      < -1.873068, 3.226401, -0.612921>,
      < -1.873073, 3.235145, -0.579620>,
      < -1.868779, 3.224329, -0.572672>
    }
    triangle {
      < -1.873068, 3.226401, -0.612921>,
      < -1.868779, 3.224329, -0.572672>,
      < -1.868773, 3.213567, -0.613659>
    }
    triangle {
      < -1.868773, 3.213567, -0.613659>,
      < -1.868779, 3.224329, -0.572672>,
      < -1.894496, 3.224313, -0.572672>
    }
    triangle {
      < -1.868773, 3.213567, -0.613659>,
      < -1.894496, 3.224313, -0.572672>,
      < -1.894490, 3.213552, -0.613658>
    }
    triangle {
      < -1.894490, 3.213552, -0.613658>,
      < -1.894496, 3.224313, -0.572672>,
      < -1.898789, 3.235130, -0.579620>
    }
    triangle {
      < -1.894490, 3.213552, -0.613658>,
      < -1.898789, 3.235130, -0.579620>,
      < -1.898784, 3.226386, -0.612921>
    }
    triangle {
      < -1.898784, 3.226386, -0.612921>,
      < -1.898789, 3.235130, -0.579620>,
      < -2.846546, 3.234568, -0.579620>
    }
    triangle {
      < -1.898784, 3.226386, -0.612921>,
      < -2.846546, 3.234568, -0.579620>,
      < -2.846540, 3.225824, -0.612921>
    }
    triangle {
      < -2.846540, 3.225824, -0.612921>,
      < -2.846546, 3.234568, -0.579620>,
      < -2.855107, 3.216531, -0.568039>
    }
    triangle {
      < -2.846540, 3.225824, -0.612921>,
      < -2.855107, 3.216531, -0.568039>,
      < -2.855100, 3.204424, -0.614149>
    }
    triangle {
      < -2.855100, 3.204424, -0.614149>,
      < -2.855107, 3.216531, -0.568039>,
      < -2.902254, 3.216503, -0.568039>
    }
    triangle {
      < -2.855100, 3.204424, -0.614149>,
      < -2.902254, 3.216503, -0.568039>,
      < -2.902247, 3.204396, -0.614149>
    }
    triangle {
      < -2.902247, 3.204396, -0.614149>,
      < -2.902254, 3.216503, -0.568039>,
      < -2.906551, 3.234532, -0.579620>
    }
    triangle {
      < -2.902247, 3.204396, -0.614149>,
      < -2.906551, 3.234532, -0.579620>,
      < -2.906545, 3.225789, -0.612921>
    }
    triangle {
      < -2.906545, 3.225789, -0.612921>,
      < -2.906551, 3.234532, -0.579620>,
      < -3.365159, 3.234261, -0.579620>
    }
    triangle {
      < -2.906545, 3.225789, -0.612921>,
      < -3.365159, 3.234261, -0.579620>,
      < -3.365154, 3.225517, -0.612921>
    }
    triangle {
      < -3.365154, 3.225517, -0.612921>,
      < -3.365159, 3.234261, -0.579620>,
      < -3.378028, 3.252285, -0.591199>
    }
    triangle {
      < -3.365154, 3.225517, -0.612921>,
      < -3.378028, 3.252285, -0.591199>,
      < -3.378025, 3.246905, -0.611693>
    }
    triangle {
      < -3.378025, 3.246905, -0.611693>,
      < -3.378028, 3.252285, -0.591199>,
      < -3.369473, 3.281142, -0.609728>
    }
    triangle {
      < -0.761592, 3.853977, -1.067505>,
      < -0.834444, 3.835333, -1.047458>,
      < -0.834439, 3.825612, -1.060027>
    }
    triangle {
      < -0.834439, 3.825612, -1.060027>,
      < -0.834444, 3.835333, -1.047458>,
      < -0.937302, 3.823200, -1.029752>
    }
    triangle {
      < -0.834439, 3.825612, -1.060027>,
      < -0.937302, 3.823200, -1.029752>,
      < -0.937292, 3.805377, -1.052797>
    }
    triangle {
      < -0.937292, 3.805377, -1.052797>,
      < -0.937302, 3.823200, -1.029752>,
      < -1.121599, 3.815847, -1.019127>
    }
    triangle {
      < -0.937292, 3.805377, -1.052797>,
      < -1.121599, 3.815847, -1.019127>,
      < -1.121585, 3.793163, -1.048458>
    }
    triangle {
      < -1.121585, 3.793163, -1.048458>,
      < -1.121599, 3.815847, -1.019127>,
      < -1.378763, 3.815694, -1.019127>
    }
    triangle {
      < -1.121585, 3.793163, -1.048458>,
      < -1.378763, 3.815694, -1.019127>,
      < -1.378749, 3.793011, -1.048458>
    }
    triangle {
      < -1.378749, 3.793011, -1.048458>,
      < -1.378763, 3.815694, -1.019127>,
      < -3.782694, 3.814270, -1.019127>
    }
    triangle {
      < -1.378749, 3.793011, -1.048458>,
      < -3.782694, 3.814270, -1.019127>,
      < -3.782681, 3.791586, -1.048457>
    }
    triangle {
      < -3.782681, 3.791586, -1.048457>,
      < -3.782694, 3.814270, -1.019127>,
      < -3.795558, 3.821506, -1.029751>
    }
    triangle {
      < -3.782681, 3.791586, -1.048457>,
      < -3.795558, 3.821506, -1.029751>,
      < -3.795547, 3.803683, -1.052796>
    }
    triangle {
      < -3.795547, 3.803683, -1.052796>,
      < -3.795558, 3.821506, -1.029751>,
      < -3.756991, 3.836015, -1.050998>
    }
    triangle {
      < -3.795547, 3.803683, -1.052796>,
      < -3.756991, 3.836015, -1.050998>,
      < -3.756987, 3.827914, -1.061474>
    }
    triangle {
      < -3.756987, 3.827914, -1.061474>,
      < -3.756991, 3.836015, -1.050998>,
      < -3.757001, 3.852202, -1.067504>
    }
    triangle {
      < -1.253334, 3.282396, -0.609728>,
      < -1.261898, 3.269936, -0.577782>,
      < -1.261889, 3.253539, -0.591200>
    }
    triangle {
      < -1.261889, 3.253539, -0.591200>,
      < -1.261898, 3.269936, -0.577782>,
      < -1.279040, 3.263698, -0.561809>
    }
    triangle {
      < -1.261889, 3.253539, -0.591200>,
      < -1.279040, 3.263698, -0.561809>,
      < -1.279025, 3.239104, -0.581937>
    }
    triangle {
      < -1.279025, 3.239104, -0.581937>,
      < -1.279040, 3.263698, -0.561809>,
      < -1.774508, 3.261848, -0.557815>
    }
    triangle {
      < -1.279025, 3.239104, -0.581937>,
      < -1.774508, 3.261848, -0.557815>,
      < -1.774493, 3.235203, -0.579620>
    }
    triangle {
      < -1.774493, 3.235203, -0.579620>,
      < -1.774508, 3.261848, -0.557815>,
      < -1.778792, 3.257174, -0.545835>
    }
    triangle {
      < -1.774493, 3.235203, -0.579620>,
      < -1.778792, 3.257174, -0.545835>,
      < -1.778772, 3.224382, -0.572672>
    }
    triangle {
      < -1.778772, 3.224382, -0.572672>,
      < -1.778792, 3.257174, -0.545835>,
      < -1.800222, 3.257162, -0.545835>
    }
    triangle {
      < -1.778772, 3.224382, -0.572672>,
      < -1.800222, 3.257162, -0.545835>,
      < -1.800202, 3.224369, -0.572672>
    }
    triangle {
      < -1.800202, 3.224369, -0.572672>,
      < -1.800222, 3.257162, -0.545835>,
      < -1.804510, 3.261830, -0.557815>
    }
    triangle {
      < -1.800202, 3.224369, -0.572672>,
      < -1.804510, 3.261830, -0.557815>,
      < -1.804495, 3.235185, -0.579620>
    }
    triangle {
      < -1.804495, 3.235185, -0.579620>,
      < -1.804510, 3.261830, -0.557815>,
      < -1.873088, 3.261790, -0.557815>
    }
    triangle {
      < -1.804495, 3.235185, -0.579620>,
      < -1.873088, 3.261790, -0.557815>,
      < -1.873073, 3.235145, -0.579620>
    }
    triangle {
      < -1.873073, 3.235145, -0.579620>,
      < -1.873088, 3.261790, -0.557815>,
      < -1.868799, 3.257121, -0.545835>
    }
    triangle {
      < -1.873073, 3.235145, -0.579620>,
      < -1.868799, 3.257121, -0.545835>,
      < -1.868779, 3.224329, -0.572672>
    }
    triangle {
      < -1.868779, 3.224329, -0.572672>,
      < -1.868799, 3.257121, -0.545835>,
      < -1.894516, 3.257106, -0.545835>
    }
    triangle {
      < -1.868779, 3.224329, -0.572672>,
      < -1.894516, 3.257106, -0.545835>,
      < -1.894496, 3.224313, -0.572672>
    }
    triangle {
      < -1.894496, 3.224313, -0.572672>,
      < -1.894516, 3.257106, -0.545835>,
      < -1.898804, 3.261774, -0.557815>
    }
    triangle {
      < -1.894496, 3.224313, -0.572672>,
      < -1.898804, 3.261774, -0.557815>,
      < -1.898789, 3.235130, -0.579620>
    }
    triangle {
      < -1.898789, 3.235130, -0.579620>,
      < -1.898804, 3.261774, -0.557815>,
      < -2.846561, 3.261213, -0.557815>
    }
    triangle {
      < -1.898789, 3.235130, -0.579620>,
      < -2.846561, 3.261213, -0.557815>,
      < -2.846546, 3.234568, -0.579620>
    }
    triangle {
      < -2.846546, 3.234568, -0.579620>,
      < -2.846561, 3.261213, -0.557815>,
      < -2.855129, 3.253424, -0.537848>
    }
    triangle {
      < -2.846546, 3.234568, -0.579620>,
      < -2.855129, 3.253424, -0.537848>,
      < -2.855107, 3.216531, -0.568039>
    }
    triangle {
      < -2.855107, 3.216531, -0.568039>,
      < -2.855129, 3.253424, -0.537848>,
      < -2.902276, 3.253396, -0.537848>
    }
    triangle {
      < -2.855107, 3.216531, -0.568039>,
      < -2.902276, 3.253396, -0.537848>,
      < -2.902254, 3.216503, -0.568039>
    }
    triangle {
      < -2.902254, 3.216503, -0.568039>,
      < -2.902276, 3.253396, -0.537848>,
      < -2.906566, 3.261177, -0.557815>
    }
    triangle {
      < -2.902254, 3.216503, -0.568039>,
      < -2.906566, 3.261177, -0.557815>,
      < -2.906551, 3.234532, -0.579620>
    }
    triangle {
      < -2.906551, 3.234532, -0.579620>,
      < -2.906566, 3.261177, -0.557815>,
      < -3.365175, 3.260905, -0.557815>
    }
    triangle {
      < -2.906551, 3.234532, -0.579620>,
      < -3.365175, 3.260905, -0.557815>,
      < -3.365159, 3.234261, -0.579620>
    }
    triangle {
      < -3.365159, 3.234261, -0.579620>,
      < -3.365175, 3.260905, -0.557815>,
      < -3.378038, 3.268682, -0.577781>
    }
    triangle {
      < -3.365159, 3.234261, -0.579620>,
      < -3.378038, 3.268682, -0.577781>,
      < -3.378028, 3.252285, -0.591199>
    }
    triangle {
      < -3.378028, 3.252285, -0.591199>,
      < -3.378038, 3.268682, -0.577781>,
      < -3.369473, 3.281142, -0.609728>
    }
    triangle {
      < -0.761592, 3.853977, -1.067505>,
      < -0.761588, 3.847238, -1.072094>,
      < -0.834454, 3.850585, -1.043001>
    }
    triangle {
      < -0.761592, 3.853977, -1.067505>,
      < -0.834454, 3.850585, -1.043001>,
      < -0.834444, 3.835333, -1.047458>
    }
    triangle {
      < -0.834444, 3.835333, -1.047458>,
      < -0.834454, 3.850585, -1.043001>,
      < -0.937319, 3.851162, -1.021579>
    }
    triangle {
      < -0.834444, 3.835333, -1.047458>,
      < -0.937319, 3.851162, -1.021579>,
      < -0.937302, 3.823200, -1.029752>
    }
    triangle {
      < -0.937302, 3.823200, -1.029752>,
      < -0.937319, 3.851162, -1.021579>,
      < -1.121620, 3.851437, -1.008728>
    }
    triangle {
      < -0.937302, 3.823200, -1.029752>,
      < -1.121620, 3.851437, -1.008728>,
      < -1.121599, 3.815847, -1.019127>
    }
    triangle {
      < -1.121599, 3.815847, -1.019127>,
      < -1.121620, 3.851437, -1.008728>,
      < -1.378784, 3.851285, -1.008728>
    }
    triangle {
      < -1.121599, 3.815847, -1.019127>,
      < -1.378784, 3.851285, -1.008728>,
      < -1.378763, 3.815694, -1.019127>
    }
    triangle {
      < -1.378763, 3.815694, -1.019127>,
      < -1.378784, 3.851285, -1.008728>,
      < -3.782715, 3.849860, -1.008727>
    }
    triangle {
      < -1.378763, 3.815694, -1.019127>,
      < -3.782715, 3.849860, -1.008727>,
      < -3.782694, 3.814270, -1.019127>
    }
    triangle {
      < -3.782694, 3.814270, -1.019127>,
      < -3.782715, 3.849860, -1.008727>,
      < -3.795574, 3.849468, -1.021578>
    }
    triangle {
      < -3.782694, 3.814270, -1.019127>,
      < -3.795574, 3.849468, -1.021578>,
      < -3.795558, 3.821506, -1.029751>
    }
    triangle {
      < -3.795558, 3.821506, -1.029751>,
      < -3.795574, 3.849468, -1.021578>,
      < -3.756999, 3.848726, -1.047284>
    }
    triangle {
      < -3.795558, 3.821506, -1.029751>,
      < -3.756999, 3.848726, -1.047284>,
      < -3.756991, 3.836015, -1.050998>
    }
    triangle {
      < -3.756991, 3.836015, -1.050998>,
      < -3.756999, 3.848726, -1.047284>,
      < -3.756997, 3.845463, -1.072093>
    }
    triangle {
      < -3.756991, 3.836015, -1.050998>,
      < -3.756997, 3.845463, -1.072093>,
      < -3.757001, 3.852202, -1.067504>
    }
    triangle {
      < -1.253334, 3.282396, -0.609728>,
      < -1.261911, 3.291088, -0.576561>,
      < -1.261898, 3.269936, -0.577782>
    }
    triangle {
      < -1.261898, 3.269936, -0.577782>,
      < -1.261911, 3.291088, -0.576561>,
      < -1.279058, 3.295428, -0.559978>
    }
    triangle {
      < -1.261898, 3.269936, -0.577782>,
      < -1.279058, 3.295428, -0.559978>,
      < -1.279040, 3.263698, -0.561809>
    }
    triangle {
      < -1.279040, 3.263698, -0.561809>,
      < -1.279058, 3.295428, -0.559978>,
      < -1.774529, 3.296221, -0.555833>
    }
    triangle {
      < -1.279040, 3.263698, -0.561809>,
      < -1.774529, 3.296221, -0.555833>,
      < -1.774508, 3.261848, -0.557815>
    }
    triangle {
      < -1.774508, 3.261848, -0.557815>,
      < -1.774529, 3.296221, -0.555833>,
      < -1.778817, 3.299480, -0.543394>
    }
    triangle {
      < -1.774508, 3.261848, -0.557815>,
      < -1.778817, 3.299480, -0.543394>,
      < -1.778792, 3.257174, -0.545835>
    }
    triangle {
      < -1.778792, 3.257174, -0.545835>,
      < -1.778817, 3.299480, -0.543394>,
      < -1.800247, 3.299467, -0.543394>
    }
    triangle {
      < -1.778792, 3.257174, -0.545835>,
      < -1.800247, 3.299467, -0.543394>,
      < -1.800222, 3.257162, -0.545835>
    }
    triangle {
      < -1.800222, 3.257162, -0.545835>,
      < -1.800247, 3.299467, -0.543394>,
      < -1.804531, 3.296203, -0.555833>
    }
    triangle {
      < -1.800222, 3.257162, -0.545835>,
      < -1.804531, 3.296203, -0.555833>,
      < -1.804510, 3.261830, -0.557815>
    }
    triangle {
      < -1.804510, 3.261830, -0.557815>,
      < -1.804531, 3.296203, -0.555833>,
      < -1.873109, 3.296163, -0.555832>
    }
    triangle {
      < -1.804510, 3.261830, -0.557815>,
      < -1.873109, 3.296163, -0.555832>,
      < -1.873088, 3.261790, -0.557815>
    }
    triangle {
      < -1.873088, 3.261790, -0.557815>,
      < -1.873109, 3.296163, -0.555832>,
      < -1.868824, 3.299427, -0.543394>
    }
    triangle {
      < -1.873088, 3.261790, -0.557815>,
      < -1.868824, 3.299427, -0.543394>,
      < -1.868799, 3.257121, -0.545835>
    }
    triangle {
      < -1.868799, 3.257121, -0.545835>,
      < -1.868824, 3.299427, -0.543394>,
      < -1.894541, 3.299412, -0.543394>
    }
    triangle {
      < -1.868799, 3.257121, -0.545835>,
      < -1.894541, 3.299412, -0.543394>,
      < -1.894516, 3.257106, -0.545835>
    }
    triangle {
      < -1.894516, 3.257106, -0.545835>,
      < -1.894541, 3.299412, -0.543394>,
      < -1.898825, 3.296148, -0.555832>
    }
    triangle {
      < -1.894516, 3.257106, -0.545835>,
      < -1.898825, 3.296148, -0.555832>,
      < -1.898804, 3.261774, -0.557815>
    }
    triangle {
      < -1.898804, 3.261774, -0.557815>,
      < -1.898825, 3.296148, -0.555832>,
      < -2.846582, 3.295586, -0.555832>
    }
    triangle {
      < -1.898804, 3.261774, -0.557815>,
      < -2.846582, 3.295586, -0.555832>,
      < -2.846561, 3.261213, -0.557815>
    }
    triangle {
      < -2.846561, 3.261213, -0.557815>,
      < -2.846582, 3.295586, -0.555832>,
      < -2.855157, 3.301017, -0.535102>
    }
    triangle {
      < -2.846561, 3.261213, -0.557815>,
      < -2.855157, 3.301017, -0.535102>,
      < -2.855129, 3.253424, -0.537848>
    }
    triangle {
      < -2.855129, 3.253424, -0.537848>,
      < -2.855157, 3.301017, -0.535102>,
      < -2.902304, 3.300989, -0.535102>
    }
    triangle {
      < -2.855129, 3.253424, -0.537848>,
      < -2.902304, 3.300989, -0.535102>,
      < -2.902276, 3.253396, -0.537848>
    }
    triangle {
      < -2.902276, 3.253396, -0.537848>,
      < -2.902304, 3.300989, -0.535102>,
      < -2.906587, 3.295550, -0.555832>
    }
    triangle {
      < -2.902276, 3.253396, -0.537848>,
      < -2.906587, 3.295550, -0.555832>,
      < -2.906566, 3.261177, -0.557815>
    }
    triangle {
      < -2.906566, 3.261177, -0.557815>,
      < -2.906587, 3.295550, -0.555832>,
      < -3.365196, 3.295279, -0.555832>
    }
    triangle {
      < -2.906566, 3.261177, -0.557815>,
      < -3.365196, 3.295279, -0.555832>,
      < -3.365175, 3.260905, -0.557815>
    }
    triangle {
      < -3.365175, 3.260905, -0.557815>,
      < -3.365196, 3.295279, -0.555832>,
      < -3.378050, 3.289834, -0.576561>
    }
    triangle {
      < -3.365175, 3.260905, -0.557815>,
      < -3.378050, 3.289834, -0.576561>,
      < -3.378038, 3.268682, -0.577781>
    }
    triangle {
      < -3.378038, 3.268682, -0.577781>,
      < -3.378050, 3.289834, -0.576561>,
      < -3.369473, 3.281142, -0.609728>
    }
    triangle {
      < -0.761588, 3.847238, -1.072094>,
      < -0.834462, 3.865570, -1.048377>,
      < -0.834454, 3.850585, -1.043001>
    }
    triangle {
      < -0.834454, 3.850585, -1.043001>,
      < -0.834462, 3.865570, -1.048377>,
      < -0.937335, 3.878633, -1.031436>
    }
    triangle {
      < -0.834454, 3.850585, -1.043001>,
      < -0.937335, 3.878633, -1.031436>,
      < -0.937319, 3.851162, -1.021579>
    }
    triangle {
      < -0.937319, 3.851162, -1.021579>,
      < -0.937335, 3.878633, -1.031436>,
      < -1.121641, 3.886400, -1.021271>
    }
    triangle {
      < -0.937319, 3.851162, -1.021579>,
      < -1.121641, 3.886400, -1.021271>,
      < -1.121620, 3.851437, -1.008728>
    }
    triangle {
      < -1.121620, 3.851437, -1.008728>,
      < -1.121641, 3.886400, -1.021271>,
      < -1.378805, 3.886248, -1.021271>
    }
    triangle {
      < -1.121620, 3.851437, -1.008728>,
      < -1.378805, 3.886248, -1.021271>,
      < -1.378784, 3.851285, -1.008728>
    }
    triangle {
      < -1.378784, 3.851285, -1.008728>,
      < -1.378805, 3.886248, -1.021271>,
      < -3.782736, 3.884823, -1.021270>
    }
    triangle {
      < -1.378784, 3.851285, -1.008728>,
      < -3.782736, 3.884823, -1.021270>,
      < -3.782715, 3.849860, -1.008727>
    }
    triangle {
      < -3.782715, 3.849860, -1.008727>,
      < -3.782736, 3.884823, -1.021270>,
      < -3.795591, 3.876940, -1.031435>
    }
    triangle {
      < -3.782715, 3.849860, -1.008727>,
      < -3.795591, 3.876940, -1.031435>,
      < -3.795574, 3.849468, -1.021578>
    }
    triangle {
      < -3.795574, 3.849468, -1.021578>,
      < -3.795591, 3.876940, -1.031435>,
      < -3.757006, 3.861212, -1.051763>
    }
    triangle {
      < -3.795574, 3.849468, -1.021578>,
      < -3.757006, 3.861212, -1.051763>,
      < -3.756999, 3.848726, -1.047284>
    }
    triangle {
      < -3.756999, 3.848726, -1.047284>,
      < -3.757006, 3.861212, -1.051763>,
      < -3.756997, 3.845463, -1.072093>
    }
    triangle {
      < -1.253334, 3.282396, -0.609728>,
      < -1.261921, 3.308946, -0.588037>,
      < -1.261911, 3.291088, -0.576561>
    }
    triangle {
      < -1.261911, 3.291088, -0.576561>,
      < -1.261921, 3.308946, -0.588037>,
      < -1.279074, 3.322213, -0.577191>
    }
    triangle {
      < -1.261911, 3.291088, -0.576561>,
      < -1.279074, 3.322213, -0.577191>,
      < -1.279058, 3.295428, -0.559978>
    }
    triangle {
      < -1.279058, 3.295428, -0.559978>,
      < -1.279074, 3.322213, -0.577191>,
      < -1.774546, 3.325239, -0.574479>
    }
    triangle {
      < -1.279058, 3.295428, -0.559978>,
      < -1.774546, 3.325239, -0.574479>,
      < -1.774529, 3.296221, -0.555833>
    }
    triangle {
      < -1.774529, 3.296221, -0.555833>,
      < -1.774546, 3.325239, -0.574479>,
      < -1.778838, 3.335194, -0.566345>
    }
    triangle {
      < -1.774529, 3.296221, -0.555833>,
      < -1.778838, 3.335194, -0.566345>,
      < -1.778817, 3.299480, -0.543394>
    }
    triangle {
      < -1.778817, 3.299480, -0.543394>,
      < -1.778838, 3.335194, -0.566345>,
      < -1.800268, 3.335181, -0.566345>
    }
    triangle {
      < -1.778817, 3.299480, -0.543394>,
      < -1.800268, 3.335181, -0.566345>,
      < -1.800247, 3.299467, -0.543394>
    }
    triangle {
      < -1.800247, 3.299467, -0.543394>,
      < -1.800268, 3.335181, -0.566345>,
      < -1.804548, 3.325222, -0.574479>
    }
    triangle {
      < -1.800247, 3.299467, -0.543394>,
      < -1.804548, 3.325222, -0.574479>,
      < -1.804531, 3.296203, -0.555833>
    }
    triangle {
      < -1.804531, 3.296203, -0.555833>,
      < -1.804548, 3.325222, -0.574479>,
      < -1.873126, 3.325181, -0.574479>
    }
    triangle {
      < -1.804531, 3.296203, -0.555833>,
      < -1.873126, 3.325181, -0.574479>,
      < -1.873109, 3.296163, -0.555832>
    }
    triangle {
      < -1.873109, 3.296163, -0.555832>,
      < -1.873126, 3.325181, -0.574479>,
      < -1.868845, 3.335141, -0.566345>
    }
    triangle {
      < -1.873109, 3.296163, -0.555832>,
      < -1.868845, 3.335141, -0.566345>,
      < -1.868824, 3.299427, -0.543394>
    }
    triangle {
      < -1.868824, 3.299427, -0.543394>,
      < -1.868845, 3.335141, -0.566345>,
      < -1.894562, 3.335125, -0.566345>
    }
    triangle {
      < -1.868824, 3.299427, -0.543394>,
      < -1.894562, 3.335125, -0.566345>,
      < -1.894541, 3.299412, -0.543394>
    }
    triangle {
      < -1.894541, 3.299412, -0.543394>,
      < -1.894562, 3.335125, -0.566345>,
      < -1.898842, 3.325166, -0.574479>
    }
    triangle {
      < -1.894541, 3.299412, -0.543394>,
      < -1.898842, 3.325166, -0.574479>,
      < -1.898825, 3.296148, -0.555832>
    }
    triangle {
      < -1.898825, 3.296148, -0.555832>,
      < -1.898842, 3.325166, -0.574479>,
      < -2.846599, 3.324604, -0.574478>
    }
    triangle {
      < -1.898825, 3.296148, -0.555832>,
      < -2.846599, 3.324604, -0.574478>,
      < -2.846582, 3.295586, -0.555832>
    }
    triangle {
      < -2.846582, 3.295586, -0.555832>,
      < -2.846599, 3.324604, -0.574478>,
      < -2.855181, 3.341195, -0.560922>
    }
    triangle {
      < -2.846582, 3.295586, -0.555832>,
      < -2.855181, 3.341195, -0.560922>,
      < -2.855157, 3.301017, -0.535102>
    }
    triangle {
      < -2.855157, 3.301017, -0.535102>,
      < -2.855181, 3.341195, -0.560922>,
      < -2.902328, 3.341167, -0.560922>
    }
    triangle {
      < -2.855157, 3.301017, -0.535102>,
      < -2.902328, 3.341167, -0.560922>,
      < -2.902304, 3.300989, -0.535102>
    }
    triangle {
      < -2.902304, 3.300989, -0.535102>,
      < -2.902328, 3.341167, -0.560922>,
      < -2.906604, 3.324569, -0.574478>
    }
    triangle {
      < -2.902304, 3.300989, -0.535102>,
      < -2.906604, 3.324569, -0.574478>,
      < -2.906587, 3.295550, -0.555832>
    }
    triangle {
      < -2.906587, 3.295550, -0.555832>,
      < -2.906604, 3.324569, -0.574478>,
      < -3.365213, 3.324297, -0.574478>
    }
    triangle {
      < -2.906587, 3.295550, -0.555832>,
      < -3.365213, 3.324297, -0.574478>,
      < -3.365196, 3.295279, -0.555832>
    }
    triangle {
      < -3.365196, 3.295279, -0.555832>,
      < -3.365213, 3.324297, -0.574478>,
      < -3.378061, 3.307692, -0.588036>
    }
    triangle {
      < -3.365196, 3.295279, -0.555832>,
      < -3.378061, 3.307692, -0.588036>,
      < -3.378050, 3.289834, -0.576561>
    }
    triangle {
      < -3.378050, 3.289834, -0.576561>,
      < -3.378061, 3.307692, -0.588036>,
      < -3.369473, 3.281142, -0.609728>
    }
    triangle {
      < -3.151997, 3.448768, -0.843190>,
      < -2.956847, 3.284902, -0.642567>,
      < -3.307021, 3.284695, -0.642567>
    }
    triangle {
      < -3.151997, 3.448768, -0.843190>,
      < -3.307021, 3.284695, -0.642567>,
      < -3.307118, 3.447600, -0.841874>
    }
    triangle {
      < -3.307135, 3.475568, -0.819014>,
      < -3.307038, 3.312662, -0.619707>,
      < -2.956864, 3.312870, -0.619707>
    }
    triangle {
      < -3.307135, 3.475568, -0.819014>,
      < -2.956864, 3.312870, -0.619707>,
      < -3.152013, 3.476736, -0.820331>
    }
    triangle {
      < -3.307118, 3.447600, -0.841874>,
      < -3.307021, 3.284695, -0.642567>,
      < -3.307038, 3.312662, -0.619707>
    }
    triangle {
      < -3.307118, 3.447600, -0.841874>,
      < -3.307038, 3.312662, -0.619707>,
      < -3.307135, 3.475568, -0.819014>
    }
    triangle {
      < -3.152013, 3.476736, -0.820331>,
      < -3.151997, 3.448768, -0.843190>,
      < -3.307118, 3.447600, -0.841874>
    }
    triangle {
      < -3.152013, 3.476736, -0.820331>,
      < -3.307118, 3.447600, -0.841874>,
      < -3.307135, 3.475568, -0.819014>
    }
    triangle {
      < -3.152013, 3.476736, -0.820331>,
      < -2.956864, 3.312870, -0.619707>,
      < -2.956847, 3.284902, -0.642567>
    }
    triangle {
      < -3.152013, 3.476736, -0.820331>,
      < -2.956847, 3.284902, -0.642567>,
      < -3.151997, 3.448768, -0.843190>
    }
    triangle {
      < -2.956847, 3.284902, -0.642567>,
      < -2.956864, 3.312870, -0.619707>,
      < -3.307038, 3.312662, -0.619707>
    }
    triangle {
      < -2.956847, 3.284902, -0.642567>,
      < -3.307038, 3.312662, -0.619707>,
      < -3.307021, 3.284695, -0.642567>
    }
    triangle {
      < -3.395155, 3.896232, -1.139697>,
      < -3.395136, 3.864330, -1.114994>,
      < -3.754398, 3.864117, -1.114994>
    }
    triangle {
      < -3.395155, 3.896232, -1.139697>,
      < -3.754398, 3.864117, -1.114994>,
      < -3.754577, 4.165996, -1.348744>
    }
    triangle {
      < -3.754596, 4.198797, -1.306383>,
      < -3.754417, 3.896917, -1.072633>,
      < -3.395155, 3.897130, -1.072633>
    }
    triangle {
      < -3.754596, 4.198797, -1.306383>,
      < -3.395155, 3.897130, -1.072633>,
      < -3.395174, 3.929033, -1.097337>
    }
    triangle {
      < -3.754577, 4.165996, -1.348744>,
      < -3.754398, 3.864117, -1.114994>,
      < -3.754417, 3.896917, -1.072633>
    }
    triangle {
      < -3.754577, 4.165996, -1.348744>,
      < -3.754417, 3.896917, -1.072633>,
      < -3.754596, 4.198797, -1.306383>
    }
    triangle {
      < -3.395174, 3.929033, -1.097337>,
      < -3.395155, 3.896232, -1.139697>,
      < -3.754577, 4.165996, -1.348744>
    }
    triangle {
      < -3.395174, 3.929033, -1.097337>,
      < -3.754577, 4.165996, -1.348744>,
      < -3.754596, 4.198797, -1.306383>
    }
    triangle {
      < -3.395174, 3.929033, -1.097337>,
      < -3.395155, 3.897130, -1.072633>,
      < -3.395136, 3.864330, -1.114994>
    }
    triangle {
      < -3.395174, 3.929033, -1.097337>,
      < -3.395136, 3.864330, -1.114994>,
      < -3.395155, 3.896232, -1.139697>
    }
    triangle {
      < -3.395136, 3.864330, -1.114994>,
      < -3.395155, 3.897130, -1.072633>,
      < -3.754417, 3.896917, -1.072633>
    }
    triangle {
      < -3.395136, 3.864330, -1.114994>,
      < -3.754417, 3.896917, -1.072633>,
      < -3.754398, 3.864117, -1.114994>
    }
    triangle {
      < -1.888539, 3.897125, -1.139698>,
      < -1.888520, 3.865222, -1.114995>,
      < -2.247783, 3.865010, -1.114995>
    }
    triangle {
      < -1.888539, 3.897125, -1.139698>,
      < -2.247783, 3.865010, -1.114995>,
      < -2.247962, 4.166889, -1.348745>
    }
    triangle {
      < -2.247982, 4.199689, -1.306383>,
      < -2.247802, 3.897810, -1.072633>,
      < -1.888540, 3.898023, -1.072633>
    }
    triangle {
      < -2.247982, 4.199689, -1.306383>,
      < -1.888540, 3.898023, -1.072633>,
      < -1.888559, 3.929926, -1.097337>
    }
    triangle {
      < -2.247962, 4.166889, -1.348745>,
      < -2.247783, 3.865010, -1.114995>,
      < -2.247802, 3.897810, -1.072633>
    }
    triangle {
      < -2.247962, 4.166889, -1.348745>,
      < -2.247802, 3.897810, -1.072633>,
      < -2.247982, 4.199689, -1.306383>
    }
    triangle {
      < -1.888559, 3.929926, -1.097337>,
      < -1.888539, 3.897125, -1.139698>,
      < -2.247962, 4.166889, -1.348745>
    }
    triangle {
      < -1.888559, 3.929926, -1.097337>,
      < -2.247962, 4.166889, -1.348745>,
      < -2.247982, 4.199689, -1.306383>
    }
    triangle {
      < -1.888559, 3.929926, -1.097337>,
      < -1.888540, 3.898023, -1.072633>,
      < -1.888520, 3.865222, -1.114995>
    }
    triangle {
      < -1.888559, 3.929926, -1.097337>,
      < -1.888520, 3.865222, -1.114995>,
      < -1.888539, 3.897125, -1.139698>
    }
    triangle {
      < -1.888520, 3.865222, -1.114995>,
      < -1.888540, 3.898023, -1.072633>,
      < -2.247802, 3.897810, -1.072633>
    }
    triangle {
      < -1.888520, 3.865222, -1.114995>,
      < -2.247802, 3.897810, -1.072633>,
      < -2.247783, 3.865010, -1.114995>
    }
    triangle {
      < -1.626169, 3.449672, -0.843190>,
      < -1.431020, 3.285807, -0.642567>,
      < -1.673239, 3.285663, -0.642567>
    }
    triangle {
      < -1.626169, 3.449672, -0.843190>,
      < -1.673239, 3.285663, -0.642567>,
      < -1.673335, 3.448568, -0.841875>
    }
    triangle {
      < -1.673352, 3.476536, -0.819014>,
      < -1.673255, 3.313631, -0.619708>,
      < -1.431036, 3.313774, -0.619708>
    }
    triangle {
      < -1.673352, 3.476536, -0.819014>,
      < -1.431036, 3.313774, -0.619708>,
      < -1.626186, 3.477640, -0.820331>
    }
    triangle {
      < -1.673335, 3.448568, -0.841875>,
      < -1.673239, 3.285663, -0.642567>,
      < -1.673255, 3.313631, -0.619708>
    }
    triangle {
      < -1.673335, 3.448568, -0.841875>,
      < -1.673255, 3.313631, -0.619708>,
      < -1.673352, 3.476536, -0.819014>
    }
    triangle {
      < -1.626186, 3.477640, -0.820331>,
      < -1.626169, 3.449672, -0.843190>,
      < -1.673335, 3.448568, -0.841875>
    }
    triangle {
      < -1.626186, 3.477640, -0.820331>,
      < -1.673335, 3.448568, -0.841875>,
      < -1.673352, 3.476536, -0.819014>
    }
    triangle {
      < -1.626186, 3.477640, -0.820331>,
      < -1.431036, 3.313774, -0.619708>,
      < -1.431020, 3.285807, -0.642567>
    }
    triangle {
      < -1.626186, 3.477640, -0.820331>,
      < -1.431020, 3.285807, -0.642567>,
      < -1.626169, 3.449672, -0.843190>
    }
    triangle {
      < -1.431020, 3.285807, -0.642567>,
      < -1.431036, 3.313774, -0.619708>,
      < -1.673255, 3.313631, -0.619708>
    }
    triangle {
      < -1.431020, 3.285807, -0.642567>,
      < -1.673255, 3.313631, -0.619708>,
      < -1.673239, 3.285663, -0.642567>
    }
    triangle {
      < -3.151759, 3.047858, -0.777294>,
      < -2.956826, 3.248549, -0.613253>,
      < -3.307000, 3.248341, -0.613253>
    }
    triangle {
      < -3.151759, 3.047858, -0.777294>,
      < -3.307000, 3.248341, -0.613253>,
      < -3.306882, 3.049083, -0.776219>
    }
    triangle {
      < -3.306895, 3.071950, -0.804180>,
      < -3.307014, 3.271209, -0.641214>,
      < -2.956840, 3.271416, -0.641214>
    }
    triangle {
      < -3.306895, 3.071950, -0.804180>,
      < -2.956840, 3.271416, -0.641214>,
      < -3.151773, 3.070726, -0.805256>
    }
    triangle {
      < -3.306882, 3.049083, -0.776219>,
      < -3.307000, 3.248341, -0.613253>,
      < -3.307014, 3.271209, -0.641214>
    }
    triangle {
      < -3.306882, 3.049083, -0.776219>,
      < -3.307014, 3.271209, -0.641214>,
      < -3.306895, 3.071950, -0.804180>
    }
    triangle {
      < -3.151773, 3.070726, -0.805256>,
      < -3.151759, 3.047858, -0.777294>,
      < -3.306882, 3.049083, -0.776219>
    }
    triangle {
      < -3.151773, 3.070726, -0.805256>,
      < -3.306882, 3.049083, -0.776219>,
      < -3.306895, 3.071950, -0.804180>
    }
    triangle {
      < -3.151773, 3.070726, -0.805256>,
      < -2.956840, 3.271416, -0.641214>,
      < -2.956826, 3.248549, -0.613253>
    }
    triangle {
      < -3.151773, 3.070726, -0.805256>,
      < -2.956826, 3.248549, -0.613253>,
      < -3.151759, 3.047858, -0.777294>
    }
    triangle {
      < -2.956826, 3.248549, -0.613253>,
      < -2.956840, 3.271416, -0.641214>,
      < -3.307014, 3.271209, -0.641214>
    }
    triangle {
      < -2.956826, 3.248549, -0.613253>,
      < -3.307014, 3.271209, -0.641214>,
      < -3.307000, 3.248341, -0.613253>
    }
    triangle {
      < -3.395084, 3.777323, -1.116656>,
      < -3.395099, 3.802016, -1.084745>,
      < -3.754361, 3.801804, -1.084745>
    }
    triangle {
      < -3.395084, 3.777323, -1.116656>,
      < -3.754361, 3.801804, -1.084745>,
      < -3.754223, 3.568143, -1.386695>
    }
    triangle {
      < -3.754248, 3.610515, -1.419483>,
      < -3.754386, 3.844175, -1.117534>,
      < -3.395124, 3.844388, -1.117534>
    }
    triangle {
      < -3.754248, 3.610515, -1.419483>,
      < -3.395124, 3.844388, -1.117534>,
      < -3.395109, 3.819694, -1.149444>
    }
    triangle {
      < -3.754223, 3.568143, -1.386695>,
      < -3.754361, 3.801804, -1.084745>,
      < -3.754386, 3.844175, -1.117534>
    }
    triangle {
      < -3.754223, 3.568143, -1.386695>,
      < -3.754386, 3.844175, -1.117534>,
      < -3.754248, 3.610515, -1.419483>
    }
    triangle {
      < -3.395109, 3.819694, -1.149444>,
      < -3.395084, 3.777323, -1.116656>,
      < -3.754223, 3.568143, -1.386695>
    }
    triangle {
      < -3.395109, 3.819694, -1.149444>,
      < -3.754223, 3.568143, -1.386695>,
      < -3.754248, 3.610515, -1.419483>
    }
    triangle {
      < -3.395109, 3.819694, -1.149444>,
      < -3.395124, 3.844388, -1.117534>,
      < -3.395099, 3.802016, -1.084745>
    }
    triangle {
      < -3.395109, 3.819694, -1.149444>,
      < -3.395099, 3.802016, -1.084745>,
      < -3.395084, 3.777323, -1.116656>
    }
    triangle {
      < -3.395099, 3.802016, -1.084745>,
      < -3.395124, 3.844388, -1.117534>,
      < -3.754386, 3.844175, -1.117534>
    }
    triangle {
      < -3.395099, 3.802016, -1.084745>,
      < -3.754386, 3.844175, -1.117534>,
      < -3.754361, 3.801804, -1.084745>
    }
    triangle {
      < -1.888469, 3.778216, -1.116656>,
      < -1.888483, 3.802909, -1.084746>,
      < -2.247746, 3.802696, -1.084746>
    }
    triangle {
      < -1.888469, 3.778216, -1.116656>,
      < -2.247746, 3.802696, -1.084746>,
      < -2.247608, 3.569036, -1.386695>
    }
    triangle {
      < -2.247633, 3.611408, -1.419483>,
      < -2.247771, 3.845068, -1.117535>,
      < -1.888509, 3.845281, -1.117535>
    }
    triangle {
      < -2.247633, 3.611408, -1.419483>,
      < -1.888509, 3.845281, -1.117535>,
      < -1.888494, 3.820587, -1.149444>
    }
    triangle {
      < -2.247608, 3.569036, -1.386695>,
      < -2.247746, 3.802696, -1.084746>,
      < -2.247771, 3.845068, -1.117535>
    }
    triangle {
      < -2.247608, 3.569036, -1.386695>,
      < -2.247771, 3.845068, -1.117535>,
      < -2.247633, 3.611408, -1.419483>
    }
    triangle {
      < -1.888494, 3.820587, -1.149444>,
      < -1.888469, 3.778216, -1.116656>,
      < -2.247608, 3.569036, -1.386695>
    }
    triangle {
      < -1.888494, 3.820587, -1.149444>,
      < -2.247608, 3.569036, -1.386695>,
      < -2.247633, 3.611408, -1.419483>
    }
    triangle {
      < -1.888494, 3.820587, -1.149444>,
      < -1.888509, 3.845281, -1.117535>,
      < -1.888483, 3.802909, -1.084746>
    }
    triangle {
      < -1.888494, 3.820587, -1.149444>,
      < -1.888483, 3.802909, -1.084746>,
      < -1.888469, 3.778216, -1.116656>
    }
    triangle {
      < -1.888483, 3.802909, -1.084746>,
      < -1.888509, 3.845281, -1.117535>,
      < -2.247771, 3.845068, -1.117535>
    }
    triangle {
      < -1.888483, 3.802909, -1.084746>,
      < -2.247771, 3.845068, -1.117535>,
      < -2.247746, 3.802696, -1.084746>
    }
    triangle {
      < -1.625931, 3.048763, -0.777295>,
      < -1.430998, 3.249453, -0.613254>,
      < -1.673217, 3.249309, -0.613254>
    }
    triangle {
      < -1.625931, 3.048763, -0.777295>,
      < -1.673217, 3.249309, -0.613254>,
      < -1.673099, 3.050051, -0.776220>
    }
    triangle {
      < -1.673113, 3.072918, -0.804180>,
      < -1.673231, 3.272177, -0.641214>,
      < -1.431012, 3.272320, -0.641214>
    }
    triangle {
      < -1.673113, 3.072918, -0.804180>,
      < -1.431012, 3.272320, -0.641214>,
      < -1.625945, 3.071630, -0.805256>
    }
    triangle {
      < -1.673099, 3.050051, -0.776220>,
      < -1.673217, 3.249309, -0.613254>,
      < -1.673231, 3.272177, -0.641214>
    }
    triangle {
      < -1.673099, 3.050051, -0.776220>,
      < -1.673231, 3.272177, -0.641214>,
      < -1.673113, 3.072918, -0.804180>
    }
    triangle {
      < -1.625945, 3.071630, -0.805256>,
      < -1.625931, 3.048763, -0.777295>,
      < -1.673099, 3.050051, -0.776220>
    }
    triangle {
      < -1.625945, 3.071630, -0.805256>,
      < -1.673099, 3.050051, -0.776220>,
      < -1.673113, 3.072918, -0.804180>
    }
    triangle {
      < -1.625945, 3.071630, -0.805256>,
      < -1.431012, 3.272320, -0.641214>,
      < -1.430998, 3.249453, -0.613254>
    }
    triangle {
      < -1.625945, 3.071630, -0.805256>,
      < -1.430998, 3.249453, -0.613254>,
      < -1.625931, 3.048763, -0.777295>
    }
    triangle {
      < -1.430998, 3.249453, -0.613254>,
      < -1.431012, 3.272320, -0.641214>,
      < -1.673231, 3.272177, -0.641214>
    }
    triangle {
      < -1.430998, 3.249453, -0.613254>,
      < -1.673231, 3.272177, -0.641214>,
      < -1.673217, 3.249309, -0.613254>
    }
    triangle {
      < -3.151798, 3.113635, -0.376365>,
      < -2.956843, 3.277851, -0.576891>,
      < -3.307017, 3.277644, -0.576890>
    }
    triangle {
      < -3.151798, 3.113635, -0.376365>,
      < -3.307017, 3.277644, -0.576890>,
      < -3.306921, 3.114620, -0.377681>
    }
    triangle {
      < -3.306904, 3.086665, -0.400557>,
      < -3.307001, 3.249690, -0.599767>,
      < -2.956827, 3.249897, -0.599767>
    }
    triangle {
      < -3.306904, 3.086665, -0.400557>,
      < -2.956827, 3.249897, -0.599767>,
      < -3.151781, 3.085681, -0.399242>
    }
    triangle {
      < -3.306921, 3.114620, -0.377681>,
      < -3.307017, 3.277644, -0.576890>,
      < -3.307001, 3.249690, -0.599767>
    }
    triangle {
      < -3.306921, 3.114620, -0.377681>,
      < -3.307001, 3.249690, -0.599767>,
      < -3.306904, 3.086665, -0.400557>
    }
    triangle {
      < -3.151781, 3.085681, -0.399242>,
      < -3.151798, 3.113635, -0.376365>,
      < -3.306921, 3.114620, -0.377681>
    }
    triangle {
      < -3.151781, 3.085681, -0.399242>,
      < -3.306921, 3.114620, -0.377681>,
      < -3.306904, 3.086665, -0.400557>
    }
    triangle {
      < -3.151781, 3.085681, -0.399242>,
      < -2.956827, 3.249897, -0.599767>,
      < -2.956843, 3.277851, -0.576891>
    }
    triangle {
      < -3.151781, 3.085681, -0.399242>,
      < -2.956843, 3.277851, -0.576891>,
      < -3.151798, 3.113635, -0.376365>
    }
    triangle {
      < -2.956843, 3.277851, -0.576891>,
      < -2.956827, 3.249897, -0.599767>,
      < -3.307001, 3.249690, -0.599767>
    }
    triangle {
      < -2.956843, 3.277851, -0.576891>,
      < -3.307001, 3.249690, -0.599767>,
      < -3.307017, 3.277644, -0.576890>
    }
    triangle {
      < -3.395098, 3.800330, -0.997740>,
      < -3.395117, 3.832247, -1.022424>,
      < -3.754379, 3.832034, -1.022424>
    }
    triangle {
      < -3.395098, 3.800330, -0.997740>,
      < -3.754379, 3.832034, -1.022424>,
      < -3.754200, 3.530016, -0.788853>
    }
    triangle {
      < -3.754180, 3.497241, -0.831235>,
      < -3.754359, 3.799258, -1.064806>,
      < -3.395097, 3.799471, -1.064806>
    }
    triangle {
      < -3.754180, 3.497241, -0.831235>,
      < -3.395097, 3.799471, -1.064806>,
      < -3.395078, 3.767554, -1.040122>
    }
    triangle {
      < -3.754200, 3.530016, -0.788853>,
      < -3.754379, 3.832034, -1.022424>,
      < -3.754359, 3.799258, -1.064806>
    }
    triangle {
      < -3.754200, 3.530016, -0.788853>,
      < -3.754359, 3.799258, -1.064806>,
      < -3.754180, 3.497241, -0.831235>
    }
    triangle {
      < -3.395078, 3.767554, -1.040122>,
      < -3.395098, 3.800330, -0.997740>,
      < -3.754200, 3.530016, -0.788853>
    }
    triangle {
      < -3.395078, 3.767554, -1.040122>,
      < -3.754200, 3.530016, -0.788853>,
      < -3.754180, 3.497241, -0.831235>
    }
    triangle {
      < -3.395078, 3.767554, -1.040122>,
      < -3.395097, 3.799471, -1.064806>,
      < -3.395117, 3.832247, -1.022424>
    }
    triangle {
      < -3.395078, 3.767554, -1.040122>,
      < -3.395117, 3.832247, -1.022424>,
      < -3.395098, 3.800330, -0.997740>
    }
    triangle {
      < -3.395117, 3.832247, -1.022424>,
      < -3.395097, 3.799471, -1.064806>,
      < -3.754359, 3.799258, -1.064806>
    }
    triangle {
      < -3.395117, 3.832247, -1.022424>,
      < -3.754359, 3.799258, -1.064806>,
      < -3.754379, 3.832034, -1.022424>
    }
    triangle {
      < -1.888482, 3.801223, -0.997741>,
      < -1.888501, 3.833140, -1.022425>,
      < -2.247764, 3.832927, -1.022425>
    }
    triangle {
      < -1.888482, 3.801223, -0.997741>,
      < -2.247764, 3.832927, -1.022425>,
      < -2.247585, 3.530909, -0.788854>
    }
    triangle {
      < -2.247566, 3.498134, -0.831235>,
      < -2.247745, 3.800151, -1.064806>,
      < -1.888482, 3.800364, -1.064806>
    }
    triangle {
      < -2.247566, 3.498134, -0.831235>,
      < -1.888482, 3.800364, -1.064806>,
      < -1.888463, 3.768447, -1.040122>
    }
    triangle {
      < -2.247585, 3.530909, -0.788854>,
      < -2.247764, 3.832927, -1.022425>,
      < -2.247745, 3.800151, -1.064806>
    }
    triangle {
      < -2.247585, 3.530909, -0.788854>,
      < -2.247745, 3.800151, -1.064806>,
      < -2.247566, 3.498134, -0.831235>
    }
    triangle {
      < -1.888463, 3.768447, -1.040122>,
      < -1.888482, 3.801223, -0.997741>,
      < -2.247585, 3.530909, -0.788854>
    }
    triangle {
      < -1.888463, 3.768447, -1.040122>,
      < -2.247585, 3.530909, -0.788854>,
      < -2.247566, 3.498134, -0.831235>
    }
    triangle {
      < -1.888463, 3.768447, -1.040122>,
      < -1.888482, 3.800364, -1.064806>,
      < -1.888501, 3.833140, -1.022425>
    }
    triangle {
      < -1.888463, 3.768447, -1.040122>,
      < -1.888501, 3.833140, -1.022425>,
      < -1.888482, 3.801223, -0.997741>
    }
    triangle {
      < -1.888501, 3.833140, -1.022425>,
      < -1.888482, 3.800364, -1.064806>,
      < -2.247745, 3.800151, -1.064806>
    }
    triangle {
      < -1.888501, 3.833140, -1.022425>,
      < -2.247745, 3.800151, -1.064806>,
      < -2.247764, 3.832927, -1.022425>
    }
    triangle {
      < -1.625970, 3.114540, -0.376366>,
      < -1.431015, 3.278755, -0.576891>,
      < -1.673234, 3.278612, -0.576891>
    }
    triangle {
      < -1.625970, 3.114540, -0.376366>,
      < -1.673234, 3.278612, -0.576891>,
      < -1.673138, 3.115588, -0.377681>
    }
    triangle {
      < -1.673121, 3.087633, -0.400558>,
      < -1.673218, 3.250658, -0.599768>,
      < -1.430999, 3.250802, -0.599768>
    }
    triangle {
      < -1.673121, 3.087633, -0.400558>,
      < -1.430999, 3.250802, -0.599768>,
      < -1.625954, 3.086585, -0.399242>
    }
    triangle {
      < -1.673138, 3.115588, -0.377681>,
      < -1.673234, 3.278612, -0.576891>,
      < -1.673218, 3.250658, -0.599768>
    }
    triangle {
      < -1.673138, 3.115588, -0.377681>,
      < -1.673218, 3.250658, -0.599768>,
      < -1.673121, 3.087633, -0.400558>
    }
    triangle {
      < -1.625954, 3.086585, -0.399242>,
      < -1.625970, 3.114540, -0.376366>,
      < -1.673138, 3.115588, -0.377681>
    }
    triangle {
      < -1.625954, 3.086585, -0.399242>,
      < -1.673138, 3.115588, -0.377681>,
      < -1.673121, 3.087633, -0.400558>
    }
    triangle {
      < -1.625954, 3.086585, -0.399242>,
      < -1.430999, 3.250802, -0.599768>,
      < -1.431015, 3.278755, -0.576891>
    }
    triangle {
      < -1.625954, 3.086585, -0.399242>,
      < -1.431015, 3.278755, -0.576891>,
      < -1.625970, 3.114540, -0.376366>
    }
    triangle {
      < -1.431015, 3.278755, -0.576891>,
      < -1.430999, 3.250802, -0.599768>,
      < -1.673218, 3.250658, -0.599768>
    }
    triangle {
      < -1.431015, 3.278755, -0.576891>,
      < -1.673218, 3.250658, -0.599768>,
      < -1.673234, 3.278612, -0.576891>
    }
    triangle {
      < -3.152035, 3.514583, -0.442023>,
      < -2.956865, 3.314223, -0.606184>,
      < -3.307039, 3.314015, -0.606184>
    }
    triangle {
      < -3.152035, 3.514583, -0.442023>,
      < -3.307039, 3.314015, -0.606184>,
      < -3.307157, 3.513177, -0.443100>
    }
    triangle {
      < -3.307143, 3.490292, -0.415153>,
      < -3.307025, 3.291130, -0.578237>,
      < -2.956851, 3.291337, -0.578237>
    }
    triangle {
      < -3.307143, 3.490292, -0.415153>,
      < -2.956851, 3.291337, -0.578237>,
      < -3.152022, 3.491699, -0.414076>
    }
    triangle {
      < -3.307157, 3.513177, -0.443100>,
      < -3.307039, 3.314015, -0.606184>,
      < -3.307025, 3.291130, -0.578237>
    }
    triangle {
      < -3.307157, 3.513177, -0.443100>,
      < -3.307025, 3.291130, -0.578237>,
      < -3.307143, 3.490292, -0.415153>
    }
    triangle {
      < -3.152022, 3.491699, -0.414076>,
      < -3.152035, 3.514583, -0.442023>,
      < -3.307157, 3.513177, -0.443100>
    }
    triangle {
      < -3.152022, 3.491699, -0.414076>,
      < -3.307157, 3.513177, -0.443100>,
      < -3.307143, 3.490292, -0.415153>
    }
    triangle {
      < -3.152022, 3.491699, -0.414076>,
      < -2.956851, 3.291337, -0.578237>,
      < -2.956865, 3.314223, -0.606184>
    }
    triangle {
      < -3.152022, 3.491699, -0.414076>,
      < -2.956865, 3.314223, -0.606184>,
      < -3.152035, 3.514583, -0.442023>
    }
    triangle {
      < -2.956865, 3.314223, -0.606184>,
      < -2.956851, 3.291337, -0.578237>,
      < -3.307025, 3.291130, -0.578237>
    }
    triangle {
      < -2.956865, 3.314223, -0.606184>,
      < -3.307025, 3.291130, -0.578237>,
      < -3.307039, 3.314015, -0.606184>
    }
    triangle {
      < -3.395168, 3.919251, -1.020712>,
      < -3.395154, 3.894578, -1.052637>,
      < -3.754416, 3.894365, -1.052637>
    }
    triangle {
      < -3.395168, 3.919251, -1.020712>,
      < -3.754416, 3.894365, -1.052637>,
      < -3.754554, 4.127845, -0.750548>
    }
    triangle {
      < -3.754529, 4.085454, -0.717785>,
      < -3.754391, 3.851974, -1.019873>,
      < -3.395129, 3.852187, -1.019873>
    }
    triangle {
      < -3.754529, 4.085454, -0.717785>,
      < -3.395129, 3.852187, -1.019873>,
      < -3.395143, 3.876862, -0.987949>
    }
    triangle {
      < -3.754554, 4.127845, -0.750548>,
      < -3.754416, 3.894365, -1.052637>,
      < -3.754391, 3.851974, -1.019873>
    }
    triangle {
      < -3.754554, 4.127845, -0.750548>,
      < -3.754391, 3.851974, -1.019873>,
      < -3.754529, 4.085454, -0.717785>
    }
    triangle {
      < -3.395143, 3.876862, -0.987949>,
      < -3.395168, 3.919251, -1.020712>,
      < -3.754554, 4.127845, -0.750548>
    }
    triangle {
      < -3.395143, 3.876862, -0.987949>,
      < -3.754554, 4.127845, -0.750548>,
      < -3.754529, 4.085454, -0.717785>
    }
    triangle {
      < -3.395143, 3.876862, -0.987949>,
      < -3.395129, 3.852187, -1.019873>,
      < -3.395154, 3.894578, -1.052637>
    }
    triangle {
      < -3.395143, 3.876862, -0.987949>,
      < -3.395154, 3.894578, -1.052637>,
      < -3.395168, 3.919251, -1.020712>
    }
    triangle {
      < -3.395154, 3.894578, -1.052637>,
      < -3.395129, 3.852187, -1.019873>,
      < -3.754391, 3.851974, -1.019873>
    }
    triangle {
      < -3.395154, 3.894578, -1.052637>,
      < -3.754391, 3.851974, -1.019873>,
      < -3.754416, 3.894365, -1.052637>
    }
    triangle {
      < -1.888553, 3.920144, -1.020712>,
      < -1.888538, 3.895470, -1.052638>,
      < -2.247801, 3.895257, -1.052637>
    }
    triangle {
      < -1.888553, 3.920144, -1.020712>,
      < -2.247801, 3.895257, -1.052637>,
      < -2.247939, 4.128738, -0.750549>
    }
    triangle {
      < -2.247914, 4.086347, -0.717786>,
      < -2.247776, 3.852867, -1.019873>,
      < -1.888513, 3.853080, -1.019874>
    }
    triangle {
      < -2.247914, 4.086347, -0.717786>,
      < -1.888513, 3.853080, -1.019874>,
      < -1.888528, 3.877755, -0.987949>
    }
    triangle {
      < -2.247939, 4.128738, -0.750549>,
      < -2.247801, 3.895257, -1.052637>,
      < -2.247776, 3.852867, -1.019873>
    }
    triangle {
      < -2.247939, 4.128738, -0.750549>,
      < -2.247776, 3.852867, -1.019873>,
      < -2.247914, 4.086347, -0.717786>
    }
    triangle {
      < -1.888528, 3.877755, -0.987949>,
      < -1.888553, 3.920144, -1.020712>,
      < -2.247939, 4.128738, -0.750549>
    }
    triangle {
      < -1.888528, 3.877755, -0.987949>,
      < -2.247939, 4.128738, -0.750549>,
      < -2.247914, 4.086347, -0.717786>
    }
    triangle {
      < -1.888528, 3.877755, -0.987949>,
      < -1.888513, 3.853080, -1.019874>,
      < -1.888538, 3.895470, -1.052638>
    }
    triangle {
      < -1.888528, 3.877755, -0.987949>,
      < -1.888538, 3.895470, -1.052638>,
      < -1.888553, 3.920144, -1.020712>
    }
    triangle {
      < -1.888538, 3.895470, -1.052638>,
      < -1.888513, 3.853080, -1.019874>,
      < -2.247776, 3.852867, -1.019873>
    }
    triangle {
      < -1.888538, 3.895470, -1.052638>,
      < -2.247776, 3.852867, -1.019873>,
      < -2.247801, 3.895257, -1.052637>
    }
    triangle {
      < -1.626208, 3.515487, -0.442023>,
      < -1.431037, 3.315127, -0.606185>,
      < -1.673256, 3.314984, -0.606185>
    }
    triangle {
      < -1.626208, 3.515487, -0.442023>,
      < -1.673256, 3.314984, -0.606185>,
      < -1.673374, 3.514145, -0.443101>
    }
    triangle {
      < -1.673360, 3.491260, -0.415153>,
      < -1.673242, 3.292098, -0.578237>,
      < -1.431024, 3.292242, -0.578237>
    }
    triangle {
      < -1.673360, 3.491260, -0.415153>,
      < -1.431024, 3.292242, -0.578237>,
      < -1.626194, 3.492603, -0.414077>
    }
    triangle {
      < -1.673374, 3.514145, -0.443101>,
      < -1.673256, 3.314984, -0.606185>,
      < -1.673242, 3.292098, -0.578237>
    }
    triangle {
      < -1.673374, 3.514145, -0.443101>,
      < -1.673242, 3.292098, -0.578237>,
      < -1.673360, 3.491260, -0.415153>
    }
    triangle {
      < -1.626194, 3.492603, -0.414077>,
      < -1.626208, 3.515487, -0.442023>,
      < -1.673374, 3.514145, -0.443101>
    }
    triangle {
      < -1.626194, 3.492603, -0.414077>,
      < -1.673374, 3.514145, -0.443101>,
      < -1.673360, 3.491260, -0.415153>
    }
    triangle {
      < -1.626194, 3.492603, -0.414077>,
      < -1.431024, 3.292242, -0.578237>,
      < -1.431037, 3.315127, -0.606185>
    }
    triangle {
      < -1.626194, 3.492603, -0.414077>,
      < -1.431037, 3.315127, -0.606185>,
      < -1.626208, 3.515487, -0.442023>
    }
    triangle {
      < -1.431037, 3.315127, -0.606185>,
      < -1.431024, 3.292242, -0.578237>,
      < -1.673242, 3.292098, -0.578237>
    }
    triangle {
      < -1.431037, 3.315127, -0.606185>,
      < -1.673242, 3.292098, -0.578237>,
      < -1.673256, 3.314984, -0.606185>
    }
    texture {ordinace2}
  }
  // pilot2
  union {
    triangle {
      < 4.571066, 0.270704, -0.260955>,
      < 4.571374, -0.249209, -0.260493>,
      < 4.638962, -0.249340, -0.452861>
    }
    triangle {
      < 4.571066, 0.270704, -0.260955>,
      < 4.638962, -0.249340, -0.452861>,
      < 4.638654, 0.270573, -0.453323>
    }
    triangle {
      < 4.061551, 0.270328, -0.344141>,
      < 4.061859, -0.249585, -0.343679>,
      < 4.571374, -0.249209, -0.260493>
    }
    triangle {
      < 4.061551, 0.270328, -0.344141>,
      < 4.571374, -0.249209, -0.260493>,
      < 4.571066, 0.270704, -0.260955>
    }
    triangle {
      < 3.915975, 0.270797, 0.279754>,
      < 3.916283, -0.249116, 0.280216>,
      < 4.061859, -0.249585, -0.343679>
    }
    triangle {
      < 3.915975, 0.270797, 0.279754>,
      < 4.061859, -0.249585, -0.343679>,
      < 4.061551, 0.270328, -0.344141>
    }
    triangle {
      < 3.718408, 0.270675, 0.274556>,
      < 3.718716, -0.249238, 0.275018>,
      < 3.916283, -0.249116, 0.280216>
    }
    triangle {
      < 3.718408, 0.270675, 0.274556>,
      < 3.916283, -0.249116, 0.280216>,
      < 3.915975, 0.270797, 0.279754>
    }
    triangle {
      < 3.718408, 0.270485, 0.061391>,
      < 3.718717, -0.249428, 0.061853>,
      < 3.718716, -0.249238, 0.275018>
    }
    triangle {
      < 3.718408, 0.270485, 0.061391>,
      < 3.718716, -0.249238, 0.275018>,
      < 3.718408, 0.270675, 0.274556>
    }
    triangle {
      < 3.775598, 0.270519, 0.061391>,
      < 3.775907, -0.249394, 0.061853>,
      < 3.718717, -0.249428, 0.061853>
    }
    triangle {
      < 3.775598, 0.270519, 0.061391>,
      < 3.718717, -0.249428, 0.061853>,
      < 3.718408, 0.270485, 0.061391>
    }
    triangle {
      < 3.884780, 0.270071, -0.515713>,
      < 3.885088, -0.249842, -0.515251>,
      < 3.775907, -0.249394, 0.061853>
    }
    triangle {
      < 3.884780, 0.270071, -0.515713>,
      < 3.775907, -0.249394, 0.061853>,
      < 3.775598, 0.270519, 0.061391>
    }
    triangle {
      < 4.446286, 0.270403, -0.515713>,
      < 4.446594, -0.249509, -0.515251>,
      < 3.885088, -0.249842, -0.515251>
    }
    triangle {
      < 4.446286, 0.270403, -0.515713>,
      < 3.885088, -0.249842, -0.515251>,
      < 3.884780, 0.270071, -0.515713>
    }
    triangle {
      < 4.638654, 0.270573, -0.453323>,
      < 4.638962, -0.249340, -0.452861>,
      < 4.446594, -0.249509, -0.515251>
    }
    triangle {
      < 4.638654, 0.270573, -0.453323>,
      < 4.446594, -0.249509, -0.515251>,
      < 4.446286, 0.270403, -0.515713>
    }
    triangle {
      < 4.638962, -0.249340, -0.452861>,
      < 4.571374, -0.249209, -0.260493>,
      < 4.446594, -0.249509, -0.515251>
    }
    triangle {
      < 4.446594, -0.249509, -0.515251>,
      < 4.571374, -0.249209, -0.260493>,
      < 4.061859, -0.249585, -0.343679>
    }
    triangle {
      < 4.446594, -0.249509, -0.515251>,
      < 4.061859, -0.249585, -0.343679>,
      < 3.885088, -0.249842, -0.515251>
    }
    triangle {
      < 4.061859, -0.249585, -0.343679>,
      < 3.916283, -0.249116, 0.280216>,
      < 3.885088, -0.249842, -0.515251>
    }
    triangle {
      < 3.885088, -0.249842, -0.515251>,
      < 3.916283, -0.249116, 0.280216>,
      < 3.775907, -0.249394, 0.061853>
    }
    triangle {
      < 3.775907, -0.249394, 0.061853>,
      < 3.916283, -0.249116, 0.280216>,
      < 3.718716, -0.249238, 0.275018>
    }
    triangle {
      < 3.775907, -0.249394, 0.061853>,
      < 3.718716, -0.249238, 0.275018>,
      < 3.718717, -0.249428, 0.061853>
    }
    triangle {
      < 4.446286, 0.270403, -0.515713>,
      < 3.884780, 0.270071, -0.515713>,
      < 4.638654, 0.270573, -0.453323>
    }
    triangle {
      < 4.638654, 0.270573, -0.453323>,
      < 3.884780, 0.270071, -0.515713>,
      < 4.061551, 0.270328, -0.344141>
    }
    triangle {
      < 4.638654, 0.270573, -0.453323>,
      < 4.061551, 0.270328, -0.344141>,
      < 4.571066, 0.270704, -0.260955>
    }
    triangle {
      < 4.061551, 0.270328, -0.344141>,
      < 3.884780, 0.270071, -0.515713>,
      < 3.775598, 0.270519, 0.061391>
    }
    triangle {
      < 3.775598, 0.270519, 0.061391>,
      < 3.718408, 0.270485, 0.061391>,
      < 3.718408, 0.270675, 0.274556>
    }
    triangle {
      < 4.061551, 0.270328, -0.344141>,
      < 3.775598, 0.270519, 0.061391>,
      < 3.718408, 0.270675, 0.274556>
    }
    triangle {
      < 4.061551, 0.270328, -0.344141>,
      < 3.718408, 0.270675, 0.274556>,
      < 3.915975, 0.270797, 0.279754>
    }
    triangle {
      < 4.022638, 0.010502, 0.307251>,
      < 3.974780, 0.087658, 0.280342>,
      < 3.962869, 0.010441, 0.278645>
    }
    triangle {
      < 3.962869, 0.010441, 0.278645>,
      < 3.974780, 0.087658, 0.280342>,
      < 3.955796, 0.122119, 0.252081>
    }
    triangle {
      < 3.962869, 0.010441, 0.278645>,
      < 3.955796, 0.122119, 0.252081>,
      < 3.938561, 0.010400, 0.249625>
    }
    triangle {
      < 3.938561, 0.010400, 0.249625>,
      < 3.955796, 0.122119, 0.252081>,
      < 3.949526, 0.143422, 0.197452>
    }
    triangle {
      < 3.938561, 0.010400, 0.249625>,
      < 3.949526, 0.143422, 0.197452>,
      < 3.928998, 0.010346, 0.194527>
    }
    triangle {
      < 3.928998, 0.010346, 0.194527>,
      < 3.949526, 0.143422, 0.197452>,
      < 3.983014, 0.143240, -0.029298>
    }
    triangle {
      < 3.928998, 0.010346, 0.194527>,
      < 3.983014, 0.143240, -0.029298>,
      < 3.962487, 0.010164, -0.032223>
    }
    triangle {
      < 3.962487, 0.010164, -0.032223>,
      < 3.983014, 0.143240, -0.029298>,
      < 4.039162, 0.108578, -0.252673>
    }
    triangle {
      < 3.962487, 0.010164, -0.032223>,
      < 4.039162, 0.108578, -0.252673>,
      < 4.023956, 0.010003, -0.254840>
    }
    triangle {
      < 4.023956, 0.010003, -0.254840>,
      < 4.039162, 0.108578, -0.252673>,
      < 4.105395, 0.008416, -0.245637>
    }
    triangle {
      < 4.023956, 0.010003, -0.254840>,
      < 4.105395, 0.008416, -0.245637>,
      < 4.105648, 0.010060, -0.245601>
    }
    triangle {
      < 4.022638, 0.010502, 0.307251>,
      < 4.006056, 0.135409, 0.284923>,
      < 3.974780, 0.087658, 0.280342>
    }
    triangle {
      < 3.974780, 0.087658, 0.280342>,
      < 4.006056, 0.135409, 0.284923>,
      < 4.001046, 0.191204, 0.258708>
    }
    triangle {
      < 3.974780, 0.087658, 0.280342>,
      < 4.001046, 0.191204, 0.258708>,
      < 3.955796, 0.122119, 0.252081>
    }
    triangle {
      < 3.955796, 0.122119, 0.252081>,
      < 4.001046, 0.191204, 0.258708>,
      < 4.003427, 0.225716, 0.205346>
    }
    triangle {
      < 3.955796, 0.122119, 0.252081>,
      < 4.003427, 0.225716, 0.205346>,
      < 3.949526, 0.143422, 0.197452>
    }
    triangle {
      < 3.949526, 0.143422, 0.197452>,
      < 4.003427, 0.225716, 0.205346>,
      < 4.036915, 0.225534, -0.021404>
    }
    triangle {
      < 3.949526, 0.143422, 0.197452>,
      < 4.036915, 0.225534, -0.021404>,
      < 3.983014, 0.143240, -0.029298>
    }
    triangle {
      < 3.983014, 0.143240, -0.029298>,
      < 4.036915, 0.225534, -0.021404>,
      < 4.079089, 0.169536, -0.246826>
    }
    triangle {
      < 3.983014, 0.143240, -0.029298>,
      < 4.079089, 0.169536, -0.246826>,
      < 4.039162, 0.108578, -0.252673>
    }
    triangle {
      < 4.039162, 0.108578, -0.252673>,
      < 4.079089, 0.169536, -0.246826>,
      < 4.104729, 0.007400, -0.245734>
    }
    triangle {
      < 4.039162, 0.108578, -0.252673>,
      < 4.104729, 0.007400, -0.245734>,
      < 4.105395, 0.008416, -0.245637>
    }
    triangle {
      < 4.022638, 0.010502, 0.307251>,
      < 4.044755, 0.135460, 0.290638>,
      < 4.006056, 0.135409, 0.284923>
    }
    triangle {
      < 4.006056, 0.135409, 0.284923>,
      < 4.044755, 0.135460, 0.290638>,
      < 4.057035, 0.191280, 0.266977>
    }
    triangle {
      < 4.006056, 0.135409, 0.284923>,
      < 4.057035, 0.191280, 0.266977>,
      < 4.001046, 0.191204, 0.258708>
    }
    triangle {
      < 4.001046, 0.191204, 0.258708>,
      < 4.057035, 0.191280, 0.266977>,
      < 4.070121, 0.225806, 0.215196>
    }
    triangle {
      < 4.001046, 0.191204, 0.258708>,
      < 4.070121, 0.225806, 0.215196>,
      < 4.003427, 0.225716, 0.205346>
    }
    triangle {
      < 4.003427, 0.225716, 0.205346>,
      < 4.070121, 0.225806, 0.215196>,
      < 4.103609, 0.225623, -0.011554>
    }
    triangle {
      < 4.003427, 0.225716, 0.205346>,
      < 4.103609, 0.225623, -0.011554>,
      < 4.036915, 0.225534, -0.021404>
    }
    triangle {
      < 4.036915, 0.225534, -0.021404>,
      < 4.103609, 0.225623, -0.011554>,
      < 4.128492, 0.169602, -0.239530>
    }
    triangle {
      < 4.036915, 0.225534, -0.021404>,
      < 4.128492, 0.169602, -0.239530>,
      < 4.079089, 0.169536, -0.246826>
    }
    triangle {
      < 4.079089, 0.169536, -0.246826>,
      < 4.128492, 0.169602, -0.239530>,
      < 4.103906, 0.007399, -0.245856>
    }
    triangle {
      < 4.079089, 0.169536, -0.246826>,
      < 4.103906, 0.007399, -0.245856>,
      < 4.104729, 0.007400, -0.245734>
    }
    triangle {
      < 4.022638, 0.010502, 0.307251>,
      < 4.076100, 0.087795, 0.295305>,
      < 4.044755, 0.135460, 0.290638>
    }
    triangle {
      < 4.044755, 0.135460, 0.290638>,
      < 4.076100, 0.087795, 0.295305>,
      < 4.102386, 0.122315, 0.273731>
    }
    triangle {
      < 4.044755, 0.135460, 0.290638>,
      < 4.102386, 0.122315, 0.273731>,
      < 4.057035, 0.191280, 0.266977>
    }
    triangle {
      < 4.057035, 0.191280, 0.266977>,
      < 4.102386, 0.122315, 0.273731>,
      < 4.124144, 0.143657, 0.223241>
    }
    triangle {
      < 4.057035, 0.191280, 0.266977>,
      < 4.124144, 0.143657, 0.223241>,
      < 4.070121, 0.225806, 0.215196>
    }
    triangle {
      < 4.070121, 0.225806, 0.215196>,
      < 4.124144, 0.143657, 0.223241>,
      < 4.157630, 0.143476, -0.003510>
    }
    triangle {
      < 4.070121, 0.225806, 0.215196>,
      < 4.157630, 0.143476, -0.003510>,
      < 4.103609, 0.225623, -0.011554>
    }
    triangle {
      < 4.103609, 0.225623, -0.011554>,
      < 4.157630, 0.143476, -0.003510>,
      < 4.168508, 0.108751, -0.233571>
    }
    triangle {
      < 4.103609, 0.225623, -0.011554>,
      < 4.168508, 0.108751, -0.233571>,
      < 4.128492, 0.169602, -0.239530>
    }
    triangle {
      < 4.128492, 0.169602, -0.239530>,
      < 4.168508, 0.108751, -0.233571>,
      < 4.103239, 0.008414, -0.245955>
    }
    triangle {
      < 4.128492, 0.169602, -0.239530>,
      < 4.103239, 0.008414, -0.245955>,
      < 4.103906, 0.007399, -0.245856>
    }
    triangle {
      < 4.022638, 0.010502, 0.307251>,
      < 4.088125, 0.010609, 0.297144>,
      < 4.076100, 0.087795, 0.295305>
    }
    triangle {
      < 4.076100, 0.087795, 0.295305>,
      < 4.088125, 0.010609, 0.297144>,
      < 4.119783, 0.010644, 0.276389>
    }
    triangle {
      < 4.076100, 0.087795, 0.295305>,
      < 4.119783, 0.010644, 0.276389>,
      < 4.102386, 0.122315, 0.273731>
    }
    triangle {
      < 4.102386, 0.122315, 0.273731>,
      < 4.119783, 0.010644, 0.276389>,
      < 4.144864, 0.010637, 0.226408>
    }
    triangle {
      < 4.102386, 0.122315, 0.273731>,
      < 4.144864, 0.010637, 0.226408>,
      < 4.124144, 0.143657, 0.223241>
    }
    triangle {
      < 4.124144, 0.143657, 0.223241>,
      < 4.144864, 0.010637, 0.226408>,
      < 4.178353, 0.010454, -0.000343>
    }
    triangle {
      < 4.124144, 0.143657, 0.223241>,
      < 4.178353, 0.010454, -0.000343>,
      < 4.157630, 0.143476, -0.003510>
    }
    triangle {
      < 4.157630, 0.143476, -0.003510>,
      < 4.178353, 0.010454, -0.000343>,
      < 4.183857, 0.010217, -0.231225>
    }
    triangle {
      < 4.157630, 0.143476, -0.003510>,
      < 4.183857, 0.010217, -0.231225>,
      < 4.168508, 0.108751, -0.233571>
    }
    triangle {
      < 4.168508, 0.108751, -0.233571>,
      < 4.183857, 0.010217, -0.231225>,
      < 4.102983, 0.010056, -0.245995>
    }
    triangle {
      < 4.168508, 0.108751, -0.233571>,
      < 4.102983, 0.010056, -0.245995>,
      < 4.103239, 0.008414, -0.245955>
    }
    triangle {
      < 4.022638, 0.010502, 0.307251>,
      < 4.076236, -0.066622, 0.295450>,
      < 4.088125, 0.010609, 0.297144>
    }
    triangle {
      < 4.088125, 0.010609, 0.297144>,
      < 4.076236, -0.066622, 0.295450>,
      < 4.102582, -0.101095, 0.273938>
    }
    triangle {
      < 4.088125, 0.010609, 0.297144>,
      < 4.102582, -0.101095, 0.273938>,
      < 4.119783, 0.010644, 0.276389>
    }
    triangle {
      < 4.119783, 0.010644, 0.276389>,
      < 4.102582, -0.101095, 0.273938>,
      < 4.124376, -0.122465, 0.223488>
    }
    triangle {
      < 4.119783, 0.010644, 0.276389>,
      < 4.124376, -0.122465, 0.223488>,
      < 4.144864, 0.010637, 0.226408>
    }
    triangle {
      < 4.144864, 0.010637, 0.226408>,
      < 4.124376, -0.122465, 0.223488>,
      < 4.157863, -0.122647, -0.003261>
    }
    triangle {
      < 4.144864, 0.010637, 0.226408>,
      < 4.157863, -0.122647, -0.003261>,
      < 4.178353, 0.010454, -0.000343>
    }
    triangle {
      < 4.178353, 0.010454, -0.000343>,
      < 4.157863, -0.122647, -0.003261>,
      < 4.168681, -0.088376, -0.233388>
    }
    triangle {
      < 4.178353, 0.010454, -0.000343>,
      < 4.168681, -0.088376, -0.233388>,
      < 4.183857, 0.010217, -0.231225>
    }
    triangle {
      < 4.183857, 0.010217, -0.231225>,
      < 4.168681, -0.088376, -0.233388>,
      < 4.103236, 0.011699, -0.245959>
    }
    triangle {
      < 4.183857, 0.010217, -0.231225>,
      < 4.103236, 0.011699, -0.245959>,
      < 4.102983, 0.010056, -0.245995>
    }
    triangle {
      < 4.022638, 0.010502, 0.307251>,
      < 4.044973, -0.114413, 0.290871>,
      < 4.076236, -0.066622, 0.295450>
    }
    triangle {
      < 4.076236, -0.066622, 0.295450>,
      < 4.044973, -0.114413, 0.290871>,
      < 4.057352, -0.170238, 0.267314>
    }
    triangle {
      < 4.076236, -0.066622, 0.295450>,
      < 4.057352, -0.170238, 0.267314>,
      < 4.102582, -0.101095, 0.273938>
    }
    triangle {
      < 4.102582, -0.101095, 0.273938>,
      < 4.057352, -0.170238, 0.267314>,
      < 4.070498, -0.204827, 0.215597>
    }
    triangle {
      < 4.102582, -0.101095, 0.273938>,
      < 4.070498, -0.204827, 0.215597>,
      < 4.124376, -0.122465, 0.223488>
    }
    triangle {
      < 4.124376, -0.122465, 0.223488>,
      < 4.070498, -0.204827, 0.215597>,
      < 4.103986, -0.205009, -0.011153>
    }
    triangle {
      < 4.124376, -0.122465, 0.223488>,
      < 4.103986, -0.205009, -0.011153>,
      < 4.157863, -0.122647, -0.003261>
    }
    triangle {
      < 4.157863, -0.122647, -0.003261>,
      < 4.103986, -0.205009, -0.011153>,
      < 4.128771, -0.149384, -0.239233>
    }
    triangle {
      < 4.157863, -0.122647, -0.003261>,
      < 4.128771, -0.149384, -0.239233>,
      < 4.168681, -0.088376, -0.233388>
    }
    triangle {
      < 4.168681, -0.088376, -0.233388>,
      < 4.128771, -0.149384, -0.239233>,
      < 4.103902, 0.012715, -0.245862>
    }
    triangle {
      < 4.168681, -0.088376, -0.233388>,
      < 4.103902, 0.012715, -0.245862>,
      < 4.103236, 0.011699, -0.245959>
    }
    triangle {
      < 4.022638, 0.010502, 0.307251>,
      < 4.006274, -0.114513, 0.285156>,
      < 4.044973, -0.114413, 0.290871>
    }
    triangle {
      < 4.044973, -0.114413, 0.290871>,
      < 4.006274, -0.114513, 0.285156>,
      < 4.001361, -0.170383, 0.259045>
    }
    triangle {
      < 4.044973, -0.114413, 0.290871>,
      < 4.001361, -0.170383, 0.259045>,
      < 4.057352, -0.170238, 0.267314>
    }
    triangle {
      < 4.057352, -0.170238, 0.267314>,
      < 4.001361, -0.170383, 0.259045>,
      < 4.003804, -0.204999, 0.205748>
    }
    triangle {
      < 4.057352, -0.170238, 0.267314>,
      < 4.003804, -0.204999, 0.205748>,
      < 4.070498, -0.204827, 0.215597>
    }
    triangle {
      < 4.070498, -0.204827, 0.215597>,
      < 4.003804, -0.204999, 0.205748>,
      < 4.037291, -0.205181, -0.021002>
    }
    triangle {
      < 4.070498, -0.204827, 0.215597>,
      < 4.037291, -0.205181, -0.021002>,
      < 4.103986, -0.205009, -0.011153>
    }
    triangle {
      < 4.103986, -0.205009, -0.011153>,
      < 4.037291, -0.205181, -0.021002>,
      < 4.079368, -0.149512, -0.246528>
    }
    triangle {
      < 4.103986, -0.205009, -0.011153>,
      < 4.079368, -0.149512, -0.246528>,
      < 4.128771, -0.149384, -0.239233>
    }
    triangle {
      < 4.128771, -0.149384, -0.239233>,
      < 4.079368, -0.149512, -0.246528>,
      < 4.104725, 0.012718, -0.245740>
    }
    triangle {
      < 4.128771, -0.149384, -0.239233>,
      < 4.104725, 0.012718, -0.245740>,
      < 4.103902, 0.012715, -0.245862>
    }
    triangle {
      < 4.022638, 0.010502, 0.307251>,
      < 3.974916, -0.066885, 0.280487>,
      < 4.006274, -0.114513, 0.285156>
    }
    triangle {
      < 4.006274, -0.114513, 0.285156>,
      < 3.974916, -0.066885, 0.280487>,
      < 3.955991, -0.101475, 0.252289>
    }
    triangle {
      < 4.006274, -0.114513, 0.285156>,
      < 3.955991, -0.101475, 0.252289>,
      < 4.001361, -0.170383, 0.259045>
    }
    triangle {
      < 4.001361, -0.170383, 0.259045>,
      < 3.955991, -0.101475, 0.252289>,
      < 3.949760, -0.122917, 0.197700>
    }
    triangle {
      < 4.001361, -0.170383, 0.259045>,
      < 3.949760, -0.122917, 0.197700>,
      < 4.003804, -0.204999, 0.205748>
    }
    triangle {
      < 4.003804, -0.204999, 0.205748>,
      < 3.949760, -0.122917, 0.197700>,
      < 3.983247, -0.123100, -0.029050>
    }
    triangle {
      < 4.003804, -0.204999, 0.205748>,
      < 3.983247, -0.123100, -0.029050>,
      < 4.037291, -0.205181, -0.021002>
    }
    triangle {
      < 4.037291, -0.205181, -0.021002>,
      < 3.983247, -0.123100, -0.029050>,
      < 4.039335, -0.088711, -0.252490>
    }
    triangle {
      < 4.037291, -0.205181, -0.021002>,
      < 4.039335, -0.088711, -0.252490>,
      < 4.079368, -0.149512, -0.246528>
    }
    triangle {
      < 4.079368, -0.149512, -0.246528>,
      < 4.039335, -0.088711, -0.252490>,
      < 4.105392, 0.011704, -0.245640>
    }
    triangle {
      < 4.079368, -0.149512, -0.246528>,
      < 4.105392, 0.011704, -0.245640>,
      < 4.104725, 0.012718, -0.245740>
    }
    triangle {
      < 4.022638, 0.010502, 0.307251>,
      < 3.962869, 0.010441, 0.278645>,
      < 3.974916, -0.066885, 0.280487>
    }
    triangle {
      < 3.974916, -0.066885, 0.280487>,
      < 3.962869, 0.010441, 0.278645>,
      < 3.938561, 0.010400, 0.249625>
    }
    triangle {
      < 3.974916, -0.066885, 0.280487>,
      < 3.938561, 0.010400, 0.249625>,
      < 3.955991, -0.101475, 0.252289>
    }
    triangle {
      < 3.955991, -0.101475, 0.252289>,
      < 3.938561, 0.010400, 0.249625>,
      < 3.928998, 0.010346, 0.194527>
    }
    triangle {
      < 3.955991, -0.101475, 0.252289>,
      < 3.928998, 0.010346, 0.194527>,
      < 3.949760, -0.122917, 0.197700>
    }
    triangle {
      < 3.949760, -0.122917, 0.197700>,
      < 3.928998, 0.010346, 0.194527>,
      < 3.962487, 0.010164, -0.032223>
    }
    triangle {
      < 3.949760, -0.122917, 0.197700>,
      < 3.962487, 0.010164, -0.032223>,
      < 3.983247, -0.123100, -0.029050>
    }
    triangle {
      < 3.983247, -0.123100, -0.029050>,
      < 3.962487, 0.010164, -0.032223>,
      < 4.023956, 0.010003, -0.254840>
    }
    triangle {
      < 3.983247, -0.123100, -0.029050>,
      < 4.023956, 0.010003, -0.254840>,
      < 4.039335, -0.088711, -0.252490>
    }
    triangle {
      < 4.039335, -0.088711, -0.252490>,
      < 4.023956, 0.010003, -0.254840>,
      < 4.105648, 0.010060, -0.245601>
    }
    triangle {
      < 4.039335, -0.088711, -0.252490>,
      < 4.105648, 0.010060, -0.245601>,
      < 4.105392, 0.011704, -0.245640>
    }
    triangle {
      < 3.999233, -0.151824, 0.438147>,
      < 4.046971, -0.143666, 0.422735>,
      < 4.049428, -0.143860, 0.438246>
    }
    triangle {
      < 3.999233, -0.151824, 0.438147>,
      < 4.039841, -0.143494, 0.408743>,
      < 4.046971, -0.143666, 0.422735>
    }
    triangle {
      < 3.999233, -0.151824, 0.438147>,
      < 4.028735, -0.143359, 0.397639>,
      < 4.039841, -0.143494, 0.408743>
    }
    triangle {
      < 3.999233, -0.151824, 0.438147>,
      < 4.014741, -0.143273, 0.390510>,
      < 4.028735, -0.143359, 0.397639>
    }
    triangle {
      < 3.999233, -0.151824, 0.438147>,
      < 3.999231, -0.143247, 0.388053>,
      < 4.014741, -0.143273, 0.390510>
    }
    triangle {
      < 3.999233, -0.151824, 0.438147>,
      < 3.983719, -0.143283, 0.390510>,
      < 3.999231, -0.143247, 0.388053>
    }
    triangle {
      < 3.999233, -0.151824, 0.438147>,
      < 3.969725, -0.143376, 0.397639>,
      < 3.983719, -0.143283, 0.390510>
    }
    triangle {
      < 3.999233, -0.151824, 0.438147>,
      < 3.958620, -0.143518, 0.408743>,
      < 3.969725, -0.143376, 0.397639>
    }
    triangle {
      < 3.999233, -0.151824, 0.438147>,
      < 3.951490, -0.143695, 0.422735>,
      < 3.958620, -0.143518, 0.408743>
    }
    triangle {
      < 3.999233, -0.151824, 0.438147>,
      < 3.949033, -0.143889, 0.438246>,
      < 3.951490, -0.143695, 0.422735>
    }
    triangle {
      < 3.999233, -0.151824, 0.438147>,
      < 3.951490, -0.144082, 0.453756>,
      < 3.949033, -0.143889, 0.438246>
    }
    triangle {
      < 3.999233, -0.151824, 0.438147>,
      < 3.958620, -0.144255, 0.467750>,
      < 3.951490, -0.144082, 0.453756>
    }
    triangle {
      < 3.999233, -0.151824, 0.438147>,
      < 3.969724, -0.144390, 0.478854>,
      < 3.958620, -0.144255, 0.467750>
    }
    triangle {
      < 3.999233, -0.151824, 0.438147>,
      < 3.983720, -0.144475, 0.485984>,
      < 3.969724, -0.144390, 0.478854>
    }
    triangle {
      < 3.999233, -0.151824, 0.438147>,
      < 3.999231, -0.144501, 0.488440>,
      < 3.983720, -0.144475, 0.485984>
    }
    triangle {
      < 3.999233, -0.151824, 0.438147>,
      < 4.014742, -0.144466, 0.485984>,
      < 3.999231, -0.144501, 0.488440>
    }
    triangle {
      < 3.999233, -0.151824, 0.438147>,
      < 4.028736, -0.144373, 0.478854>,
      < 4.014742, -0.144466, 0.485984>
    }
    triangle {
      < 3.999233, -0.151824, 0.438147>,
      < 4.039840, -0.144231, 0.467750>,
      < 4.028736, -0.144373, 0.478854>
    }
    triangle {
      < 3.999233, -0.151824, 0.438147>,
      < 4.046971, -0.144054, 0.453757>,
      < 4.039840, -0.144231, 0.467750>
    }
    triangle {
      < 3.999233, -0.151824, 0.438147>,
      < 4.049428, -0.143860, 0.438246>,
      < 4.046971, -0.144054, 0.453757>
    }
    triangle {
      < 4.046971, -0.143666, 0.422735>,
      < 4.090031, -0.120407, 0.409031>,
      < 4.094705, -0.120775, 0.438535>
    }
    triangle {
      < 4.046971, -0.143666, 0.422735>,
      < 4.094705, -0.120775, 0.438535>,
      < 4.049428, -0.143860, 0.438246>
    }
    triangle {
      < 4.039841, -0.143494, 0.408743>,
      < 4.076469, -0.120080, 0.382416>,
      < 4.090031, -0.120407, 0.409031>
    }
    triangle {
      < 4.039841, -0.143494, 0.408743>,
      < 4.090031, -0.120407, 0.409031>,
      < 4.046971, -0.143666, 0.422735>
    }
    triangle {
      < 4.028735, -0.143359, 0.397639>,
      < 4.055346, -0.119822, 0.361294>,
      < 4.076469, -0.120080, 0.382416>
    }
    triangle {
      < 4.028735, -0.143359, 0.397639>,
      < 4.076469, -0.120080, 0.382416>,
      < 4.039841, -0.143494, 0.408743>
    }
    triangle {
      < 4.014741, -0.143273, 0.390510>,
      < 4.028728, -0.119659, 0.347733>,
      < 4.055346, -0.119822, 0.361294>
    }
    triangle {
      < 4.014741, -0.143273, 0.390510>,
      < 4.055346, -0.119822, 0.361294>,
      < 4.028735, -0.143359, 0.397639>
    }
    triangle {
      < 3.999231, -0.143247, 0.388053>,
      < 3.999224, -0.119611, 0.343061>,
      < 4.028728, -0.119659, 0.347733>
    }
    triangle {
      < 3.999231, -0.143247, 0.388053>,
      < 4.028728, -0.119659, 0.347733>,
      < 4.014741, -0.143273, 0.390510>
    }
    triangle {
      < 3.983719, -0.143283, 0.390510>,
      < 3.969718, -0.119677, 0.347733>,
      < 3.999224, -0.119611, 0.343061>
    }
    triangle {
      < 3.983719, -0.143283, 0.390510>,
      < 3.999224, -0.119611, 0.343061>,
      < 3.999231, -0.143247, 0.388053>
    }
    triangle {
      < 3.969725, -0.143376, 0.397639>,
      < 3.943101, -0.119854, 0.361294>,
      < 3.969718, -0.119677, 0.347733>
    }
    triangle {
      < 3.969725, -0.143376, 0.397639>,
      < 3.969718, -0.119677, 0.347733>,
      < 3.983719, -0.143283, 0.390510>
    }
    triangle {
      < 3.958620, -0.143518, 0.408743>,
      < 3.921978, -0.120125, 0.382416>,
      < 3.943101, -0.119854, 0.361294>
    }
    triangle {
      < 3.958620, -0.143518, 0.408743>,
      < 3.943101, -0.119854, 0.361294>,
      < 3.969725, -0.143376, 0.397639>
    }
    triangle {
      < 3.951490, -0.143695, 0.422735>,
      < 3.908415, -0.120461, 0.409031>,
      < 3.921978, -0.120125, 0.382416>
    }
    triangle {
      < 3.951490, -0.143695, 0.422735>,
      < 3.921978, -0.120125, 0.382416>,
      < 3.958620, -0.143518, 0.408743>
    }
    triangle {
      < 3.949033, -0.143889, 0.438246>,
      < 3.903743, -0.120831, 0.438535>,
      < 3.908415, -0.120461, 0.409031>
    }
    triangle {
      < 3.949033, -0.143889, 0.438246>,
      < 3.908415, -0.120461, 0.409031>,
      < 3.951490, -0.143695, 0.422735>
    }
    triangle {
      < 3.951490, -0.144082, 0.453756>,
      < 3.908416, -0.121198, 0.468037>,
      < 3.903743, -0.120831, 0.438535>
    }
    triangle {
      < 3.951490, -0.144082, 0.453756>,
      < 3.903743, -0.120831, 0.438535>,
      < 3.949033, -0.143889, 0.438246>
    }
    triangle {
      < 3.958620, -0.144255, 0.467750>,
      < 3.921978, -0.121527, 0.494652>,
      < 3.908416, -0.121198, 0.468037>
    }
    triangle {
      < 3.958620, -0.144255, 0.467750>,
      < 3.908416, -0.121198, 0.468037>,
      < 3.951490, -0.144082, 0.453756>
    }
    triangle {
      < 3.969724, -0.144390, 0.478854>,
      < 3.943101, -0.121784, 0.515774>,
      < 3.921978, -0.121527, 0.494652>
    }
    triangle {
      < 3.969724, -0.144390, 0.478854>,
      < 3.921978, -0.121527, 0.494652>,
      < 3.958620, -0.144255, 0.467750>
    }
    triangle {
      < 3.983720, -0.144475, 0.485984>,
      < 3.969718, -0.121945, 0.529335>,
      < 3.943101, -0.121784, 0.515774>
    }
    triangle {
      < 3.983720, -0.144475, 0.485984>,
      < 3.943101, -0.121784, 0.515774>,
      < 3.969724, -0.144390, 0.478854>
    }
    triangle {
      < 3.999231, -0.144501, 0.488440>,
      < 3.999224, -0.121995, 0.534008>,
      < 3.969718, -0.121945, 0.529335>
    }
    triangle {
      < 3.999231, -0.144501, 0.488440>,
      < 3.969718, -0.121945, 0.529335>,
      < 3.983720, -0.144475, 0.485984>
    }
    triangle {
      < 4.014742, -0.144466, 0.485984>,
      < 4.028729, -0.121928, 0.529335>,
      < 3.999224, -0.121995, 0.534008>
    }
    triangle {
      < 4.014742, -0.144466, 0.485984>,
      < 3.999224, -0.121995, 0.534008>,
      < 3.999231, -0.144501, 0.488440>
    }
    triangle {
      < 4.028736, -0.144373, 0.478854>,
      < 4.055347, -0.121751, 0.515774>,
      < 4.028729, -0.121928, 0.529335>
    }
    triangle {
      < 4.028736, -0.144373, 0.478854>,
      < 4.028729, -0.121928, 0.529335>,
      < 4.014742, -0.144466, 0.485984>
    }
    triangle {
      < 4.039840, -0.144231, 0.467750>,
      < 4.076468, -0.121480, 0.494653>,
      < 4.055347, -0.121751, 0.515774>
    }
    triangle {
      < 4.039840, -0.144231, 0.467750>,
      < 4.055347, -0.121751, 0.515774>,
      < 4.028736, -0.144373, 0.478854>
    }
    triangle {
      < 4.046971, -0.144054, 0.453757>,
      < 4.090032, -0.121144, 0.468038>,
      < 4.076468, -0.121480, 0.494653>
    }
    triangle {
      < 4.046971, -0.144054, 0.453757>,
      < 4.076468, -0.121480, 0.494653>,
      < 4.039840, -0.144231, 0.467750>
    }
    triangle {
      < 4.049428, -0.143860, 0.438246>,
      < 4.094705, -0.120775, 0.438535>,
      < 4.090032, -0.121144, 0.468038>
    }
    triangle {
      < 4.049428, -0.143860, 0.438246>,
      < 4.090032, -0.121144, 0.468038>,
      < 4.046971, -0.144054, 0.453757>
    }
    triangle {
      < 4.090031, -0.120407, 0.409031>,
      < 4.124198, -0.084324, 0.398376>,
      < 4.130631, -0.084829, 0.438983>
    }
    triangle {
      < 4.090031, -0.120407, 0.409031>,
      < 4.130631, -0.084829, 0.438983>,
      < 4.094705, -0.120775, 0.438535>
    }
    triangle {
      < 4.076469, -0.120080, 0.382416>,
      < 4.105533, -0.083872, 0.361744>,
      < 4.124198, -0.084324, 0.398376>
    }
    triangle {
      < 4.076469, -0.120080, 0.382416>,
      < 4.124198, -0.084324, 0.398376>,
      < 4.090031, -0.120407, 0.409031>
    }
    triangle {
      < 4.055346, -0.119822, 0.361294>,
      < 4.076458, -0.083518, 0.332672>,
      < 4.105533, -0.083872, 0.361744>
    }
    triangle {
      < 4.055346, -0.119822, 0.361294>,
      < 4.105533, -0.083872, 0.361744>,
      < 4.076469, -0.120080, 0.382416>
    }
    triangle {
      < 4.028728, -0.119659, 0.347733>,
      < 4.039823, -0.083296, 0.314006>,
      < 4.076458, -0.083518, 0.332672>
    }
    triangle {
      < 4.028728, -0.119659, 0.347733>,
      < 4.076458, -0.083518, 0.332672>,
      < 4.055346, -0.119822, 0.361294>
    }
    triangle {
      < 3.999224, -0.119611, 0.343061>,
      < 3.999213, -0.083228, 0.307574>,
      < 4.039823, -0.083296, 0.314006>
    }
    triangle {
      < 3.999224, -0.119611, 0.343061>,
      < 4.039823, -0.083296, 0.314006>,
      < 4.028728, -0.119659, 0.347733>
    }
    triangle {
      < 3.969718, -0.119677, 0.347733>,
      < 3.958602, -0.083319, 0.314006>,
      < 3.999213, -0.083228, 0.307574>
    }
    triangle {
      < 3.969718, -0.119677, 0.347733>,
      < 3.999213, -0.083228, 0.307574>,
      < 3.999224, -0.119611, 0.343061>
    }
    triangle {
      < 3.943101, -0.119854, 0.361294>,
      < 3.921967, -0.083564, 0.332672>,
      < 3.958602, -0.083319, 0.314006>
    }
    triangle {
      < 3.943101, -0.119854, 0.361294>,
      < 3.958602, -0.083319, 0.314006>,
      < 3.969718, -0.119677, 0.347733>
    }
    triangle {
      < 3.921978, -0.120125, 0.382416>,
      < 3.892894, -0.083935, 0.361743>,
      < 3.921967, -0.083564, 0.332672>
    }
    triangle {
      < 3.921978, -0.120125, 0.382416>,
      < 3.921967, -0.083564, 0.332672>,
      < 3.943101, -0.119854, 0.361294>
    }
    triangle {
      < 3.908415, -0.120461, 0.409031>,
      < 3.874227, -0.084398, 0.398375>,
      < 3.892894, -0.083935, 0.361743>
    }
    triangle {
      < 3.908415, -0.120461, 0.409031>,
      < 3.892894, -0.083935, 0.361743>,
      < 3.921978, -0.120125, 0.382416>
    }
    triangle {
      < 3.903743, -0.120831, 0.438535>,
      < 3.867794, -0.084907, 0.438982>,
      < 3.874227, -0.084398, 0.398375>
    }
    triangle {
      < 3.903743, -0.120831, 0.438535>,
      < 3.874227, -0.084398, 0.398375>,
      < 3.908415, -0.120461, 0.409031>
    }
    triangle {
      < 3.908416, -0.121198, 0.468037>,
      < 3.874227, -0.085412, 0.479591>,
      < 3.867794, -0.084907, 0.438982>
    }
    triangle {
      < 3.908416, -0.121198, 0.468037>,
      < 3.867794, -0.084907, 0.438982>,
      < 3.903743, -0.120831, 0.438535>
    }
    triangle {
      < 3.921978, -0.121527, 0.494652>,
      < 3.892894, -0.085864, 0.516223>,
      < 3.874227, -0.085412, 0.479591>
    }
    triangle {
      < 3.921978, -0.121527, 0.494652>,
      < 3.874227, -0.085412, 0.479591>,
      < 3.908416, -0.121198, 0.468037>
    }
    triangle {
      < 3.943101, -0.121784, 0.515774>,
      < 3.921967, -0.086219, 0.545295>,
      < 3.892894, -0.085864, 0.516223>
    }
    triangle {
      < 3.943101, -0.121784, 0.515774>,
      < 3.892894, -0.085864, 0.516223>,
      < 3.921978, -0.121527, 0.494652>
    }
    triangle {
      < 3.969718, -0.121945, 0.529335>,
      < 3.958602, -0.086441, 0.563960>,
      < 3.921967, -0.086219, 0.545295>
    }
    triangle {
      < 3.969718, -0.121945, 0.529335>,
      < 3.921967, -0.086219, 0.545295>,
      < 3.943101, -0.121784, 0.515774>
    }
    triangle {
      < 3.999224, -0.121995, 0.534008>,
      < 3.999213, -0.086509, 0.570391>,
      < 3.958602, -0.086441, 0.563960>
    }
    triangle {
      < 3.999224, -0.121995, 0.534008>,
      < 3.958602, -0.086441, 0.563960>,
      < 3.969718, -0.121945, 0.529335>
    }
    triangle {
      < 4.028729, -0.121928, 0.529335>,
      < 4.039824, -0.086417, 0.563960>,
      < 3.999213, -0.086509, 0.570391>
    }
    triangle {
      < 4.028729, -0.121928, 0.529335>,
      < 3.999213, -0.086509, 0.570391>,
      < 3.999224, -0.121995, 0.534008>
    }
    triangle {
      < 4.055347, -0.121751, 0.515774>,
      < 4.076459, -0.086173, 0.545295>,
      < 4.039824, -0.086417, 0.563960>
    }
    triangle {
      < 4.055347, -0.121751, 0.515774>,
      < 4.039824, -0.086417, 0.563960>,
      < 4.028729, -0.121928, 0.529335>
    }
    triangle {
      < 4.076468, -0.121480, 0.494653>,
      < 4.105533, -0.085801, 0.516223>,
      < 4.076459, -0.086173, 0.545295>
    }
    triangle {
      < 4.076468, -0.121480, 0.494653>,
      < 4.076459, -0.086173, 0.545295>,
      < 4.055347, -0.121751, 0.515774>
    }
    triangle {
      < 4.090032, -0.121144, 0.468038>,
      < 4.124199, -0.085338, 0.479591>,
      < 4.105533, -0.085801, 0.516223>
    }
    triangle {
      < 4.090032, -0.121144, 0.468038>,
      < 4.105533, -0.085801, 0.516223>,
      < 4.076468, -0.121480, 0.494653>
    }
    triangle {
      < 4.094705, -0.120775, 0.438535>,
      < 4.130631, -0.084829, 0.438983>,
      < 4.124199, -0.085338, 0.479591>
    }
    triangle {
      < 4.094705, -0.120775, 0.438535>,
      < 4.124199, -0.085338, 0.479591>,
      < 4.090032, -0.121144, 0.468038>
    }
    triangle {
      < 4.124198, -0.084324, 0.398376>,
      < 4.146130, -0.038949, 0.391812>,
      < 4.153691, -0.039542, 0.439548>
    }
    triangle {
      < 4.124198, -0.084324, 0.398376>,
      < 4.153691, -0.039542, 0.439548>,
      < 4.130631, -0.084829, 0.438983>
    }
    triangle {
      < 4.105533, -0.083872, 0.361744>,
      < 4.124186, -0.038417, 0.348748>,
      < 4.146130, -0.038949, 0.391812>
    }
    triangle {
      < 4.105533, -0.083872, 0.361744>,
      < 4.146130, -0.038949, 0.391812>,
      < 4.124198, -0.084324, 0.398376>
    }
    triangle {
      < 4.076458, -0.083518, 0.332672>,
      < 4.090007, -0.038000, 0.314572>,
      < 4.124186, -0.038417, 0.348748>
    }
    triangle {
      < 4.076458, -0.083518, 0.332672>,
      < 4.124186, -0.038417, 0.348748>,
      < 4.105533, -0.083872, 0.361744>
    }
    triangle {
      < 4.039823, -0.083296, 0.314006>,
      < 4.046939, -0.037739, 0.292629>,
      < 4.090007, -0.038000, 0.314572>
    }
    triangle {
      < 4.039823, -0.083296, 0.314006>,
      < 4.090007, -0.038000, 0.314572>,
      < 4.076458, -0.083518, 0.332672>
    }
    triangle {
      < 3.999213, -0.083228, 0.307574>,
      < 3.999199, -0.037659, 0.285068>,
      < 4.046939, -0.037739, 0.292629>
    }
    triangle {
      < 3.999213, -0.083228, 0.307574>,
      < 4.046939, -0.037739, 0.292629>,
      < 4.039823, -0.083296, 0.314006>
    }
    triangle {
      < 3.958602, -0.083319, 0.314006>,
      < 3.951458, -0.037768, 0.292629>,
      < 3.999199, -0.037659, 0.285068>
    }
    triangle {
      < 3.958602, -0.083319, 0.314006>,
      < 3.999199, -0.037659, 0.285068>,
      < 3.999213, -0.083228, 0.307574>
    }
    triangle {
      < 3.921967, -0.083564, 0.332672>,
      < 3.908391, -0.038054, 0.314572>,
      < 3.951458, -0.037768, 0.292629>
    }
    triangle {
      < 3.921967, -0.083564, 0.332672>,
      < 3.951458, -0.037768, 0.292629>,
      < 3.958602, -0.083319, 0.314006>
    }
    triangle {
      < 3.892894, -0.083935, 0.361743>,
      < 3.874213, -0.038491, 0.348747>,
      < 3.908391, -0.038054, 0.314572>
    }
    triangle {
      < 3.892894, -0.083935, 0.361743>,
      < 3.908391, -0.038054, 0.314572>,
      < 3.921967, -0.083564, 0.332672>
    }
    triangle {
      < 3.874227, -0.084398, 0.398375>,
      < 3.852269, -0.039035, 0.391811>,
      < 3.874213, -0.038491, 0.348747>
    }
    triangle {
      < 3.874227, -0.084398, 0.398375>,
      < 3.874213, -0.038491, 0.348747>,
      < 3.892894, -0.083935, 0.361743>
    }
    triangle {
      < 3.867794, -0.084907, 0.438982>,
      < 3.844708, -0.039634, 0.439549>,
      < 3.852269, -0.039035, 0.391811>
    }
    triangle {
      < 3.867794, -0.084907, 0.438982>,
      < 3.852269, -0.039035, 0.391811>,
      < 3.874227, -0.084398, 0.398375>
    }
    triangle {
      < 3.874227, -0.085412, 0.479591>,
      < 3.852270, -0.040227, 0.487285>,
      < 3.844708, -0.039634, 0.439549>
    }
    triangle {
      < 3.874227, -0.085412, 0.479591>,
      < 3.844708, -0.039634, 0.439549>,
      < 3.867794, -0.084907, 0.438982>
    }
    triangle {
      < 3.892894, -0.085864, 0.516223>,
      < 3.874213, -0.040759, 0.530349>,
      < 3.852270, -0.040227, 0.487285>
    }
    triangle {
      < 3.892894, -0.085864, 0.516223>,
      < 3.852270, -0.040227, 0.487285>,
      < 3.874227, -0.085412, 0.479591>
    }
    triangle {
      < 3.921967, -0.086219, 0.545295>,
      < 3.908392, -0.041175, 0.564525>,
      < 3.874213, -0.040759, 0.530349>
    }
    triangle {
      < 3.921967, -0.086219, 0.545295>,
      < 3.874213, -0.040759, 0.530349>,
      < 3.892894, -0.085864, 0.516223>
    }
    triangle {
      < 3.958602, -0.086441, 0.563960>,
      < 3.951459, -0.041437, 0.586468>,
      < 3.908392, -0.041175, 0.564525>
    }
    triangle {
      < 3.958602, -0.086441, 0.563960>,
      < 3.908392, -0.041175, 0.564525>,
      < 3.921967, -0.086219, 0.545295>
    }
    triangle {
      < 3.999213, -0.086509, 0.570391>,
      < 3.999200, -0.041517, 0.594028>,
      < 3.951459, -0.041437, 0.586468>
    }
    triangle {
      < 3.999213, -0.086509, 0.570391>,
      < 3.951459, -0.041437, 0.586468>,
      < 3.958602, -0.086441, 0.563960>
    }
    triangle {
      < 4.039824, -0.086417, 0.563960>,
      < 4.046940, -0.041408, 0.586468>,
      < 3.999200, -0.041517, 0.594028>
    }
    triangle {
      < 4.039824, -0.086417, 0.563960>,
      < 3.999200, -0.041517, 0.594028>,
      < 3.999213, -0.086509, 0.570391>
    }
    triangle {
      < 4.076459, -0.086173, 0.545295>,
      < 4.090008, -0.041122, 0.564525>,
      < 4.046940, -0.041408, 0.586468>
    }
    triangle {
      < 4.076459, -0.086173, 0.545295>,
      < 4.046940, -0.041408, 0.586468>,
      < 4.039824, -0.086417, 0.563960>
    }
    triangle {
      < 4.105533, -0.085801, 0.516223>,
      < 4.124186, -0.040685, 0.530349>,
      < 4.090008, -0.041122, 0.564525>
    }
    triangle {
      < 4.105533, -0.085801, 0.516223>,
      < 4.090008, -0.041122, 0.564525>,
      < 4.076459, -0.086173, 0.545295>
    }
    triangle {
      < 4.124199, -0.085338, 0.479591>,
      < 4.146129, -0.040140, 0.487286>,
      < 4.124186, -0.040685, 0.530349>
    }
    triangle {
      < 4.124199, -0.085338, 0.479591>,
      < 4.124186, -0.040685, 0.530349>,
      < 4.105533, -0.085801, 0.516223>
    }
    triangle {
      < 4.130631, -0.084829, 0.438983>,
      < 4.153691, -0.039542, 0.439548>,
      < 4.146129, -0.040140, 0.487286>
    }
    triangle {
      < 4.130631, -0.084829, 0.438983>,
      < 4.146129, -0.040140, 0.487286>,
      < 4.124199, -0.085338, 0.479591>
    }
    triangle {
      < 4.146130, -0.038949, 0.391812>,
      < 4.153676, 0.011278, 0.389981>,
      < 4.161627, 0.010653, 0.440176>
    }
    triangle {
      < 4.146130, -0.038949, 0.391812>,
      < 4.161627, 0.010653, 0.440176>,
      < 4.153691, -0.039542, 0.439548>
    }
    triangle {
      < 4.124186, -0.038417, 0.348748>,
      < 4.130603, 0.011836, 0.344701>,
      < 4.153676, 0.011278, 0.389981>
    }
    triangle {
      < 4.124186, -0.038417, 0.348748>,
      < 4.153676, 0.011278, 0.389981>,
      < 4.146130, -0.038949, 0.391812>
    }
    triangle {
      < 4.090007, -0.038000, 0.314572>,
      < 4.094666, 0.012275, 0.308767>,
      < 4.130603, 0.011836, 0.344701>
    }
    triangle {
      < 4.090007, -0.038000, 0.314572>,
      < 4.130603, 0.011836, 0.344701>,
      < 4.124186, -0.038417, 0.348748>
    }
    triangle {
      < 4.046939, -0.037739, 0.292629>,
      < 4.049381, 0.012550, 0.285696>,
      < 4.094666, 0.012275, 0.308767>
    }
    triangle {
      < 4.046939, -0.037739, 0.292629>,
      < 4.094666, 0.012275, 0.308767>,
      < 4.090007, -0.038000, 0.314572>
    }
    triangle {
      < 3.999199, -0.037659, 0.285068>,
      < 3.999184, 0.012634, 0.277746>,
      < 4.049381, 0.012550, 0.285696>
    }
    triangle {
      < 3.999199, -0.037659, 0.285068>,
      < 4.049381, 0.012550, 0.285696>,
      < 4.046939, -0.037739, 0.292629>
    }
    triangle {
      < 3.951458, -0.037768, 0.292629>,
      < 3.948986, 0.012520, 0.285696>,
      < 3.999184, 0.012634, 0.277746>
    }
    triangle {
      < 3.951458, -0.037768, 0.292629>,
      < 3.999184, 0.012634, 0.277746>,
      < 3.999199, -0.037659, 0.285068>
    }
    triangle {
      < 3.908391, -0.038054, 0.314572>,
      < 3.903702, 0.012218, 0.308767>,
      < 3.948986, 0.012520, 0.285696>
    }
    triangle {
      < 3.908391, -0.038054, 0.314572>,
      < 3.948986, 0.012520, 0.285696>,
      < 3.951458, -0.037768, 0.292629>
    }
    triangle {
      < 3.874213, -0.038491, 0.348747>,
      < 3.867766, 0.011758, 0.344701>,
      < 3.903702, 0.012218, 0.308767>
    }
    triangle {
      < 3.874213, -0.038491, 0.348747>,
      < 3.903702, 0.012218, 0.308767>,
      < 3.908391, -0.038054, 0.314572>
    }
    triangle {
      < 3.852269, -0.039035, 0.391811>,
      < 3.844692, 0.011187, 0.389981>,
      < 3.867766, 0.011758, 0.344701>
    }
    triangle {
      < 3.852269, -0.039035, 0.391811>,
      < 3.867766, 0.011758, 0.344701>,
      < 3.874213, -0.038491, 0.348747>
    }
    triangle {
      < 3.844708, -0.039634, 0.439549>,
      < 3.836742, 0.010558, 0.440175>,
      < 3.844692, 0.011187, 0.389981>
    }
    triangle {
      < 3.844708, -0.039634, 0.439549>,
      < 3.844692, 0.011187, 0.389981>,
      < 3.852269, -0.039035, 0.391811>
    }
    triangle {
      < 3.852270, -0.040227, 0.487285>,
      < 3.844693, 0.009933, 0.490369>,
      < 3.836742, 0.010558, 0.440175>
    }
    triangle {
      < 3.852270, -0.040227, 0.487285>,
      < 3.836742, 0.010558, 0.440175>,
      < 3.844708, -0.039634, 0.439549>
    }
    triangle {
      < 3.874213, -0.040759, 0.530349>,
      < 3.867766, 0.009375, 0.535650>,
      < 3.844693, 0.009933, 0.490369>
    }
    triangle {
      < 3.874213, -0.040759, 0.530349>,
      < 3.844693, 0.009933, 0.490369>,
      < 3.852270, -0.040227, 0.487285>
    }
    triangle {
      < 3.908392, -0.041175, 0.564525>,
      < 3.903703, 0.008937, 0.571584>,
      < 3.867766, 0.009375, 0.535650>
    }
    triangle {
      < 3.908392, -0.041175, 0.564525>,
      < 3.867766, 0.009375, 0.535650>,
      < 3.874213, -0.040759, 0.530349>
    }
    triangle {
      < 3.951459, -0.041437, 0.586468>,
      < 3.948988, 0.008662, 0.594655>,
      < 3.903703, 0.008937, 0.571584>
    }
    triangle {
      < 3.951459, -0.041437, 0.586468>,
      < 3.903703, 0.008937, 0.571584>,
      < 3.908392, -0.041175, 0.564525>
    }
    triangle {
      < 3.999200, -0.041517, 0.594028>,
      < 3.999185, 0.008577, 0.602605>,
      < 3.948988, 0.008662, 0.594655>
    }
    triangle {
      < 3.999200, -0.041517, 0.594028>,
      < 3.948988, 0.008662, 0.594655>,
      < 3.951459, -0.041437, 0.586468>
    }
    triangle {
      < 4.046940, -0.041408, 0.586468>,
      < 4.049383, 0.008691, 0.594655>,
      < 3.999185, 0.008577, 0.602605>
    }
    triangle {
      < 4.046940, -0.041408, 0.586468>,
      < 3.999185, 0.008577, 0.602605>,
      < 3.999200, -0.041517, 0.594028>
    }
    triangle {
      < 4.090008, -0.041122, 0.564525>,
      < 4.094665, 0.008993, 0.571584>,
      < 4.049383, 0.008691, 0.594655>
    }
    triangle {
      < 4.090008, -0.041122, 0.564525>,
      < 4.049383, 0.008691, 0.594655>,
      < 4.046940, -0.041408, 0.586468>
    }
    triangle {
      < 4.124186, -0.040685, 0.530349>,
      < 4.130603, 0.009452, 0.535649>,
      < 4.094665, 0.008993, 0.571584>
    }
    triangle {
      < 4.124186, -0.040685, 0.530349>,
      < 4.094665, 0.008993, 0.571584>,
      < 4.090008, -0.041122, 0.564525>
    }
    triangle {
      < 4.146129, -0.040140, 0.487286>,
      < 4.153677, 0.010024, 0.490369>,
      < 4.130603, 0.009452, 0.535649>
    }
    triangle {
      < 4.146129, -0.040140, 0.487286>,
      < 4.130603, 0.009452, 0.535649>,
      < 4.124186, -0.040685, 0.530349>
    }
    triangle {
      < 4.153691, -0.039542, 0.439548>,
      < 4.161627, 0.010653, 0.440176>,
      < 4.153677, 0.010024, 0.490369>
    }
    triangle {
      < 4.153691, -0.039542, 0.439548>,
      < 4.153677, 0.010024, 0.490369>,
      < 4.146129, -0.040140, 0.487286>
    }
    triangle {
      < 4.153676, 0.011278, 0.389981>,
      < 4.146099, 0.061439, 0.393066>,
      < 4.153662, 0.060845, 0.440802>
    }
    triangle {
      < 4.153676, 0.011278, 0.389981>,
      < 4.153662, 0.060845, 0.440802>,
      < 4.161627, 0.010653, 0.440176>
    }
    triangle {
      < 4.130603, 0.011836, 0.344701>,
      < 4.124156, 0.061971, 0.350001>,
      < 4.146099, 0.061439, 0.393066>
    }
    triangle {
      < 4.130603, 0.011836, 0.344701>,
      < 4.146099, 0.061439, 0.393066>,
      < 4.153676, 0.011278, 0.389981>
    }
    triangle {
      < 4.094666, 0.012275, 0.308767>,
      < 4.089977, 0.062386, 0.315825>,
      < 4.124156, 0.061971, 0.350001>
    }
    triangle {
      < 4.094666, 0.012275, 0.308767>,
      < 4.124156, 0.061971, 0.350001>,
      < 4.130603, 0.011836, 0.344701>
    }
    triangle {
      < 4.049381, 0.012550, 0.285696>,
      < 4.046910, 0.062648, 0.293883>,
      < 4.089977, 0.062386, 0.315825>
    }
    triangle {
      < 4.049381, 0.012550, 0.285696>,
      < 4.089977, 0.062386, 0.315825>,
      < 4.094666, 0.012275, 0.308767>
    }
    triangle {
      < 3.999184, 0.012634, 0.277746>,
      < 3.999170, 0.062728, 0.286323>,
      < 4.046910, 0.062648, 0.293883>
    }
    triangle {
      < 3.999184, 0.012634, 0.277746>,
      < 4.046910, 0.062648, 0.293883>,
      < 4.049381, 0.012550, 0.285696>
    }
    triangle {
      < 3.948986, 0.012520, 0.285696>,
      < 3.951429, 0.062620, 0.293883>,
      < 3.999170, 0.062728, 0.286323>
    }
    triangle {
      < 3.948986, 0.012520, 0.285696>,
      < 3.999170, 0.062728, 0.286323>,
      < 3.999184, 0.012634, 0.277746>
    }
    triangle {
      < 3.903702, 0.012218, 0.308767>,
      < 3.908361, 0.062332, 0.315825>,
      < 3.951429, 0.062620, 0.293883>
    }
    triangle {
      < 3.903702, 0.012218, 0.308767>,
      < 3.951429, 0.062620, 0.293883>,
      < 3.948986, 0.012520, 0.285696>
    }
    triangle {
      < 3.867766, 0.011758, 0.344701>,
      < 3.874183, 0.061895, 0.350001>,
      < 3.908361, 0.062332, 0.315825>
    }
    triangle {
      < 3.867766, 0.011758, 0.344701>,
      < 3.908361, 0.062332, 0.315825>,
      < 3.903702, 0.012218, 0.308767>
    }
    triangle {
      < 3.844692, 0.011187, 0.389981>,
      < 3.852239, 0.061352, 0.393065>,
      < 3.874183, 0.061895, 0.350001>
    }
    triangle {
      < 3.844692, 0.011187, 0.389981>,
      < 3.874183, 0.061895, 0.350001>,
      < 3.867766, 0.011758, 0.344701>
    }
    triangle {
      < 3.836742, 0.010558, 0.440175>,
      < 3.844678, 0.060754, 0.440802>,
      < 3.852239, 0.061352, 0.393065>
    }
    triangle {
      < 3.836742, 0.010558, 0.440175>,
      < 3.852239, 0.061352, 0.393065>,
      < 3.844692, 0.011187, 0.389981>
    }
    triangle {
      < 3.844693, 0.009933, 0.490369>,
      < 3.852239, 0.060159, 0.488538>,
      < 3.844678, 0.060754, 0.440802>
    }
    triangle {
      < 3.844693, 0.009933, 0.490369>,
      < 3.844678, 0.060754, 0.440802>,
      < 3.836742, 0.010558, 0.440175>
    }
    triangle {
      < 3.867766, 0.009375, 0.535650>,
      < 3.874183, 0.059628, 0.531603>,
      < 3.852239, 0.060159, 0.488538>
    }
    triangle {
      < 3.867766, 0.009375, 0.535650>,
      < 3.852239, 0.060159, 0.488538>,
      < 3.844693, 0.009933, 0.490369>
    }
    triangle {
      < 3.903703, 0.008937, 0.571584>,
      < 3.908362, 0.059211, 0.565779>,
      < 3.874183, 0.059628, 0.531603>
    }
    triangle {
      < 3.903703, 0.008937, 0.571584>,
      < 3.874183, 0.059628, 0.531603>,
      < 3.867766, 0.009375, 0.535650>
    }
    triangle {
      < 3.948988, 0.008662, 0.594655>,
      < 3.951429, 0.058950, 0.587721>,
      < 3.908362, 0.059211, 0.565779>
    }
    triangle {
      < 3.948988, 0.008662, 0.594655>,
      < 3.908362, 0.059211, 0.565779>,
      < 3.903703, 0.008937, 0.571584>
    }
    triangle {
      < 3.999185, 0.008577, 0.602605>,
      < 3.999170, 0.058871, 0.595282>,
      < 3.951429, 0.058950, 0.587721>
    }
    triangle {
      < 3.999185, 0.008577, 0.602605>,
      < 3.951429, 0.058950, 0.587721>,
      < 3.948988, 0.008662, 0.594655>
    }
    triangle {
      < 4.049383, 0.008691, 0.594655>,
      < 4.046911, 0.058979, 0.587721>,
      < 3.999170, 0.058871, 0.595282>
    }
    triangle {
      < 4.049383, 0.008691, 0.594655>,
      < 3.999170, 0.058871, 0.595282>,
      < 3.999185, 0.008577, 0.602605>
    }
    triangle {
      < 4.094665, 0.008993, 0.571584>,
      < 4.089978, 0.059266, 0.565779>,
      < 4.046911, 0.058979, 0.587721>
    }
    triangle {
      < 4.094665, 0.008993, 0.571584>,
      < 4.046911, 0.058979, 0.587721>,
      < 4.049383, 0.008691, 0.594655>
    }
    triangle {
      < 4.130603, 0.009452, 0.535649>,
      < 4.124156, 0.059702, 0.531604>,
      < 4.089978, 0.059266, 0.565779>
    }
    triangle {
      < 4.130603, 0.009452, 0.535649>,
      < 4.089978, 0.059266, 0.565779>,
      < 4.094665, 0.008993, 0.571584>
    }
    triangle {
      < 4.153677, 0.010024, 0.490369>,
      < 4.146100, 0.060247, 0.488539>,
      < 4.124156, 0.059702, 0.531604>
    }
    triangle {
      < 4.153677, 0.010024, 0.490369>,
      < 4.124156, 0.059702, 0.531604>,
      < 4.130603, 0.009452, 0.535649>
    }
    triangle {
      < 4.161627, 0.010653, 0.440176>,
      < 4.153662, 0.060845, 0.440802>,
      < 4.146100, 0.060247, 0.488539>
    }
    triangle {
      < 4.161627, 0.010653, 0.440176>,
      < 4.146100, 0.060247, 0.488539>,
      < 4.153677, 0.010024, 0.490369>
    }
    triangle {
      < 4.146099, 0.061439, 0.393066>,
      < 4.124143, 0.106624, 0.400760>,
      < 4.130575, 0.106118, 0.441367>
    }
    triangle {
      < 4.146099, 0.061439, 0.393066>,
      < 4.130575, 0.106118, 0.441367>,
      < 4.153662, 0.060845, 0.440802>
    }
    triangle {
      < 4.124156, 0.061971, 0.350001>,
      < 4.105476, 0.107075, 0.364128>,
      < 4.124143, 0.106624, 0.400760>
    }
    triangle {
      < 4.124156, 0.061971, 0.350001>,
      < 4.124143, 0.106624, 0.400760>,
      < 4.146099, 0.061439, 0.393066>
    }
    triangle {
      < 4.089977, 0.062386, 0.315825>,
      < 4.076402, 0.107429, 0.335055>,
      < 4.105476, 0.107075, 0.364128>
    }
    triangle {
      < 4.089977, 0.062386, 0.315825>,
      < 4.105476, 0.107075, 0.364128>,
      < 4.124156, 0.061971, 0.350001>
    }
    triangle {
      < 4.046910, 0.062648, 0.293883>,
      < 4.039765, 0.107653, 0.316390>,
      < 4.076402, 0.107429, 0.335055>
    }
    triangle {
      < 4.046910, 0.062648, 0.293883>,
      < 4.076402, 0.107429, 0.335055>,
      < 4.089977, 0.062386, 0.315825>
    }
    triangle {
      < 3.999170, 0.062728, 0.286323>,
      < 3.999156, 0.107721, 0.309959>,
      < 4.039765, 0.107653, 0.316390>
    }
    triangle {
      < 3.999170, 0.062728, 0.286323>,
      < 4.039765, 0.107653, 0.316390>,
      < 4.046910, 0.062648, 0.293883>
    }
    triangle {
      < 3.951429, 0.062620, 0.293883>,
      < 3.958546, 0.107627, 0.316390>,
      < 3.999156, 0.107721, 0.309959>
    }
    triangle {
      < 3.951429, 0.062620, 0.293883>,
      < 3.999156, 0.107721, 0.309959>,
      < 3.999170, 0.062728, 0.286323>
    }
    triangle {
      < 3.908361, 0.062332, 0.315825>,
      < 3.921910, 0.107384, 0.335055>,
      < 3.958546, 0.107627, 0.316390>
    }
    triangle {
      < 3.908361, 0.062332, 0.315825>,
      < 3.958546, 0.107627, 0.316390>,
      < 3.951429, 0.062620, 0.293883>
    }
    triangle {
      < 3.874183, 0.061895, 0.350001>,
      < 3.892836, 0.107013, 0.364128>,
      < 3.921910, 0.107384, 0.335055>
    }
    triangle {
      < 3.874183, 0.061895, 0.350001>,
      < 3.921910, 0.107384, 0.335055>,
      < 3.908361, 0.062332, 0.315825>
    }
    triangle {
      < 3.852239, 0.061352, 0.393065>,
      < 3.874170, 0.106549, 0.400760>,
      < 3.892836, 0.107013, 0.364128>
    }
    triangle {
      < 3.852239, 0.061352, 0.393065>,
      < 3.892836, 0.107013, 0.364128>,
      < 3.874183, 0.061895, 0.350001>
    }
    triangle {
      < 3.844678, 0.060754, 0.440802>,
      < 3.867737, 0.106041, 0.441367>,
      < 3.874170, 0.106549, 0.400760>
    }
    triangle {
      < 3.844678, 0.060754, 0.440802>,
      < 3.874170, 0.106549, 0.400760>,
      < 3.852239, 0.061352, 0.393065>
    }
    triangle {
      < 3.852239, 0.060159, 0.488538>,
      < 3.874169, 0.105536, 0.481975>,
      < 3.867737, 0.106041, 0.441367>
    }
    triangle {
      < 3.852239, 0.060159, 0.488538>,
      < 3.867737, 0.106041, 0.441367>,
      < 3.844678, 0.060754, 0.440802>
    }
    triangle {
      < 3.874183, 0.059628, 0.531603>,
      < 3.892837, 0.105083, 0.518607>,
      < 3.874169, 0.105536, 0.481975>
    }
    triangle {
      < 3.874183, 0.059628, 0.531603>,
      < 3.874169, 0.105536, 0.481975>,
      < 3.852239, 0.060159, 0.488538>
    }
    triangle {
      < 3.908362, 0.059211, 0.565779>,
      < 3.921911, 0.104729, 0.547679>,
      < 3.892837, 0.105083, 0.518607>
    }
    triangle {
      < 3.908362, 0.059211, 0.565779>,
      < 3.892837, 0.105083, 0.518607>,
      < 3.874183, 0.059628, 0.531603>
    }
    triangle {
      < 3.951429, 0.058950, 0.587721>,
      < 3.958546, 0.104507, 0.566344>,
      < 3.921911, 0.104729, 0.547679>
    }
    triangle {
      < 3.951429, 0.058950, 0.587721>,
      < 3.921911, 0.104729, 0.547679>,
      < 3.908362, 0.059211, 0.565779>
    }
    triangle {
      < 3.999170, 0.058871, 0.595282>,
      < 3.999156, 0.104438, 0.572776>,
      < 3.958546, 0.104507, 0.566344>
    }
    triangle {
      < 3.999170, 0.058871, 0.595282>,
      < 3.958546, 0.104507, 0.566344>,
      < 3.951429, 0.058950, 0.587721>
    }
    triangle {
      < 4.046911, 0.058979, 0.587721>,
      < 4.039766, 0.104531, 0.566344>,
      < 3.999156, 0.104438, 0.572776>
    }
    triangle {
      < 4.046911, 0.058979, 0.587721>,
      < 3.999156, 0.104438, 0.572776>,
      < 3.999170, 0.058871, 0.595282>
    }
    triangle {
      < 4.089978, 0.059266, 0.565779>,
      < 4.076403, 0.104774, 0.547679>,
      < 4.039766, 0.104531, 0.566344>
    }
    triangle {
      < 4.089978, 0.059266, 0.565779>,
      < 4.039766, 0.104531, 0.566344>,
      < 4.046911, 0.058979, 0.587721>
    }
    triangle {
      < 4.124156, 0.059702, 0.531604>,
      < 4.105475, 0.105146, 0.518608>,
      < 4.076403, 0.104774, 0.547679>
    }
    triangle {
      < 4.124156, 0.059702, 0.531604>,
      < 4.076403, 0.104774, 0.547679>,
      < 4.089978, 0.059266, 0.565779>
    }
    triangle {
      < 4.146100, 0.060247, 0.488539>,
      < 4.124142, 0.105610, 0.481975>,
      < 4.105475, 0.105146, 0.518608>
    }
    triangle {
      < 4.146100, 0.060247, 0.488539>,
      < 4.105475, 0.105146, 0.518608>,
      < 4.124156, 0.059702, 0.531604>
    }
    triangle {
      < 4.153662, 0.060845, 0.440802>,
      < 4.130575, 0.106118, 0.441367>,
      < 4.124142, 0.105610, 0.481975>
    }
    triangle {
      < 4.153662, 0.060845, 0.440802>,
      < 4.124142, 0.105610, 0.481975>,
      < 4.146100, 0.060247, 0.488539>
    }
    triangle {
      < 4.124143, 0.106624, 0.400760>,
      < 4.089953, 0.142409, 0.412314>,
      < 4.094626, 0.142042, 0.441816>
    }
    triangle {
      < 4.124143, 0.106624, 0.400760>,
      < 4.094626, 0.142042, 0.441816>,
      < 4.130575, 0.106118, 0.441367>
    }
    triangle {
      < 4.105476, 0.107075, 0.364128>,
      < 4.076392, 0.142737, 0.385698>,
      < 4.089953, 0.142409, 0.412314>
    }
    triangle {
      < 4.105476, 0.107075, 0.364128>,
      < 4.089953, 0.142409, 0.412314>,
      < 4.124143, 0.106624, 0.400760>
    }
    triangle {
      < 4.076402, 0.107429, 0.335055>,
      < 4.055268, 0.142995, 0.364576>,
      < 4.076392, 0.142737, 0.385698>
    }
    triangle {
      < 4.076402, 0.107429, 0.335055>,
      < 4.076392, 0.142737, 0.385698>,
      < 4.105476, 0.107075, 0.364128>
    }
    triangle {
      < 4.039765, 0.107653, 0.316390>,
      < 4.028651, 0.143157, 0.351015>,
      < 4.055268, 0.142995, 0.364576>
    }
    triangle {
      < 4.039765, 0.107653, 0.316390>,
      < 4.055268, 0.142995, 0.364576>,
      < 4.076402, 0.107429, 0.335055>
    }
    triangle {
      < 3.999156, 0.107721, 0.309959>,
      < 3.999145, 0.143206, 0.346342>,
      < 4.028651, 0.143157, 0.351015>
    }
    triangle {
      < 3.999156, 0.107721, 0.309959>,
      < 4.028651, 0.143157, 0.351015>,
      < 4.039765, 0.107653, 0.316390>
    }
    triangle {
      < 3.958546, 0.107627, 0.316390>,
      < 3.969640, 0.143139, 0.351015>,
      < 3.999145, 0.143206, 0.346342>
    }
    triangle {
      < 3.958546, 0.107627, 0.316390>,
      < 3.999145, 0.143206, 0.346342>,
      < 3.999156, 0.107721, 0.309959>
    }
    triangle {
      < 3.921910, 0.107384, 0.335055>,
      < 3.943023, 0.142962, 0.364576>,
      < 3.969640, 0.143139, 0.351015>
    }
    triangle {
      < 3.921910, 0.107384, 0.335055>,
      < 3.969640, 0.143139, 0.351015>,
      < 3.958546, 0.107627, 0.316390>
    }
    triangle {
      < 3.892836, 0.107013, 0.364128>,
      < 3.921899, 0.142692, 0.385698>,
      < 3.943023, 0.142962, 0.364576>
    }
    triangle {
      < 3.892836, 0.107013, 0.364128>,
      < 3.943023, 0.142962, 0.364576>,
      < 3.921910, 0.107384, 0.335055>
    }
    triangle {
      < 3.874170, 0.106549, 0.400760>,
      < 3.908338, 0.142356, 0.412313>,
      < 3.921899, 0.142692, 0.385698>
    }
    triangle {
      < 3.874170, 0.106549, 0.400760>,
      < 3.921899, 0.142692, 0.385698>,
      < 3.892836, 0.107013, 0.364128>
    }
    triangle {
      < 3.867737, 0.106041, 0.441367>,
      < 3.903665, 0.141985, 0.441816>,
      < 3.908338, 0.142356, 0.412313>
    }
    triangle {
      < 3.867737, 0.106041, 0.441367>,
      < 3.908338, 0.142356, 0.412313>,
      < 3.874170, 0.106549, 0.400760>
    }
    triangle {
      < 3.874169, 0.105536, 0.481975>,
      < 3.908338, 0.141619, 0.471319>,
      < 3.903665, 0.141985, 0.441816>
    }
    triangle {
      < 3.874169, 0.105536, 0.481975>,
      < 3.903665, 0.141985, 0.441816>,
      < 3.867737, 0.106041, 0.441367>
    }
    triangle {
      < 3.892837, 0.105083, 0.518607>,
      < 3.921900, 0.141290, 0.497934>,
      < 3.908338, 0.141619, 0.471319>
    }
    triangle {
      < 3.892837, 0.105083, 0.518607>,
      < 3.908338, 0.141619, 0.471319>,
      < 3.874169, 0.105536, 0.481975>
    }
    triangle {
      < 3.921911, 0.104729, 0.547679>,
      < 3.943023, 0.141033, 0.519056>,
      < 3.921900, 0.141290, 0.497934>
    }
    triangle {
      < 3.921911, 0.104729, 0.547679>,
      < 3.921900, 0.141290, 0.497934>,
      < 3.892837, 0.105083, 0.518607>
    }
    triangle {
      < 3.958546, 0.104507, 0.566344>,
      < 3.969640, 0.140871, 0.532618>,
      < 3.943023, 0.141033, 0.519056>
    }
    triangle {
      < 3.958546, 0.104507, 0.566344>,
      < 3.943023, 0.141033, 0.519056>,
      < 3.921911, 0.104729, 0.547679>
    }
    triangle {
      < 3.999156, 0.104438, 0.572776>,
      < 3.999146, 0.140821, 0.537290>,
      < 3.969640, 0.140871, 0.532618>
    }
    triangle {
      < 3.999156, 0.104438, 0.572776>,
      < 3.969640, 0.140871, 0.532618>,
      < 3.958546, 0.104507, 0.566344>
    }
    triangle {
      < 4.039766, 0.104531, 0.566344>,
      < 4.028651, 0.140889, 0.532618>,
      < 3.999146, 0.140821, 0.537290>
    }
    triangle {
      < 4.039766, 0.104531, 0.566344>,
      < 3.999146, 0.140821, 0.537290>,
      < 3.999156, 0.104438, 0.572776>
    }
    triangle {
      < 4.076403, 0.104774, 0.547679>,
      < 4.055268, 0.141066, 0.519056>,
      < 4.028651, 0.140889, 0.532618>
    }
    triangle {
      < 4.076403, 0.104774, 0.547679>,
      < 4.028651, 0.140889, 0.532618>,
      < 4.039766, 0.104531, 0.566344>
    }
    triangle {
      < 4.105475, 0.105146, 0.518608>,
      < 4.076392, 0.141336, 0.497934>,
      < 4.055268, 0.141066, 0.519056>
    }
    triangle {
      < 4.105475, 0.105146, 0.518608>,
      < 4.055268, 0.141066, 0.519056>,
      < 4.076403, 0.104774, 0.547679>
    }
    triangle {
      < 4.124142, 0.105610, 0.481975>,
      < 4.089953, 0.141672, 0.471319>,
      < 4.076392, 0.141336, 0.497934>
    }
    triangle {
      < 4.124142, 0.105610, 0.481975>,
      < 4.076392, 0.141336, 0.497934>,
      < 4.105475, 0.105146, 0.518608>
    }
    triangle {
      < 4.130575, 0.106118, 0.441367>,
      < 4.094626, 0.142042, 0.441816>,
      < 4.089953, 0.141672, 0.471319>
    }
    triangle {
      < 4.130575, 0.106118, 0.441367>,
      < 4.089953, 0.141672, 0.471319>,
      < 4.124142, 0.105610, 0.481975>
    }
    triangle {
      < 4.089953, 0.142409, 0.412314>,
      < 4.046880, 0.165293, 0.426594>,
      < 4.049336, 0.165101, 0.442104>
    }
    triangle {
      < 4.089953, 0.142409, 0.412314>,
      < 4.049336, 0.165101, 0.442104>,
      < 4.094626, 0.142042, 0.441816>
    }
    triangle {
      < 4.076392, 0.142737, 0.385698>,
      < 4.039749, 0.165466, 0.412601>,
      < 4.046880, 0.165293, 0.426594>
    }
    triangle {
      < 4.076392, 0.142737, 0.385698>,
      < 4.046880, 0.165293, 0.426594>,
      < 4.089953, 0.142409, 0.412314>
    }
    triangle {
      < 4.055268, 0.142995, 0.364576>,
      < 4.028643, 0.165601, 0.401497>,
      < 4.039749, 0.165466, 0.412601>
    }
    triangle {
      < 4.055268, 0.142995, 0.364576>,
      < 4.039749, 0.165466, 0.412601>,
      < 4.076392, 0.142737, 0.385698>
    }
    triangle {
      < 4.028651, 0.143157, 0.351015>,
      < 4.014650, 0.165686, 0.394367>,
      < 4.028643, 0.165601, 0.401497>
    }
    triangle {
      < 4.028651, 0.143157, 0.351015>,
      < 4.028643, 0.165601, 0.401497>,
      < 4.055268, 0.142995, 0.364576>
    }
    triangle {
      < 3.999145, 0.143206, 0.346342>,
      < 3.999139, 0.165712, 0.391911>,
      < 4.014650, 0.165686, 0.394367>
    }
    triangle {
      < 3.999145, 0.143206, 0.346342>,
      < 4.014650, 0.165686, 0.394367>,
      < 4.028651, 0.143157, 0.351015>
    }
    triangle {
      < 3.969640, 0.143139, 0.351015>,
      < 3.983627, 0.165678, 0.394367>,
      < 3.999139, 0.165712, 0.391911>
    }
    triangle {
      < 3.969640, 0.143139, 0.351015>,
      < 3.999139, 0.165712, 0.391911>,
      < 3.999145, 0.143206, 0.346342>
    }
    triangle {
      < 3.943023, 0.142962, 0.364576>,
      < 3.969633, 0.165583, 0.401497>,
      < 3.983627, 0.165678, 0.394367>
    }
    triangle {
      < 3.943023, 0.142962, 0.364576>,
      < 3.983627, 0.165678, 0.394367>,
      < 3.969640, 0.143139, 0.351015>
    }
    triangle {
      < 3.921899, 0.142692, 0.385698>,
      < 3.958528, 0.165441, 0.412601>,
      < 3.969633, 0.165583, 0.401497>
    }
    triangle {
      < 3.921899, 0.142692, 0.385698>,
      < 3.969633, 0.165583, 0.401497>,
      < 3.943023, 0.142962, 0.364576>
    }
    triangle {
      < 3.908338, 0.142356, 0.412313>,
      < 3.951398, 0.165265, 0.426593>,
      < 3.958528, 0.165441, 0.412601>
    }
    triangle {
      < 3.908338, 0.142356, 0.412313>,
      < 3.958528, 0.165441, 0.412601>,
      < 3.921899, 0.142692, 0.385698>
    }
    triangle {
      < 3.903665, 0.141985, 0.441816>,
      < 3.948942, 0.165070, 0.442104>,
      < 3.951398, 0.165265, 0.426593>
    }
    triangle {
      < 3.903665, 0.141985, 0.441816>,
      < 3.951398, 0.165265, 0.426593>,
      < 3.908338, 0.142356, 0.412313>
    }
    triangle {
      < 3.908338, 0.141619, 0.471319>,
      < 3.951398, 0.164878, 0.457615>,
      < 3.948942, 0.165070, 0.442104>
    }
    triangle {
      < 3.908338, 0.141619, 0.471319>,
      < 3.948942, 0.165070, 0.442104>,
      < 3.903665, 0.141985, 0.441816>
    }
    triangle {
      < 3.921900, 0.141290, 0.497934>,
      < 3.958528, 0.164705, 0.471607>,
      < 3.951398, 0.164878, 0.457615>
    }
    triangle {
      < 3.921900, 0.141290, 0.497934>,
      < 3.951398, 0.164878, 0.457615>,
      < 3.908338, 0.141619, 0.471319>
    }
    triangle {
      < 3.943023, 0.141033, 0.519056>,
      < 3.969633, 0.164570, 0.482712>,
      < 3.958528, 0.164705, 0.471607>
    }
    triangle {
      < 3.943023, 0.141033, 0.519056>,
      < 3.958528, 0.164705, 0.471607>,
      < 3.921900, 0.141290, 0.497934>
    }
    triangle {
      < 3.969640, 0.140871, 0.532618>,
      < 3.983628, 0.164484, 0.489841>,
      < 3.969633, 0.164570, 0.482712>
    }
    triangle {
      < 3.969640, 0.140871, 0.532618>,
      < 3.969633, 0.164570, 0.482712>,
      < 3.943023, 0.141033, 0.519056>
    }
    triangle {
      < 3.999146, 0.140821, 0.537290>,
      < 3.999140, 0.164459, 0.492299>,
      < 3.983628, 0.164484, 0.489841>
    }
    triangle {
      < 3.999146, 0.140821, 0.537290>,
      < 3.983628, 0.164484, 0.489841>,
      < 3.969640, 0.140871, 0.532618>
    }
    triangle {
      < 4.028651, 0.140889, 0.532618>,
      < 4.014650, 0.164495, 0.489842>,
      < 3.999140, 0.164459, 0.492299>
    }
    triangle {
      < 4.028651, 0.140889, 0.532618>,
      < 3.999140, 0.164459, 0.492299>,
      < 3.999146, 0.140821, 0.537290>
    }
    triangle {
      < 4.055268, 0.141066, 0.519056>,
      < 4.028644, 0.164588, 0.482712>,
      < 4.014650, 0.164495, 0.489842>
    }
    triangle {
      < 4.055268, 0.141066, 0.519056>,
      < 4.014650, 0.164495, 0.489842>,
      < 4.028651, 0.140889, 0.532618>
    }
    triangle {
      < 4.076392, 0.141336, 0.497934>,
      < 4.039749, 0.164729, 0.471607>,
      < 4.028644, 0.164588, 0.482712>
    }
    triangle {
      < 4.076392, 0.141336, 0.497934>,
      < 4.028644, 0.164588, 0.482712>,
      < 4.055268, 0.141066, 0.519056>
    }
    triangle {
      < 4.089953, 0.141672, 0.471319>,
      < 4.046880, 0.164906, 0.457615>,
      < 4.039749, 0.164729, 0.471607>
    }
    triangle {
      < 4.089953, 0.141672, 0.471319>,
      < 4.039749, 0.164729, 0.471607>,
      < 4.076392, 0.141336, 0.497934>
    }
    triangle {
      < 4.094626, 0.142042, 0.441816>,
      < 4.049336, 0.165101, 0.442104>,
      < 4.046880, 0.164906, 0.457615>
    }
    triangle {
      < 4.094626, 0.142042, 0.441816>,
      < 4.046880, 0.164906, 0.457615>,
      < 4.089953, 0.141672, 0.471319>
    }
    triangle {
      < 4.046880, 0.165293, 0.426594>,
      < 3.999136, 0.173035, 0.442204>,
      < 4.049336, 0.165101, 0.442104>
    }
    triangle {
      < 4.039749, 0.165466, 0.412601>,
      < 3.999136, 0.173035, 0.442204>,
      < 4.046880, 0.165293, 0.426594>
    }
    triangle {
      < 4.028643, 0.165601, 0.401497>,
      < 3.999136, 0.173035, 0.442204>,
      < 4.039749, 0.165466, 0.412601>
    }
    triangle {
      < 4.014650, 0.165686, 0.394367>,
      < 3.999136, 0.173035, 0.442204>,
      < 4.028643, 0.165601, 0.401497>
    }
    triangle {
      < 3.999139, 0.165712, 0.391911>,
      < 3.999136, 0.173035, 0.442204>,
      < 4.014650, 0.165686, 0.394367>
    }
    triangle {
      < 3.983627, 0.165678, 0.394367>,
      < 3.999136, 0.173035, 0.442204>,
      < 3.999139, 0.165712, 0.391911>
    }
    triangle {
      < 3.969633, 0.165583, 0.401497>,
      < 3.999136, 0.173035, 0.442204>,
      < 3.983627, 0.165678, 0.394367>
    }
    triangle {
      < 3.958528, 0.165441, 0.412601>,
      < 3.999136, 0.173035, 0.442204>,
      < 3.969633, 0.165583, 0.401497>
    }
    triangle {
      < 3.951398, 0.165265, 0.426593>,
      < 3.999136, 0.173035, 0.442204>,
      < 3.958528, 0.165441, 0.412601>
    }
    triangle {
      < 3.948942, 0.165070, 0.442104>,
      < 3.999136, 0.173035, 0.442204>,
      < 3.951398, 0.165265, 0.426593>
    }
    triangle {
      < 3.951398, 0.164878, 0.457615>,
      < 3.999136, 0.173035, 0.442204>,
      < 3.948942, 0.165070, 0.442104>
    }
    triangle {
      < 3.958528, 0.164705, 0.471607>,
      < 3.999136, 0.173035, 0.442204>,
      < 3.951398, 0.164878, 0.457615>
    }
    triangle {
      < 3.969633, 0.164570, 0.482712>,
      < 3.999136, 0.173035, 0.442204>,
      < 3.958528, 0.164705, 0.471607>
    }
    triangle {
      < 3.983628, 0.164484, 0.489841>,
      < 3.999136, 0.173035, 0.442204>,
      < 3.969633, 0.164570, 0.482712>
    }
    triangle {
      < 3.999140, 0.164459, 0.492299>,
      < 3.999136, 0.173035, 0.442204>,
      < 3.983628, 0.164484, 0.489841>
    }
    triangle {
      < 4.014650, 0.164495, 0.489842>,
      < 3.999136, 0.173035, 0.442204>,
      < 3.999140, 0.164459, 0.492299>
    }
    triangle {
      < 4.028644, 0.164588, 0.482712>,
      < 3.999136, 0.173035, 0.442204>,
      < 4.014650, 0.164495, 0.489842>
    }
    triangle {
      < 4.039749, 0.164729, 0.471607>,
      < 3.999136, 0.173035, 0.442204>,
      < 4.028644, 0.164588, 0.482712>
    }
    triangle {
      < 4.046880, 0.164906, 0.457615>,
      < 3.999136, 0.173035, 0.442204>,
      < 4.039749, 0.164729, 0.471607>
    }
    triangle {
      < 4.049336, 0.165101, 0.442104>,
      < 3.999136, 0.173035, 0.442204>,
      < 4.046880, 0.164906, 0.457615>
    }
    texture {pilot2}
  }
  // pilot1
  union {
    triangle {
      < 3.654534, 0.270161, -0.260937>,
      < 3.654843, -0.249752, -0.260475>,
      < 3.722430, -0.249883, -0.452843>
    }
    triangle {
      < 3.654534, 0.270161, -0.260937>,
      < 3.722430, -0.249883, -0.452843>,
      < 3.722122, 0.270030, -0.453305>
    }
    triangle {
      < 3.145020, 0.269785, -0.344123>,
      < 3.145328, -0.250128, -0.343661>,
      < 3.654843, -0.249752, -0.260475>
    }
    triangle {
      < 3.145020, 0.269785, -0.344123>,
      < 3.654843, -0.249752, -0.260475>,
      < 3.654534, 0.270161, -0.260937>
    }
    triangle {
      < 2.999443, 0.270253, 0.279773>,
      < 2.999751, -0.249659, 0.280235>,
      < 3.145328, -0.250128, -0.343661>
    }
    triangle {
      < 2.999443, 0.270253, 0.279773>,
      < 3.145328, -0.250128, -0.343661>,
      < 3.145020, 0.269785, -0.344123>
    }
    triangle {
      < 2.801877, 0.270132, 0.274574>,
      < 2.802185, -0.249781, 0.275036>,
      < 2.999751, -0.249659, 0.280235>
    }
    triangle {
      < 2.801877, 0.270132, 0.274574>,
      < 2.999751, -0.249659, 0.280235>,
      < 2.999443, 0.270253, 0.279773>
    }
    triangle {
      < 2.801877, 0.269942, 0.061410>,
      < 2.802185, -0.249971, 0.061872>,
      < 2.802185, -0.249781, 0.275036>
    }
    triangle {
      < 2.801877, 0.269942, 0.061410>,
      < 2.802185, -0.249781, 0.275036>,
      < 2.801877, 0.270132, 0.274574>
    }
    triangle {
      < 2.859066, 0.269976, 0.061410>,
      < 2.859375, -0.249937, 0.061872>,
      < 2.802185, -0.249971, 0.061872>
    }
    triangle {
      < 2.859066, 0.269976, 0.061410>,
      < 2.802185, -0.249971, 0.061872>,
      < 2.801877, 0.269942, 0.061410>
    }
    triangle {
      < 2.968249, 0.269528, -0.515694>,
      < 2.968557, -0.250385, -0.515232>,
      < 2.859375, -0.249937, 0.061872>
    }
    triangle {
      < 2.968249, 0.269528, -0.515694>,
      < 2.859375, -0.249937, 0.061872>,
      < 2.859066, 0.269976, 0.061410>
    }
    triangle {
      < 3.529754, 0.269860, -0.515694>,
      < 3.530062, -0.250052, -0.515232>,
      < 2.968557, -0.250385, -0.515232>
    }
    triangle {
      < 3.529754, 0.269860, -0.515694>,
      < 2.968557, -0.250385, -0.515232>,
      < 2.968249, 0.269528, -0.515694>
    }
    triangle {
      < 3.722122, 0.270030, -0.453305>,
      < 3.722430, -0.249883, -0.452843>,
      < 3.530062, -0.250052, -0.515232>
    }
    triangle {
      < 3.722122, 0.270030, -0.453305>,
      < 3.530062, -0.250052, -0.515232>,
      < 3.529754, 0.269860, -0.515694>
    }
    triangle {
      < 3.722430, -0.249883, -0.452843>,
      < 3.654843, -0.249752, -0.260475>,
      < 3.530062, -0.250052, -0.515232>
    }
    triangle {
      < 3.530062, -0.250052, -0.515232>,
      < 3.654843, -0.249752, -0.260475>,
      < 3.145328, -0.250128, -0.343661>
    }
    triangle {
      < 3.530062, -0.250052, -0.515232>,
      < 3.145328, -0.250128, -0.343661>,
      < 2.968557, -0.250385, -0.515232>
    }
    triangle {
      < 3.145328, -0.250128, -0.343661>,
      < 2.999751, -0.249659, 0.280235>,
      < 2.968557, -0.250385, -0.515232>
    }
    triangle {
      < 2.968557, -0.250385, -0.515232>,
      < 2.999751, -0.249659, 0.280235>,
      < 2.859375, -0.249937, 0.061872>
    }
    triangle {
      < 2.859375, -0.249937, 0.061872>,
      < 2.999751, -0.249659, 0.280235>,
      < 2.802185, -0.249781, 0.275036>
    }
    triangle {
      < 2.859375, -0.249937, 0.061872>,
      < 2.802185, -0.249781, 0.275036>,
      < 2.802185, -0.249971, 0.061872>
    }
    triangle {
      < 3.529754, 0.269860, -0.515694>,
      < 2.968249, 0.269528, -0.515694>,
      < 3.722122, 0.270030, -0.453305>
    }
    triangle {
      < 3.722122, 0.270030, -0.453305>,
      < 2.968249, 0.269528, -0.515694>,
      < 3.145020, 0.269785, -0.344123>
    }
    triangle {
      < 3.722122, 0.270030, -0.453305>,
      < 3.145020, 0.269785, -0.344123>,
      < 3.654534, 0.270161, -0.260937>
    }
    triangle {
      < 3.145020, 0.269785, -0.344123>,
      < 2.968249, 0.269528, -0.515694>,
      < 2.859066, 0.269976, 0.061410>
    }
    triangle {
      < 2.859066, 0.269976, 0.061410>,
      < 2.801877, 0.269942, 0.061410>,
      < 2.801877, 0.270132, 0.274574>
    }
    triangle {
      < 3.145020, 0.269785, -0.344123>,
      < 2.859066, 0.269976, 0.061410>,
      < 2.801877, 0.270132, 0.274574>
    }
    triangle {
      < 3.145020, 0.269785, -0.344123>,
      < 2.801877, 0.270132, 0.274574>,
      < 2.999443, 0.270253, 0.279773>
    }
    triangle {
      < 3.106107, 0.009959, 0.307270>,
      < 3.058248, 0.087115, 0.280360>,
      < 3.046338, 0.009897, 0.278663>
    }
    triangle {
      < 3.046338, 0.009897, 0.278663>,
      < 3.058248, 0.087115, 0.280360>,
      < 3.039263, 0.121576, 0.252099>
    }
    triangle {
      < 3.046338, 0.009897, 0.278663>,
      < 3.039263, 0.121576, 0.252099>,
      < 3.022030, 0.009857, 0.249643>
    }
    triangle {
      < 3.022030, 0.009857, 0.249643>,
      < 3.039263, 0.121576, 0.252099>,
      < 3.032994, 0.142878, 0.197470>
    }
    triangle {
      < 3.022030, 0.009857, 0.249643>,
      < 3.032994, 0.142878, 0.197470>,
      < 3.012467, 0.009803, 0.194546>
    }
    triangle {
      < 3.012467, 0.009803, 0.194546>,
      < 3.032994, 0.142878, 0.197470>,
      < 3.066482, 0.142697, -0.029280>
    }
    triangle {
      < 3.012467, 0.009803, 0.194546>,
      < 3.066482, 0.142697, -0.029280>,
      < 3.045955, 0.009621, -0.032205>
    }
    triangle {
      < 3.045955, 0.009621, -0.032205>,
      < 3.066482, 0.142697, -0.029280>,
      < 3.122631, 0.108035, -0.252655>
    }
    triangle {
      < 3.045955, 0.009621, -0.032205>,
      < 3.122631, 0.108035, -0.252655>,
      < 3.107425, 0.009460, -0.254822>
    }
    triangle {
      < 3.107425, 0.009460, -0.254822>,
      < 3.122631, 0.108035, -0.252655>,
      < 3.188864, 0.007873, -0.245619>
    }
    triangle {
      < 3.107425, 0.009460, -0.254822>,
      < 3.188864, 0.007873, -0.245619>,
      < 3.189117, 0.009516, -0.245583>
    }
    triangle {
      < 3.106107, 0.009959, 0.307270>,
      < 3.089525, 0.134866, 0.284942>,
      < 3.058248, 0.087115, 0.280360>
    }
    triangle {
      < 3.058248, 0.087115, 0.280360>,
      < 3.089525, 0.134866, 0.284942>,
      < 3.084513, 0.190661, 0.258726>
    }
    triangle {
      < 3.058248, 0.087115, 0.280360>,
      < 3.084513, 0.190661, 0.258726>,
      < 3.039263, 0.121576, 0.252099>
    }
    triangle {
      < 3.039263, 0.121576, 0.252099>,
      < 3.084513, 0.190661, 0.258726>,
      < 3.086895, 0.225173, 0.205366>
    }
    triangle {
      < 3.039263, 0.121576, 0.252099>,
      < 3.086895, 0.225173, 0.205366>,
      < 3.032994, 0.142878, 0.197470>
    }
    triangle {
      < 3.032994, 0.142878, 0.197470>,
      < 3.086895, 0.225173, 0.205366>,
      < 3.120383, 0.224991, -0.021384>
    }
    triangle {
      < 3.032994, 0.142878, 0.197470>,
      < 3.120383, 0.224991, -0.021384>,
      < 3.066482, 0.142697, -0.029280>
    }
    triangle {
      < 3.066482, 0.142697, -0.029280>,
      < 3.120383, 0.224991, -0.021384>,
      < 3.162557, 0.168993, -0.246807>
    }
    triangle {
      < 3.066482, 0.142697, -0.029280>,
      < 3.162557, 0.168993, -0.246807>,
      < 3.122631, 0.108035, -0.252655>
    }
    triangle {
      < 3.122631, 0.108035, -0.252655>,
      < 3.162557, 0.168993, -0.246807>,
      < 3.188197, 0.006857, -0.245716>
    }
    triangle {
      < 3.122631, 0.108035, -0.252655>,
      < 3.188197, 0.006857, -0.245716>,
      < 3.188864, 0.007873, -0.245619>
    }
    triangle {
      < 3.106107, 0.009959, 0.307270>,
      < 3.128223, 0.134917, 0.290657>,
      < 3.089525, 0.134866, 0.284942>
    }
    triangle {
      < 3.089525, 0.134866, 0.284942>,
      < 3.128223, 0.134917, 0.290657>,
      < 3.140503, 0.190736, 0.266996>
    }
    triangle {
      < 3.089525, 0.134866, 0.284942>,
      < 3.140503, 0.190736, 0.266996>,
      < 3.084513, 0.190661, 0.258726>
    }
    triangle {
      < 3.084513, 0.190661, 0.258726>,
      < 3.140503, 0.190736, 0.266996>,
      < 3.153589, 0.225262, 0.215215>
    }
    triangle {
      < 3.084513, 0.190661, 0.258726>,
      < 3.153589, 0.225262, 0.215215>,
      < 3.086895, 0.225173, 0.205366>
    }
    triangle {
      < 3.086895, 0.225173, 0.205366>,
      < 3.153589, 0.225262, 0.215215>,
      < 3.187077, 0.225080, -0.011534>
    }
    triangle {
      < 3.086895, 0.225173, 0.205366>,
      < 3.187077, 0.225080, -0.011534>,
      < 3.120383, 0.224991, -0.021384>
    }
    triangle {
      < 3.120383, 0.224991, -0.021384>,
      < 3.187077, 0.225080, -0.011534>,
      < 3.211960, 0.169059, -0.239511>
    }
    triangle {
      < 3.120383, 0.224991, -0.021384>,
      < 3.211960, 0.169059, -0.239511>,
      < 3.162557, 0.168993, -0.246807>
    }
    triangle {
      < 3.162557, 0.168993, -0.246807>,
      < 3.211960, 0.169059, -0.239511>,
      < 3.187374, 0.006856, -0.245837>
    }
    triangle {
      < 3.162557, 0.168993, -0.246807>,
      < 3.187374, 0.006856, -0.245837>,
      < 3.188197, 0.006857, -0.245716>
    }
    triangle {
      < 3.106107, 0.009959, 0.307270>,
      < 3.159569, 0.087251, 0.295324>,
      < 3.128223, 0.134917, 0.290657>
    }
    triangle {
      < 3.128223, 0.134917, 0.290657>,
      < 3.159569, 0.087251, 0.295324>,
      < 3.185854, 0.121772, 0.273749>
    }
    triangle {
      < 3.128223, 0.134917, 0.290657>,
      < 3.185854, 0.121772, 0.273749>,
      < 3.140503, 0.190736, 0.266996>
    }
    triangle {
      < 3.140503, 0.190736, 0.266996>,
      < 3.185854, 0.121772, 0.273749>,
      < 3.207611, 0.143114, 0.223259>
    }
    triangle {
      < 3.140503, 0.190736, 0.266996>,
      < 3.207611, 0.143114, 0.223259>,
      < 3.153589, 0.225262, 0.215215>
    }
    triangle {
      < 3.153589, 0.225262, 0.215215>,
      < 3.207611, 0.143114, 0.223259>,
      < 3.241099, 0.142933, -0.003491>
    }
    triangle {
      < 3.153589, 0.225262, 0.215215>,
      < 3.241099, 0.142933, -0.003491>,
      < 3.187077, 0.225080, -0.011534>
    }
    triangle {
      < 3.187077, 0.225080, -0.011534>,
      < 3.241099, 0.142933, -0.003491>,
      < 3.251976, 0.108208, -0.233553>
    }
    triangle {
      < 3.187077, 0.225080, -0.011534>,
      < 3.251976, 0.108208, -0.233553>,
      < 3.211960, 0.169059, -0.239511>
    }
    triangle {
      < 3.211960, 0.169059, -0.239511>,
      < 3.251976, 0.108208, -0.233553>,
      < 3.186708, 0.007871, -0.245937>
    }
    triangle {
      < 3.211960, 0.169059, -0.239511>,
      < 3.186708, 0.007871, -0.245937>,
      < 3.187374, 0.006856, -0.245837>
    }
    triangle {
      < 3.106107, 0.009959, 0.307270>,
      < 3.171594, 0.010066, 0.297162>,
      < 3.159569, 0.087251, 0.295324>
    }
    triangle {
      < 3.159569, 0.087251, 0.295324>,
      < 3.171594, 0.010066, 0.297162>,
      < 3.203252, 0.010101, 0.276408>
    }
    triangle {
      < 3.159569, 0.087251, 0.295324>,
      < 3.203252, 0.010101, 0.276408>,
      < 3.185854, 0.121772, 0.273749>
    }
    triangle {
      < 3.185854, 0.121772, 0.273749>,
      < 3.203252, 0.010101, 0.276408>,
      < 3.228333, 0.010093, 0.226426>
    }
    triangle {
      < 3.185854, 0.121772, 0.273749>,
      < 3.228333, 0.010093, 0.226426>,
      < 3.207611, 0.143114, 0.223259>
    }
    triangle {
      < 3.207611, 0.143114, 0.223259>,
      < 3.228333, 0.010093, 0.226426>,
      < 3.261822, 0.009911, -0.000324>
    }
    triangle {
      < 3.207611, 0.143114, 0.223259>,
      < 3.261822, 0.009911, -0.000324>,
      < 3.241099, 0.142933, -0.003491>
    }
    triangle {
      < 3.241099, 0.142933, -0.003491>,
      < 3.261822, 0.009911, -0.000324>,
      < 3.267326, 0.009674, -0.231207>
    }
    triangle {
      < 3.241099, 0.142933, -0.003491>,
      < 3.267326, 0.009674, -0.231207>,
      < 3.251976, 0.108208, -0.233553>
    }
    triangle {
      < 3.251976, 0.108208, -0.233553>,
      < 3.267326, 0.009674, -0.231207>,
      < 3.186452, 0.009513, -0.245976>
    }
    triangle {
      < 3.251976, 0.108208, -0.233553>,
      < 3.186452, 0.009513, -0.245976>,
      < 3.186708, 0.007871, -0.245937>
    }
    triangle {
      < 3.106107, 0.009959, 0.307270>,
      < 3.159704, -0.067165, 0.295468>,
      < 3.171594, 0.010066, 0.297162>
    }
    triangle {
      < 3.171594, 0.010066, 0.297162>,
      < 3.159704, -0.067165, 0.295468>,
      < 3.186050, -0.101639, 0.273956>
    }
    triangle {
      < 3.171594, 0.010066, 0.297162>,
      < 3.186050, -0.101639, 0.273956>,
      < 3.203252, 0.010101, 0.276408>
    }
    triangle {
      < 3.203252, 0.010101, 0.276408>,
      < 3.186050, -0.101639, 0.273956>,
      < 3.207845, -0.123009, 0.223507>
    }
    triangle {
      < 3.203252, 0.010101, 0.276408>,
      < 3.207845, -0.123009, 0.223507>,
      < 3.228333, 0.010093, 0.226426>
    }
    triangle {
      < 3.228333, 0.010093, 0.226426>,
      < 3.207845, -0.123009, 0.223507>,
      < 3.241332, -0.123190, -0.003243>
    }
    triangle {
      < 3.228333, 0.010093, 0.226426>,
      < 3.241332, -0.123190, -0.003243>,
      < 3.261822, 0.009911, -0.000324>
    }
    triangle {
      < 3.261822, 0.009911, -0.000324>,
      < 3.241332, -0.123190, -0.003243>,
      < 3.252149, -0.088919, -0.233369>
    }
    triangle {
      < 3.261822, 0.009911, -0.000324>,
      < 3.252149, -0.088919, -0.233369>,
      < 3.267326, 0.009674, -0.231207>
    }
    triangle {
      < 3.267326, 0.009674, -0.231207>,
      < 3.252149, -0.088919, -0.233369>,
      < 3.186705, 0.011156, -0.245940>
    }
    triangle {
      < 3.267326, 0.009674, -0.231207>,
      < 3.186705, 0.011156, -0.245940>,
      < 3.186452, 0.009513, -0.245976>
    }
    triangle {
      < 3.106107, 0.009959, 0.307270>,
      < 3.128442, -0.114956, 0.290889>,
      < 3.159704, -0.067165, 0.295468>
    }
    triangle {
      < 3.159704, -0.067165, 0.295468>,
      < 3.128442, -0.114956, 0.290889>,
      < 3.140820, -0.170781, 0.267332>
    }
    triangle {
      < 3.159704, -0.067165, 0.295468>,
      < 3.140820, -0.170781, 0.267332>,
      < 3.186050, -0.101639, 0.273956>
    }
    triangle {
      < 3.186050, -0.101639, 0.273956>,
      < 3.140820, -0.170781, 0.267332>,
      < 3.153966, -0.205370, 0.215616>
    }
    triangle {
      < 3.186050, -0.101639, 0.273956>,
      < 3.153966, -0.205370, 0.215616>,
      < 3.207845, -0.123009, 0.223507>
    }
    triangle {
      < 3.207845, -0.123009, 0.223507>,
      < 3.153966, -0.205370, 0.215616>,
      < 3.187454, -0.205552, -0.011134>
    }
    triangle {
      < 3.207845, -0.123009, 0.223507>,
      < 3.187454, -0.205552, -0.011134>,
      < 3.241332, -0.123190, -0.003243>
    }
    triangle {
      < 3.241332, -0.123190, -0.003243>,
      < 3.187454, -0.205552, -0.011134>,
      < 3.212240, -0.149927, -0.239214>
    }
    triangle {
      < 3.241332, -0.123190, -0.003243>,
      < 3.212240, -0.149927, -0.239214>,
      < 3.252149, -0.088919, -0.233369>
    }
    triangle {
      < 3.252149, -0.088919, -0.233369>,
      < 3.212240, -0.149927, -0.239214>,
      < 3.187369, 0.012172, -0.245843>
    }
    triangle {
      < 3.252149, -0.088919, -0.233369>,
      < 3.187369, 0.012172, -0.245843>,
      < 3.186705, 0.011156, -0.245940>
    }
    triangle {
      < 3.106107, 0.009959, 0.307270>,
      < 3.089743, -0.115056, 0.285174>,
      < 3.128442, -0.114956, 0.290889>
    }
    triangle {
      < 3.128442, -0.114956, 0.290889>,
      < 3.089743, -0.115056, 0.285174>,
      < 3.084830, -0.170926, 0.259063>
    }
    triangle {
      < 3.128442, -0.114956, 0.290889>,
      < 3.084830, -0.170926, 0.259063>,
      < 3.140820, -0.170781, 0.267332>
    }
    triangle {
      < 3.140820, -0.170781, 0.267332>,
      < 3.084830, -0.170926, 0.259063>,
      < 3.087271, -0.205543, 0.205766>
    }
    triangle {
      < 3.140820, -0.170781, 0.267332>,
      < 3.087271, -0.205543, 0.205766>,
      < 3.153966, -0.205370, 0.215616>
    }
    triangle {
      < 3.153966, -0.205370, 0.215616>,
      < 3.087271, -0.205543, 0.205766>,
      < 3.120759, -0.205724, -0.020984>
    }
    triangle {
      < 3.153966, -0.205370, 0.215616>,
      < 3.120759, -0.205724, -0.020984>,
      < 3.187454, -0.205552, -0.011134>
    }
    triangle {
      < 3.187454, -0.205552, -0.011134>,
      < 3.120759, -0.205724, -0.020984>,
      < 3.162836, -0.150055, -0.246510>
    }
    triangle {
      < 3.187454, -0.205552, -0.011134>,
      < 3.162836, -0.150055, -0.246510>,
      < 3.212240, -0.149927, -0.239214>
    }
    triangle {
      < 3.212240, -0.149927, -0.239214>,
      < 3.162836, -0.150055, -0.246510>,
      < 3.188193, 0.012175, -0.245721>
    }
    triangle {
      < 3.212240, -0.149927, -0.239214>,
      < 3.188193, 0.012175, -0.245721>,
      < 3.187369, 0.012172, -0.245843>
    }
    triangle {
      < 3.106107, 0.009959, 0.307270>,
      < 3.058384, -0.067428, 0.280505>,
      < 3.089743, -0.115056, 0.285174>
    }
    triangle {
      < 3.089743, -0.115056, 0.285174>,
      < 3.058384, -0.067428, 0.280505>,
      < 3.039458, -0.102018, 0.252308>
    }
    triangle {
      < 3.089743, -0.115056, 0.285174>,
      < 3.039458, -0.102018, 0.252308>,
      < 3.084830, -0.170926, 0.259063>
    }
    triangle {
      < 3.084830, -0.170926, 0.259063>,
      < 3.039458, -0.102018, 0.252308>,
      < 3.033228, -0.123460, 0.197719>
    }
    triangle {
      < 3.084830, -0.170926, 0.259063>,
      < 3.033228, -0.123460, 0.197719>,
      < 3.087271, -0.205543, 0.205766>
    }
    triangle {
      < 3.087271, -0.205543, 0.205766>,
      < 3.033228, -0.123460, 0.197719>,
      < 3.066715, -0.123643, -0.029032>
    }
    triangle {
      < 3.087271, -0.205543, 0.205766>,
      < 3.066715, -0.123643, -0.029032>,
      < 3.120759, -0.205724, -0.020984>
    }
    triangle {
      < 3.120759, -0.205724, -0.020984>,
      < 3.066715, -0.123643, -0.029032>,
      < 3.122803, -0.089254, -0.252471>
    }
    triangle {
      < 3.120759, -0.205724, -0.020984>,
      < 3.122803, -0.089254, -0.252471>,
      < 3.162836, -0.150055, -0.246510>
    }
    triangle {
      < 3.162836, -0.150055, -0.246510>,
      < 3.122803, -0.089254, -0.252471>,
      < 3.188860, 0.011161, -0.245622>
    }
    triangle {
      < 3.162836, -0.150055, -0.246510>,
      < 3.188860, 0.011161, -0.245622>,
      < 3.188193, 0.012175, -0.245721>
    }
    triangle {
      < 3.106107, 0.009959, 0.307270>,
      < 3.046338, 0.009897, 0.278663>,
      < 3.058384, -0.067428, 0.280505>
    }
    triangle {
      < 3.058384, -0.067428, 0.280505>,
      < 3.046338, 0.009897, 0.278663>,
      < 3.022030, 0.009857, 0.249643>
    }
    triangle {
      < 3.058384, -0.067428, 0.280505>,
      < 3.022030, 0.009857, 0.249643>,
      < 3.039458, -0.102018, 0.252308>
    }
    triangle {
      < 3.039458, -0.102018, 0.252308>,
      < 3.022030, 0.009857, 0.249643>,
      < 3.012467, 0.009803, 0.194546>
    }
    triangle {
      < 3.039458, -0.102018, 0.252308>,
      < 3.012467, 0.009803, 0.194546>,
      < 3.033228, -0.123460, 0.197719>
    }
    triangle {
      < 3.033228, -0.123460, 0.197719>,
      < 3.012467, 0.009803, 0.194546>,
      < 3.045955, 0.009621, -0.032205>
    }
    triangle {
      < 3.033228, -0.123460, 0.197719>,
      < 3.045955, 0.009621, -0.032205>,
      < 3.066715, -0.123643, -0.029032>
    }
    triangle {
      < 3.066715, -0.123643, -0.029032>,
      < 3.045955, 0.009621, -0.032205>,
      < 3.107425, 0.009460, -0.254822>
    }
    triangle {
      < 3.066715, -0.123643, -0.029032>,
      < 3.107425, 0.009460, -0.254822>,
      < 3.122803, -0.089254, -0.252471>
    }
    triangle {
      < 3.122803, -0.089254, -0.252471>,
      < 3.107425, 0.009460, -0.254822>,
      < 3.189117, 0.009516, -0.245583>
    }
    triangle {
      < 3.122803, -0.089254, -0.252471>,
      < 3.189117, 0.009516, -0.245583>,
      < 3.188860, 0.011161, -0.245622>
    }
    triangle {
      < 3.082701, -0.152368, 0.438165>,
      < 3.130439, -0.144209, 0.422755>,
      < 3.132895, -0.144403, 0.438265>
    }
    triangle {
      < 3.082701, -0.152368, 0.438165>,
      < 3.123309, -0.144037, 0.408761>,
      < 3.130439, -0.144209, 0.422755>
    }
    triangle {
      < 3.082701, -0.152368, 0.438165>,
      < 3.112204, -0.143902, 0.397657>,
      < 3.123309, -0.144037, 0.408761>
    }
    triangle {
      < 3.082701, -0.152368, 0.438165>,
      < 3.098210, -0.143817, 0.390528>,
      < 3.112204, -0.143902, 0.397657>
    }
    triangle {
      < 3.082701, -0.152368, 0.438165>,
      < 3.082699, -0.143790, 0.388071>,
      < 3.098210, -0.143817, 0.390528>
    }
    triangle {
      < 3.082701, -0.152368, 0.438165>,
      < 3.067187, -0.143826, 0.390528>,
      < 3.082699, -0.143790, 0.388071>
    }
    triangle {
      < 3.082701, -0.152368, 0.438165>,
      < 3.053193, -0.143919, 0.397657>,
      < 3.067187, -0.143826, 0.390528>
    }
    triangle {
      < 3.082701, -0.152368, 0.438165>,
      < 3.042088, -0.144061, 0.408761>,
      < 3.053193, -0.143919, 0.397657>
    }
    triangle {
      < 3.082701, -0.152368, 0.438165>,
      < 3.034958, -0.144238, 0.422755>,
      < 3.042088, -0.144061, 0.408761>
    }
    triangle {
      < 3.082701, -0.152368, 0.438165>,
      < 3.032501, -0.144432, 0.438265>,
      < 3.034958, -0.144238, 0.422755>
    }
    triangle {
      < 3.082701, -0.152368, 0.438165>,
      < 3.034958, -0.144626, 0.453776>,
      < 3.032501, -0.144432, 0.438265>
    }
    triangle {
      < 3.082701, -0.152368, 0.438165>,
      < 3.042088, -0.144798, 0.467768>,
      < 3.034958, -0.144626, 0.453776>
    }
    triangle {
      < 3.082701, -0.152368, 0.438165>,
      < 3.053193, -0.144933, 0.478872>,
      < 3.042088, -0.144798, 0.467768>
    }
    triangle {
      < 3.082701, -0.152368, 0.438165>,
      < 3.067187, -0.145018, 0.486002>,
      < 3.053193, -0.144933, 0.478872>
    }
    triangle {
      < 3.082701, -0.152368, 0.438165>,
      < 3.082699, -0.145044, 0.488459>,
      < 3.067187, -0.145018, 0.486002>
    }
    triangle {
      < 3.082701, -0.152368, 0.438165>,
      < 3.098210, -0.145009, 0.486002>,
      < 3.082699, -0.145044, 0.488459>
    }
    triangle {
      < 3.082701, -0.152368, 0.438165>,
      < 3.112205, -0.144916, 0.478872>,
      < 3.098210, -0.145009, 0.486002>
    }
    triangle {
      < 3.082701, -0.152368, 0.438165>,
      < 3.123309, -0.144774, 0.467768>,
      < 3.112205, -0.144916, 0.478872>
    }
    triangle {
      < 3.082701, -0.152368, 0.438165>,
      < 3.130439, -0.144597, 0.453776>,
      < 3.123309, -0.144774, 0.467768>
    }
    triangle {
      < 3.082701, -0.152368, 0.438165>,
      < 3.132895, -0.144403, 0.438265>,
      < 3.130439, -0.144597, 0.453776>
    }
    triangle {
      < 3.130439, -0.144209, 0.422755>,
      < 3.173500, -0.120950, 0.409050>,
      < 3.178173, -0.121318, 0.438553>
    }
    triangle {
      < 3.130439, -0.144209, 0.422755>,
      < 3.178173, -0.121318, 0.438553>,
      < 3.132895, -0.144403, 0.438265>
    }
    triangle {
      < 3.123309, -0.144037, 0.408761>,
      < 3.159937, -0.120623, 0.382435>,
      < 3.173500, -0.120950, 0.409050>
    }
    triangle {
      < 3.123309, -0.144037, 0.408761>,
      < 3.173500, -0.120950, 0.409050>,
      < 3.130439, -0.144209, 0.422755>
    }
    triangle {
      < 3.112204, -0.143902, 0.397657>,
      < 3.138814, -0.120365, 0.361313>,
      < 3.159937, -0.120623, 0.382435>
    }
    triangle {
      < 3.112204, -0.143902, 0.397657>,
      < 3.159937, -0.120623, 0.382435>,
      < 3.123309, -0.144037, 0.408761>
    }
    triangle {
      < 3.098210, -0.143817, 0.390528>,
      < 3.112197, -0.120203, 0.347752>,
      < 3.138814, -0.120365, 0.361313>
    }
    triangle {
      < 3.098210, -0.143817, 0.390528>,
      < 3.138814, -0.120365, 0.361313>,
      < 3.112204, -0.143902, 0.397657>
    }
    triangle {
      < 3.082699, -0.143790, 0.388071>,
      < 3.082692, -0.120154, 0.343079>,
      < 3.112197, -0.120203, 0.347752>
    }
    triangle {
      < 3.082699, -0.143790, 0.388071>,
      < 3.112197, -0.120203, 0.347752>,
      < 3.098210, -0.143817, 0.390528>
    }
    triangle {
      < 3.067187, -0.143826, 0.390528>,
      < 3.053186, -0.120221, 0.347752>,
      < 3.082692, -0.120154, 0.343079>
    }
    triangle {
      < 3.067187, -0.143826, 0.390528>,
      < 3.082692, -0.120154, 0.343079>,
      < 3.082699, -0.143790, 0.388071>
    }
    triangle {
      < 3.053193, -0.143919, 0.397657>,
      < 3.026569, -0.120397, 0.361313>,
      < 3.053186, -0.120221, 0.347752>
    }
    triangle {
      < 3.053193, -0.143919, 0.397657>,
      < 3.053186, -0.120221, 0.347752>,
      < 3.067187, -0.143826, 0.390528>
    }
    triangle {
      < 3.042088, -0.144061, 0.408761>,
      < 3.005445, -0.120668, 0.382435>,
      < 3.026569, -0.120397, 0.361313>
    }
    triangle {
      < 3.042088, -0.144061, 0.408761>,
      < 3.026569, -0.120397, 0.361313>,
      < 3.053193, -0.143919, 0.397657>
    }
    triangle {
      < 3.034958, -0.144238, 0.422755>,
      < 2.991884, -0.121005, 0.409050>,
      < 3.005445, -0.120668, 0.382435>
    }
    triangle {
      < 3.034958, -0.144238, 0.422755>,
      < 3.005445, -0.120668, 0.382435>,
      < 3.042088, -0.144061, 0.408761>
    }
    triangle {
      < 3.032501, -0.144432, 0.438265>,
      < 2.987211, -0.121374, 0.438553>,
      < 2.991884, -0.121005, 0.409050>
    }
    triangle {
      < 3.032501, -0.144432, 0.438265>,
      < 2.991884, -0.121005, 0.409050>,
      < 3.034958, -0.144238, 0.422755>
    }
    triangle {
      < 3.034958, -0.144626, 0.453776>,
      < 2.991883, -0.121742, 0.468056>,
      < 2.987211, -0.121374, 0.438553>
    }
    triangle {
      < 3.034958, -0.144626, 0.453776>,
      < 2.987211, -0.121374, 0.438553>,
      < 3.032501, -0.144432, 0.438265>
    }
    triangle {
      < 3.042088, -0.144798, 0.467768>,
      < 3.005445, -0.122070, 0.494670>,
      < 2.991883, -0.121742, 0.468056>
    }
    triangle {
      < 3.042088, -0.144798, 0.467768>,
      < 2.991883, -0.121742, 0.468056>,
      < 3.034958, -0.144626, 0.453776>
    }
    triangle {
      < 3.053193, -0.144933, 0.478872>,
      < 3.026569, -0.122327, 0.515793>,
      < 3.005445, -0.122070, 0.494670>
    }
    triangle {
      < 3.053193, -0.144933, 0.478872>,
      < 3.005445, -0.122070, 0.494670>,
      < 3.042088, -0.144798, 0.467768>
    }
    triangle {
      < 3.067187, -0.145018, 0.486002>,
      < 3.053186, -0.122488, 0.529354>,
      < 3.026569, -0.122327, 0.515793>
    }
    triangle {
      < 3.067187, -0.145018, 0.486002>,
      < 3.026569, -0.122327, 0.515793>,
      < 3.053193, -0.144933, 0.478872>
    }
    triangle {
      < 3.082699, -0.145044, 0.488459>,
      < 3.082692, -0.122538, 0.534027>,
      < 3.053186, -0.122488, 0.529354>
    }
    triangle {
      < 3.082699, -0.145044, 0.488459>,
      < 3.053186, -0.122488, 0.529354>,
      < 3.067187, -0.145018, 0.486002>
    }
    triangle {
      < 3.098210, -0.145009, 0.486002>,
      < 3.112197, -0.122471, 0.529354>,
      < 3.082692, -0.122538, 0.534027>
    }
    triangle {
      < 3.098210, -0.145009, 0.486002>,
      < 3.082692, -0.122538, 0.534027>,
      < 3.082699, -0.145044, 0.488459>
    }
    triangle {
      < 3.112205, -0.144916, 0.478872>,
      < 3.138814, -0.122294, 0.515794>,
      < 3.112197, -0.122471, 0.529354>
    }
    triangle {
      < 3.112205, -0.144916, 0.478872>,
      < 3.112197, -0.122471, 0.529354>,
      < 3.098210, -0.145009, 0.486002>
    }
    triangle {
      < 3.123309, -0.144774, 0.467768>,
      < 3.159937, -0.122023, 0.494671>,
      < 3.138814, -0.122294, 0.515794>
    }
    triangle {
      < 3.123309, -0.144774, 0.467768>,
      < 3.138814, -0.122294, 0.515794>,
      < 3.112205, -0.144916, 0.478872>
    }
    triangle {
      < 3.130439, -0.144597, 0.453776>,
      < 3.173500, -0.121687, 0.468056>,
      < 3.159937, -0.122023, 0.494671>
    }
    triangle {
      < 3.130439, -0.144597, 0.453776>,
      < 3.159937, -0.122023, 0.494671>,
      < 3.123309, -0.144774, 0.467768>
    }
    triangle {
      < 3.132895, -0.144403, 0.438265>,
      < 3.178173, -0.121318, 0.438553>,
      < 3.173500, -0.121687, 0.468056>
    }
    triangle {
      < 3.132895, -0.144403, 0.438265>,
      < 3.173500, -0.121687, 0.468056>,
      < 3.130439, -0.144597, 0.453776>
    }
    triangle {
      < 3.173500, -0.120950, 0.409050>,
      < 3.207667, -0.084867, 0.398394>,
      < 3.214099, -0.085372, 0.439002>
    }
    triangle {
      < 3.173500, -0.120950, 0.409050>,
      < 3.214099, -0.085372, 0.439002>,
      < 3.178173, -0.121318, 0.438553>
    }
    triangle {
      < 3.159937, -0.120623, 0.382435>,
      < 3.189001, -0.084415, 0.361762>,
      < 3.207667, -0.084867, 0.398394>
    }
    triangle {
      < 3.159937, -0.120623, 0.382435>,
      < 3.207667, -0.084867, 0.398394>,
      < 3.173500, -0.120950, 0.409050>
    }
    triangle {
      < 3.138814, -0.120365, 0.361313>,
      < 3.159927, -0.084061, 0.332690>,
      < 3.189001, -0.084415, 0.361762>
    }
    triangle {
      < 3.138814, -0.120365, 0.361313>,
      < 3.189001, -0.084415, 0.361762>,
      < 3.159937, -0.120623, 0.382435>
    }
    triangle {
      < 3.112197, -0.120203, 0.347752>,
      < 3.123290, -0.083839, 0.314025>,
      < 3.159927, -0.084061, 0.332690>
    }
    triangle {
      < 3.112197, -0.120203, 0.347752>,
      < 3.159927, -0.084061, 0.332690>,
      < 3.138814, -0.120365, 0.361313>
    }
    triangle {
      < 3.082692, -0.120154, 0.343079>,
      < 3.082681, -0.083771, 0.307594>,
      < 3.123290, -0.083839, 0.314025>
    }
    triangle {
      < 3.082692, -0.120154, 0.343079>,
      < 3.123290, -0.083839, 0.314025>,
      < 3.112197, -0.120203, 0.347752>
    }
    triangle {
      < 3.053186, -0.120221, 0.347752>,
      < 3.042069, -0.083862, 0.314025>,
      < 3.082681, -0.083771, 0.307594>
    }
    triangle {
      < 3.053186, -0.120221, 0.347752>,
      < 3.082681, -0.083771, 0.307594>,
      < 3.082692, -0.120154, 0.343079>
    }
    triangle {
      < 3.026569, -0.120397, 0.361313>,
      < 3.005435, -0.084107, 0.332690>,
      < 3.042069, -0.083862, 0.314025>
    }
    triangle {
      < 3.026569, -0.120397, 0.361313>,
      < 3.042069, -0.083862, 0.314025>,
      < 3.053186, -0.120221, 0.347752>
    }
    triangle {
      < 3.005445, -0.120668, 0.382435>,
      < 2.976361, -0.084478, 0.361761>,
      < 3.005435, -0.084107, 0.332690>
    }
    triangle {
      < 3.005445, -0.120668, 0.382435>,
      < 3.005435, -0.084107, 0.332690>,
      < 3.026569, -0.120397, 0.361313>
    }
    triangle {
      < 2.991884, -0.121005, 0.409050>,
      < 2.957695, -0.084941, 0.398394>,
      < 2.976361, -0.084478, 0.361761>
    }
    triangle {
      < 2.991884, -0.121005, 0.409050>,
      < 2.976361, -0.084478, 0.361761>,
      < 3.005445, -0.120668, 0.382435>
    }
    triangle {
      < 2.987211, -0.121374, 0.438553>,
      < 2.951262, -0.085450, 0.439002>,
      < 2.957695, -0.084941, 0.398394>
    }
    triangle {
      < 2.987211, -0.121374, 0.438553>,
      < 2.957695, -0.084941, 0.398394>,
      < 2.991884, -0.121005, 0.409050>
    }
    triangle {
      < 2.991883, -0.121742, 0.468056>,
      < 2.957695, -0.085955, 0.479609>,
      < 2.951262, -0.085450, 0.439002>
    }
    triangle {
      < 2.991883, -0.121742, 0.468056>,
      < 2.951262, -0.085450, 0.439002>,
      < 2.987211, -0.121374, 0.438553>
    }
    triangle {
      < 3.005445, -0.122070, 0.494670>,
      < 2.976361, -0.086407, 0.516241>,
      < 2.957695, -0.085955, 0.479609>
    }
    triangle {
      < 3.005445, -0.122070, 0.494670>,
      < 2.957695, -0.085955, 0.479609>,
      < 2.991883, -0.121742, 0.468056>
    }
    triangle {
      < 3.026569, -0.122327, 0.515793>,
      < 3.005435, -0.086762, 0.545313>,
      < 2.976361, -0.086407, 0.516241>
    }
    triangle {
      < 3.026569, -0.122327, 0.515793>,
      < 2.976361, -0.086407, 0.516241>,
      < 3.005445, -0.122070, 0.494670>
    }
    triangle {
      < 3.053186, -0.122488, 0.529354>,
      < 3.042070, -0.086984, 0.563979>,
      < 3.005435, -0.086762, 0.545313>
    }
    triangle {
      < 3.053186, -0.122488, 0.529354>,
      < 3.005435, -0.086762, 0.545313>,
      < 3.026569, -0.122327, 0.515793>
    }
    triangle {
      < 3.082692, -0.122538, 0.534027>,
      < 3.082681, -0.087052, 0.570410>,
      < 3.042070, -0.086984, 0.563979>
    }
    triangle {
      < 3.082692, -0.122538, 0.534027>,
      < 3.042070, -0.086984, 0.563979>,
      < 3.053186, -0.122488, 0.529354>
    }
    triangle {
      < 3.112197, -0.122471, 0.529354>,
      < 3.123291, -0.086960, 0.563979>,
      < 3.082681, -0.087052, 0.570410>
    }
    triangle {
      < 3.112197, -0.122471, 0.529354>,
      < 3.082681, -0.087052, 0.570410>,
      < 3.082692, -0.122538, 0.534027>
    }
    triangle {
      < 3.138814, -0.122294, 0.515794>,
      < 3.159927, -0.086716, 0.545313>,
      < 3.123291, -0.086960, 0.563979>
    }
    triangle {
      < 3.138814, -0.122294, 0.515794>,
      < 3.123291, -0.086960, 0.563979>,
      < 3.112197, -0.122471, 0.529354>
    }
    triangle {
      < 3.159937, -0.122023, 0.494671>,
      < 3.189001, -0.086344, 0.516241>,
      < 3.159927, -0.086716, 0.545313>
    }
    triangle {
      < 3.159937, -0.122023, 0.494671>,
      < 3.159927, -0.086716, 0.545313>,
      < 3.138814, -0.122294, 0.515794>
    }
    triangle {
      < 3.173500, -0.121687, 0.468056>,
      < 3.207668, -0.085881, 0.479609>,
      < 3.189001, -0.086344, 0.516241>
    }
    triangle {
      < 3.173500, -0.121687, 0.468056>,
      < 3.189001, -0.086344, 0.516241>,
      < 3.159937, -0.122023, 0.494671>
    }
    triangle {
      < 3.178173, -0.121318, 0.438553>,
      < 3.214099, -0.085372, 0.439002>,
      < 3.207668, -0.085881, 0.479609>
    }
    triangle {
      < 3.178173, -0.121318, 0.438553>,
      < 3.207668, -0.085881, 0.479609>,
      < 3.173500, -0.121687, 0.468056>
    }
    triangle {
      < 3.207667, -0.084867, 0.398394>,
      < 3.229598, -0.039492, 0.391830>,
      < 3.237159, -0.040085, 0.439567>
    }
    triangle {
      < 3.207667, -0.084867, 0.398394>,
      < 3.237159, -0.040085, 0.439567>,
      < 3.214099, -0.085372, 0.439002>
    }
    triangle {
      < 3.189001, -0.084415, 0.361762>,
      < 3.207654, -0.038960, 0.348766>,
      < 3.229598, -0.039492, 0.391830>
    }
    triangle {
      < 3.189001, -0.084415, 0.361762>,
      < 3.229598, -0.039492, 0.391830>,
      < 3.207667, -0.084867, 0.398394>
    }
    triangle {
      < 3.159927, -0.084061, 0.332690>,
      < 3.173476, -0.038543, 0.314591>,
      < 3.207654, -0.038960, 0.348766>
    }
    triangle {
      < 3.159927, -0.084061, 0.332690>,
      < 3.207654, -0.038960, 0.348766>,
      < 3.189001, -0.084415, 0.361762>
    }
    triangle {
      < 3.123290, -0.083839, 0.314025>,
      < 3.130407, -0.038282, 0.292648>,
      < 3.173476, -0.038543, 0.314591>
    }
    triangle {
      < 3.123290, -0.083839, 0.314025>,
      < 3.173476, -0.038543, 0.314591>,
      < 3.159927, -0.084061, 0.332690>
    }
    triangle {
      < 3.082681, -0.083771, 0.307594>,
      < 3.082667, -0.038202, 0.285088>,
      < 3.130407, -0.038282, 0.292648>
    }
    triangle {
      < 3.082681, -0.083771, 0.307594>,
      < 3.130407, -0.038282, 0.292648>,
      < 3.123290, -0.083839, 0.314025>
    }
    triangle {
      < 3.042069, -0.083862, 0.314025>,
      < 3.034926, -0.038311, 0.292648>,
      < 3.082667, -0.038202, 0.285088>
    }
    triangle {
      < 3.042069, -0.083862, 0.314025>,
      < 3.082667, -0.038202, 0.285088>,
      < 3.082681, -0.083771, 0.307594>
    }
    triangle {
      < 3.005435, -0.084107, 0.332690>,
      < 2.991859, -0.038598, 0.314590>,
      < 3.034926, -0.038311, 0.292648>
    }
    triangle {
      < 3.005435, -0.084107, 0.332690>,
      < 3.034926, -0.038311, 0.292648>,
      < 3.042069, -0.083862, 0.314025>
    }
    triangle {
      < 2.976361, -0.084478, 0.361761>,
      < 2.957681, -0.039035, 0.348766>,
      < 2.991859, -0.038598, 0.314590>
    }
    triangle {
      < 2.976361, -0.084478, 0.361761>,
      < 2.991859, -0.038598, 0.314590>,
      < 3.005435, -0.084107, 0.332690>
    }
    triangle {
      < 2.957695, -0.084941, 0.398394>,
      < 2.935737, -0.039578, 0.391830>,
      < 2.957681, -0.039035, 0.348766>
    }
    triangle {
      < 2.957695, -0.084941, 0.398394>,
      < 2.957681, -0.039035, 0.348766>,
      < 2.976361, -0.084478, 0.361761>
    }
    triangle {
      < 2.951262, -0.085450, 0.439002>,
      < 2.928175, -0.040177, 0.439567>,
      < 2.935737, -0.039578, 0.391830>
    }
    triangle {
      < 2.951262, -0.085450, 0.439002>,
      < 2.935737, -0.039578, 0.391830>,
      < 2.957695, -0.084941, 0.398394>
    }
    triangle {
      < 2.957695, -0.085955, 0.479609>,
      < 2.935737, -0.040770, 0.487304>,
      < 2.928175, -0.040177, 0.439567>
    }
    triangle {
      < 2.957695, -0.085955, 0.479609>,
      < 2.928175, -0.040177, 0.439567>,
      < 2.951262, -0.085450, 0.439002>
    }
    triangle {
      < 2.976361, -0.086407, 0.516241>,
      < 2.957681, -0.041302, 0.530368>,
      < 2.935737, -0.040770, 0.487304>
    }
    triangle {
      < 2.976361, -0.086407, 0.516241>,
      < 2.935737, -0.040770, 0.487304>,
      < 2.957695, -0.085955, 0.479609>
    }
    triangle {
      < 3.005435, -0.086762, 0.545313>,
      < 2.991859, -0.041718, 0.564544>,
      < 2.957681, -0.041302, 0.530368>
    }
    triangle {
      < 3.005435, -0.086762, 0.545313>,
      < 2.957681, -0.041302, 0.530368>,
      < 2.976361, -0.086407, 0.516241>
    }
    triangle {
      < 3.042070, -0.086984, 0.563979>,
      < 3.034927, -0.041980, 0.586486>,
      < 2.991859, -0.041718, 0.564544>
    }
    triangle {
      < 3.042070, -0.086984, 0.563979>,
      < 2.991859, -0.041718, 0.564544>,
      < 3.005435, -0.086762, 0.545313>
    }
    triangle {
      < 3.082681, -0.087052, 0.570410>,
      < 3.082668, -0.042060, 0.594047>,
      < 3.034927, -0.041980, 0.586486>
    }
    triangle {
      < 3.082681, -0.087052, 0.570410>,
      < 3.034927, -0.041980, 0.586486>,
      < 3.042070, -0.086984, 0.563979>
    }
    triangle {
      < 3.123291, -0.086960, 0.563979>,
      < 3.130409, -0.041951, 0.586486>,
      < 3.082668, -0.042060, 0.594047>
    }
    triangle {
      < 3.123291, -0.086960, 0.563979>,
      < 3.082668, -0.042060, 0.594047>,
      < 3.082681, -0.087052, 0.570410>
    }
    triangle {
      < 3.159927, -0.086716, 0.545313>,
      < 3.173476, -0.041665, 0.564544>,
      < 3.130409, -0.041951, 0.586486>
    }
    triangle {
      < 3.159927, -0.086716, 0.545313>,
      < 3.130409, -0.041951, 0.586486>,
      < 3.123291, -0.086960, 0.563979>
    }
    triangle {
      < 3.189001, -0.086344, 0.516241>,
      < 3.207654, -0.041228, 0.530367>,
      < 3.173476, -0.041665, 0.564544>
    }
    triangle {
      < 3.189001, -0.086344, 0.516241>,
      < 3.173476, -0.041665, 0.564544>,
      < 3.159927, -0.086716, 0.545313>
    }
    triangle {
      < 3.207668, -0.085881, 0.479609>,
      < 3.229598, -0.040683, 0.487304>,
      < 3.207654, -0.041228, 0.530367>
    }
    triangle {
      < 3.207668, -0.085881, 0.479609>,
      < 3.207654, -0.041228, 0.530367>,
      < 3.189001, -0.086344, 0.516241>
    }
    triangle {
      < 3.214099, -0.085372, 0.439002>,
      < 3.237159, -0.040085, 0.439567>,
      < 3.229598, -0.040683, 0.487304>
    }
    triangle {
      < 3.214099, -0.085372, 0.439002>,
      < 3.229598, -0.040683, 0.487304>,
      < 3.207668, -0.085881, 0.479609>
    }
    triangle {
      < 3.229598, -0.039492, 0.391830>,
      < 3.237144, 0.010735, 0.390001>,
      < 3.245095, 0.010110, 0.440194>
    }
    triangle {
      < 3.229598, -0.039492, 0.391830>,
      < 3.245095, 0.010110, 0.440194>,
      < 3.237159, -0.040085, 0.439567>
    }
    triangle {
      < 3.207654, -0.038960, 0.348766>,
      < 3.214071, 0.011293, 0.344720>,
      < 3.237144, 0.010735, 0.390001>
    }
    triangle {
      < 3.207654, -0.038960, 0.348766>,
      < 3.237144, 0.010735, 0.390001>,
      < 3.229598, -0.039492, 0.391830>
    }
    triangle {
      < 3.173476, -0.038543, 0.314591>,
      < 3.178134, 0.011731, 0.308785>,
      < 3.214071, 0.011293, 0.344720>
    }
    triangle {
      < 3.173476, -0.038543, 0.314591>,
      < 3.214071, 0.011293, 0.344720>,
      < 3.207654, -0.038960, 0.348766>
    }
    triangle {
      < 3.130407, -0.038282, 0.292648>,
      < 3.132849, 0.012007, 0.285715>,
      < 3.178134, 0.011731, 0.308785>
    }
    triangle {
      < 3.130407, -0.038282, 0.292648>,
      < 3.178134, 0.011731, 0.308785>,
      < 3.173476, -0.038543, 0.314591>
    }
    triangle {
      < 3.082667, -0.038202, 0.285088>,
      < 3.082653, 0.012090, 0.277764>,
      < 3.132849, 0.012007, 0.285715>
    }
    triangle {
      < 3.082667, -0.038202, 0.285088>,
      < 3.132849, 0.012007, 0.285715>,
      < 3.130407, -0.038282, 0.292648>
    }
    triangle {
      < 3.034926, -0.038311, 0.292648>,
      < 3.032454, 0.011976, 0.285714>,
      < 3.082653, 0.012090, 0.277764>
    }
    triangle {
      < 3.034926, -0.038311, 0.292648>,
      < 3.082653, 0.012090, 0.277764>,
      < 3.082667, -0.038202, 0.285088>
    }
    triangle {
      < 2.991859, -0.038598, 0.314590>,
      < 2.987171, 0.011675, 0.308785>,
      < 3.032454, 0.011976, 0.285714>
    }
    triangle {
      < 2.991859, -0.038598, 0.314590>,
      < 3.032454, 0.011976, 0.285714>,
      < 3.034926, -0.038311, 0.292648>
    }
    triangle {
      < 2.957681, -0.039035, 0.348766>,
      < 2.951234, 0.011215, 0.344720>,
      < 2.987171, 0.011675, 0.308785>
    }
    triangle {
      < 2.957681, -0.039035, 0.348766>,
      < 2.987171, 0.011675, 0.308785>,
      < 2.991859, -0.038598, 0.314590>
    }
    triangle {
      < 2.935737, -0.039578, 0.391830>,
      < 2.928160, 0.010643, 0.390001>,
      < 2.951234, 0.011215, 0.344720>
    }
    triangle {
      < 2.935737, -0.039578, 0.391830>,
      < 2.951234, 0.011215, 0.344720>,
      < 2.957681, -0.039035, 0.348766>
    }
    triangle {
      < 2.928175, -0.040177, 0.439567>,
      < 2.920210, 0.010014, 0.440194>,
      < 2.928160, 0.010643, 0.390001>
    }
    triangle {
      < 2.928175, -0.040177, 0.439567>,
      < 2.928160, 0.010643, 0.390001>,
      < 2.935737, -0.039578, 0.391830>
    }
    triangle {
      < 2.935737, -0.040770, 0.487304>,
      < 2.928161, 0.009390, 0.490388>,
      < 2.920210, 0.010014, 0.440194>
    }
    triangle {
      < 2.935737, -0.040770, 0.487304>,
      < 2.920210, 0.010014, 0.440194>,
      < 2.928175, -0.040177, 0.439567>
    }
    triangle {
      < 2.957681, -0.041302, 0.530368>,
      < 2.951235, 0.008831, 0.535668>,
      < 2.928161, 0.009390, 0.490388>
    }
    triangle {
      < 2.957681, -0.041302, 0.530368>,
      < 2.928161, 0.009390, 0.490388>,
      < 2.935737, -0.040770, 0.487304>
    }
    triangle {
      < 2.991859, -0.041718, 0.564544>,
      < 2.987172, 0.008394, 0.571602>,
      < 2.951235, 0.008831, 0.535668>
    }
    triangle {
      < 2.991859, -0.041718, 0.564544>,
      < 2.951235, 0.008831, 0.535668>,
      < 2.957681, -0.041302, 0.530368>
    }
    triangle {
      < 3.034927, -0.041980, 0.586486>,
      < 3.032455, 0.008119, 0.594674>,
      < 2.987172, 0.008394, 0.571602>
    }
    triangle {
      < 3.034927, -0.041980, 0.586486>,
      < 2.987172, 0.008394, 0.571602>,
      < 2.991859, -0.041718, 0.564544>
    }
    triangle {
      < 3.082668, -0.042060, 0.594047>,
      < 3.082653, 0.008034, 0.602623>,
      < 3.032455, 0.008119, 0.594674>
    }
    triangle {
      < 3.082668, -0.042060, 0.594047>,
      < 3.032455, 0.008119, 0.594674>,
      < 3.034927, -0.041980, 0.586486>
    }
    triangle {
      < 3.130409, -0.041951, 0.586486>,
      < 3.132851, 0.008148, 0.594674>,
      < 3.082653, 0.008034, 0.602623>
    }
    triangle {
      < 3.130409, -0.041951, 0.586486>,
      < 3.082653, 0.008034, 0.602623>,
      < 3.082668, -0.042060, 0.594047>
    }
    triangle {
      < 3.173476, -0.041665, 0.564544>,
      < 3.178134, 0.008450, 0.571602>,
      < 3.132851, 0.008148, 0.594674>
    }
    triangle {
      < 3.173476, -0.041665, 0.564544>,
      < 3.132851, 0.008148, 0.594674>,
      < 3.130409, -0.041951, 0.586486>
    }
    triangle {
      < 3.207654, -0.041228, 0.530367>,
      < 3.214072, 0.008909, 0.535668>,
      < 3.178134, 0.008450, 0.571602>
    }
    triangle {
      < 3.207654, -0.041228, 0.530367>,
      < 3.178134, 0.008450, 0.571602>,
      < 3.173476, -0.041665, 0.564544>
    }
    triangle {
      < 3.229598, -0.040683, 0.487304>,
      < 3.237144, 0.009481, 0.490387>,
      < 3.214072, 0.008909, 0.535668>
    }
    triangle {
      < 3.229598, -0.040683, 0.487304>,
      < 3.214072, 0.008909, 0.535668>,
      < 3.207654, -0.041228, 0.530367>
    }
    triangle {
      < 3.237159, -0.040085, 0.439567>,
      < 3.245095, 0.010110, 0.440194>,
      < 3.237144, 0.009481, 0.490387>
    }
    triangle {
      < 3.237159, -0.040085, 0.439567>,
      < 3.237144, 0.009481, 0.490387>,
      < 3.229598, -0.040683, 0.487304>
    }
    triangle {
      < 3.237144, 0.010735, 0.390001>,
      < 3.229568, 0.060896, 0.393084>,
      < 3.237129, 0.060302, 0.440821>
    }
    triangle {
      < 3.237144, 0.010735, 0.390001>,
      < 3.237129, 0.060302, 0.440821>,
      < 3.245095, 0.010110, 0.440194>
    }
    triangle {
      < 3.214071, 0.011293, 0.344720>,
      < 3.207624, 0.061427, 0.350020>,
      < 3.229568, 0.060896, 0.393084>
    }
    triangle {
      < 3.214071, 0.011293, 0.344720>,
      < 3.229568, 0.060896, 0.393084>,
      < 3.237144, 0.010735, 0.390001>
    }
    triangle {
      < 3.178134, 0.011731, 0.308785>,
      < 3.173445, 0.061843, 0.315844>,
      < 3.207624, 0.061427, 0.350020>
    }
    triangle {
      < 3.178134, 0.011731, 0.308785>,
      < 3.207624, 0.061427, 0.350020>,
      < 3.214071, 0.011293, 0.344720>
    }
    triangle {
      < 3.132849, 0.012007, 0.285715>,
      < 3.130378, 0.062105, 0.293901>,
      < 3.173445, 0.061843, 0.315844>
    }
    triangle {
      < 3.132849, 0.012007, 0.285715>,
      < 3.173445, 0.061843, 0.315844>,
      < 3.178134, 0.011731, 0.308785>
    }
    triangle {
      < 3.082653, 0.012090, 0.277764>,
      < 3.082638, 0.062185, 0.286341>,
      < 3.130378, 0.062105, 0.293901>
    }
    triangle {
      < 3.082653, 0.012090, 0.277764>,
      < 3.130378, 0.062105, 0.293901>,
      < 3.132849, 0.012007, 0.285715>
    }
    triangle {
      < 3.032454, 0.011976, 0.285714>,
      < 3.034897, 0.062077, 0.293901>,
      < 3.082638, 0.062185, 0.286341>
    }
    triangle {
      < 3.032454, 0.011976, 0.285714>,
      < 3.082638, 0.062185, 0.286341>,
      < 3.082653, 0.012090, 0.277764>
    }
    triangle {
      < 2.987171, 0.011675, 0.308785>,
      < 2.991829, 0.061789, 0.315843>,
      < 3.034897, 0.062077, 0.293901>
    }
    triangle {
      < 2.987171, 0.011675, 0.308785>,
      < 3.034897, 0.062077, 0.293901>,
      < 3.032454, 0.011976, 0.285714>
    }
    triangle {
      < 2.951234, 0.011215, 0.344720>,
      < 2.957651, 0.061352, 0.350020>,
      < 2.991829, 0.061789, 0.315843>
    }
    triangle {
      < 2.951234, 0.011215, 0.344720>,
      < 2.991829, 0.061789, 0.315843>,
      < 2.987171, 0.011675, 0.308785>
    }
    triangle {
      < 2.928160, 0.010643, 0.390001>,
      < 2.935707, 0.060809, 0.393084>,
      < 2.957651, 0.061352, 0.350020>
    }
    triangle {
      < 2.928160, 0.010643, 0.390001>,
      < 2.957651, 0.061352, 0.350020>,
      < 2.951234, 0.011215, 0.344720>
    }
    triangle {
      < 2.920210, 0.010014, 0.440194>,
      < 2.928146, 0.060211, 0.440820>,
      < 2.935707, 0.060809, 0.393084>
    }
    triangle {
      < 2.920210, 0.010014, 0.440194>,
      < 2.935707, 0.060809, 0.393084>,
      < 2.928160, 0.010643, 0.390001>
    }
    triangle {
      < 2.928161, 0.009390, 0.490388>,
      < 2.935707, 0.059616, 0.488558>,
      < 2.928146, 0.060211, 0.440820>
    }
    triangle {
      < 2.928161, 0.009390, 0.490388>,
      < 2.928146, 0.060211, 0.440820>,
      < 2.920210, 0.010014, 0.440194>
    }
    triangle {
      < 2.951235, 0.008831, 0.535668>,
      < 2.957651, 0.059085, 0.531621>,
      < 2.935707, 0.059616, 0.488558>
    }
    triangle {
      < 2.951235, 0.008831, 0.535668>,
      < 2.935707, 0.059616, 0.488558>,
      < 2.928161, 0.009390, 0.490388>
    }
    triangle {
      < 2.987172, 0.008394, 0.571602>,
      < 2.991830, 0.058668, 0.565797>,
      < 2.957651, 0.059085, 0.531621>
    }
    triangle {
      < 2.987172, 0.008394, 0.571602>,
      < 2.957651, 0.059085, 0.531621>,
      < 2.951235, 0.008831, 0.535668>
    }
    triangle {
      < 3.032455, 0.008119, 0.594674>,
      < 3.034897, 0.058407, 0.587739>,
      < 2.991830, 0.058668, 0.565797>
    }
    triangle {
      < 3.032455, 0.008119, 0.594674>,
      < 2.991830, 0.058668, 0.565797>,
      < 2.987172, 0.008394, 0.571602>
    }
    triangle {
      < 3.082653, 0.008034, 0.602623>,
      < 3.082638, 0.058328, 0.595301>,
      < 3.034897, 0.058407, 0.587739>
    }
    triangle {
      < 3.082653, 0.008034, 0.602623>,
      < 3.034897, 0.058407, 0.587739>,
      < 3.032455, 0.008119, 0.594674>
    }
    triangle {
      < 3.132851, 0.008148, 0.594674>,
      < 3.130379, 0.058435, 0.587739>,
      < 3.082638, 0.058328, 0.595301>
    }
    triangle {
      < 3.132851, 0.008148, 0.594674>,
      < 3.082638, 0.058328, 0.595301>,
      < 3.082653, 0.008034, 0.602623>
    }
    triangle {
      < 3.178134, 0.008450, 0.571602>,
      < 3.173446, 0.058723, 0.565797>,
      < 3.130379, 0.058435, 0.587739>
    }
    triangle {
      < 3.178134, 0.008450, 0.571602>,
      < 3.130379, 0.058435, 0.587739>,
      < 3.132851, 0.008148, 0.594674>
    }
    triangle {
      < 3.214072, 0.008909, 0.535668>,
      < 3.207625, 0.059159, 0.531622>,
      < 3.173446, 0.058723, 0.565797>
    }
    triangle {
      < 3.214072, 0.008909, 0.535668>,
      < 3.173446, 0.058723, 0.565797>,
      < 3.178134, 0.008450, 0.571602>
    }
    triangle {
      < 3.237144, 0.009481, 0.490387>,
      < 3.229568, 0.059703, 0.488558>,
      < 3.207625, 0.059159, 0.531622>
    }
    triangle {
      < 3.237144, 0.009481, 0.490387>,
      < 3.207625, 0.059159, 0.531622>,
      < 3.214072, 0.008909, 0.535668>
    }
    triangle {
      < 3.245095, 0.010110, 0.440194>,
      < 3.237129, 0.060302, 0.440821>,
      < 3.229568, 0.059703, 0.488558>
    }
    triangle {
      < 3.245095, 0.010110, 0.440194>,
      < 3.229568, 0.059703, 0.488558>,
      < 3.237144, 0.009481, 0.490387>
    }
    triangle {
      < 3.229568, 0.060896, 0.393084>,
      < 3.207611, 0.106080, 0.400778>,
      < 3.214043, 0.105575, 0.441386>
    }
    triangle {
      < 3.229568, 0.060896, 0.393084>,
      < 3.214043, 0.105575, 0.441386>,
      < 3.237129, 0.060302, 0.440821>
    }
    triangle {
      < 3.207624, 0.061427, 0.350020>,
      < 3.188945, 0.106532, 0.364146>,
      < 3.207611, 0.106080, 0.400778>
    }
    triangle {
      < 3.207624, 0.061427, 0.350020>,
      < 3.207611, 0.106080, 0.400778>,
      < 3.229568, 0.060896, 0.393084>
    }
    triangle {
      < 3.173445, 0.061843, 0.315844>,
      < 3.159870, 0.106886, 0.335075>,
      < 3.188945, 0.106532, 0.364146>
    }
    triangle {
      < 3.173445, 0.061843, 0.315844>,
      < 3.188945, 0.106532, 0.364146>,
      < 3.207624, 0.061427, 0.350020>
    }
    triangle {
      < 3.130378, 0.062105, 0.293901>,
      < 3.123234, 0.107109, 0.316410>,
      < 3.159870, 0.106886, 0.335075>
    }
    triangle {
      < 3.130378, 0.062105, 0.293901>,
      < 3.159870, 0.106886, 0.335075>,
      < 3.173445, 0.061843, 0.315844>
    }
    triangle {
      < 3.082638, 0.062185, 0.286341>,
      < 3.082624, 0.107178, 0.309978>,
      < 3.123234, 0.107109, 0.316410>
    }
    triangle {
      < 3.082638, 0.062185, 0.286341>,
      < 3.123234, 0.107109, 0.316410>,
      < 3.130378, 0.062105, 0.293901>
    }
    triangle {
      < 3.034897, 0.062077, 0.293901>,
      < 3.042013, 0.107084, 0.316410>,
      < 3.082624, 0.107178, 0.309978>
    }
    triangle {
      < 3.034897, 0.062077, 0.293901>,
      < 3.082624, 0.107178, 0.309978>,
      < 3.082638, 0.062185, 0.286341>
    }
    triangle {
      < 2.991829, 0.061789, 0.315843>,
      < 3.005377, 0.106841, 0.335075>,
      < 3.042013, 0.107084, 0.316410>
    }
    triangle {
      < 2.991829, 0.061789, 0.315843>,
      < 3.042013, 0.107084, 0.316410>,
      < 3.034897, 0.062077, 0.293901>
    }
    triangle {
      < 2.957651, 0.061352, 0.350020>,
      < 2.976304, 0.106470, 0.364146>,
      < 3.005377, 0.106841, 0.335075>
    }
    triangle {
      < 2.957651, 0.061352, 0.350020>,
      < 3.005377, 0.106841, 0.335075>,
      < 2.991829, 0.061789, 0.315843>
    }
    triangle {
      < 2.935707, 0.060809, 0.393084>,
      < 2.957638, 0.106006, 0.400778>,
      < 2.976304, 0.106470, 0.364146>
    }
    triangle {
      < 2.935707, 0.060809, 0.393084>,
      < 2.976304, 0.106470, 0.364146>,
      < 2.957651, 0.061352, 0.350020>
    }
    triangle {
      < 2.928146, 0.060211, 0.440820>,
      < 2.951205, 0.105498, 0.441386>,
      < 2.957638, 0.106006, 0.400778>
    }
    triangle {
      < 2.928146, 0.060211, 0.440820>,
      < 2.957638, 0.106006, 0.400778>,
      < 2.935707, 0.060809, 0.393084>
    }
    triangle {
      < 2.935707, 0.059616, 0.488558>,
      < 2.957638, 0.104992, 0.481993>,
      < 2.951205, 0.105498, 0.441386>
    }
    triangle {
      < 2.935707, 0.059616, 0.488558>,
      < 2.951205, 0.105498, 0.441386>,
      < 2.928146, 0.060211, 0.440820>
    }
    triangle {
      < 2.957651, 0.059085, 0.531621>,
      < 2.976304, 0.104540, 0.518626>,
      < 2.957638, 0.104992, 0.481993>
    }
    triangle {
      < 2.957651, 0.059085, 0.531621>,
      < 2.957638, 0.104992, 0.481993>,
      < 2.935707, 0.059616, 0.488558>
    }
    triangle {
      < 2.991830, 0.058668, 0.565797>,
      < 3.005379, 0.104186, 0.547697>,
      < 2.976304, 0.104540, 0.518626>
    }
    triangle {
      < 2.991830, 0.058668, 0.565797>,
      < 2.976304, 0.104540, 0.518626>,
      < 2.957651, 0.059085, 0.531621>
    }
    triangle {
      < 3.034897, 0.058407, 0.587739>,
      < 3.042014, 0.103963, 0.566364>,
      < 3.005379, 0.104186, 0.547697>
    }
    triangle {
      < 3.034897, 0.058407, 0.587739>,
      < 3.005379, 0.104186, 0.547697>,
      < 2.991830, 0.058668, 0.565797>
    }
    triangle {
      < 3.082638, 0.058328, 0.595301>,
      < 3.082624, 0.103895, 0.572794>,
      < 3.042014, 0.103963, 0.566364>
    }
    triangle {
      < 3.082638, 0.058328, 0.595301>,
      < 3.042014, 0.103963, 0.566364>,
      < 3.034897, 0.058407, 0.587739>
    }
    triangle {
      < 3.130379, 0.058435, 0.587739>,
      < 3.123235, 0.103988, 0.566363>,
      < 3.082624, 0.103895, 0.572794>
    }
    triangle {
      < 3.130379, 0.058435, 0.587739>,
      < 3.082624, 0.103895, 0.572794>,
      < 3.082638, 0.058328, 0.595301>
    }
    triangle {
      < 3.173446, 0.058723, 0.565797>,
      < 3.159870, 0.104231, 0.547698>,
      < 3.123235, 0.103988, 0.566363>
    }
    triangle {
      < 3.173446, 0.058723, 0.565797>,
      < 3.123235, 0.103988, 0.566363>,
      < 3.130379, 0.058435, 0.587739>
    }
    triangle {
      < 3.207625, 0.059159, 0.531622>,
      < 3.188944, 0.104603, 0.518626>,
      < 3.159870, 0.104231, 0.547698>
    }
    triangle {
      < 3.207625, 0.059159, 0.531622>,
      < 3.159870, 0.104231, 0.547698>,
      < 3.173446, 0.058723, 0.565797>
    }
    triangle {
      < 3.229568, 0.059703, 0.488558>,
      < 3.207611, 0.105067, 0.481994>,
      < 3.188944, 0.104603, 0.518626>
    }
    triangle {
      < 3.229568, 0.059703, 0.488558>,
      < 3.188944, 0.104603, 0.518626>,
      < 3.207625, 0.059159, 0.531622>
    }
    triangle {
      < 3.237129, 0.060302, 0.440821>,
      < 3.214043, 0.105575, 0.441386>,
      < 3.207611, 0.105067, 0.481994>
    }
    triangle {
      < 3.237129, 0.060302, 0.440821>,
      < 3.207611, 0.105067, 0.481994>,
      < 3.229568, 0.059703, 0.488558>
    }
    triangle {
      < 3.207611, 0.106080, 0.400778>,
      < 3.173422, 0.141866, 0.412332>,
      < 3.178095, 0.141499, 0.441835>
    }
    triangle {
      < 3.207611, 0.106080, 0.400778>,
      < 3.178095, 0.141499, 0.441835>,
      < 3.214043, 0.105575, 0.441386>
    }
    triangle {
      < 3.188945, 0.106532, 0.364146>,
      < 3.159860, 0.142194, 0.385717>,
      < 3.173422, 0.141866, 0.412332>
    }
    triangle {
      < 3.188945, 0.106532, 0.364146>,
      < 3.173422, 0.141866, 0.412332>,
      < 3.207611, 0.106080, 0.400778>
    }
    triangle {
      < 3.159870, 0.106886, 0.335075>,
      < 3.138736, 0.142452, 0.364596>,
      < 3.159860, 0.142194, 0.385717>
    }
    triangle {
      < 3.159870, 0.106886, 0.335075>,
      < 3.159860, 0.142194, 0.385717>,
      < 3.188945, 0.106532, 0.364146>
    }
    triangle {
      < 3.123234, 0.107109, 0.316410>,
      < 3.112119, 0.142613, 0.351035>,
      < 3.138736, 0.142452, 0.364596>
    }
    triangle {
      < 3.123234, 0.107109, 0.316410>,
      < 3.138736, 0.142452, 0.364596>,
      < 3.159870, 0.106886, 0.335075>
    }
    triangle {
      < 3.082624, 0.107178, 0.309978>,
      < 3.082613, 0.142663, 0.346362>,
      < 3.112119, 0.142613, 0.351035>
    }
    triangle {
      < 3.082624, 0.107178, 0.309978>,
      < 3.112119, 0.142613, 0.351035>,
      < 3.123234, 0.107109, 0.316410>
    }
    triangle {
      < 3.042013, 0.107084, 0.316410>,
      < 3.053108, 0.142595, 0.351034>,
      < 3.082613, 0.142663, 0.346362>
    }
    triangle {
      < 3.042013, 0.107084, 0.316410>,
      < 3.082613, 0.142663, 0.346362>,
      < 3.082624, 0.107178, 0.309978>
    }
    triangle {
      < 3.005377, 0.106841, 0.335075>,
      < 3.026490, 0.142419, 0.364595>,
      < 3.053108, 0.142595, 0.351034>
    }
    triangle {
      < 3.005377, 0.106841, 0.335075>,
      < 3.053108, 0.142595, 0.351034>,
      < 3.042013, 0.107084, 0.316410>
    }
    triangle {
      < 2.976304, 0.106470, 0.364146>,
      < 3.005368, 0.142149, 0.385717>,
      < 3.026490, 0.142419, 0.364595>
    }
    triangle {
      < 2.976304, 0.106470, 0.364146>,
      < 3.026490, 0.142419, 0.364595>,
      < 3.005377, 0.106841, 0.335075>
    }
    triangle {
      < 2.957638, 0.106006, 0.400778>,
      < 2.991806, 0.141812, 0.412332>,
      < 3.005368, 0.142149, 0.385717>
    }
    triangle {
      < 2.957638, 0.106006, 0.400778>,
      < 3.005368, 0.142149, 0.385717>,
      < 2.976304, 0.106470, 0.364146>
    }
    triangle {
      < 2.951205, 0.105498, 0.441386>,
      < 2.987133, 0.141442, 0.441835>,
      < 2.991806, 0.141812, 0.412332>
    }
    triangle {
      < 2.951205, 0.105498, 0.441386>,
      < 2.991806, 0.141812, 0.412332>,
      < 2.957638, 0.106006, 0.400778>
    }
    triangle {
      < 2.957638, 0.104992, 0.481993>,
      < 2.991806, 0.141075, 0.471337>,
      < 2.987133, 0.141442, 0.441835>
    }
    triangle {
      < 2.957638, 0.104992, 0.481993>,
      < 2.987133, 0.141442, 0.441835>,
      < 2.951205, 0.105498, 0.441386>
    }
    triangle {
      < 2.976304, 0.104540, 0.518626>,
      < 3.005367, 0.140747, 0.497953>,
      < 2.991806, 0.141075, 0.471337>
    }
    triangle {
      < 2.976304, 0.104540, 0.518626>,
      < 2.991806, 0.141075, 0.471337>,
      < 2.957638, 0.104992, 0.481993>
    }
    triangle {
      < 3.005379, 0.104186, 0.547697>,
      < 3.026491, 0.140490, 0.519075>,
      < 3.005367, 0.140747, 0.497953>
    }
    triangle {
      < 3.005379, 0.104186, 0.547697>,
      < 3.005367, 0.140747, 0.497953>,
      < 2.976304, 0.104540, 0.518626>
    }
    triangle {
      < 3.042014, 0.103963, 0.566364>,
      < 3.053108, 0.140328, 0.532636>,
      < 3.026491, 0.140490, 0.519075>
    }
    triangle {
      < 3.042014, 0.103963, 0.566364>,
      < 3.026491, 0.140490, 0.519075>,
      < 3.005379, 0.104186, 0.547697>
    }
    triangle {
      < 3.082624, 0.103895, 0.572794>,
      < 3.082614, 0.140278, 0.537309>,
      < 3.053108, 0.140328, 0.532636>
    }
    triangle {
      < 3.082624, 0.103895, 0.572794>,
      < 3.053108, 0.140328, 0.532636>,
      < 3.042014, 0.103963, 0.566364>
    }
    triangle {
      < 3.123235, 0.103988, 0.566363>,
      < 3.112120, 0.140346, 0.532636>,
      < 3.082614, 0.140278, 0.537309>
    }
    triangle {
      < 3.123235, 0.103988, 0.566363>,
      < 3.082614, 0.140278, 0.537309>,
      < 3.082624, 0.103895, 0.572794>
    }
    triangle {
      < 3.159870, 0.104231, 0.547698>,
      < 3.138736, 0.140523, 0.519075>,
      < 3.112120, 0.140346, 0.532636>
    }
    triangle {
      < 3.159870, 0.104231, 0.547698>,
      < 3.112120, 0.140346, 0.532636>,
      < 3.123235, 0.103988, 0.566363>
    }
    triangle {
      < 3.188944, 0.104603, 0.518626>,
      < 3.159860, 0.140793, 0.497953>,
      < 3.138736, 0.140523, 0.519075>
    }
    triangle {
      < 3.188944, 0.104603, 0.518626>,
      < 3.138736, 0.140523, 0.519075>,
      < 3.159870, 0.104231, 0.547698>
    }
    triangle {
      < 3.207611, 0.105067, 0.481994>,
      < 3.173422, 0.141129, 0.471338>,
      < 3.159860, 0.140793, 0.497953>
    }
    triangle {
      < 3.207611, 0.105067, 0.481994>,
      < 3.159860, 0.140793, 0.497953>,
      < 3.188944, 0.104603, 0.518626>
    }
    triangle {
      < 3.214043, 0.105575, 0.441386>,
      < 3.178095, 0.141499, 0.441835>,
      < 3.173422, 0.141129, 0.471338>
    }
    triangle {
      < 3.214043, 0.105575, 0.441386>,
      < 3.173422, 0.141129, 0.471338>,
      < 3.207611, 0.105067, 0.481994>
    }
    triangle {
      < 3.173422, 0.141866, 0.412332>,
      < 3.130348, 0.164750, 0.426612>,
      < 3.132804, 0.164558, 0.442123>
    }
    triangle {
      < 3.173422, 0.141866, 0.412332>,
      < 3.132804, 0.164558, 0.442123>,
      < 3.178095, 0.141499, 0.441835>
    }
    triangle {
      < 3.159860, 0.142194, 0.385717>,
      < 3.123217, 0.164922, 0.412619>,
      < 3.130348, 0.164750, 0.426612>
    }
    triangle {
      < 3.159860, 0.142194, 0.385717>,
      < 3.130348, 0.164750, 0.426612>,
      < 3.173422, 0.141866, 0.412332>
    }
    triangle {
      < 3.138736, 0.142452, 0.364596>,
      < 3.112112, 0.165058, 0.401515>,
      < 3.123217, 0.164922, 0.412619>
    }
    triangle {
      < 3.138736, 0.142452, 0.364596>,
      < 3.123217, 0.164922, 0.412619>,
      < 3.159860, 0.142194, 0.385717>
    }
    triangle {
      < 3.112119, 0.142613, 0.351035>,
      < 3.098118, 0.165143, 0.394386>,
      < 3.112112, 0.165058, 0.401515>
    }
    triangle {
      < 3.112119, 0.142613, 0.351035>,
      < 3.112112, 0.165058, 0.401515>,
      < 3.138736, 0.142452, 0.364596>
    }
    triangle {
      < 3.082613, 0.142663, 0.346362>,
      < 3.082607, 0.165169, 0.391929>,
      < 3.098118, 0.165143, 0.394386>
    }
    triangle {
      < 3.082613, 0.142663, 0.346362>,
      < 3.098118, 0.165143, 0.394386>,
      < 3.112119, 0.142613, 0.351035>
    }
    triangle {
      < 3.053108, 0.142595, 0.351034>,
      < 3.067095, 0.165134, 0.394386>,
      < 3.082607, 0.165169, 0.391929>
    }
    triangle {
      < 3.053108, 0.142595, 0.351034>,
      < 3.082607, 0.165169, 0.391929>,
      < 3.082613, 0.142663, 0.346362>
    }
    triangle {
      < 3.026490, 0.142419, 0.364595>,
      < 3.053101, 0.165040, 0.401515>,
      < 3.067095, 0.165134, 0.394386>
    }
    triangle {
      < 3.026490, 0.142419, 0.364595>,
      < 3.067095, 0.165134, 0.394386>,
      < 3.053108, 0.142595, 0.351034>
    }
    triangle {
      < 3.005368, 0.142149, 0.385717>,
      < 3.041996, 0.164898, 0.412619>,
      < 3.053101, 0.165040, 0.401515>
    }
    triangle {
      < 3.005368, 0.142149, 0.385717>,
      < 3.053101, 0.165040, 0.401515>,
      < 3.026490, 0.142419, 0.364595>
    }
    triangle {
      < 2.991806, 0.141812, 0.412332>,
      < 3.034866, 0.164721, 0.426612>,
      < 3.041996, 0.164898, 0.412619>
    }
    triangle {
      < 2.991806, 0.141812, 0.412332>,
      < 3.041996, 0.164898, 0.412619>,
      < 3.005368, 0.142149, 0.385717>
    }
    triangle {
      < 2.987133, 0.141442, 0.441835>,
      < 3.032409, 0.164527, 0.442123>,
      < 3.034866, 0.164721, 0.426612>
    }
    triangle {
      < 2.987133, 0.141442, 0.441835>,
      < 3.034866, 0.164721, 0.426612>,
      < 2.991806, 0.141812, 0.412332>
    }
    triangle {
      < 2.991806, 0.141075, 0.471337>,
      < 3.034866, 0.164335, 0.457634>,
      < 3.032409, 0.164527, 0.442123>
    }
    triangle {
      < 2.991806, 0.141075, 0.471337>,
      < 3.032409, 0.164527, 0.442123>,
      < 2.987133, 0.141442, 0.441835>
    }
    triangle {
      < 3.005367, 0.140747, 0.497953>,
      < 3.041996, 0.164162, 0.471626>,
      < 3.034866, 0.164335, 0.457634>
    }
    triangle {
      < 3.005367, 0.140747, 0.497953>,
      < 3.034866, 0.164335, 0.457634>,
      < 2.991806, 0.141075, 0.471337>
    }
    triangle {
      < 3.026491, 0.140490, 0.519075>,
      < 3.053102, 0.164026, 0.482731>,
      < 3.041996, 0.164162, 0.471626>
    }
    triangle {
      < 3.026491, 0.140490, 0.519075>,
      < 3.041996, 0.164162, 0.471626>,
      < 3.005367, 0.140747, 0.497953>
    }
    triangle {
      < 3.053108, 0.140328, 0.532636>,
      < 3.067096, 0.163941, 0.489860>,
      < 3.053102, 0.164026, 0.482731>
    }
    triangle {
      < 3.053108, 0.140328, 0.532636>,
      < 3.053102, 0.164026, 0.482731>,
      < 3.026491, 0.140490, 0.519075>
    }
    triangle {
      < 3.082614, 0.140278, 0.537309>,
      < 3.082607, 0.163916, 0.492317>,
      < 3.067096, 0.163941, 0.489860>
    }
    triangle {
      < 3.082614, 0.140278, 0.537309>,
      < 3.067096, 0.163941, 0.489860>,
      < 3.053108, 0.140328, 0.532636>
    }
    triangle {
      < 3.112120, 0.140346, 0.532636>,
      < 3.098119, 0.163951, 0.489860>,
      < 3.082607, 0.163916, 0.492317>
    }
    triangle {
      < 3.112120, 0.140346, 0.532636>,
      < 3.082607, 0.163916, 0.492317>,
      < 3.082614, 0.140278, 0.537309>
    }
    triangle {
      < 3.138736, 0.140523, 0.519075>,
      < 3.112113, 0.164044, 0.482731>,
      < 3.098119, 0.163951, 0.489860>
    }
    triangle {
      < 3.138736, 0.140523, 0.519075>,
      < 3.098119, 0.163951, 0.489860>,
      < 3.112120, 0.140346, 0.532636>
    }
    triangle {
      < 3.159860, 0.140793, 0.497953>,
      < 3.123217, 0.164185, 0.471626>,
      < 3.112113, 0.164044, 0.482731>
    }
    triangle {
      < 3.159860, 0.140793, 0.497953>,
      < 3.112113, 0.164044, 0.482731>,
      < 3.138736, 0.140523, 0.519075>
    }
    triangle {
      < 3.173422, 0.141129, 0.471338>,
      < 3.130348, 0.164362, 0.457634>,
      < 3.123217, 0.164185, 0.471626>
    }
    triangle {
      < 3.173422, 0.141129, 0.471338>,
      < 3.123217, 0.164185, 0.471626>,
      < 3.159860, 0.140793, 0.497953>
    }
    triangle {
      < 3.178095, 0.141499, 0.441835>,
      < 3.132804, 0.164558, 0.442123>,
      < 3.130348, 0.164362, 0.457634>
    }
    triangle {
      < 3.178095, 0.141499, 0.441835>,
      < 3.130348, 0.164362, 0.457634>,
      < 3.173422, 0.141129, 0.471338>
    }
    triangle {
      < 3.130348, 0.164750, 0.426612>,
      < 3.082604, 0.172492, 0.442222>,
      < 3.132804, 0.164558, 0.442123>
    }
    triangle {
      < 3.123217, 0.164922, 0.412619>,
      < 3.082604, 0.172492, 0.442222>,
      < 3.130348, 0.164750, 0.426612>
    }
    triangle {
      < 3.112112, 0.165058, 0.401515>,
      < 3.082604, 0.172492, 0.442222>,
      < 3.123217, 0.164922, 0.412619>
    }
    triangle {
      < 3.098118, 0.165143, 0.394386>,
      < 3.082604, 0.172492, 0.442222>,
      < 3.112112, 0.165058, 0.401515>
    }
    triangle {
      < 3.082607, 0.165169, 0.391929>,
      < 3.082604, 0.172492, 0.442222>,
      < 3.098118, 0.165143, 0.394386>
    }
    triangle {
      < 3.067095, 0.165134, 0.394386>,
      < 3.082604, 0.172492, 0.442222>,
      < 3.082607, 0.165169, 0.391929>
    }
    triangle {
      < 3.053101, 0.165040, 0.401515>,
      < 3.082604, 0.172492, 0.442222>,
      < 3.067095, 0.165134, 0.394386>
    }
    triangle {
      < 3.041996, 0.164898, 0.412619>,
      < 3.082604, 0.172492, 0.442222>,
      < 3.053101, 0.165040, 0.401515>
    }
    triangle {
      < 3.034866, 0.164721, 0.426612>,
      < 3.082604, 0.172492, 0.442222>,
      < 3.041996, 0.164898, 0.412619>
    }
    triangle {
      < 3.032409, 0.164527, 0.442123>,
      < 3.082604, 0.172492, 0.442222>,
      < 3.034866, 0.164721, 0.426612>
    }
    triangle {
      < 3.034866, 0.164335, 0.457634>,
      < 3.082604, 0.172492, 0.442222>,
      < 3.032409, 0.164527, 0.442123>
    }
    triangle {
      < 3.041996, 0.164162, 0.471626>,
      < 3.082604, 0.172492, 0.442222>,
      < 3.034866, 0.164335, 0.457634>
    }
    triangle {
      < 3.053102, 0.164026, 0.482731>,
      < 3.082604, 0.172492, 0.442222>,
      < 3.041996, 0.164162, 0.471626>
    }
    triangle {
      < 3.067096, 0.163941, 0.489860>,
      < 3.082604, 0.172492, 0.442222>,
      < 3.053102, 0.164026, 0.482731>
    }
    triangle {
      < 3.082607, 0.163916, 0.492317>,
      < 3.082604, 0.172492, 0.442222>,
      < 3.067096, 0.163941, 0.489860>
    }
    triangle {
      < 3.098119, 0.163951, 0.489860>,
      < 3.082604, 0.172492, 0.442222>,
      < 3.082607, 0.163916, 0.492317>
    }
    triangle {
      < 3.112113, 0.164044, 0.482731>,
      < 3.082604, 0.172492, 0.442222>,
      < 3.098119, 0.163951, 0.489860>
    }
    triangle {
      < 3.123217, 0.164185, 0.471626>,
      < 3.082604, 0.172492, 0.442222>,
      < 3.112113, 0.164044, 0.482731>
    }
    triangle {
      < 3.130348, 0.164362, 0.457634>,
      < 3.082604, 0.172492, 0.442222>,
      < 3.123217, 0.164185, 0.471626>
    }
    triangle {
      < 3.132804, 0.164558, 0.442123>,
      < 3.082604, 0.172492, 0.442222>,
      < 3.130348, 0.164362, 0.457634>
    }
    texture {pilot1}
  }
  // int
  union {
    triangle {
      < 2.529116, 0.435382, 0.226245>,
      < 2.257002, 0.392137, 0.272339>,
      < 2.024386, 0.279154, 0.382606>
    }
    triangle {
      < 2.529116, 0.435382, 0.226245>,
      < 2.024386, 0.279154, 0.382606>,
      < 2.024715, -0.276301, 0.382935>
    }
    triangle {
      < 2.529116, 0.435382, 0.226245>,
      < 2.024715, -0.276301, 0.382935>,
      < 2.257465, -0.389139, 0.272802>
    }
    triangle {
      < 2.529116, 0.435382, 0.226245>,
      < 2.257465, -0.389139, 0.272802>,
      < 2.529630, -0.432116, 0.226759>
    }
    triangle {
      < 2.529116, 0.435382, 0.226245>,
      < 2.529630, -0.432116, 0.226759>,
      < 2.807554, -0.449546, 0.197919>
    }
    triangle {
      < 2.529116, 0.435382, 0.226245>,
      < 2.807554, -0.449546, 0.197919>,
      < 3.086869, -0.458604, 0.177534>
    }
    triangle {
      < 2.529116, 0.435382, 0.226245>,
      < 3.086869, -0.458604, 0.177534>,
      < 3.366296, -0.462836, 0.169101>
    }
    triangle {
      < 2.529116, 0.435382, 0.226245>,
      < 3.366296, -0.462836, 0.169101>,
      < 3.451835, -0.422678, 0.237952>
    }
    triangle {
      < 2.529116, 0.435382, 0.226245>,
      < 3.451835, -0.422678, 0.237952>,
      < 3.675555, -0.422307, 0.218342>
    }
    triangle {
      < 2.529116, 0.435382, 0.226245>,
      < 3.675555, -0.422307, 0.218342>,
      < 3.899330, -0.422764, 0.199345>
    }
    triangle {
      < 2.529116, 0.435382, 0.226245>,
      < 3.899330, -0.422764, 0.199345>,
      < 4.123226, -0.422727, 0.181758>
    }
    triangle {
      < 2.529116, 0.435382, 0.226245>,
      < 4.123226, -0.422727, 0.181758>,
      < 4.346588, -0.406207, 0.165205>
    }
    triangle {
      < 2.529116, 0.435382, 0.226245>,
      < 4.346588, -0.406207, 0.165205>,
      < 4.570327, -0.407569, 0.145888>
    }
    triangle {
      < 2.529116, 0.435382, 0.226245>,
      < 4.570327, -0.407569, 0.145888>,
      < 4.792315, -0.373717, 0.149643>
    }
    triangle {
      < 2.529116, 0.435382, 0.226245>,
      < 4.792315, -0.373717, 0.149643>,
      < 5.011028, -0.324420, 0.162870>
    }
    triangle {
      < 2.529116, 0.435382, 0.226245>,
      < 5.011028, -0.324420, 0.162870>,
      < 5.479524, -0.197702, 0.151523>
    }
    triangle {
      < 2.529116, 0.435382, 0.226245>,
      < 5.479524, -0.197702, 0.151523>,
      < 5.479286, 0.204376, 0.151285>
    }
    triangle {
      < 2.529116, 0.435382, 0.226245>,
      < 5.479286, 0.204376, 0.151285>,
      < 5.010640, 0.330552, 0.162482>
    }
    triangle {
      < 2.529116, 0.435382, 0.226245>,
      < 5.010640, 0.330552, 0.162482>,
      < 4.791869, 0.379574, 0.149197>
    }
    triangle {
      < 2.529116, 0.435382, 0.226245>,
      < 4.791869, 0.379574, 0.149197>,
      < 4.569841, 0.413159, 0.145401>
    }
    triangle {
      < 2.529116, 0.435382, 0.226245>,
      < 4.569841, 0.413159, 0.145401>,
      < 4.346104, 0.411554, 0.164720>
    }
    triangle {
      < 2.529116, 0.435382, 0.226245>,
      < 4.346104, 0.411554, 0.164720>,
      < 4.122722, 0.427829, 0.181253>
    }
    triangle {
      < 2.529116, 0.435382, 0.226245>,
      < 4.122722, 0.427829, 0.181253>,
      < 3.898826, 0.427621, 0.198841>
    }
    triangle {
      < 2.529116, 0.435382, 0.226245>,
      < 3.898826, 0.427621, 0.198841>,
      < 3.675052, 0.426922, 0.217839>
    }
    triangle {
      < 2.529116, 0.435382, 0.226245>,
      < 3.675052, 0.426922, 0.217839>,
      < 3.451332, 0.427051, 0.237448>
    }
    triangle {
      < 2.529116, 0.435382, 0.226245>,
      < 3.451332, 0.427051, 0.237448>,
      < 3.365745, 0.467026, 0.168550>
    }
    triangle {
      < 2.529116, 0.435382, 0.226245>,
      < 3.365745, 0.467026, 0.168550>,
      < 3.086323, 0.462472, 0.176988>
    }
    triangle {
      < 2.529116, 0.435382, 0.226245>,
      < 3.086323, 0.462472, 0.176988>,
      < 2.807019, 0.453108, 0.197385>
    }
    texture {int}
  }
  rotate x*-90
  rotate y*0
  rotate z*0
}
