
// This file is a POV V2.0 document that describes
// the image of an f18 airplane. This image was
// converted from f18.obj found on avalon.chinalake.navy.mil
// by Keith Rule (keithr@lucy1.pen.tek.com).
//
// The original file "f18.obj" had no comments or restrictions
// associated with it, and no additional restrictions have been
// added to this version of the file.
//
// This file was automatically generated from f18.obj. Occasional
// warnings will be reported by povray about this file. These
// warnings, though annoying, do not affect the resultant raytraced
// image.

#include "colors.inc"
#include "textures.inc"

camera {
   location  <15, 15, 15>
   direction <0, 0,  1>
   up        <0, 1,  0>
   right   <4/3, 0,  0>
   look_at   <0, 0, 0>
}

light_source {<15, 15, 15> color White}
light_source {<0, 20, 0> color White}
light_source {<0, -20, 0> color White}

/* Sky */
sphere { <0, -39000, 0>, 40000
   inverse

   pigment {
      bozo
      turbulence 0.6
      colour_map {
         [0 0.5 colour red 0.4 green 0.5 blue 1
                colour red 0.4 green 0.5 blue 1.0]
         [0.5 0.7 colour red 0.4 green 0.5 blue 1
                  colour red 1 green 1 blue 1.0]
         [0.7 1 colour red 1 green 1 blue 1
                colour red 0.7 green 0.7 blue 0.7]
      }
      scale 500
      quick_color red 0.4 green 0.5 blue 1
   }
   finish {
      ambient 1
      diffuse 0
   }
}

/* Ground */
plane { y, -5000
   pigment { Green }
   finish {
      crand 0.05
      ambient 0.5
      diffuse 0.5
   }
}

// Color & Texture Info for the F18 object
#declare shinywhite = texture {pigment {color White} finish {Metal}}
#declare MTL_Blue = texture {pigment {color Blue} finish {Metal}}
#declare skin = texture {pigment {color Silver} finish {Metal}}
#declare glass = texture {Glass}
#declare barrel = texture {pigment {color Silver} finish {Metal}}
#declare exhaust = texture {pigment {color Silver} finish {Metal}}
#declare fins = texture {pigment {color Silver} finish {Metal}}
#declare cockpit = texture {pigment {color Silver} finish {Metal}}
#declare eng_cowl = texture {pigment {color Silver} finish {Metal}}
#declare eng_black = texture {pigment {color Black} finish {Metal}}


// Definition of the F18 object
union {
  union {
    triangle {
      < -2.916067, 0.142998, 0.011984>,
      < -2.916067, 0.142998, 0.011984>,
      < -2.888886, 0.139871, 0.011984>
    }
    triangle {
      < -2.916067, 0.142998, 0.011984>,
      < -2.888886, 0.139871, 0.011984>,
      < -2.888886, 0.139871, 0.011984>
    }
    triangle {
      < -2.888886, 0.139871, 0.011984>,
      < -2.888886, 0.139871, 0.011984>,
      < -2.863734, 0.129494, 0.028978>
    }
    triangle {
      < -2.888886, 0.139871, 0.011984>,
      < -2.863734, 0.129494, 0.028978>,
      < -2.861043, 0.129494, 0.011984>
    }
    triangle {
      < -2.861043, 0.129494, 0.011984>,
      < -2.863734, 0.129494, 0.028978>,
      < -2.851629, 0.121774, 0.032909>
    }
    triangle {
      < -2.861043, 0.129494, 0.011984>,
      < -2.851629, 0.121774, 0.032909>,
      < -2.848315, 0.121775, 0.011984>
    }
    triangle {
      < -2.848315, 0.121775, 0.011984>,
      < -2.851629, 0.121774, 0.032909>,
      < -2.830641, 0.101877, 0.039725>
    }
    triangle {
      < -2.848315, 0.121775, 0.011984>,
      < -2.830641, 0.101877, 0.039725>,
      < -2.826247, 0.101878, 0.011984>
    }
    triangle {
      < -2.826247, 0.101878, 0.011984>,
      < -2.830641, 0.101877, 0.039725>,
      < -2.815017, 0.077116, 0.044798>
    }
    triangle {
      < -2.826247, 0.101878, 0.011984>,
      < -2.815017, 0.077116, 0.044798>,
      < -2.809821, 0.077118, 0.011984>
    }
    triangle {
      < -2.809821, 0.077118, 0.011984>,
      < -2.815017, 0.077116, 0.044798>,
      < -2.805742, 0.049049, 0.047809>
    }
    triangle {
      < -2.809821, 0.077118, 0.011984>,
      < -2.805742, 0.049049, 0.047809>,
      < -2.800068, 0.049051, 0.011984>
    }
    triangle {
      < -2.800068, 0.049051, 0.011984>,
      < -2.805742, 0.049049, 0.047809>,
      < -2.803395, 0.019438, 0.048569>
    }
    triangle {
      < -2.800068, 0.049051, 0.011984>,
      < -2.803395, 0.019438, 0.048569>,
      < -2.797602, 0.019440, 0.011984>
    }
    triangle {
      < -2.797602, 0.019440, 0.011984>,
      < -2.803395, 0.019438, 0.048569>,
      < -2.808126, -0.009856, 0.047028>
    }
    triangle {
      < -2.797602, 0.019440, 0.011984>,
      < -2.808126, -0.009856, 0.047028>,
      < -2.802577, -0.009853, 0.011984>
    }
    triangle {
      < -2.802577, -0.009853, 0.011984>,
      < -2.808126, -0.009856, 0.047028>,
      < -2.819638, -0.036992, 0.043286>
    }
    triangle {
      < -2.802577, -0.009853, 0.011984>,
      < -2.819638, -0.036992, 0.043286>,
      < -2.814681, -0.036991, 0.011984>
    }
    triangle {
      < -2.814681, -0.036991, 0.011984>,
      < -2.819638, -0.036992, 0.043286>,
      < -2.837206, -0.060265, 0.037577>
    }
    triangle {
      < -2.814681, -0.036991, 0.011984>,
      < -2.837206, -0.060265, 0.037577>,
      < -2.833153, -0.060264, 0.011984>
    }
    triangle {
      < -2.833153, -0.060264, 0.011984>,
      < -2.837206, -0.060265, 0.037577>,
      < -2.879783, -0.083267, 0.030259>
    }
    triangle {
      < -2.833153, -0.060264, 0.011984>,
      < -2.879783, -0.083267, 0.030259>,
      < -2.877622, -0.082702, 0.011984>
    }
    triangle {
      < -2.877622, -0.082702, 0.011984>,
      < -2.879783, -0.083267, 0.030259>,
      < -2.897141, -0.091676, 0.011984>
    }
    triangle {
      < -2.877622, -0.082702, 0.011984>,
      < -2.897141, -0.091676, 0.011984>,
      < -2.897141, -0.091676, 0.011984>
    }
    triangle {
      < -2.897141, -0.091676, 0.011984>,
      < -2.897141, -0.091676, 0.011984>,
      < -2.920512, -0.099227, 0.011984>
    }
    triangle {
      < -2.897141, -0.091676, 0.011984>,
      < -2.920512, -0.099227, 0.011984>,
      < -2.920512, -0.099227, 0.011984>
    }
    triangle {
      < -2.916067, 0.142998, 0.011984>,
      < -2.916067, 0.142998, 0.011984>,
      < -2.894072, 0.139869, 0.027947>
    }
    triangle {
      < -2.916067, 0.142998, 0.011984>,
      < -2.894072, 0.139869, 0.027947>,
      < -2.888886, 0.139871, 0.011984>
    }
    triangle {
      < -2.888886, 0.139871, 0.011984>,
      < -2.894072, 0.139869, 0.027947>,
      < -2.871544, 0.129492, 0.044309>
    }
    triangle {
      < -2.888886, 0.139871, 0.011984>,
      < -2.871544, 0.129492, 0.044309>,
      < -2.863734, 0.129494, 0.028978>
    }
    triangle {
      < -2.863734, 0.129494, 0.028978>,
      < -2.871544, 0.129492, 0.044309>,
      < -2.861246, 0.121771, 0.051787>
    }
    triangle {
      < -2.863734, 0.129494, 0.028978>,
      < -2.861246, 0.121771, 0.051787>,
      < -2.851629, 0.121774, 0.032909>
    }
    triangle {
      < -2.851629, 0.121774, 0.032909>,
      < -2.861246, 0.121771, 0.051787>,
      < -2.843390, 0.101873, 0.064753>
    }
    triangle {
      < -2.851629, 0.121774, 0.032909>,
      < -2.843390, 0.101873, 0.064753>,
      < -2.830641, 0.101877, 0.039725>
    }
    triangle {
      < -2.830641, 0.101877, 0.039725>,
      < -2.843390, 0.101873, 0.064753>,
      < -2.830098, 0.077112, 0.074403>
    }
    triangle {
      < -2.830641, 0.101877, 0.039725>,
      < -2.830098, 0.077112, 0.074403>,
      < -2.815017, 0.077116, 0.044798>
    }
    triangle {
      < -2.815017, 0.077116, 0.044798>,
      < -2.830098, 0.077112, 0.074403>,
      < -2.822206, 0.049043, 0.080129>
    }
    triangle {
      < -2.815017, 0.077116, 0.044798>,
      < -2.822206, 0.049043, 0.080129>,
      < -2.805742, 0.049049, 0.047809>
    }
    triangle {
      < -2.805742, 0.049049, 0.047809>,
      < -2.822206, 0.049043, 0.080129>,
      < -2.820209, 0.019434, 0.081573>
    }
    triangle {
      < -2.805742, 0.049049, 0.047809>,
      < -2.820209, 0.019434, 0.081573>,
      < -2.803395, 0.019438, 0.048569>
    }
    triangle {
      < -2.803395, 0.019438, 0.048569>,
      < -2.820209, 0.019434, 0.081573>,
      < -2.824232, -0.009860, 0.078645>
    }
    triangle {
      < -2.803395, 0.019438, 0.048569>,
      < -2.824232, -0.009860, 0.078645>,
      < -2.808126, -0.009856, 0.047028>
    }
    triangle {
      < -2.808126, -0.009856, 0.047028>,
      < -2.824232, -0.009860, 0.078645>,
      < -2.834024, -0.036996, 0.071527>
    }
    triangle {
      < -2.808126, -0.009856, 0.047028>,
      < -2.834024, -0.036996, 0.071527>,
      < -2.819638, -0.036992, 0.043286>
    }
    triangle {
      < -2.819638, -0.036992, 0.043286>,
      < -2.834024, -0.036996, 0.071527>,
      < -2.848968, -0.060269, 0.060666>
    }
    triangle {
      < -2.819638, -0.036992, 0.043286>,
      < -2.848968, -0.060269, 0.060666>,
      < -2.837206, -0.060265, 0.037577>
    }
    triangle {
      < -2.837206, -0.060265, 0.037577>,
      < -2.848968, -0.060269, 0.060666>,
      < -2.886057, -0.084902, 0.046747>
    }
    triangle {
      < -2.837206, -0.060265, 0.037577>,
      < -2.886057, -0.084902, 0.046747>,
      < -2.879783, -0.083267, 0.030259>
    }
    triangle {
      < -2.879783, -0.083267, 0.030259>,
      < -2.886057, -0.084902, 0.046747>,
      < -2.901668, -0.092857, 0.030643>
    }
    triangle {
      < -2.879783, -0.083267, 0.030259>,
      < -2.901668, -0.092857, 0.030643>,
      < -2.897141, -0.091676, 0.011984>
    }
    triangle {
      < -2.897141, -0.091676, 0.011984>,
      < -2.901668, -0.092857, 0.030643>,
      < -2.920512, -0.099227, 0.011984>
    }
    triangle {
      < -2.897141, -0.091676, 0.011984>,
      < -2.920512, -0.099227, 0.011984>,
      < -2.920512, -0.099227, 0.011984>
    }
    triangle {
      < -2.916067, 0.142998, 0.011984>,
      < -2.916067, 0.142998, 0.011984>,
      < -2.894072, 0.139869, 0.027947>
    }
    triangle {
      < -2.916067, 0.142998, 0.011984>,
      < -2.894072, 0.139869, 0.027947>,
      < -2.894072, 0.139869, 0.027947>
    }
    triangle {
      < -2.894072, 0.139869, 0.027947>,
      < -2.894072, 0.139869, 0.027947>,
      < -2.883709, 0.129489, 0.056477>
    }
    triangle {
      < -2.894072, 0.139869, 0.027947>,
      < -2.883709, 0.129489, 0.056477>,
      < -2.871544, 0.129492, 0.044309>
    }
    triangle {
      < -2.871544, 0.129492, 0.044309>,
      < -2.883709, 0.129489, 0.056477>,
      < -2.876225, 0.121767, 0.066771>
    }
    triangle {
      < -2.871544, 0.129492, 0.044309>,
      < -2.876225, 0.121767, 0.066771>,
      < -2.861246, 0.121771, 0.051787>
    }
    triangle {
      < -2.861246, 0.121771, 0.051787>,
      < -2.876225, 0.121767, 0.066771>,
      < -2.863248, 0.101867, 0.084617>
    }
    triangle {
      < -2.861246, 0.121771, 0.051787>,
      < -2.863248, 0.101867, 0.084617>,
      < -2.843390, 0.101873, 0.064753>
    }
    triangle {
      < -2.843390, 0.101873, 0.064753>,
      < -2.863248, 0.101867, 0.084617>,
      < -2.853587, 0.077105, 0.097899>
    }
    triangle {
      < -2.843390, 0.101873, 0.064753>,
      < -2.853587, 0.077105, 0.097899>,
      < -2.830098, 0.077112, 0.074403>
    }
    triangle {
      < -2.830098, 0.077112, 0.074403>,
      < -2.853587, 0.077105, 0.097899>,
      < -2.847850, 0.049036, 0.105781>
    }
    triangle {
      < -2.830098, 0.077112, 0.074403>,
      < -2.847850, 0.049036, 0.105781>,
      < -2.822206, 0.049043, 0.080129>
    }
    triangle {
      < -2.822206, 0.049043, 0.080129>,
      < -2.847850, 0.049036, 0.105781>,
      < -2.846396, 0.019426, 0.107769>
    }
    triangle {
      < -2.822206, 0.049043, 0.080129>,
      < -2.846396, 0.019426, 0.107769>,
      < -2.820209, 0.019434, 0.081573>
    }
    triangle {
      < -2.820209, 0.019434, 0.081573>,
      < -2.846396, 0.019426, 0.107769>,
      < -2.849318, -0.009868, 0.103738>
    }
    triangle {
      < -2.820209, 0.019434, 0.081573>,
      < -2.849318, -0.009868, 0.103738>,
      < -2.824232, -0.009860, 0.078645>
    }
    triangle {
      < -2.824232, -0.009860, 0.078645>,
      < -2.849318, -0.009868, 0.103738>,
      < -2.856431, -0.037003, 0.093940>
    }
    triangle {
      < -2.824232, -0.009860, 0.078645>,
      < -2.856431, -0.037003, 0.093940>,
      < -2.834024, -0.036996, 0.071527>
    }
    triangle {
      < -2.834024, -0.036996, 0.071527>,
      < -2.856431, -0.037003, 0.093940>,
      < -2.867288, -0.060275, 0.078992>
    }
    triangle {
      < -2.834024, -0.036996, 0.071527>,
      < -2.867288, -0.060275, 0.078992>,
      < -2.848968, -0.060269, 0.060666>
    }
    triangle {
      < -2.848968, -0.060269, 0.060666>,
      < -2.867288, -0.060275, 0.078992>,
      < -2.895829, -0.087451, 0.059833>
    }
    triangle {
      < -2.848968, -0.060269, 0.060666>,
      < -2.895829, -0.087451, 0.059833>,
      < -2.886057, -0.084902, 0.046747>
    }
    triangle {
      < -2.886057, -0.084902, 0.046747>,
      < -2.895829, -0.087451, 0.059833>,
      < -2.901668, -0.092857, 0.030643>
    }
    triangle {
      < -2.886057, -0.084902, 0.046747>,
      < -2.901668, -0.092857, 0.030643>,
      < -2.901668, -0.092857, 0.030643>
    }
    triangle {
      < -2.901668, -0.092857, 0.030643>,
      < -2.901668, -0.092857, 0.030643>,
      < -2.920512, -0.099227, 0.011984>
    }
    triangle {
      < -2.901668, -0.092857, 0.030643>,
      < -2.920512, -0.099227, 0.011984>,
      < -2.920512, -0.099227, 0.011984>
    }
    triangle {
      < -2.916067, 0.142998, 0.011984>,
      < -2.922035, 0.160742, 0.011965>,
      < -2.912994, 0.156839, 0.044174>
    }
    triangle {
      < -2.916067, 0.142998, 0.011984>,
      < -2.912994, 0.156839, 0.044174>,
      < -2.894072, 0.139869, 0.027947>
    }
    triangle {
      < -2.894072, 0.139869, 0.027947>,
      < -2.912994, 0.156839, 0.044174>,
      < -2.903733, 0.143903, 0.077166>
    }
    triangle {
      < -2.894072, 0.139869, 0.027947>,
      < -2.903733, 0.143903, 0.077166>,
      < -2.883709, 0.129489, 0.056477>
    }
    triangle {
      < -2.883709, 0.129489, 0.056477>,
      < -2.903733, 0.143903, 0.077166>,
      < -2.899498, 0.134279, 0.092246>
    }
    triangle {
      < -2.883709, 0.129489, 0.056477>,
      < -2.899498, 0.134279, 0.092246>,
      < -2.876225, 0.121767, 0.066771>
    }
    triangle {
      < -2.876225, 0.121767, 0.066771>,
      < -2.899498, 0.134279, 0.092246>,
      < -2.892155, 0.109479, 0.118391>
    }
    triangle {
      < -2.876225, 0.121767, 0.066771>,
      < -2.892155, 0.109479, 0.118391>,
      < -2.863248, 0.101867, 0.084617>
    }
    triangle {
      < -2.863248, 0.101867, 0.084617>,
      < -2.892155, 0.109479, 0.118391>,
      < -2.886687, 0.078621, 0.137848>
    }
    triangle {
      < -2.863248, 0.101867, 0.084617>,
      < -2.886687, 0.078621, 0.137848>,
      < -2.853587, 0.077105, 0.097899>
    }
    triangle {
      < -2.853587, 0.077105, 0.097899>,
      < -2.886687, 0.078621, 0.137848>,
      < -2.880165, 0.049026, 0.122255>
    }
    triangle {
      < -2.853587, 0.077105, 0.097899>,
      < -2.880165, 0.049026, 0.122255>,
      < -2.847850, 0.049036, 0.105781>
    }
    triangle {
      < -2.847850, 0.049036, 0.105781>,
      < -2.880165, 0.049026, 0.122255>,
      < -2.879396, 0.019415, 0.124592>
    }
    triangle {
      < -2.847850, 0.049036, 0.105781>,
      < -2.879396, 0.019415, 0.124592>,
      < -2.846396, 0.019426, 0.107769>
    }
    triangle {
      < -2.846396, 0.019426, 0.107769>,
      < -2.879396, 0.019415, 0.124592>,
      < -2.881750, -0.009877, 0.127296>
    }
    triangle {
      < -2.846396, 0.019426, 0.107769>,
      < -2.881750, -0.009877, 0.127296>,
      < -2.849318, -0.009868, 0.103738>
    }
    triangle {
      < -2.849318, -0.009868, 0.103738>,
      < -2.881750, -0.009877, 0.127296>,
      < -2.869982, -0.022710, 0.114983>
    }
    triangle {
      < -2.849318, -0.009868, 0.103738>,
      < -2.869982, -0.022710, 0.114983>,
      < -2.856431, -0.037003, 0.093940>
    }
    triangle {
      < -2.856431, -0.037003, 0.093940>,
      < -2.869982, -0.022710, 0.114983>,
      < -2.893318, -0.041894, 0.096197>
    }
    triangle {
      < -2.856431, -0.037003, 0.093940>,
      < -2.893318, -0.041894, 0.096197>,
      < -2.867288, -0.060275, 0.078992>
    }
    triangle {
      < -2.867288, -0.060275, 0.078992>,
      < -2.893318, -0.041894, 0.096197>,
      < -2.908143, -0.090661, 0.068237>
    }
    triangle {
      < -2.867288, -0.060275, 0.078992>,
      < -2.908143, -0.090661, 0.068237>,
      < -2.895829, -0.087451, 0.059833>
    }
    triangle {
      < -2.895829, -0.087451, 0.059833>,
      < -2.908143, -0.090661, 0.068237>,
      < -2.913523, -0.095947, 0.042177>
    }
    triangle {
      < -2.895829, -0.087451, 0.059833>,
      < -2.913523, -0.095947, 0.042177>,
      < -2.901668, -0.092857, 0.030643>
    }
    triangle {
      < -2.901668, -0.092857, 0.030643>,
      < -2.913523, -0.095947, 0.042177>,
      < -2.920512, -0.099227, 0.011984>
    }
    triangle {
      < -2.901668, -0.092857, 0.030643>,
      < -2.920512, -0.099227, 0.011984>,
      < -2.920512, -0.099227, 0.011984>
    }
    triangle {
      < -2.922035, 0.160742, 0.011965>,
      < -2.922035, 0.160742, 0.011965>,
      < -2.912994, 0.156839, 0.044174>
    }
    triangle {
      < -2.922035, 0.160742, 0.011965>,
      < -2.912994, 0.156839, 0.044174>,
      < -2.912994, 0.156839, 0.044174>
    }
    triangle {
      < -2.912994, 0.156839, 0.044174>,
      < -2.912994, 0.156839, 0.044174>,
      < -2.922007, 0.143896, 0.080525>
    }
    triangle {
      < -2.912994, 0.156839, 0.044174>,
      < -2.922007, 0.143896, 0.080525>,
      < -2.903733, 0.143903, 0.077166>
    }
    triangle {
      < -2.903733, 0.143903, 0.077166>,
      < -2.922007, 0.143896, 0.080525>,
      < -2.922000, 0.134271, 0.096383>
    }
    triangle {
      < -2.903733, 0.143903, 0.077166>,
      < -2.922000, 0.134271, 0.096383>,
      < -2.899498, 0.134279, 0.092246>
    }
    triangle {
      < -2.899498, 0.134279, 0.092246>,
      < -2.922000, 0.134271, 0.096383>,
      < -2.921988, 0.109468, 0.123875>
    }
    triangle {
      < -2.899498, 0.134279, 0.092246>,
      < -2.921988, 0.109468, 0.123875>,
      < -2.892155, 0.109479, 0.118391>
    }
    triangle {
      < -2.892155, 0.109479, 0.118391>,
      < -2.921988, 0.109468, 0.123875>,
      < -2.921974, 0.068392, 0.144335>
    }
    triangle {
      < -2.892155, 0.109479, 0.118391>,
      < -2.921974, 0.068392, 0.144335>,
      < -2.886687, 0.078621, 0.137848>
    }
    triangle {
      < -2.886687, 0.078621, 0.137848>,
      < -2.921974, 0.068392, 0.144335>,
      < -2.928092, 0.027284, 0.156478>
    }
    triangle {
      < -2.886687, 0.078621, 0.137848>,
      < -2.928092, 0.027284, 0.156478>,
      < -2.880165, 0.049026, 0.122255>
    }
    triangle {
      < -2.880165, 0.049026, 0.122255>,
      < -2.928092, 0.027284, 0.156478>,
      < -2.915979, 0.019405, 0.130396>
    }
    triangle {
      < -2.880165, 0.049026, 0.122255>,
      < -2.915979, 0.019405, 0.130396>,
      < -2.879396, 0.019415, 0.124592>
    }
    triangle {
      < -2.879396, 0.019415, 0.124592>,
      < -2.915979, 0.019405, 0.130396>,
      < -2.924668, -0.009888, 0.133239>
    }
    triangle {
      < -2.879396, 0.019415, 0.124592>,
      < -2.924668, -0.009888, 0.133239>,
      < -2.881750, -0.009877, 0.127296>
    }
    triangle {
      < -2.881750, -0.009877, 0.127296>,
      < -2.924668, -0.009888, 0.133239>,
      < -2.924662, -0.037020, 0.120291>
    }
    triangle {
      < -2.881750, -0.009877, 0.127296>,
      < -2.924662, -0.037020, 0.120291>,
      < -2.869982, -0.022710, 0.114983>
    }
    triangle {
      < -2.869982, -0.022710, 0.114983>,
      < -2.924662, -0.037020, 0.120291>,
      < -2.924660, -0.060289, 0.100537>
    }
    triangle {
      < -2.869982, -0.022710, 0.114983>,
      < -2.924660, -0.060289, 0.100537>,
      < -2.893318, -0.041894, 0.096197>
    }
    triangle {
      < -2.893318, -0.041894, 0.096197>,
      < -2.924660, -0.060289, 0.100537>,
      < -2.921794, -0.094220, 0.071136>
    }
    triangle {
      < -2.893318, -0.041894, 0.096197>,
      < -2.921794, -0.094220, 0.071136>,
      < -2.908143, -0.090661, 0.068237>
    }
    triangle {
      < -2.908143, -0.090661, 0.068237>,
      < -2.921794, -0.094220, 0.071136>,
      < -2.913523, -0.095947, 0.042177>
    }
    triangle {
      < -2.908143, -0.090661, 0.068237>,
      < -2.913523, -0.095947, 0.042177>,
      < -2.913523, -0.095947, 0.042177>
    }
    triangle {
      < -2.913523, -0.095947, 0.042177>,
      < -2.913523, -0.095947, 0.042177>,
      < -2.920512, -0.099227, 0.011984>
    }
    triangle {
      < -2.913523, -0.095947, 0.042177>,
      < -2.920512, -0.099227, 0.011984>,
      < -2.920512, -0.099227, 0.011984>
    }
    triangle {
      < -2.922035, 0.160742, 0.011965>,
      < -2.922035, 0.160742, 0.011965>,
      < -2.931045, 0.156832, 0.044180>
    }
    triangle {
      < -2.922035, 0.160742, 0.011965>,
      < -2.931045, 0.156832, 0.044180>,
      < -2.912994, 0.156839, 0.044174>
    }
    triangle {
      < -2.912994, 0.156839, 0.044174>,
      < -2.931045, 0.156832, 0.044180>,
      < -2.940284, 0.143889, 0.077178>
    }
    triangle {
      < -2.912994, 0.156839, 0.044174>,
      < -2.940284, 0.143889, 0.077178>,
      < -2.922007, 0.143896, 0.080525>
    }
    triangle {
      < -2.922007, 0.143896, 0.080525>,
      < -2.940284, 0.143889, 0.077178>,
      < -2.944505, 0.134263, 0.092262>
    }
    triangle {
      < -2.922007, 0.143896, 0.080525>,
      < -2.944505, 0.134263, 0.092262>,
      < -2.922000, 0.134271, 0.096383>
    }
    triangle {
      < -2.922000, 0.134271, 0.096383>,
      < -2.944505, 0.134263, 0.092262>,
      < -2.951822, 0.109459, 0.118410>
    }
    triangle {
      < -2.922000, 0.134271, 0.096383>,
      < -2.951822, 0.109459, 0.118410>,
      < -2.921988, 0.109468, 0.123875>
    }
    triangle {
      < -2.921988, 0.109468, 0.123875>,
      < -2.951822, 0.109459, 0.118410>,
      < -2.957265, 0.062252, 0.137872>
    }
    triangle {
      < -2.921988, 0.109468, 0.123875>,
      < -2.957265, 0.062252, 0.137872>,
      < -2.921974, 0.068392, 0.144335>
    }
    triangle {
      < -2.921974, 0.068392, 0.144335>,
      < -2.957265, 0.062252, 0.137872>,
      < -2.944146, 0.043616, 0.149422>
    }
    triangle {
      < -2.921974, 0.068392, 0.144335>,
      < -2.944146, 0.043616, 0.149422>,
      < -2.928092, 0.027284, 0.156478>
    }
    triangle {
      < -2.928092, 0.027284, 0.156478>,
      < -2.944146, 0.043616, 0.149422>,
      < -2.952566, 0.019393, 0.124614>
    }
    triangle {
      < -2.928092, 0.027284, 0.156478>,
      < -2.952566, 0.019393, 0.124614>,
      < -2.915979, 0.019405, 0.130396>
    }
    triangle {
      < -2.915979, 0.019405, 0.130396>,
      < -2.952566, 0.019393, 0.124614>,
      < -2.967589, -0.009898, 0.127318>
    }
    triangle {
      < -2.915979, 0.019405, 0.130396>,
      < -2.967589, -0.009898, 0.127318>,
      < -2.924668, -0.009888, 0.133239>
    }
    triangle {
      < -2.924668, -0.009888, 0.133239>,
      < -2.967589, -0.009898, 0.127318>,
      < -2.963000, -0.037030, 0.115002>
    }
    triangle {
      < -2.924668, -0.009888, 0.133239>,
      < -2.963000, -0.037030, 0.115002>,
      < -2.924662, -0.037020, 0.120291>
    }
    triangle {
      < -2.924662, -0.037020, 0.120291>,
      < -2.963000, -0.037030, 0.115002>,
      < -2.956006, -0.060297, 0.096213>
    }
    triangle {
      < -2.924662, -0.037020, 0.120291>,
      < -2.956006, -0.060297, 0.096213>,
      < -2.924660, -0.060289, 0.100537>
    }
    triangle {
      < -2.924660, -0.060289, 0.100537>,
      < -2.956006, -0.060297, 0.096213>,
      < -2.935446, -0.097779, 0.068248>
    }
    triangle {
      < -2.924660, -0.060289, 0.100537>,
      < -2.935446, -0.097779, 0.068248>,
      < -2.921794, -0.094220, 0.071136>
    }
    triangle {
      < -2.921794, -0.094220, 0.071136>,
      < -2.935446, -0.097779, 0.068248>,
      < -2.928177, -0.099768, 0.042183>
    }
    triangle {
      < -2.921794, -0.094220, 0.071136>,
      < -2.928177, -0.099768, 0.042183>,
      < -2.913523, -0.095947, 0.042177>
    }
    triangle {
      < -2.913523, -0.095947, 0.042177>,
      < -2.928177, -0.099768, 0.042183>,
      < -2.920512, -0.099227, 0.011984>
    }
    triangle {
      < -2.913523, -0.095947, 0.042177>,
      < -2.920512, -0.099227, 0.011984>,
      < -2.920512, -0.099227, 0.011984>
    }
    triangle {
      < -2.922035, 0.160742, 0.011965>,
      < -2.922035, 0.160742, 0.011965>,
      < -2.931045, 0.156832, 0.044180>
    }
    triangle {
      < -2.922035, 0.160742, 0.011965>,
      < -2.931045, 0.156832, 0.044180>,
      < -2.931045, 0.156832, 0.044180>
    }
    triangle {
      < -2.931045, 0.156832, 0.044180>,
      < -2.931045, 0.156832, 0.044180>,
      < -2.956773, 0.143884, 0.067452>
    }
    triangle {
      < -2.931045, 0.156832, 0.044180>,
      < -2.956773, 0.143884, 0.067452>,
      < -2.940284, 0.143889, 0.077178>
    }
    triangle {
      < -2.940284, 0.143889, 0.077178>,
      < -2.956773, 0.143884, 0.067452>,
      < -2.964810, 0.134256, 0.080285>
    }
    triangle {
      < -2.940284, 0.143889, 0.077178>,
      < -2.964810, 0.134256, 0.080285>,
      < -2.944505, 0.134263, 0.092262>
    }
    triangle {
      < -2.944505, 0.134263, 0.092262>,
      < -2.964810, 0.134256, 0.080285>,
      < -2.978741, 0.109449, 0.102533>
    }
    triangle {
      < -2.944505, 0.134263, 0.092262>,
      < -2.978741, 0.109449, 0.102533>,
      < -2.951822, 0.109459, 0.118410>
    }
    triangle {
      < -2.951822, 0.109459, 0.118410>,
      < -2.978741, 0.109449, 0.102533>,
      < -2.989105, 0.072456, 0.119090>
    }
    triangle {
      < -2.951822, 0.109459, 0.118410>,
      < -2.989105, 0.072456, 0.119090>,
      < -2.957265, 0.062252, 0.137872>
    }
    triangle {
      < -2.957265, 0.062252, 0.137872>,
      < -2.989105, 0.072456, 0.119090>,
      < -2.984141, 0.048995, 0.105821>
    }
    triangle {
      < -2.957265, 0.062252, 0.137872>,
      < -2.984141, 0.048995, 0.105821>,
      < -2.944146, 0.043616, 0.149422>
    }
    triangle {
      < -2.944146, 0.043616, 0.149422>,
      < -2.984141, 0.048995, 0.105821>,
      < -2.985576, 0.019385, 0.107810>
    }
    triangle {
      < -2.944146, 0.043616, 0.149422>,
      < -2.985576, 0.019385, 0.107810>,
      < -2.952566, 0.019393, 0.124614>
    }
    triangle {
      < -2.952566, 0.019393, 0.124614>,
      < -2.985576, 0.019385, 0.107810>,
      < -3.006314, -0.009907, 0.110111>
    }
    triangle {
      < -2.952566, 0.019393, 0.124614>,
      < -3.006314, -0.009907, 0.110111>,
      < -2.967589, -0.009898, 0.127318>
    }
    triangle {
      < -2.967589, -0.009898, 0.127318>,
      < -3.006314, -0.009907, 0.110111>,
      < -2.997590, -0.037038, 0.099633>
    }
    triangle {
      < -2.967589, -0.009898, 0.127318>,
      < -2.997590, -0.037038, 0.099633>,
      < -2.963000, -0.037030, 0.115002>
    }
    triangle {
      < -2.963000, -0.037030, 0.115002>,
      < -2.997590, -0.037038, 0.099633>,
      < -2.984287, -0.068475, 0.083646>
    }
    triangle {
      < -2.963000, -0.037030, 0.115002>,
      < -2.984287, -0.068475, 0.083646>,
      < -2.956006, -0.060297, 0.096213>
    }
    triangle {
      < -2.956006, -0.060297, 0.096213>,
      < -2.984287, -0.068475, 0.083646>,
      < -2.947763, -0.100991, 0.059854>
    }
    triangle {
      < -2.956006, -0.060297, 0.096213>,
      < -2.947763, -0.100991, 0.059854>,
      < -2.935446, -0.097779, 0.068248>
    }
    triangle {
      < -2.935446, -0.097779, 0.068248>,
      < -2.947763, -0.100991, 0.059854>,
      < -2.928177, -0.099768, 0.042183>
    }
    triangle {
      < -2.935446, -0.097779, 0.068248>,
      < -2.928177, -0.099768, 0.042183>,
      < -2.928177, -0.099768, 0.042183>
    }
    triangle {
      < -2.928177, -0.099768, 0.042183>,
      < -2.928177, -0.099768, 0.042183>,
      < -2.920512, -0.099227, 0.011984>
    }
    triangle {
      < -2.928177, -0.099768, 0.042183>,
      < -2.920512, -0.099227, 0.011984>,
      < -2.920512, -0.099227, 0.011984>
    }
    triangle {
      < -2.922035, 0.160742, 0.011965>,
      < -2.922035, 0.160742, 0.011965>,
      < -2.945653, 0.156828, 0.031893>
    }
    triangle {
      < -2.922035, 0.160742, 0.011965>,
      < -2.945653, 0.156828, 0.031893>,
      < -2.931045, 0.156832, 0.044180>
    }
    triangle {
      < -2.931045, 0.156832, 0.044180>,
      < -2.945653, 0.156828, 0.031893>,
      < -2.969862, 0.143880, 0.052298>
    }
    triangle {
      < -2.931045, 0.156832, 0.044180>,
      < -2.969862, 0.143880, 0.052298>,
      < -2.956773, 0.143884, 0.067452>
    }
    triangle {
      < -2.956773, 0.143884, 0.067452>,
      < -2.969862, 0.143880, 0.052298>,
      < -2.980927, 0.134251, 0.061625>
    }
    triangle {
      < -2.956773, 0.143884, 0.067452>,
      < -2.980927, 0.134251, 0.061625>,
      < -2.964810, 0.134256, 0.080285>
    }
    triangle {
      < -2.964810, 0.134256, 0.080285>,
      < -2.980927, 0.134251, 0.061625>,
      < -3.000109, 0.109441, 0.077794>
    }
    triangle {
      < -2.964810, 0.134256, 0.080285>,
      < -3.000109, 0.109441, 0.077794>,
      < -2.978741, 0.109449, 0.102533>
    }
    triangle {
      < -2.978741, 0.109449, 0.102533>,
      < -3.000109, 0.109441, 0.077794>,
      < -3.014381, 0.072448, 0.089829>
    }
    triangle {
      < -2.978741, 0.109449, 0.102533>,
      < -3.014381, 0.072448, 0.089829>,
      < -2.989105, 0.072456, 0.119090>
    }
    triangle {
      < -2.989105, 0.072456, 0.119090>,
      < -3.014381, 0.072448, 0.089829>,
      < -3.009800, 0.048988, 0.080185>
    }
    triangle {
      < -2.989105, 0.072456, 0.119090>,
      < -3.009800, 0.048988, 0.080185>,
      < -2.984141, 0.048995, 0.105821>
    }
    triangle {
      < -2.984141, 0.048995, 0.105821>,
      < -3.009800, 0.048988, 0.080185>,
      < -3.011779, 0.019377, 0.081630>
    }
    triangle {
      < -2.984141, 0.048995, 0.105821>,
      < -3.011779, 0.019377, 0.081630>,
      < -2.985576, 0.019385, 0.107810>
    }
    triangle {
      < -2.985576, 0.019385, 0.107810>,
      < -3.011779, 0.019377, 0.081630>,
      < -3.018667, -0.009915, 0.083303>
    }
    triangle {
      < -2.985576, 0.019385, 0.107810>,
      < -3.018667, -0.009915, 0.083303>,
      < -3.006314, -0.009907, 0.110111>
    }
    triangle {
      < -3.006314, -0.009907, 0.110111>,
      < -3.018667, -0.009915, 0.083303>,
      < -3.025048, -0.037045, 0.075687>
    }
    triangle {
      < -3.006314, -0.009907, 0.110111>,
      < -3.025048, -0.037045, 0.075687>,
      < -2.997590, -0.037038, 0.099633>
    }
    triangle {
      < -2.997590, -0.037038, 0.099633>,
      < -3.025048, -0.037045, 0.075687>,
      < -2.998565, -0.072567, 0.064068>
    }
    triangle {
      < -2.997590, -0.037038, 0.099633>,
      < -2.998565, -0.072567, 0.064068>,
      < -2.984287, -0.068475, 0.083646>
    }
    triangle {
      < -2.984287, -0.068475, 0.083646>,
      < -2.998565, -0.072567, 0.064068>,
      < -2.957541, -0.103540, 0.046775>
    }
    triangle {
      < -2.984287, -0.068475, 0.083646>,
      < -2.957541, -0.103540, 0.046775>,
      < -2.947763, -0.100991, 0.059854>
    }
    triangle {
      < -2.947763, -0.100991, 0.059854>,
      < -2.957541, -0.103540, 0.046775>,
      < -2.940037, -0.102860, 0.030658>
    }
    triangle {
      < -2.947763, -0.100991, 0.059854>,
      < -2.940037, -0.102860, 0.030658>,
      < -2.928177, -0.099768, 0.042183>
    }
    triangle {
      < -2.928177, -0.099768, 0.042183>,
      < -2.940037, -0.102860, 0.030658>,
      < -2.920512, -0.099227, 0.011984>
    }
    triangle {
      < -2.928177, -0.099768, 0.042183>,
      < -2.920512, -0.099227, 0.011984>,
      < -2.920512, -0.099227, 0.011984>
    }
    triangle {
      < -2.922035, 0.160742, 0.011965>,
      < -2.922035, 0.160742, 0.011965>,
      < -2.949806, 0.156826, 0.022461>
    }
    triangle {
      < -2.922035, 0.160742, 0.011965>,
      < -2.949806, 0.156826, 0.022461>,
      < -2.945653, 0.156828, 0.031893>
    }
    triangle {
      < -2.945653, 0.156828, 0.031893>,
      < -2.949806, 0.156826, 0.022461>,
      < -2.978271, 0.143877, 0.033199>
    }
    triangle {
      < -2.945653, 0.156828, 0.031893>,
      < -2.978271, 0.143877, 0.033199>,
      < -2.969862, 0.143880, 0.052298>
    }
    triangle {
      < -2.969862, 0.143880, 0.052298>,
      < -2.978271, 0.143877, 0.033199>,
      < -2.991282, 0.134247, 0.038107>
    }
    triangle {
      < -2.969862, 0.143880, 0.052298>,
      < -2.991282, 0.134247, 0.038107>,
      < -2.980927, 0.134251, 0.061625>
    }
    triangle {
      < -2.980927, 0.134251, 0.061625>,
      < -2.991282, 0.134247, 0.038107>,
      < -3.013835, 0.109437, 0.046617>
    }
    triangle {
      < -2.980927, 0.134251, 0.061625>,
      < -3.013835, 0.109437, 0.046617>,
      < -3.000109, 0.109441, 0.077794>
    }
    triangle {
      < -3.000109, 0.109441, 0.077794>,
      < -3.013835, 0.109437, 0.046617>,
      < -3.030617, 0.066313, 0.052950>
    }
    triangle {
      < -3.000109, 0.109441, 0.077794>,
      < -3.030617, 0.066313, 0.052950>,
      < -3.014381, 0.072448, 0.089829>
    }
    triangle {
      < -3.014381, 0.072448, 0.089829>,
      < -3.030617, 0.066313, 0.052950>,
      < -3.026284, 0.048983, 0.047874>
    }
    triangle {
      < -3.014381, 0.072448, 0.089829>,
      < -3.026284, 0.048983, 0.047874>,
      < -3.009800, 0.048988, 0.080185>
    }
    triangle {
      < -3.009800, 0.048988, 0.080185>,
      < -3.026284, 0.048983, 0.047874>,
      < -3.028612, 0.019371, 0.048635>
    }
    triangle {
      < -3.009800, 0.048988, 0.080185>,
      < -3.028612, 0.019371, 0.048635>,
      < -3.011779, 0.019377, 0.081630>
    }
    triangle {
      < -3.011779, 0.019377, 0.081630>,
      < -3.028612, 0.019371, 0.048635>,
      < -3.038414, 0.000296, 0.049515>
    }
    triangle {
      < -3.011779, 0.019377, 0.081630>,
      < -3.038414, 0.000296, 0.049515>,
      < -3.018667, -0.009915, 0.083303>
    }
    triangle {
      < -3.018667, -0.009915, 0.083303>,
      < -3.038414, 0.000296, 0.049515>,
      < -3.042687, -0.037049, 0.045508>
    }
    triangle {
      < -3.018667, -0.009915, 0.083303>,
      < -3.042687, -0.037049, 0.045508>,
      < -3.025048, -0.037045, 0.075687>
    }
    triangle {
      < -3.025048, -0.037045, 0.075687>,
      < -3.042687, -0.037049, 0.045508>,
      < -3.017072, -0.076657, 0.039393>
    }
    triangle {
      < -3.025048, -0.037045, 0.075687>,
      < -3.017072, -0.076657, 0.039393>,
      < -2.998565, -0.072567, 0.064068>
    }
    triangle {
      < -2.998565, -0.072567, 0.064068>,
      < -3.017072, -0.076657, 0.039393>,
      < -2.963822, -0.105178, 0.030293>
    }
    triangle {
      < -2.998565, -0.072567, 0.064068>,
      < -2.963822, -0.105178, 0.030293>,
      < -2.957541, -0.103540, 0.046775>
    }
    triangle {
      < -2.957541, -0.103540, 0.046775>,
      < -2.963822, -0.105178, 0.030293>,
      < -2.940037, -0.102860, 0.030658>
    }
    triangle {
      < -2.957541, -0.103540, 0.046775>,
      < -2.940037, -0.102860, 0.030658>,
      < -2.940037, -0.102860, 0.030658>
    }
    triangle {
      < -2.940037, -0.102860, 0.030658>,
      < -2.940037, -0.102860, 0.030658>,
      < -2.920512, -0.099227, 0.011984>
    }
    triangle {
      < -2.940037, -0.102860, 0.030658>,
      < -2.920512, -0.099227, 0.011984>,
      < -2.920512, -0.099227, 0.011984>
    }
    triangle {
      < -2.922035, 0.160742, 0.011965>,
      < -2.922035, 0.160742, 0.011965>,
      < -2.951240, 0.156826, 0.012004>
    }
    triangle {
      < -2.922035, 0.160742, 0.011965>,
      < -2.951240, 0.156826, 0.012004>,
      < -2.949806, 0.156826, 0.022461>
    }
    triangle {
      < -2.949806, 0.156826, 0.022461>,
      < -2.951240, 0.156826, 0.012004>,
      < -2.981175, 0.143876, 0.012024>
    }
    triangle {
      < -2.949806, 0.156826, 0.022461>,
      < -2.981175, 0.143876, 0.012024>,
      < -2.978271, 0.143877, 0.033199>
    }
    triangle {
      < -2.978271, 0.143877, 0.033199>,
      < -2.981175, 0.143876, 0.012024>,
      < -2.994858, 0.134245, 0.012034>
    }
    triangle {
      < -2.978271, 0.143877, 0.033199>,
      < -2.994858, 0.134245, 0.012034>,
      < -2.991282, 0.134247, 0.038107>
    }
    triangle {
      < -2.991282, 0.134247, 0.038107>,
      < -2.994858, 0.134245, 0.012034>,
      < -3.018578, 0.109435, 0.012050>
    }
    triangle {
      < -2.991282, 0.134247, 0.038107>,
      < -3.018578, 0.109435, 0.012050>,
      < -3.013835, 0.109437, 0.046617>
    }
    triangle {
      < -3.013835, 0.109437, 0.046617>,
      < -3.018578, 0.109435, 0.012050>,
      < -3.036227, 0.066311, 0.012062>
    }
    triangle {
      < -3.013835, 0.109437, 0.046617>,
      < -3.036227, 0.066311, 0.012062>,
      < -3.030617, 0.066313, 0.052950>
    }
    triangle {
      < -3.030617, 0.066313, 0.052950>,
      < -3.036227, 0.066311, 0.012062>,
      < -3.031978, 0.048981, 0.012052>
    }
    triangle {
      < -3.030617, 0.066313, 0.052950>,
      < -3.031978, 0.048981, 0.012052>,
      < -3.026284, 0.048983, 0.047874>
    }
    triangle {
      < -3.026284, 0.048983, 0.047874>,
      < -3.031978, 0.048981, 0.012052>,
      < -3.034427, 0.019369, 0.012054>
    }
    triangle {
      < -3.026284, 0.048983, 0.047874>,
      < -3.034427, 0.019369, 0.012054>,
      < -3.028612, 0.019371, 0.048635>
    }
    triangle {
      < -3.028612, 0.019371, 0.048635>,
      < -3.034427, 0.019369, 0.012054>,
      < -3.037063, 0.000294, 0.012056>
    }
    triangle {
      < -3.028612, 0.019371, 0.048635>,
      < -3.037063, 0.000294, 0.012056>,
      < -3.038414, 0.000296, 0.049515>
    }
    triangle {
      < -3.038414, 0.000296, 0.049515>,
      < -3.037063, 0.000294, 0.012056>,
      < -3.061038, -0.037050, 0.012048>
    }
    triangle {
      < -3.038414, 0.000296, 0.049515>,
      < -3.061038, -0.037050, 0.012048>,
      < -3.042687, -0.037049, 0.045508>
    }
    triangle {
      < -3.042687, -0.037049, 0.045508>,
      < -3.061038, -0.037050, 0.012048>,
      < -3.064961, -0.062357, 0.012036>
    }
    triangle {
      < -3.042687, -0.037049, 0.045508>,
      < -3.064961, -0.062357, 0.012036>,
      < -3.017072, -0.076657, 0.039393>
    }
    triangle {
      < -3.017072, -0.076657, 0.039393>,
      < -3.064961, -0.062357, 0.012036>,
      < -2.965992, -0.105743, 0.012018>
    }
    triangle {
      < -3.017072, -0.076657, 0.039393>,
      < -2.965992, -0.105743, 0.012018>,
      < -2.963822, -0.105178, 0.030293>
    }
    triangle {
      < -2.963822, -0.105178, 0.030293>,
      < -2.965992, -0.105743, 0.012018>,
      < -2.944573, -0.104043, 0.012002>
    }
    triangle {
      < -2.963822, -0.105178, 0.030293>,
      < -2.944573, -0.104043, 0.012002>,
      < -2.940037, -0.102860, 0.030658>
    }
    triangle {
      < -2.940037, -0.102860, 0.030658>,
      < -2.944573, -0.104043, 0.012002>,
      < -2.920512, -0.099227, 0.011984>
    }
    triangle {
      < -2.940037, -0.102860, 0.030658>,
      < -2.920512, -0.099227, 0.011984>,
      < -2.920512, -0.099227, 0.011984>
    }
    triangle {
      < -2.922035, 0.160742, 0.011965>,
      < -2.922035, 0.160742, 0.011965>,
      < -2.949816, 0.156826, 0.001544>
    }
    triangle {
      < -2.922035, 0.160742, 0.011965>,
      < -2.949816, 0.156826, 0.001544>,
      < -2.951240, 0.156826, 0.012004>
    }
    triangle {
      < -2.951240, 0.156826, 0.012004>,
      < -2.949816, 0.156826, 0.001544>,
      < -2.978292, 0.143877, -0.009154>
    }
    triangle {
      < -2.951240, 0.156826, 0.012004>,
      < -2.978292, 0.143877, -0.009154>,
      < -2.981175, 0.143876, 0.012024>
    }
    triangle {
      < -2.981175, 0.143876, 0.012024>,
      < -2.978292, 0.143877, -0.009154>,
      < -2.991308, 0.134247, -0.014045>
    }
    triangle {
      < -2.981175, 0.143876, 0.012024>,
      < -2.991308, 0.134247, -0.014045>,
      < -2.994858, 0.134245, 0.012034>
    }
    triangle {
      < -2.994858, 0.134245, 0.012034>,
      < -2.991308, 0.134247, -0.014045>,
      < -3.013870, 0.109437, -0.022523>
    }
    triangle {
      < -2.994858, 0.134245, 0.012034>,
      < -3.013870, 0.109437, -0.022523>,
      < -3.018578, 0.109435, 0.012050>
    }
    triangle {
      < -3.018578, 0.109435, 0.012050>,
      < -3.013870, 0.109437, -0.022523>,
      < -3.034745, 0.066312, -0.028833>
    }
    triangle {
      < -3.018578, 0.109435, 0.012050>,
      < -3.034745, 0.066312, -0.028833>,
      < -3.036227, 0.066311, 0.012062>
    }
    triangle {
      < -3.036227, 0.066311, 0.012062>,
      < -3.034745, 0.066312, -0.028833>,
      < -3.026326, 0.048983, -0.023777>
    }
    triangle {
      < -3.036227, 0.066311, 0.012062>,
      < -3.026326, 0.048983, -0.023777>,
      < -3.031978, 0.048981, 0.012052>
    }
    triangle {
      < -3.031978, 0.048981, 0.012052>,
      < -3.026326, 0.048983, -0.023777>,
      < -3.028656, 0.019371, -0.024534>
    }
    triangle {
      < -3.031978, 0.048981, 0.012052>,
      < -3.028656, 0.019371, -0.024534>,
      < -3.034427, 0.019369, 0.012054>
    }
    triangle {
      < -3.034427, 0.019369, 0.012054>,
      < -3.028656, 0.019371, -0.024534>,
      < -3.038465, 0.000296, -0.025411>
    }
    triangle {
      < -3.034427, 0.019369, 0.012054>,
      < -3.038465, 0.000296, -0.025411>,
      < -3.037063, 0.000294, 0.012056>
    }
    triangle {
      < -3.037063, 0.000294, 0.012056>,
      < -3.038465, 0.000296, -0.025411>,
      < -3.048861, -0.037049, -0.021418>
    }
    triangle {
      < -3.037063, 0.000294, 0.012056>,
      < -3.048861, -0.037049, -0.021418>,
      < -3.061038, -0.037050, 0.012048>
    }
    triangle {
      < -3.061038, -0.037050, 0.012048>,
      < -3.048861, -0.037049, -0.021418>,
      < -3.064103, -0.062355, -0.015326>
    }
    triangle {
      < -3.061038, -0.037050, 0.012048>,
      < -3.064103, -0.062355, -0.015326>,
      < -3.064961, -0.062357, 0.012036>
    }
    triangle {
      < -3.064961, -0.062357, 0.012036>,
      < -3.064103, -0.062355, -0.015326>,
      < -2.963838, -0.105182, -0.006259>
    }
    triangle {
      < -3.064961, -0.062357, 0.012036>,
      < -2.963838, -0.105182, -0.006259>,
      < -2.965992, -0.105743, 0.012018>
    }
    triangle {
      < -2.965992, -0.105743, 0.012018>,
      < -2.963838, -0.105182, -0.006259>,
      < -2.944573, -0.104043, 0.012002>
    }
    triangle {
      < -2.965992, -0.105743, 0.012018>,
      < -2.944573, -0.104043, 0.012002>,
      < -2.944573, -0.104043, 0.012002>
    }
    triangle {
      < -2.944573, -0.104043, 0.012002>,
      < -2.944573, -0.104043, 0.012002>,
      < -2.920512, -0.099227, 0.011984>
    }
    triangle {
      < -2.944573, -0.104043, 0.012002>,
      < -2.920512, -0.099227, 0.011984>,
      < -2.920512, -0.099227, 0.011984>
    }
    triangle {
      < -2.922035, 0.160742, 0.011965>,
      < -2.922035, 0.160742, 0.011965>,
      < -2.945673, 0.156828, -0.007893>
    }
    triangle {
      < -2.922035, 0.160742, 0.011965>,
      < -2.945673, 0.156828, -0.007893>,
      < -2.949816, 0.156826, 0.001544>
    }
    triangle {
      < -2.949816, 0.156826, 0.001544>,
      < -2.945673, 0.156828, -0.007893>,
      < -2.969904, 0.143879, -0.028265>
    }
    triangle {
      < -2.949816, 0.156826, 0.001544>,
      < -2.969904, 0.143879, -0.028265>,
      < -2.978292, 0.143877, -0.009154>
    }
    triangle {
      < -2.978292, 0.143877, -0.009154>,
      < -2.969904, 0.143879, -0.028265>,
      < -2.980978, 0.134251, -0.037577>
    }
    triangle {
      < -2.978292, 0.143877, -0.009154>,
      < -2.980978, 0.134251, -0.037577>,
      < -2.991308, 0.134247, -0.014045>
    }
    triangle {
      < -2.991308, 0.134247, -0.014045>,
      < -2.980978, 0.134251, -0.037577>,
      < -3.000176, 0.109441, -0.053720>
    }
    triangle {
      < -2.991308, 0.134247, -0.014045>,
      < -3.000176, 0.109441, -0.053720>,
      < -3.013870, 0.109437, -0.022523>
    }
    triangle {
      < -3.013870, 0.109437, -0.022523>,
      < -3.000176, 0.109441, -0.053720>,
      < -3.014460, 0.070404, -0.065735>
    }
    triangle {
      < -3.013870, 0.109437, -0.022523>,
      < -3.014460, 0.070404, -0.065735>,
      < -3.034745, 0.066312, -0.028833>
    }
    triangle {
      < -3.034745, 0.066312, -0.028833>,
      < -3.014460, 0.070404, -0.065735>,
      < -3.009881, 0.048988, -0.056106>
    }
    triangle {
      < -3.034745, 0.066312, -0.028833>,
      < -3.009881, 0.048988, -0.056106>,
      < -3.026326, 0.048983, -0.023777>
    }
    triangle {
      < -3.026326, 0.048983, -0.023777>,
      < -3.009881, 0.048988, -0.056106>,
      < -3.011862, 0.019377, -0.057549>
    }
    triangle {
      < -3.026326, 0.048983, -0.023777>,
      < -3.011862, 0.019377, -0.057549>,
      < -3.028656, 0.019371, -0.024534>
    }
    triangle {
      < -3.028656, 0.019371, -0.024534>,
      < -3.011862, 0.019377, -0.057549>,
      < -3.037151, -0.009915, -0.059219>
    }
    triangle {
      < -3.028656, 0.019371, -0.024534>,
      < -3.037151, -0.009915, -0.059219>,
      < -3.038465, 0.000296, -0.025411>
    }
    triangle {
      < -3.038465, 0.000296, -0.025411>,
      < -3.037151, -0.009915, -0.059219>,
      < -3.025134, -0.037045, -0.051616>
    }
    triangle {
      < -3.038465, 0.000296, -0.025411>,
      < -3.025134, -0.037045, -0.051616>,
      < -3.048861, -0.037049, -0.021418>
    }
    triangle {
      < -3.048861, -0.037049, -0.021418>,
      < -3.025134, -0.037045, -0.051616>,
      < -2.998635, -0.072567, -0.040016>
    }
    triangle {
      < -3.048861, -0.037049, -0.021418>,
      < -2.998635, -0.072567, -0.040016>,
      < -3.064103, -0.062355, -0.015326>
    }
    triangle {
      < -3.064103, -0.062355, -0.015326>,
      < -2.998635, -0.072567, -0.040016>,
      < -2.957572, -0.103548, -0.022751>
    }
    triangle {
      < -3.064103, -0.062355, -0.015326>,
      < -2.957572, -0.103548, -0.022751>,
      < -2.963838, -0.105182, -0.006259>
    }
    triangle {
      < -2.963838, -0.105182, -0.006259>,
      < -2.957572, -0.103548, -0.022751>,
      < -2.940053, -0.102864, -0.006660>
    }
    triangle {
      < -2.963838, -0.105182, -0.006259>,
      < -2.940053, -0.102864, -0.006660>,
      < -2.944573, -0.104043, 0.012002>
    }
    triangle {
      < -2.944573, -0.104043, 0.012002>,
      < -2.940053, -0.102864, -0.006660>,
      < -2.920512, -0.099227, 0.011984>
    }
    triangle {
      < -2.944573, -0.104043, 0.012002>,
      < -2.920512, -0.099227, 0.011984>,
      < -2.920512, -0.099227, 0.011984>
    }
    triangle {
      < -2.922035, 0.160742, 0.011965>,
      < -2.922035, 0.160742, 0.011965>,
      < -2.945673, 0.156828, -0.007893>
    }
    triangle {
      < -2.922035, 0.160742, 0.011965>,
      < -2.945673, 0.156828, -0.007893>,
      < -2.945673, 0.156828, -0.007893>
    }
    triangle {
      < -2.945673, 0.156828, -0.007893>,
      < -2.945673, 0.156828, -0.007893>,
      < -2.956830, 0.143884, -0.043437>
    }
    triangle {
      < -2.945673, 0.156828, -0.007893>,
      < -2.956830, 0.143884, -0.043437>,
      < -2.969904, 0.143879, -0.028265>
    }
    triangle {
      < -2.969904, 0.143879, -0.028265>,
      < -2.956830, 0.143884, -0.043437>,
      < -2.964880, 0.134256, -0.056259>
    }
    triangle {
      < -2.969904, 0.143879, -0.028265>,
      < -2.964880, 0.134256, -0.056259>,
      < -2.980978, 0.134251, -0.037577>
    }
    triangle {
      < -2.980978, 0.134251, -0.037577>,
      < -2.964880, 0.134256, -0.056259>,
      < -2.978834, 0.109449, -0.078488>
    }
    triangle {
      < -2.980978, 0.134251, -0.037577>,
      < -2.978834, 0.109449, -0.078488>,
      < -3.000176, 0.109441, -0.053720>
    }
    triangle {
      < -3.000176, 0.109441, -0.053720>,
      < -2.978834, 0.109449, -0.078488>,
      < -2.989215, 0.072456, -0.095031>
    }
    triangle {
      < -3.000176, 0.109441, -0.053720>,
      < -2.989215, 0.072456, -0.095031>,
      < -3.014460, 0.070404, -0.065735>
    }
    triangle {
      < -3.014460, 0.070404, -0.065735>,
      < -2.989215, 0.072456, -0.095031>,
      < -2.984252, 0.048995, -0.081774>
    }
    triangle {
      < -3.014460, 0.070404, -0.065735>,
      < -2.984252, 0.048995, -0.081774>,
      < -3.009881, 0.048988, -0.056106>
    }
    triangle {
      < -3.009881, 0.048988, -0.056106>,
      < -2.984252, 0.048995, -0.081774>,
      < -2.985690, 0.019385, -0.083761>
    }
    triangle {
      < -3.009881, 0.048988, -0.056106>,
      < -2.985690, 0.019385, -0.083761>,
      < -3.011862, 0.019377, -0.057549>
    }
    triangle {
      < -3.011862, 0.019377, -0.057549>,
      < -2.985690, 0.019385, -0.083761>,
      < -3.006447, -0.009907, -0.086060>
    }
    triangle {
      < -3.011862, 0.019377, -0.057549>,
      < -3.006447, -0.009907, -0.086060>,
      < -3.037151, -0.009915, -0.059219>
    }
    triangle {
      < -3.037151, -0.009915, -0.059219>,
      < -3.006447, -0.009907, -0.086060>,
      < -2.997710, -0.037038, -0.075591>
    }
    triangle {
      < -3.037151, -0.009915, -0.059219>,
      < -2.997710, -0.037038, -0.075591>,
      < -3.025134, -0.037045, -0.051616>
    }
    triangle {
      < -3.025134, -0.037045, -0.051616>,
      < -2.997710, -0.037038, -0.075591>,
      < -2.984385, -0.070519, -0.059618>
    }
    triangle {
      < -3.025134, -0.037045, -0.051616>,
      < -2.984385, -0.070519, -0.059618>,
      < -2.998635, -0.072567, -0.040016>
    }
    triangle {
      < -2.998635, -0.072567, -0.040016>,
      < -2.984385, -0.070519, -0.059618>,
      < -2.947806, -0.101002, -0.035845>
    }
    triangle {
      < -2.998635, -0.072567, -0.040016>,
      < -2.947806, -0.101002, -0.035845>,
      < -2.957572, -0.103548, -0.022751>
    }
    triangle {
      < -2.957572, -0.103548, -0.022751>,
      < -2.947806, -0.101002, -0.035845>,
      < -2.940053, -0.102864, -0.006660>
    }
    triangle {
      < -2.957572, -0.103548, -0.022751>,
      < -2.940053, -0.102864, -0.006660>,
      < -2.940053, -0.102864, -0.006660>
    }
    triangle {
      < -2.940053, -0.102864, -0.006660>,
      < -2.940053, -0.102864, -0.006660>,
      < -2.920512, -0.099227, 0.011984>
    }
    triangle {
      < -2.940053, -0.102864, -0.006660>,
      < -2.920512, -0.099227, 0.011984>,
      < -2.920512, -0.099227, 0.011984>
    }
    triangle {
      < -2.922035, 0.160742, 0.011965>,
      < -2.922035, 0.160742, 0.011965>,
      < -2.931078, 0.156832, -0.020201>
    }
    triangle {
      < -2.922035, 0.160742, 0.011965>,
      < -2.931078, 0.156832, -0.020201>,
      < -2.945673, 0.156828, -0.007893>
    }
    triangle {
      < -2.945673, 0.156828, -0.007893>,
      < -2.931078, 0.156832, -0.020201>,
      < -2.940350, 0.143889, -0.053186>
    }
    triangle {
      < -2.945673, 0.156828, -0.007893>,
      < -2.940350, 0.143889, -0.053186>,
      < -2.956830, 0.143884, -0.043437>
    }
    triangle {
      < -2.956830, 0.143884, -0.043437>,
      < -2.940350, 0.143889, -0.053186>,
      < -2.944587, 0.134263, -0.068264>
    }
    triangle {
      < -2.956830, 0.143884, -0.043437>,
      < -2.944587, 0.134263, -0.068264>,
      < -2.964880, 0.134256, -0.056259>
    }
    triangle {
      < -2.964880, 0.134256, -0.056259>,
      < -2.944587, 0.134263, -0.068264>,
      < -2.951931, 0.109458, -0.094403>
    }
    triangle {
      < -2.964880, 0.134256, -0.056259>,
      < -2.951931, 0.109458, -0.094403>,
      < -2.978834, 0.109449, -0.078488>
    }
    triangle {
      < -2.978834, 0.109449, -0.078488>,
      < -2.951931, 0.109458, -0.094403>,
      < -2.957394, 0.062251, -0.113857>
    }
    triangle {
      < -2.978834, 0.109449, -0.078488>,
      < -2.957394, 0.062251, -0.113857>,
      < -2.989215, 0.072456, -0.095031>
    }
    triangle {
      < -2.989215, 0.072456, -0.095031>,
      < -2.957394, 0.062251, -0.113857>,
      < -2.944286, 0.043616, -0.125402>
    }
    triangle {
      < -2.989215, 0.072456, -0.095031>,
      < -2.944286, 0.043616, -0.125402>,
      < -2.984252, 0.048995, -0.081774>
    }
    triangle {
      < -2.984252, 0.048995, -0.081774>,
      < -2.944286, 0.043616, -0.125402>,
      < -2.952700, 0.019393, -0.100604>
    }
    triangle {
      < -2.984252, 0.048995, -0.081774>,
      < -2.952700, 0.019393, -0.100604>,
      < -2.985690, 0.019385, -0.083761>
    }
    triangle {
      < -2.985690, 0.019385, -0.083761>,
      < -2.952700, 0.019393, -0.100604>,
      < -2.967745, -0.009898, -0.103307>
    }
    triangle {
      < -2.985690, 0.019385, -0.083761>,
      < -2.967745, -0.009898, -0.103307>,
      < -3.006447, -0.009907, -0.086060>
    }
    triangle {
      < -3.006447, -0.009907, -0.086060>,
      < -2.967745, -0.009898, -0.103307>,
      < -2.963140, -0.037030, -0.090996>
    }
    triangle {
      < -3.006447, -0.009907, -0.086060>,
      < -2.963140, -0.037030, -0.090996>,
      < -2.997710, -0.037038, -0.075591>
    }
    triangle {
      < -2.997710, -0.037038, -0.075591>,
      < -2.963140, -0.037030, -0.090996>,
      < -2.956120, -0.060297, -0.072213>
    }
    triangle {
      < -2.997710, -0.037038, -0.075591>,
      < -2.956120, -0.060297, -0.072213>,
      < -2.984385, -0.070519, -0.059618>
    }
    triangle {
      < -2.984385, -0.070519, -0.059618>,
      < -2.956120, -0.060297, -0.072213>,
      < -2.935496, -0.097792, -0.044259>
    }
    triangle {
      < -2.984385, -0.070519, -0.059618>,
      < -2.935496, -0.097792, -0.044259>,
      < -2.947806, -0.101002, -0.035845>
    }
    triangle {
      < -2.947806, -0.101002, -0.035845>,
      < -2.935496, -0.097792, -0.044259>,
      < -2.928204, -0.099774, -0.018205>
    }
    triangle {
      < -2.947806, -0.101002, -0.035845>,
      < -2.928204, -0.099774, -0.018205>,
      < -2.940053, -0.102864, -0.006660>
    }
    triangle {
      < -2.940053, -0.102864, -0.006660>,
      < -2.928204, -0.099774, -0.018205>,
      < -2.920512, -0.099227, 0.011984>
    }
    triangle {
      < -2.940053, -0.102864, -0.006660>,
      < -2.920512, -0.099227, 0.011984>,
      < -2.920512, -0.099227, 0.011984>
    }
    triangle {
      < -2.922035, 0.160742, 0.011965>,
      < -2.922035, 0.160742, 0.011965>,
      < -2.931078, 0.156832, -0.020201>
    }
    triangle {
      < -2.922035, 0.160742, 0.011965>,
      < -2.931078, 0.156832, -0.020201>,
      < -2.931078, 0.156832, -0.020201>
    }
    triangle {
      < -2.931078, 0.156832, -0.020201>,
      < -2.931078, 0.156832, -0.020201>,
      < -2.922077, 0.143896, -0.056558>
    }
    triangle {
      < -2.931078, 0.156832, -0.020201>,
      < -2.922077, 0.143896, -0.056558>,
      < -2.940350, 0.143889, -0.053186>
    }
    triangle {
      < -2.940350, 0.143889, -0.053186>,
      < -2.922077, 0.143896, -0.056558>,
      < -2.922087, 0.134271, -0.072416>
    }
    triangle {
      < -2.940350, 0.143889, -0.053186>,
      < -2.922087, 0.134271, -0.072416>,
      < -2.944587, 0.134263, -0.068264>
    }
    triangle {
      < -2.944587, 0.134263, -0.068264>,
      < -2.922087, 0.134271, -0.072416>,
      < -2.922102, 0.109468, -0.099908>
    }
    triangle {
      < -2.944587, 0.134263, -0.068264>,
      < -2.922102, 0.109468, -0.099908>,
      < -2.951931, 0.109458, -0.094403>
    }
    triangle {
      < -2.951931, 0.109458, -0.094403>,
      < -2.922102, 0.109468, -0.099908>,
      < -2.922110, 0.068392, -0.120369>
    }
    triangle {
      < -2.951931, 0.109458, -0.094403>,
      < -2.922110, 0.068392, -0.120369>,
      < -2.957394, 0.062251, -0.113857>
    }
    triangle {
      < -2.957394, 0.062251, -0.113857>,
      < -2.922110, 0.068392, -0.120369>,
      < -2.928239, 0.027284, -0.132511>
    }
    triangle {
      < -2.957394, 0.062251, -0.113857>,
      < -2.928239, 0.027284, -0.132511>,
      < -2.944286, 0.043616, -0.125402>
    }
    triangle {
      < -2.944286, 0.043616, -0.125402>,
      < -2.928239, 0.027284, -0.132511>,
      < -2.916120, 0.019405, -0.106429>
    }
    triangle {
      < -2.944286, 0.043616, -0.125402>,
      < -2.916120, 0.019405, -0.106429>,
      < -2.952700, 0.019393, -0.100604>
    }
    triangle {
      < -2.952700, 0.019393, -0.100604>,
      < -2.916120, 0.019405, -0.106429>,
      < -2.924832, -0.009888, -0.109273>
    }
    triangle {
      < -2.952700, 0.019393, -0.100604>,
      < -2.924832, -0.009888, -0.109273>,
      < -2.967745, -0.009898, -0.103307>
    }
    triangle {
      < -2.967745, -0.009898, -0.103307>,
      < -2.924832, -0.009888, -0.109273>,
      < -2.924809, -0.037020, -0.096325>
    }
    triangle {
      < -2.967745, -0.009898, -0.103307>,
      < -2.924809, -0.037020, -0.096325>,
      < -2.963140, -0.037030, -0.090996>
    }
    triangle {
      < -2.963140, -0.037030, -0.090996>,
      < -2.924809, -0.037020, -0.096325>,
      < -2.924780, -0.060289, -0.076571>
    }
    triangle {
      < -2.963140, -0.037030, -0.090996>,
      < -2.924780, -0.060289, -0.076571>,
      < -2.956120, -0.060297, -0.072213>
    }
    triangle {
      < -2.956120, -0.060297, -0.072213>,
      < -2.924780, -0.060289, -0.076571>,
      < -2.921846, -0.094233, -0.047169>
    }
    triangle {
      < -2.956120, -0.060297, -0.072213>,
      < -2.921846, -0.094233, -0.047169>,
      < -2.935496, -0.097792, -0.044259>
    }
    triangle {
      < -2.935496, -0.097792, -0.044259>,
      < -2.921846, -0.094233, -0.047169>,
      < -2.928204, -0.099774, -0.018205>
    }
    triangle {
      < -2.935496, -0.097792, -0.044259>,
      < -2.928204, -0.099774, -0.018205>,
      < -2.928204, -0.099774, -0.018205>
    }
    triangle {
      < -2.928204, -0.099774, -0.018205>,
      < -2.928204, -0.099774, -0.018205>,
      < -2.920512, -0.099227, 0.011984>
    }
    triangle {
      < -2.928204, -0.099774, -0.018205>,
      < -2.920512, -0.099227, 0.011984>,
      < -2.920512, -0.099227, 0.011984>
    }
    triangle {
      < -2.922035, 0.160742, 0.011965>,
      < -2.922035, 0.160742, 0.011965>,
      < -2.913027, 0.156839, -0.020219>
    }
    triangle {
      < -2.922035, 0.160742, 0.011965>,
      < -2.913027, 0.156839, -0.020219>,
      < -2.931078, 0.156832, -0.020201>
    }
    triangle {
      < -2.931078, 0.156832, -0.020201>,
      < -2.913027, 0.156839, -0.020219>,
      < -2.903800, 0.143902, -0.053224>
    }
    triangle {
      < -2.931078, 0.156832, -0.020201>,
      < -2.903800, 0.143902, -0.053224>,
      < -2.922077, 0.143896, -0.056558>
    }
    triangle {
      < -2.922077, 0.143896, -0.056558>,
      < -2.903800, 0.143902, -0.053224>,
      < -2.899580, 0.134279, -0.068310>
    }
    triangle {
      < -2.922077, 0.143896, -0.056558>,
      < -2.899580, 0.134279, -0.068310>,
      < -2.922087, 0.134271, -0.072416>
    }
    triangle {
      < -2.922087, 0.134271, -0.072416>,
      < -2.899580, 0.134279, -0.068310>,
      < -2.892264, 0.109479, -0.094464>
    }
    triangle {
      < -2.922087, 0.134271, -0.072416>,
      < -2.892264, 0.109479, -0.094464>,
      < -2.922102, 0.109468, -0.099908>
    }
    triangle {
      < -2.922102, 0.109468, -0.099908>,
      < -2.892264, 0.109479, -0.094464>,
      < -2.886816, 0.078621, -0.113929>
    }
    triangle {
      < -2.922102, 0.109468, -0.099908>,
      < -2.886816, 0.078621, -0.113929>,
      < -2.922110, 0.068392, -0.120369>
    }
    triangle {
      < -2.922110, 0.068392, -0.120369>,
      < -2.886816, 0.078621, -0.113929>,
      < -2.880296, 0.049026, -0.098331>
    }
    triangle {
      < -2.922110, 0.068392, -0.120369>,
      < -2.880296, 0.049026, -0.098331>,
      < -2.928239, 0.027284, -0.132511>
    }
    triangle {
      < -2.928239, 0.027284, -0.132511>,
      < -2.880296, 0.049026, -0.098331>,
      < -2.879529, 0.019415, -0.100669>
    }
    triangle {
      < -2.928239, 0.027284, -0.132511>,
      < -2.879529, 0.019415, -0.100669>,
      < -2.916120, 0.019405, -0.106429>
    }
    triangle {
      < -2.916120, 0.019405, -0.106429>,
      < -2.879529, 0.019415, -0.100669>,
      < -2.881907, -0.009877, -0.103373>
    }
    triangle {
      < -2.916120, 0.019405, -0.106429>,
      < -2.881907, -0.009877, -0.103373>,
      < -2.924832, -0.009888, -0.109273>
    }
    triangle {
      < -2.924832, -0.009888, -0.109273>,
      < -2.881907, -0.009877, -0.103373>,
      < -2.870123, -0.024753, -0.091055>
    }
    triangle {
      < -2.924832, -0.009888, -0.109273>,
      < -2.870123, -0.024753, -0.091055>,
      < -2.924809, -0.037020, -0.096325>
    }
    triangle {
      < -2.924809, -0.037020, -0.096325>,
      < -2.870123, -0.024753, -0.091055>,
      < -2.893432, -0.041894, -0.072262>
    }
    triangle {
      < -2.924809, -0.037020, -0.096325>,
      < -2.893432, -0.041894, -0.072262>,
      < -2.924780, -0.060289, -0.076571>
    }
    triangle {
      < -2.924780, -0.060289, -0.076571>,
      < -2.893432, -0.041894, -0.072262>,
      < -2.908193, -0.090674, -0.044292>
    }
    triangle {
      < -2.924780, -0.060289, -0.076571>,
      < -2.908193, -0.090674, -0.044292>,
      < -2.921846, -0.094233, -0.047169>
    }
    triangle {
      < -2.921846, -0.094233, -0.047169>,
      < -2.908193, -0.090674, -0.044292>,
      < -2.913549, -0.095953, -0.018222>
    }
    triangle {
      < -2.921846, -0.094233, -0.047169>,
      < -2.913549, -0.095953, -0.018222>,
      < -2.928204, -0.099774, -0.018205>
    }
    triangle {
      < -2.928204, -0.099774, -0.018205>,
      < -2.913549, -0.095953, -0.018222>,
      < -2.920512, -0.099227, 0.011984>
    }
    triangle {
      < -2.928204, -0.099774, -0.018205>,
      < -2.920512, -0.099227, 0.011984>,
      < -2.920512, -0.099227, 0.011984>
    }
    triangle {
      < -2.922035, 0.160742, 0.011965>,
      < -2.916067, 0.142998, 0.011984>,
      < -2.900105, 0.139868, -0.010009>
    }
    triangle {
      < -2.922035, 0.160742, 0.011965>,
      < -2.900105, 0.139868, -0.010009>,
      < -2.913027, 0.156839, -0.020219>
    }
    triangle {
      < -2.913027, 0.156839, -0.020219>,
      < -2.900105, 0.139868, -0.010009>,
      < -2.883761, 0.129489, -0.032548>
    }
    triangle {
      < -2.913027, 0.156839, -0.020219>,
      < -2.883761, 0.129489, -0.032548>,
      < -2.903800, 0.143902, -0.053224>
    }
    triangle {
      < -2.903800, 0.143902, -0.053224>,
      < -2.883761, 0.129489, -0.032548>,
      < -2.876290, 0.121767, -0.042851>
    }
    triangle {
      < -2.903800, 0.143902, -0.053224>,
      < -2.876290, 0.121767, -0.042851>,
      < -2.899580, 0.134279, -0.068310>
    }
    triangle {
      < -2.899580, 0.134279, -0.068310>,
      < -2.876290, 0.121767, -0.042851>,
      < -2.863334, 0.101867, -0.060713>
    }
    triangle {
      < -2.899580, 0.134279, -0.068310>,
      < -2.863334, 0.101867, -0.060713>,
      < -2.892264, 0.109479, -0.094464>
    }
    triangle {
      < -2.892264, 0.109479, -0.094464>,
      < -2.863334, 0.101867, -0.060713>,
      < -2.853689, 0.077105, -0.074005>
    }
    triangle {
      < -2.892264, 0.109479, -0.094464>,
      < -2.853689, 0.077105, -0.074005>,
      < -2.886816, 0.078621, -0.113929>
    }
    triangle {
      < -2.886816, 0.078621, -0.113929>,
      < -2.853689, 0.077105, -0.074005>,
      < -2.847961, 0.049036, -0.081895>
    }
    triangle {
      < -2.886816, 0.078621, -0.113929>,
      < -2.847961, 0.049036, -0.081895>,
      < -2.880296, 0.049026, -0.098331>
    }
    triangle {
      < -2.880296, 0.049026, -0.098331>,
      < -2.847961, 0.049036, -0.081895>,
      < -2.846510, 0.019426, -0.083885>
    }
    triangle {
      < -2.880296, 0.049026, -0.098331>,
      < -2.846510, 0.019426, -0.083885>,
      < -2.879529, 0.019415, -0.100669>
    }
    triangle {
      < -2.879529, 0.019415, -0.100669>,
      < -2.846510, 0.019426, -0.083885>,
      < -2.849426, -0.009868, -0.079850>
    }
    triangle {
      < -2.879529, 0.019415, -0.100669>,
      < -2.849426, -0.009868, -0.079850>,
      < -2.881907, -0.009877, -0.103373>
    }
    triangle {
      < -2.881907, -0.009877, -0.103373>,
      < -2.849426, -0.009868, -0.079850>,
      < -2.856528, -0.037003, -0.070043>
    }
    triangle {
      < -2.881907, -0.009877, -0.103373>,
      < -2.856528, -0.037003, -0.070043>,
      < -2.870123, -0.024753, -0.091055>
    }
    triangle {
      < -2.870123, -0.024753, -0.091055>,
      < -2.856528, -0.037003, -0.070043>,
      < -2.867368, -0.060275, -0.055083>
    }
    triangle {
      < -2.870123, -0.024753, -0.091055>,
      < -2.867368, -0.060275, -0.055083>,
      < -2.893432, -0.041894, -0.072262>
    }
    triangle {
      < -2.893432, -0.041894, -0.072262>,
      < -2.867368, -0.060275, -0.055083>,
      < -2.895871, -0.087461, -0.035907>
    }
    triangle {
      < -2.893432, -0.041894, -0.072262>,
      < -2.895871, -0.087461, -0.035907>,
      < -2.908193, -0.090674, -0.044292>
    }
    triangle {
      < -2.908193, -0.090674, -0.044292>,
      < -2.895871, -0.087461, -0.035907>,
      < -2.913549, -0.095953, -0.018222>
    }
    triangle {
      < -2.908193, -0.090674, -0.044292>,
      < -2.913549, -0.095953, -0.018222>,
      < -2.913549, -0.095953, -0.018222>
    }
    triangle {
      < -2.913549, -0.095953, -0.018222>,
      < -2.913549, -0.095953, -0.018222>,
      < -2.920512, -0.099227, 0.011984>
    }
    triangle {
      < -2.913549, -0.095953, -0.018222>,
      < -2.920512, -0.099227, 0.011984>,
      < -2.920512, -0.099227, 0.011984>
    }
    triangle {
      < -2.916067, 0.142998, 0.011984>,
      < -2.916067, 0.142998, 0.011984>,
      < -2.900105, 0.139868, -0.010009>
    }
    triangle {
      < -2.916067, 0.142998, 0.011984>,
      < -2.900105, 0.139868, -0.010009>,
      < -2.900105, 0.139868, -0.010009>
    }
    triangle {
      < -2.900105, 0.139868, -0.010009>,
      < -2.900105, 0.139868, -0.010009>,
      < -2.871583, 0.129492, -0.020394>
    }
    triangle {
      < -2.900105, 0.139868, -0.010009>,
      < -2.871583, 0.129492, -0.020394>,
      < -2.883761, 0.129489, -0.032548>
    }
    triangle {
      < -2.883761, 0.129489, -0.032548>,
      < -2.871583, 0.129492, -0.020394>,
      < -2.861293, 0.121771, -0.027886>
    }
    triangle {
      < -2.883761, 0.129489, -0.032548>,
      < -2.861293, 0.121771, -0.027886>,
      < -2.876290, 0.121767, -0.042851>
    }
    triangle {
      < -2.876290, 0.121767, -0.042851>,
      < -2.861293, 0.121771, -0.027886>,
      < -2.843452, 0.101873, -0.040872>
    }
    triangle {
      < -2.876290, 0.121767, -0.042851>,
      < -2.843452, 0.101873, -0.040872>,
      < -2.863334, 0.101867, -0.060713>
    }
    triangle {
      < -2.863334, 0.101867, -0.060713>,
      < -2.843452, 0.101873, -0.040872>,
      < -2.830172, 0.077112, -0.050537>
    }
    triangle {
      < -2.863334, 0.101867, -0.060713>,
      < -2.830172, 0.077112, -0.050537>,
      < -2.853689, 0.077105, -0.074005>
    }
    triangle {
      < -2.853689, 0.077105, -0.074005>,
      < -2.830172, 0.077112, -0.050537>,
      < -2.822287, 0.049043, -0.056273>
    }
    triangle {
      < -2.853689, 0.077105, -0.074005>,
      < -2.822287, 0.049043, -0.056273>,
      < -2.847961, 0.049036, -0.081895>
    }
    triangle {
      < -2.847961, 0.049036, -0.081895>,
      < -2.822287, 0.049043, -0.056273>,
      < -2.820291, 0.019434, -0.057720>
    }
    triangle {
      < -2.847961, 0.049036, -0.081895>,
      < -2.820291, 0.019434, -0.057720>,
      < -2.846510, 0.019426, -0.083885>
    }
    triangle {
      < -2.846510, 0.019426, -0.083885>,
      < -2.820291, 0.019434, -0.057720>,
      < -2.824311, -0.009860, -0.054786>
    }
    triangle {
      < -2.846510, 0.019426, -0.083885>,
      < -2.824311, -0.009860, -0.054786>,
      < -2.849426, -0.009868, -0.079850>
    }
    triangle {
      < -2.849426, -0.009868, -0.079850>,
      < -2.824311, -0.009860, -0.054786>,
      < -2.834095, -0.036996, -0.047656>
    }
    triangle {
      < -2.849426, -0.009868, -0.079850>,
      < -2.834095, -0.036996, -0.047656>,
      < -2.856528, -0.037003, -0.070043>
    }
    triangle {
      < -2.856528, -0.037003, -0.070043>,
      < -2.834095, -0.036996, -0.047656>,
      < -2.849025, -0.060269, -0.036779>
    }
    triangle {
      < -2.856528, -0.037003, -0.070043>,
      < -2.849025, -0.060269, -0.036779>,
      < -2.867368, -0.060275, -0.055083>
    }
    triangle {
      < -2.867368, -0.060275, -0.055083>,
      < -2.849025, -0.060269, -0.036779>,
      < -2.886088, -0.084911, -0.022837>
    }
    triangle {
      < -2.867368, -0.060275, -0.055083>,
      < -2.886088, -0.084911, -0.022837>,
      < -2.895871, -0.087461, -0.035907>
    }
    triangle {
      < -2.895871, -0.087461, -0.035907>,
      < -2.886088, -0.084911, -0.022837>,
      < -2.901685, -0.092860, -0.006706>
    }
    triangle {
      < -2.895871, -0.087461, -0.035907>,
      < -2.901685, -0.092860, -0.006706>,
      < -2.913549, -0.095953, -0.018222>
    }
    triangle {
      < -2.913549, -0.095953, -0.018222>,
      < -2.901685, -0.092860, -0.006706>,
      < -2.920512, -0.099227, 0.011984>
    }
    triangle {
      < -2.913549, -0.095953, -0.018222>,
      < -2.920512, -0.099227, 0.011984>,
      < -2.920512, -0.099227, 0.011984>
    }
    triangle {
      < -2.916067, 0.142998, 0.011984>,
      < -2.916067, 0.142998, 0.011984>,
      < -2.888886, 0.139871, 0.011984>
    }
    triangle {
      < -2.916067, 0.142998, 0.011984>,
      < -2.888886, 0.139871, 0.011984>,
      < -2.900105, 0.139868, -0.010009>
    }
    triangle {
      < -2.900105, 0.139868, -0.010009>,
      < -2.888886, 0.139871, 0.011984>,
      < -2.863754, 0.129494, -0.005073>
    }
    triangle {
      < -2.900105, 0.139868, -0.010009>,
      < -2.863754, 0.129494, -0.005073>,
      < -2.871583, 0.129492, -0.020394>
    }
    triangle {
      < -2.871583, 0.129492, -0.020394>,
      < -2.863754, 0.129494, -0.005073>,
      < -2.851654, 0.121774, -0.009019>
    }
    triangle {
      < -2.871583, 0.129492, -0.020394>,
      < -2.851654, 0.121774, -0.009019>,
      < -2.861293, 0.121771, -0.027886>
    }
    triangle {
      < -2.861293, 0.121771, -0.027886>,
      < -2.851654, 0.121774, -0.009019>,
      < -2.830673, 0.101877, -0.015860>
    }
    triangle {
      < -2.861293, 0.121771, -0.027886>,
      < -2.830673, 0.101877, -0.015860>,
      < -2.843452, 0.101873, -0.040872>
    }
    triangle {
      < -2.843452, 0.101873, -0.040872>,
      < -2.830673, 0.101877, -0.015860>,
      < -2.815056, 0.077116, -0.020951>
    }
    triangle {
      < -2.843452, 0.101873, -0.040872>,
      < -2.815056, 0.077116, -0.020951>,
      < -2.830172, 0.077112, -0.050537>
    }
    triangle {
      < -2.830172, 0.077112, -0.050537>,
      < -2.815056, 0.077116, -0.020951>,
      < -2.805784, 0.049049, -0.023973>
    }
    triangle {
      < -2.830172, 0.077112, -0.050537>,
      < -2.805784, 0.049049, -0.023973>,
      < -2.822287, 0.049043, -0.056273>
    }
    triangle {
      < -2.822287, 0.049043, -0.056273>,
      < -2.805784, 0.049049, -0.023973>,
      < -2.803439, 0.019438, -0.024735>
    }
    triangle {
      < -2.822287, 0.049043, -0.056273>,
      < -2.803439, 0.019438, -0.024735>,
      < -2.820291, 0.019434, -0.057720>
    }
    triangle {
      < -2.820291, 0.019434, -0.057720>,
      < -2.803439, 0.019438, -0.024735>,
      < -2.808168, -0.009856, -0.023189>
    }
    triangle {
      < -2.820291, 0.019434, -0.057720>,
      < -2.808168, -0.009856, -0.023189>,
      < -2.824311, -0.009860, -0.054786>
    }
    triangle {
      < -2.824311, -0.009860, -0.054786>,
      < -2.808168, -0.009856, -0.023189>,
      < -2.819675, -0.036992, -0.019433>
    }
    triangle {
      < -2.824311, -0.009860, -0.054786>,
      < -2.819675, -0.036992, -0.019433>,
      < -2.834095, -0.036996, -0.047656>
    }
    triangle {
      < -2.834095, -0.036996, -0.047656>,
      < -2.819675, -0.036992, -0.019433>,
      < -2.837236, -0.060265, -0.013704>
    }
    triangle {
      < -2.834095, -0.036996, -0.047656>,
      < -2.837236, -0.060265, -0.013704>,
      < -2.849025, -0.060269, -0.036779>
    }
    triangle {
      < -2.849025, -0.060269, -0.036779>,
      < -2.837236, -0.060265, -0.013704>,
      < -2.879799, -0.083271, -0.006359>
    }
    triangle {
      < -2.849025, -0.060269, -0.036779>,
      < -2.879799, -0.083271, -0.006359>,
      < -2.886088, -0.084911, -0.022837>
    }
    triangle {
      < -2.886088, -0.084911, -0.022837>,
      < -2.879799, -0.083271, -0.006359>,
      < -2.901685, -0.092860, -0.006706>
    }
    triangle {
      < -2.886088, -0.084911, -0.022837>,
      < -2.901685, -0.092860, -0.006706>,
      < -2.901685, -0.092860, -0.006706>
    }
    triangle {
      < -2.901685, -0.092860, -0.006706>,
      < -2.901685, -0.092860, -0.006706>,
      < -2.920512, -0.099227, 0.011984>
    }
    triangle {
      < -2.901685, -0.092860, -0.006706>,
      < -2.920512, -0.099227, 0.011984>,
      < -2.920512, -0.099227, 0.011984>
    }
    triangle {
      < -2.916067, 0.142998, 0.011984>,
      < -2.916067, 0.142998, 0.011984>,
      < -2.888886, 0.139871, 0.011984>
    }
    triangle {
      < -2.916067, 0.142998, 0.011984>,
      < -2.888886, 0.139871, 0.011984>,
      < -2.888886, 0.139871, 0.011984>
    }
    triangle {
      < -2.888886, 0.139871, 0.011984>,
      < -2.888886, 0.139871, 0.011984>,
      < -2.861043, 0.129494, 0.011984>
    }
    triangle {
      < -2.888886, 0.139871, 0.011984>,
      < -2.861043, 0.129494, 0.011984>,
      < -2.863754, 0.129494, -0.005073>
    }
    triangle {
      < -2.863754, 0.129494, -0.005073>,
      < -2.861043, 0.129494, 0.011984>,
      < -2.848315, 0.121775, 0.011984>
    }
    triangle {
      < -2.863754, 0.129494, -0.005073>,
      < -2.848315, 0.121775, 0.011984>,
      < -2.851654, 0.121774, -0.009019>
    }
    triangle {
      < -2.851654, 0.121774, -0.009019>,
      < -2.848315, 0.121775, 0.011984>,
      < -2.826247, 0.101878, 0.011984>
    }
    triangle {
      < -2.851654, 0.121774, -0.009019>,
      < -2.826247, 0.101878, 0.011984>,
      < -2.830673, 0.101877, -0.015860>
    }
    triangle {
      < -2.830673, 0.101877, -0.015860>,
      < -2.826247, 0.101878, 0.011984>,
      < -2.809821, 0.077118, 0.011984>
    }
    triangle {
      < -2.830673, 0.101877, -0.015860>,
      < -2.809821, 0.077118, 0.011984>,
      < -2.815056, 0.077116, -0.020951>
    }
    triangle {
      < -2.815056, 0.077116, -0.020951>,
      < -2.809821, 0.077118, 0.011984>,
      < -2.800068, 0.049051, 0.011984>
    }
    triangle {
      < -2.815056, 0.077116, -0.020951>,
      < -2.800068, 0.049051, 0.011984>,
      < -2.805784, 0.049049, -0.023973>
    }
    triangle {
      < -2.805784, 0.049049, -0.023973>,
      < -2.800068, 0.049051, 0.011984>,
      < -2.797602, 0.019440, 0.011984>
    }
    triangle {
      < -2.805784, 0.049049, -0.023973>,
      < -2.797602, 0.019440, 0.011984>,
      < -2.803439, 0.019438, -0.024735>
    }
    triangle {
      < -2.803439, 0.019438, -0.024735>,
      < -2.797602, 0.019440, 0.011984>,
      < -2.802577, -0.009853, 0.011984>
    }
    triangle {
      < -2.803439, 0.019438, -0.024735>,
      < -2.802577, -0.009853, 0.011984>,
      < -2.808168, -0.009856, -0.023189>
    }
    triangle {
      < -2.808168, -0.009856, -0.023189>,
      < -2.802577, -0.009853, 0.011984>,
      < -2.814681, -0.036991, 0.011984>
    }
    triangle {
      < -2.808168, -0.009856, -0.023189>,
      < -2.814681, -0.036991, 0.011984>,
      < -2.819675, -0.036992, -0.019433>
    }
    triangle {
      < -2.819675, -0.036992, -0.019433>,
      < -2.814681, -0.036991, 0.011984>,
      < -2.833153, -0.060264, 0.011984>
    }
    triangle {
      < -2.819675, -0.036992, -0.019433>,
      < -2.833153, -0.060264, 0.011984>,
      < -2.837236, -0.060265, -0.013704>
    }
    triangle {
      < -2.837236, -0.060265, -0.013704>,
      < -2.833153, -0.060264, 0.011984>,
      < -2.877622, -0.082702, 0.011984>
    }
    triangle {
      < -2.837236, -0.060265, -0.013704>,
      < -2.877622, -0.082702, 0.011984>,
      < -2.879799, -0.083271, -0.006359>
    }
    triangle {
      < -2.879799, -0.083271, -0.006359>,
      < -2.877622, -0.082702, 0.011984>,
      < -2.897141, -0.091676, 0.011984>
    }
    triangle {
      < -2.879799, -0.083271, -0.006359>,
      < -2.897141, -0.091676, 0.011984>,
      < -2.901685, -0.092860, -0.006706>
    }
    triangle {
      < -2.901685, -0.092860, -0.006706>,
      < -2.897141, -0.091676, 0.011984>,
      < -2.920512, -0.099227, 0.011984>
    }
    triangle {
      < -2.901685, -0.092860, -0.006706>,
      < -2.920512, -0.099227, 0.011984>,
      < -2.920512, -0.099227, 0.011984>
    }
    triangle {
      < -2.988178, -0.405510, -0.187968>,
      < -2.879431, -0.152752, -0.110147>,
      < -2.988178, -0.405510, -0.187968>
    }
    triangle {
      < -2.879431, -0.152752, -0.110147>,
      < -2.872566, -0.182808, -0.115403>,
      < -2.988178, -0.405510, -0.187968>
    }
    triangle {
      < -2.988178, -0.405510, -0.187968>,
      < -2.872566, -0.182808, -0.115403>,
      < -2.988178, -0.405510, -0.187968>
    }
    triangle {
      < -2.872566, -0.182808, -0.115403>,
      < -2.884315, -0.263763, -0.129557>,
      < -2.988178, -0.405510, -0.187968>
    }
    triangle {
      < -2.988178, -0.405510, -0.187968>,
      < -2.884315, -0.263763, -0.129557>,
      < -3.008811, -0.405510, -0.187968>
    }
    triangle {
      < -2.884315, -0.263763, -0.129557>,
      < -2.912029, -0.324848, -0.140238>,
      < -3.008811, -0.405510, -0.187968>
    }
    triangle {
      < -3.008811, -0.405510, -0.187968>,
      < -2.912029, -0.324848, -0.140238>,
      < -3.036445, -0.405510, -0.187968>
    }
    triangle {
      < -2.912029, -0.324848, -0.140238>,
      < -2.955690, -0.379939, -0.149871>,
      < -3.036445, -0.405510, -0.187968>
    }
    triangle {
      < -3.036445, -0.405510, -0.187968>,
      < -2.955690, -0.379939, -0.149871>,
      < -3.057754, -0.405510, -0.187968>
    }
    triangle {
      < -2.955690, -0.379939, -0.149871>,
      < -2.989357, -0.411429, -0.155377>,
      < -3.057754, -0.405510, -0.187968>
    }
    triangle {
      < -3.057754, -0.405510, -0.187968>,
      < -2.989357, -0.411429, -0.155377>,
      < -3.074163, -0.405510, -0.187968>
    }
    triangle {
      < -2.989357, -0.411429, -0.155377>,
      < -3.015283, -0.441986, -0.160720>,
      < -3.074163, -0.405510, -0.187968>
    }
    triangle {
      < -3.074163, -0.405510, -0.187968>,
      < -3.015283, -0.441986, -0.160720>,
      < -3.102692, -0.405510, -0.187968>
    }
    triangle {
      < -3.015283, -0.441986, -0.160720>,
      < -3.060357, -0.456377, -0.163237>,
      < -3.102692, -0.405510, -0.187968>
    }
    triangle {
      < -3.102692, -0.405510, -0.187968>,
      < -3.060357, -0.456377, -0.163237>,
      < -3.141607, -0.405510, -0.187968>
    }
    triangle {
      < -3.060357, -0.456377, -0.163237>,
      < -3.121839, -0.459224, -0.163734>,
      < -3.141607, -0.405510, -0.187968>
    }
    triangle {
      < -3.141607, -0.405510, -0.187968>,
      < -3.121839, -0.459224, -0.163734>,
      < -3.195519, -0.405510, -0.187968>
    }
    triangle {
      < -3.121839, -0.459224, -0.163734>,
      < -3.207018, -0.450997, -0.162296>,
      < -3.195519, -0.405510, -0.187968>
    }
    triangle {
      < -3.195519, -0.405510, -0.187968>,
      < -3.207018, -0.450997, -0.162296>,
      < -3.238771, -0.405510, -0.187968>
    }
    triangle {
      < -3.207018, -0.450997, -0.162296>,
      < -3.275353, -0.435352, -0.159560>,
      < -3.238771, -0.405510, -0.187968>
    }
    triangle {
      < -3.238771, -0.405510, -0.187968>,
      < -3.275353, -0.435352, -0.159560>,
      < -3.238771, -0.405510, -0.187968>
    }
    triangle {
      < -3.275353, -0.435352, -0.159560>,
      < -3.290376, -0.441382, -0.160615>,
      < -3.238771, -0.405510, -0.187968>
    }
    triangle {
      < -3.238771, -0.405510, -0.187968>,
      < -3.290376, -0.441382, -0.160615>,
      < -3.266737, -0.405510, -0.187968>
    }
    triangle {
      < -3.290376, -0.441382, -0.160615>,
      < -3.319538, -0.429853, -0.158599>,
      < -3.266737, -0.405510, -0.187968>
    }
    triangle {
      < -3.266737, -0.405510, -0.187968>,
      < -3.319538, -0.429853, -0.158599>,
      < -3.284622, -0.405510, -0.187968>
    }
    triangle {
      < -3.319538, -0.429853, -0.158599>,
      < -3.347797, -0.411386, -0.155370>,
      < -3.284622, -0.405510, -0.187968>
    }
    triangle {
      < -3.284622, -0.405510, -0.187968>,
      < -3.347797, -0.411386, -0.155370>,
      < -3.284622, -0.405510, -0.187968>
    }
    triangle {
      < -3.347797, -0.411386, -0.155370>,
      < -3.349648, -0.385024, -0.150760>,
      < -3.284622, -0.405510, -0.187968>
    }
    triangle {
      < -3.284622, -0.405510, -0.187968>,
      < -3.349648, -0.385024, -0.150760>,
      < -3.284622, -0.405510, -0.187968>
    }
    triangle {
      < -3.349648, -0.385024, -0.150760>,
      < -3.340105, -0.366974, -0.147605>,
      < -3.284622, -0.405510, -0.187968>
    }
    triangle {
      < -3.284622, -0.405510, -0.187968>,
      < -3.340105, -0.366974, -0.147605>,
      < -3.266737, -0.405510, -0.187968>
    }
    triangle {
      < -3.340105, -0.366974, -0.147605>,
      < -3.311896, -0.341503, -0.143151>,
      < -3.266737, -0.405510, -0.187968>
    }
    triangle {
      < -3.266737, -0.405510, -0.187968>,
      < -3.311896, -0.341503, -0.143151>,
      < -3.238771, -0.405510, -0.187968>
    }
    triangle {
      < -3.311896, -0.341503, -0.143151>,
      < -3.265883, -0.352087, -0.145001>,
      < -3.238771, -0.405510, -0.187968>
    }
    triangle {
      < -3.238771, -0.405510, -0.187968>,
      < -3.265883, -0.352087, -0.145001>,
      < -3.238771, -0.405510, -0.187968>
    }
    triangle {
      < -3.265883, -0.352087, -0.145001>,
      < -3.259952, -0.360868, -0.146537>,
      < -3.238771, -0.405510, -0.187968>
    }
    triangle {
      < -3.238771, -0.405510, -0.187968>,
      < -3.259952, -0.360868, -0.146537>,
      < -3.227281, -0.405510, -0.187968>
    }
    triangle {
      < -3.259952, -0.360868, -0.146537>,
      < -3.257201, -0.377516, -0.149447>,
      < -3.227281, -0.405510, -0.187968>
    }
    triangle {
      < -3.227281, -0.405510, -0.187968>,
      < -3.257201, -0.377516, -0.149447>,
      < -3.213738, -0.405510, -0.187968>
    }
    triangle {
      < -3.257201, -0.377516, -0.149447>,
      < -3.235803, -0.370090, -0.148149>,
      < -3.213738, -0.405510, -0.187968>
    }
    triangle {
      < -3.213738, -0.405510, -0.187968>,
      < -3.235803, -0.370090, -0.148149>,
      < -3.128410, -0.405510, -0.187968>
    }
    triangle {
      < -3.235803, -0.370090, -0.148149>,
      < -3.100990, -0.369933, -0.148122>,
      < -3.128410, -0.405510, -0.187968>
    }
    triangle {
      < -3.128410, -0.405510, -0.187968>,
      < -3.100990, -0.369933, -0.148122>,
      < -3.114889, -0.405510, -0.187968>
    }
    triangle {
      < -3.100990, -0.369933, -0.148122>,
      < -3.079628, -0.331056, -0.141324>,
      < -3.114889, -0.405510, -0.187968>
    }
    triangle {
      < -3.114889, -0.405510, -0.187968>,
      < -3.079628, -0.331056, -0.141324>,
      < -3.102692, -0.405510, -0.187968>
    }
    triangle {
      < -3.079628, -0.331056, -0.141324>,
      < -3.056910, -0.282927, -0.132908>,
      < -3.102692, -0.405510, -0.187968>
    }
    triangle {
      < -3.102692, -0.405510, -0.187968>,
      < -3.056910, -0.282927, -0.132908>,
      < -3.102692, -0.405510, -0.187968>
    }
    triangle {
      < -3.056910, -0.282927, -0.132908>,
      < -3.045096, -0.257937, -0.128539>,
      < -3.102692, -0.405510, -0.187968>
    }
    triangle {
      < -3.102692, -0.405510, -0.187968>,
      < -3.045096, -0.257937, -0.128539>,
      < -3.102692, -0.405510, -0.187968>
    }
    triangle {
      < -3.045096, -0.257937, -0.128539>,
      < -3.045583, -0.230650, -0.123768>,
      < -3.102692, -0.405510, -0.187968>
    }
    triangle {
      < -3.102692, -0.405510, -0.187968>,
      < -3.045583, -0.230650, -0.123768>,
      < -3.074163, -0.405510, -0.187968>
    }
    triangle {
      < -3.045583, -0.230650, -0.123768>,
      < -3.028766, -0.199641, -0.118345>,
      < -3.074163, -0.405510, -0.187968>
    }
    triangle {
      < -3.074163, -0.405510, -0.187968>,
      < -3.028766, -0.199641, -0.118345>,
      < -3.074163, -0.405510, -0.187968>
    }
    triangle {
      < -3.028766, -0.199641, -0.118345>,
      < -3.008761, -0.168629, -0.112923>,
      < -3.074163, -0.405510, -0.187968>
    }
    triangle {
      < -3.074163, -0.405510, -0.187968>,
      < -3.008761, -0.168629, -0.112923>,
      < -3.057754, -0.405510, -0.187968>
    }
    triangle {
      < -3.008761, -0.168629, -0.112923>,
      < -2.988281, -0.154729, -0.110493>,
      < -3.057754, -0.405510, -0.187968>
    }
    triangle {
      < -3.057754, -0.405510, -0.187968>,
      < -2.988281, -0.154729, -0.110493>,
      < -3.036445, -0.405510, -0.187968>
    }
    triangle {
      < -2.988281, -0.154729, -0.110493>,
      < -2.964153, -0.145914, -0.108951>,
      < -3.036445, -0.405510, -0.187968>
    }
    triangle {
      < -3.036445, -0.405510, -0.187968>,
      < -2.964153, -0.145914, -0.108951>,
      < -3.023646, -0.405510, -0.187968>
    }
    triangle {
      < -2.964153, -0.145914, -0.108951>,
      < -2.935469, -0.137554, -0.107489>,
      < -3.023646, -0.405510, -0.187968>
    }
    triangle {
      < -3.023646, -0.405510, -0.187968>,
      < -2.935469, -0.137554, -0.107489>,
      < -3.008811, -0.405510, -0.187968>
    }
    triangle {
      < -2.935469, -0.137554, -0.107489>,
      < -2.907233, -0.135671, -0.107160>,
      < -3.008811, -0.405510, -0.187968>
    }
    triangle {
      < -3.008811, -0.405510, -0.187968>,
      < -2.907233, -0.135671, -0.107160>,
      < -2.988178, -0.405510, -0.187968>
    }
    triangle {
      < -2.907233, -0.135671, -0.107160>,
      < -2.879431, -0.152752, -0.110147>,
      < -2.988178, -0.405510, -0.187968>
    }
    triangle {
      < -2.879431, -0.152752, -0.110147>,
      < -2.855270, -0.156836, -0.074860>,
      < -2.872566, -0.182808, -0.115403>
    }
    triangle {
      < -2.855270, -0.156836, -0.074860>,
      < -2.848192, -0.187035, -0.079215>,
      < -2.872566, -0.182808, -0.115403>
    }
    triangle {
      < -2.872566, -0.182808, -0.115403>,
      < -2.848192, -0.187035, -0.079215>,
      < -2.884315, -0.263763, -0.129557>
    }
    triangle {
      < -2.848192, -0.187035, -0.079215>,
      < -2.860306, -0.268376, -0.090946>,
      < -2.884315, -0.263763, -0.129557>
    }
    triangle {
      < -2.884315, -0.263763, -0.129557>,
      < -2.860306, -0.268376, -0.090946>,
      < -2.912029, -0.324848, -0.140238>
    }
    triangle {
      < -2.860306, -0.268376, -0.090946>,
      < -2.888876, -0.329753, -0.099798>,
      < -2.912029, -0.324848, -0.140238>
    }
    triangle {
      < -2.912029, -0.324848, -0.140238>,
      < -2.888876, -0.329753, -0.099798>,
      < -2.955690, -0.379939, -0.149871>
    }
    triangle {
      < -2.888876, -0.329753, -0.099798>,
      < -2.933887, -0.385107, -0.107780>,
      < -2.955690, -0.379939, -0.149871>
    }
    triangle {
      < -2.955690, -0.379939, -0.149871>,
      < -2.933887, -0.385107, -0.107780>,
      < -2.989357, -0.411429, -0.155377>
    }
    triangle {
      < -2.933887, -0.385107, -0.107780>,
      < -2.968596, -0.416748, -0.112344>,
      < -2.989357, -0.411429, -0.155377>
    }
    triangle {
      < -2.989357, -0.411429, -0.155377>,
      < -2.968596, -0.416748, -0.112344>,
      < -3.015283, -0.441986, -0.160720>
    }
    triangle {
      < -2.968596, -0.416748, -0.112344>,
      < -2.995325, -0.447450, -0.116771>,
      < -3.015283, -0.441986, -0.160720>
    }
    triangle {
      < -3.015283, -0.441986, -0.160720>,
      < -2.995325, -0.447450, -0.116771>,
      < -3.060357, -0.456377, -0.163237>
    }
    triangle {
      < -2.995325, -0.447450, -0.116771>,
      < -3.041792, -0.461910, -0.118857>,
      < -3.060357, -0.456377, -0.163237>
    }
    triangle {
      < -3.060357, -0.456377, -0.163237>,
      < -3.041792, -0.461910, -0.118857>,
      < -3.121839, -0.459224, -0.163734>
    }
    triangle {
      < -3.041792, -0.461910, -0.118857>,
      < -3.105176, -0.464771, -0.119269>,
      < -3.121839, -0.459224, -0.163734>
    }
    triangle {
      < -3.121839, -0.459224, -0.163734>,
      < -3.105176, -0.464771, -0.119269>,
      < -3.207018, -0.450997, -0.162296>
    }
    triangle {
      < -3.105176, -0.464771, -0.119269>,
      < -3.192989, -0.456506, -0.118077>,
      < -3.207018, -0.450997, -0.162296>
    }
    triangle {
      < -3.207018, -0.450997, -0.162296>,
      < -3.192989, -0.456506, -0.118077>,
      < -3.275353, -0.435352, -0.159560>
    }
    triangle {
      < -3.192989, -0.456506, -0.118077>,
      < -3.263438, -0.440785, -0.115810>,
      < -3.275353, -0.435352, -0.159560>
    }
    triangle {
      < -3.275353, -0.435352, -0.159560>,
      < -3.263438, -0.440785, -0.115810>,
      < -3.290376, -0.441382, -0.160615>
    }
    triangle {
      < -3.263438, -0.440785, -0.115810>,
      < -3.278926, -0.446844, -0.116684>,
      < -3.290376, -0.441382, -0.160615>
    }
    triangle {
      < -3.290376, -0.441382, -0.160615>,
      < -3.278926, -0.446844, -0.116684>,
      < -3.319538, -0.429853, -0.158599>
    }
    triangle {
      < -3.278926, -0.446844, -0.116684>,
      < -3.308990, -0.435260, -0.115013>,
      < -3.319538, -0.429853, -0.158599>
    }
    triangle {
      < -3.319538, -0.429853, -0.158599>,
      < -3.308990, -0.435260, -0.115013>,
      < -3.347797, -0.411386, -0.155370>
    }
    triangle {
      < -3.308990, -0.435260, -0.115013>,
      < -3.338123, -0.416704, -0.112338>,
      < -3.347797, -0.411386, -0.155370>
    }
    triangle {
      < -3.347797, -0.411386, -0.155370>,
      < -3.338123, -0.416704, -0.112338>,
      < -3.349648, -0.385024, -0.150760>
    }
    triangle {
      < -3.338123, -0.416704, -0.112338>,
      < -3.340032, -0.390217, -0.108517>,
      < -3.349648, -0.385024, -0.150760>
    }
    triangle {
      < -3.349648, -0.385024, -0.150760>,
      < -3.340032, -0.390217, -0.108517>,
      < -3.340105, -0.366974, -0.147605>
    }
    triangle {
      < -3.340032, -0.390217, -0.108517>,
      < -3.330193, -0.372081, -0.105902>,
      < -3.340105, -0.366974, -0.147605>
    }
    triangle {
      < -3.340105, -0.366974, -0.147605>,
      < -3.330193, -0.372081, -0.105902>,
      < -3.311896, -0.341503, -0.143151>
    }
    triangle {
      < -3.330193, -0.372081, -0.105902>,
      < -3.301111, -0.346487, -0.102211>,
      < -3.311896, -0.341503, -0.143151>
    }
    triangle {
      < -3.311896, -0.341503, -0.143151>,
      < -3.301111, -0.346487, -0.102211>,
      < -3.265883, -0.352087, -0.145001>
    }
    triangle {
      < -3.301111, -0.346487, -0.102211>,
      < -3.253675, -0.357122, -0.103744>,
      < -3.265883, -0.352087, -0.145001>
    }
    triangle {
      < -3.265883, -0.352087, -0.145001>,
      < -3.253675, -0.357122, -0.103744>,
      < -3.259952, -0.360868, -0.146537>
    }
    triangle {
      < -3.253675, -0.357122, -0.103744>,
      < -3.247561, -0.365945, -0.105017>,
      < -3.259952, -0.360868, -0.146537>
    }
    triangle {
      < -3.259952, -0.360868, -0.146537>,
      < -3.247561, -0.365945, -0.105017>,
      < -3.257201, -0.377516, -0.149447>
    }
    triangle {
      < -3.247561, -0.365945, -0.105017>,
      < -3.244725, -0.382672, -0.107429>,
      < -3.257201, -0.377516, -0.149447>
    }
    triangle {
      < -3.257201, -0.377516, -0.149447>,
      < -3.244725, -0.382672, -0.107429>,
      < -3.235803, -0.370090, -0.148149>
    }
    triangle {
      < -3.244725, -0.382672, -0.107429>,
      < -3.222665, -0.375212, -0.106353>,
      < -3.235803, -0.370090, -0.148149>
    }
    triangle {
      < -3.235803, -0.370090, -0.148149>,
      < -3.222665, -0.375212, -0.106353>,
      < -3.100990, -0.369933, -0.148122>
    }
    triangle {
      < -3.222665, -0.375212, -0.106353>,
      < -3.083682, -0.375053, -0.106330>,
      < -3.100990, -0.369933, -0.148122>
    }
    triangle {
      < -3.100990, -0.369933, -0.148122>,
      < -3.083682, -0.375053, -0.106330>,
      < -3.079628, -0.331056, -0.141324>
    }
    triangle {
      < -3.083682, -0.375053, -0.106330>,
      < -3.061659, -0.335991, -0.100697>,
      < -3.079628, -0.331056, -0.141324>
    }
    triangle {
      < -3.079628, -0.331056, -0.141324>,
      < -3.061659, -0.335991, -0.100697>,
      < -3.056910, -0.282927, -0.132908>
    }
    triangle {
      < -3.061659, -0.335991, -0.100697>,
      < -3.038239, -0.287633, -0.093723>,
      < -3.056910, -0.282927, -0.132908>
    }
    triangle {
      < -3.056910, -0.282927, -0.132908>,
      < -3.038239, -0.287633, -0.093723>,
      < -3.045096, -0.257937, -0.128539>
    }
    triangle {
      < -3.038239, -0.287633, -0.093723>,
      < -3.026060, -0.262523, -0.090102>,
      < -3.045096, -0.257937, -0.128539>
    }
    triangle {
      < -3.045096, -0.257937, -0.128539>,
      < -3.026060, -0.262523, -0.090102>,
      < -3.045583, -0.230650, -0.123768>
    }
    triangle {
      < -3.026060, -0.262523, -0.090102>,
      < -3.026561, -0.235105, -0.086147>,
      < -3.045583, -0.230650, -0.123768>
    }
    triangle {
      < -3.045583, -0.230650, -0.123768>,
      < -3.026561, -0.235105, -0.086147>,
      < -3.028766, -0.199641, -0.118345>
    }
    triangle {
      < -3.026561, -0.235105, -0.086147>,
      < -3.009224, -0.203948, -0.081654>,
      < -3.028766, -0.199641, -0.118345>
    }
    triangle {
      < -3.028766, -0.199641, -0.118345>,
      < -3.009224, -0.203948, -0.081654>,
      < -3.008761, -0.168629, -0.112923>
    }
    triangle {
      < -3.009224, -0.203948, -0.081654>,
      < -2.988600, -0.172788, -0.077160>,
      < -3.008761, -0.168629, -0.112923>
    }
    triangle {
      < -3.008761, -0.168629, -0.112923>,
      < -2.988600, -0.172788, -0.077160>,
      < -2.988281, -0.154729, -0.110493>
    }
    triangle {
      < -2.988600, -0.172788, -0.077160>,
      < -2.967487, -0.158822, -0.075146>,
      < -2.988281, -0.154729, -0.110493>
    }
    triangle {
      < -2.988281, -0.154729, -0.110493>,
      < -2.967487, -0.158822, -0.075146>,
      < -2.964153, -0.145914, -0.108951>
    }
    triangle {
      < -2.967487, -0.158822, -0.075146>,
      < -2.942612, -0.149963, -0.073869>,
      < -2.964153, -0.145914, -0.108951>
    }
    triangle {
      < -2.964153, -0.145914, -0.108951>,
      < -2.942612, -0.149963, -0.073869>,
      < -2.935469, -0.137554, -0.107489>
    }
    triangle {
      < -2.942612, -0.149963, -0.073869>,
      < -2.913041, -0.141565, -0.072658>,
      < -2.935469, -0.137554, -0.107489>
    }
    triangle {
      < -2.935469, -0.137554, -0.107489>,
      < -2.913041, -0.141565, -0.072658>,
      < -2.907233, -0.135671, -0.107160>
    }
    triangle {
      < -2.913041, -0.141565, -0.072658>,
      < -2.883932, -0.139673, -0.072385>,
      < -2.907233, -0.135671, -0.107160>
    }
    triangle {
      < -2.907233, -0.135671, -0.107160>,
      < -2.883932, -0.139673, -0.072385>,
      < -2.879431, -0.152752, -0.110147>
    }
    triangle {
      < -2.883932, -0.139673, -0.072385>,
      < -2.855270, -0.156836, -0.074860>,
      < -2.879431, -0.152752, -0.110147>
    }
    triangle {
      < -2.855270, -0.156836, -0.074860>,
      < -2.791784, -0.106426, -0.031935>,
      < -2.848192, -0.187035, -0.079215>
    }
    triangle {
      < -2.791784, -0.106426, -0.031935>,
      < -2.781224, -0.154949, -0.031935>,
      < -2.848192, -0.187035, -0.079215>
    }
    triangle {
      < -2.848192, -0.187035, -0.079215>,
      < -2.781224, -0.154949, -0.031935>,
      < -2.860306, -0.268376, -0.090946>
    }
    triangle {
      < -2.781224, -0.154949, -0.031935>,
      < -2.799296, -0.285647, -0.031935>,
      < -2.860306, -0.268376, -0.090946>
    }
    triangle {
      < -2.860306, -0.268376, -0.090946>,
      < -2.799296, -0.285647, -0.031935>,
      < -2.888876, -0.329753, -0.099798>
    }
    triangle {
      < -2.799296, -0.285647, -0.031935>,
      < -2.841918, -0.384265, -0.031935>,
      < -2.888876, -0.329753, -0.099798>
    }
    triangle {
      < -2.888876, -0.329753, -0.099798>,
      < -2.841918, -0.384265, -0.031935>,
      < -2.933887, -0.385107, -0.107780>
    }
    triangle {
      < -2.841918, -0.384265, -0.031935>,
      < -2.909066, -0.473206, -0.031935>,
      < -2.933887, -0.385107, -0.107780>
    }
    triangle {
      < -2.933887, -0.385107, -0.107780>,
      < -2.909066, -0.473206, -0.031935>,
      < -2.968596, -0.416748, -0.112344>
    }
    triangle {
      < -2.909066, -0.473206, -0.031935>,
      < -2.960846, -0.524046, -0.031935>,
      < -2.968596, -0.416748, -0.112344>
    }
    triangle {
      < -2.968596, -0.416748, -0.112344>,
      < -2.960846, -0.524046, -0.031935>,
      < -2.995325, -0.447450, -0.116771>
    }
    triangle {
      < -2.960846, -0.524046, -0.031935>,
      < -3.000719, -0.573378, -0.031935>,
      < -2.995325, -0.447450, -0.116771>
    }
    triangle {
      < -2.995325, -0.447450, -0.116771>,
      < -3.000719, -0.573378, -0.031935>,
      < -3.041792, -0.461910, -0.118857>
    }
    triangle {
      < -3.000719, -0.573378, -0.031935>,
      < -3.070040, -0.596611, -0.031935>,
      < -3.041792, -0.461910, -0.118857>
    }
    triangle {
      < -3.041792, -0.461910, -0.118857>,
      < -3.070040, -0.596611, -0.031935>,
      < -3.105176, -0.464771, -0.119269>
    }
    triangle {
      < -3.070040, -0.596611, -0.031935>,
      < -3.164598, -0.601207, -0.031935>,
      < -3.105176, -0.464771, -0.119269>
    }
    triangle {
      < -3.105176, -0.464771, -0.119269>,
      < -3.164598, -0.601207, -0.031935>,
      < -3.192989, -0.456506, -0.118077>
    }
    triangle {
      < -3.164598, -0.601207, -0.031935>,
      < -3.295599, -0.587927, -0.031935>,
      < -3.192989, -0.456506, -0.118077>
    }
    triangle {
      < -3.192989, -0.456506, -0.118077>,
      < -3.295599, -0.587927, -0.031935>,
      < -3.263438, -0.440785, -0.115810>
    }
    triangle {
      < -3.295599, -0.587927, -0.031935>,
      < -3.400696, -0.562668, -0.031935>,
      < -3.263438, -0.440785, -0.115810>
    }
    triangle {
      < -3.263438, -0.440785, -0.115810>,
      < -3.400696, -0.562668, -0.031935>,
      < -3.278926, -0.446844, -0.116684>
    }
    triangle {
      < -3.400696, -0.562668, -0.031935>,
      < -3.423801, -0.572402, -0.031935>,
      < -3.278926, -0.446844, -0.116684>
    }
    triangle {
      < -3.278926, -0.446844, -0.116684>,
      < -3.423801, -0.572402, -0.031935>,
      < -3.308990, -0.435260, -0.115013>
    }
    triangle {
      < -3.423801, -0.572402, -0.031935>,
      < -3.468651, -0.553790, -0.031935>,
      < -3.308990, -0.435260, -0.115013>
    }
    triangle {
      < -3.308990, -0.435260, -0.115013>,
      < -3.468651, -0.553790, -0.031935>,
      < -3.338123, -0.416704, -0.112338>
    }
    triangle {
      < -3.468651, -0.553790, -0.031935>,
      < -3.512112, -0.523975, -0.031935>,
      < -3.338123, -0.416704, -0.112338>
    }
    triangle {
      < -3.338123, -0.416704, -0.112338>,
      < -3.512112, -0.523975, -0.031935>,
      < -3.340032, -0.390217, -0.108517>
    }
    triangle {
      < -3.512112, -0.523975, -0.031935>,
      < -3.514960, -0.481416, -0.031935>,
      < -3.340032, -0.390217, -0.108517>
    }
    triangle {
      < -3.340032, -0.390217, -0.108517>,
      < -3.514960, -0.481416, -0.031935>,
      < -3.330193, -0.372081, -0.105902>
    }
    triangle {
      < -3.514960, -0.481416, -0.031935>,
      < -3.500282, -0.452276, -0.031935>,
      < -3.330193, -0.372081, -0.105902>
    }
    triangle {
      < -3.330193, -0.372081, -0.105902>,
      < -3.500282, -0.452276, -0.031935>,
      < -3.301111, -0.346487, -0.102211>
    }
    triangle {
      < -3.500282, -0.452276, -0.031935>,
      < -3.456897, -0.411154, -0.031935>,
      < -3.301111, -0.346487, -0.102211>
    }
    triangle {
      < -3.301111, -0.346487, -0.102211>,
      < -3.456897, -0.411154, -0.031935>,
      < -3.253675, -0.357122, -0.103744>
    }
    triangle {
      < -3.456897, -0.411154, -0.031935>,
      < -3.386132, -0.428241, -0.031935>,
      < -3.253675, -0.357122, -0.103744>
    }
    triangle {
      < -3.253675, -0.357122, -0.103744>,
      < -3.386132, -0.428241, -0.031935>,
      < -3.247561, -0.365945, -0.105017>
    }
    triangle {
      < -3.386132, -0.428241, -0.031935>,
      < -3.377010, -0.442418, -0.031935>,
      < -3.247561, -0.365945, -0.105017>
    }
    triangle {
      < -3.247561, -0.365945, -0.105017>,
      < -3.377010, -0.442418, -0.031935>,
      < -3.244725, -0.382672, -0.107429>
    }
    triangle {
      < -3.377010, -0.442418, -0.031935>,
      < -3.372778, -0.469294, -0.031935>,
      < -3.244725, -0.382672, -0.107429>
    }
    triangle {
      < -3.244725, -0.382672, -0.107429>,
      < -3.372778, -0.469294, -0.031935>,
      < -3.222665, -0.375212, -0.106353>
    }
    triangle {
      < -3.372778, -0.469294, -0.031935>,
      < -3.339869, -0.457306, -0.031935>,
      < -3.222665, -0.375212, -0.106353>
    }
    triangle {
      < -3.222665, -0.375212, -0.106353>,
      < -3.339869, -0.457306, -0.031935>,
      < -3.083682, -0.375053, -0.106330>
    }
    triangle {
      < -3.339869, -0.457306, -0.031935>,
      < -3.132531, -0.457052, -0.031935>,
      < -3.083682, -0.375053, -0.106330>
    }
    triangle {
      < -3.083682, -0.375053, -0.106330>,
      < -3.132531, -0.457052, -0.031935>,
      < -3.061659, -0.335991, -0.100697>
    }
    triangle {
      < -3.132531, -0.457052, -0.031935>,
      < -3.099678, -0.394288, -0.031935>,
      < -3.061659, -0.335991, -0.100697>
    }
    triangle {
      < -3.061659, -0.335991, -0.100697>,
      < -3.099678, -0.394288, -0.031935>,
      < -3.038239, -0.287633, -0.093723>
    }
    triangle {
      < -3.099678, -0.394288, -0.031935>,
      < -3.064739, -0.316587, -0.031935>,
      < -3.038239, -0.287633, -0.093723>
    }
    triangle {
      < -3.038239, -0.287633, -0.093723>,
      < -3.064739, -0.316587, -0.031935>,
      < -3.026060, -0.262523, -0.090102>
    }
    triangle {
      < -3.064739, -0.316587, -0.031935>,
      < -3.046570, -0.276242, -0.031935>,
      < -3.026060, -0.262523, -0.090102>
    }
    triangle {
      < -3.026060, -0.262523, -0.090102>,
      < -3.046570, -0.276242, -0.031935>,
      < -3.026561, -0.235105, -0.086147>
    }
    triangle {
      < -3.046570, -0.276242, -0.031935>,
      < -3.047318, -0.232187, -0.031935>,
      < -3.026561, -0.235105, -0.086147>
    }
    triangle {
      < -3.026561, -0.235105, -0.086147>,
      < -3.047318, -0.232187, -0.031935>,
      < -3.009224, -0.203948, -0.081654>
    }
    triangle {
      < -3.047318, -0.232187, -0.031935>,
      < -3.021454, -0.182127, -0.031935>,
      < -3.009224, -0.203948, -0.081654>
    }
    triangle {
      < -3.009224, -0.203948, -0.081654>,
      < -3.021454, -0.182127, -0.031935>,
      < -2.988600, -0.172788, -0.077160>
    }
    triangle {
      < -3.021454, -0.182127, -0.031935>,
      < -2.990688, -0.132059, -0.031935>,
      < -2.988600, -0.172788, -0.077160>
    }
    triangle {
      < -2.988600, -0.172788, -0.077160>,
      < -2.990688, -0.132059, -0.031935>,
      < -2.967487, -0.158822, -0.075146>
    }
    triangle {
      < -2.990688, -0.132059, -0.031935>,
      < -2.959191, -0.109618, -0.031935>,
      < -2.967487, -0.158822, -0.075146>
    }
    triangle {
      < -2.967487, -0.158822, -0.075146>,
      < -2.959191, -0.109618, -0.031935>,
      < -2.942612, -0.149963, -0.073869>
    }
    triangle {
      < -2.959191, -0.109618, -0.031935>,
      < -2.922082, -0.095385, -0.031935>,
      < -2.942612, -0.149963, -0.073869>
    }
    triangle {
      < -2.942612, -0.149963, -0.073869>,
      < -2.922082, -0.095385, -0.031935>,
      < -2.913041, -0.141565, -0.072658>
    }
    triangle {
      < -2.922082, -0.095385, -0.031935>,
      < -2.877967, -0.081890, -0.031935>,
      < -2.913041, -0.141565, -0.072658>
    }
    triangle {
      < -2.913041, -0.141565, -0.072658>,
      < -2.877967, -0.081890, -0.031935>,
      < -2.883932, -0.139673, -0.072385>
    }
    triangle {
      < -2.877967, -0.081890, -0.031935>,
      < -2.834542, -0.078851, -0.031935>,
      < -2.883932, -0.139673, -0.072385>
    }
    triangle {
      < -2.883932, -0.139673, -0.072385>,
      < -2.834542, -0.078851, -0.031935>,
      < -2.855270, -0.156836, -0.074860>
    }
    triangle {
      < -2.834542, -0.078851, -0.031935>,
      < -2.791784, -0.106426, -0.031935>,
      < -2.855270, -0.156836, -0.074860>
    }
    triangle {
      < -2.988178, -0.405510, 0.211935>,
      < -2.879431, -0.152752, 0.134114>,
      < -2.988178, -0.405510, 0.211935>
    }
    triangle {
      < -2.988178, -0.405510, 0.211935>,
      < -2.872566, -0.182808, 0.139369>,
      < -2.879431, -0.152752, 0.134114>
    }
    triangle {
      < -2.988178, -0.405510, 0.211935>,
      < -2.872566, -0.182808, 0.139369>,
      < -2.988178, -0.405510, 0.211935>
    }
    triangle {
      < -2.988178, -0.405510, 0.211935>,
      < -2.884315, -0.263763, 0.153524>,
      < -2.872566, -0.182808, 0.139369>
    }
    triangle {
      < -3.008811, -0.405510, 0.211935>,
      < -2.884315, -0.263763, 0.153524>,
      < -2.988178, -0.405510, 0.211935>
    }
    triangle {
      < -3.008811, -0.405510, 0.211935>,
      < -2.912029, -0.324848, 0.164205>,
      < -2.884315, -0.263763, 0.153524>
    }
    triangle {
      < -3.036445, -0.405510, 0.211935>,
      < -2.912029, -0.324848, 0.164205>,
      < -3.008811, -0.405510, 0.211935>
    }
    triangle {
      < -3.036445, -0.405510, 0.211935>,
      < -2.955690, -0.379939, 0.173838>,
      < -2.912029, -0.324848, 0.164205>
    }
    triangle {
      < -3.057754, -0.405510, 0.211935>,
      < -2.955690, -0.379939, 0.173838>,
      < -3.036445, -0.405510, 0.211935>
    }
    triangle {
      < -3.057754, -0.405510, 0.211935>,
      < -2.989357, -0.411429, 0.179344>,
      < -2.955690, -0.379939, 0.173838>
    }
    triangle {
      < -3.074163, -0.405510, 0.211935>,
      < -2.989357, -0.411429, 0.179344>,
      < -3.057754, -0.405510, 0.211935>
    }
    triangle {
      < -3.074163, -0.405510, 0.211935>,
      < -3.015283, -0.441986, 0.184687>,
      < -2.989357, -0.411429, 0.179344>
    }
    triangle {
      < -3.102692, -0.405510, 0.211935>,
      < -3.015283, -0.441986, 0.184687>,
      < -3.074163, -0.405510, 0.211935>
    }
    triangle {
      < -3.102692, -0.405510, 0.211935>,
      < -3.060357, -0.456377, 0.187203>,
      < -3.015283, -0.441986, 0.184687>
    }
    triangle {
      < -3.141607, -0.405510, 0.211935>,
      < -3.060357, -0.456377, 0.187203>,
      < -3.102692, -0.405510, 0.211935>
    }
    triangle {
      < -3.141607, -0.405510, 0.211935>,
      < -3.121839, -0.459224, 0.187701>,
      < -3.060357, -0.456377, 0.187203>
    }
    triangle {
      < -3.195519, -0.405510, 0.211935>,
      < -3.121839, -0.459224, 0.187701>,
      < -3.141607, -0.405510, 0.211935>
    }
    triangle {
      < -3.195519, -0.405510, 0.211935>,
      < -3.207018, -0.450997, 0.186263>,
      < -3.121839, -0.459224, 0.187701>
    }
    triangle {
      < -3.238771, -0.405510, 0.211935>,
      < -3.207018, -0.450997, 0.186263>,
      < -3.195519, -0.405510, 0.211935>
    }
    triangle {
      < -3.238771, -0.405510, 0.211935>,
      < -3.275353, -0.435352, 0.183527>,
      < -3.207018, -0.450997, 0.186263>
    }
    triangle {
      < -3.238771, -0.405510, 0.211935>,
      < -3.275353, -0.435352, 0.183527>,
      < -3.238771, -0.405510, 0.211935>
    }
    triangle {
      < -3.238771, -0.405510, 0.211935>,
      < -3.290376, -0.441382, 0.184582>,
      < -3.275353, -0.435352, 0.183527>
    }
    triangle {
      < -3.266737, -0.405510, 0.211935>,
      < -3.290376, -0.441382, 0.184582>,
      < -3.238771, -0.405510, 0.211935>
    }
    triangle {
      < -3.266737, -0.405510, 0.211935>,
      < -3.319538, -0.429853, 0.182566>,
      < -3.290376, -0.441382, 0.184582>
    }
    triangle {
      < -3.284622, -0.405510, 0.211935>,
      < -3.319538, -0.429853, 0.182566>,
      < -3.266737, -0.405510, 0.211935>
    }
    triangle {
      < -3.284622, -0.405510, 0.211935>,
      < -3.347797, -0.411386, 0.179336>,
      < -3.319538, -0.429853, 0.182566>
    }
    triangle {
      < -3.284622, -0.405510, 0.211935>,
      < -3.347797, -0.411386, 0.179336>,
      < -3.284622, -0.405510, 0.211935>
    }
    triangle {
      < -3.284622, -0.405510, 0.211935>,
      < -3.349648, -0.385024, 0.174727>,
      < -3.347797, -0.411386, 0.179336>
    }
    triangle {
      < -3.284622, -0.405510, 0.211935>,
      < -3.349648, -0.385024, 0.174727>,
      < -3.284622, -0.405510, 0.211935>
    }
    triangle {
      < -3.284622, -0.405510, 0.211935>,
      < -3.340105, -0.366974, 0.171571>,
      < -3.349648, -0.385024, 0.174727>
    }
    triangle {
      < -3.266737, -0.405510, 0.211935>,
      < -3.340105, -0.366974, 0.171571>,
      < -3.284622, -0.405510, 0.211935>
    }
    triangle {
      < -3.266737, -0.405510, 0.211935>,
      < -3.311896, -0.341503, 0.167118>,
      < -3.340105, -0.366974, 0.171571>
    }
    triangle {
      < -3.238771, -0.405510, 0.211935>,
      < -3.311896, -0.341503, 0.167118>,
      < -3.266737, -0.405510, 0.211935>
    }
    triangle {
      < -3.238771, -0.405510, 0.211935>,
      < -3.265883, -0.352087, 0.168968>,
      < -3.311896, -0.341503, 0.167118>
    }
    triangle {
      < -3.238771, -0.405510, 0.211935>,
      < -3.265883, -0.352087, 0.168968>,
      < -3.238771, -0.405510, 0.211935>
    }
    triangle {
      < -3.238771, -0.405510, 0.211935>,
      < -3.259952, -0.360868, 0.170504>,
      < -3.265883, -0.352087, 0.168968>
    }
    triangle {
      < -3.227281, -0.405510, 0.211935>,
      < -3.259952, -0.360868, 0.170504>,
      < -3.238771, -0.405510, 0.211935>
    }
    triangle {
      < -3.227281, -0.405510, 0.211935>,
      < -3.257201, -0.377516, 0.173414>,
      < -3.259952, -0.360868, 0.170504>
    }
    triangle {
      < -3.213738, -0.405510, 0.211935>,
      < -3.257201, -0.377516, 0.173414>,
      < -3.227281, -0.405510, 0.211935>
    }
    triangle {
      < -3.213738, -0.405510, 0.211935>,
      < -3.235803, -0.370090, 0.172116>,
      < -3.257201, -0.377516, 0.173414>
    }
    triangle {
      < -3.128410, -0.405510, 0.211935>,
      < -3.235803, -0.370090, 0.172116>,
      < -3.213738, -0.405510, 0.211935>
    }
    triangle {
      < -3.128410, -0.405510, 0.211935>,
      < -3.100990, -0.369933, 0.172089>,
      < -3.235803, -0.370090, 0.172116>
    }
    triangle {
      < -3.114889, -0.405510, 0.211935>,
      < -3.100990, -0.369933, 0.172089>,
      < -3.128410, -0.405510, 0.211935>
    }
    triangle {
      < -3.114889, -0.405510, 0.211935>,
      < -3.079628, -0.331056, 0.165291>,
      < -3.100990, -0.369933, 0.172089>
    }
    triangle {
      < -3.102692, -0.405510, 0.211935>,
      < -3.079628, -0.331056, 0.165291>,
      < -3.114889, -0.405510, 0.211935>
    }
    triangle {
      < -3.102692, -0.405510, 0.211935>,
      < -3.056910, -0.282927, 0.156875>,
      < -3.079628, -0.331056, 0.165291>
    }
    triangle {
      < -3.102692, -0.405510, 0.211935>,
      < -3.056910, -0.282927, 0.156875>,
      < -3.102692, -0.405510, 0.211935>
    }
    triangle {
      < -3.102692, -0.405510, 0.211935>,
      < -3.045096, -0.257937, 0.152506>,
      < -3.056910, -0.282927, 0.156875>
    }
    triangle {
      < -3.102692, -0.405510, 0.211935>,
      < -3.045096, -0.257937, 0.152506>,
      < -3.102692, -0.405510, 0.211935>
    }
    triangle {
      < -3.102692, -0.405510, 0.211935>,
      < -3.045583, -0.230650, 0.147735>,
      < -3.045096, -0.257937, 0.152506>
    }
    triangle {
      < -3.074163, -0.405510, 0.211935>,
      < -3.045583, -0.230650, 0.147735>,
      < -3.102692, -0.405510, 0.211935>
    }
    triangle {
      < -3.074163, -0.405510, 0.211935>,
      < -3.028766, -0.199641, 0.142312>,
      < -3.045583, -0.230650, 0.147735>
    }
    triangle {
      < -3.074163, -0.405510, 0.211935>,
      < -3.028766, -0.199641, 0.142312>,
      < -3.074163, -0.405510, 0.211935>
    }
    triangle {
      < -3.074163, -0.405510, 0.211935>,
      < -3.008761, -0.168629, 0.136890>,
      < -3.028766, -0.199641, 0.142312>
    }
    triangle {
      < -3.057754, -0.405510, 0.211935>,
      < -3.008761, -0.168629, 0.136890>,
      < -3.074163, -0.405510, 0.211935>
    }
    triangle {
      < -3.057754, -0.405510, 0.211935>,
      < -2.988281, -0.154729, 0.134459>,
      < -3.008761, -0.168629, 0.136890>
    }
    triangle {
      < -3.036445, -0.405510, 0.211935>,
      < -2.988281, -0.154729, 0.134459>,
      < -3.057754, -0.405510, 0.211935>
    }
    triangle {
      < -3.036445, -0.405510, 0.211935>,
      < -2.964153, -0.145914, 0.132918>,
      < -2.988281, -0.154729, 0.134459>
    }
    triangle {
      < -3.023646, -0.405510, 0.211935>,
      < -2.964153, -0.145914, 0.132918>,
      < -3.036445, -0.405510, 0.211935>
    }
    triangle {
      < -3.023646, -0.405510, 0.211935>,
      < -2.935469, -0.137554, 0.131456>,
      < -2.964153, -0.145914, 0.132918>
    }
    triangle {
      < -3.008811, -0.405510, 0.211935>,
      < -2.935469, -0.137554, 0.131456>,
      < -3.023646, -0.405510, 0.211935>
    }
    triangle {
      < -3.008811, -0.405510, 0.211935>,
      < -2.907233, -0.135671, 0.131127>,
      < -2.935469, -0.137554, 0.131456>
    }
    triangle {
      < -2.988178, -0.405510, 0.211935>,
      < -2.907233, -0.135671, 0.131127>,
      < -3.008811, -0.405510, 0.211935>
    }
    triangle {
      < -2.988178, -0.405510, 0.211935>,
      < -2.879431, -0.152752, 0.134114>,
      < -2.907233, -0.135671, 0.131127>
    }
    triangle {
      < -2.872566, -0.182808, 0.139369>,
      < -2.855270, -0.156836, 0.098827>,
      < -2.879431, -0.152752, 0.134114>
    }
    triangle {
      < -2.872566, -0.182808, 0.139369>,
      < -2.848192, -0.187035, 0.103182>,
      < -2.855270, -0.156836, 0.098827>
    }
    triangle {
      < -2.884315, -0.263763, 0.153524>,
      < -2.848192, -0.187035, 0.103182>,
      < -2.872566, -0.182808, 0.139369>
    }
    triangle {
      < -2.884315, -0.263763, 0.153524>,
      < -2.860306, -0.268376, 0.114913>,
      < -2.848192, -0.187035, 0.103182>
    }
    triangle {
      < -2.912029, -0.324848, 0.164205>,
      < -2.860306, -0.268376, 0.114913>,
      < -2.884315, -0.263763, 0.153524>
    }
    triangle {
      < -2.912029, -0.324848, 0.164205>,
      < -2.888876, -0.329753, 0.123764>,
      < -2.860306, -0.268376, 0.114913>
    }
    triangle {
      < -2.955690, -0.379939, 0.173838>,
      < -2.888876, -0.329753, 0.123764>,
      < -2.912029, -0.324848, 0.164205>
    }
    triangle {
      < -2.955690, -0.379939, 0.173838>,
      < -2.933887, -0.385107, 0.131747>,
      < -2.888876, -0.329753, 0.123764>
    }
    triangle {
      < -2.989357, -0.411429, 0.179344>,
      < -2.933887, -0.385107, 0.131747>,
      < -2.955690, -0.379939, 0.173838>
    }
    triangle {
      < -2.989357, -0.411429, 0.179344>,
      < -2.968596, -0.416748, 0.136311>,
      < -2.933887, -0.385107, 0.131747>
    }
    triangle {
      < -3.015283, -0.441986, 0.184687>,
      < -2.968596, -0.416748, 0.136311>,
      < -2.989357, -0.411429, 0.179344>
    }
    triangle {
      < -3.015283, -0.441986, 0.184687>,
      < -2.995325, -0.447450, 0.140738>,
      < -2.968596, -0.416748, 0.136311>
    }
    triangle {
      < -3.060357, -0.456377, 0.187203>,
      < -2.995325, -0.447450, 0.140738>,
      < -3.015283, -0.441986, 0.184687>
    }
    triangle {
      < -3.060357, -0.456377, 0.187203>,
      < -3.041792, -0.461910, 0.142824>,
      < -2.995325, -0.447450, 0.140738>
    }
    triangle {
      < -3.121839, -0.459224, 0.187701>,
      < -3.041792, -0.461910, 0.142824>,
      < -3.060357, -0.456377, 0.187203>
    }
    triangle {
      < -3.121839, -0.459224, 0.187701>,
      < -3.105176, -0.464771, 0.143236>,
      < -3.041792, -0.461910, 0.142824>
    }
    triangle {
      < -3.207018, -0.450997, 0.186263>,
      < -3.105176, -0.464771, 0.143236>,
      < -3.121839, -0.459224, 0.187701>
    }
    triangle {
      < -3.207018, -0.450997, 0.186263>,
      < -3.192989, -0.456506, 0.142044>,
      < -3.105176, -0.464771, 0.143236>
    }
    triangle {
      < -3.275353, -0.435352, 0.183527>,
      < -3.192989, -0.456506, 0.142044>,
      < -3.207018, -0.450997, 0.186263>
    }
    triangle {
      < -3.275353, -0.435352, 0.183527>,
      < -3.263438, -0.440785, 0.139777>,
      < -3.192989, -0.456506, 0.142044>
    }
    triangle {
      < -3.290376, -0.441382, 0.184582>,
      < -3.263438, -0.440785, 0.139777>,
      < -3.275353, -0.435352, 0.183527>
    }
    triangle {
      < -3.290376, -0.441382, 0.184582>,
      < -3.278926, -0.446844, 0.140651>,
      < -3.263438, -0.440785, 0.139777>
    }
    triangle {
      < -3.319538, -0.429853, 0.182566>,
      < -3.278926, -0.446844, 0.140651>,
      < -3.290376, -0.441382, 0.184582>
    }
    triangle {
      < -3.319538, -0.429853, 0.182566>,
      < -3.308990, -0.435260, 0.138980>,
      < -3.278926, -0.446844, 0.140651>
    }
    triangle {
      < -3.347797, -0.411386, 0.179336>,
      < -3.308990, -0.435260, 0.138980>,
      < -3.319538, -0.429853, 0.182566>
    }
    triangle {
      < -3.347797, -0.411386, 0.179336>,
      < -3.338123, -0.416704, 0.136304>,
      < -3.308990, -0.435260, 0.138980>
    }
    triangle {
      < -3.349648, -0.385024, 0.174727>,
      < -3.338123, -0.416704, 0.136304>,
      < -3.347797, -0.411386, 0.179336>
    }
    triangle {
      < -3.349648, -0.385024, 0.174727>,
      < -3.340032, -0.390217, 0.132484>,
      < -3.338123, -0.416704, 0.136304>
    }
    triangle {
      < -3.340105, -0.366974, 0.171571>,
      < -3.340032, -0.390217, 0.132484>,
      < -3.349648, -0.385024, 0.174727>
    }
    triangle {
      < -3.340105, -0.366974, 0.171571>,
      < -3.330193, -0.372081, 0.129869>,
      < -3.340032, -0.390217, 0.132484>
    }
    triangle {
      < -3.311896, -0.341503, 0.167118>,
      < -3.330193, -0.372081, 0.129869>,
      < -3.340105, -0.366974, 0.171571>
    }
    triangle {
      < -3.311896, -0.341503, 0.167118>,
      < -3.301111, -0.346487, 0.126178>,
      < -3.330193, -0.372081, 0.129869>
    }
    triangle {
      < -3.265883, -0.352087, 0.168968>,
      < -3.301111, -0.346487, 0.126178>,
      < -3.311896, -0.341503, 0.167118>
    }
    triangle {
      < -3.265883, -0.352087, 0.168968>,
      < -3.253675, -0.357122, 0.127711>,
      < -3.301111, -0.346487, 0.126178>
    }
    triangle {
      < -3.259952, -0.360868, 0.170504>,
      < -3.253675, -0.357122, 0.127711>,
      < -3.265883, -0.352087, 0.168968>
    }
    triangle {
      < -3.259952, -0.360868, 0.170504>,
      < -3.247561, -0.365945, 0.128983>,
      < -3.253675, -0.357122, 0.127711>
    }
    triangle {
      < -3.257201, -0.377516, 0.173414>,
      < -3.247561, -0.365945, 0.128983>,
      < -3.259952, -0.360868, 0.170504>
    }
    triangle {
      < -3.257201, -0.377516, 0.173414>,
      < -3.244725, -0.382672, 0.131396>,
      < -3.247561, -0.365945, 0.128983>
    }
    triangle {
      < -3.235803, -0.370090, 0.172116>,
      < -3.244725, -0.382672, 0.131396>,
      < -3.257201, -0.377516, 0.173414>
    }
    triangle {
      < -3.235803, -0.370090, 0.172116>,
      < -3.222665, -0.375212, 0.130320>,
      < -3.244725, -0.382672, 0.131396>
    }
    triangle {
      < -3.100990, -0.369933, 0.172089>,
      < -3.222665, -0.375212, 0.130320>,
      < -3.235803, -0.370090, 0.172116>
    }
    triangle {
      < -3.100990, -0.369933, 0.172089>,
      < -3.083682, -0.375053, 0.130298>,
      < -3.222665, -0.375212, 0.130320>
    }
    triangle {
      < -3.079628, -0.331056, 0.165291>,
      < -3.083682, -0.375053, 0.130298>,
      < -3.100990, -0.369933, 0.172089>
    }
    triangle {
      < -3.079628, -0.331056, 0.165291>,
      < -3.061659, -0.335991, 0.124664>,
      < -3.083682, -0.375053, 0.130298>
    }
    triangle {
      < -3.056910, -0.282927, 0.156875>,
      < -3.061659, -0.335991, 0.124664>,
      < -3.079628, -0.331056, 0.165291>
    }
    triangle {
      < -3.056910, -0.282927, 0.156875>,
      < -3.038239, -0.287633, 0.117690>,
      < -3.061659, -0.335991, 0.124664>
    }
    triangle {
      < -3.045096, -0.257937, 0.152506>,
      < -3.038239, -0.287633, 0.117690>,
      < -3.056910, -0.282927, 0.156875>
    }
    triangle {
      < -3.045096, -0.257937, 0.152506>,
      < -3.026060, -0.262523, 0.114069>,
      < -3.038239, -0.287633, 0.117690>
    }
    triangle {
      < -3.045583, -0.230650, 0.147735>,
      < -3.026060, -0.262523, 0.114069>,
      < -3.045096, -0.257937, 0.152506>
    }
    triangle {
      < -3.045583, -0.230650, 0.147735>,
      < -3.026561, -0.235105, 0.110114>,
      < -3.026060, -0.262523, 0.114069>
    }
    triangle {
      < -3.028766, -0.199641, 0.142312>,
      < -3.026561, -0.235105, 0.110114>,
      < -3.045583, -0.230650, 0.147735>
    }
    triangle {
      < -3.028766, -0.199641, 0.142312>,
      < -3.009224, -0.203948, 0.105621>,
      < -3.026561, -0.235105, 0.110114>
    }
    triangle {
      < -3.008761, -0.168629, 0.136890>,
      < -3.009224, -0.203948, 0.105621>,
      < -3.028766, -0.199641, 0.142312>
    }
    triangle {
      < -3.008761, -0.168629, 0.136890>,
      < -2.988600, -0.172788, 0.101127>,
      < -3.009224, -0.203948, 0.105621>
    }
    triangle {
      < -2.988281, -0.154729, 0.134459>,
      < -2.988600, -0.172788, 0.101127>,
      < -3.008761, -0.168629, 0.136890>
    }
    triangle {
      < -2.988281, -0.154729, 0.134459>,
      < -2.967487, -0.158822, 0.099113>,
      < -2.988600, -0.172788, 0.101127>
    }
    triangle {
      < -2.964153, -0.145914, 0.132918>,
      < -2.967487, -0.158822, 0.099113>,
      < -2.988281, -0.154729, 0.134459>
    }
    triangle {
      < -2.964153, -0.145914, 0.132918>,
      < -2.942612, -0.149963, 0.097836>,
      < -2.967487, -0.158822, 0.099113>
    }
    triangle {
      < -2.935469, -0.137554, 0.131456>,
      < -2.942612, -0.149963, 0.097836>,
      < -2.964153, -0.145914, 0.132918>
    }
    triangle {
      < -2.935469, -0.137554, 0.131456>,
      < -2.913041, -0.141565, 0.096624>,
      < -2.942612, -0.149963, 0.097836>
    }
    triangle {
      < -2.907233, -0.135671, 0.131127>,
      < -2.913041, -0.141565, 0.096624>,
      < -2.935469, -0.137554, 0.131456>
    }
    triangle {
      < -2.907233, -0.135671, 0.131127>,
      < -2.883932, -0.139673, 0.096352>,
      < -2.913041, -0.141565, 0.096624>
    }
    triangle {
      < -2.879431, -0.152752, 0.134114>,
      < -2.883932, -0.139673, 0.096352>,
      < -2.907233, -0.135671, 0.131127>
    }
    triangle {
      < -2.879431, -0.152752, 0.134114>,
      < -2.855270, -0.156836, 0.098827>,
      < -2.883932, -0.139673, 0.096352>
    }
    triangle {
      < -2.848192, -0.187035, 0.103182>,
      < -2.791784, -0.106426, 0.055902>,
      < -2.855270, -0.156836, 0.098827>
    }
    triangle {
      < -2.848192, -0.187035, 0.103182>,
      < -2.781224, -0.154949, 0.055902>,
      < -2.791784, -0.106426, 0.055902>
    }
    triangle {
      < -2.860306, -0.268376, 0.114913>,
      < -2.781224, -0.154949, 0.055902>,
      < -2.848192, -0.187035, 0.103182>
    }
    triangle {
      < -2.860306, -0.268376, 0.114913>,
      < -2.799296, -0.285647, 0.055902>,
      < -2.781224, -0.154949, 0.055902>
    }
    triangle {
      < -2.888876, -0.329753, 0.123764>,
      < -2.799296, -0.285647, 0.055902>,
      < -2.860306, -0.268376, 0.114913>
    }
    triangle {
      < -2.888876, -0.329753, 0.123764>,
      < -2.841918, -0.384265, 0.055902>,
      < -2.799296, -0.285647, 0.055902>
    }
    triangle {
      < -2.933887, -0.385107, 0.131747>,
      < -2.841918, -0.384265, 0.055902>,
      < -2.888876, -0.329753, 0.123764>
    }
    triangle {
      < -2.933887, -0.385107, 0.131747>,
      < -2.909066, -0.473206, 0.055902>,
      < -2.841918, -0.384265, 0.055902>
    }
    triangle {
      < -2.968596, -0.416748, 0.136311>,
      < -2.909066, -0.473206, 0.055902>,
      < -2.933887, -0.385107, 0.131747>
    }
    triangle {
      < -2.968596, -0.416748, 0.136311>,
      < -2.960846, -0.524046, 0.055902>,
      < -2.909066, -0.473206, 0.055902>
    }
    triangle {
      < -2.995325, -0.447450, 0.140738>,
      < -2.960846, -0.524046, 0.055902>,
      < -2.968596, -0.416748, 0.136311>
    }
    triangle {
      < -2.995325, -0.447450, 0.140738>,
      < -3.000719, -0.573378, 0.055902>,
      < -2.960846, -0.524046, 0.055902>
    }
    triangle {
      < -3.041792, -0.461910, 0.142824>,
      < -3.000719, -0.573378, 0.055902>,
      < -2.995325, -0.447450, 0.140738>
    }
    triangle {
      < -3.041792, -0.461910, 0.142824>,
      < -3.070040, -0.596611, 0.055902>,
      < -3.000719, -0.573378, 0.055902>
    }
    triangle {
      < -3.105176, -0.464771, 0.143236>,
      < -3.070040, -0.596611, 0.055902>,
      < -3.041792, -0.461910, 0.142824>
    }
    triangle {
      < -3.105176, -0.464771, 0.143236>,
      < -3.164598, -0.601207, 0.055902>,
      < -3.070040, -0.596611, 0.055902>
    }
    triangle {
      < -3.192989, -0.456506, 0.142044>,
      < -3.164598, -0.601207, 0.055902>,
      < -3.105176, -0.464771, 0.143236>
    }
    triangle {
      < -3.192989, -0.456506, 0.142044>,
      < -3.295599, -0.587927, 0.055902>,
      < -3.164598, -0.601207, 0.055902>
    }
    triangle {
      < -3.263438, -0.440785, 0.139777>,
      < -3.295599, -0.587927, 0.055902>,
      < -3.192989, -0.456506, 0.142044>
    }
    triangle {
      < -3.263438, -0.440785, 0.139777>,
      < -3.400696, -0.562668, 0.055902>,
      < -3.295599, -0.587927, 0.055902>
    }
    triangle {
      < -3.278926, -0.446844, 0.140651>,
      < -3.400696, -0.562668, 0.055902>,
      < -3.263438, -0.440785, 0.139777>
    }
    triangle {
      < -3.278926, -0.446844, 0.140651>,
      < -3.423801, -0.572402, 0.055902>,
      < -3.400696, -0.562668, 0.055902>
    }
    triangle {
      < -3.308990, -0.435260, 0.138980>,
      < -3.423801, -0.572402, 0.055902>,
      < -3.278926, -0.446844, 0.140651>
    }
    triangle {
      < -3.308990, -0.435260, 0.138980>,
      < -3.468651, -0.553790, 0.055902>,
      < -3.423801, -0.572402, 0.055902>
    }
    triangle {
      < -3.338123, -0.416704, 0.136304>,
      < -3.468651, -0.553790, 0.055902>,
      < -3.308990, -0.435260, 0.138980>
    }
    triangle {
      < -3.338123, -0.416704, 0.136304>,
      < -3.512112, -0.523975, 0.055902>,
      < -3.468651, -0.553790, 0.055902>
    }
    triangle {
      < -3.340032, -0.390217, 0.132484>,
      < -3.512112, -0.523975, 0.055902>,
      < -3.338123, -0.416704, 0.136304>
    }
    triangle {
      < -3.340032, -0.390217, 0.132484>,
      < -3.514960, -0.481416, 0.055902>,
      < -3.512112, -0.523975, 0.055902>
    }
    triangle {
      < -3.330193, -0.372081, 0.129869>,
      < -3.514960, -0.481416, 0.055902>,
      < -3.340032, -0.390217, 0.132484>
    }
    triangle {
      < -3.330193, -0.372081, 0.129869>,
      < -3.500282, -0.452276, 0.055902>,
      < -3.514960, -0.481416, 0.055902>
    }
    triangle {
      < -3.301111, -0.346487, 0.126178>,
      < -3.500282, -0.452276, 0.055902>,
      < -3.330193, -0.372081, 0.129869>
    }
    triangle {
      < -3.301111, -0.346487, 0.126178>,
      < -3.456897, -0.411154, 0.055902>,
      < -3.500282, -0.452276, 0.055902>
    }
    triangle {
      < -3.253675, -0.357122, 0.127711>,
      < -3.456897, -0.411154, 0.055902>,
      < -3.301111, -0.346487, 0.126178>
    }
    triangle {
      < -3.253675, -0.357122, 0.127711>,
      < -3.386132, -0.428241, 0.055902>,
      < -3.456897, -0.411154, 0.055902>
    }
    triangle {
      < -3.247561, -0.365945, 0.128983>,
      < -3.386132, -0.428241, 0.055902>,
      < -3.253675, -0.357122, 0.127711>
    }
    triangle {
      < -3.247561, -0.365945, 0.128983>,
      < -3.377010, -0.442418, 0.055902>,
      < -3.386132, -0.428241, 0.055902>
    }
    triangle {
      < -3.244725, -0.382672, 0.131396>,
      < -3.377010, -0.442418, 0.055902>,
      < -3.247561, -0.365945, 0.128983>
    }
    triangle {
      < -3.244725, -0.382672, 0.131396>,
      < -3.372778, -0.469294, 0.055902>,
      < -3.377010, -0.442418, 0.055902>
    }
    triangle {
      < -3.222665, -0.375212, 0.130320>,
      < -3.372778, -0.469294, 0.055902>,
      < -3.244725, -0.382672, 0.131396>
    }
    triangle {
      < -3.222665, -0.375212, 0.130320>,
      < -3.339869, -0.457306, 0.055902>,
      < -3.372778, -0.469294, 0.055902>
    }
    triangle {
      < -3.083682, -0.375053, 0.130298>,
      < -3.339869, -0.457306, 0.055902>,
      < -3.222665, -0.375212, 0.130320>
    }
    triangle {
      < -3.083682, -0.375053, 0.130298>,
      < -3.132531, -0.457052, 0.055902>,
      < -3.339869, -0.457306, 0.055902>
    }
    triangle {
      < -3.061659, -0.335991, 0.124664>,
      < -3.132531, -0.457052, 0.055902>,
      < -3.083682, -0.375053, 0.130298>
    }
    triangle {
      < -3.061659, -0.335991, 0.124664>,
      < -3.099678, -0.394288, 0.055902>,
      < -3.132531, -0.457052, 0.055902>
    }
    triangle {
      < -3.038239, -0.287633, 0.117690>,
      < -3.099678, -0.394288, 0.055902>,
      < -3.061659, -0.335991, 0.124664>
    }
    triangle {
      < -3.038239, -0.287633, 0.117690>,
      < -3.064739, -0.316587, 0.055902>,
      < -3.099678, -0.394288, 0.055902>
    }
    triangle {
      < -3.026060, -0.262523, 0.114069>,
      < -3.064739, -0.316587, 0.055902>,
      < -3.038239, -0.287633, 0.117690>
    }
    triangle {
      < -3.026060, -0.262523, 0.114069>,
      < -3.046570, -0.276242, 0.055902>,
      < -3.064739, -0.316587, 0.055902>
    }
    triangle {
      < -3.026561, -0.235105, 0.110114>,
      < -3.046570, -0.276242, 0.055902>,
      < -3.026060, -0.262523, 0.114069>
    }
    triangle {
      < -3.026561, -0.235105, 0.110114>,
      < -3.047318, -0.232187, 0.055902>,
      < -3.046570, -0.276242, 0.055902>
    }
    triangle {
      < -3.009224, -0.203948, 0.105621>,
      < -3.047318, -0.232187, 0.055902>,
      < -3.026561, -0.235105, 0.110114>
    }
    triangle {
      < -3.009224, -0.203948, 0.105621>,
      < -3.021454, -0.182127, 0.055902>,
      < -3.047318, -0.232187, 0.055902>
    }
    triangle {
      < -2.988600, -0.172788, 0.101127>,
      < -3.021454, -0.182127, 0.055902>,
      < -3.009224, -0.203948, 0.105621>
    }
    triangle {
      < -2.988600, -0.172788, 0.101127>,
      < -2.990688, -0.132059, 0.055902>,
      < -3.021454, -0.182127, 0.055902>
    }
    triangle {
      < -2.967487, -0.158822, 0.099113>,
      < -2.990688, -0.132059, 0.055902>,
      < -2.988600, -0.172788, 0.101127>
    }
    triangle {
      < -2.967487, -0.158822, 0.099113>,
      < -2.959191, -0.109618, 0.055902>,
      < -2.990688, -0.132059, 0.055902>
    }
    triangle {
      < -2.942612, -0.149963, 0.097836>,
      < -2.959191, -0.109618, 0.055902>,
      < -2.967487, -0.158822, 0.099113>
    }
    triangle {
      < -2.942612, -0.149963, 0.097836>,
      < -2.922082, -0.095385, 0.055902>,
      < -2.959191, -0.109618, 0.055902>
    }
    triangle {
      < -2.913041, -0.141565, 0.096624>,
      < -2.922082, -0.095385, 0.055902>,
      < -2.942612, -0.149963, 0.097836>
    }
    triangle {
      < -2.913041, -0.141565, 0.096624>,
      < -2.877967, -0.081890, 0.055902>,
      < -2.922082, -0.095385, 0.055902>
    }
    triangle {
      < -2.883932, -0.139673, 0.096352>,
      < -2.877967, -0.081890, 0.055902>,
      < -2.913041, -0.141565, 0.096624>
    }
    triangle {
      < -2.883932, -0.139673, 0.096352>,
      < -2.834542, -0.078851, 0.055902>,
      < -2.877967, -0.081890, 0.055902>
    }
    triangle {
      < -2.855270, -0.156836, 0.098827>,
      < -2.834542, -0.078851, 0.055902>,
      < -2.883932, -0.139673, 0.096352>
    }
    triangle {
      < -2.855270, -0.156836, 0.098827>,
      < -2.791784, -0.106426, 0.055902>,
      < -2.834542, -0.078851, 0.055902>
    }
    triangle {
      < -2.791784, -0.106426, 0.055902>,
      < -2.791784, -0.106426, -0.031935>,
      < -2.781224, -0.154949, -0.031935>
    }
    triangle {
      < -2.791784, -0.106426, 0.055902>,
      < -2.781224, -0.154949, -0.031935>,
      < -2.781224, -0.154949, 0.055902>
    }
    triangle {
      < -2.781224, -0.154949, 0.055902>,
      < -2.781224, -0.154949, -0.031935>,
      < -2.799296, -0.285647, -0.031935>
    }
    triangle {
      < -2.781224, -0.154949, 0.055902>,
      < -2.799296, -0.285647, -0.031935>,
      < -2.799296, -0.285647, 0.055902>
    }
    triangle {
      < -2.799296, -0.285647, 0.055902>,
      < -2.799296, -0.285647, -0.031935>,
      < -2.841918, -0.384265, -0.031935>
    }
    triangle {
      < -2.799296, -0.285647, 0.055902>,
      < -2.841918, -0.384265, -0.031935>,
      < -2.841918, -0.384265, 0.055902>
    }
    triangle {
      < -2.841918, -0.384265, 0.055902>,
      < -2.841918, -0.384265, -0.031935>,
      < -2.909066, -0.473206, -0.031935>
    }
    triangle {
      < -2.841918, -0.384265, 0.055902>,
      < -2.909066, -0.473206, -0.031935>,
      < -2.909066, -0.473206, 0.055902>
    }
    triangle {
      < -2.909066, -0.473206, 0.055902>,
      < -2.909066, -0.473206, -0.031935>,
      < -2.960846, -0.524046, -0.031935>
    }
    triangle {
      < -2.909066, -0.473206, 0.055902>,
      < -2.960846, -0.524046, -0.031935>,
      < -2.960846, -0.524046, 0.055902>
    }
    triangle {
      < -3.514960, -0.481416, 0.055902>,
      < -3.514960, -0.481416, -0.031935>,
      < -3.500282, -0.452276, -0.031935>
    }
    triangle {
      < -3.514960, -0.481416, 0.055902>,
      < -3.500282, -0.452276, -0.031935>,
      < -3.500282, -0.452276, 0.055902>
    }
    triangle {
      < -3.500282, -0.452276, 0.055902>,
      < -3.500282, -0.452276, -0.031935>,
      < -3.456897, -0.411154, -0.031935>
    }
    triangle {
      < -3.500282, -0.452276, 0.055902>,
      < -3.456897, -0.411154, -0.031935>,
      < -3.456897, -0.411154, 0.055902>
    }
    triangle {
      < -3.456897, -0.411154, 0.055902>,
      < -3.456897, -0.411154, -0.031935>,
      < -3.386132, -0.428241, -0.031935>
    }
    triangle {
      < -3.456897, -0.411154, 0.055902>,
      < -3.386132, -0.428241, -0.031935>,
      < -3.386132, -0.428241, 0.055902>
    }
    triangle {
      < -3.386132, -0.428241, 0.055902>,
      < -3.386132, -0.428241, -0.031935>,
      < -3.377010, -0.442418, -0.031935>
    }
    triangle {
      < -3.386132, -0.428241, 0.055902>,
      < -3.377010, -0.442418, -0.031935>,
      < -3.377010, -0.442418, 0.055902>
    }
    triangle {
      < -3.377010, -0.442418, 0.055902>,
      < -3.377010, -0.442418, -0.031935>,
      < -3.372778, -0.469294, -0.031935>
    }
    triangle {
      < -3.377010, -0.442418, 0.055902>,
      < -3.372778, -0.469294, -0.031935>,
      < -3.372778, -0.469294, 0.055902>
    }
    triangle {
      < -3.372778, -0.469294, 0.055902>,
      < -3.372778, -0.469294, -0.031935>,
      < -3.339869, -0.457306, -0.031935>
    }
    triangle {
      < -3.372778, -0.469294, 0.055902>,
      < -3.339869, -0.457306, -0.031935>,
      < -3.339869, -0.457306, 0.055902>
    }
    triangle {
      < -3.339869, -0.457306, 0.055902>,
      < -3.339869, -0.457306, -0.031935>,
      < -3.132531, -0.457052, -0.031935>
    }
    triangle {
      < -3.339869, -0.457306, 0.055902>,
      < -3.132531, -0.457052, -0.031935>,
      < -3.132531, -0.457052, 0.055902>
    }
    triangle {
      < -3.132531, -0.457052, 0.055902>,
      < -3.132531, -0.457052, -0.031935>,
      < -3.099678, -0.394288, -0.031935>
    }
    triangle {
      < -3.132531, -0.457052, 0.055902>,
      < -3.099678, -0.394288, -0.031935>,
      < -3.099678, -0.394288, 0.055902>
    }
    triangle {
      < -3.099678, -0.394288, 0.055902>,
      < -3.099678, -0.394288, -0.031935>,
      < -3.064739, -0.316587, -0.031935>
    }
    triangle {
      < -3.099678, -0.394288, 0.055902>,
      < -3.064739, -0.316587, -0.031935>,
      < -3.064739, -0.316587, 0.055902>
    }
    triangle {
      < -3.064739, -0.316587, 0.055902>,
      < -3.064739, -0.316587, -0.031935>,
      < -3.046570, -0.276242, -0.031935>
    }
    triangle {
      < -3.064739, -0.316587, 0.055902>,
      < -3.046570, -0.276242, -0.031935>,
      < -3.046570, -0.276242, 0.055902>
    }
    triangle {
      < -3.046570, -0.276242, 0.055902>,
      < -3.046570, -0.276242, -0.031935>,
      < -3.047318, -0.232187, -0.031935>
    }
    triangle {
      < -3.046570, -0.276242, 0.055902>,
      < -3.047318, -0.232187, -0.031935>,
      < -3.047318, -0.232187, 0.055902>
    }
    triangle {
      < -3.047318, -0.232187, 0.055902>,
      < -3.047318, -0.232187, -0.031935>,
      < -3.021454, -0.182127, -0.031935>
    }
    triangle {
      < -3.047318, -0.232187, 0.055902>,
      < -3.021454, -0.182127, -0.031935>,
      < -3.021454, -0.182127, 0.055902>
    }
    triangle {
      < -3.021454, -0.182127, 0.055902>,
      < -3.021454, -0.182127, -0.031935>,
      < -2.990688, -0.132059, -0.031935>
    }
    triangle {
      < -3.021454, -0.182127, 0.055902>,
      < -2.990688, -0.132059, -0.031935>,
      < -2.990688, -0.132059, 0.055902>
    }
    triangle {
      < -2.990688, -0.132059, 0.055902>,
      < -2.990688, -0.132059, -0.031935>,
      < -2.959191, -0.109618, -0.031935>
    }
    triangle {
      < -2.990688, -0.132059, 0.055902>,
      < -2.959191, -0.109618, -0.031935>,
      < -2.959191, -0.109618, 0.055902>
    }
    triangle {
      < -2.959191, -0.109618, 0.055902>,
      < -2.959191, -0.109618, -0.031935>,
      < -2.922082, -0.095385, -0.031935>
    }
    triangle {
      < -2.959191, -0.109618, 0.055902>,
      < -2.922082, -0.095385, -0.031935>,
      < -2.922082, -0.095385, 0.055902>
    }
    triangle {
      < -2.922082, -0.095385, 0.055902>,
      < -2.922082, -0.095385, -0.031935>,
      < -2.877967, -0.081890, -0.031935>
    }
    triangle {
      < -2.922082, -0.095385, 0.055902>,
      < -2.877967, -0.081890, -0.031935>,
      < -2.877967, -0.081890, 0.055902>
    }
    triangle {
      < -2.877967, -0.081890, 0.055902>,
      < -2.877967, -0.081890, -0.031935>,
      < -2.834542, -0.078851, -0.031935>
    }
    triangle {
      < -2.877967, -0.081890, 0.055902>,
      < -2.834542, -0.078851, -0.031935>,
      < -2.834542, -0.078851, 0.055902>
    }
    triangle {
      < -2.834542, -0.078851, 0.055902>,
      < -2.834542, -0.078851, -0.031935>,
      < -2.791784, -0.106426, -0.031935>
    }
    triangle {
      < -2.834542, -0.078851, 0.055902>,
      < -2.791784, -0.106426, -0.031935>,
      < -2.791784, -0.106426, 0.055902>
    }
    triangle {
      < -3.059727, -0.043966, 0.023200>,
      < -3.041827, -0.059349, 0.023200>,
      < -3.041830, -0.059355, 0.000767>
    }
    triangle {
      < -3.059727, -0.043966, 0.023200>,
      < -3.041830, -0.059355, 0.000767>,
      < -3.059747, -0.043959, 0.000767>
    }
    triangle {
      < -3.067197, -0.307107, 0.023200>,
      < -3.045896, -0.307107, 0.023200>,
      < -3.045896, -0.307117, 0.000767>
    }
    triangle {
      < -3.067197, -0.307107, 0.023200>,
      < -3.045896, -0.307117, 0.000767>,
      < -3.067217, -0.307117, 0.000767>
    }
    triangle {
      < -3.067197, -0.258135, 0.023200>,
      < -3.045896, -0.258135, 0.023200>,
      < -3.045896, -0.258144, 0.000767>
    }
    triangle {
      < -3.067197, -0.258135, 0.023200>,
      < -3.045896, -0.258144, 0.000767>,
      < -3.067217, -0.258144, 0.000767>
    }
    triangle {
      < -3.069946, -0.210372, 0.023200>,
      < -3.048706, -0.208227, 0.023200>,
      < -3.048705, -0.208237, 0.000767>
    }
    triangle {
      < -3.069946, -0.210372, 0.023200>,
      < -3.048705, -0.208237, 0.000767>,
      < -3.069965, -0.210383, 0.000767>
    }
    triangle {
      < -3.085490, -0.155399, 0.023200>,
      < -3.065114, -0.147122, 0.023200>,
      < -3.065113, -0.147131, 0.000767>
    }
    triangle {
      < -3.085490, -0.155399, 0.023200>,
      < -3.065113, -0.147131, 0.000767>,
      < -3.085507, -0.155414, 0.000767>
    }
    triangle {
      < -3.092216, -0.104092, 0.023200>,
      < -3.071093, -0.107758, 0.023200>,
      < -3.071094, -0.107767, 0.000767>
    }
    triangle {
      < -3.092216, -0.104092, 0.023200>,
      < -3.071094, -0.107767, 0.000767>,
      < -3.092236, -0.104097, 0.000767>
    }
    triangle {
      < -3.083699, -0.066813, 0.023200>,
      < -3.063690, -0.076550, 0.023200>,
      < -3.063693, -0.076559, 0.000767>
    }
    triangle {
      < -3.083699, -0.066813, 0.023200>,
      < -3.063693, -0.076559, 0.000767>,
      < -3.083720, -0.066812, 0.000767>
    }
    triangle {
      < -3.045896, -0.307107, 0.023200>,
      < -3.045896, -0.258135, 0.023200>,
      < -3.067197, -0.258135, 0.023200>
    }
    triangle {
      < -3.045896, -0.307107, 0.023200>,
      < -3.067197, -0.258135, 0.023200>,
      < -3.067197, -0.307107, 0.023200>
    }
    triangle {
      < -3.045896, -0.307117, 0.000767>,
      < -3.045896, -0.258144, 0.000767>,
      < -3.045896, -0.258135, 0.023200>
    }
    triangle {
      < -3.045896, -0.307117, 0.000767>,
      < -3.045896, -0.258135, 0.023200>,
      < -3.045896, -0.307107, 0.023200>
    }
    triangle {
      < -3.067217, -0.307117, 0.000767>,
      < -3.067217, -0.258144, 0.000767>,
      < -3.045896, -0.258144, 0.000767>
    }
    triangle {
      < -3.067217, -0.307117, 0.000767>,
      < -3.045896, -0.258144, 0.000767>,
      < -3.045896, -0.307117, 0.000767>
    }
    triangle {
      < -3.067197, -0.307107, 0.023200>,
      < -3.067197, -0.258135, 0.023200>,
      < -3.067217, -0.258144, 0.000767>
    }
    triangle {
      < -3.067197, -0.307107, 0.023200>,
      < -3.067217, -0.258144, 0.000767>,
      < -3.067217, -0.307117, 0.000767>
    }
    triangle {
      < -3.045896, -0.258135, 0.023200>,
      < -3.048706, -0.208227, 0.023200>,
      < -3.069946, -0.210372, 0.023200>
    }
    triangle {
      < -3.045896, -0.258135, 0.023200>,
      < -3.069946, -0.210372, 0.023200>,
      < -3.067197, -0.258135, 0.023200>
    }
    triangle {
      < -3.045896, -0.258144, 0.000767>,
      < -3.048705, -0.208237, 0.000767>,
      < -3.048706, -0.208227, 0.023200>
    }
    triangle {
      < -3.045896, -0.258144, 0.000767>,
      < -3.048706, -0.208227, 0.023200>,
      < -3.045896, -0.258135, 0.023200>
    }
    triangle {
      < -3.067217, -0.258144, 0.000767>,
      < -3.069965, -0.210383, 0.000767>,
      < -3.048705, -0.208237, 0.000767>
    }
    triangle {
      < -3.067217, -0.258144, 0.000767>,
      < -3.048705, -0.208237, 0.000767>,
      < -3.045896, -0.258144, 0.000767>
    }
    triangle {
      < -3.067197, -0.258135, 0.023200>,
      < -3.069946, -0.210372, 0.023200>,
      < -3.069965, -0.210383, 0.000767>
    }
    triangle {
      < -3.067197, -0.258135, 0.023200>,
      < -3.069965, -0.210383, 0.000767>,
      < -3.067217, -0.258144, 0.000767>
    }
    triangle {
      < -3.048706, -0.208227, 0.023200>,
      < -3.065114, -0.147122, 0.023200>,
      < -3.085490, -0.155399, 0.023200>
    }
    triangle {
      < -3.048706, -0.208227, 0.023200>,
      < -3.085490, -0.155399, 0.023200>,
      < -3.069946, -0.210372, 0.023200>
    }
    triangle {
      < -3.048705, -0.208237, 0.000767>,
      < -3.065113, -0.147131, 0.000767>,
      < -3.065114, -0.147122, 0.023200>
    }
    triangle {
      < -3.048705, -0.208237, 0.000767>,
      < -3.065114, -0.147122, 0.023200>,
      < -3.048706, -0.208227, 0.023200>
    }
    triangle {
      < -3.069965, -0.210383, 0.000767>,
      < -3.085507, -0.155414, 0.000767>,
      < -3.065113, -0.147131, 0.000767>
    }
    triangle {
      < -3.069965, -0.210383, 0.000767>,
      < -3.065113, -0.147131, 0.000767>,
      < -3.048705, -0.208237, 0.000767>
    }
    triangle {
      < -3.069946, -0.210372, 0.023200>,
      < -3.085490, -0.155399, 0.023200>,
      < -3.085507, -0.155414, 0.000767>
    }
    triangle {
      < -3.069946, -0.210372, 0.023200>,
      < -3.085507, -0.155414, 0.000767>,
      < -3.069965, -0.210383, 0.000767>
    }
    triangle {
      < -3.065114, -0.147122, 0.023200>,
      < -3.071093, -0.107758, 0.023200>,
      < -3.092216, -0.104092, 0.023200>
    }
    triangle {
      < -3.065114, -0.147122, 0.023200>,
      < -3.092216, -0.104092, 0.023200>,
      < -3.085490, -0.155399, 0.023200>
    }
    triangle {
      < -3.065113, -0.147131, 0.000767>,
      < -3.071094, -0.107767, 0.000767>,
      < -3.071093, -0.107758, 0.023200>
    }
    triangle {
      < -3.065113, -0.147131, 0.000767>,
      < -3.071093, -0.107758, 0.023200>,
      < -3.065114, -0.147122, 0.023200>
    }
    triangle {
      < -3.085507, -0.155414, 0.000767>,
      < -3.092236, -0.104097, 0.000767>,
      < -3.071094, -0.107767, 0.000767>
    }
    triangle {
      < -3.085507, -0.155414, 0.000767>,
      < -3.071094, -0.107767, 0.000767>,
      < -3.065113, -0.147131, 0.000767>
    }
    triangle {
      < -3.085490, -0.155399, 0.023200>,
      < -3.092216, -0.104092, 0.023200>,
      < -3.092236, -0.104097, 0.000767>
    }
    triangle {
      < -3.085490, -0.155399, 0.023200>,
      < -3.092236, -0.104097, 0.000767>,
      < -3.085507, -0.155414, 0.000767>
    }
    triangle {
      < -3.071093, -0.107758, 0.023200>,
      < -3.063690, -0.076550, 0.023200>,
      < -3.083699, -0.066813, 0.023200>
    }
    triangle {
      < -3.071093, -0.107758, 0.023200>,
      < -3.083699, -0.066813, 0.023200>,
      < -3.092216, -0.104092, 0.023200>
    }
    triangle {
      < -3.071094, -0.107767, 0.000767>,
      < -3.063693, -0.076559, 0.000767>,
      < -3.063690, -0.076550, 0.023200>
    }
    triangle {
      < -3.071094, -0.107767, 0.000767>,
      < -3.063690, -0.076550, 0.023200>,
      < -3.071093, -0.107758, 0.023200>
    }
    triangle {
      < -3.092236, -0.104097, 0.000767>,
      < -3.083720, -0.066812, 0.000767>,
      < -3.063693, -0.076559, 0.000767>
    }
    triangle {
      < -3.092236, -0.104097, 0.000767>,
      < -3.063693, -0.076559, 0.000767>,
      < -3.071094, -0.107767, 0.000767>
    }
    triangle {
      < -3.092216, -0.104092, 0.023200>,
      < -3.083699, -0.066813, 0.023200>,
      < -3.083720, -0.066812, 0.000767>
    }
    triangle {
      < -3.092216, -0.104092, 0.023200>,
      < -3.083720, -0.066812, 0.000767>,
      < -3.092236, -0.104097, 0.000767>
    }
    triangle {
      < -3.063690, -0.076550, 0.023200>,
      < -3.041827, -0.059349, 0.023200>,
      < -3.059727, -0.043966, 0.023200>
    }
    triangle {
      < -3.063690, -0.076550, 0.023200>,
      < -3.059727, -0.043966, 0.023200>,
      < -3.083699, -0.066813, 0.023200>
    }
    triangle {
      < -3.063693, -0.076559, 0.000767>,
      < -3.041830, -0.059355, 0.000767>,
      < -3.041827, -0.059349, 0.023200>
    }
    triangle {
      < -3.063693, -0.076559, 0.000767>,
      < -3.041827, -0.059349, 0.023200>,
      < -3.063690, -0.076550, 0.023200>
    }
    triangle {
      < -3.083720, -0.066812, 0.000767>,
      < -3.059747, -0.043959, 0.000767>,
      < -3.041830, -0.059355, 0.000767>
    }
    triangle {
      < -3.083720, -0.066812, 0.000767>,
      < -3.041830, -0.059355, 0.000767>,
      < -3.063693, -0.076559, 0.000767>
    }
    triangle {
      < -3.083699, -0.066813, 0.023200>,
      < -3.059727, -0.043966, 0.023200>,
      < -3.059747, -0.043959, 0.000767>
    }
    triangle {
      < -3.083699, -0.066813, 0.023200>,
      < -3.059747, -0.043959, 0.000767>,
      < -3.083720, -0.066812, 0.000767>
    }
    texture {shinywhite}
  }
  union {
    triangle {
      < 4.085583, -0.976959, -0.861881>,
      < 4.123319, -0.926747, -0.866942>,
      < 4.123319, -1.186932, -0.840601>
    }
    triangle {
      < 4.085583, -1.186934, -0.840624>,
      < 4.085583, -0.976959, -0.861881>,
      < 4.123319, -1.186932, -0.840601>
    }
    triangle {
      < 4.063821, -0.926751, -0.866977>,
      < 4.123319, -0.926747, -0.866942>,
      < 4.085583, -0.976959, -0.861881>
    }
    triangle {
      < 4.045456, -1.186937, -0.840647>,
      < 4.063821, -0.926751, -0.866977>,
      < 4.085583, -0.976959, -0.861881>
    }
    triangle {
      < 4.024953, -1.124742, -0.846956>,
      < 4.063821, -0.926751, -0.866977>,
      < 4.045456, -1.186937, -0.840647>
    }
    triangle {
      < 4.004324, -1.186939, -0.840672>,
      < 4.024953, -1.124742, -0.846956>,
      < 4.045456, -1.186937, -0.840647>
    }
    triangle {
      < 3.986588, -0.926755, -0.867023>,
      < 4.024953, -1.124742, -0.846956>,
      < 4.004324, -1.186939, -0.840672>
    }
    triangle {
      < 3.964576, -0.976966, -0.861953>,
      < 3.986588, -0.926755, -0.867023>,
      < 4.004324, -1.186939, -0.840672>
    }
    triangle {
      < 3.926839, -0.926759, -0.867058>,
      < 3.986588, -0.926755, -0.867023>,
      < 3.964576, -0.976966, -0.861953>
    }
    triangle {
      < 3.926839, -0.926759, -0.867058>,
      < 3.964576, -0.976966, -0.861953>,
      < 3.964576, -1.186942, -0.840695>
    }
    triangle {
      < 3.926839, -1.186944, -0.840717>,
      < 3.926839, -0.926759, -0.867058>,
      < 3.964576, -1.186942, -0.840695>
    }
    triangle {
      < 3.851115, -1.133302, -0.846193>,
      < 3.906651, -1.186945, -0.840729>,
      < 3.864386, -1.186947, -0.840754>
    }
    triangle {
      < 3.840864, -1.089715, -0.850612>,
      < 3.906651, -1.186945, -0.840729>,
      < 3.851115, -1.133302, -0.846193>
    }
    triangle {
      < 3.837027, -0.926764, -0.867111>,
      < 3.906651, -1.186945, -0.840729>,
      < 3.840864, -1.089715, -0.850612>
    }
    triangle {
      < 3.813819, -0.978652, -0.861872>,
      < 3.837027, -0.926764, -0.867111>,
      < 3.840864, -1.089715, -0.850612>
    }
    triangle {
      < 3.790675, -0.926767, -0.867138>,
      < 3.837027, -0.926764, -0.867111>,
      < 3.813819, -0.978652, -0.861872>
    }
    triangle {
      < 3.786524, -1.089718, -0.850644>,
      < 3.790675, -0.926767, -0.867138>,
      < 3.813819, -0.978652, -0.861872>
    }
    triangle {
      < 3.786524, -1.089718, -0.850644>,
      < 3.840864, -1.089715, -0.850612>,
      < 3.851115, -1.133302, -0.846193>
    }
    triangle {
      < 3.775580, -1.133306, -0.846238>,
      < 3.786524, -1.089718, -0.850644>,
      < 3.851115, -1.133302, -0.846193>
    }
    triangle {
      < 3.775580, -1.133306, -0.846238>,
      < 3.790675, -0.926767, -0.867138>,
      < 3.786524, -1.089718, -0.850644>
    }
    triangle {
      < 3.762498, -1.186954, -0.840814>,
      < 3.790675, -0.926767, -0.867138>,
      < 3.775580, -1.133306, -0.846238>
    }
    triangle {
      < 3.720171, -1.186956, -0.840839>,
      < 3.790675, -0.926767, -0.867138>,
      < 3.762498, -1.186954, -0.840814>
    }
    triangle {
      < 3.659856, -0.971536, -0.862684>,
      < 3.700045, -0.926772, -0.867192>,
      < 3.700045, -1.186957, -0.840851>
    }
    triangle {
      < 3.659856, -1.040187, -0.855734>,
      < 3.659856, -0.971536, -0.862684>,
      < 3.700045, -1.186957, -0.840851>
    }
    triangle {
      < 3.659793, -1.085702, -0.851126>,
      < 3.659856, -1.040187, -0.855734>,
      < 3.700045, -1.186957, -0.840851>
    }
    triangle {
      < 3.659793, -1.186960, -0.840875>,
      < 3.659793, -1.085702, -0.851126>,
      < 3.700045, -1.186957, -0.840851>
    }
    triangle {
      < 3.608189, -1.086334, -0.851093>,
      < 3.659856, -1.040187, -0.855734>,
      < 3.659793, -1.085702, -0.851126>
    }
    triangle {
      < 3.612686, -1.040190, -0.855762>,
      < 3.659856, -1.040187, -0.855734>,
      < 3.608189, -1.086334, -0.851093>
    }
    triangle {
      < 3.610736, -0.971539, -0.862713>,
      < 3.700045, -0.926772, -0.867192>,
      < 3.659856, -0.971536, -0.862684>
    }
    triangle {
      < 3.608189, -1.086334, -0.851093>,
      < 3.612686, -1.040190, -0.855762>,
      < 3.608189, -1.086334, -0.851093>
    }
    triangle {
      < 3.608189, -1.086334, -0.851093>,
      < 3.612686, -1.040190, -0.855762>,
      < 3.608189, -1.086334, -0.851093>
    }
    triangle {
      < 3.599321, -1.038430, -0.855948>,
      < 3.612686, -1.040190, -0.855762>,
      < 3.608189, -1.086334, -0.851093>
    }
    triangle {
      < 3.605264, -0.926778, -0.867248>,
      < 3.700045, -0.926772, -0.867192>,
      < 3.610736, -0.971539, -0.862713>
    }
    triangle {
      < 3.596711, -1.092370, -0.850488>,
      < 3.599321, -1.038430, -0.855948>,
      < 3.608189, -1.086334, -0.851093>
    }
    triangle {
      < 3.610736, -0.971539, -0.862713>,
      < 3.605264, -0.926778, -0.867248>,
      < 3.610736, -0.971539, -0.862713>
    }
    triangle {
      < 3.596711, -1.092370, -0.850488>,
      < 3.599321, -1.038430, -0.855948>,
      < 3.596711, -1.092370, -0.850488>
    }
    triangle {
      < 3.599321, -1.038430, -0.855948>,
      < 3.599321, -1.038430, -0.855948>,
      < 3.596711, -1.092370, -0.850488>
    }
    triangle {
      < 3.599321, -1.038430, -0.855948>,
      < 3.599321, -1.038430, -0.855948>,
      < 3.596711, -1.092370, -0.850488>
    }
    triangle {
      < 3.599258, -0.973048, -0.862567>,
      < 3.605264, -0.926778, -0.867248>,
      < 3.610736, -0.971539, -0.862713>
    }
    triangle {
      < 3.599258, -0.973048, -0.862567>,
      < 3.605264, -0.926778, -0.867248>,
      < 3.599258, -0.973048, -0.862567>
    }
    triangle {
      < 3.596711, -1.092370, -0.850488>,
      < 3.599321, -1.038430, -0.855948>,
      < 3.596711, -1.092370, -0.850488>
    }
    triangle {
      < 3.596711, -1.092370, -0.850488>,
      < 3.599321, -1.038430, -0.855948>,
      < 3.596711, -1.092370, -0.850488>
    }
    triangle {
      < 3.599258, -0.973048, -0.862567>,
      < 3.605264, -0.926778, -0.867248>,
      < 3.599258, -0.973048, -0.862567>
    }
    triangle {
      < 3.589038, -1.030803, -0.856726>,
      < 3.599321, -1.038430, -0.855948>,
      < 3.596711, -1.092370, -0.850488>
    }
    triangle {
      < 3.591176, -1.101884, -0.849529>,
      < 3.589038, -1.030803, -0.856726>,
      < 3.596711, -1.092370, -0.850488>
    }
    triangle {
      < 3.599258, -0.973048, -0.862567>,
      < 3.605264, -0.926778, -0.867248>,
      < 3.599258, -0.973048, -0.862567>
    }
    triangle {
      < 3.591176, -1.101884, -0.849529>,
      < 3.589038, -1.030803, -0.856726>,
      < 3.591176, -1.101884, -0.849529>
    }
    triangle {
      < 3.589038, -1.030803, -0.856726>,
      < 3.589038, -1.030803, -0.856726>,
      < 3.591176, -1.101884, -0.849529>
    }
    triangle {
      < 3.591176, -1.101884, -0.849529>,
      < 3.589038, -1.030803, -0.856726>,
      < 3.591176, -1.101884, -0.849529>
    }
    triangle {
      < 3.591176, -1.101884, -0.849529>,
      < 3.589038, -1.030803, -0.856726>,
      < 3.591176, -1.101884, -0.849529>
    }
    triangle {
      < 3.591050, -0.978749, -0.861995>,
      < 3.605264, -0.926778, -0.867248>,
      < 3.599258, -0.973048, -0.862567>
    }
    triangle {
      < 3.590233, -0.927533, -0.867180>,
      < 3.605264, -0.926778, -0.867248>,
      < 3.591050, -0.978749, -0.861995>
    }
    triangle {
      < 3.589038, -1.030803, -0.856726>,
      < 3.589038, -1.030803, -0.856726>,
      < 3.591176, -1.101884, -0.849529>
    }
    triangle {
      < 3.591050, -0.978749, -0.861995>,
      < 3.590233, -0.927533, -0.867180>,
      < 3.591050, -0.978749, -0.861995>
    }
    triangle {
      < 3.588849, -1.113116, -0.848393>,
      < 3.589038, -1.030803, -0.856726>,
      < 3.591176, -1.101884, -0.849529>
    }
    triangle {
      < 3.589038, -1.030803, -0.856726>,
      < 3.589038, -1.030803, -0.856726>,
      < 3.588849, -1.113116, -0.848393>
    }
    triangle {
      < 3.588849, -1.113116, -0.848393>,
      < 3.589038, -1.030803, -0.856726>,
      < 3.588849, -1.113116, -0.848393>
    }
    triangle {
      < 3.588157, -1.127031, -0.846985>,
      < 3.589038, -1.030803, -0.856726>,
      < 3.588849, -1.113116, -0.848393>
    }
    triangle {
      < 3.587025, -1.164164, -0.843226>,
      < 3.589038, -1.030803, -0.856726>,
      < 3.588157, -1.127031, -0.846985>
    }
    triangle {
      < 3.591050, -0.978749, -0.861995>,
      < 3.590233, -0.927533, -0.867180>,
      < 3.591050, -0.978749, -0.861995>
    }
    triangle {
      < 3.587025, -1.164164, -0.843226>,
      < 3.589038, -1.030803, -0.856726>,
      < 3.587025, -1.164164, -0.843226>
    }
    triangle {
      < 3.587025, -1.164164, -0.843226>,
      < 3.589038, -1.030803, -0.856726>,
      < 3.587025, -1.164164, -0.843226>
    }
    triangle {
      < 3.584195, -1.019990, -0.857824>,
      < 3.589038, -1.030803, -0.856726>,
      < 3.587025, -1.164164, -0.843226>
    }
    triangle {
      < 3.591050, -0.978749, -0.861995>,
      < 3.590233, -0.927533, -0.867180>,
      < 3.591050, -0.978749, -0.861995>
    }
    triangle {
      < 3.585893, -1.175983, -0.842030>,
      < 3.584195, -1.019990, -0.857824>,
      < 3.587025, -1.164164, -0.843226>
    }
    triangle {
      < 3.584195, -1.019990, -0.857824>,
      < 3.584195, -1.019990, -0.857824>,
      < 3.585893, -1.175983, -0.842030>
    }
    triangle {
      < 3.585893, -1.175983, -0.842030>,
      < 3.584195, -1.019990, -0.857824>,
      < 3.585893, -1.175983, -0.842030>
    }
    triangle {
      < 3.583000, -1.186964, -0.840920>,
      < 3.584195, -1.019990, -0.857824>,
      < 3.585893, -1.175983, -0.842030>
    }
    triangle {
      < 3.584730, -0.990484, -0.860810>,
      < 3.590233, -0.927533, -0.867180>,
      < 3.591050, -0.978749, -0.861995>
    }
    triangle {
      < 3.584195, -1.019990, -0.857824>,
      < 3.584195, -1.019990, -0.857824>,
      < 3.583000, -1.186964, -0.840920>
    }
    triangle {
      < 3.584730, -0.990484, -0.860810>,
      < 3.590233, -0.927533, -0.867180>,
      < 3.584730, -0.990484, -0.860810>
    }
    triangle {
      < 3.584195, -1.019990, -0.857824>,
      < 3.584195, -1.019990, -0.857824>,
      < 3.583000, -1.186964, -0.840920>
    }
    triangle {
      < 3.584730, -0.990484, -0.860810>,
      < 3.590233, -0.927533, -0.867180>,
      < 3.584730, -0.990484, -0.860810>
    }
    triangle {
      < 3.584730, -0.990484, -0.860810>,
      < 3.590233, -0.927533, -0.867180>,
      < 3.584730, -0.990484, -0.860810>
    }
    triangle {
      < 3.582560, -1.005824, -0.859259>,
      < 3.584195, -1.019990, -0.857824>,
      < 3.583000, -1.186964, -0.840920>
    }
    triangle {
      < 3.583000, -1.186964, -0.840920>,
      < 3.582560, -1.005824, -0.859259>,
      < 3.583000, -1.186964, -0.840920>
    }
    triangle {
      < 3.582560, -1.005824, -0.859259>,
      < 3.582560, -1.005824, -0.859259>,
      < 3.583000, -1.186964, -0.840920>
    }
    triangle {
      < 3.590233, -0.927533, -0.867180>,
      < 3.590233, -0.927533, -0.867180>,
      < 3.584730, -0.990484, -0.860810>
    }
    triangle {
      < 3.590233, -0.927533, -0.867180>,
      < 3.584730, -0.990484, -0.860810>,
      < 3.582560, -1.005824, -0.859259>
    }
    triangle {
      < 3.590233, -0.927533, -0.867180>,
      < 3.582560, -1.005824, -0.859259>,
      < 3.583000, -1.186964, -0.840920>
    }
    triangle {
      < 3.572497, -0.932941, -0.866643>,
      < 3.590233, -0.927533, -0.867180>,
      < 3.583000, -1.186964, -0.840920>
    }
    triangle {
      < 3.565893, -1.058885, -0.853897>,
      < 3.572497, -0.932941, -0.866643>,
      < 3.583000, -1.186964, -0.840920>
    }
    triangle {
      < 3.572497, -0.932941, -0.866643>,
      < 3.572497, -0.932941, -0.866643>,
      < 3.565893, -1.058885, -0.853897>
    }
    triangle {
      < 3.565893, -1.058885, -0.853897>,
      < 3.572497, -0.932941, -0.866643>,
      < 3.565893, -1.058885, -0.853897>
    }
    triangle {
      < 3.565893, -1.058885, -0.853897>,
      < 3.565893, -1.058885, -0.853897>,
      < 3.583000, -1.186964, -0.840920>
    }
    triangle {
      < 3.563566, -0.939103, -0.866025>,
      < 3.572497, -0.932941, -0.866643>,
      < 3.565893, -1.058885, -0.853897>
    }
    triangle {
      < 3.557591, -1.051844, -0.854615>,
      < 3.563566, -0.939103, -0.866025>,
      < 3.565893, -1.058885, -0.853897>
    }
    triangle {
      < 3.565893, -1.058885, -0.853897>,
      < 3.565893, -1.058885, -0.853897>,
      < 3.583000, -1.186964, -0.840920>
    }
    triangle {
      < 3.557591, -1.051844, -0.854615>,
      < 3.563566, -0.939103, -0.866025>,
      < 3.557591, -1.051844, -0.854615>
    }
    triangle {
      < 3.563566, -0.939103, -0.866025>,
      < 3.563566, -0.939103, -0.866025>,
      < 3.557591, -1.051844, -0.854615>
    }
    triangle {
      < 3.558880, -1.071626, -0.852611>,
      < 3.565893, -1.058885, -0.853897>,
      < 3.583000, -1.186964, -0.840920>
    }
    triangle {
      < 3.558880, -1.071626, -0.852611>,
      < 3.558880, -1.071626, -0.852611>,
      < 3.583000, -1.186964, -0.840920>
    }
    triangle {
      < 3.557591, -1.051844, -0.854615>,
      < 3.563566, -0.939103, -0.866025>,
      < 3.557591, -1.051844, -0.854615>
    }
    triangle {
      < 3.551805, -1.043336, -0.855479>,
      < 3.563566, -0.939103, -0.866025>,
      < 3.557591, -1.051844, -0.854615>
    }
    triangle {
      < 3.555516, -0.948449, -0.865083>,
      < 3.563566, -0.939103, -0.866025>,
      < 3.551805, -1.043336, -0.855479>
    }
    triangle {
      < 3.558880, -1.071626, -0.852611>,
      < 3.558880, -1.071626, -0.852611>,
      < 3.583000, -1.186964, -0.840920>
    }
    triangle {
      < 3.558880, -1.071626, -0.852611>,
      < 3.558880, -1.071626, -0.852611>,
      < 3.583000, -1.186964, -0.840920>
    }
    triangle {
      < 3.555516, -0.948449, -0.865083>,
      < 3.555516, -0.948449, -0.865083>,
      < 3.551805, -1.043336, -0.855479>
    }
    triangle {
      < 3.551805, -1.043336, -0.855479>,
      < 3.555516, -0.948449, -0.865083>,
      < 3.551805, -1.043336, -0.855479>
    }
    triangle {
      < 3.551805, -1.043336, -0.855479>,
      < 3.555516, -0.948449, -0.865083>,
      < 3.551805, -1.043336, -0.855479>
    }
    triangle {
      < 3.551207, -1.086254, -0.851135>,
      < 3.558880, -1.071626, -0.852611>,
      < 3.583000, -1.186964, -0.840920>
    }
    triangle {
      < 3.551207, -1.086254, -0.851135>,
      < 3.551207, -1.086254, -0.851135>,
      < 3.583000, -1.186964, -0.840920>
    }
    triangle {
      < 3.548975, -0.960855, -0.863831>,
      < 3.555516, -0.948449, -0.865083>,
      < 3.551805, -1.043336, -0.855479>
    }
    triangle {
      < 3.548723, -1.097779, -0.849969>,
      < 3.551207, -1.086254, -0.851135>,
      < 3.583000, -1.186964, -0.840920>
    }
    triangle {
      < 3.548723, -1.097779, -0.849969>,
      < 3.548723, -1.097779, -0.849969>,
      < 3.583000, -1.186964, -0.840920>
    }
    triangle {
      < 3.547654, -1.034074, -0.856420>,
      < 3.548975, -0.960855, -0.863831>,
      < 3.551805, -1.043336, -0.855479>
    }
    triangle {
      < 3.548975, -0.960855, -0.863831>,
      < 3.548975, -0.960855, -0.863831>,
      < 3.547654, -1.034074, -0.856420>
    }
    triangle {
      < 3.547654, -1.034074, -0.856420>,
      < 3.548975, -0.960855, -0.863831>,
      < 3.547654, -1.034074, -0.856420>
    }
    triangle {
      < 3.547339, -1.118819, -0.847840>,
      < 3.548723, -1.097779, -0.849969>,
      < 3.583000, -1.186964, -0.840920>
    }
    triangle {
      < 3.546522, -1.149749, -0.844709>,
      < 3.547339, -1.118819, -0.847840>,
      < 3.583000, -1.186964, -0.840920>
    }
    triangle {
      < 3.546144, -1.161820, -0.843488>,
      < 3.546522, -1.149749, -0.844709>,
      < 3.583000, -1.186964, -0.840920>
    }
    triangle {
      < 3.546144, -1.161820, -0.843488>,
      < 3.546144, -1.161820, -0.843488>,
      < 3.583000, -1.186964, -0.840920>
    }
    triangle {
      < 3.546144, -1.161820, -0.843488>,
      < 3.546144, -1.161820, -0.843488>,
      < 3.583000, -1.186964, -0.840920>
    }
    triangle {
      < 3.544761, -0.975273, -0.862374>,
      < 3.548975, -0.960855, -0.863831>,
      < 3.547654, -1.034074, -0.856420>
    }
    triangle {
      < 3.544509, -1.022926, -0.857550>,
      < 3.544761, -0.975273, -0.862374>,
      < 3.547654, -1.034074, -0.856420>
    }
    triangle {
      < 3.546144, -1.161820, -0.843488>,
      < 3.546144, -1.161820, -0.843488>,
      < 3.583000, -1.186964, -0.840920>
    }
    triangle {
      < 3.544509, -1.022926, -0.857550>,
      < 3.544761, -0.975273, -0.862374>,
      < 3.544509, -1.022926, -0.857550>
    }
    triangle {
      < 3.544761, -0.975273, -0.862374>,
      < 3.544761, -0.975273, -0.862374>,
      < 3.544509, -1.022926, -0.857550>
    }
    triangle {
      < 3.543849, -1.173010, -0.842356>,
      < 3.546144, -1.161820, -0.843488>,
      < 3.583000, -1.186964, -0.840920>
    }
    triangle {
      < 3.543849, -1.173010, -0.842356>,
      < 3.543849, -1.173010, -0.842356>,
      < 3.583000, -1.186964, -0.840920>
    }
    triangle {
      < 3.542811, -1.010520, -0.858807>,
      < 3.544761, -0.975273, -0.862374>,
      < 3.544509, -1.022926, -0.857550>
    }
    triangle {
      < 3.543849, -1.173010, -0.842356>,
      < 3.543849, -1.173010, -0.842356>,
      < 3.583000, -1.186964, -0.840920>
    }
    triangle {
      < 3.542559, -0.994762, -0.860402>,
      < 3.544761, -0.975273, -0.862374>,
      < 3.542811, -1.010520, -0.858807>
    }
    triangle {
      < 3.543849, -1.173010, -0.842356>,
      < 3.543849, -1.173010, -0.842356>,
      < 3.583000, -1.186964, -0.840920>
    }
    triangle {
      < 3.543849, -1.173010, -0.842356>,
      < 3.543849, -1.173010, -0.842356>,
      < 3.583000, -1.186964, -0.840920>
    }
    triangle {
      < 3.543849, -1.173010, -0.842356>,
      < 3.543849, -1.173010, -0.842356>,
      < 3.583000, -1.186964, -0.840920>
    }
    triangle {
      < 3.538849, -1.186967, -0.840946>,
      < 3.543849, -1.173010, -0.842356>,
      < 3.583000, -1.186964, -0.840920>
    }
    triangle {
      < 3.464383, -0.926787, -0.867331>,
      < 3.504635, -0.926784, -0.867307>,
      < 3.504635, -1.186969, -0.840966>
    }
    triangle {
      < 3.464383, -1.186971, -0.840990>,
      < 3.464383, -0.926787, -0.867331>,
      < 3.504635, -1.186969, -0.840966>
    }
    triangle {
      < 3.383061, -1.008267, -0.859130>,
      < 3.422684, -0.926789, -0.867355>,
      < 3.422684, -1.186974, -0.841015>
    }
    triangle {
      < 3.383061, -1.186976, -0.841038>,
      < 3.383061, -1.008267, -0.859130>,
      < 3.422684, -1.186974, -0.841015>
    }
    triangle {
      < 3.380672, -0.926792, -0.867380>,
      < 3.422684, -0.926789, -0.867355>,
      < 3.383061, -1.008267, -0.859130>
    }
    triangle {
      < 3.303186, -1.186981, -0.841085>,
      < 3.380672, -0.926792, -0.867380>,
      < 3.383061, -1.008267, -0.859130>
    }
    triangle {
      < 3.301300, -1.105673, -0.849318>,
      < 3.380672, -0.926792, -0.867380>,
      < 3.303186, -1.186981, -0.841085>
    }
    triangle {
      < 3.261677, -0.926799, -0.867450>,
      < 3.301300, -0.926796, -0.867427>,
      < 3.301300, -1.105673, -0.849318>
    }
    triangle {
      < 3.261677, -0.926799, -0.867450>,
      < 3.301300, -1.105673, -0.849318>,
      < 3.303186, -1.186981, -0.841085>
    }
    triangle {
      < 3.261677, -1.186983, -0.841110>,
      < 3.261677, -0.926799, -0.867450>,
      < 3.303186, -1.186981, -0.841085>
    }
    triangle {
      < 3.181802, -0.971900, -0.862932>,
      < 3.221425, -0.926801, -0.867474>,
      < 3.221425, -1.186986, -0.841133>
    }
    triangle {
      < 3.181802, -1.027307, -0.857323>,
      < 3.181802, -0.971900, -0.862932>,
      < 3.221425, -1.186986, -0.841133>
    }
    triangle {
      < 3.181802, -1.071984, -0.852800>,
      < 3.181802, -1.027307, -0.857323>,
      < 3.221425, -1.186986, -0.841133>
    }
    triangle {
      < 3.181802, -1.138958, -0.846019>,
      < 3.181802, -1.071984, -0.852800>,
      < 3.221425, -1.186986, -0.841133>
    }
    triangle {
      < 3.088279, -1.027312, -0.857378>,
      < 3.181802, -1.027307, -0.857323>,
      < 3.181802, -1.071984, -0.852800>
    }
    triangle {
      < 3.088279, -1.071989, -0.852855>,
      < 3.088279, -1.027312, -0.857378>,
      < 3.181802, -1.071984, -0.852800>
    }
    triangle {
      < 3.079663, -0.926810, -0.867558>,
      < 3.221425, -0.926801, -0.867474>,
      < 3.181802, -0.971900, -0.862932>
    }
    triangle {
      < 3.079663, -0.971906, -0.862992>,
      < 3.079663, -0.926810, -0.867558>,
      < 3.181802, -0.971900, -0.862932>
    }
    triangle {
      < 3.074631, -1.138964, -0.846082>,
      < 3.181802, -1.138958, -0.846019>,
      < 3.221425, -1.186986, -0.841133>
    }
    triangle {
      < 3.074631, -1.186995, -0.841220>,
      < 3.074631, -1.138964, -0.846082>,
      < 3.221425, -1.186986, -0.841133>
    }
    triangle {
      < 3.051864, -1.122788, -0.847734>,
      < 3.053185, -1.106443, -0.849388>,
      < 3.051864, -1.122788, -0.847734>
    }
    triangle {
      < 3.049348, -1.135529, -0.846445>,
      < 3.053185, -1.106443, -0.849388>,
      < 3.051864, -1.122788, -0.847734>
    }
    triangle {
      < 3.048908, -0.980122, -0.862179>,
      < 3.050040, -0.997893, -0.860379>,
      < 3.048876, -1.015621, -0.858585>
    }
    triangle {
      < 3.048876, -1.015621, -0.858585>,
      < 3.048908, -0.980122, -0.862179>,
      < 3.048876, -1.015621, -0.858585>
    }
    triangle {
      < 3.046801, -0.969393, -0.863266>,
      < 3.048908, -0.980122, -0.862179>,
      < 3.048876, -1.015621, -0.858585>
    }
    triangle {
      < 3.045700, -1.030039, -0.857127>,
      < 3.046801, -0.969393, -0.863266>,
      < 3.048876, -1.015621, -0.858585>
    }
    triangle {
      < 3.046801, -0.969393, -0.863266>,
      < 3.046801, -0.969393, -0.863266>,
      < 3.045700, -1.030039, -0.857127>
    }
    triangle {
      < 3.045700, -1.030039, -0.857127>,
      < 3.046801, -0.969393, -0.863266>,
      < 3.045700, -1.030039, -0.857127>
    }
    triangle {
      < 3.044851, -1.148564, -0.845128>,
      < 3.053185, -1.106443, -0.849388>,
      < 3.049348, -1.135529, -0.846445>
    }
    triangle {
      < 3.044851, -1.148564, -0.845128>,
      < 3.053185, -1.106443, -0.849388>,
      < 3.044851, -1.148564, -0.845128>
    }
    triangle {
      < 3.042241, -0.956904, -0.864533>,
      < 3.046801, -0.969393, -0.863266>,
      < 3.045700, -1.030039, -0.857127>
    }
    triangle {
      < 3.040197, -1.043074, -0.855811>,
      < 3.042241, -0.956904, -0.864533>,
      < 3.045700, -1.030039, -0.857127>
    }
    triangle {
      < 3.040197, -1.043074, -0.855811>,
      < 3.042241, -0.956904, -0.864533>,
      < 3.040197, -1.043074, -0.855811>
    }
    triangle {
      < 3.042241, -0.956904, -0.864533>,
      < 3.042241, -0.956904, -0.864533>,
      < 3.040197, -1.043074, -0.855811>
    }
    triangle {
      < 3.038750, -1.160090, -0.843965>,
      < 3.053185, -1.106443, -0.849388>,
      < 3.044851, -1.148564, -0.845128>
    }
    triangle {
      < 3.038750, -1.160090, -0.843965>,
      < 3.053185, -1.106443, -0.849388>,
      < 3.038750, -1.160090, -0.843965>
    }
    triangle {
      < 3.028908, -1.056821, -0.854426>,
      < 3.042241, -0.956904, -0.864533>,
      < 3.040197, -1.043074, -0.855811>
    }
    triangle {
      < 3.028908, -1.056821, -0.854426>,
      < 3.042241, -0.956904, -0.864533>,
      < 3.028908, -1.056821, -0.854426>
    }
    triangle {
      < 3.033908, -0.943577, -0.865887>,
      < 3.042241, -0.956904, -0.864533>,
      < 3.028908, -1.056821, -0.854426>
    }
    triangle {
      < 3.033908, -0.943577, -0.865887>,
      < 3.033908, -0.943577, -0.865887>,
      < 3.028908, -1.056821, -0.854426>
    }
    triangle {
      < 3.029316, -1.172245, -0.842740>,
      < 3.053185, -1.106443, -0.849388>,
      < 3.038750, -1.160090, -0.843965>
    }
    triangle {
      < 3.029316, -1.172245, -0.842740>,
      < 3.053185, -1.106443, -0.849388>,
      < 3.029316, -1.172245, -0.842740>
    }
    triangle {
      < 3.028908, -1.056821, -0.854426>,
      < 3.033908, -0.943577, -0.865887>,
      < 3.028908, -1.056821, -0.854426>
    }
    triangle {
      < 3.023216, -0.933225, -0.866942>,
      < 3.033908, -0.943577, -0.865887>,
      < 3.028908, -1.056821, -0.854426>
    }
    triangle {
      < 3.023216, -0.933225, -0.866942>,
      < 3.023216, -0.933225, -0.866942>,
      < 3.028908, -1.056821, -0.854426>
    }
    triangle {
      < 3.019411, -1.063527, -0.853752>,
      < 3.023216, -0.933225, -0.866942>,
      < 3.028908, -1.056821, -0.854426>
    }
    triangle {
      < 3.017807, -1.182220, -0.841737>,
      < 3.053185, -1.106443, -0.849388>,
      < 3.029316, -1.172245, -0.842740>
    }
    triangle {
      < 3.017807, -1.182220, -0.841737>,
      < 3.053185, -1.106443, -0.849388>,
      < 3.017807, -1.182220, -0.841737>
    }
    triangle {
      < 3.013373, -1.106445, -0.849411>,
      < 3.053185, -1.106443, -0.849388>,
      < 3.017807, -1.182220, -0.841737>
    }
    triangle {
      < 3.011549, -1.117090, -0.848334>,
      < 3.013373, -1.106445, -0.849411>,
      < 3.017807, -1.182220, -0.841737>
    }
    triangle {
      < 3.011297, -0.994626, -0.860733>,
      < 3.023216, -0.933225, -0.866942>,
      < 3.019411, -1.063527, -0.853752>
    }
    triangle {
      < 3.011297, -0.994626, -0.860733>,
      < 3.011297, -0.994626, -0.860733>,
      < 3.019411, -1.063527, -0.853752>
    }
    triangle {
      < 3.009159, -0.980963, -0.862117>,
      < 3.023216, -0.933225, -0.866942>,
      < 3.011297, -0.994626, -0.860733>
    }
    triangle {
      < 3.009159, -0.980963, -0.862117>,
      < 3.023216, -0.933225, -0.866942>,
      < 3.009159, -0.980963, -0.862117>
    }
    triangle {
      < 3.010417, -1.068054, -0.853299>,
      < 3.011297, -0.994626, -0.860733>,
      < 3.019411, -1.063527, -0.853752>
    }
    triangle {
      < 3.011297, -0.994626, -0.860733>,
      < 3.011297, -0.994626, -0.860733>,
      < 3.010417, -1.068054, -0.853299>
    }
    triangle {
      < 3.011549, -1.117090, -0.848334>,
      < 3.011549, -1.117090, -0.848334>,
      < 3.017807, -1.182220, -0.841737>
    }
    triangle {
      < 3.009977, -1.005774, -0.859605>,
      < 3.011297, -0.994626, -0.860733>,
      < 3.010417, -1.068054, -0.853299>
    }
    triangle {
      < 3.009159, -0.980963, -0.862117>,
      < 3.023216, -0.933225, -0.866942>,
      < 3.009159, -0.980963, -0.862117>
    }
    triangle {
      < 3.009159, -0.980963, -0.862117>,
      < 3.023216, -0.933225, -0.866942>,
      < 3.009159, -0.980963, -0.862117>
    }
    triangle {
      < 3.009977, -1.005774, -0.859605>,
      < 3.009977, -1.005774, -0.859605>,
      < 3.010417, -1.068054, -0.853299>
    }
    triangle {
      < 3.008278, -0.925053, -0.867778>,
      < 3.023216, -0.933225, -0.866942>,
      < 3.009159, -0.980963, -0.862117>
    }
    triangle {
      < 3.007807, -1.127778, -0.847255>,
      < 3.011549, -1.117090, -0.848334>,
      < 3.017807, -1.182220, -0.841737>
    }
    triangle {
      < 3.009977, -1.005774, -0.859605>,
      < 3.009977, -1.005774, -0.859605>,
      < 3.010417, -1.068054, -0.853299>
    }
    triangle {
      < 3.002995, -0.971952, -0.863033>,
      < 3.008278, -0.925053, -0.867778>,
      < 3.009159, -0.980963, -0.862117>
    }
    triangle {
      < 3.008278, -0.925053, -0.867778>,
      < 3.008278, -0.925053, -0.867778>,
      < 3.002995, -0.971952, -0.863033>
    }
    triangle {
      < 3.007807, -1.127778, -0.847255>,
      < 3.007807, -1.127778, -0.847255>,
      < 3.017807, -1.182220, -0.841737>
    }
    triangle {
      < 3.002995, -0.971952, -0.863033>,
      < 3.008278, -0.925053, -0.867778>,
      < 3.002995, -0.971952, -0.863033>
    }
    triangle {
      < 3.005668, -1.188843, -0.841074>,
      < 3.007807, -1.127778, -0.847255>,
      < 3.017807, -1.182220, -0.841737>
    }
    triangle {
      < 3.005668, -1.188843, -0.841074>,
      < 3.007807, -1.127778, -0.847255>,
      < 3.005668, -1.188843, -0.841074>
    }
    triangle {
      < 3.009977, -1.005774, -0.859605>,
      < 3.009977, -1.005774, -0.859605>,
      < 3.010417, -1.068054, -0.853299>
    }
    triangle {
      < 3.004065, -1.014828, -0.858692>,
      < 3.009977, -1.005774, -0.859605>,
      < 3.010417, -1.068054, -0.853299>
    }
    triangle {
      < 3.002995, -0.971952, -0.863033>,
      < 3.008278, -0.925053, -0.867778>,
      < 3.002995, -0.971952, -0.863033>
    }
    triangle {
      < 3.007807, -1.127778, -0.847255>,
      < 3.007807, -1.127778, -0.847255>,
      < 3.005668, -1.188843, -0.841074>
    }
    triangle {
      < 3.002995, -0.971952, -0.863033>,
      < 3.008278, -0.925053, -0.867778>,
      < 3.002995, -0.971952, -0.863033>
    }
    triangle {
      < 3.007807, -1.127778, -0.847255>,
      < 3.007807, -1.127778, -0.847255>,
      < 3.005668, -1.188843, -0.841074>
    }
    triangle {
      < 3.004065, -1.014828, -0.858692>,
      < 3.004065, -1.014828, -0.858692>,
      < 3.010417, -1.068054, -0.853299>
    }
    triangle {
      < 3.004065, -1.014828, -0.858692>,
      < 3.004065, -1.014828, -0.858692>,
      < 3.010417, -1.068054, -0.853299>
    }
    triangle {
      < 2.993310, -0.965960, -0.863646>,
      < 3.008278, -0.925053, -0.867778>,
      < 3.002995, -0.971952, -0.863033>
    }
    triangle {
      < 2.997461, -1.140604, -0.845962>,
      < 3.007807, -1.127778, -0.847255>,
      < 3.005668, -1.188843, -0.841074>
    }
    triangle {
      < 2.997209, -1.072917, -0.852815>,
      < 3.004065, -1.014828, -0.858692>,
      < 3.010417, -1.068054, -0.853299>
    }
    triangle {
      < 2.997461, -1.140604, -0.845962>,
      < 2.997461, -1.140604, -0.845962>,
      < 3.005668, -1.188843, -0.841074>
    }
    triangle {
      < 2.994756, -0.921282, -0.868168>,
      < 3.008278, -0.925053, -0.867778>,
      < 2.993310, -0.965960, -0.863646>
    }
    triangle {
      < 2.993310, -0.965960, -0.863646>,
      < 2.994756, -0.921282, -0.868168>,
      < 2.993310, -0.965960, -0.863646>
    }
    triangle {
      < 2.993121, -1.020696, -0.858104>,
      < 3.004065, -1.014828, -0.858692>,
      < 2.997209, -1.072917, -0.852815>
    }
    triangle {
      < 2.992807, -1.192532, -0.840708>,
      < 2.997461, -1.140604, -0.845962>,
      < 3.005668, -1.188843, -0.841074>
    }
    triangle {
      < 2.997461, -1.140604, -0.845962>,
      < 2.997461, -1.140604, -0.845962>,
      < 2.992807, -1.192532, -0.840708>
    }
    triangle {
      < 2.997461, -1.140604, -0.845962>,
      < 2.997461, -1.140604, -0.845962>,
      < 2.992807, -1.192532, -0.840708>
    }
    triangle {
      < 2.993121, -1.020696, -0.858104>,
      < 2.993121, -1.020696, -0.858104>,
      < 2.997209, -1.072917, -0.852815>
    }
    triangle {
      < 2.978215, -0.963362, -0.863918>,
      < 2.994756, -0.921282, -0.868168>,
      < 2.993310, -0.965960, -0.863646>
    }
    triangle {
      < 2.985637, -1.076354, -0.852474>,
      < 2.993121, -1.020696, -0.858104>,
      < 2.997209, -1.072917, -0.852815>
    }
    triangle {
      < 2.982555, -1.147520, -0.845271>,
      < 2.997461, -1.140604, -0.845962>,
      < 2.992807, -1.192532, -0.840708>
    }
    triangle {
      < 2.978215, -0.963362, -0.863918>,
      < 2.994756, -0.921282, -0.868168>,
      < 2.978215, -0.963362, -0.863918>
    }
    triangle {
      < 2.977964, -0.919607, -0.868347>,
      < 2.994756, -0.921282, -0.868168>,
      < 2.978215, -0.963362, -0.863918>
    }
    triangle {
      < 2.974442, -1.026732, -0.857504>,
      < 2.993121, -1.020696, -0.858104>,
      < 2.985637, -1.076354, -0.852474>
    }
    triangle {
      < 2.972744, -1.194126, -0.840559>,
      < 2.982555, -1.147520, -0.845271>,
      < 2.992807, -1.192532, -0.840708>
    }
    triangle {
      < 2.963498, -1.083481, -0.851766>,
      < 2.974442, -1.026732, -0.857504>,
      < 2.985637, -1.076354, -0.852474>
    }
    triangle {
      < 2.971863, -1.148694, -0.845159>,
      < 2.982555, -1.147520, -0.845271>,
      < 2.972744, -1.194126, -0.840559>
    }
    triangle {
      < 2.961234, -0.966297, -0.863631>,
      < 2.977964, -0.919607, -0.868347>,
      < 2.978215, -0.963362, -0.863918>
    }
    triangle {
      < 2.964064, -1.030086, -0.857171>,
      < 2.974442, -1.026732, -0.857504>,
      < 2.963498, -1.083481, -0.851766>
    }
    triangle {
      < 2.963498, -1.083481, -0.851766>,
      < 2.964064, -1.030086, -0.857171>,
      < 2.963498, -1.083481, -0.851766>
    }
    triangle {
      < 2.961234, -0.966297, -0.863631>,
      < 2.977964, -0.919607, -0.868347>,
      < 2.961234, -0.966297, -0.863631>
    }
    triangle {
      < 2.961360, -1.148359, -0.845199>,
      < 2.971863, -1.148694, -0.845159>,
      < 2.972744, -1.194126, -0.840559>
    }
    triangle {
      < 2.961234, -0.966297, -0.863631>,
      < 2.977964, -0.919607, -0.868347>,
      < 2.961234, -0.966297, -0.863631>
    }
    triangle {
      < 2.960228, -0.920530, -0.868264>,
      < 2.977964, -0.919607, -0.868347>,
      < 2.961234, -0.966297, -0.863631>
    }
    triangle {
      < 2.954882, -1.192869, -0.840696>,
      < 2.961360, -1.148359, -0.845199>,
      < 2.972744, -1.194126, -0.840559>
    }
    triangle {
      < 2.947869, -0.975979, -0.862658>,
      < 2.960228, -0.920530, -0.868264>,
      < 2.961234, -0.966297, -0.863631>
    }
    triangle {
      < 2.961360, -1.148359, -0.845199>,
      < 2.961360, -1.148359, -0.845199>,
      < 2.954882, -1.192869, -0.840696>
    }
    triangle {
      < 2.947869, -0.975979, -0.862658>,
      < 2.960228, -0.920530, -0.868264>,
      < 2.947869, -0.975979, -0.862658>
    }
    triangle {
      < 2.944850, -1.091780, -0.850936>,
      < 2.964064, -1.030086, -0.857171>,
      < 2.963498, -1.083481, -0.851766>
    }
    triangle {
      < 2.951486, -1.034361, -0.856746>,
      < 2.964064, -1.030086, -0.857171>,
      < 2.944850, -1.091780, -0.850936>
    }
    triangle {
      < 2.947869, -0.975979, -0.862658>,
      < 2.960228, -0.920530, -0.868264>,
      < 2.947869, -0.975979, -0.862658>
    }
    triangle {
      < 2.947869, -0.975979, -0.862658>,
      < 2.960228, -0.920530, -0.868264>,
      < 2.947869, -0.975979, -0.862658>
    }
    triangle {
      < 2.947586, -0.923548, -0.867966>,
      < 2.960228, -0.920530, -0.868264>,
      < 2.947869, -0.975979, -0.862658>
    }
    triangle {
      < 2.947586, -1.144295, -0.845618>,
      < 2.961360, -1.148359, -0.845199>,
      < 2.954882, -1.192869, -0.840696>
    }
    triangle {
      < 2.947586, -1.144295, -0.845618>,
      < 2.947586, -1.144295, -0.845618>,
      < 2.954882, -1.192869, -0.840696>
    }
    triangle {
      < 2.944850, -1.091780, -0.850936>,
      < 2.951486, -1.034361, -0.856746>,
      < 2.944850, -1.091780, -0.850936>
    }
    triangle {
      < 2.944850, -1.091780, -0.850936>,
      < 2.951486, -1.034361, -0.856746>,
      < 2.944850, -1.091780, -0.850936>
    }
    triangle {
      < 2.941674, -0.988008, -0.861444>,
      < 2.947586, -0.923548, -0.867966>,
      < 2.947869, -0.975979, -0.862658>
    }
    triangle {
      < 2.941674, -0.988008, -0.861444>,
      < 2.947586, -0.923548, -0.867966>,
      < 2.941674, -0.988008, -0.861444>
    }
    triangle {
      < 2.947586, -1.144295, -0.845618>,
      < 2.947586, -1.144295, -0.845618>,
      < 2.954882, -1.192869, -0.840696>
    }
    triangle {
      < 2.940102, -1.188972, -0.841100>,
      < 2.947586, -1.144295, -0.845618>,
      < 2.954882, -1.192869, -0.840696>
    }
    triangle {
      < 2.947586, -1.144295, -0.845618>,
      < 2.947586, -1.144295, -0.845618>,
      < 2.940102, -1.188972, -0.841100>
    }
    triangle {
      < 2.941674, -0.988008, -0.861444>,
      < 2.947586, -0.923548, -0.867966>,
      < 2.941674, -0.988008, -0.861444>
    }
    triangle {
      < 2.937775, -1.098822, -0.850228>,
      < 2.951486, -1.034361, -0.856746>,
      < 2.944850, -1.091780, -0.850936>
    }
    triangle {
      < 2.939347, -1.002090, -0.860020>,
      < 2.947586, -0.923548, -0.867966>,
      < 2.941674, -0.988008, -0.861444>
    }
    triangle {
      < 2.937775, -1.098822, -0.850228>,
      < 2.951486, -1.034361, -0.856746>,
      < 2.937775, -1.098822, -0.850228>
    }
    triangle {
      < 2.940102, -1.188972, -0.841100>,
      < 2.947586, -1.144295, -0.845618>,
      < 2.940102, -1.188972, -0.841100>
    }
    triangle {
      < 2.939347, -1.002090, -0.860020>,
      < 2.947586, -0.923548, -0.867966>,
      < 2.939347, -1.002090, -0.860020>
    }
    triangle {
      < 2.939033, -1.136542, -0.846408>,
      < 2.947586, -1.144295, -0.845618>,
      < 2.940102, -1.188972, -0.841100>
    }
    triangle {
      < 2.939033, -1.136542, -0.846408>,
      < 2.939033, -1.136542, -0.846408>,
      < 2.940102, -1.188972, -0.841100>
    }
    triangle {
      < 2.937775, -1.098822, -0.850228>,
      < 2.951486, -1.034361, -0.856746>,
      < 2.937775, -1.098822, -0.850228>
    }
    triangle {
      < 2.936957, -1.039811, -0.856203>,
      < 2.951486, -1.034361, -0.856746>,
      < 2.937775, -1.098822, -0.850228>
    }
    triangle {
      < 2.933938, -1.109635, -0.849135>,
      < 2.936957, -1.039811, -0.856203>,
      < 2.937775, -1.098822, -0.850228>
    }
    triangle {
      < 2.939033, -1.136542, -0.846408>,
      < 2.939033, -1.136542, -0.846408>,
      < 2.940102, -1.188972, -0.841100>
    }
    triangle {
      < 2.935699, -0.929333, -0.867388>,
      < 2.947586, -0.923548, -0.867966>,
      < 2.939347, -1.002090, -0.860020>
    }
    triangle {
      < 2.939033, -1.136542, -0.846408>,
      < 2.939033, -1.136542, -0.846408>,
      < 2.940102, -1.188972, -0.841100>
    }
    triangle {
      < 2.933938, -1.109635, -0.849135>,
      < 2.936957, -1.039811, -0.856203>,
      < 2.933938, -1.109635, -0.849135>
    }
    triangle {
      < 2.933938, -1.109635, -0.849135>,
      < 2.936957, -1.039811, -0.856203>,
      < 2.933938, -1.109635, -0.849135>
    }
    triangle {
      < 2.935699, -0.929333, -0.867388>,
      < 2.935699, -0.929333, -0.867388>,
      < 2.939347, -1.002090, -0.860020>
    }
    triangle {
      < 2.934284, -1.125394, -0.847540>,
      < 2.939033, -1.136542, -0.846408>,
      < 2.940102, -1.188972, -0.841100>
    }
    triangle {
      < 2.933938, -1.109635, -0.849135>,
      < 2.936957, -1.039811, -0.856203>,
      < 2.933938, -1.109635, -0.849135>
    }
    triangle {
      < 2.933938, -1.109635, -0.849135>,
      < 2.936957, -1.039811, -0.856203>,
      < 2.933938, -1.109635, -0.849135>
    }
    triangle {
      < 2.934284, -1.125394, -0.847540>,
      < 2.934284, -1.125394, -0.847540>,
      < 2.940102, -1.188972, -0.841100>
    }
    triangle {
      < 2.934284, -1.125394, -0.847540>,
      < 2.936957, -1.039811, -0.856203>,
      < 2.933938, -1.109635, -0.849135>
    }
    triangle {
      < 2.936957, -1.039811, -0.856203>,
      < 2.936957, -1.039811, -0.856203>,
      < 2.934284, -1.125394, -0.847540>
    }
    triangle {
      < 2.936957, -1.039811, -0.856203>,
      < 2.934284, -1.125394, -0.847540>,
      < 2.934284, -1.125394, -0.847540>
    }
    triangle {
      < 2.924253, -1.180340, -0.841983>,
      < 2.934284, -1.125394, -0.847540>,
      < 2.940102, -1.188972, -0.841100>
    }
    triangle {
      < 2.924253, -1.180340, -0.841983>,
      < 2.934284, -1.125394, -0.847540>,
      < 2.934284, -1.125394, -0.847540>
    }
    triangle {
      < 2.924253, -1.180340, -0.841983>,
      < 2.936957, -1.039811, -0.856203>,
      < 2.934284, -1.125394, -0.847540>
    }
    triangle {
      < 2.924819, -0.937800, -0.866537>,
      < 2.935699, -0.929333, -0.867388>,
      < 2.939347, -1.002090, -0.860020>
    }
    triangle {
      < 2.924253, -1.180340, -0.841983>,
      < 2.936957, -1.039811, -0.856203>,
      < 2.924253, -1.180340, -0.841983>
    }
    triangle {
      < 2.924819, -0.937800, -0.866537>,
      < 2.924819, -0.937800, -0.866537>,
      < 2.939347, -1.002090, -0.860020>
    }
    triangle {
      < 2.917963, -1.050457, -0.855136>,
      < 2.936957, -1.039811, -0.856203>,
      < 2.924253, -1.180340, -0.841983>
    }
    triangle {
      < 2.915385, -0.949116, -0.865397>,
      < 2.924819, -0.937800, -0.866537>,
      < 2.939347, -1.002090, -0.860020>
    }
    triangle {
      < 2.912460, -1.168941, -0.843144>,
      < 2.917963, -1.050457, -0.855136>,
      < 2.924253, -1.180340, -0.841983>
    }
    triangle {
      < 2.915385, -0.949116, -0.865397>,
      < 2.915385, -0.949116, -0.865397>,
      < 2.939347, -1.002090, -0.860020>
    }
    triangle {
      < 2.912460, -1.168941, -0.843144>,
      < 2.917963, -1.050457, -0.855136>,
      < 2.912460, -1.168941, -0.843144>
    }
    triangle {
      < 2.917963, -1.050457, -0.855136>,
      < 2.917963, -1.050457, -0.855136>,
      < 2.912460, -1.168941, -0.843144>
    }
    triangle {
      < 2.910353, -1.057499, -0.854428>,
      < 2.917963, -1.050457, -0.855136>,
      < 2.912460, -1.168941, -0.843144>
    }
    triangle {
      < 2.908938, -0.960894, -0.864209>,
      < 2.915385, -0.949116, -0.865397>,
      < 2.939347, -1.002090, -0.860020>
    }
    triangle {
      < 2.908938, -0.960894, -0.864209>,
      < 2.908938, -0.960894, -0.864209>,
      < 2.939347, -1.002090, -0.860020>
    }
    triangle {
      < 2.903183, -1.154314, -0.844630>,
      < 2.910353, -1.057499, -0.854428>,
      < 2.912460, -1.168941, -0.843144>
    }
    triangle {
      < 2.910353, -1.057499, -0.854428>,
      < 2.910353, -1.057499, -0.854428>,
      < 2.903183, -1.154314, -0.844630>
    }
    triangle {
      < 2.904221, -0.974766, -0.862807>,
      < 2.908938, -0.960894, -0.864209>,
      < 2.939347, -1.002090, -0.860020>
    }
    triangle {
      < 2.904221, -0.974766, -0.862807>,
      < 2.904221, -0.974766, -0.862807>,
      < 2.939347, -1.002090, -0.860020>
    }
    triangle {
      < 2.903183, -1.154314, -0.844630>,
      < 2.910353, -1.057499, -0.854428>,
      < 2.903183, -1.154314, -0.844630>
    }
    triangle {
      < 2.902743, -1.068312, -0.853337>,
      < 2.910353, -1.057499, -0.854428>,
      < 2.903183, -1.154314, -0.844630>
    }
    triangle {
      < 2.901863, -0.987843, -0.861485>,
      < 2.904221, -0.974766, -0.862807>,
      < 2.939347, -1.002090, -0.860020>
    }
    triangle {
      < 2.901863, -0.987843, -0.861485>,
      < 2.901863, -0.987843, -0.861485>,
      < 2.939347, -1.002090, -0.860020>
    }
    triangle {
      < 2.900856, -1.002093, -0.860043>,
      < 2.901863, -0.987843, -0.861485>,
      < 2.939347, -1.002090, -0.860020>
    }
    triangle {
      < 2.902743, -1.068312, -0.853337>,
      < 2.902743, -1.068312, -0.853337>,
      < 2.903183, -1.154314, -0.844630>
    }
    triangle {
      < 2.898057, -1.140777, -0.846004>,
      < 2.902743, -1.068312, -0.853337>,
      < 2.903183, -1.154314, -0.844630>
    }
    triangle {
      < 2.898057, -1.140777, -0.846004>,
      < 2.902743, -1.068312, -0.853337>,
      < 2.898057, -1.140777, -0.846004>
    }
    triangle {
      < 2.897586, -1.080718, -0.852085>,
      < 2.902743, -1.068312, -0.853337>,
      < 2.898057, -1.140777, -0.846004>
    }
    triangle {
      < 2.895447, -1.128581, -0.847240>,
      < 2.897586, -1.080718, -0.852085>,
      < 2.898057, -1.140777, -0.846004>
    }
    triangle {
      < 2.897586, -1.080718, -0.852085>,
      < 2.897586, -1.080718, -0.852085>,
      < 2.895447, -1.128581, -0.847240>
    }
    triangle {
      < 2.894944, -1.093292, -0.850813>,
      < 2.897586, -1.080718, -0.852085>,
      < 2.895447, -1.128581, -0.847240>
    }
    triangle {
      < 2.894064, -1.110308, -0.849091>,
      < 2.894944, -1.093292, -0.850813>,
      < 2.895447, -1.128581, -0.847240>
    }
    texture {MTL_Blue}
  }
  union {
    triangle {
      < -0.207892, -1.272476, 0.001320>,
      < 0.092108, -1.280032, 0.001229>,
      < 0.171884, -1.269171, 0.138030>
    }
    triangle {
      < -0.207892, -1.272476, 0.001320>,
      < 0.171884, -1.269171, 0.138030>,
      < -0.076872, -1.264713, 0.149401>
    }
    triangle {
      < -0.076872, -1.264713, 0.149401>,
      < 0.171884, -1.269171, 0.138030>,
      < 0.362038, -1.219791, 0.242536>
    }
    triangle {
      < -0.076872, -1.264713, 0.149401>,
      < 0.362038, -1.219791, 0.242536>,
      < 0.223158, -1.218101, 0.253873>
    }
    triangle {
      < 0.223158, -1.218101, 0.253873>,
      < 0.362038, -1.219791, 0.242536>,
      < 0.692201, -1.132640, 0.314737>
    }
    triangle {
      < 0.223158, -1.218101, 0.253873>,
      < 0.692201, -1.132640, 0.314737>,
      < 0.692201, -1.132640, 0.314737>
    }
    triangle {
      < 0.092108, -1.280032, 0.001229>,
      < 0.392108, -1.287588, 0.001138>,
      < 0.443383, -1.272651, 0.116970>
    }
    triangle {
      < 0.092108, -1.280032, 0.001229>,
      < 0.443383, -1.272651, 0.116970>,
      < 0.171884, -1.269171, 0.138030>
    }
    triangle {
      < 0.171884, -1.269171, 0.138030>,
      < 0.443383, -1.272651, 0.116970>,
      < 0.553290, -1.221250, 0.221500>
    }
    triangle {
      < 0.171884, -1.269171, 0.138030>,
      < 0.553290, -1.221250, 0.221500>,
      < 0.362038, -1.219791, 0.242536>
    }
    triangle {
      < 0.362038, -1.219791, 0.242536>,
      < 0.553290, -1.221250, 0.221500>,
      < 0.692201, -1.132640, 0.314737>
    }
    triangle {
      < 0.362038, -1.219791, 0.242536>,
      < 0.692201, -1.132640, 0.314737>,
      < 0.692201, -1.132640, 0.314737>
    }
    triangle {
      < 0.392108, -1.287588, 0.001138>,
      < 0.692108, -1.295143, 0.001047>,
      < 0.692138, -1.277108, 0.105600>
    }
    triangle {
      < 0.392108, -1.287588, 0.001138>,
      < 0.692138, -1.277108, 0.105600>,
      < 0.443383, -1.272651, 0.116970>
    }
    triangle {
      < 0.443383, -1.272651, 0.116970>,
      < 0.692138, -1.277108, 0.105600>,
      < 0.692170, -1.222940, 0.210163>
    }
    triangle {
      < 0.443383, -1.272651, 0.116970>,
      < 0.692170, -1.222940, 0.210163>,
      < 0.553290, -1.221250, 0.221500>
    }
    triangle {
      < 0.553290, -1.221250, 0.221500>,
      < 0.692170, -1.222940, 0.210163>,
      < 0.692201, -1.132640, 0.314737>
    }
    triangle {
      < 0.553290, -1.221250, 0.221500>,
      < 0.692201, -1.132640, 0.314737>,
      < 0.692201, -1.132640, 0.314737>
    }
    triangle {
      < -0.207892, -1.272476, 0.001320>,
      < -0.076872, -1.264713, 0.149401>,
      < 0.027403, -1.208191, 0.318928>
    }
    triangle {
      < -0.207892, -1.272476, 0.001320>,
      < 0.027403, -1.208191, 0.318928>,
      < -0.116991, -1.224488, 0.240669>
    }
    triangle {
      < -0.116991, -1.224488, 0.240669>,
      < 0.027403, -1.208191, 0.318928>,
      < 0.183412, -1.042137, 0.402517>
    }
    triangle {
      < -0.116991, -1.224488, 0.240669>,
      < 0.183412, -1.042137, 0.402517>,
      < 0.001007, -1.036535, 0.386883>
    }
    triangle {
      < 0.001007, -1.036535, 0.386883>,
      < 0.183412, -1.042137, 0.402517>,
      < 0.330969, -0.767757, 0.434758>
    }
    triangle {
      < 0.001007, -1.036535, 0.386883>,
      < 0.330969, -0.767757, 0.434758>,
      < 0.150340, -0.701870, 0.445210>
    }
    triangle {
      < -0.076872, -1.264713, 0.149401>,
      < 0.223158, -1.218101, 0.253873>,
      < 0.297431, -1.139435, 0.340268>
    }
    triangle {
      < -0.076872, -1.264713, 0.149401>,
      < 0.297431, -1.139435, 0.340268>,
      < 0.027403, -1.208191, 0.318928>
    }
    triangle {
      < 0.027403, -1.208191, 0.318928>,
      < 0.297431, -1.139435, 0.340268>,
      < 0.422182, -1.002361, 0.393974>
    }
    triangle {
      < 0.027403, -1.208191, 0.318928>,
      < 0.422182, -1.002361, 0.393974>,
      < 0.183412, -1.042137, 0.402517>
    }
    triangle {
      < 0.183412, -1.042137, 0.402517>,
      < 0.422182, -1.002361, 0.393974>,
      < 0.511601, -0.833644, 0.424306>
    }
    triangle {
      < 0.183412, -1.042137, 0.402517>,
      < 0.511601, -0.833644, 0.424306>,
      < 0.330969, -0.767757, 0.434758>
    }
    triangle {
      < 0.223158, -1.218101, 0.253873>,
      < 0.692201, -1.132640, 0.314737>,
      < 0.692212, -1.065584, 0.353922>
    }
    triangle {
      < 0.223158, -1.218101, 0.253873>,
      < 0.692212, -1.065584, 0.353922>,
      < 0.297431, -1.139435, 0.340268>
    }
    triangle {
      < 0.297431, -1.139435, 0.340268>,
      < 0.692212, -1.065584, 0.353922>,
      < 0.692222, -0.987819, 0.386996>
    }
    triangle {
      < 0.297431, -1.139435, 0.340268>,
      < 0.692222, -0.987819, 0.386996>,
      < 0.422182, -1.002361, 0.393974>
    }
    triangle {
      < 0.422182, -1.002361, 0.393974>,
      < 0.692222, -0.987819, 0.386996>,
      < 0.692231, -0.899531, 0.413855>
    }
    triangle {
      < 0.422182, -1.002361, 0.393974>,
      < 0.692231, -0.899531, 0.413855>,
      < 0.511601, -0.833644, 0.424306>
    }
    triangle {
      < -5.637884, -0.902041, 0.323039>,
      < -5.091384, -0.845546, 0.352114>,
      < -4.717912, -0.727302, 0.351243>
    }
    triangle {
      < -5.637884, -0.902041, 0.323039>,
      < -4.717912, -0.727302, 0.351243>,
      < -5.091233, -0.765604, 0.328866>
    }
    triangle {
      < -5.091233, -0.765604, 0.328866>,
      < -4.717912, -0.727302, 0.351243>,
      < -4.371402, -0.610976, 0.344914>
    }
    triangle {
      < -5.091233, -0.765604, 0.328866>,
      < -4.371402, -0.610976, 0.344914>,
      < -4.544582, -0.629167, 0.334694>
    }
    triangle {
      < -4.544582, -0.629167, 0.334694>,
      < -4.371402, -0.610976, 0.344914>,
      < -3.997931, -0.492730, 0.340521>
    }
    triangle {
      < -4.544582, -0.629167, 0.334694>,
      < -3.997931, -0.492730, 0.340521>,
      < -3.997931, -0.492730, 0.340521>
    }
    triangle {
      < -5.091384, -0.845546, 0.352114>,
      < -4.543985, -0.783932, 0.359424>,
      < -4.370921, -0.688246, 0.358216>
    }
    triangle {
      < -5.091384, -0.845546, 0.352114>,
      < -4.370921, -0.688246, 0.358216>,
      < -4.717912, -0.727302, 0.351243>
    }
    triangle {
      < -4.717912, -0.727302, 0.351243>,
      < -4.370921, -0.688246, 0.358216>,
      < -4.170993, -0.588419, 0.351790>
    }
    triangle {
      < -4.717912, -0.727302, 0.351243>,
      < -4.170993, -0.588419, 0.351790>,
      < -4.371402, -0.610976, 0.344914>
    }
    triangle {
      < -4.371402, -0.610976, 0.344914>,
      < -4.170993, -0.588419, 0.351790>,
      < -3.997931, -0.492730, 0.340521>
    }
    triangle {
      < -4.371402, -0.610976, 0.344914>,
      < -3.997931, -0.492730, 0.340521>,
      < -3.997931, -0.492730, 0.340521>
    }
    triangle {
      < -4.543985, -0.783932, 0.359424>,
      < -3.997922, -0.717450, 0.371017>,
      < -3.997923, -0.642545, 0.367644>
    }
    triangle {
      < -4.543985, -0.783932, 0.359424>,
      < -3.997923, -0.642545, 0.367644>,
      < -4.370921, -0.688246, 0.358216>
    }
    triangle {
      < -4.370921, -0.688246, 0.358216>,
      < -3.997923, -0.642545, 0.367644>,
      < -3.997927, -0.567639, 0.357478>
    }
    triangle {
      < -4.370921, -0.688246, 0.358216>,
      < -3.997927, -0.567639, 0.357478>,
      < -4.170993, -0.588419, 0.351790>
    }
    triangle {
      < -4.170993, -0.588419, 0.351790>,
      < -3.997927, -0.567639, 0.357478>,
      < -3.997931, -0.492730, 0.340521>
    }
    triangle {
      < -4.170993, -0.588419, 0.351790>,
      < -3.997931, -0.492730, 0.340521>,
      < -3.997931, -0.492730, 0.340521>
    }
    triangle {
      < -5.606554, -1.220399, 0.002935>,
      < -5.070439, -1.231430, 0.002773>,
      < -5.075836, -1.181762, 0.205008>
    }
    triangle {
      < -5.606554, -1.220399, 0.002935>,
      < -5.075836, -1.181762, 0.205008>,
      < -5.614648, -1.185526, 0.180726>
    }
    triangle {
      < -5.614648, -1.185526, 0.180726>,
      < -5.075836, -1.181762, 0.205008>,
      < -5.085937, -1.046294, 0.317354>
    }
    triangle {
      < -5.614648, -1.185526, 0.180726>,
      < -5.085937, -1.046294, 0.317354>,
      < -5.629748, -1.079865, 0.287428>
    }
    triangle {
      < -5.629748, -1.079865, 0.287428>,
      < -5.085937, -1.046294, 0.317354>,
      < -5.091384, -0.845546, 0.352114>
    }
    triangle {
      < -5.629748, -1.079865, 0.287428>,
      < -5.091384, -0.845546, 0.352114>,
      < -5.637884, -0.902041, 0.323039>
    }
    triangle {
      < -5.070439, -1.231430, 0.002773>,
      < -4.534242, -1.238594, 0.002612>,
      < -4.536725, -1.176131, 0.238103>
    }
    triangle {
      < -5.070439, -1.231430, 0.002773>,
      < -4.536725, -1.176131, 0.238103>,
      < -5.075836, -1.181762, 0.205008>
    }
    triangle {
      < -5.075836, -1.181762, 0.205008>,
      < -4.536725, -1.176131, 0.238103>,
      < -4.541438, -1.012570, 0.338384>
    }
    triangle {
      < -5.075836, -1.181762, 0.205008>,
      < -4.541438, -1.012570, 0.338384>,
      < -5.085937, -1.046294, 0.317354>
    }
    triangle {
      < -5.085937, -1.046294, 0.317354>,
      < -4.541438, -1.012570, 0.338384>,
      < -4.543985, -0.783932, 0.359424>
    }
    triangle {
      < -5.085937, -1.046294, 0.317354>,
      < -4.543985, -0.783932, 0.359424>,
      < -5.091384, -0.845546, 0.352114>
    }
    triangle {
      < -4.534242, -1.238594, 0.002612>,
      < -3.998032, -1.243357, 0.002452>,
      < -3.997956, -1.165136, 0.257854>
    }
    triangle {
      < -4.534242, -1.238594, 0.002612>,
      < -3.997956, -1.165136, 0.257854>,
      < -4.536725, -1.176131, 0.238103>
    }
    triangle {
      < -4.536725, -1.176131, 0.238103>,
      < -3.997956, -1.165136, 0.257854>,
      < -3.997926, -0.969974, 0.355362>
    }
    triangle {
      < -4.536725, -1.176131, 0.238103>,
      < -3.997926, -0.969974, 0.355362>,
      < -4.541438, -1.012570, 0.338384>
    }
    triangle {
      < -4.541438, -1.012570, 0.338384>,
      < -3.997926, -0.969974, 0.355362>,
      < -3.997922, -0.717450, 0.371017>
    }
    triangle {
      < -4.541438, -1.012570, 0.338384>,
      < -3.997922, -0.717450, 0.371017>,
      < -4.543985, -0.783932, 0.359424>
    }
    triangle {
      < -3.997931, -0.492730, 0.340521>,
      < -3.997927, -0.567639, 0.357478>,
      < -3.087374, -0.555218, 0.373791>
    }
    triangle {
      < -3.997931, -0.492730, 0.340521>,
      < -3.087374, -0.555218, 0.373791>,
      < -3.305892, -0.491315, 0.357997>
    }
    triangle {
      < -3.305892, -0.491315, 0.357997>,
      < -3.087374, -0.555218, 0.373791>,
      < -2.144327, -0.557113, 0.390158>
    }
    triangle {
      < -3.305892, -0.491315, 0.357997>,
      < -2.144327, -0.557113, 0.390158>,
      < -2.616117, -0.506590, 0.375410>
    }
    triangle {
      < -2.616117, -0.506590, 0.375410>,
      < -2.144327, -0.557113, 0.390158>,
      < -1.235551, -0.581808, 0.410250>
    }
    triangle {
      < -2.616117, -0.506590, 0.375410>,
      < -1.235551, -0.581808, 0.410250>,
      < -1.927776, -0.536449, 0.392782>
    }
    triangle {
      < -3.997927, -0.567639, 0.357478>,
      < -3.997923, -0.642545, 0.367644>,
      < -2.835339, -0.618975, 0.383446>
    }
    triangle {
      < -3.997927, -0.567639, 0.357478>,
      < -2.835339, -0.618975, 0.383446>,
      < -3.087374, -0.555218, 0.373791>
    }
    triangle {
      < -3.087374, -0.555218, 0.373791>,
      < -2.835339, -0.618975, 0.383446>,
      < -1.707513, -0.613270, 0.400927>
    }
    triangle {
      < -3.087374, -0.555218, 0.373791>,
      < -1.707513, -0.613270, 0.400927>,
      < -2.144327, -0.557113, 0.390158>
    }
    triangle {
      < -2.144327, -0.557113, 0.390158>,
      < -1.707513, -0.613270, 0.400927>,
      < -0.543132, -0.637663, 0.427717>
    }
    triangle {
      < -2.144327, -0.557113, 0.390158>,
      < -0.543132, -0.637663, 0.427717>,
      < -1.235551, -0.581808, 0.410250>
    }
    triangle {
      < -3.997923, -0.642545, 0.367644>,
      < -3.997922, -0.717450, 0.371017>,
      < -2.616501, -0.687761, 0.389185>
    }
    triangle {
      < -3.997923, -0.642545, 0.367644>,
      < -2.616501, -0.687761, 0.389185>,
      < -2.835339, -0.618975, 0.383446>
    }
    triangle {
      < -2.835339, -0.618975, 0.383446>,
      < -2.616501, -0.687761, 0.389185>,
      < -1.234801, -0.677754, 0.412173>
    }
    triangle {
      < -2.835339, -0.618975, 0.383446>,
      < -1.234801, -0.677754, 0.412173>,
      < -1.707513, -0.613270, 0.400927>
    }
    triangle {
      < -1.707513, -0.613270, 0.400927>,
      < -1.234801, -0.677754, 0.412173>,
      < 0.150340, -0.701870, 0.445210>
    }
    triangle {
      < -1.707513, -0.613270, 0.400927>,
      < 0.150340, -0.701870, 0.445210>,
      < -0.543132, -0.637663, 0.427717>
    }
    triangle {
      < -2.734652, -1.253063, 0.002075>,
      < -2.704497, -1.175471, 0.253060>,
      < -3.997956, -1.165136, 0.257854>
    }
    triangle {
      < -2.734652, -1.253063, 0.002075>,
      < -3.997956, -1.165136, 0.257854>,
      < -3.998032, -1.243357, 0.002452>
    }
    triangle {
      < -1.471272, -1.262770, 0.001697>,
      < -1.411415, -1.200203, 0.241608>,
      < -2.704497, -1.175471, 0.253060>
    }
    triangle {
      < -1.471272, -1.262770, 0.001697>,
      < -2.704497, -1.175471, 0.253060>,
      < -2.734652, -1.253063, 0.002075>
    }
    triangle {
      < -0.207892, -1.272476, 0.001320>,
      < -0.116991, -1.224488, 0.240669>,
      < -1.411415, -1.200203, 0.241608>
    }
    triangle {
      < -0.207892, -1.272476, 0.001320>,
      < -1.411415, -1.200203, 0.241608>,
      < -1.471272, -1.262770, 0.001697>
    }
    triangle {
      < -2.704497, -1.175471, 0.253060>,
      < -2.661752, -0.968790, 0.362721>,
      < -3.997926, -0.969974, 0.355362>
    }
    triangle {
      < -2.704497, -1.175471, 0.253060>,
      < -3.997926, -0.969974, 0.355362>,
      < -3.997956, -1.165136, 0.257854>
    }
    triangle {
      < -1.411415, -1.200203, 0.241608>,
      < -1.337923, -0.997863, 0.368509>,
      < -2.661752, -0.968790, 0.362721>
    }
    triangle {
      < -1.411415, -1.200203, 0.241608>,
      < -2.661752, -0.968790, 0.362721>,
      < -2.704497, -1.175471, 0.253060>
    }
    triangle {
      < -0.116991, -1.224488, 0.240669>,
      < 0.001007, -1.036535, 0.386883>,
      < -1.337923, -0.997863, 0.368509>
    }
    triangle {
      < -0.116991, -1.224488, 0.240669>,
      < -1.337923, -0.997863, 0.368509>,
      < -1.411415, -1.200203, 0.241608>
    }
    triangle {
      < -2.661752, -0.968790, 0.362721>,
      < -2.616501, -0.687761, 0.389185>,
      < -3.997922, -0.717450, 0.371017>
    }
    triangle {
      < -2.661752, -0.968790, 0.362721>,
      < -3.997922, -0.717450, 0.371017>,
      < -3.997926, -0.969974, 0.355362>
    }
    triangle {
      < -1.337923, -0.997863, 0.368509>,
      < -1.234801, -0.677754, 0.412173>,
      < -2.616501, -0.687761, 0.389185>
    }
    triangle {
      < -1.337923, -0.997863, 0.368509>,
      < -2.616501, -0.687761, 0.389185>,
      < -2.661752, -0.968790, 0.362721>
    }
    triangle {
      < 0.001007, -1.036535, 0.386883>,
      < 0.150340, -0.701870, 0.445210>,
      < -1.234801, -0.677754, 0.412173>
    }
    triangle {
      < 0.001007, -1.036535, 0.386883>,
      < -1.234801, -0.677754, 0.412173>,
      < -1.337923, -0.997863, 0.368509>
    }
    triangle {
      < 1.686269, -0.418896, 0.375227>,
      < 2.911553, -0.486046, 0.265166>,
      < 2.686393, -0.436651, 0.227403>
    }
    triangle {
      < 1.686269, -0.418896, 0.375227>,
      < 2.686393, -0.436651, 0.227403>,
      < 1.686253, -0.405726, 0.320589>
    }
    triangle {
      < 1.686253, -0.405726, 0.320589>,
      < 2.686393, -0.436651, 0.227403>,
      < 2.425127, -0.376975, 0.210593>
    }
    triangle {
      < 1.686253, -0.405726, 0.320589>,
      < 2.425127, -0.376975, 0.210593>,
      < 1.686241, -0.370257, 0.278778>
    }
    triangle {
      < 1.686241, -0.370257, 0.278778>,
      < 2.425127, -0.376975, 0.210593>,
      < 2.198204, -0.318136, 0.213406>
    }
    triangle {
      < 1.686241, -0.370257, 0.278778>,
      < 2.198204, -0.318136, 0.213406>,
      < 1.686234, -0.318498, 0.256876>
    }
    triangle {
      < 2.911553, -0.486046, 0.265166>,
      < 4.136837, -0.553196, 0.155105>,
      < 3.652069, -0.451528, 0.133884>
    }
    triangle {
      < 2.911553, -0.486046, 0.265166>,
      < 3.652069, -0.451528, 0.133884>,
      < 2.686393, -0.436651, 0.227403>
    }
    triangle {
      < 2.686393, -0.436651, 0.227403>,
      < 3.652069, -0.451528, 0.133884>,
      < 3.200001, -0.374758, 0.136022>
    }
    triangle {
      < 2.686393, -0.436651, 0.227403>,
      < 3.200001, -0.374758, 0.136022>,
      < 2.425127, -0.376975, 0.210593>
    }
    triangle {
      < 2.425127, -0.376975, 0.210593>,
      < 3.200001, -0.374758, 0.136022>,
      < 2.710176, -0.317775, 0.169935>
    }
    triangle {
      < 2.425127, -0.376975, 0.210593>,
      < 2.710176, -0.317775, 0.169935>,
      < 2.198204, -0.318136, 0.213406>
    }
    triangle {
      < 4.136837, -0.553196, 0.155105>,
      < 5.362121, -0.620346, 0.045044>,
      < 4.652210, -0.482453, 0.040697>
    }
    triangle {
      < 4.136837, -0.553196, 0.155105>,
      < 4.652210, -0.482453, 0.040697>,
      < 3.652069, -0.451528, 0.133884>
    }
    triangle {
      < 3.652069, -0.451528, 0.133884>,
      < 4.652210, -0.482453, 0.040697>,
      < 3.938885, -0.381476, 0.067837>
    }
    triangle {
      < 3.652069, -0.451528, 0.133884>,
      < 3.938885, -0.381476, 0.067837>,
      < 3.200001, -0.374758, 0.136022>
    }
    triangle {
      < 3.200001, -0.374758, 0.136022>,
      < 3.938885, -0.381476, 0.067837>,
      < 3.222146, -0.317414, 0.126464>
    }
    triangle {
      < 3.200001, -0.374758, 0.136022>,
      < 3.222146, -0.317414, 0.126464>,
      < 2.710176, -0.317775, 0.169935>
    }
    triangle {
      < 1.174269, -0.357543, 0.319681>,
      < 1.336499, -0.360518, 0.307731>,
      < 1.686234, -0.318498, 0.256876>
    }
    triangle {
      < 1.174269, -0.357543, 0.319681>,
      < 1.686234, -0.318498, 0.256876>,
      < 1.686234, -0.318498, 0.256876>
    }
    triangle {
      < 0.662305, -0.396588, 0.382485>,
      < 1.012048, -0.398039, 0.362594>,
      < 1.336499, -0.360518, 0.307731>
    }
    triangle {
      < 0.662305, -0.396588, 0.382485>,
      < 1.336499, -0.360518, 0.307731>,
      < 1.174269, -0.357543, 0.319681>
    }
    triangle {
      < 0.150340, -0.435633, 0.445289>,
      < 0.662317, -0.430054, 0.421935>,
      < 1.012048, -0.398039, 0.362594>
    }
    triangle {
      < 0.150340, -0.435633, 0.445289>,
      < 1.012048, -0.398039, 0.362594>,
      < 0.662305, -0.396588, 0.382485>
    }
    triangle {
      < 1.336499, -0.360518, 0.307731>,
      < 1.524010, -0.367282, 0.290728>,
      < 1.686234, -0.318498, 0.256876>
    }
    triangle {
      < 1.336499, -0.360518, 0.307731>,
      < 1.686234, -0.318498, 0.256876>,
      < 1.686234, -0.318498, 0.256876>
    }
    triangle {
      < 1.012048, -0.398039, 0.362594>,
      < 1.336509, -0.404275, 0.340481>,
      < 1.524010, -0.367282, 0.290728>
    }
    triangle {
      < 1.012048, -0.398039, 0.362594>,
      < 1.524010, -0.367282, 0.290728>,
      < 1.336499, -0.360518, 0.307731>
    }
    triangle {
      < 0.662317, -0.430054, 0.421935>,
      < 1.174293, -0.424475, 0.398581>,
      < 1.336509, -0.404275, 0.340481>
    }
    triangle {
      < 0.662317, -0.430054, 0.421935>,
      < 1.336509, -0.404275, 0.340481>,
      < 1.012048, -0.398039, 0.362594>
    }
    triangle {
      < 1.524010, -0.367282, 0.290728>,
      < 1.686241, -0.370257, 0.278778>,
      < 1.686234, -0.318498, 0.256876>
    }
    triangle {
      < 1.524010, -0.367282, 0.290728>,
      < 1.686234, -0.318498, 0.256876>,
      < 1.686234, -0.318498, 0.256876>
    }
    triangle {
      < 1.336509, -0.404275, 0.340481>,
      < 1.686253, -0.405726, 0.320589>,
      < 1.686241, -0.370257, 0.278778>
    }
    triangle {
      < 1.336509, -0.404275, 0.340481>,
      < 1.686241, -0.370257, 0.278778>,
      < 1.524010, -0.367282, 0.290728>
    }
    triangle {
      < 1.174293, -0.424475, 0.398581>,
      < 1.686269, -0.418896, 0.375227>,
      < 1.686253, -0.405726, 0.320589>
    }
    triangle {
      < 1.174293, -0.424475, 0.398581>,
      < 1.686253, -0.405726, 0.320589>,
      < 1.336509, -0.404275, 0.340481>
    }
    triangle {
      < -4.086071, -0.350851, 0.228713>,
      < -4.604797, -0.481166, 0.241717>,
      < -4.544582, -0.629167, 0.334694>
    }
    triangle {
      < -4.086071, -0.350851, 0.228713>,
      < -4.544582, -0.629167, 0.334694>,
      < -3.997931, -0.492730, 0.340521>
    }
    triangle {
      < -4.139318, -0.265329, 0.116138>,
      < -4.630008, -0.386874, 0.129138>,
      < -4.604797, -0.481166, 0.241717>
    }
    triangle {
      < -4.139318, -0.265329, 0.116138>,
      < -4.604797, -0.481166, 0.241717>,
      < -4.086071, -0.350851, 0.228713>
    }
    triangle {
      < -4.157670, -0.236165, 0.002798>,
      < -4.635496, -0.353169, 0.002905>,
      < -4.630008, -0.386874, 0.129138>
    }
    triangle {
      < -4.157670, -0.236165, 0.002798>,
      < -4.630008, -0.386874, 0.129138>,
      < -4.139318, -0.265329, 0.116138>
    }
    triangle {
      < -4.604797, -0.481166, 0.241717>,
      < -5.124206, -0.607856, 0.269547>,
      < -5.091233, -0.765604, 0.328866>
    }
    triangle {
      < -4.604797, -0.481166, 0.241717>,
      < -5.091233, -0.765604, 0.328866>,
      < -4.544582, -0.629167, 0.334694>
    }
    triangle {
      < -4.630008, -0.386874, 0.129138>,
      < -5.143068, -0.500286, 0.154517>,
      < -5.124206, -0.607856, 0.269547>
    }
    triangle {
      < -4.630008, -0.386874, 0.129138>,
      < -5.124206, -0.607856, 0.269547>,
      < -4.604797, -0.481166, 0.241717>
    }
    triangle {
      < -4.635496, -0.353169, 0.002905>,
      < -5.149281, -0.459768, 0.003025>,
      < -5.143068, -0.500286, 0.154517>
    }
    triangle {
      < -4.635496, -0.353169, 0.002905>,
      < -5.143068, -0.500286, 0.154517>,
      < -4.630008, -0.386874, 0.129138>
    }
    triangle {
      < -5.124206, -0.607856, 0.269547>,
      < -5.654027, -0.738618, 0.282554>,
      < -5.637884, -0.902041, 0.323039>
    }
    triangle {
      < -5.124206, -0.607856, 0.269547>,
      < -5.637884, -0.902041, 0.323039>,
      < -5.091233, -0.765604, 0.328866>
    }
    triangle {
      < -5.143068, -0.500286, 0.154517>,
      < -5.665457, -0.623106, 0.167525>,
      < -5.654027, -0.738618, 0.282554>
    }
    triangle {
      < -5.143068, -0.500286, 0.154517>,
      < -5.654027, -0.738618, 0.282554>,
      < -5.124206, -0.607856, 0.269547>
    }
    triangle {
      < -5.149281, -0.459768, 0.003025>,
      < -5.669898, -0.578494, 0.003144>,
      < -5.665457, -0.623106, 0.167525>
    }
    triangle {
      < -5.149281, -0.459768, 0.003025>,
      < -5.665457, -0.623106, 0.167525>,
      < -5.143068, -0.500286, 0.154517>
    }
    triangle {
      < -4.157670, -0.236165, 0.002798>,
      < -4.139318, -0.265329, 0.116138>,
      < -3.751985, -0.301480, 0.245698>
    }
    triangle {
      < -4.157670, -0.236165, 0.002798>,
      < -3.751985, -0.301480, 0.245698>,
      < -3.908728, -0.285858, 0.178999>
    }
    triangle {
      < -3.908728, -0.285858, 0.178999>,
      < -3.751985, -0.301480, 0.245698>,
      < -3.202024, -0.302571, 0.319735>
    }
    triangle {
      < -3.908728, -0.285858, 0.178999>,
      < -3.202024, -0.302571, 0.319735>,
      < -3.471121, -0.260874, 0.286508>
    }
    triangle {
      < -3.471121, -0.260874, 0.286508>,
      < -3.202024, -0.302571, 0.319735>,
      < -2.593427, -0.262134, 0.350035>
    }
    triangle {
      < -3.471121, -0.260874, 0.286508>,
      < -2.593427, -0.262134, 0.350035>,
      < -2.926255, -0.188243, 0.328642>
    }
    triangle {
      < -4.139318, -0.265329, 0.116138>,
      < -4.086071, -0.350851, 0.228713>,
      < -3.520655, -0.337302, 0.292288>
    }
    triangle {
      < -4.139318, -0.265329, 0.116138>,
      < -3.520655, -0.337302, 0.292288>,
      < -3.751985, -0.301480, 0.245698>
    }
    triangle {
      < -3.751985, -0.301480, 0.245698>,
      < -3.520655, -0.337302, 0.292288>,
      < -2.908624, -0.341223, 0.342474>
    }
    triangle {
      < -3.751985, -0.301480, 0.245698>,
      < -2.908624, -0.341223, 0.342474>,
      < -3.202024, -0.302571, 0.319735>
    }
    triangle {
      < -3.202024, -0.302571, 0.319735>,
      < -2.908624, -0.341223, 0.342474>,
      < -2.260602, -0.336024, 0.371428>
    }
    triangle {
      < -3.202024, -0.302571, 0.319735>,
      < -2.260602, -0.336024, 0.371428>,
      < -2.593427, -0.262134, 0.350035>
    }
    triangle {
      < -4.086071, -0.350851, 0.228713>,
      < -3.997931, -0.492730, 0.340521>,
      < -3.312217, -0.436418, 0.357854>
    }
    triangle {
      < -4.086071, -0.350851, 0.228713>,
      < -3.312217, -0.436418, 0.357854>,
      < -3.520655, -0.337302, 0.292288>
    }
    triangle {
      < -3.520655, -0.337302, 0.292288>,
      < -3.312217, -0.436418, 0.357854>,
      < -2.621433, -0.412142, 0.375304>
    }
    triangle {
      < -3.520655, -0.337302, 0.292288>,
      < -2.621433, -0.412142, 0.375304>,
      < -2.908624, -0.341223, 0.342474>
    }
    triangle {
      < -2.908624, -0.341223, 0.342474>,
      < -2.621433, -0.412142, 0.375304>,
      < -1.927776, -0.409916, 0.392821>
    }
    triangle {
      < -2.908624, -0.341223, 0.342474>,
      < -1.927776, -0.409916, 0.392821>,
      < -2.260602, -0.336024, 0.371428>
    }
    triangle {
      < -1.927776, -0.409916, 0.392821>,
      < -1.232823, -0.419760, 0.410367>,
      < -1.044080, -0.152202, 0.308005>
    }
    triangle {
      < -1.927776, -0.409916, 0.392821>,
      < -1.044080, -0.152202, 0.308005>,
      < -1.603359, -0.154061, 0.262555>
    }
    triangle {
      < -1.603359, -0.154061, 0.262555>,
      < -1.044080, -0.152202, 0.308005>,
      < -0.962110, -0.001769, 0.175319>
    }
    triangle {
      < -1.603359, -0.154061, 0.262555>,
      < -0.962110, -0.001769, 0.175319>,
      < -1.408725, -0.000533, 0.132298>
    }
    triangle {
      < -1.408725, -0.000533, 0.132298>,
      < -0.962110, -0.001769, 0.175319>,
      < -0.964856, 0.042002, 0.001934>
    }
    triangle {
      < -1.408725, -0.000533, 0.132298>,
      < -0.964856, 0.042002, 0.001934>,
      < -1.343873, 0.050669, 0.002049>
    }
    triangle {
      < -1.232823, -0.419760, 0.410367>,
      < -0.539385, -0.431671, 0.427874>,
      < -0.532101, -0.143059, 0.381268>
    }
    triangle {
      < -1.232823, -0.419760, 0.410367>,
      < -0.532101, -0.143059, 0.381268>,
      < -1.044080, -0.152202, 0.308005>
    }
    triangle {
      < -1.044080, -0.152202, 0.308005>,
      < -0.532101, -0.143059, 0.381268>,
      < -0.528420, 0.000361, 0.251378>
    }
    triangle {
      < -1.044080, -0.152202, 0.308005>,
      < -0.528420, 0.000361, 0.251378>,
      < -0.962110, -0.001769, 0.175319>
    }
    triangle {
      < -0.962110, -0.001769, 0.175319>,
      < -0.528420, 0.000361, 0.251378>,
      < -0.586196, 0.029649, 0.001818>
    }
    triangle {
      < -0.962110, -0.001769, 0.175319>,
      < -0.586196, 0.029649, 0.001818>,
      < -0.964856, 0.042002, 0.001934>
    }
    triangle {
      < -0.539385, -0.431671, 0.427874>,
      < 0.150340, -0.435633, 0.445289>,
      < 0.023122, -0.138754, 0.426620>
    }
    triangle {
      < -0.539385, -0.431671, 0.427874>,
      < 0.023122, -0.138754, 0.426620>,
      < -0.532101, -0.143059, 0.381268>
    }
    triangle {
      < -0.532101, -0.143059, 0.381268>,
      < 0.023122, -0.138754, 0.426620>,
      < -0.083687, -0.004811, 0.294363>
    }
    triangle {
      < -0.532101, -0.143059, 0.381268>,
      < -0.083687, -0.004811, 0.294363>,
      < -0.528420, 0.000361, 0.251378>
    }
    triangle {
      < -0.528420, 0.000361, 0.251378>,
      < -0.083687, -0.004811, 0.294363>,
      < -0.207893, 0.013609, 0.001701>
    }
    triangle {
      < -0.528420, 0.000361, 0.251378>,
      < -0.207893, 0.013609, 0.001701>,
      < -0.586196, 0.029649, 0.001818>
    }
    triangle {
      < -2.256743, -0.078175, 0.298836>,
      < -2.321598, -0.108184, 0.319612>,
      < -1.769972, -0.024564, 0.257108>
    }
    triangle {
      < -2.256743, -0.078175, 0.298836>,
      < -1.769972, -0.024564, 0.257108>,
      < -1.684781, 0.016238, 0.188159>
    }
    triangle {
      < -1.684781, 0.016238, 0.188159>,
      < -1.769972, -0.024564, 0.257108>,
      < -1.408725, -0.000533, 0.132298>
    }
    triangle {
      < -1.684781, 0.016238, 0.188159>,
      < -1.408725, -0.000533, 0.132298>,
      < -1.343873, 0.050669, 0.002049>
    }
    triangle {
      < -2.926255, -0.188243, 0.328642>,
      < -2.926255, -0.188243, 0.328642>,
      < -2.461278, -0.179067, 0.329254>
    }
    triangle {
      < -2.926255, -0.188243, 0.328642>,
      < -2.461278, -0.179067, 0.329254>,
      < -2.321598, -0.108184, 0.319612>
    }
    triangle {
      < -2.321598, -0.108184, 0.319612>,
      < -2.461278, -0.179067, 0.329254>,
      < -1.983142, -0.143628, 0.302466>
    }
    triangle {
      < -2.321598, -0.108184, 0.319612>,
      < -1.983142, -0.143628, 0.302466>,
      < -1.769972, -0.024564, 0.257108>
    }
    triangle {
      < -1.769972, -0.024564, 0.257108>,
      < -1.983142, -0.143628, 0.302466>,
      < -1.603359, -0.154061, 0.262555>
    }
    triangle {
      < -1.769972, -0.024564, 0.257108>,
      < -1.603359, -0.154061, 0.262555>,
      < -1.408725, -0.000533, 0.132298>
    }
    triangle {
      < -2.926255, -0.188243, 0.328642>,
      < -2.926255, -0.188243, 0.328642>,
      < -2.593427, -0.262134, 0.350035>
    }
    triangle {
      < -2.926255, -0.188243, 0.328642>,
      < -2.593427, -0.262134, 0.350035>,
      < -2.461278, -0.179067, 0.329254>
    }
    triangle {
      < -2.461278, -0.179067, 0.329254>,
      < -2.593427, -0.262134, 0.350035>,
      < -2.260602, -0.336024, 0.371428>
    }
    triangle {
      < -2.461278, -0.179067, 0.329254>,
      < -2.260602, -0.336024, 0.371428>,
      < -1.983142, -0.143628, 0.302466>
    }
    triangle {
      < -1.983142, -0.143628, 0.302466>,
      < -2.260602, -0.336024, 0.371428>,
      < -1.927776, -0.409916, 0.392821>
    }
    triangle {
      < -1.983142, -0.143628, 0.302466>,
      < -1.927776, -0.409916, 0.392821>,
      < -1.603359, -0.154061, 0.262555>
    }
    triangle {
      < -0.207893, 0.013609, 0.001701>,
      < -0.083687, -0.004811, 0.294363>,
      < 0.509180, -0.027406, 0.248160>
    }
    triangle {
      < -0.207893, 0.013609, 0.001701>,
      < 0.509180, -0.027406, 0.248160>,
      < 0.424250, -0.008879, 0.001507>
    }
    triangle {
      < 0.424250, -0.008879, 0.001507>,
      < 0.509180, -0.027406, 0.248160>,
      < 1.094501, -0.071413, 0.176431>
    }
    triangle {
      < 0.424250, -0.008879, 0.001507>,
      < 1.094501, -0.071413, 0.176431>,
      < 1.055599, -0.041692, 0.001311>
    }
    triangle {
      < 1.055599, -0.041692, 0.001311>,
      < 1.094501, -0.071413, 0.176431>,
      < 1.686195, -0.109302, 0.130223>
    }
    triangle {
      < 1.055599, -0.041692, 0.001311>,
      < 1.686195, -0.109302, 0.130223>,
      < 1.686158, -0.084828, 0.001111>
    }
    triangle {
      < -0.083687, -0.004811, 0.294363>,
      < 0.023122, -0.138754, 0.426620>,
      < 0.575150, -0.143559, 0.360940>
    }
    triangle {
      < -0.083687, -0.004811, 0.294363>,
      < 0.575150, -0.143559, 0.360940>,
      < 0.509180, -0.027406, 0.248160>
    }
    triangle {
      < 0.509180, -0.027406, 0.248160>,
      < 0.575150, -0.143559, 0.360940>,
      < 1.134604, -0.174952, 0.278881>
    }
    triangle {
      < 0.509180, -0.027406, 0.248160>,
      < 1.134604, -0.174952, 0.278881>,
      < 1.094501, -0.071413, 0.176431>
    }
    triangle {
      < 1.094501, -0.071413, 0.176431>,
      < 1.134604, -0.174952, 0.278881>,
      < 1.686221, -0.185109, 0.213199>
    }
    triangle {
      < 1.094501, -0.071413, 0.176431>,
      < 1.686221, -0.185109, 0.213199>,
      < 1.686195, -0.109302, 0.130223>
    }
    triangle {
      < 0.023122, -0.138754, 0.426620>,
      < 0.150340, -0.435633, 0.445289>,
      < 0.662305, -0.396588, 0.382485>
    }
    triangle {
      < 0.023122, -0.138754, 0.426620>,
      < 0.662305, -0.396588, 0.382485>,
      < 0.575150, -0.143559, 0.360940>
    }
    triangle {
      < 0.575150, -0.143559, 0.360940>,
      < 0.662305, -0.396588, 0.382485>,
      < 1.174269, -0.357543, 0.319681>
    }
    triangle {
      < 0.575150, -0.143559, 0.360940>,
      < 1.174269, -0.357543, 0.319681>,
      < 1.134604, -0.174952, 0.278881>
    }
    triangle {
      < 1.134604, -0.174952, 0.278881>,
      < 1.174269, -0.357543, 0.319681>,
      < 1.686234, -0.318498, 0.256876>
    }
    triangle {
      < 1.134604, -0.174952, 0.278881>,
      < 1.686234, -0.318498, 0.256876>,
      < 1.686221, -0.185109, 0.213199>
    }
    triangle {
      < 1.686158, -0.084828, 0.001111>,
      < 1.686195, -0.109302, 0.130223>,
      < 2.203693, -0.149414, 0.104965>
    }
    triangle {
      < 1.686158, -0.084828, 0.001111>,
      < 2.203693, -0.149414, 0.104965>,
      < 2.205594, -0.129736, 0.000944>
    }
    triangle {
      < 2.205594, -0.129736, 0.000944>,
      < 2.203693, -0.149414, 0.104965>,
      < 2.716268, -0.203622, 0.067823>
    }
    triangle {
      < 2.205594, -0.129736, 0.000944>,
      < 2.716268, -0.203622, 0.067823>,
      < 2.718393, -0.185642, 0.000775>
    }
    triangle {
      < 2.718393, -0.185642, 0.000775>,
      < 2.716268, -0.203622, 0.067823>,
      < 3.222121, -0.261350, 0.042563>
    }
    triangle {
      < 2.718393, -0.185642, 0.000775>,
      < 3.222121, -0.261350, 0.042563>,
      < 3.222108, -0.254333, 0.000606>
    }
    triangle {
      < 1.686195, -0.109302, 0.130223>,
      < 1.686221, -0.185109, 0.213199>,
      < 2.200125, -0.210517, 0.172671>
    }
    triangle {
      < 1.686195, -0.109302, 0.130223>,
      < 2.200125, -0.210517, 0.172671>,
      < 2.203693, -0.149414, 0.104965>
    }
    triangle {
      < 2.203693, -0.149414, 0.104965>,
      < 2.200125, -0.210517, 0.172671>,
      < 2.712306, -0.250804, 0.125043>
    }
    triangle {
      < 2.203693, -0.149414, 0.104965>,
      < 2.712306, -0.250804, 0.125043>,
      < 2.716268, -0.203622, 0.067823>
    }
    triangle {
      < 2.716268, -0.203622, 0.067823>,
      < 2.712306, -0.250804, 0.125043>,
      < 3.222133, -0.282377, 0.084515>
    }
    triangle {
      < 2.716268, -0.203622, 0.067823>,
      < 3.222133, -0.282377, 0.084515>,
      < 3.222121, -0.261350, 0.042563>
    }
    triangle {
      < 1.686221, -0.185109, 0.213199>,
      < 1.686234, -0.318498, 0.256876>,
      < 2.198204, -0.318136, 0.213406>
    }
    triangle {
      < 1.686221, -0.185109, 0.213199>,
      < 2.198204, -0.318136, 0.213406>,
      < 2.200125, -0.210517, 0.172671>
    }
    triangle {
      < 2.200125, -0.210517, 0.172671>,
      < 2.198204, -0.318136, 0.213406>,
      < 2.710176, -0.317775, 0.169935>
    }
    triangle {
      < 2.200125, -0.210517, 0.172671>,
      < 2.710176, -0.317775, 0.169935>,
      < 2.712306, -0.250804, 0.125043>
    }
    triangle {
      < 2.712306, -0.250804, 0.125043>,
      < 2.710176, -0.317775, 0.169935>,
      < 3.222146, -0.317414, 0.126464>
    }
    triangle {
      < 2.712306, -0.250804, 0.125043>,
      < 3.222146, -0.317414, 0.126464>,
      < 3.222133, -0.282377, 0.084515>
    }
    triangle {
      < 5.362107, -0.620333, -0.000137>,
      < 4.648774, -0.498333, 0.000111>,
      < 4.649666, -0.491796, 0.015530>
    }
    triangle {
      < 5.362107, -0.620333, -0.000137>,
      < 4.649666, -0.491796, 0.015530>,
      < 5.362112, -0.620337, 0.014923>
    }
    triangle {
      < 5.362112, -0.620337, 0.014923>,
      < 4.649666, -0.491796, 0.015530>,
      < 4.651318, -0.481726, 0.025280>
    }
    triangle {
      < 5.362112, -0.620337, 0.014923>,
      < 4.651318, -0.481726, 0.025280>,
      < 5.362116, -0.620342, 0.029984>
    }
    triangle {
      < 5.362116, -0.620342, 0.029984>,
      < 4.651318, -0.481726, 0.025280>,
      < 4.652210, -0.482453, 0.040697>
    }
    triangle {
      < 5.362116, -0.620342, 0.029984>,
      < 4.652210, -0.482453, 0.040697>,
      < 5.362121, -0.620346, 0.045044>
    }
    triangle {
      < 4.648774, -0.498333, 0.000111>,
      < 3.935441, -0.376333, 0.000358>,
      < 3.936338, -0.370750, 0.025629>
    }
    triangle {
      < 4.648774, -0.498333, 0.000111>,
      < 3.936338, -0.370750, 0.025629>,
      < 4.649666, -0.491796, 0.015530>
    }
    triangle {
      < 4.649666, -0.491796, 0.015530>,
      < 3.936338, -0.370750, 0.025629>,
      < 3.937992, -0.366303, 0.042572>
    }
    triangle {
      < 4.649666, -0.491796, 0.015530>,
      < 3.937992, -0.366303, 0.042572>,
      < 4.651318, -0.481726, 0.025280>
    }
    triangle {
      < 4.651318, -0.481726, 0.025280>,
      < 3.937992, -0.366303, 0.042572>,
      < 3.938885, -0.381476, 0.067837>
    }
    triangle {
      < 4.651318, -0.481726, 0.025280>,
      < 3.938885, -0.381476, 0.067837>,
      < 4.652210, -0.482453, 0.040697>
    }
    triangle {
      < 3.935441, -0.376333, 0.000358>,
      < 3.222108, -0.254333, 0.000606>,
      < 3.222121, -0.261350, 0.042563>
    }
    triangle {
      < 3.935441, -0.376333, 0.000358>,
      < 3.222121, -0.261350, 0.042563>,
      < 3.936338, -0.370750, 0.025629>
    }
    triangle {
      < 3.936338, -0.370750, 0.025629>,
      < 3.222121, -0.261350, 0.042563>,
      < 3.222133, -0.282377, 0.084515>
    }
    triangle {
      < 3.936338, -0.370750, 0.025629>,
      < 3.222133, -0.282377, 0.084515>,
      < 3.937992, -0.366303, 0.042572>
    }
    triangle {
      < 3.937992, -0.366303, 0.042572>,
      < 3.222133, -0.282377, 0.084515>,
      < 3.222146, -0.317414, 0.126464>
    }
    triangle {
      < 3.937992, -0.366303, 0.042572>,
      < 3.222146, -0.317414, 0.126464>,
      < 3.938885, -0.381476, 0.067837>
    }
    triangle {
      < 1.023458, -1.329415, 0.000939>,
      < 1.023485, -1.318591, 0.092331>,
      < 0.692138, -1.277108, 0.105600>
    }
    triangle {
      < 1.023458, -1.329415, 0.000939>,
      < 0.692138, -1.277108, 0.105600>,
      < 0.692108, -1.295143, 0.001047>
    }
    triangle {
      < 1.354808, -1.363687, 0.000830>,
      < 1.354831, -1.355126, 0.077892>,
      < 1.023485, -1.318591, 0.092331>
    }
    triangle {
      < 1.354808, -1.363687, 0.000830>,
      < 1.023485, -1.318591, 0.092331>,
      < 1.023458, -1.329415, 0.000939>
    }
    triangle {
      < 1.686158, -1.397959, 0.000722>,
      < 1.686177, -1.396609, 0.064624>,
      < 1.354831, -1.355126, 0.077892>
    }
    triangle {
      < 1.686158, -1.397959, 0.000722>,
      < 1.354831, -1.355126, 0.077892>,
      < 1.354808, -1.363687, 0.000830>
    }
    triangle {
      < 1.023485, -1.318591, 0.092331>,
      < 1.023511, -1.282766, 0.180233>,
      < 0.692170, -1.222940, 0.210163>
    }
    triangle {
      < 1.023485, -1.318591, 0.092331>,
      < 0.692170, -1.222940, 0.210163>,
      < 0.692138, -1.277108, 0.105600>
    }
    triangle {
      < 1.354831, -1.355126, 0.077892>,
      < 1.354854, -1.332696, 0.153626>,
      < 1.023511, -1.282766, 0.180233>
    }
    triangle {
      < 1.354831, -1.355126, 0.077892>,
      < 1.023511, -1.282766, 0.180233>,
      < 1.023485, -1.318591, 0.092331>
    }
    triangle {
      < 1.686177, -1.396609, 0.064624>,
      < 1.686195, -1.392521, 0.123696>,
      < 1.354854, -1.332696, 0.153626>
    }
    triangle {
      < 1.686177, -1.396609, 0.064624>,
      < 1.354854, -1.332696, 0.153626>,
      < 1.354831, -1.355126, 0.077892>
    }
    triangle {
      < 1.023511, -1.282766, 0.180233>,
      < 1.023538, -1.216992, 0.269137>,
      < 0.692201, -1.132640, 0.314737>
    }
    triangle {
      < 1.023511, -1.282766, 0.180233>,
      < 0.692201, -1.132640, 0.314737>,
      < 0.692170, -1.222940, 0.210163>
    }
    triangle {
      < 1.354854, -1.332696, 0.153626>,
      < 1.354874, -1.301343, 0.223538>,
      < 1.023538, -1.216992, 0.269137>
    }
    triangle {
      < 1.354854, -1.332696, 0.153626>,
      < 1.023538, -1.216992, 0.269137>,
      < 1.023511, -1.282766, 0.180233>
    }
    triangle {
      < 1.686195, -1.392521, 0.123696>,
      < 1.686211, -1.385695, 0.177938>,
      < 1.354874, -1.301343, 0.223538>
    }
    triangle {
      < 1.686195, -1.392521, 0.123696>,
      < 1.354874, -1.301343, 0.223538>,
      < 1.354854, -1.332696, 0.153626>
    }
    triangle {
      < -6.399449, -0.977093, 0.165942>,
      < -6.389699, -1.043302, 0.136029>,
      < -6.019561, -1.076802, 0.234071>
    }
    triangle {
      < -6.399449, -0.977093, 0.165942>,
      < -6.019561, -1.076802, 0.234071>,
      < -6.031625, -0.941104, 0.267547>
    }
    triangle {
      < -6.031625, -0.941104, 0.267547>,
      < -6.019561, -1.076802, 0.234071>,
      < -5.629748, -1.079865, 0.287428>
    }
    triangle {
      < -6.031625, -0.941104, 0.267547>,
      < -5.629748, -1.079865, 0.287428>,
      < -5.637884, -0.902041, 0.323039>
    }
    triangle {
      < -6.389699, -1.043302, 0.136029>,
      < -6.371593, -1.108035, 0.069958>,
      < -5.997166, -1.162454, 0.141850>
    }
    triangle {
      < -6.389699, -1.043302, 0.136029>,
      < -5.997166, -1.162454, 0.141850>,
      < -6.019561, -1.076802, 0.234071>
    }
    triangle {
      < -6.019561, -1.076802, 0.234071>,
      < -5.997166, -1.162454, 0.141850>,
      < -5.614648, -1.185526, 0.180726>
    }
    triangle {
      < -6.019561, -1.076802, 0.234071>,
      < -5.614648, -1.185526, 0.180726>,
      < -5.629748, -1.079865, 0.287428>
    }
    triangle {
      < -6.371593, -1.108035, 0.069958>,
      < -6.361855, -1.137182, 0.003184>,
      < -5.985134, -1.192262, 0.003056>
    }
    triangle {
      < -6.371593, -1.108035, 0.069958>,
      < -5.985134, -1.192262, 0.003056>,
      < -5.997166, -1.162454, 0.141850>
    }
    triangle {
      < -5.997166, -1.162454, 0.141850>,
      < -5.985134, -1.192262, 0.003056>,
      < -5.606554, -1.220399, 0.002935>
    }
    triangle {
      < -5.997166, -1.162454, 0.141850>,
      < -5.606554, -1.220399, 0.002935>,
      < -5.614648, -1.185526, 0.180726>
    }
    triangle {
      < -6.401896, -0.829529, 0.003287>,
      < -6.402262, -0.857606, 0.066572>,
      < -6.046911, -0.725577, 0.132082>
    }
    triangle {
      < -6.401896, -0.829529, 0.003287>,
      < -6.046911, -0.725577, 0.132082>,
      < -6.048403, -0.689412, 0.003224>
    }
    triangle {
      < -6.048403, -0.689412, 0.003224>,
      < -6.046911, -0.725577, 0.132082>,
      < -5.665457, -0.623106, 0.167525>
    }
    triangle {
      < -6.048403, -0.689412, 0.003224>,
      < -5.665457, -0.623106, 0.167525>,
      < -5.669898, -0.578494, 0.003144>
    }
    triangle {
      < -6.402262, -0.857606, 0.066572>,
      < -6.402117, -0.918214, 0.134778>,
      < -6.041784, -0.816932, 0.230464>
    }
    triangle {
      < -6.402262, -0.857606, 0.066572>,
      < -6.041784, -0.816932, 0.230464>,
      < -6.046911, -0.725577, 0.132082>
    }
    triangle {
      < -6.046911, -0.725577, 0.132082>,
      < -6.041784, -0.816932, 0.230464>,
      < -5.654027, -0.738618, 0.282554>
    }
    triangle {
      < -6.046911, -0.725577, 0.132082>,
      < -5.654027, -0.738618, 0.282554>,
      < -5.665457, -0.623106, 0.167525>
    }
    triangle {
      < -6.402117, -0.918214, 0.134778>,
      < -6.399449, -0.977093, 0.165942>,
      < -6.031625, -0.941104, 0.267547>
    }
    triangle {
      < -6.402117, -0.918214, 0.134778>,
      < -6.031625, -0.941104, 0.267547>,
      < -6.041784, -0.816932, 0.230464>
    }
    triangle {
      < -6.041784, -0.816932, 0.230464>,
      < -6.031625, -0.941104, 0.267547>,
      < -5.637884, -0.902041, 0.323039>
    }
    triangle {
      < -6.041784, -0.816932, 0.230464>,
      < -5.637884, -0.902041, 0.323039>,
      < -5.654027, -0.738618, 0.282554>
    }
    triangle {
      < -6.401896, -0.829529, 0.003287>,
      < -6.048403, -0.689412, 0.003224>,
      < -6.046987, -0.725501, -0.125656>
    }
    triangle {
      < -6.401896, -0.829529, 0.003287>,
      < -6.046987, -0.725501, -0.125656>,
      < -6.402299, -0.857568, -0.060015>
    }
    triangle {
      < -6.402299, -0.857568, -0.060015>,
      < -6.046987, -0.725501, -0.125656>,
      < -6.041918, -0.816797, -0.224096>
    }
    triangle {
      < -6.402299, -0.857568, -0.060015>,
      < -6.041918, -0.816797, -0.224096>,
      < -6.402195, -0.918136, -0.128256>
    }
    triangle {
      < -6.402195, -0.918136, -0.128256>,
      < -6.041918, -0.816797, -0.224096>,
      < -6.031781, -0.940947, -0.261258>
    }
    triangle {
      < -6.402195, -0.918136, -0.128256>,
      < -6.031781, -0.940947, -0.261258>,
      < -6.399546, -0.976997, -0.159457>
    }
    triangle {
      < -6.048403, -0.689412, 0.003224>,
      < -5.669898, -0.578494, 0.003144>,
      < -5.665554, -0.623009, -0.161265>
    }
    triangle {
      < -6.048403, -0.689412, 0.003224>,
      < -5.665554, -0.623009, -0.161265>,
      < -6.046987, -0.725501, -0.125656>
    }
    triangle {
      < -6.046987, -0.725501, -0.125656>,
      < -5.665554, -0.623009, -0.161265>,
      < -5.654192, -0.738452, -0.276370>
    }
    triangle {
      < -6.046987, -0.725501, -0.125656>,
      < -5.654192, -0.738452, -0.276370>,
      < -6.041918, -0.816797, -0.224096>
    }
    triangle {
      < -6.041918, -0.816797, -0.224096>,
      < -5.654192, -0.738452, -0.276370>,
      < -5.638074, -0.901851, -0.316961>
    }
    triangle {
      < -6.041918, -0.816797, -0.224096>,
      < -5.638074, -0.901851, -0.316961>,
      < -6.031781, -0.940947, -0.261258>
    }
    triangle {
      < -6.399546, -0.976997, -0.159457>,
      < -6.031781, -0.940947, -0.261258>,
      < -6.019698, -1.076665, -0.227870>
    }
    triangle {
      < -6.399546, -0.976997, -0.159457>,
      < -6.019698, -1.076665, -0.227870>,
      < -6.389777, -1.043223, -0.129589>
    }
    triangle {
      < -6.389777, -1.043223, -0.129589>,
      < -6.019698, -1.076665, -0.227870>,
      < -5.997248, -1.162372, -0.135714>
    }
    triangle {
      < -6.389777, -1.043223, -0.129589>,
      < -5.997248, -1.162372, -0.135714>,
      < -6.371633, -1.107995, -0.063568>
    }
    triangle {
      < -6.371633, -1.107995, -0.063568>,
      < -5.997248, -1.162372, -0.135714>,
      < -5.985134, -1.192262, 0.003056>
    }
    triangle {
      < -6.371633, -1.107995, -0.063568>,
      < -5.985134, -1.192262, 0.003056>,
      < -6.361855, -1.137182, 0.003184>
    }
    triangle {
      < -6.031781, -0.940947, -0.261258>,
      < -5.638074, -0.901851, -0.316961>,
      < -5.629916, -1.079696, -0.281460>
    }
    triangle {
      < -6.031781, -0.940947, -0.261258>,
      < -5.629916, -1.079696, -0.281460>,
      < -6.019698, -1.076665, -0.227870>
    }
    triangle {
      < -6.019698, -1.076665, -0.227870>,
      < -5.629916, -1.079696, -0.281460>,
      < -5.614753, -1.185421, -0.174829>
    }
    triangle {
      < -6.019698, -1.076665, -0.227870>,
      < -5.614753, -1.185421, -0.174829>,
      < -5.997248, -1.162372, -0.135714>
    }
    triangle {
      < -5.997248, -1.162372, -0.135714>,
      < -5.614753, -1.185421, -0.174829>,
      < -5.606554, -1.220399, 0.002935>
    }
    triangle {
      < -5.997248, -1.162372, -0.135714>,
      < -5.606554, -1.220399, 0.002935>,
      < -5.985134, -1.192262, 0.003056>
    }
    triangle {
      < -5.606554, -1.220399, 0.002935>,
      < -5.614753, -1.185421, -0.174829>,
      < -5.075956, -1.181643, -0.199429>
    }
    triangle {
      < -5.606554, -1.220399, 0.002935>,
      < -5.075956, -1.181643, -0.199429>,
      < -5.070439, -1.231430, 0.002773>
    }
    triangle {
      < -5.070439, -1.231430, 0.002773>,
      < -5.075956, -1.181643, -0.199429>,
      < -4.536865, -1.175992, -0.232840>
    }
    triangle {
      < -5.070439, -1.231430, 0.002773>,
      < -4.536865, -1.175992, -0.232840>,
      < -4.534242, -1.238594, 0.002612>
    }
    triangle {
      < -4.534242, -1.238594, 0.002612>,
      < -4.536865, -1.175992, -0.232840>,
      < -3.998107, -1.164984, -0.252904>
    }
    triangle {
      < -4.534242, -1.238594, 0.002612>,
      < -3.998107, -1.164984, -0.252904>,
      < -3.998032, -1.243357, 0.002452>
    }
    triangle {
      < -5.614753, -1.185421, -0.174829>,
      < -5.629916, -1.079696, -0.281460>,
      < -5.086123, -1.046107, -0.311689>
    }
    triangle {
      < -5.614753, -1.185421, -0.174829>,
      < -5.086123, -1.046107, -0.311689>,
      < -5.075956, -1.181643, -0.199429>
    }
    triangle {
      < -5.075956, -1.181643, -0.199429>,
      < -5.086123, -1.046107, -0.311689>,
      < -4.541637, -1.012371, -0.333022>
    }
    triangle {
      < -5.075956, -1.181643, -0.199429>,
      < -4.541637, -1.012371, -0.333022>,
      < -4.536865, -1.175992, -0.232840>
    }
    triangle {
      < -4.536865, -1.175992, -0.232840>,
      < -4.541637, -1.012371, -0.333022>,
      < -3.998136, -0.969765, -0.350296>
    }
    triangle {
      < -4.536865, -1.175992, -0.232840>,
      < -3.998136, -0.969765, -0.350296>,
      < -3.998107, -1.164984, -0.252904>
    }
    triangle {
      < -5.629916, -1.079696, -0.281460>,
      < -5.638074, -0.901851, -0.316961>,
      < -5.091591, -0.845340, -0.346327>
    }
    triangle {
      < -5.629916, -1.079696, -0.281460>,
      < -5.091591, -0.845340, -0.346327>,
      < -5.086123, -1.046107, -0.311689>
    }
    triangle {
      < -5.086123, -1.046107, -0.311689>,
      < -5.091591, -0.845340, -0.346327>,
      < -4.544197, -0.783721, -0.353924>
    }
    triangle {
      < -5.086123, -1.046107, -0.311689>,
      < -4.544197, -0.783721, -0.353924>,
      < -4.541637, -1.012371, -0.333022>
    }
    triangle {
      < -4.541637, -1.012371, -0.333022>,
      < -4.544197, -0.783721, -0.353924>,
      < -3.998141, -0.717232, -0.365802>
    }
    triangle {
      < -4.541637, -1.012371, -0.333022>,
      < -3.998141, -0.717232, -0.365802>,
      < -3.998136, -0.969765, -0.350296>
    }
    triangle {
      < -4.544779, -0.628970, -0.329102>,
      < -4.604939, -0.481025, -0.236002>,
      < -4.086205, -0.350717, -0.223228>
    }
    triangle {
      < -4.544779, -0.628970, -0.329102>,
      < -4.086205, -0.350717, -0.223228>,
      < -3.998132, -0.492530, -0.335173>
    }
    triangle {
      < -5.091426, -0.765411, -0.323031>,
      < -5.124364, -0.607698, -0.263599>,
      < -4.604939, -0.481025, -0.236002>
    }
    triangle {
      < -5.091426, -0.765411, -0.323031>,
      < -4.604939, -0.481025, -0.236002>,
      < -4.544779, -0.628970, -0.329102>
    }
    triangle {
      < -5.638074, -0.901851, -0.316961>,
      < -5.654192, -0.738452, -0.276370>,
      < -5.124364, -0.607698, -0.263599>
    }
    triangle {
      < -5.638074, -0.901851, -0.316961>,
      < -5.124364, -0.607698, -0.263599>,
      < -5.091426, -0.765411, -0.323031>
    }
    triangle {
      < -4.604939, -0.481025, -0.236002>,
      < -4.630083, -0.386799, -0.123352>,
      < -4.139385, -0.265262, -0.110571>
    }
    triangle {
      < -4.604939, -0.481025, -0.236002>,
      < -4.139385, -0.265262, -0.110571>,
      < -4.086205, -0.350717, -0.223228>
    }
    triangle {
      < -5.124364, -0.607698, -0.263599>,
      < -5.143158, -0.500196, -0.148494>,
      < -4.630083, -0.386799, -0.123352>
    }
    triangle {
      < -5.124364, -0.607698, -0.263599>,
      < -4.630083, -0.386799, -0.123352>,
      < -4.604939, -0.481025, -0.236002>
    }
    triangle {
      < -5.654192, -0.738452, -0.276370>,
      < -5.665554, -0.623009, -0.161265>,
      < -5.143158, -0.500196, -0.148494>
    }
    triangle {
      < -5.654192, -0.738452, -0.276370>,
      < -5.143158, -0.500196, -0.148494>,
      < -5.124364, -0.607698, -0.263599>
    }
    triangle {
      < -4.630083, -0.386799, -0.123352>,
      < -4.635496, -0.353169, 0.002905>,
      < -4.157670, -0.236165, 0.002798>
    }
    triangle {
      < -4.630083, -0.386799, -0.123352>,
      < -4.157670, -0.236165, 0.002798>,
      < -4.139385, -0.265262, -0.110571>
    }
    triangle {
      < -5.143158, -0.500196, -0.148494>,
      < -5.149281, -0.459768, 0.003025>,
      < -4.635496, -0.353169, 0.002905>
    }
    triangle {
      < -5.143158, -0.500196, -0.148494>,
      < -4.635496, -0.353169, 0.002905>,
      < -4.630083, -0.386799, -0.123352>
    }
    triangle {
      < -5.665554, -0.623009, -0.161265>,
      < -5.669898, -0.578494, 0.003144>,
      < -5.149281, -0.459768, 0.003025>
    }
    triangle {
      < -5.665554, -0.623009, -0.161265>,
      < -5.149281, -0.459768, 0.003025>,
      < -5.143158, -0.500196, -0.148494>
    }
    triangle {
      < -5.638074, -0.901851, -0.316961>,
      < -5.091426, -0.765411, -0.323031>,
      < -4.718118, -0.727095, -0.345607>
    }
    triangle {
      < -5.638074, -0.901851, -0.316961>,
      < -4.718118, -0.727095, -0.345607>,
      < -5.091591, -0.845340, -0.346327>
    }
    triangle {
      < -5.091591, -0.845340, -0.346327>,
      < -4.718118, -0.727095, -0.345607>,
      < -4.371131, -0.688036, -0.352762>
    }
    triangle {
      < -5.091591, -0.845340, -0.346327>,
      < -4.371131, -0.688036, -0.352762>,
      < -4.544197, -0.783721, -0.353924>
    }
    triangle {
      < -4.544197, -0.783721, -0.353924>,
      < -4.371131, -0.688036, -0.352762>,
      < -3.998140, -0.642329, -0.362384>
    }
    triangle {
      < -4.544197, -0.783721, -0.353924>,
      < -3.998140, -0.642329, -0.362384>,
      < -3.998141, -0.717232, -0.365802>
    }
    triangle {
      < -5.091426, -0.765411, -0.323031>,
      < -4.544779, -0.628970, -0.329102>,
      < -4.371604, -0.610773, -0.339414>
    }
    triangle {
      < -5.091426, -0.765411, -0.323031>,
      < -4.371604, -0.610773, -0.339414>,
      < -4.718118, -0.727095, -0.345607>
    }
    triangle {
      < -4.718118, -0.727095, -0.345607>,
      < -4.371604, -0.610773, -0.339414>,
      < -4.171200, -0.588212, -0.346396>
    }
    triangle {
      < -4.718118, -0.727095, -0.345607>,
      < -4.171200, -0.588212, -0.346396>,
      < -4.371131, -0.688036, -0.352762>
    }
    triangle {
      < -4.371131, -0.688036, -0.352762>,
      < -4.171200, -0.588212, -0.346396>,
      < -3.998136, -0.567428, -0.352174>
    }
    triangle {
      < -4.371131, -0.688036, -0.352762>,
      < -3.998136, -0.567428, -0.352174>,
      < -3.998140, -0.642329, -0.362384>
    }
    triangle {
      < -4.544779, -0.628970, -0.329102>,
      < -3.998132, -0.492530, -0.335173>,
      < -3.998132, -0.492530, -0.335173>
    }
    triangle {
      < -4.544779, -0.628970, -0.329102>,
      < -3.998132, -0.492530, -0.335173>,
      < -4.371604, -0.610773, -0.339414>
    }
    triangle {
      < -4.371604, -0.610773, -0.339414>,
      < -3.998132, -0.492530, -0.335173>,
      < -3.998132, -0.492530, -0.335173>
    }
    triangle {
      < -4.371604, -0.610773, -0.339414>,
      < -3.998132, -0.492530, -0.335173>,
      < -4.171200, -0.588212, -0.346396>
    }
    triangle {
      < -4.171200, -0.588212, -0.346396>,
      < -3.998132, -0.492530, -0.335173>,
      < -3.998132, -0.492530, -0.335173>
    }
    triangle {
      < -4.171200, -0.588212, -0.346396>,
      < -3.998132, -0.492530, -0.335173>,
      < -3.998136, -0.567428, -0.352174>
    }
    triangle {
      < -4.157670, -0.236165, 0.002798>,
      < -3.908832, -0.285753, -0.173580>,
      < -3.752129, -0.301336, -0.240383>
    }
    triangle {
      < -4.157670, -0.236165, 0.002798>,
      < -3.752129, -0.301336, -0.240383>,
      < -4.139385, -0.265262, -0.110571>
    }
    triangle {
      < -4.139385, -0.265262, -0.110571>,
      < -3.752129, -0.301336, -0.240383>,
      < -3.520827, -0.337130, -0.287130>
    }
    triangle {
      < -4.139385, -0.265262, -0.110571>,
      < -3.520827, -0.337130, -0.287130>,
      < -4.086205, -0.350717, -0.223228>
    }
    triangle {
      < -4.086205, -0.350717, -0.223228>,
      < -3.520827, -0.337130, -0.287130>,
      < -3.312427, -0.436207, -0.352878>
    }
    triangle {
      < -4.086205, -0.350717, -0.223228>,
      < -3.312427, -0.436207, -0.352878>,
      < -3.998132, -0.492530, -0.335173>
    }
    triangle {
      < -3.908832, -0.285753, -0.173580>,
      < -3.471289, -0.260706, -0.281334>,
      < -3.202212, -0.302383, -0.314745>
    }
    triangle {
      < -3.908832, -0.285753, -0.173580>,
      < -3.202212, -0.302383, -0.314745>,
      < -3.752129, -0.301336, -0.240383>
    }
    triangle {
      < -3.752129, -0.301336, -0.240383>,
      < -3.202212, -0.302383, -0.314745>,
      < -2.908825, -0.341022, -0.337681>
    }
    triangle {
      < -3.752129, -0.301336, -0.240383>,
      < -2.908825, -0.341022, -0.337681>,
      < -3.520827, -0.337130, -0.287130>
    }
    triangle {
      < -3.520827, -0.337130, -0.287130>,
      < -2.908825, -0.341022, -0.337681>,
      < -2.621655, -0.411921, -0.370723>
    }
    triangle {
      < -3.520827, -0.337130, -0.287130>,
      < -2.621655, -0.411921, -0.370723>,
      < -3.312427, -0.436207, -0.352878>
    }
    triangle {
      < -3.471289, -0.260706, -0.281334>,
      < -2.926448, -0.188050, -0.323747>,
      < -2.593634, -0.261928, -0.345382>
    }
    triangle {
      < -3.471289, -0.260706, -0.281334>,
      < -2.593634, -0.261928, -0.345382>,
      < -3.202212, -0.302383, -0.314745>
    }
    triangle {
      < -3.202212, -0.302383, -0.314745>,
      < -2.593634, -0.261928, -0.345382>,
      < -2.260820, -0.335806, -0.367016>
    }
    triangle {
      < -3.202212, -0.302383, -0.314745>,
      < -2.260820, -0.335806, -0.367016>,
      < -2.908825, -0.341022, -0.337681>
    }
    triangle {
      < -2.908825, -0.341022, -0.337681>,
      < -2.260820, -0.335806, -0.367016>,
      < -1.928007, -0.409684, -0.388651>
    }
    triangle {
      < -2.908825, -0.341022, -0.337681>,
      < -1.928007, -0.409684, -0.388651>,
      < -2.621655, -0.411921, -0.370723>
    }
    triangle {
      < -2.926448, -0.188050, -0.323747>,
      < -2.321786, -0.107996, -0.315029>,
      < -2.461472, -0.178873, -0.324630>
    }
    triangle {
      < -2.926448, -0.188050, -0.323747>,
      < -2.461472, -0.178873, -0.324630>,
      < -2.926448, -0.188050, -0.323747>
    }
    triangle {
      < -2.926448, -0.188050, -0.323747>,
      < -2.461472, -0.178873, -0.324630>,
      < -2.593634, -0.261928, -0.345382>
    }
    triangle {
      < -2.926448, -0.188050, -0.323747>,
      < -2.593634, -0.261928, -0.345382>,
      < -2.926448, -0.188050, -0.323747>
    }
    triangle {
      < -2.256919, -0.077999, -0.294273>,
      < -1.684891, 0.016349, -0.183880>,
      < -1.770123, -0.024413, -0.252803>
    }
    triangle {
      < -2.256919, -0.077999, -0.294273>,
      < -1.770123, -0.024413, -0.252803>,
      < -2.321786, -0.107996, -0.315029>
    }
    triangle {
      < -2.321786, -0.107996, -0.315029>,
      < -1.770123, -0.024413, -0.252803>,
      < -1.983320, -0.143450, -0.298105>
    }
    triangle {
      < -2.321786, -0.107996, -0.315029>,
      < -1.983320, -0.143450, -0.298105>,
      < -2.461472, -0.178873, -0.324630>
    }
    triangle {
      < -2.461472, -0.178873, -0.324630>,
      < -1.983320, -0.143450, -0.298105>,
      < -2.260820, -0.335806, -0.367016>
    }
    triangle {
      < -2.461472, -0.178873, -0.324630>,
      < -2.260820, -0.335806, -0.367016>,
      < -2.593634, -0.261928, -0.345382>
    }
    triangle {
      < -1.684891, 0.016349, -0.183880>,
      < -1.343873, 0.050669, 0.002049>,
      < -1.408803, -0.000456, -0.128192>
    }
    triangle {
      < -1.684891, 0.016349, -0.183880>,
      < -1.408803, -0.000456, -0.128192>,
      < -1.770123, -0.024413, -0.252803>
    }
    triangle {
      < -1.770123, -0.024413, -0.252803>,
      < -1.408803, -0.000456, -0.128192>,
      < -1.603514, -0.153907, -0.258425>
    }
    triangle {
      < -1.770123, -0.024413, -0.252803>,
      < -1.603514, -0.153907, -0.258425>,
      < -1.983320, -0.143450, -0.298105>
    }
    triangle {
      < -1.983320, -0.143450, -0.298105>,
      < -1.603514, -0.153907, -0.258425>,
      < -1.928007, -0.409684, -0.388651>
    }
    triangle {
      < -1.983320, -0.143450, -0.298105>,
      < -1.928007, -0.409684, -0.388651>,
      < -2.260820, -0.335806, -0.367016>
    }
    triangle {
      < -3.998107, -1.164984, -0.252904>,
      < -2.704646, -1.175322, -0.248883>,
      < -2.734652, -1.253063, 0.002075>
    }
    triangle {
      < -3.998107, -1.164984, -0.252904>,
      < -2.734652, -1.253063, 0.002075>,
      < -3.998032, -1.243357, 0.002452>
    }
    triangle {
      < -3.998136, -0.969765, -0.350296>,
      < -2.661966, -0.968576, -0.358448>,
      < -2.704646, -1.175322, -0.248883>
    }
    triangle {
      < -3.998136, -0.969765, -0.350296>,
      < -2.704646, -1.175322, -0.248883>,
      < -3.998107, -1.164984, -0.252904>
    }
    triangle {
      < -3.998141, -0.717232, -0.365802>,
      < -2.616730, -0.687532, -0.384771>,
      < -2.661966, -0.968576, -0.358448>
    }
    triangle {
      < -3.998141, -0.717232, -0.365802>,
      < -2.661966, -0.968576, -0.358448>,
      < -3.998136, -0.969765, -0.350296>
    }
    triangle {
      < -2.704646, -1.175322, -0.248883>,
      < -1.411557, -1.200061, -0.238212>,
      < -1.471272, -1.262770, 0.001697>
    }
    triangle {
      < -2.704646, -1.175322, -0.248883>,
      < -1.471272, -1.262770, 0.001697>,
      < -2.734652, -1.253063, 0.002075>
    }
    triangle {
      < -2.661966, -0.968576, -0.358448>,
      < -1.338141, -0.997646, -0.365036>,
      < -1.411557, -1.200061, -0.238212>
    }
    triangle {
      < -2.661966, -0.968576, -0.358448>,
      < -1.411557, -1.200061, -0.238212>,
      < -2.704646, -1.175322, -0.248883>
    }
    triangle {
      < -2.616730, -0.687532, -0.384771>,
      < -1.235044, -0.677510, -0.408571>,
      < -1.338141, -0.997646, -0.365036>
    }
    triangle {
      < -2.616730, -0.687532, -0.384771>,
      < -1.338141, -0.997646, -0.365036>,
      < -2.661966, -0.968576, -0.358448>
    }
    triangle {
      < -1.411557, -1.200061, -0.238212>,
      < -0.117134, -1.224346, -0.238054>,
      < -0.207892, -1.272476, 0.001320>
    }
    triangle {
      < -1.411557, -1.200061, -0.238212>,
      < -0.207892, -1.272476, 0.001320>,
      < -1.471272, -1.262770, 0.001697>
    }
    triangle {
      < -1.338141, -0.997646, -0.365036>,
      < 0.000779, -1.036306, -0.384227>,
      < -0.117134, -1.224346, -0.238054>
    }
    triangle {
      < -1.338141, -0.997646, -0.365036>,
      < -0.117134, -1.224346, -0.238054>,
      < -1.411557, -1.200061, -0.238212>
    }
    triangle {
      < -1.235044, -0.677510, -0.408571>,
      < 0.150077, -0.701607, -0.442444>,
      < 0.000779, -1.036306, -0.384227>
    }
    triangle {
      < -1.235044, -0.677510, -0.408571>,
      < 0.000779, -1.036306, -0.384227>,
      < -1.338141, -0.997646, -0.365036>
    }
    triangle {
      < -3.998132, -0.492530, -0.335173>,
      < -3.306102, -0.491104, -0.353058>,
      < -3.087595, -0.554998, -0.369019>
    }
    triangle {
      < -3.998132, -0.492530, -0.335173>,
      < -3.087595, -0.554998, -0.369019>,
      < -3.998136, -0.567428, -0.352174>
    }
    triangle {
      < -3.998136, -0.567428, -0.352174>,
      < -3.087595, -0.554998, -0.369019>,
      < -2.835564, -0.618749, -0.378861>
    }
    triangle {
      < -3.998136, -0.567428, -0.352174>,
      < -2.835564, -0.618749, -0.378861>,
      < -3.998140, -0.642329, -0.362384>
    }
    triangle {
      < -3.998140, -0.642329, -0.362384>,
      < -2.835564, -0.618749, -0.378861>,
      < -2.616730, -0.687532, -0.384771>
    }
    triangle {
      < -3.998140, -0.642329, -0.362384>,
      < -2.616730, -0.687532, -0.384771>,
      < -3.998141, -0.717232, -0.365802>
    }
    triangle {
      < -3.306102, -0.491104, -0.353058>,
      < -2.616338, -0.506369, -0.370889>,
      < -2.144557, -0.556883, -0.385945>
    }
    triangle {
      < -3.306102, -0.491104, -0.353058>,
      < -2.144557, -0.556883, -0.385945>,
      < -3.087595, -0.554998, -0.369019>
    }
    triangle {
      < -3.087595, -0.554998, -0.369019>,
      < -2.144557, -0.556883, -0.385945>,
      < -1.707749, -0.613034, -0.397009>
    }
    triangle {
      < -3.087595, -0.554998, -0.369019>,
      < -1.707749, -0.613034, -0.397009>,
      < -2.835564, -0.618749, -0.378861>
    }
    triangle {
      < -2.835564, -0.618749, -0.378861>,
      < -1.707749, -0.613034, -0.397009>,
      < -1.235044, -0.677510, -0.408571>
    }
    triangle {
      < -2.835564, -0.618749, -0.378861>,
      < -1.235044, -0.677510, -0.408571>,
      < -2.616730, -0.687532, -0.384771>
    }
    triangle {
      < -2.616338, -0.506369, -0.370889>,
      < -1.928007, -0.536218, -0.388687>,
      < -1.235793, -0.581566, -0.406592>
    }
    triangle {
      < -2.616338, -0.506369, -0.370889>,
      < -1.235793, -0.581566, -0.406592>,
      < -2.144557, -0.556883, -0.385945>
    }
    triangle {
      < -2.144557, -0.556883, -0.385945>,
      < -1.235793, -0.581566, -0.406592>,
      < -0.543384, -0.637411, -0.424502>
    }
    triangle {
      < -2.144557, -0.556883, -0.385945>,
      < -0.543384, -0.637411, -0.424502>,
      < -1.707749, -0.613034, -0.397009>
    }
    triangle {
      < -1.707749, -0.613034, -0.397009>,
      < -0.543384, -0.637411, -0.424502>,
      < 0.150077, -0.701607, -0.442444>
    }
    triangle {
      < -1.707749, -0.613034, -0.397009>,
      < 0.150077, -0.701607, -0.442444>,
      < -1.235044, -0.677510, -0.408571>
    }
    triangle {
      < -1.928007, -0.409684, -0.388651>,
      < -1.603514, -0.153907, -0.258425>,
      < -1.044262, -0.152020, -0.304205>
    }
    triangle {
      < -1.928007, -0.409684, -0.388651>,
      < -1.044262, -0.152020, -0.304205>,
      < -1.233065, -0.419518, -0.406613>
    }
    triangle {
      < -1.233065, -0.419518, -0.406613>,
      < -1.044262, -0.152020, -0.304205>,
      < -0.532326, -0.142835, -0.377766>
    }
    triangle {
      < -1.233065, -0.419518, -0.406613>,
      < -0.532326, -0.142835, -0.377766>,
      < -0.539638, -0.431418, -0.424538>
    }
    triangle {
      < -0.539638, -0.431418, -0.424538>,
      < -0.532326, -0.142835, -0.377766>,
      < 0.022870, -0.138502, -0.423446>
    }
    triangle {
      < -0.539638, -0.431418, -0.424538>,
      < 0.022870, -0.138502, -0.423446>,
      < 0.150077, -0.435370, -0.442366>
    }
    triangle {
      < -1.603514, -0.153907, -0.258425>,
      < -1.408803, -0.000456, -0.128192>,
      < -0.962213, -0.001666, -0.171478>
    }
    triangle {
      < -1.603514, -0.153907, -0.258425>,
      < -0.962213, -0.001666, -0.171478>,
      < -1.044262, -0.152020, -0.304205>
    }
    triangle {
      < -1.044262, -0.152020, -0.304205>,
      < -0.962213, -0.001666, -0.171478>,
      < -0.528568, 0.000508, -0.247793>
    }
    triangle {
      < -1.044262, -0.152020, -0.304205>,
      < -0.528568, 0.000508, -0.247793>,
      < -0.532326, -0.142835, -0.377766>
    }
    triangle {
      < -0.532326, -0.142835, -0.377766>,
      < -0.528568, 0.000508, -0.247793>,
      < -0.083861, -0.004638, -0.291045>
    }
    triangle {
      < -0.532326, -0.142835, -0.377766>,
      < -0.083861, -0.004638, -0.291045>,
      < 0.022870, -0.138502, -0.423446>
    }
    triangle {
      < -1.408803, -0.000456, -0.128192>,
      < -1.343873, 0.050669, 0.002049>,
      < -0.964856, 0.042002, 0.001934>
    }
    triangle {
      < -1.408803, -0.000456, -0.128192>,
      < -0.964856, 0.042002, 0.001934>,
      < -0.962213, -0.001666, -0.171478>
    }
    triangle {
      < -0.962213, -0.001666, -0.171478>,
      < -0.964856, 0.042002, 0.001934>,
      < -0.586196, 0.029649, 0.001818>
    }
    triangle {
      < -0.962213, -0.001666, -0.171478>,
      < -0.586196, 0.029649, 0.001818>,
      < -0.528568, 0.000508, -0.247793>
    }
    triangle {
      < -0.528568, 0.000508, -0.247793>,
      < -0.586196, 0.029649, 0.001818>,
      < -0.207893, 0.013609, 0.001701>
    }
    triangle {
      < -0.528568, 0.000508, -0.247793>,
      < -0.207893, 0.013609, 0.001701>,
      < -0.083861, -0.004638, -0.291045>
    }
    triangle {
      < -0.207893, 0.013609, 0.001701>,
      < 0.424250, -0.008879, 0.001507>,
      < 0.509034, -0.027259, -0.245206>
    }
    triangle {
      < -0.207893, 0.013609, 0.001701>,
      < 0.509034, -0.027259, -0.245206>,
      < -0.083861, -0.004638, -0.291045>
    }
    triangle {
      < -0.083861, -0.004638, -0.291045>,
      < 0.509034, -0.027259, -0.245206>,
      < 0.574937, -0.143346, -0.358095>
    }
    triangle {
      < -0.083861, -0.004638, -0.291045>,
      < 0.574937, -0.143346, -0.358095>,
      < 0.022870, -0.138502, -0.423446>
    }
    triangle {
      < 0.022870, -0.138502, -0.423446>,
      < 0.574937, -0.143346, -0.358095>,
      < 0.662079, -0.396362, -0.379841>
    }
    triangle {
      < 0.022870, -0.138502, -0.423446>,
      < 0.662079, -0.396362, -0.379841>,
      < 0.150077, -0.435370, -0.442366>
    }
    triangle {
      < 0.424250, -0.008879, 0.001507>,
      < 1.055599, -0.041692, 0.001311>,
      < 1.094397, -0.071309, -0.173850>
    }
    triangle {
      < 0.424250, -0.008879, 0.001507>,
      < 1.094397, -0.071309, -0.173850>,
      < 0.509034, -0.027259, -0.245206>
    }
    triangle {
      < 0.509034, -0.027259, -0.245206>,
      < 1.094397, -0.071309, -0.173850>,
      < 1.134440, -0.174788, -0.276385>
    }
    triangle {
      < 0.509034, -0.027259, -0.245206>,
      < 1.134440, -0.174788, -0.276385>,
      < 0.574937, -0.143346, -0.358095>
    }
    triangle {
      < 0.574937, -0.143346, -0.358095>,
      < 1.134440, -0.174788, -0.276385>,
      < 1.174080, -0.357354, -0.317317>
    }
    triangle {
      < 0.574937, -0.143346, -0.358095>,
      < 1.174080, -0.357354, -0.317317>,
      < 0.662079, -0.396362, -0.379841>
    }
    triangle {
      < 1.055599, -0.041692, 0.001311>,
      < 1.686158, -0.084828, 0.001111>,
      < 1.686119, -0.109225, -0.128016>
    }
    triangle {
      < 1.055599, -0.041692, 0.001311>,
      < 1.686119, -0.109225, -0.128016>,
      < 1.094397, -0.071309, -0.173850>
    }
    triangle {
      < 1.094397, -0.071309, -0.173850>,
      < 1.686119, -0.109225, -0.128016>,
      < 1.686095, -0.184984, -0.211036>
    }
    triangle {
      < 1.094397, -0.071309, -0.173850>,
      < 1.686095, -0.184984, -0.211036>,
      < 1.134440, -0.174788, -0.276385>
    }
    triangle {
      < 1.134440, -0.174788, -0.276385>,
      < 1.686095, -0.184984, -0.211036>,
      < 1.686082, -0.318345, -0.254793>
    }
    triangle {
      < 1.134440, -0.174788, -0.276385>,
      < 1.686082, -0.318345, -0.254793>,
      < 1.174080, -0.357354, -0.317317>
    }
    triangle {
      < 1.686082, -0.318345, -0.254793>,
      < 1.336317, -0.360336, -0.305465>,
      < 1.174080, -0.357354, -0.317317>
    }
    triangle {
      < 1.686082, -0.318345, -0.254793>,
      < 1.174080, -0.357354, -0.317317>,
      < 1.686082, -0.318345, -0.254793>
    }
    triangle {
      < 1.686082, -0.318345, -0.254793>,
      < 1.523838, -0.367111, -0.288577>,
      < 1.336317, -0.360336, -0.305465>
    }
    triangle {
      < 1.686082, -0.318345, -0.254793>,
      < 1.336317, -0.360336, -0.305465>,
      < 1.686082, -0.318345, -0.254793>
    }
    triangle {
      < 1.686082, -0.318345, -0.254793>,
      < 1.686076, -0.370093, -0.276726>,
      < 1.523838, -0.367111, -0.288577>
    }
    triangle {
      < 1.686082, -0.318345, -0.254793>,
      < 1.523838, -0.367111, -0.288577>,
      < 1.686082, -0.318345, -0.254793>
    }
    triangle {
      < 1.336317, -0.360336, -0.305465>,
      < 1.011834, -0.397825, -0.360158>,
      < 0.662079, -0.396362, -0.379841>
    }
    triangle {
      < 1.336317, -0.360336, -0.305465>,
      < 0.662079, -0.396362, -0.379841>,
      < 1.174080, -0.357354, -0.317317>
    }
    triangle {
      < 1.523838, -0.367111, -0.288577>,
      < 1.336308, -0.404074, -0.338241>,
      < 1.011834, -0.397825, -0.360158>
    }
    triangle {
      < 1.523838, -0.367111, -0.288577>,
      < 1.011834, -0.397825, -0.360158>,
      < 1.336317, -0.360336, -0.305465>
    }
    triangle {
      < 1.686076, -0.370093, -0.276726>,
      < 1.686064, -0.405537, -0.318558>,
      < 1.336308, -0.404074, -0.338241>
    }
    triangle {
      < 1.686076, -0.370093, -0.276726>,
      < 1.336308, -0.404074, -0.338241>,
      < 1.523838, -0.367111, -0.288577>
    }
    triangle {
      < 1.011834, -0.397825, -0.360158>,
      < 0.662068, -0.429805, -0.419311>,
      < 0.150077, -0.435370, -0.442366>
    }
    triangle {
      < 1.011834, -0.397825, -0.360158>,
      < 0.150077, -0.435370, -0.442366>,
      < 0.662079, -0.396362, -0.379841>
    }
    triangle {
      < 1.336308, -0.404074, -0.338241>,
      < 1.174059, -0.424240, -0.396257>,
      < 0.662068, -0.429805, -0.419311>
    }
    triangle {
      < 1.336308, -0.404074, -0.338241>,
      < 0.662068, -0.429805, -0.419311>,
      < 1.011834, -0.397825, -0.360158>
    }
    triangle {
      < 1.686064, -0.405537, -0.318558>,
      < 1.686049, -0.418674, -0.373203>,
      < 1.174059, -0.424240, -0.396257>
    }
    triangle {
      < 1.686064, -0.405537, -0.318558>,
      < 1.174059, -0.424240, -0.396257>,
      < 1.336308, -0.404074, -0.338241>
    }
    triangle {
      < -0.207892, -1.272476, 0.001320>,
      < -0.117134, -1.224346, -0.238054>,
      < 0.027215, -1.208002, -0.316389>
    }
    triangle {
      < -0.207892, -1.272476, 0.001320>,
      < 0.027215, -1.208002, -0.316389>,
      < -0.076960, -1.264625, -0.146833>
    }
    triangle {
      < -0.076960, -1.264625, -0.146833>,
      < 0.027215, -1.208002, -0.316389>,
      < 0.297230, -1.139234, -0.337848>
    }
    triangle {
      < -0.076960, -1.264625, -0.146833>,
      < 0.297230, -1.139234, -0.337848>,
      < 0.223009, -1.217951, -0.251456>
    }
    triangle {
      < 0.223009, -1.217951, -0.251456>,
      < 0.297230, -1.139234, -0.337848>,
      < 0.692003, -1.065374, -0.351692>
    }
    triangle {
      < 0.223009, -1.217951, -0.251456>,
      < 0.692003, -1.065374, -0.351692>,
      < 0.692015, -1.132454, -0.312547>
    }
    triangle {
      < -0.117134, -1.224346, -0.238054>,
      < 0.000779, -1.036306, -0.384227>,
      < 0.183175, -1.041899, -0.399971>
    }
    triangle {
      < -0.117134, -1.224346, -0.238054>,
      < 0.183175, -1.041899, -0.399971>,
      < 0.027215, -1.208002, -0.316389>
    }
    triangle {
      < 0.027215, -1.208002, -0.316389>,
      < 0.183175, -1.041899, -0.399971>,
      < 0.421949, -1.002128, -0.391547>
    }
    triangle {
      < 0.027215, -1.208002, -0.316389>,
      < 0.421949, -1.002128, -0.391547>,
      < 0.297230, -1.139234, -0.337848>
    }
    triangle {
      < 0.297230, -1.139234, -0.337848>,
      < 0.421949, -1.002128, -0.391547>,
      < 0.691994, -0.987591, -0.384720>
    }
    triangle {
      < 0.297230, -1.139234, -0.337848>,
      < 0.691994, -0.987591, -0.384720>,
      < 0.692003, -1.065374, -0.351692>
    }
    triangle {
      < 0.000779, -1.036306, -0.384227>,
      < 0.150077, -0.701607, -0.442444>,
      < 0.330713, -0.767500, -0.432138>
    }
    triangle {
      < 0.000779, -1.036306, -0.384227>,
      < 0.330713, -0.767500, -0.432138>,
      < 0.183175, -1.041899, -0.399971>
    }
    triangle {
      < 0.183175, -1.041899, -0.399971>,
      < 0.330713, -0.767500, -0.432138>,
      < 0.511350, -0.833394, -0.421832>
    }
    triangle {
      < 0.183175, -1.041899, -0.399971>,
      < 0.511350, -0.833394, -0.421832>,
      < 0.421949, -1.002128, -0.391547>
    }
    triangle {
      < 0.421949, -1.002128, -0.391547>,
      < 0.511350, -0.833394, -0.421832>,
      < 0.691986, -0.899286, -0.411527>
    }
    triangle {
      < 0.421949, -1.002128, -0.391547>,
      < 0.691986, -0.899286, -0.411527>,
      < 0.691994, -0.987591, -0.384720>
    }
    triangle {
      < -0.207892, -1.272476, 0.001320>,
      < -0.076960, -1.264625, -0.146833>,
      < 0.171803, -1.269089, -0.135612>
    }
    triangle {
      < -0.207892, -1.272476, 0.001320>,
      < 0.171803, -1.269089, -0.135612>,
      < 0.092108, -1.280032, 0.001229>
    }
    triangle {
      < 0.092108, -1.280032, 0.001229>,
      < 0.171803, -1.269089, -0.135612>,
      < 0.443315, -1.272582, -0.114716>
    }
    triangle {
      < 0.092108, -1.280032, 0.001229>,
      < 0.443315, -1.272582, -0.114716>,
      < 0.392108, -1.287588, 0.001138>
    }
    triangle {
      < 0.392108, -1.287588, 0.001138>,
      < 0.443315, -1.272582, -0.114716>,
      < 0.692077, -1.277046, -0.103495>
    }
    triangle {
      < 0.392108, -1.287588, 0.001138>,
      < 0.692077, -1.277046, -0.103495>,
      < 0.692108, -1.295143, 0.001047>
    }
    triangle {
      < -0.076960, -1.264625, -0.146833>,
      < 0.223009, -1.217951, -0.251456>,
      < 0.361895, -1.219648, -0.240201>
    }
    triangle {
      < -0.076960, -1.264625, -0.146833>,
      < 0.361895, -1.219648, -0.240201>,
      < 0.171803, -1.269089, -0.135612>
    }
    triangle {
      < 0.171803, -1.269089, -0.135612>,
      < 0.361895, -1.219648, -0.240201>,
      < 0.553159, -1.221120, -0.219281>
    }
    triangle {
      < 0.171803, -1.269089, -0.135612>,
      < 0.553159, -1.221120, -0.219281>,
      < 0.443315, -1.272582, -0.114716>
    }
    triangle {
      < 0.443315, -1.272582, -0.114716>,
      < 0.553159, -1.221120, -0.219281>,
      < 0.692046, -1.222816, -0.208026>
    }
    triangle {
      < 0.443315, -1.272582, -0.114716>,
      < 0.692046, -1.222816, -0.208026>,
      < 0.692077, -1.277046, -0.103495>
    }
    triangle {
      < 0.223009, -1.217951, -0.251456>,
      < 0.692015, -1.132454, -0.312547>,
      < 0.692015, -1.132454, -0.312547>
    }
    triangle {
      < 0.223009, -1.217951, -0.251456>,
      < 0.692015, -1.132454, -0.312547>,
      < 0.361895, -1.219648, -0.240201>
    }
    triangle {
      < 0.361895, -1.219648, -0.240201>,
      < 0.692015, -1.132454, -0.312547>,
      < 0.692015, -1.132454, -0.312547>
    }
    triangle {
      < 0.361895, -1.219648, -0.240201>,
      < 0.692015, -1.132454, -0.312547>,
      < 0.553159, -1.221120, -0.219281>
    }
    triangle {
      < 0.553159, -1.221120, -0.219281>,
      < 0.692015, -1.132454, -0.312547>,
      < 0.692015, -1.132454, -0.312547>
    }
    triangle {
      < 0.553159, -1.221120, -0.219281>,
      < 0.692015, -1.132454, -0.312547>,
      < 0.692046, -1.222816, -0.208026>
    }
    triangle {
      < 0.692077, -1.277046, -0.103495>,
      < 1.023431, -1.318537, -0.090448>,
      < 1.023458, -1.329415, 0.000939>
    }
    triangle {
      < 0.692077, -1.277046, -0.103495>,
      < 1.023458, -1.329415, 0.000939>,
      < 0.692108, -1.295143, 0.001047>
    }
    triangle {
      < 0.692046, -1.222816, -0.208026>,
      < 1.023405, -1.282659, -0.178328>,
      < 1.023431, -1.318537, -0.090448>
    }
    triangle {
      < 0.692046, -1.222816, -0.208026>,
      < 1.023431, -1.318537, -0.090448>,
      < 0.692077, -1.277046, -0.103495>
    }
    triangle {
      < 0.692015, -1.132454, -0.312547>,
      < 1.023379, -1.216833, -0.267194>,
      < 1.023405, -1.282659, -0.178328>
    }
    triangle {
      < 0.692015, -1.132454, -0.312547>,
      < 1.023405, -1.282659, -0.178328>,
      < 0.692046, -1.222816, -0.208026>
    }
    triangle {
      < 1.023431, -1.318537, -0.090448>,
      < 1.354785, -1.355080, -0.076227>,
      < 1.354808, -1.363687, 0.000830>
    }
    triangle {
      < 1.023431, -1.318537, -0.090448>,
      < 1.354808, -1.363687, 0.000830>,
      < 1.023458, -1.329415, 0.000939>
    }
    triangle {
      < 1.023405, -1.282659, -0.178328>,
      < 1.354763, -1.332606, -0.151947>,
      < 1.354785, -1.355080, -0.076227>
    }
    triangle {
      < 1.023405, -1.282659, -0.178328>,
      < 1.354785, -1.355080, -0.076227>,
      < 1.023431, -1.318537, -0.090448>
    }
    triangle {
      < 1.023379, -1.216833, -0.267194>,
      < 1.354742, -1.301211, -0.221841>,
      < 1.354763, -1.332606, -0.151947>
    }
    triangle {
      < 1.023379, -1.216833, -0.267194>,
      < 1.354763, -1.332606, -0.151947>,
      < 1.023405, -1.282659, -0.178328>
    }
    triangle {
      < 1.354785, -1.355080, -0.076227>,
      < 1.686139, -1.396572, -0.063179>,
      < 1.686158, -1.397959, 0.000722>
    }
    triangle {
      < 1.354785, -1.355080, -0.076227>,
      < 1.686158, -1.397959, 0.000722>,
      < 1.354808, -1.363687, 0.000830>
    }
    triangle {
      < 1.354763, -1.332606, -0.151947>,
      < 1.686122, -1.392448, -0.122249>,
      < 1.686139, -1.396572, -0.063179>
    }
    triangle {
      < 1.354763, -1.332606, -0.151947>,
      < 1.686139, -1.396572, -0.063179>,
      < 1.354785, -1.355080, -0.076227>
    }
    triangle {
      < 1.354742, -1.301211, -0.221841>,
      < 1.686106, -1.385590, -0.176487>,
      < 1.686122, -1.392448, -0.122249>
    }
    triangle {
      < 1.354742, -1.301211, -0.221841>,
      < 1.686122, -1.392448, -0.122249>,
      < 1.354763, -1.332606, -0.151947>
    }
    triangle {
      < 1.686158, -0.084828, 0.001111>,
      < 2.205594, -0.129736, 0.000944>,
      < 2.203631, -0.149353, -0.103088>
    }
    triangle {
      < 1.686158, -0.084828, 0.001111>,
      < 2.203631, -0.149353, -0.103088>,
      < 1.686119, -0.109225, -0.128016>
    }
    triangle {
      < 1.686119, -0.109225, -0.128016>,
      < 2.203631, -0.149353, -0.103088>,
      < 2.200023, -0.210415, -0.170828>
    }
    triangle {
      < 1.686119, -0.109225, -0.128016>,
      < 2.200023, -0.210415, -0.170828>,
      < 1.686095, -0.184984, -0.211036>
    }
    triangle {
      < 1.686095, -0.184984, -0.211036>,
      < 2.200023, -0.210415, -0.170828>,
      < 2.198078, -0.318011, -0.211625>
    }
    triangle {
      < 1.686095, -0.184984, -0.211036>,
      < 2.198078, -0.318011, -0.211625>,
      < 1.686082, -0.318345, -0.254793>
    }
    triangle {
      < 2.205594, -0.129736, 0.000944>,
      < 2.718393, -0.185642, 0.000775>,
      < 2.716228, -0.203582, -0.066281>
    }
    triangle {
      < 2.205594, -0.129736, 0.000944>,
      < 2.716228, -0.203582, -0.066281>,
      < 2.203631, -0.149353, -0.103088>
    }
    triangle {
      < 2.203631, -0.149353, -0.103088>,
      < 2.716228, -0.203582, -0.066281>,
      < 2.712232, -0.250730, -0.123528>
    }
    triangle {
      < 2.203631, -0.149353, -0.103088>,
      < 2.712232, -0.250730, -0.123528>,
      < 2.200023, -0.210415, -0.170828>
    }
    triangle {
      < 2.200023, -0.210415, -0.170828>,
      < 2.712232, -0.250730, -0.123528>,
      < 2.710074, -0.317675, -0.168458>
    }
    triangle {
      < 2.200023, -0.210415, -0.170828>,
      < 2.710074, -0.317675, -0.168458>,
      < 2.198078, -0.318011, -0.211625>
    }
    triangle {
      < 2.718393, -0.185642, 0.000775>,
      < 3.222108, -0.254333, 0.000606>,
      < 3.222096, -0.261325, -0.041356>
    }
    triangle {
      < 2.718393, -0.185642, 0.000775>,
      < 3.222096, -0.261325, -0.041356>,
      < 2.716228, -0.203582, -0.066281>
    }
    triangle {
      < 2.716228, -0.203582, -0.066281>,
      < 3.222096, -0.261325, -0.041356>,
      < 3.222083, -0.282327, -0.083321>
    }
    triangle {
      < 2.716228, -0.203582, -0.066281>,
      < 3.222083, -0.282327, -0.083321>,
      < 2.712232, -0.250730, -0.123528>
    }
    triangle {
      < 2.712232, -0.250730, -0.123528>,
      < 3.222083, -0.282327, -0.083321>,
      < 3.222072, -0.317339, -0.125290>
    }
    triangle {
      < 2.712232, -0.250730, -0.123528>,
      < 3.222072, -0.317339, -0.125290>,
      < 2.710074, -0.317675, -0.168458>
    }
    triangle {
      < 1.686049, -0.418674, -0.373203>,
      < 1.686064, -0.405537, -0.318558>,
      < 2.686258, -0.436516, -0.225983>
    }
    triangle {
      < 1.686049, -0.418674, -0.373203>,
      < 2.686258, -0.436516, -0.225983>,
      < 2.911396, -0.485889, -0.263908>
    }
    triangle {
      < 2.911396, -0.485889, -0.263908>,
      < 2.686258, -0.436516, -0.225983>,
      < 3.651990, -0.451449, -0.133044>
    }
    triangle {
      < 2.911396, -0.485889, -0.263908>,
      < 3.651990, -0.451449, -0.133044>,
      < 4.136745, -0.553104, -0.154613>
    }
    triangle {
      < 4.136745, -0.553104, -0.154613>,
      < 3.651990, -0.451449, -0.133044>,
      < 4.652186, -0.482429, -0.040469>
    }
    triangle {
      < 4.136745, -0.553104, -0.154613>,
      < 4.652186, -0.482429, -0.040469>,
      < 5.362094, -0.620319, -0.045318>
    }
    triangle {
      < 1.686064, -0.405537, -0.318558>,
      < 1.686076, -0.370093, -0.276726>,
      < 2.425004, -0.376850, -0.208982>
    }
    triangle {
      < 1.686064, -0.405537, -0.318558>,
      < 2.425004, -0.376850, -0.208982>,
      < 2.686258, -0.436516, -0.225983>
    }
    triangle {
      < 2.686258, -0.436516, -0.225983>,
      < 2.425004, -0.376850, -0.208982>,
      < 3.199920, -0.374678, -0.134869>
    }
    triangle {
      < 2.686258, -0.436516, -0.225983>,
      < 3.199920, -0.374678, -0.134869>,
      < 3.651990, -0.451449, -0.133044>
    }
    triangle {
      < 3.651990, -0.451449, -0.133044>,
      < 3.199920, -0.374678, -0.134869>,
      < 3.938846, -0.381435, -0.067126>
    }
    triangle {
      < 3.651990, -0.451449, -0.133044>,
      < 3.938846, -0.381435, -0.067126>,
      < 4.652186, -0.482429, -0.040469>
    }
    triangle {
      < 1.686076, -0.370093, -0.276726>,
      < 1.686082, -0.318345, -0.254793>,
      < 2.198078, -0.318011, -0.211625>
    }
    triangle {
      < 1.686076, -0.370093, -0.276726>,
      < 2.198078, -0.318011, -0.211625>,
      < 2.425004, -0.376850, -0.208982>
    }
    triangle {
      < 2.425004, -0.376850, -0.208982>,
      < 2.198078, -0.318011, -0.211625>,
      < 2.710074, -0.317675, -0.168458>
    }
    triangle {
      < 2.425004, -0.376850, -0.208982>,
      < 2.710074, -0.317675, -0.168458>,
      < 3.199920, -0.374678, -0.134869>
    }
    triangle {
      < 3.199920, -0.374678, -0.134869>,
      < 2.710074, -0.317675, -0.168458>,
      < 3.222072, -0.317339, -0.125290>
    }
    triangle {
      < 3.199920, -0.374678, -0.134869>,
      < 3.222072, -0.317339, -0.125290>,
      < 3.938846, -0.381435, -0.067126>
    }
    triangle {
      < 5.362107, -0.620333, -0.000137>,
      < 5.362103, -0.620328, -0.015197>,
      < 4.649657, -0.491787, -0.015306>
    }
    triangle {
      < 5.362107, -0.620333, -0.000137>,
      < 4.649657, -0.491787, -0.015306>,
      < 4.648774, -0.498333, 0.000111>
    }
    triangle {
      < 4.648774, -0.498333, 0.000111>,
      < 4.649657, -0.491787, -0.015306>,
      < 3.936323, -0.370735, -0.024910>
    }
    triangle {
      < 4.648774, -0.498333, 0.000111>,
      < 3.936323, -0.370735, -0.024910>,
      < 3.935441, -0.376333, 0.000358>
    }
    triangle {
      < 3.935441, -0.376333, 0.000358>,
      < 3.936323, -0.370735, -0.024910>,
      < 3.222096, -0.261325, -0.041356>
    }
    triangle {
      < 3.935441, -0.376333, 0.000358>,
      < 3.222096, -0.261325, -0.041356>,
      < 3.222108, -0.254333, 0.000606>
    }
    triangle {
      < 5.362103, -0.620328, -0.015197>,
      < 5.362098, -0.620324, -0.030258>,
      < 4.651303, -0.481711, -0.025050>
    }
    triangle {
      < 5.362103, -0.620328, -0.015197>,
      < 4.651303, -0.481711, -0.025050>,
      < 4.649657, -0.491787, -0.015306>
    }
    triangle {
      < 4.649657, -0.491787, -0.015306>,
      < 4.651303, -0.481711, -0.025050>,
      < 3.937967, -0.366278, -0.041852>
    }
    triangle {
      < 4.649657, -0.491787, -0.015306>,
      < 3.937967, -0.366278, -0.041852>,
      < 3.936323, -0.370735, -0.024910>
    }
    triangle {
      < 3.936323, -0.370735, -0.024910>,
      < 3.937967, -0.366278, -0.041852>,
      < 3.222083, -0.282327, -0.083321>
    }
    triangle {
      < 3.936323, -0.370735, -0.024910>,
      < 3.222083, -0.282327, -0.083321>,
      < 3.222096, -0.261325, -0.041356>
    }
    triangle {
      < 5.362098, -0.620324, -0.030258>,
      < 5.362094, -0.620319, -0.045318>,
      < 4.652186, -0.482429, -0.040469>
    }
    triangle {
      < 5.362098, -0.620324, -0.030258>,
      < 4.652186, -0.482429, -0.040469>,
      < 4.651303, -0.481711, -0.025050>
    }
    triangle {
      < 4.651303, -0.481711, -0.025050>,
      < 4.652186, -0.482429, -0.040469>,
      < 3.938846, -0.381435, -0.067126>
    }
    triangle {
      < 4.651303, -0.481711, -0.025050>,
      < 3.938846, -0.381435, -0.067126>,
      < 3.937967, -0.366278, -0.041852>
    }
    triangle {
      < 3.937967, -0.366278, -0.041852>,
      < 3.938846, -0.381435, -0.067126>,
      < 3.222072, -0.317339, -0.125290>
    }
    triangle {
      < 3.937967, -0.366278, -0.041852>,
      < 3.222072, -0.317339, -0.125290>,
      < 3.222083, -0.282327, -0.083321>
    }
    triangle {
      < -2.926255, -0.188243, 0.328642>,
      < -2.926255, -0.188243, 0.328642>,
      < -2.321598, -0.108184, 0.319612>
    }
    triangle {
      < -2.926255, -0.188243, 0.328642>,
      < -2.321598, -0.108184, 0.319612>,
      < -2.256743, -0.078175, 0.298836>
    }
    triangle {
      < -2.926448, -0.188050, -0.323747>,
      < -2.256919, -0.077999, -0.294273>,
      < -2.321786, -0.107996, -0.315029>
    }
    triangle {
      < -2.926448, -0.188050, -0.323747>,
      < -2.321786, -0.107996, -0.315029>,
      < -2.926448, -0.188050, -0.323747>
    }
    triangle {
      < 1.686195, -1.392521, 0.123696>,
      < 5.362534, -1.202372, 0.084513>,
      < 5.362546, -1.202385, 0.126491>
    }
    triangle {
      < 1.686195, -1.392521, 0.123696>,
      < 5.362546, -1.202385, 0.126491>,
      < 1.686211, -1.385695, 0.177938>
    }
    triangle {
      < 1.686177, -1.396609, 0.064624>,
      < 5.362522, -1.202359, 0.042534>,
      < 5.362534, -1.202372, 0.084513>
    }
    triangle {
      < 1.686177, -1.396609, 0.064624>,
      < 5.362534, -1.202372, 0.084513>,
      < 1.686195, -1.392521, 0.123696>
    }
    triangle {
      < 1.686158, -1.397959, 0.000722>,
      < 5.362509, -1.202347, 0.000557>,
      < 5.362522, -1.202359, 0.042534>
    }
    triangle {
      < 1.686158, -1.397959, 0.000722>,
      < 5.362522, -1.202359, 0.042534>,
      < 1.686177, -1.396609, 0.064624>
    }
    triangle {
      < 1.686139, -1.396572, -0.063179>,
      < 5.362478, -1.202317, -0.045954>,
      < 5.362509, -1.202347, 0.000557>
    }
    triangle {
      < 1.686139, -1.396572, -0.063179>,
      < 5.362509, -1.202347, 0.000557>,
      < 1.686158, -1.397959, 0.000722>
    }
    triangle {
      < 1.686122, -1.392448, -0.122249>,
      < 5.362484, -1.202323, -0.083399>,
      < 5.362478, -1.202317, -0.045954>
    }
    triangle {
      < 1.686122, -1.392448, -0.122249>,
      < 5.362478, -1.202317, -0.045954>,
      < 1.686139, -1.396572, -0.063179>
    }
    triangle {
      < 1.686106, -1.385590, -0.176487>,
      < 5.362472, -1.202311, -0.125377>,
      < 5.362484, -1.202323, -0.083399>
    }
    triangle {
      < 1.686106, -1.385590, -0.176487>,
      < 5.362484, -1.202323, -0.083399>,
      < 1.686122, -1.392448, -0.122249>
    }
    texture {skin}
  }
  union {
    triangle {
      < -2.927917, 0.227449, 0.003348>,
      < -2.927917, 0.227449, 0.003348>,
      < -3.091916, 0.152749, 0.159848>
    }
    triangle {
      < -2.927917, 0.227449, 0.003348>,
      < -3.091916, 0.152749, 0.159848>,
      < -2.926921, 0.173790, 0.199768>
    }
    triangle {
      < -2.926921, 0.173790, 0.199768>,
      < -3.091916, 0.152749, 0.159848>,
      < -3.306013, -0.032724, 0.259272>
    }
    triangle {
      < -2.926921, 0.173790, 0.199768>,
      < -3.306013, -0.032724, 0.259272>,
      < -2.926376, 0.015200, 0.306439>
    }
    triangle {
      < -2.926376, 0.015200, 0.306439>,
      < -3.306013, -0.032724, 0.259272>,
      < -3.471121, -0.260874, 0.286508>
    }
    triangle {
      < -2.926376, 0.015200, 0.306439>,
      < -3.471121, -0.260874, 0.286508>,
      < -2.926255, -0.188243, 0.328642>
    }
    triangle {
      < -2.927917, 0.227449, 0.003348>,
      < -2.927917, 0.227449, 0.003348>,
      < -3.249447, 0.142167, 0.078125>
    }
    triangle {
      < -2.927917, 0.227449, 0.003348>,
      < -3.249447, 0.142167, 0.078125>,
      < -3.091916, 0.152749, 0.159848>
    }
    triangle {
      < -3.091916, 0.152749, 0.159848>,
      < -3.249447, 0.142167, 0.078125>,
      < -3.585654, -0.040316, 0.150000>
    }
    triangle {
      < -3.091916, 0.152749, 0.159848>,
      < -3.585654, -0.040316, 0.150000>,
      < -3.306013, -0.032724, 0.259272>
    }
    triangle {
      < -3.306013, -0.032724, 0.259272>,
      < -3.585654, -0.040316, 0.150000>,
      < -3.908728, -0.285858, 0.178999>
    }
    triangle {
      < -3.306013, -0.032724, 0.259272>,
      < -3.908728, -0.285858, 0.178999>,
      < -3.471121, -0.260874, 0.286508>
    }
    triangle {
      < -2.927917, 0.227449, 0.003348>,
      < -2.927917, 0.227449, 0.003348>,
      < -3.337720, 0.152839, 0.003447>
    }
    triangle {
      < -2.927917, 0.227449, 0.003348>,
      < -3.337720, 0.152839, 0.003447>,
      < -3.249447, 0.142167, 0.078125>
    }
    triangle {
      < -3.249447, 0.142167, 0.078125>,
      < -3.337720, 0.152839, 0.003447>,
      < -3.746087, 0.002371, 0.003524>
    }
    triangle {
      < -3.249447, 0.142167, 0.078125>,
      < -3.746087, 0.002371, 0.003524>,
      < -3.585654, -0.040316, 0.150000>
    }
    triangle {
      < -3.585654, -0.040316, 0.150000>,
      < -3.746087, 0.002371, 0.003524>,
      < -4.157670, -0.236165, 0.002798>
    }
    triangle {
      < -3.585654, -0.040316, 0.150000>,
      < -4.157670, -0.236165, 0.002798>,
      < -3.908728, -0.285858, 0.178999>
    }
    triangle {
      < -2.927917, 0.227449, 0.003348>,
      < -2.927917, 0.227449, 0.003348>,
      < -2.533541, 0.225183, 0.080460>
    }
    triangle {
      < -2.927917, 0.227449, 0.003348>,
      < -2.533541, 0.225183, 0.080460>,
      < -2.420127, 0.233542, 0.003199>
    }
    triangle {
      < -2.420127, 0.233542, 0.003199>,
      < -2.533541, 0.225183, 0.080460>,
      < -2.110967, 0.148218, 0.156826>
    }
    triangle {
      < -2.420127, 0.233542, 0.003199>,
      < -2.110967, 0.148218, 0.156826>,
      < -1.894912, 0.167265, 0.003024>
    }
    triangle {
      < -1.894912, 0.167265, 0.003024>,
      < -2.110967, 0.148218, 0.156826>,
      < -1.684781, 0.016238, 0.188159>
    }
    triangle {
      < -1.894912, 0.167265, 0.003024>,
      < -1.684781, 0.016238, 0.188159>,
      < -1.343873, 0.050669, 0.002049>
    }
    triangle {
      < -2.927917, 0.227449, 0.003348>,
      < -2.927917, 0.227449, 0.003348>,
      < -2.728313, 0.201758, 0.163030>
    }
    triangle {
      < -2.927917, 0.227449, 0.003348>,
      < -2.728313, 0.201758, 0.163030>,
      < -2.533541, 0.225183, 0.080460>
    }
    triangle {
      < -2.533541, 0.225183, 0.080460>,
      < -2.728313, 0.201758, 0.163030>,
      < -2.466912, 0.090275, 0.268417>
    }
    triangle {
      < -2.533541, 0.225183, 0.080460>,
      < -2.466912, 0.090275, 0.268417>,
      < -2.110967, 0.148218, 0.156826>
    }
    triangle {
      < -2.110967, 0.148218, 0.156826>,
      < -2.466912, 0.090275, 0.268417>,
      < -2.256743, -0.078175, 0.298836>
    }
    triangle {
      < -2.110967, 0.148218, 0.156826>,
      < -2.256743, -0.078175, 0.298836>,
      < -1.684781, 0.016238, 0.188159>
    }
    triangle {
      < -2.927917, 0.227449, 0.003348>,
      < -2.927917, 0.227449, 0.003348>,
      < -2.926921, 0.173790, 0.199768>
    }
    triangle {
      < -2.927917, 0.227449, 0.003348>,
      < -2.926921, 0.173790, 0.199768>,
      < -2.728313, 0.201758, 0.163030>
    }
    triangle {
      < -2.728313, 0.201758, 0.163030>,
      < -2.926921, 0.173790, 0.199768>,
      < -2.926376, 0.015200, 0.306439>
    }
    triangle {
      < -2.728313, 0.201758, 0.163030>,
      < -2.926376, 0.015200, 0.306439>,
      < -2.466912, 0.090275, 0.268417>
    }
    triangle {
      < -2.466912, 0.090275, 0.268417>,
      < -2.926376, 0.015200, 0.306439>,
      < -2.926255, -0.188243, 0.328642>
    }
    triangle {
      < -2.466912, 0.090275, 0.268417>,
      < -2.926255, -0.188243, 0.328642>,
      < -2.256743, -0.078175, 0.298836>
    }
    triangle {
      < -2.927917, 0.227449, 0.003348>,
      < -2.927037, 0.173906, -0.193105>,
      < -3.092009, 0.152842, -0.153100>
    }
    triangle {
      < -2.927917, 0.227449, 0.003348>,
      < -3.092009, 0.152842, -0.153100>,
      < -2.927917, 0.227449, 0.003348>
    }
    triangle {
      < -2.927917, 0.227449, 0.003348>,
      < -3.092009, 0.152842, -0.153100>,
      < -3.249491, 0.142211, -0.071290>
    }
    triangle {
      < -2.927917, 0.227449, 0.003348>,
      < -3.249491, 0.142211, -0.071290>,
      < -2.927917, 0.227449, 0.003348>
    }
    triangle {
      < -2.927917, 0.227449, 0.003348>,
      < -3.249491, 0.142211, -0.071290>,
      < -3.337720, 0.152839, 0.003447>
    }
    triangle {
      < -2.927917, 0.227449, 0.003348>,
      < -3.337720, 0.152839, 0.003447>,
      < -2.927917, 0.227449, 0.003348>
    }
    triangle {
      < -2.927037, 0.173906, -0.193105>,
      < -2.926556, 0.015380, -0.299870>,
      < -3.306165, -0.032572, -0.252506>
    }
    triangle {
      < -2.927037, 0.173906, -0.193105>,
      < -3.306165, -0.032572, -0.252506>,
      < -3.092009, 0.152842, -0.153100>
    }
    triangle {
      < -3.092009, 0.152842, -0.153100>,
      < -3.306165, -0.032572, -0.252506>,
      < -3.585740, -0.040229, -0.143073>
    }
    triangle {
      < -3.092009, 0.152842, -0.153100>,
      < -3.585740, -0.040229, -0.143073>,
      < -3.249491, 0.142211, -0.071290>
    }
    triangle {
      < -3.249491, 0.142211, -0.071290>,
      < -3.585740, -0.040229, -0.143073>,
      < -3.746087, 0.002371, 0.003524>
    }
    triangle {
      < -3.249491, 0.142211, -0.071290>,
      < -3.746087, 0.002371, 0.003524>,
      < -3.337720, 0.152839, 0.003447>
    }
    triangle {
      < -2.926556, 0.015380, -0.299870>,
      < -2.926448, -0.188050, -0.323747>,
      < -3.471289, -0.260706, -0.281334>
    }
    triangle {
      < -2.926556, 0.015380, -0.299870>,
      < -3.471289, -0.260706, -0.281334>,
      < -3.306165, -0.032572, -0.252506>
    }
    triangle {
      < -3.306165, -0.032572, -0.252506>,
      < -3.471289, -0.260706, -0.281334>,
      < -3.908832, -0.285753, -0.173580>
    }
    triangle {
      < -3.306165, -0.032572, -0.252506>,
      < -3.908832, -0.285753, -0.173580>,
      < -3.585740, -0.040229, -0.143073>
    }
    triangle {
      < -3.585740, -0.040229, -0.143073>,
      < -3.908832, -0.285753, -0.173580>,
      < -4.157670, -0.236165, 0.002798>
    }
    triangle {
      < -3.585740, -0.040229, -0.143073>,
      < -4.157670, -0.236165, 0.002798>,
      < -3.746087, 0.002371, 0.003524>
    }
    triangle {
      < -2.927917, 0.227449, 0.003348>,
      < -2.420127, 0.233542, 0.003199>,
      < -2.533587, 0.225229, -0.074000>
    }
    triangle {
      < -2.927917, 0.227449, 0.003348>,
      < -2.533587, 0.225229, -0.074000>,
      < -2.927917, 0.227449, 0.003348>
    }
    triangle {
      < -2.927917, 0.227449, 0.003348>,
      < -2.533587, 0.225229, -0.074000>,
      < -2.728408, 0.201853, -0.156468>
    }
    triangle {
      < -2.927917, 0.227449, 0.003348>,
      < -2.728408, 0.201853, -0.156468>,
      < -2.927917, 0.227449, 0.003348>
    }
    triangle {
      < -2.927917, 0.227449, 0.003348>,
      < -2.728408, 0.201853, -0.156468>,
      < -2.927037, 0.173906, -0.193105>
    }
    triangle {
      < -2.927917, 0.227449, 0.003348>,
      < -2.927037, 0.173906, -0.193105>,
      < -2.927917, 0.227449, 0.003348>
    }
    triangle {
      < -2.420127, 0.233542, 0.003199>,
      < -1.894912, 0.167265, 0.003024>,
      < -2.111058, 0.148310, -0.150662>
    }
    triangle {
      < -2.420127, 0.233542, 0.003199>,
      < -2.111058, 0.148310, -0.150662>,
      < -2.533587, 0.225229, -0.074000>
    }
    triangle {
      < -2.533587, 0.225229, -0.074000>,
      < -2.111058, 0.148310, -0.150662>,
      < -2.467069, 0.090432, -0.262076>
    }
    triangle {
      < -2.533587, 0.225229, -0.074000>,
      < -2.467069, 0.090432, -0.262076>,
      < -2.728408, 0.201853, -0.156468>
    }
    triangle {
      < -2.728408, 0.201853, -0.156468>,
      < -2.467069, 0.090432, -0.262076>,
      < -2.926556, 0.015380, -0.299870>
    }
    triangle {
      < -2.728408, 0.201853, -0.156468>,
      < -2.926556, 0.015380, -0.299870>,
      < -2.927037, 0.173906, -0.193105>
    }
    triangle {
      < -1.894912, 0.167265, 0.003024>,
      < -1.343873, 0.050669, 0.002049>,
      < -1.684891, 0.016349, -0.183880>
    }
    triangle {
      < -1.894912, 0.167265, 0.003024>,
      < -1.684891, 0.016349, -0.183880>,
      < -2.111058, 0.148310, -0.150662>
    }
    triangle {
      < -2.111058, 0.148310, -0.150662>,
      < -1.684891, 0.016349, -0.183880>,
      < -2.256919, -0.077999, -0.294273>
    }
    triangle {
      < -2.111058, 0.148310, -0.150662>,
      < -2.256919, -0.077999, -0.294273>,
      < -2.467069, 0.090432, -0.262076>
    }
    triangle {
      < -2.467069, 0.090432, -0.262076>,
      < -2.256919, -0.077999, -0.294273>,
      < -2.926448, -0.188050, -0.323747>
    }
    triangle {
      < -2.467069, 0.090432, -0.262076>,
      < -2.926448, -0.188050, -0.323747>,
      < -2.926556, 0.015380, -0.299870>
    }
    texture {glass}
  }
  union {
    triangle {
      < 2.168363, -0.800537, 2.838759>,
      < 2.535263, -0.793073, 2.839050>,
      < 2.613292, -0.799481, 3.416000>
    }
    triangle {
      < 2.168363, -0.800537, 2.838759>,
      < 2.613292, -0.799481, 3.416000>,
      < 2.295969, -0.810248, 3.415517>
    }
    triangle {
      < 2.295969, -0.810248, 3.415517>,
      < 2.613292, -0.799481, 3.416000>,
      < 2.683458, -0.804564, 3.993025>
    }
    triangle {
      < 2.295969, -0.810248, 3.415517>,
      < 2.683458, -0.804564, 3.993025>,
      < 2.423577, -0.819959, 3.992274>
    }
    triangle {
      < 2.423577, -0.819959, 3.992274>,
      < 2.683458, -0.804564, 3.993025>,
      < 2.761487, -0.810972, 4.569977>
    }
    triangle {
      < 2.423577, -0.819959, 3.992274>,
      < 2.761487, -0.810972, 4.569977>,
      < 2.551183, -0.829670, 4.569032>
    }
    triangle {
      < 2.535263, -0.793073, 2.839050>,
      < 2.901557, -0.780841, 2.839598>,
      < 2.922475, -0.784848, 3.416695>
    }
    triangle {
      < 2.535263, -0.793073, 2.839050>,
      < 2.922475, -0.784848, 3.416695>,
      < 2.613292, -0.799481, 3.416000>
    }
    triangle {
      < 2.613292, -0.799481, 3.416000>,
      < 2.922475, -0.784848, 3.416695>,
      < 2.950877, -0.788266, 3.993822>
    }
    triangle {
      < 2.613292, -0.799481, 3.416000>,
      < 2.950877, -0.788266, 3.993822>,
      < 2.683458, -0.804564, 3.993025>
    }
    triangle {
      < 2.683458, -0.804564, 3.993025>,
      < 2.950877, -0.788266, 3.993822>,
      < 2.971792, -0.792273, 4.570919>
    }
    triangle {
      < 2.683458, -0.804564, 3.993025>,
      < 2.971792, -0.792273, 4.570919>,
      < 2.761487, -0.810972, 4.569977>
    }
    triangle {
      < 2.901557, -0.780841, 2.839598>,
      < 3.266739, -0.764757, 2.840355>,
      < 3.238525, -0.767696, 3.417524>
    }
    triangle {
      < 2.901557, -0.780841, 2.839598>,
      < 3.238525, -0.767696, 3.417524>,
      < 2.922475, -0.784848, 3.416695>
    }
    triangle {
      < 2.922475, -0.784848, 3.416695>,
      < 3.238525, -0.767696, 3.417524>,
      < 3.210310, -0.770636, 3.994694>
    }
    triangle {
      < 2.922475, -0.784848, 3.416695>,
      < 3.210310, -0.770636, 3.994694>,
      < 2.950877, -0.788266, 3.993822>
    }
    triangle {
      < 2.950877, -0.788266, 3.993822>,
      < 3.210310, -0.770636, 3.994694>,
      < 3.182097, -0.773575, 4.571861>
    }
    triangle {
      < 2.950877, -0.788266, 3.993822>,
      < 3.182097, -0.773575, 4.571861>,
      < 2.971792, -0.792273, 4.570919>
    }
    triangle {
      < 2.167680, -0.726806, 2.842732>,
      < 2.295514, -0.761094, 3.418164>,
      < 2.612508, -0.760831, 3.418082>
    }
    triangle {
      < 2.167680, -0.726806, 2.842732>,
      < 2.612508, -0.760831, 3.418082>,
      < 2.534150, -0.735434, 2.842155>
    }
    triangle {
      < 2.534150, -0.735434, 2.842155>,
      < 2.612508, -0.760831, 3.418082>,
      < 2.921739, -0.762867, 3.417881>
    }
    triangle {
      < 2.534150, -0.735434, 2.842155>,
      < 2.921739, -0.762867, 3.417881>,
      < 2.900547, -0.749254, 2.841300>
    }
    triangle {
      < 2.900547, -0.749254, 2.841300>,
      < 2.921739, -0.762867, 3.417881>,
      < 3.238525, -0.767696, 3.417524>
    }
    triangle {
      < 2.900547, -0.749254, 2.841300>,
      < 3.238525, -0.767696, 3.417524>,
      < 3.266739, -0.764757, 2.840355>
    }
    triangle {
      < 2.295514, -0.761094, 3.418164>,
      < 2.423349, -0.795382, 3.993599>,
      < 2.683131, -0.785575, 3.994048>
    }
    triangle {
      < 2.295514, -0.761094, 3.418164>,
      < 2.683131, -0.785575, 3.994048>,
      < 2.612508, -0.760831, 3.418082>
    }
    triangle {
      < 2.612508, -0.760831, 3.418082>,
      < 2.683131, -0.785575, 3.994048>,
      < 2.950877, -0.788266, 3.993822>
    }
    triangle {
      < 2.612508, -0.760831, 3.418082>,
      < 2.950877, -0.788266, 3.993822>,
      < 2.921739, -0.762867, 3.417881>
    }
    triangle {
      < 2.921739, -0.762867, 3.417881>,
      < 2.950877, -0.788266, 3.993822>,
      < 3.210310, -0.770636, 3.994694>
    }
    triangle {
      < 2.921739, -0.762867, 3.417881>,
      < 3.210310, -0.770636, 3.994694>,
      < 3.238525, -0.767696, 3.417524>
    }
    triangle {
      < 2.423349, -0.795382, 3.993599>,
      < 2.551183, -0.829670, 4.569032>,
      < 2.761487, -0.810972, 4.569977>
    }
    triangle {
      < 2.423349, -0.795382, 3.993599>,
      < 2.761487, -0.810972, 4.569977>,
      < 2.683131, -0.785575, 3.994048>
    }
    triangle {
      < 2.683131, -0.785575, 3.994048>,
      < 2.761487, -0.810972, 4.569977>,
      < 2.971792, -0.792273, 4.570919>
    }
    triangle {
      < 2.683131, -0.785575, 3.994048>,
      < 2.971792, -0.792273, 4.570919>,
      < 2.950877, -0.788266, 3.993822>
    }
    triangle {
      < 2.950877, -0.788266, 3.993822>,
      < 2.971792, -0.792273, 4.570919>,
      < 3.182097, -0.773575, 4.571861>
    }
    triangle {
      < 2.950877, -0.788266, 3.993822>,
      < 3.182097, -0.773575, 4.571861>,
      < 3.210310, -0.770636, 3.994694>
    }
    triangle {
      < 0.957906, -0.780463, 2.840207>,
      < 1.280432, -0.815410, 3.415546>,
      < 1.621306, -0.783745, 3.417149>
    }
    triangle {
      < 0.957906, -0.780463, 2.840207>,
      < 1.621306, -0.783745, 3.417149>,
      < 1.360232, -0.744257, 2.842036>
    }
    triangle {
      < 1.360232, -0.744257, 2.842036>,
      < 1.621306, -0.783745, 3.417149>,
      < 1.953412, -0.766755, 3.417964>
    }
    triangle {
      < 1.360232, -0.744257, 2.842036>,
      < 1.953412, -0.766755, 3.417964>,
      < 1.763696, -0.727906, 2.842794>
    }
    triangle {
      < 1.763696, -0.727906, 2.842794>,
      < 1.953412, -0.766755, 3.417964>,
      < 2.295514, -0.761094, 3.418164>
    }
    triangle {
      < 1.763696, -0.727906, 2.842794>,
      < 2.295514, -0.761094, 3.418164>,
      < 2.167680, -0.726806, 2.842732>
    }
    triangle {
      < 1.280432, -0.815410, 3.415546>,
      < 1.602958, -0.850356, 3.990885>,
      < 1.872976, -0.827271, 3.992048>
    }
    triangle {
      < 1.280432, -0.815410, 3.415546>,
      < 1.872976, -0.827271, 3.992048>,
      < 1.621306, -0.783745, 3.417149>
    }
    triangle {
      < 1.621306, -0.783745, 3.417149>,
      < 1.872976, -0.827271, 3.992048>,
      < 2.152901, -0.809366, 3.992926>
    }
    triangle {
      < 1.621306, -0.783745, 3.417149>,
      < 2.152901, -0.809366, 3.992926>,
      < 1.953412, -0.766755, 3.417964>
    }
    triangle {
      < 1.953412, -0.766755, 3.417964>,
      < 2.152901, -0.809366, 3.992926>,
      < 2.423349, -0.795382, 3.993599>
    }
    triangle {
      < 1.953412, -0.766755, 3.417964>,
      < 2.423349, -0.795382, 3.993599>,
      < 2.295514, -0.761094, 3.418164>
    }
    triangle {
      < 1.602958, -0.850356, 3.990885>,
      < 1.925484, -0.885302, 4.566224>,
      < 2.134050, -0.866758, 4.567160>
    }
    triangle {
      < 1.602958, -0.850356, 3.990885>,
      < 2.134050, -0.866758, 4.567160>,
      < 1.872976, -0.827271, 3.992048>
    }
    triangle {
      < 1.872976, -0.827271, 3.992048>,
      < 2.134050, -0.866758, 4.567160>,
      < 2.342616, -0.848214, 4.568096>
    }
    triangle {
      < 1.872976, -0.827271, 3.992048>,
      < 2.342616, -0.848214, 4.568096>,
      < 2.152901, -0.809366, 3.992926>
    }
    triangle {
      < 2.152901, -0.809366, 3.992926>,
      < 2.342616, -0.848214, 4.568096>,
      < 2.551183, -0.829670, 4.569032>
    }
    triangle {
      < 2.152901, -0.809366, 3.992926>,
      < 2.551183, -0.829670, 4.569032>,
      < 2.423349, -0.795382, 3.993599>
    }
    triangle {
      < 0.957906, -0.780463, 2.840207>,
      < 1.360395, -0.796091, 2.839243>,
      < 1.621415, -0.820724, 3.415158>
    }
    triangle {
      < 0.957906, -0.780463, 2.840207>,
      < 1.621415, -0.820724, 3.415158>,
      < 1.280432, -0.815410, 3.415546>
    }
    triangle {
      < 1.280432, -0.815410, 3.415546>,
      < 1.621415, -0.820724, 3.415158>,
      < 1.873031, -0.842125, 3.991248>
    }
    triangle {
      < 1.280432, -0.815410, 3.415546>,
      < 1.873031, -0.842125, 3.991248>,
      < 1.602958, -0.850356, 3.990885>
    }
    triangle {
      < 1.602958, -0.850356, 3.990885>,
      < 1.873031, -0.842125, 3.991248>,
      < 2.134050, -0.866758, 4.567160>
    }
    triangle {
      < 1.602958, -0.850356, 3.990885>,
      < 2.134050, -0.866758, 4.567160>,
      < 1.925484, -0.885302, 4.566224>
    }
    triangle {
      < 1.360395, -0.796091, 2.839243>,
      < 1.764106, -0.802374, 2.838783>,
      < 1.953678, -0.817870, 3.415211>
    }
    triangle {
      < 1.360395, -0.796091, 2.839243>,
      < 1.953678, -0.817870, 3.415211>,
      < 1.621415, -0.820724, 3.415158>
    }
    triangle {
      < 1.621415, -0.820724, 3.415158>,
      < 1.953678, -0.817870, 3.415211>,
      < 2.153046, -0.832718, 3.991669>
    }
    triangle {
      < 1.621415, -0.820724, 3.415158>,
      < 2.153046, -0.832718, 3.991669>,
      < 1.873031, -0.842125, 3.991248>
    }
    triangle {
      < 1.873031, -0.842125, 3.991248>,
      < 2.153046, -0.832718, 3.991669>,
      < 2.342616, -0.848214, 4.568096>
    }
    triangle {
      < 1.873031, -0.842125, 3.991248>,
      < 2.342616, -0.848214, 4.568096>,
      < 2.134050, -0.866758, 4.567160>
    }
    triangle {
      < 1.764106, -0.802374, 2.838783>,
      < 2.168363, -0.800537, 2.838759>,
      < 2.295969, -0.810248, 3.415517>
    }
    triangle {
      < 1.764106, -0.802374, 2.838783>,
      < 2.295969, -0.810248, 3.415517>,
      < 1.953678, -0.817870, 3.415211>
    }
    triangle {
      < 1.953678, -0.817870, 3.415211>,
      < 2.295969, -0.810248, 3.415517>,
      < 2.423577, -0.819959, 3.992274>
    }
    triangle {
      < 1.953678, -0.817870, 3.415211>,
      < 2.423577, -0.819959, 3.992274>,
      < 2.153046, -0.832718, 3.991669>
    }
    triangle {
      < 2.153046, -0.832718, 3.991669>,
      < 2.423577, -0.819959, 3.992274>,
      < 2.551183, -0.829670, 4.569032>
    }
    triangle {
      < 2.153046, -0.832718, 3.991669>,
      < 2.551183, -0.829670, 4.569032>,
      < 2.342616, -0.848214, 4.568096>
    }
    triangle {
      < 0.110658, -0.697298, 0.980210>,
      < 0.393074, -0.725020, 1.600209>,
      < 0.888277, -0.683438, 1.573568>
    }
    triangle {
      < 0.110658, -0.697298, 0.980210>,
      < 0.888277, -0.683438, 1.573568>,
      < 0.648902, -0.652209, 0.940444>
    }
    triangle {
      < 0.648902, -0.652209, 0.940444>,
      < 0.888277, -0.683438, 1.573568>,
      < 1.377493, -0.653316, 1.548624>
    }
    triangle {
      < 0.648902, -0.652209, 0.940444>,
      < 1.377493, -0.653316, 1.548624>,
      < 1.187699, -0.614245, 0.900633>
    }
    triangle {
      < 1.187699, -0.614245, 0.900633>,
      < 1.377493, -0.653316, 1.548624>,
      < 1.873759, -0.629530, 1.521444>
    }
    triangle {
      < 1.187699, -0.614245, 0.900633>,
      < 1.873759, -0.629530, 1.521444>,
      < 1.726799, -0.580892, 0.860800>
    }
    triangle {
      < 0.393074, -0.725020, 1.600209>,
      < 0.675490, -0.752741, 2.220208>,
      < 1.120857, -0.713027, 2.208911>
    }
    triangle {
      < 0.393074, -0.725020, 1.600209>,
      < 1.120857, -0.713027, 2.208911>,
      < 0.888277, -0.683438, 1.573568>
    }
    triangle {
      < 0.888277, -0.683438, 1.573568>,
      < 1.120857, -0.713027, 2.208911>,
      < 1.573901, -0.688835, 2.194803>
    }
    triangle {
      < 0.888277, -0.683438, 1.573568>,
      < 1.573901, -0.688835, 2.194803>,
      < 1.377493, -0.653316, 1.548624>
    }
    triangle {
      < 1.377493, -0.653316, 1.548624>,
      < 1.573901, -0.688835, 2.194803>,
      < 2.020719, -0.678168, 2.182087>
    }
    triangle {
      < 1.377493, -0.653316, 1.548624>,
      < 2.020719, -0.678168, 2.182087>,
      < 1.873759, -0.629530, 1.521444>
    }
    triangle {
      < 0.675490, -0.752741, 2.220208>,
      < 0.957906, -0.780463, 2.840207>,
      < 1.360232, -0.744257, 2.842036>
    }
    triangle {
      < 0.675490, -0.752741, 2.220208>,
      < 1.360232, -0.744257, 2.842036>,
      < 1.120857, -0.713027, 2.208911>
    }
    triangle {
      < 1.120857, -0.713027, 2.208911>,
      < 1.360232, -0.744257, 2.842036>,
      < 1.763696, -0.727906, 2.842794>
    }
    triangle {
      < 1.120857, -0.713027, 2.208911>,
      < 1.763696, -0.727906, 2.842794>,
      < 1.573901, -0.688835, 2.194803>
    }
    triangle {
      < 1.573901, -0.688835, 2.194803>,
      < 1.763696, -0.727906, 2.842794>,
      < 2.167680, -0.726806, 2.842732>
    }
    triangle {
      < 1.573901, -0.688835, 2.194803>,
      < 2.167680, -0.726806, 2.842732>,
      < 2.020719, -0.678168, 2.182087>
    }
    triangle {
      < 1.726799, -0.580892, 0.860800>,
      < 1.873759, -0.629530, 1.521444>,
      < 2.364032, -0.648394, 1.493591>
    }
    triangle {
      < 1.726799, -0.580892, 0.860800>,
      < 2.364032, -0.648394, 1.493591>,
      < 2.274501, -0.604294, 0.820315>
    }
    triangle {
      < 2.274501, -0.604294, 0.820315>,
      < 2.364032, -0.648394, 1.493591>,
      < 2.845268, -0.669471, 1.467631>
    }
    triangle {
      < 2.274501, -0.604294, 0.820315>,
      < 2.845268, -0.669471, 1.467631>,
      < 2.822116, -0.629686, 0.779833>
    }
    triangle {
      < 2.822116, -0.629686, 0.779833>,
      < 2.845268, -0.669471, 1.467631>,
      < 3.335380, -0.692052, 1.439688>
    }
    triangle {
      < 2.822116, -0.629686, 0.779833>,
      < 3.335380, -0.692052, 1.439688>,
      < 3.369702, -0.655699, 0.739354>
    }
    triangle {
      < 1.873759, -0.629530, 1.521444>,
      < 2.020719, -0.678168, 2.182087>,
      < 2.444622, -0.691334, 2.168879>
    }
    triangle {
      < 1.873759, -0.629530, 1.521444>,
      < 2.444622, -0.691334, 2.168879>,
      < 2.364032, -0.648394, 1.493591>
    }
    triangle {
      < 2.364032, -0.648394, 1.493591>,
      < 2.444622, -0.691334, 2.168879>,
      < 2.877397, -0.709469, 2.153502>
    }
    triangle {
      < 2.364032, -0.648394, 1.493591>,
      < 2.877397, -0.709469, 2.153502>,
      < 2.845268, -0.669471, 1.467631>
    }
    triangle {
      < 2.845268, -0.669471, 1.467631>,
      < 2.877397, -0.709469, 2.153502>,
      < 3.301060, -0.728404, 2.140020>
    }
    triangle {
      < 2.845268, -0.669471, 1.467631>,
      < 3.301060, -0.728404, 2.140020>,
      < 3.335380, -0.692052, 1.439688>
    }
    triangle {
      < 2.020719, -0.678168, 2.182087>,
      < 2.167680, -0.726806, 2.842732>,
      < 2.534150, -0.735434, 2.842155>
    }
    triangle {
      < 2.020719, -0.678168, 2.182087>,
      < 2.534150, -0.735434, 2.842155>,
      < 2.444622, -0.691334, 2.168879>
    }
    triangle {
      < 2.444622, -0.691334, 2.168879>,
      < 2.534150, -0.735434, 2.842155>,
      < 2.900547, -0.749254, 2.841300>
    }
    triangle {
      < 2.444622, -0.691334, 2.168879>,
      < 2.900547, -0.749254, 2.841300>,
      < 2.877397, -0.709469, 2.153502>
    }
    triangle {
      < 2.877397, -0.709469, 2.153502>,
      < 2.900547, -0.749254, 2.841300>,
      < 3.266739, -0.764757, 2.840355>
    }
    triangle {
      < 2.877397, -0.709469, 2.153502>,
      < 3.266739, -0.764757, 2.840355>,
      < 3.301060, -0.728404, 2.140020>
    }
    triangle {
      < 1.728565, -0.740780, 0.860621>,
      < 2.275695, -0.714085, 0.820193>,
      < 2.365142, -0.739937, 1.492489>
    }
    triangle {
      < 1.728565, -0.740780, 0.860621>,
      < 2.365142, -0.739937, 1.492489>,
      < 1.875164, -0.760699, 1.520001>
    }
    triangle {
      < 1.875164, -0.760699, 1.520001>,
      < 2.365142, -0.739937, 1.492489>,
      < 2.445811, -0.767221, 2.166754>
    }
    triangle {
      < 1.875164, -0.760699, 1.520001>,
      < 2.445811, -0.767221, 2.166754>,
      < 2.021763, -0.780618, 2.179380>
    }
    triangle {
      < 2.021763, -0.780618, 2.179380>,
      < 2.445811, -0.767221, 2.166754>,
      < 2.535263, -0.793073, 2.839050>
    }
    triangle {
      < 2.021763, -0.780618, 2.179380>,
      < 2.535263, -0.793073, 2.839050>,
      < 2.168363, -0.800537, 2.838759>
    }
    triangle {
      < 2.275695, -0.714085, 0.820193>,
      < 2.822732, -0.685556, 0.779770>,
      < 2.845965, -0.717391, 1.467071>
    }
    triangle {
      < 2.275695, -0.714085, 0.820193>,
      < 2.845965, -0.717391, 1.467071>,
      < 2.365142, -0.739937, 1.492489>
    }
    triangle {
      < 2.365142, -0.739937, 1.492489>,
      < 2.845965, -0.717391, 1.467071>,
      < 2.878324, -0.749006, 2.152299>
    }
    triangle {
      < 2.365142, -0.739937, 1.492489>,
      < 2.878324, -0.749006, 2.152299>,
      < 2.445811, -0.767221, 2.166754>
    }
    triangle {
      < 2.445811, -0.767221, 2.166754>,
      < 2.878324, -0.749006, 2.152299>,
      < 2.901557, -0.780841, 2.839598>
    }
    triangle {
      < 2.445811, -0.767221, 2.166754>,
      < 2.901557, -0.780841, 2.839598>,
      < 2.535263, -0.793073, 2.839050>
    }
    triangle {
      < 2.822732, -0.685556, 0.779770>,
      < 3.369702, -0.655699, 0.739354>,
      < 3.335380, -0.692052, 1.439688>
    }
    triangle {
      < 2.822732, -0.685556, 0.779770>,
      < 3.335380, -0.692052, 1.439688>,
      < 2.845965, -0.717391, 1.467071>
    }
    triangle {
      < 2.845965, -0.717391, 1.467071>,
      < 3.335380, -0.692052, 1.439688>,
      < 3.301060, -0.728404, 2.140020>
    }
    triangle {
      < 2.845965, -0.717391, 1.467071>,
      < 3.301060, -0.728404, 2.140020>,
      < 2.878324, -0.749006, 2.152299>
    }
    triangle {
      < 2.878324, -0.749006, 2.152299>,
      < 3.301060, -0.728404, 2.140020>,
      < 3.266739, -0.764757, 2.840355>
    }
    triangle {
      < 2.878324, -0.749006, 2.152299>,
      < 3.266739, -0.764757, 2.840355>,
      < 2.901557, -0.780841, 2.839598>
    }
    triangle {
      < 0.110658, -0.697298, 0.980210>,
      < 0.649875, -0.714832, 0.940352>,
      < 0.889019, -0.741610, 1.572704>
    }
    triangle {
      < 0.110658, -0.697298, 0.980210>,
      < 0.889019, -0.741610, 1.572704>,
      < 0.393074, -0.725020, 1.600209>
    }
    triangle {
      < 0.393074, -0.725020, 1.600209>,
      < 0.889019, -0.741610, 1.572704>,
      < 1.121252, -0.769313, 2.206892>
    }
    triangle {
      < 0.393074, -0.725020, 1.600209>,
      < 1.121252, -0.769313, 2.206892>,
      < 0.675490, -0.752741, 2.220208>
    }
    triangle {
      < 0.675490, -0.752741, 2.220208>,
      < 1.121252, -0.769313, 2.206892>,
      < 1.360395, -0.796091, 2.839243>
    }
    triangle {
      < 0.675490, -0.752741, 2.220208>,
      < 1.360395, -0.796091, 2.839243>,
      < 0.957906, -0.780463, 2.840207>
    }
    triangle {
      < 0.649875, -0.714832, 0.940352>,
      < 1.189191, -0.729025, 0.900488>,
      < 1.378645, -0.752918, 1.547269>
    }
    triangle {
      < 0.649875, -0.714832, 0.940352>,
      < 1.378645, -0.752918, 1.547269>,
      < 0.889019, -0.741610, 1.572704>
    }
    triangle {
      < 0.889019, -0.741610, 1.572704>,
      < 1.378645, -0.752918, 1.547269>,
      < 1.574651, -0.778482, 2.192003>
    }
    triangle {
      < 0.889019, -0.741610, 1.572704>,
      < 1.574651, -0.778482, 2.192003>,
      < 1.121252, -0.769313, 2.206892>
    }
    triangle {
      < 1.121252, -0.769313, 2.206892>,
      < 1.574651, -0.778482, 2.192003>,
      < 1.764106, -0.802374, 2.838783>
    }
    triangle {
      < 1.121252, -0.769313, 2.206892>,
      < 1.764106, -0.802374, 2.838783>,
      < 1.360395, -0.796091, 2.839243>
    }
    triangle {
      < 1.189191, -0.729025, 0.900488>,
      < 1.728565, -0.740780, 0.860621>,
      < 1.875164, -0.760699, 1.520001>
    }
    triangle {
      < 1.189191, -0.729025, 0.900488>,
      < 1.875164, -0.760699, 1.520001>,
      < 1.378645, -0.752918, 1.547269>
    }
    triangle {
      < 1.378645, -0.752918, 1.547269>,
      < 1.875164, -0.760699, 1.520001>,
      < 2.021763, -0.780618, 2.179380>
    }
    triangle {
      < 1.378645, -0.752918, 1.547269>,
      < 2.021763, -0.780618, 2.179380>,
      < 1.574651, -0.778482, 2.192003>
    }
    triangle {
      < 1.574651, -0.778482, 2.192003>,
      < 2.021763, -0.780618, 2.179380>,
      < 2.168363, -0.800537, 2.838759>
    }
    triangle {
      < 1.574651, -0.778482, 2.192003>,
      < 2.168363, -0.800537, 2.838759>,
      < 1.764106, -0.802374, 2.838783>
    }
    triangle {
      < 1.726799, -0.580892, 0.860800>,
      < 2.274501, -0.604294, 0.820315>,
      < 1.732840, -0.637325, 0.860337>
    }
    triangle {
      < 1.726799, -0.580892, 0.860800>,
      < 1.732840, -0.637325, 0.860337>,
      < 1.187699, -0.614245, 0.900633>
    }
    triangle {
      < 1.187699, -0.614245, 0.900633>,
      < 1.732840, -0.637325, 0.860337>,
      < 1.190943, -0.673928, 0.900375>
    }
    triangle {
      < 1.187699, -0.614245, 0.900633>,
      < 1.190943, -0.673928, 0.900375>,
      < 0.648902, -0.652209, 0.940444>
    }
    triangle {
      < 0.648902, -0.652209, 0.940444>,
      < 1.190943, -0.673928, 0.900375>,
      < 0.649875, -0.714832, 0.940352>
    }
    triangle {
      < 0.648902, -0.652209, 0.940444>,
      < 0.649875, -0.714832, 0.940352>,
      < 0.110658, -0.697298, 0.980210>
    }
    triangle {
      < 2.274501, -0.604294, 0.820315>,
      < 2.822116, -0.629686, 0.779833>,
      < 2.277637, -0.662040, 0.820065>
    }
    triangle {
      < 2.274501, -0.604294, 0.820315>,
      < 2.277637, -0.662040, 0.820065>,
      < 1.732840, -0.637325, 0.860337>
    }
    triangle {
      < 1.732840, -0.637325, 0.860337>,
      < 2.277637, -0.662040, 0.820065>,
      < 1.733569, -0.695970, 0.860266>
    }
    triangle {
      < 1.732840, -0.637325, 0.860337>,
      < 1.733569, -0.695970, 0.860266>,
      < 1.190943, -0.673928, 0.900375>
    }
    triangle {
      < 1.190943, -0.673928, 0.900375>,
      < 1.733569, -0.695970, 0.860266>,
      < 1.189191, -0.729025, 0.900488>
    }
    triangle {
      < 1.190943, -0.673928, 0.900375>,
      < 1.189191, -0.729025, 0.900488>,
      < 0.649875, -0.714832, 0.940352>
    }
    triangle {
      < 2.822116, -0.629686, 0.779833>,
      < 3.369702, -0.655699, 0.739354>,
      < 2.822732, -0.685556, 0.779770>
    }
    triangle {
      < 2.822116, -0.629686, 0.779833>,
      < 2.822732, -0.685556, 0.779770>,
      < 2.277637, -0.662040, 0.820065>
    }
    triangle {
      < 2.277637, -0.662040, 0.820065>,
      < 2.822732, -0.685556, 0.779770>,
      < 2.275695, -0.714085, 0.820193>
    }
    triangle {
      < 2.277637, -0.662040, 0.820065>,
      < 2.275695, -0.714085, 0.820193>,
      < 1.733569, -0.695970, 0.860266>
    }
    triangle {
      < 1.733569, -0.695970, 0.860266>,
      < 2.275695, -0.714085, 0.820193>,
      < 1.728565, -0.740780, 0.860621>
    }
    triangle {
      < 1.733569, -0.695970, 0.860266>,
      < 1.728565, -0.740780, 0.860621>,
      < 1.189191, -0.729025, 0.900488>
    }
    triangle {
      < 2.295969, -0.810248, -3.415517>,
      < 2.613292, -0.799481, -3.416000>,
      < 2.535263, -0.793073, -2.839050>
    }
    triangle {
      < 2.295969, -0.810248, -3.415517>,
      < 2.535263, -0.793073, -2.839050>,
      < 2.168363, -0.800537, -2.838759>
    }
    triangle {
      < 2.423577, -0.819959, -3.992274>,
      < 2.683458, -0.804564, -3.993025>,
      < 2.613292, -0.799481, -3.416000>
    }
    triangle {
      < 2.423577, -0.819959, -3.992274>,
      < 2.613292, -0.799481, -3.416000>,
      < 2.295969, -0.810248, -3.415517>
    }
    triangle {
      < 2.551183, -0.829670, -4.569032>,
      < 2.761487, -0.810972, -4.569977>,
      < 2.683458, -0.804564, -3.993025>
    }
    triangle {
      < 2.551183, -0.829670, -4.569032>,
      < 2.683458, -0.804564, -3.993025>,
      < 2.423577, -0.819959, -3.992274>
    }
    triangle {
      < 2.613292, -0.799481, -3.416000>,
      < 2.922475, -0.784848, -3.416695>,
      < 2.901557, -0.780841, -2.839598>
    }
    triangle {
      < 2.613292, -0.799481, -3.416000>,
      < 2.901557, -0.780841, -2.839598>,
      < 2.535263, -0.793073, -2.839050>
    }
    triangle {
      < 2.683458, -0.804564, -3.993025>,
      < 2.950877, -0.788266, -3.993822>,
      < 2.922475, -0.784848, -3.416695>
    }
    triangle {
      < 2.683458, -0.804564, -3.993025>,
      < 2.922475, -0.784848, -3.416695>,
      < 2.613292, -0.799481, -3.416000>
    }
    triangle {
      < 2.761487, -0.810972, -4.569977>,
      < 2.971792, -0.792273, -4.570919>,
      < 2.950877, -0.788266, -3.993822>
    }
    triangle {
      < 2.761487, -0.810972, -4.569977>,
      < 2.950877, -0.788266, -3.993822>,
      < 2.683458, -0.804564, -3.993025>
    }
    triangle {
      < 2.922475, -0.784848, -3.416695>,
      < 3.238525, -0.767696, -3.417524>,
      < 3.266739, -0.764757, -2.840355>
    }
    triangle {
      < 2.922475, -0.784848, -3.416695>,
      < 3.266739, -0.764757, -2.840355>,
      < 2.901557, -0.780841, -2.839598>
    }
    triangle {
      < 2.950877, -0.788266, -3.993822>,
      < 3.210310, -0.770636, -3.994694>,
      < 3.238525, -0.767696, -3.417524>
    }
    triangle {
      < 2.950877, -0.788266, -3.993822>,
      < 3.238525, -0.767696, -3.417524>,
      < 2.922475, -0.784848, -3.416695>
    }
    triangle {
      < 2.971792, -0.792273, -4.570919>,
      < 3.182097, -0.773575, -4.571861>,
      < 3.210310, -0.770636, -3.994694>
    }
    triangle {
      < 2.971792, -0.792273, -4.570919>,
      < 3.210310, -0.770636, -3.994694>,
      < 2.950877, -0.788266, -3.993822>
    }
    triangle {
      < 2.534150, -0.735434, -2.842155>,
      < 2.612508, -0.760831, -3.418082>,
      < 2.295514, -0.761094, -3.418164>
    }
    triangle {
      < 2.534150, -0.735434, -2.842155>,
      < 2.295514, -0.761094, -3.418164>,
      < 2.167680, -0.726806, -2.842732>
    }
    triangle {
      < 2.900547, -0.749254, -2.841300>,
      < 2.921739, -0.762867, -3.417881>,
      < 2.612508, -0.760831, -3.418082>
    }
    triangle {
      < 2.900547, -0.749254, -2.841300>,
      < 2.612508, -0.760831, -3.418082>,
      < 2.534150, -0.735434, -2.842155>
    }
    triangle {
      < 3.266739, -0.764757, -2.840355>,
      < 3.238525, -0.767696, -3.417524>,
      < 2.921739, -0.762867, -3.417881>
    }
    triangle {
      < 3.266739, -0.764757, -2.840355>,
      < 2.921739, -0.762867, -3.417881>,
      < 2.900547, -0.749254, -2.841300>
    }
    triangle {
      < 2.612508, -0.760831, -3.418082>,
      < 2.683131, -0.785575, -3.994048>,
      < 2.423349, -0.795382, -3.993599>
    }
    triangle {
      < 2.612508, -0.760831, -3.418082>,
      < 2.423349, -0.795382, -3.993599>,
      < 2.295514, -0.761094, -3.418164>
    }
    triangle {
      < 2.921739, -0.762867, -3.417881>,
      < 2.950877, -0.788266, -3.993822>,
      < 2.683131, -0.785575, -3.994048>
    }
    triangle {
      < 2.921739, -0.762867, -3.417881>,
      < 2.683131, -0.785575, -3.994048>,
      < 2.612508, -0.760831, -3.418082>
    }
    triangle {
      < 3.238525, -0.767696, -3.417524>,
      < 3.210310, -0.770636, -3.994694>,
      < 2.950877, -0.788266, -3.993822>
    }
    triangle {
      < 3.238525, -0.767696, -3.417524>,
      < 2.950877, -0.788266, -3.993822>,
      < 2.921739, -0.762867, -3.417881>
    }
    triangle {
      < 2.683131, -0.785575, -3.994048>,
      < 2.761487, -0.810972, -4.569977>,
      < 2.551183, -0.829670, -4.569032>
    }
    triangle {
      < 2.683131, -0.785575, -3.994048>,
      < 2.551183, -0.829670, -4.569032>,
      < 2.423349, -0.795382, -3.993599>
    }
    triangle {
      < 2.950877, -0.788266, -3.993822>,
      < 2.971792, -0.792273, -4.570919>,
      < 2.761487, -0.810972, -4.569977>
    }
    triangle {
      < 2.950877, -0.788266, -3.993822>,
      < 2.761487, -0.810972, -4.569977>,
      < 2.683131, -0.785575, -3.994048>
    }
    triangle {
      < 3.210310, -0.770636, -3.994694>,
      < 3.182097, -0.773575, -4.571861>,
      < 2.971792, -0.792273, -4.570919>
    }
    triangle {
      < 3.210310, -0.770636, -3.994694>,
      < 2.971792, -0.792273, -4.570919>,
      < 2.950877, -0.788266, -3.993822>
    }
    triangle {
      < 1.360232, -0.744257, -2.842036>,
      < 1.621306, -0.783745, -3.417149>,
      < 1.280432, -0.815410, -3.415546>
    }
    triangle {
      < 1.360232, -0.744257, -2.842036>,
      < 1.280432, -0.815410, -3.415546>,
      < 0.957906, -0.780463, -2.840207>
    }
    triangle {
      < 1.763696, -0.727906, -2.842794>,
      < 1.953412, -0.766755, -3.417964>,
      < 1.621306, -0.783745, -3.417149>
    }
    triangle {
      < 1.763696, -0.727906, -2.842794>,
      < 1.621306, -0.783745, -3.417149>,
      < 1.360232, -0.744257, -2.842036>
    }
    triangle {
      < 2.167680, -0.726806, -2.842732>,
      < 2.295514, -0.761094, -3.418164>,
      < 1.953412, -0.766755, -3.417964>
    }
    triangle {
      < 2.167680, -0.726806, -2.842732>,
      < 1.953412, -0.766755, -3.417964>,
      < 1.763696, -0.727906, -2.842794>
    }
    triangle {
      < 1.621306, -0.783745, -3.417149>,
      < 1.872976, -0.827271, -3.992048>,
      < 1.602958, -0.850356, -3.990885>
    }
    triangle {
      < 1.621306, -0.783745, -3.417149>,
      < 1.602958, -0.850356, -3.990885>,
      < 1.280432, -0.815410, -3.415546>
    }
    triangle {
      < 1.953412, -0.766755, -3.417964>,
      < 2.152901, -0.809366, -3.992926>,
      < 1.872976, -0.827271, -3.992048>
    }
    triangle {
      < 1.953412, -0.766755, -3.417964>,
      < 1.872976, -0.827271, -3.992048>,
      < 1.621306, -0.783745, -3.417149>
    }
    triangle {
      < 2.295514, -0.761094, -3.418164>,
      < 2.423349, -0.795382, -3.993599>,
      < 2.152901, -0.809366, -3.992926>
    }
    triangle {
      < 2.295514, -0.761094, -3.418164>,
      < 2.152901, -0.809366, -3.992926>,
      < 1.953412, -0.766755, -3.417964>
    }
    triangle {
      < 1.872976, -0.827271, -3.992048>,
      < 2.134050, -0.866758, -4.567160>,
      < 1.925484, -0.885302, -4.566224>
    }
    triangle {
      < 1.872976, -0.827271, -3.992048>,
      < 1.925484, -0.885302, -4.566224>,
      < 1.602958, -0.850356, -3.990885>
    }
    triangle {
      < 2.152901, -0.809366, -3.992926>,
      < 2.342616, -0.848214, -4.568096>,
      < 2.134050, -0.866758, -4.567160>
    }
    triangle {
      < 2.152901, -0.809366, -3.992926>,
      < 2.134050, -0.866758, -4.567160>,
      < 1.872976, -0.827271, -3.992048>
    }
    triangle {
      < 2.423349, -0.795382, -3.993599>,
      < 2.551183, -0.829670, -4.569032>,
      < 2.342616, -0.848214, -4.568096>
    }
    triangle {
      < 2.423349, -0.795382, -3.993599>,
      < 2.342616, -0.848214, -4.568096>,
      < 2.152901, -0.809366, -3.992926>
    }
    triangle {
      < 1.280432, -0.815410, -3.415546>,
      < 1.621415, -0.820724, -3.415158>,
      < 1.360395, -0.796091, -2.839243>
    }
    triangle {
      < 1.280432, -0.815410, -3.415546>,
      < 1.360395, -0.796091, -2.839243>,
      < 0.957906, -0.780463, -2.840207>
    }
    triangle {
      < 1.602958, -0.850356, -3.990885>,
      < 1.873031, -0.842125, -3.991248>,
      < 1.621415, -0.820724, -3.415158>
    }
    triangle {
      < 1.602958, -0.850356, -3.990885>,
      < 1.621415, -0.820724, -3.415158>,
      < 1.280432, -0.815410, -3.415546>
    }
    triangle {
      < 1.925484, -0.885302, -4.566224>,
      < 2.134050, -0.866758, -4.567160>,
      < 1.873031, -0.842125, -3.991248>
    }
    triangle {
      < 1.925484, -0.885302, -4.566224>,
      < 1.873031, -0.842125, -3.991248>,
      < 1.602958, -0.850356, -3.990885>
    }
    triangle {
      < 1.621415, -0.820724, -3.415158>,
      < 1.953678, -0.817870, -3.415211>,
      < 1.764106, -0.802374, -2.838783>
    }
    triangle {
      < 1.621415, -0.820724, -3.415158>,
      < 1.764106, -0.802374, -2.838783>,
      < 1.360395, -0.796091, -2.839243>
    }
    triangle {
      < 1.873031, -0.842125, -3.991248>,
      < 2.153046, -0.832718, -3.991669>,
      < 1.953678, -0.817870, -3.415211>
    }
    triangle {
      < 1.873031, -0.842125, -3.991248>,
      < 1.953678, -0.817870, -3.415211>,
      < 1.621415, -0.820724, -3.415158>
    }
    triangle {
      < 2.134050, -0.866758, -4.567160>,
      < 2.342616, -0.848214, -4.568096>,
      < 2.153046, -0.832718, -3.991669>
    }
    triangle {
      < 2.134050, -0.866758, -4.567160>,
      < 2.153046, -0.832718, -3.991669>,
      < 1.873031, -0.842125, -3.991248>
    }
    triangle {
      < 1.953678, -0.817870, -3.415211>,
      < 2.295969, -0.810248, -3.415517>,
      < 2.168363, -0.800537, -2.838759>
    }
    triangle {
      < 1.953678, -0.817870, -3.415211>,
      < 2.168363, -0.800537, -2.838759>,
      < 1.764106, -0.802374, -2.838783>
    }
    triangle {
      < 2.153046, -0.832718, -3.991669>,
      < 2.423577, -0.819959, -3.992274>,
      < 2.295969, -0.810248, -3.415517>
    }
    triangle {
      < 2.153046, -0.832718, -3.991669>,
      < 2.295969, -0.810248, -3.415517>,
      < 1.953678, -0.817870, -3.415211>
    }
    triangle {
      < 2.342616, -0.848214, -4.568096>,
      < 2.551183, -0.829670, -4.569032>,
      < 2.423577, -0.819959, -3.992274>
    }
    triangle {
      < 2.342616, -0.848214, -4.568096>,
      < 2.423577, -0.819959, -3.992274>,
      < 2.153046, -0.832718, -3.991669>
    }
    triangle {
      < 0.648902, -0.652209, -0.940444>,
      < 0.888277, -0.683438, -1.573568>,
      < 0.393074, -0.725020, -1.600209>
    }
    triangle {
      < 0.648902, -0.652209, -0.940444>,
      < 0.393074, -0.725020, -1.600209>,
      < 0.110658, -0.697298, -0.980210>
    }
    triangle {
      < 1.187699, -0.614245, -0.900633>,
      < 1.377493, -0.653316, -1.548624>,
      < 0.888277, -0.683438, -1.573568>
    }
    triangle {
      < 1.187699, -0.614245, -0.900633>,
      < 0.888277, -0.683438, -1.573568>,
      < 0.648902, -0.652209, -0.940444>
    }
    triangle {
      < 1.726799, -0.580892, -0.860800>,
      < 1.873759, -0.629530, -1.521444>,
      < 1.377493, -0.653316, -1.548624>
    }
    triangle {
      < 1.726799, -0.580892, -0.860800>,
      < 1.377493, -0.653316, -1.548624>,
      < 1.187699, -0.614245, -0.900633>
    }
    triangle {
      < 0.888277, -0.683438, -1.573568>,
      < 1.120857, -0.713027, -2.208911>,
      < 0.675490, -0.752741, -2.220208>
    }
    triangle {
      < 0.888277, -0.683438, -1.573568>,
      < 0.675490, -0.752741, -2.220208>,
      < 0.393074, -0.725020, -1.600209>
    }
    triangle {
      < 1.377493, -0.653316, -1.548624>,
      < 1.573901, -0.688835, -2.194803>,
      < 1.120857, -0.713027, -2.208911>
    }
    triangle {
      < 1.377493, -0.653316, -1.548624>,
      < 1.120857, -0.713027, -2.208911>,
      < 0.888277, -0.683438, -1.573568>
    }
    triangle {
      < 1.873759, -0.629530, -1.521444>,
      < 2.020719, -0.678168, -2.182087>,
      < 1.573901, -0.688835, -2.194803>
    }
    triangle {
      < 1.873759, -0.629530, -1.521444>,
      < 1.573901, -0.688835, -2.194803>,
      < 1.377493, -0.653316, -1.548624>
    }
    triangle {
      < 1.120857, -0.713027, -2.208911>,
      < 1.360232, -0.744257, -2.842036>,
      < 0.957906, -0.780463, -2.840207>
    }
    triangle {
      < 1.120857, -0.713027, -2.208911>,
      < 0.957906, -0.780463, -2.840207>,
      < 0.675490, -0.752741, -2.220208>
    }
    triangle {
      < 1.573901, -0.688835, -2.194803>,
      < 1.763696, -0.727906, -2.842794>,
      < 1.360232, -0.744257, -2.842036>
    }
    triangle {
      < 1.573901, -0.688835, -2.194803>,
      < 1.360232, -0.744257, -2.842036>,
      < 1.120857, -0.713027, -2.208911>
    }
    triangle {
      < 2.020719, -0.678168, -2.182087>,
      < 2.167680, -0.726806, -2.842732>,
      < 1.763696, -0.727906, -2.842794>
    }
    triangle {
      < 2.020719, -0.678168, -2.182087>,
      < 1.763696, -0.727906, -2.842794>,
      < 1.573901, -0.688835, -2.194803>
    }
    triangle {
      < 2.274501, -0.604294, -0.820315>,
      < 2.364032, -0.648394, -1.493591>,
      < 1.873759, -0.629530, -1.521444>
    }
    triangle {
      < 2.274501, -0.604294, -0.820315>,
      < 1.873759, -0.629530, -1.521444>,
      < 1.726799, -0.580892, -0.860800>
    }
    triangle {
      < 2.822116, -0.629686, -0.779833>,
      < 2.845268, -0.669471, -1.467631>,
      < 2.364032, -0.648394, -1.493591>
    }
    triangle {
      < 2.822116, -0.629686, -0.779833>,
      < 2.364032, -0.648394, -1.493591>,
      < 2.274501, -0.604294, -0.820315>
    }
    triangle {
      < 3.369702, -0.655699, -0.739354>,
      < 3.335380, -0.692052, -1.439688>,
      < 2.845268, -0.669471, -1.467631>
    }
    triangle {
      < 3.369702, -0.655699, -0.739354>,
      < 2.845268, -0.669471, -1.467631>,
      < 2.822116, -0.629686, -0.779833>
    }
    triangle {
      < 2.364032, -0.648394, -1.493591>,
      < 2.444622, -0.691334, -2.168879>,
      < 2.020719, -0.678168, -2.182087>
    }
    triangle {
      < 2.364032, -0.648394, -1.493591>,
      < 2.020719, -0.678168, -2.182087>,
      < 1.873759, -0.629530, -1.521444>
    }
    triangle {
      < 2.845268, -0.669471, -1.467631>,
      < 2.877397, -0.709469, -2.153502>,
      < 2.444622, -0.691334, -2.168879>
    }
    triangle {
      < 2.845268, -0.669471, -1.467631>,
      < 2.444622, -0.691334, -2.168879>,
      < 2.364032, -0.648394, -1.493591>
    }
    triangle {
      < 3.335380, -0.692052, -1.439688>,
      < 3.301060, -0.728404, -2.140020>,
      < 2.877397, -0.709469, -2.153502>
    }
    triangle {
      < 3.335380, -0.692052, -1.439688>,
      < 2.877397, -0.709469, -2.153502>,
      < 2.845268, -0.669471, -1.467631>
    }
    triangle {
      < 2.444622, -0.691334, -2.168879>,
      < 2.534150, -0.735434, -2.842155>,
      < 2.167680, -0.726806, -2.842732>
    }
    triangle {
      < 2.444622, -0.691334, -2.168879>,
      < 2.167680, -0.726806, -2.842732>,
      < 2.020719, -0.678168, -2.182087>
    }
    triangle {
      < 2.877397, -0.709469, -2.153502>,
      < 2.900547, -0.749254, -2.841300>,
      < 2.534150, -0.735434, -2.842155>
    }
    triangle {
      < 2.877397, -0.709469, -2.153502>,
      < 2.534150, -0.735434, -2.842155>,
      < 2.444622, -0.691334, -2.168879>
    }
    triangle {
      < 3.301060, -0.728404, -2.140020>,
      < 3.266739, -0.764757, -2.840355>,
      < 2.900547, -0.749254, -2.841300>
    }
    triangle {
      < 3.301060, -0.728404, -2.140020>,
      < 2.900547, -0.749254, -2.841300>,
      < 2.877397, -0.709469, -2.153502>
    }
    triangle {
      < 1.875164, -0.760699, -1.520001>,
      < 2.365142, -0.739937, -1.492489>,
      < 2.275695, -0.714085, -0.820193>
    }
    triangle {
      < 1.875164, -0.760699, -1.520001>,
      < 2.275695, -0.714085, -0.820193>,
      < 1.728565, -0.740780, -0.860621>
    }
    triangle {
      < 2.021763, -0.780618, -2.179380>,
      < 2.445811, -0.767221, -2.166754>,
      < 2.365142, -0.739937, -1.492489>
    }
    triangle {
      < 2.021763, -0.780618, -2.179380>,
      < 2.365142, -0.739937, -1.492489>,
      < 1.875164, -0.760699, -1.520001>
    }
    triangle {
      < 2.168363, -0.800537, -2.838759>,
      < 2.535263, -0.793073, -2.839050>,
      < 2.445811, -0.767221, -2.166754>
    }
    triangle {
      < 2.168363, -0.800537, -2.838759>,
      < 2.445811, -0.767221, -2.166754>,
      < 2.021763, -0.780618, -2.179380>
    }
    triangle {
      < 2.365142, -0.739937, -1.492489>,
      < 2.845965, -0.717391, -1.467071>,
      < 2.822732, -0.685556, -0.779770>
    }
    triangle {
      < 2.365142, -0.739937, -1.492489>,
      < 2.822732, -0.685556, -0.779770>,
      < 2.275695, -0.714085, -0.820193>
    }
    triangle {
      < 2.445811, -0.767221, -2.166754>,
      < 2.878324, -0.749006, -2.152299>,
      < 2.845965, -0.717391, -1.467071>
    }
    triangle {
      < 2.445811, -0.767221, -2.166754>,
      < 2.845965, -0.717391, -1.467071>,
      < 2.365142, -0.739937, -1.492489>
    }
    triangle {
      < 2.535263, -0.793073, -2.839050>,
      < 2.901557, -0.780841, -2.839598>,
      < 2.878324, -0.749006, -2.152299>
    }
    triangle {
      < 2.535263, -0.793073, -2.839050>,
      < 2.878324, -0.749006, -2.152299>,
      < 2.445811, -0.767221, -2.166754>
    }
    triangle {
      < 2.845965, -0.717391, -1.467071>,
      < 3.335380, -0.692052, -1.439688>,
      < 3.369702, -0.655699, -0.739354>
    }
    triangle {
      < 2.845965, -0.717391, -1.467071>,
      < 3.369702, -0.655699, -0.739354>,
      < 2.822732, -0.685556, -0.779770>
    }
    triangle {
      < 2.878324, -0.749006, -2.152299>,
      < 3.301060, -0.728404, -2.140020>,
      < 3.335380, -0.692052, -1.439688>
    }
    triangle {
      < 2.878324, -0.749006, -2.152299>,
      < 3.335380, -0.692052, -1.439688>,
      < 2.845965, -0.717391, -1.467071>
    }
    triangle {
      < 2.901557, -0.780841, -2.839598>,
      < 3.266739, -0.764757, -2.840355>,
      < 3.301060, -0.728404, -2.140020>
    }
    triangle {
      < 2.901557, -0.780841, -2.839598>,
      < 3.301060, -0.728404, -2.140020>,
      < 2.878324, -0.749006, -2.152299>
    }
    triangle {
      < 0.393074, -0.725020, -1.600209>,
      < 0.889019, -0.741610, -1.572704>,
      < 0.649875, -0.714832, -0.940352>
    }
    triangle {
      < 0.393074, -0.725020, -1.600209>,
      < 0.649875, -0.714832, -0.940352>,
      < 0.110658, -0.697298, -0.980210>
    }
    triangle {
      < 0.675490, -0.752741, -2.220208>,
      < 1.121252, -0.769313, -2.206892>,
      < 0.889019, -0.741610, -1.572704>
    }
    triangle {
      < 0.675490, -0.752741, -2.220208>,
      < 0.889019, -0.741610, -1.572704>,
      < 0.393074, -0.725020, -1.600209>
    }
    triangle {
      < 0.957906, -0.780463, -2.840207>,
      < 1.360395, -0.796091, -2.839243>,
      < 1.121252, -0.769313, -2.206892>
    }
    triangle {
      < 0.957906, -0.780463, -2.840207>,
      < 1.121252, -0.769313, -2.206892>,
      < 0.675490, -0.752741, -2.220208>
    }
    triangle {
      < 0.889019, -0.741610, -1.572704>,
      < 1.378645, -0.752918, -1.547269>,
      < 1.189191, -0.729025, -0.900488>
    }
    triangle {
      < 0.889019, -0.741610, -1.572704>,
      < 1.189191, -0.729025, -0.900488>,
      < 0.649875, -0.714832, -0.940352>
    }
    triangle {
      < 1.121252, -0.769313, -2.206892>,
      < 1.574651, -0.778482, -2.192003>,
      < 1.378645, -0.752918, -1.547269>
    }
    triangle {
      < 1.121252, -0.769313, -2.206892>,
      < 1.378645, -0.752918, -1.547269>,
      < 0.889019, -0.741610, -1.572704>
    }
    triangle {
      < 1.360395, -0.796091, -2.839243>,
      < 1.764106, -0.802374, -2.838783>,
      < 1.574651, -0.778482, -2.192003>
    }
    triangle {
      < 1.360395, -0.796091, -2.839243>,
      < 1.574651, -0.778482, -2.192003>,
      < 1.121252, -0.769313, -2.206892>
    }
    triangle {
      < 1.378645, -0.752918, -1.547269>,
      < 1.875164, -0.760699, -1.520001>,
      < 1.728565, -0.740780, -0.860621>
    }
    triangle {
      < 1.378645, -0.752918, -1.547269>,
      < 1.728565, -0.740780, -0.860621>,
      < 1.189191, -0.729025, -0.900488>
    }
    triangle {
      < 1.574651, -0.778482, -2.192003>,
      < 2.021763, -0.780618, -2.179380>,
      < 1.875164, -0.760699, -1.520001>
    }
    triangle {
      < 1.574651, -0.778482, -2.192003>,
      < 1.875164, -0.760699, -1.520001>,
      < 1.378645, -0.752918, -1.547269>
    }
    triangle {
      < 1.764106, -0.802374, -2.838783>,
      < 2.168363, -0.800537, -2.838759>,
      < 2.021763, -0.780618, -2.179380>
    }
    triangle {
      < 1.764106, -0.802374, -2.838783>,
      < 2.021763, -0.780618, -2.179380>,
      < 1.574651, -0.778482, -2.192003>
    }
    triangle {
      < 1.187699, -0.614245, -0.900633>,
      < 1.732840, -0.637325, -0.860337>,
      < 2.274501, -0.604294, -0.820315>
    }
    triangle {
      < 1.187699, -0.614245, -0.900633>,
      < 2.274501, -0.604294, -0.820315>,
      < 1.726799, -0.580892, -0.860800>
    }
    triangle {
      < 0.648902, -0.652209, -0.940444>,
      < 1.190943, -0.673928, -0.900375>,
      < 1.732840, -0.637325, -0.860337>
    }
    triangle {
      < 0.648902, -0.652209, -0.940444>,
      < 1.732840, -0.637325, -0.860337>,
      < 1.187699, -0.614245, -0.900633>
    }
    triangle {
      < 0.110658, -0.697298, -0.980210>,
      < 0.649875, -0.714832, -0.940352>,
      < 1.190943, -0.673928, -0.900375>
    }
    triangle {
      < 0.110658, -0.697298, -0.980210>,
      < 1.190943, -0.673928, -0.900375>,
      < 0.648902, -0.652209, -0.940444>
    }
    triangle {
      < 1.732840, -0.637325, -0.860337>,
      < 2.277637, -0.662040, -0.820065>,
      < 2.822116, -0.629686, -0.779833>
    }
    triangle {
      < 1.732840, -0.637325, -0.860337>,
      < 2.822116, -0.629686, -0.779833>,
      < 2.274501, -0.604294, -0.820315>
    }
    triangle {
      < 1.190943, -0.673928, -0.900375>,
      < 1.733569, -0.695970, -0.860266>,
      < 2.277637, -0.662040, -0.820065>
    }
    triangle {
      < 1.190943, -0.673928, -0.900375>,
      < 2.277637, -0.662040, -0.820065>,
      < 1.732840, -0.637325, -0.860337>
    }
    triangle {
      < 0.649875, -0.714832, -0.940352>,
      < 1.189191, -0.729025, -0.900488>,
      < 1.733569, -0.695970, -0.860266>
    }
    triangle {
      < 0.649875, -0.714832, -0.940352>,
      < 1.733569, -0.695970, -0.860266>,
      < 1.190943, -0.673928, -0.900375>
    }
    triangle {
      < 2.277637, -0.662040, -0.820065>,
      < 2.822732, -0.685556, -0.779770>,
      < 3.369702, -0.655699, -0.739354>
    }
    triangle {
      < 2.277637, -0.662040, -0.820065>,
      < 3.369702, -0.655699, -0.739354>,
      < 2.822116, -0.629686, -0.779833>
    }
    triangle {
      < 1.733569, -0.695970, -0.860266>,
      < 2.275695, -0.714085, -0.820193>,
      < 2.822732, -0.685556, -0.779770>
    }
    triangle {
      < 1.733569, -0.695970, -0.860266>,
      < 2.822732, -0.685556, -0.779770>,
      < 2.277637, -0.662040, -0.820065>
    }
    triangle {
      < 1.189191, -0.729025, -0.900488>,
      < 1.728565, -0.740780, -0.860621>,
      < 2.275695, -0.714085, -0.820193>
    }
    triangle {
      < 1.189191, -0.729025, -0.900488>,
      < 2.275695, -0.714085, -0.820193>,
      < 1.733569, -0.695970, -0.860266>
    }
    triangle {
      < 6.485260, -0.939412, 2.852627>,
      < 6.110754, -0.926329, 2.179399>,
      < 6.291544, -0.922692, 2.122950>
    }
    triangle {
      < 6.485260, -0.939412, 2.852627>,
      < 6.291544, -0.922692, 2.122950>,
      < 6.644342, -0.937132, 2.782948>
    }
    triangle {
      < 6.644342, -0.937132, 2.782948>,
      < 6.291544, -0.922692, 2.122950>,
      < 6.415989, -0.917038, 2.001060>
    }
    triangle {
      < 6.644342, -0.937132, 2.782948>,
      < 6.415989, -0.917038, 2.001060>,
      < 6.718001, -0.932310, 2.618102>
    }
    triangle {
      < 6.718001, -0.932310, 2.618102>,
      < 6.415989, -0.917038, 2.001060>,
      < 6.465141, -0.910977, 1.850564>
    }
    triangle {
      < 6.718001, -0.932310, 2.618102>,
      < 6.465141, -0.910977, 1.850564>,
      < 6.699371, -0.926757, 2.421461>
    }
    triangle {
      < 6.110754, -0.926329, 2.179399>,
      < 5.736249, -0.913246, 1.506173>,
      < 5.926187, -0.907688, 1.451552>
    }
    triangle {
      < 6.110754, -0.926329, 2.179399>,
      < 5.926187, -0.907688, 1.451552>,
      < 6.291544, -0.922692, 2.122950>
    }
    triangle {
      < 6.291544, -0.922692, 2.122950>,
      < 5.926187, -0.907688, 1.451552>,
      < 6.087051, -0.901604, 1.367204>
    }
    triangle {
      < 6.291544, -0.922692, 2.122950>,
      < 6.087051, -0.901604, 1.367204>,
      < 6.415989, -0.917038, 2.001060>
    }
    triangle {
      < 6.415989, -0.917038, 2.001060>,
      < 6.087051, -0.901604, 1.367204>,
      < 6.230915, -0.895197, 1.279667>
    }
    triangle {
      < 6.415989, -0.917038, 2.001060>,
      < 6.230915, -0.895197, 1.279667>,
      < 6.465141, -0.910977, 1.850564>
    }
    triangle {
      < 5.736249, -0.913246, 1.506173>,
      < 5.361743, -0.900164, 0.832947>,
      < 5.573390, -0.893248, 0.791555>
    }
    triangle {
      < 5.736249, -0.913246, 1.506173>,
      < 5.573390, -0.893248, 0.791555>,
      < 5.926187, -0.907688, 1.451552>
    }
    triangle {
      < 5.926187, -0.907688, 1.451552>,
      < 5.573390, -0.893248, 0.791555>,
      < 5.785039, -0.886333, 0.750163>
    }
    triangle {
      < 5.926187, -0.907688, 1.451552>,
      < 5.785039, -0.886333, 0.750163>,
      < 6.087051, -0.901604, 1.367204>
    }
    triangle {
      < 6.087051, -0.901604, 1.367204>,
      < 5.785039, -0.886333, 0.750163>,
      < 5.996688, -0.879417, 0.708770>
    }
    triangle {
      < 6.087051, -0.901604, 1.367204>,
      < 5.996688, -0.879417, 0.708770>,
      < 6.230915, -0.895197, 1.279667>
    }
    triangle {
      < 6.485260, -0.939412, 2.852627>,
      < 6.644342, -0.937132, 2.782948>,
      < 6.291544, -0.922692, 2.122950>
    }
    triangle {
      < 6.485260, -0.939412, 2.852627>,
      < 6.291544, -0.922692, 2.122950>,
      < 6.110754, -0.915755, 2.179403>
    }
    triangle {
      < 6.110754, -0.915755, 2.179403>,
      < 6.291544, -0.922692, 2.122950>,
      < 5.926187, -0.893764, 1.451557>
    }
    triangle {
      < 6.110754, -0.915755, 2.179403>,
      < 5.926187, -0.893764, 1.451557>,
      < 5.736249, -0.892099, 1.506180>
    }
    triangle {
      < 5.736249, -0.892099, 1.506180>,
      < 5.926187, -0.893764, 1.451557>,
      < 5.573390, -0.872100, 0.791562>
    }
    triangle {
      < 5.736249, -0.892099, 1.506180>,
      < 5.573390, -0.872100, 0.791562>,
      < 5.361743, -0.868442, 0.832959>
    }
    triangle {
      < 6.644342, -0.937132, 2.782948>,
      < 6.718001, -0.932310, 2.618102>,
      < 6.415989, -0.917038, 2.001060>
    }
    triangle {
      < 6.644342, -0.937132, 2.782948>,
      < 6.415989, -0.917038, 2.001060>,
      < 6.291544, -0.922692, 2.122950>
    }
    triangle {
      < 6.291544, -0.922692, 2.122950>,
      < 6.415989, -0.917038, 2.001060>,
      < 6.087051, -0.901604, 1.367204>
    }
    triangle {
      < 6.291544, -0.922692, 2.122950>,
      < 6.087051, -0.901604, 1.367204>,
      < 5.926187, -0.893764, 1.451557>
    }
    triangle {
      < 5.926187, -0.893764, 1.451557>,
      < 6.087051, -0.901604, 1.367204>,
      < 5.785039, -0.875759, 0.750167>
    }
    triangle {
      < 5.926187, -0.893764, 1.451557>,
      < 5.785039, -0.875759, 0.750167>,
      < 5.573390, -0.872100, 0.791562>
    }
    triangle {
      < 6.718001, -0.932310, 2.618102>,
      < 6.699371, -0.926757, 2.421461>,
      < 6.465141, -0.910977, 1.850564>
    }
    triangle {
      < 6.718001, -0.932310, 2.618102>,
      < 6.465141, -0.910977, 1.850564>,
      < 6.415989, -0.917038, 2.001060>
    }
    triangle {
      < 6.415989, -0.917038, 2.001060>,
      < 6.465141, -0.910977, 1.850564>,
      < 6.230915, -0.895197, 1.279667>
    }
    triangle {
      < 6.415989, -0.917038, 2.001060>,
      < 6.230915, -0.895197, 1.279667>,
      < 6.087051, -0.901604, 1.367204>
    }
    triangle {
      < 6.087051, -0.901604, 1.367204>,
      < 6.230915, -0.895197, 1.279667>,
      < 5.996688, -0.879417, 0.708770>
    }
    triangle {
      < 6.087051, -0.901604, 1.367204>,
      < 5.996688, -0.879417, 0.708770>,
      < 5.785039, -0.875759, 0.750167>
    }
    triangle {
      < 5.967228, -0.940392, 2.852768>,
      < 5.339843, -0.922501, 2.181081>,
      < 5.606021, -0.931507, 2.180493>
    }
    triangle {
      < 5.967228, -0.940392, 2.852768>,
      < 5.606021, -0.931507, 2.180493>,
      < 6.139905, -0.940065, 2.852721>
    }
    triangle {
      < 6.139905, -0.940065, 2.852721>,
      < 5.606021, -0.931507, 2.180493>,
      < 5.850326, -0.931768, 2.179961>
    }
    triangle {
      < 6.139905, -0.940065, 2.852721>,
      < 5.850326, -0.931768, 2.179961>,
      < 6.312582, -0.939739, 2.852674>
    }
    triangle {
      < 6.312582, -0.939739, 2.852674>,
      < 5.850326, -0.931768, 2.179961>,
      < 6.110754, -0.926329, 2.179399>
    }
    triangle {
      < 6.312582, -0.939739, 2.852674>,
      < 6.110754, -0.926329, 2.179399>,
      < 6.485260, -0.939412, 2.852627>
    }
    triangle {
      < 5.339843, -0.922501, 2.181081>,
      < 4.712457, -0.904611, 1.509393>,
      < 5.096091, -0.929879, 1.508145>
    }
    triangle {
      < 5.339843, -0.922501, 2.181081>,
      < 5.096091, -0.929879, 1.508145>,
      < 5.606021, -0.931507, 2.180493>
    }
    triangle {
      < 5.606021, -0.931507, 2.180493>,
      < 5.096091, -0.929879, 1.508145>,
      < 5.369051, -0.929247, 1.507347>
    }
    triangle {
      < 5.606021, -0.931507, 2.180493>,
      < 5.369051, -0.929247, 1.507347>,
      < 5.850326, -0.931768, 2.179961>
    }
    triangle {
      < 5.850326, -0.931768, 2.179961>,
      < 5.369051, -0.929247, 1.507347>,
      < 5.736249, -0.913246, 1.506173>
    }
    triangle {
      < 5.850326, -0.931768, 2.179961>,
      < 5.736249, -0.913246, 1.506173>,
      < 6.110754, -0.926329, 2.179399>
    }
    triangle {
      < 4.712457, -0.904611, 1.509393>,
      < 4.085072, -0.886720, 0.837707>,
      < 4.562209, -0.921320, 0.835918>
    }
    triangle {
      < 4.712457, -0.904611, 1.509393>,
      < 4.562209, -0.921320, 0.835918>,
      < 5.096091, -0.929879, 1.508145>
    }
    triangle {
      < 5.096091, -0.929879, 1.508145>,
      < 4.562209, -0.921320, 0.835918>,
      < 4.906795, -0.921277, 0.834635>
    }
    triangle {
      < 5.096091, -0.929879, 1.508145>,
      < 4.906795, -0.921277, 0.834635>,
      < 5.369051, -0.929247, 1.507347>
    }
    triangle {
      < 5.369051, -0.929247, 1.507347>,
      < 4.906795, -0.921277, 0.834635>,
      < 5.361743, -0.900164, 0.832947>
    }
    triangle {
      < 5.369051, -0.929247, 1.507347>,
      < 5.361743, -0.900164, 0.832947>,
      < 5.736249, -0.913246, 1.506173>
    }
    triangle {
      < 4.085072, -0.886720, 0.837707>,
      < 4.712457, -0.904611, 1.509393>,
      < 5.084175, -0.874486, 1.508208>
    }
    triangle {
      < 4.085072, -0.886720, 0.837707>,
      < 5.084175, -0.874486, 1.508208>,
      < 4.546121, -0.845718, 0.836003>
    }
    triangle {
      < 4.546121, -0.845718, 0.836003>,
      < 5.084175, -0.874486, 1.508208>,
      < 5.366376, -0.875914, 1.507376>
    }
    triangle {
      < 4.546121, -0.845718, 0.836003>,
      < 5.366376, -0.875914, 1.507376>,
      < 4.903185, -0.846927, 0.834674>
    }
    triangle {
      < 4.903185, -0.846927, 0.834674>,
      < 5.366376, -0.875914, 1.507376>,
      < 5.736249, -0.892099, 1.506180>
    }
    triangle {
      < 4.903185, -0.846927, 0.834674>,
      < 5.736249, -0.892099, 1.506180>,
      < 5.361743, -0.868442, 0.832959>
    }
    triangle {
      < 4.712457, -0.904611, 1.509393>,
      < 5.339843, -0.922501, 2.181081>,
      < 5.601853, -0.911297, 2.180516>
    }
    triangle {
      < 4.712457, -0.904611, 1.509393>,
      < 5.601853, -0.911297, 2.180516>,
      < 5.084175, -0.874486, 1.508208>
    }
    triangle {
      < 5.084175, -0.874486, 1.508208>,
      < 5.601853, -0.911297, 2.180516>,
      < 5.849391, -0.910751, 2.179971>
    }
    triangle {
      < 5.084175, -0.874486, 1.508208>,
      < 5.849391, -0.910751, 2.179971>,
      < 5.366376, -0.875914, 1.507376>
    }
    triangle {
      < 5.366376, -0.875914, 1.507376>,
      < 5.849391, -0.910751, 2.179971>,
      < 6.110754, -0.915755, 2.179403>
    }
    triangle {
      < 5.366376, -0.875914, 1.507376>,
      < 6.110754, -0.915755, 2.179403>,
      < 5.736249, -0.892099, 1.506180>
    }
    triangle {
      < 5.339843, -0.922501, 2.181081>,
      < 5.967228, -0.940392, 2.852768>,
      < 6.139905, -0.940065, 2.852721>
    }
    triangle {
      < 5.339843, -0.922501, 2.181081>,
      < 6.139905, -0.940065, 2.852721>,
      < 5.601853, -0.911297, 2.180516>
    }
    triangle {
      < 5.601853, -0.911297, 2.180516>,
      < 6.139905, -0.940065, 2.852721>,
      < 6.312582, -0.939739, 2.852674>
    }
    triangle {
      < 5.601853, -0.911297, 2.180516>,
      < 6.312582, -0.939739, 2.852674>,
      < 5.849391, -0.910751, 2.179971>
    }
    triangle {
      < 5.849391, -0.910751, 2.179971>,
      < 6.312582, -0.939739, 2.852674>,
      < 6.485260, -0.939412, 2.852627>
    }
    triangle {
      < 5.849391, -0.910751, 2.179971>,
      < 6.485260, -0.939412, 2.852627>,
      < 6.110754, -0.915755, 2.179403>
    }
    triangle {
      < 5.361743, -0.868442, 0.832959>,
      < 5.573390, -0.872100, 0.791562>,
      < 5.506324, -0.874292, 0.804678>
    }
    triangle {
      < 5.361743, -0.868442, 0.832959>,
      < 5.506324, -0.874292, 0.804678>,
      < 5.361743, -0.868442, 0.832959>
    }
    triangle {
      < 5.361743, -0.868442, 0.832959>,
      < 5.506324, -0.874292, 0.804678>,
      < 5.428807, -0.876825, 0.819839>
    }
    triangle {
      < 5.361743, -0.868442, 0.832959>,
      < 5.428807, -0.876825, 0.819839>,
      < 5.361743, -0.868442, 0.832959>
    }
    triangle {
      < 5.361743, -0.868442, 0.832959>,
      < 5.428807, -0.876825, 0.819839>,
      < 5.361743, -0.879016, 0.832955>
    }
    triangle {
      < 5.361743, -0.868442, 0.832959>,
      < 5.361743, -0.879016, 0.832955>,
      < 5.361743, -0.868442, 0.832959>
    }
    triangle {
      < 5.573390, -0.872100, 0.791562>,
      < 5.785039, -0.875759, 0.750167>,
      < 5.640455, -0.880483, 0.778442>
    }
    triangle {
      < 5.573390, -0.872100, 0.791562>,
      < 5.640455, -0.880483, 0.778442>,
      < 5.506324, -0.874292, 0.804678>
    }
    triangle {
      < 5.506324, -0.874292, 0.804678>,
      < 5.640455, -0.880483, 0.778442>,
      < 5.506324, -0.884866, 0.804675>
    }
    triangle {
      < 5.506324, -0.874292, 0.804678>,
      < 5.506324, -0.884866, 0.804675>,
      < 5.428807, -0.876825, 0.819839>
    }
    triangle {
      < 5.428807, -0.876825, 0.819839>,
      < 5.506324, -0.884866, 0.804675>,
      < 5.361743, -0.889590, 0.832951>
    }
    triangle {
      < 5.428807, -0.876825, 0.819839>,
      < 5.361743, -0.889590, 0.832951>,
      < 5.361743, -0.879016, 0.832955>
    }
    triangle {
      < 5.785039, -0.875759, 0.750167>,
      < 5.996688, -0.879417, 0.708770>,
      < 5.785039, -0.886333, 0.750163>
    }
    triangle {
      < 5.785039, -0.875759, 0.750167>,
      < 5.785039, -0.886333, 0.750163>,
      < 5.640455, -0.880483, 0.778442>
    }
    triangle {
      < 5.640455, -0.880483, 0.778442>,
      < 5.785039, -0.886333, 0.750163>,
      < 5.573390, -0.893248, 0.791555>
    }
    triangle {
      < 5.640455, -0.880483, 0.778442>,
      < 5.573390, -0.893248, 0.791555>,
      < 5.506324, -0.884866, 0.804675>
    }
    triangle {
      < 5.506324, -0.884866, 0.804675>,
      < 5.573390, -0.893248, 0.791555>,
      < 5.361743, -0.900164, 0.832947>
    }
    triangle {
      < 5.506324, -0.884866, 0.804675>,
      < 5.361743, -0.900164, 0.832947>,
      < 5.361743, -0.889590, 0.832951>
    }
    triangle {
      < 4.085072, -0.886720, 0.837707>,
      < 4.546121, -0.845718, 0.836003>,
      < 4.550293, -0.865927, 0.835981>
    }
    triangle {
      < 4.085072, -0.886720, 0.837707>,
      < 4.550293, -0.865927, 0.835981>,
      < 4.085072, -0.886720, 0.837707>
    }
    triangle {
      < 4.085072, -0.886720, 0.837707>,
      < 4.550293, -0.865927, 0.835981>,
      < 4.558039, -0.901111, 0.835941>
    }
    triangle {
      < 4.085072, -0.886720, 0.837707>,
      < 4.558039, -0.901111, 0.835941>,
      < 4.085072, -0.886720, 0.837707>
    }
    triangle {
      < 4.085072, -0.886720, 0.837707>,
      < 4.558039, -0.901111, 0.835941>,
      < 4.562209, -0.921320, 0.835918>
    }
    triangle {
      < 4.085072, -0.886720, 0.837707>,
      < 4.562209, -0.921320, 0.835918>,
      < 4.085072, -0.886720, 0.837707>
    }
    triangle {
      < 4.546121, -0.845718, 0.836003>,
      < 4.903185, -0.846927, 0.834674>,
      < 4.904120, -0.867943, 0.834662>
    }
    triangle {
      < 4.546121, -0.845718, 0.836003>,
      < 4.904120, -0.867943, 0.834662>,
      < 4.550293, -0.865927, 0.835981>
    }
    triangle {
      < 4.550293, -0.865927, 0.835981>,
      < 4.904120, -0.867943, 0.834662>,
      < 4.905859, -0.900260, 0.834645>
    }
    triangle {
      < 4.550293, -0.865927, 0.835981>,
      < 4.905859, -0.900260, 0.834645>,
      < 4.558039, -0.901111, 0.835941>
    }
    triangle {
      < 4.558039, -0.901111, 0.835941>,
      < 4.905859, -0.900260, 0.834645>,
      < 4.906795, -0.921277, 0.834635>
    }
    triangle {
      < 4.558039, -0.901111, 0.835941>,
      < 4.906795, -0.921277, 0.834635>,
      < 4.562209, -0.921320, 0.835918>
    }
    triangle {
      < 4.903185, -0.846927, 0.834674>,
      < 5.361743, -0.868442, 0.832959>,
      < 5.361743, -0.879016, 0.832955>
    }
    triangle {
      < 4.903185, -0.846927, 0.834674>,
      < 5.361743, -0.879016, 0.832955>,
      < 4.904120, -0.867943, 0.834662>
    }
    triangle {
      < 4.904120, -0.867943, 0.834662>,
      < 5.361743, -0.879016, 0.832955>,
      < 5.361743, -0.889590, 0.832951>
    }
    triangle {
      < 4.904120, -0.867943, 0.834662>,
      < 5.361743, -0.889590, 0.832951>,
      < 4.905859, -0.900260, 0.834645>
    }
    triangle {
      < 4.905859, -0.900260, 0.834645>,
      < 5.361743, -0.889590, 0.832951>,
      < 5.361743, -0.900164, 0.832947>
    }
    triangle {
      < 4.905859, -0.900260, 0.834645>,
      < 5.361743, -0.900164, 0.832947>,
      < 4.906795, -0.921277, 0.834635>
    }
    triangle {
      < 6.644342, -0.937132, -2.782948>,
      < 6.291544, -0.922692, -2.122950>,
      < 6.110754, -0.926329, -2.179399>
    }
    triangle {
      < 6.644342, -0.937132, -2.782948>,
      < 6.110754, -0.926329, -2.179399>,
      < 6.485260, -0.939412, -2.852627>
    }
    triangle {
      < 6.718001, -0.932310, -2.618102>,
      < 6.415989, -0.917038, -2.001060>,
      < 6.291544, -0.922692, -2.122950>
    }
    triangle {
      < 6.718001, -0.932310, -2.618102>,
      < 6.291544, -0.922692, -2.122950>,
      < 6.644342, -0.937132, -2.782948>
    }
    triangle {
      < 6.699371, -0.926757, -2.421461>,
      < 6.465141, -0.910977, -1.850564>,
      < 6.415989, -0.917038, -2.001060>
    }
    triangle {
      < 6.699371, -0.926757, -2.421461>,
      < 6.415989, -0.917038, -2.001060>,
      < 6.718001, -0.932310, -2.618102>
    }
    triangle {
      < 6.291544, -0.922692, -2.122950>,
      < 5.926187, -0.907688, -1.451552>,
      < 5.736249, -0.913246, -1.506173>
    }
    triangle {
      < 6.291544, -0.922692, -2.122950>,
      < 5.736249, -0.913246, -1.506173>,
      < 6.110754, -0.926329, -2.179399>
    }
    triangle {
      < 6.415989, -0.917038, -2.001060>,
      < 6.087051, -0.901604, -1.367204>,
      < 5.926187, -0.907688, -1.451552>
    }
    triangle {
      < 6.415989, -0.917038, -2.001060>,
      < 5.926187, -0.907688, -1.451552>,
      < 6.291544, -0.922692, -2.122950>
    }
    triangle {
      < 6.465141, -0.910977, -1.850564>,
      < 6.230915, -0.895197, -1.279667>,
      < 6.087051, -0.901604, -1.367204>
    }
    triangle {
      < 6.465141, -0.910977, -1.850564>,
      < 6.087051, -0.901604, -1.367204>,
      < 6.415989, -0.917038, -2.001060>
    }
    triangle {
      < 5.926187, -0.907688, -1.451552>,
      < 5.573390, -0.893248, -0.791555>,
      < 5.361743, -0.900164, -0.832947>
    }
    triangle {
      < 5.926187, -0.907688, -1.451552>,
      < 5.361743, -0.900164, -0.832947>,
      < 5.736249, -0.913246, -1.506173>
    }
    triangle {
      < 6.087051, -0.901604, -1.367204>,
      < 5.785039, -0.886333, -0.750163>,
      < 5.573390, -0.893248, -0.791555>
    }
    triangle {
      < 6.087051, -0.901604, -1.367204>,
      < 5.573390, -0.893248, -0.791555>,
      < 5.926187, -0.907688, -1.451552>
    }
    triangle {
      < 6.230915, -0.895197, -1.279667>,
      < 5.996688, -0.879417, -0.708770>,
      < 5.785039, -0.886333, -0.750163>
    }
    triangle {
      < 6.230915, -0.895197, -1.279667>,
      < 5.785039, -0.886333, -0.750163>,
      < 6.087051, -0.901604, -1.367204>
    }
    triangle {
      < 6.110754, -0.915755, -2.179403>,
      < 6.291544, -0.922692, -2.122950>,
      < 6.644342, -0.937132, -2.782948>
    }
    triangle {
      < 6.110754, -0.915755, -2.179403>,
      < 6.644342, -0.937132, -2.782948>,
      < 6.485260, -0.939412, -2.852627>
    }
    triangle {
      < 5.736249, -0.892099, -1.506180>,
      < 5.926187, -0.893764, -1.451557>,
      < 6.291544, -0.922692, -2.122950>
    }
    triangle {
      < 5.736249, -0.892099, -1.506180>,
      < 6.291544, -0.922692, -2.122950>,
      < 6.110754, -0.915755, -2.179403>
    }
    triangle {
      < 5.361743, -0.868442, -0.832959>,
      < 5.573390, -0.872100, -0.791562>,
      < 5.926187, -0.893764, -1.451557>
    }
    triangle {
      < 5.361743, -0.868442, -0.832959>,
      < 5.926187, -0.893764, -1.451557>,
      < 5.736249, -0.892099, -1.506180>
    }
    triangle {
      < 6.291544, -0.922692, -2.122950>,
      < 6.415989, -0.917038, -2.001060>,
      < 6.718001, -0.932310, -2.618102>
    }
    triangle {
      < 6.291544, -0.922692, -2.122950>,
      < 6.718001, -0.932310, -2.618102>,
      < 6.644342, -0.937132, -2.782948>
    }
    triangle {
      < 5.926187, -0.893764, -1.451557>,
      < 6.087051, -0.901604, -1.367204>,
      < 6.415989, -0.917038, -2.001060>
    }
    triangle {
      < 5.926187, -0.893764, -1.451557>,
      < 6.415989, -0.917038, -2.001060>,
      < 6.291544, -0.922692, -2.122950>
    }
    triangle {
      < 5.573390, -0.872100, -0.791562>,
      < 5.785039, -0.875759, -0.750167>,
      < 6.087051, -0.901604, -1.367204>
    }
    triangle {
      < 5.573390, -0.872100, -0.791562>,
      < 6.087051, -0.901604, -1.367204>,
      < 5.926187, -0.893764, -1.451557>
    }
    triangle {
      < 6.415989, -0.917038, -2.001060>,
      < 6.465141, -0.910977, -1.850564>,
      < 6.699371, -0.926757, -2.421461>
    }
    triangle {
      < 6.415989, -0.917038, -2.001060>,
      < 6.699371, -0.926757, -2.421461>,
      < 6.718001, -0.932310, -2.618102>
    }
    triangle {
      < 6.087051, -0.901604, -1.367204>,
      < 6.230915, -0.895197, -1.279667>,
      < 6.465141, -0.910977, -1.850564>
    }
    triangle {
      < 6.087051, -0.901604, -1.367204>,
      < 6.465141, -0.910977, -1.850564>,
      < 6.415989, -0.917038, -2.001060>
    }
    triangle {
      < 5.785039, -0.875759, -0.750167>,
      < 5.996688, -0.879417, -0.708770>,
      < 6.230915, -0.895197, -1.279667>
    }
    triangle {
      < 5.785039, -0.875759, -0.750167>,
      < 6.230915, -0.895197, -1.279667>,
      < 6.087051, -0.901604, -1.367204>
    }
    triangle {
      < 6.139905, -0.940065, -2.852721>,
      < 5.606021, -0.931507, -2.180493>,
      < 5.339843, -0.922501, -2.181081>
    }
    triangle {
      < 6.139905, -0.940065, -2.852721>,
      < 5.339843, -0.922501, -2.181081>,
      < 5.967228, -0.940392, -2.852768>
    }
    triangle {
      < 6.312582, -0.939739, -2.852674>,
      < 5.850326, -0.931768, -2.179961>,
      < 5.606021, -0.931507, -2.180493>
    }
    triangle {
      < 6.312582, -0.939739, -2.852674>,
      < 5.606021, -0.931507, -2.180493>,
      < 6.139905, -0.940065, -2.852721>
    }
    triangle {
      < 6.485260, -0.939412, -2.852627>,
      < 6.110754, -0.926329, -2.179399>,
      < 5.850326, -0.931768, -2.179961>
    }
    triangle {
      < 6.485260, -0.939412, -2.852627>,
      < 5.850326, -0.931768, -2.179961>,
      < 6.312582, -0.939739, -2.852674>
    }
    triangle {
      < 5.606021, -0.931507, -2.180493>,
      < 5.096091, -0.929879, -1.508145>,
      < 4.712457, -0.904611, -1.509393>
    }
    triangle {
      < 5.606021, -0.931507, -2.180493>,
      < 4.712457, -0.904611, -1.509393>,
      < 5.339843, -0.922501, -2.181081>
    }
    triangle {
      < 5.850326, -0.931768, -2.179961>,
      < 5.369051, -0.929247, -1.507347>,
      < 5.096091, -0.929879, -1.508145>
    }
    triangle {
      < 5.850326, -0.931768, -2.179961>,
      < 5.096091, -0.929879, -1.508145>,
      < 5.606021, -0.931507, -2.180493>
    }
    triangle {
      < 6.110754, -0.926329, -2.179399>,
      < 5.736249, -0.913246, -1.506173>,
      < 5.369051, -0.929247, -1.507347>
    }
    triangle {
      < 6.110754, -0.926329, -2.179399>,
      < 5.369051, -0.929247, -1.507347>,
      < 5.850326, -0.931768, -2.179961>
    }
    triangle {
      < 5.096091, -0.929879, -1.508145>,
      < 4.562209, -0.921320, -0.835918>,
      < 4.085072, -0.886720, -0.837707>
    }
    triangle {
      < 5.096091, -0.929879, -1.508145>,
      < 4.085072, -0.886720, -0.837707>,
      < 4.712457, -0.904611, -1.509393>
    }
    triangle {
      < 5.369051, -0.929247, -1.507347>,
      < 4.906795, -0.921277, -0.834635>,
      < 4.562209, -0.921320, -0.835918>
    }
    triangle {
      < 5.369051, -0.929247, -1.507347>,
      < 4.562209, -0.921320, -0.835918>,
      < 5.096091, -0.929879, -1.508145>
    }
    triangle {
      < 5.736249, -0.913246, -1.506173>,
      < 5.361743, -0.900164, -0.832947>,
      < 4.906795, -0.921277, -0.834635>
    }
    triangle {
      < 5.736249, -0.913246, -1.506173>,
      < 4.906795, -0.921277, -0.834635>,
      < 5.369051, -0.929247, -1.507347>
    }
    triangle {
      < 4.546121, -0.845718, -0.836003>,
      < 5.084175, -0.874486, -1.508208>,
      < 4.712457, -0.904611, -1.509393>
    }
    triangle {
      < 4.546121, -0.845718, -0.836003>,
      < 4.712457, -0.904611, -1.509393>,
      < 4.085072, -0.886720, -0.837707>
    }
    triangle {
      < 4.903185, -0.846927, -0.834674>,
      < 5.366376, -0.875914, -1.507376>,
      < 5.084175, -0.874486, -1.508208>
    }
    triangle {
      < 4.903185, -0.846927, -0.834674>,
      < 5.084175, -0.874486, -1.508208>,
      < 4.546121, -0.845718, -0.836003>
    }
    triangle {
      < 5.361743, -0.868442, -0.832959>,
      < 5.736249, -0.892099, -1.506180>,
      < 5.366376, -0.875914, -1.507376>
    }
    triangle {
      < 5.361743, -0.868442, -0.832959>,
      < 5.366376, -0.875914, -1.507376>,
      < 4.903185, -0.846927, -0.834674>
    }
    triangle {
      < 5.084175, -0.874486, -1.508208>,
      < 5.601853, -0.911297, -2.180516>,
      < 5.339843, -0.922501, -2.181081>
    }
    triangle {
      < 5.084175, -0.874486, -1.508208>,
      < 5.339843, -0.922501, -2.181081>,
      < 4.712457, -0.904611, -1.509393>
    }
    triangle {
      < 5.366376, -0.875914, -1.507376>,
      < 5.849391, -0.910751, -2.179971>,
      < 5.601853, -0.911297, -2.180516>
    }
    triangle {
      < 5.366376, -0.875914, -1.507376>,
      < 5.601853, -0.911297, -2.180516>,
      < 5.084175, -0.874486, -1.508208>
    }
    triangle {
      < 5.736249, -0.892099, -1.506180>,
      < 6.110754, -0.915755, -2.179403>,
      < 5.849391, -0.910751, -2.179971>
    }
    triangle {
      < 5.736249, -0.892099, -1.506180>,
      < 5.849391, -0.910751, -2.179971>,
      < 5.366376, -0.875914, -1.507376>
    }
    triangle {
      < 5.601853, -0.911297, -2.180516>,
      < 6.139905, -0.940065, -2.852721>,
      < 5.967228, -0.940392, -2.852768>
    }
    triangle {
      < 5.601853, -0.911297, -2.180516>,
      < 5.967228, -0.940392, -2.852768>,
      < 5.339843, -0.922501, -2.181081>
    }
    triangle {
      < 5.849391, -0.910751, -2.179971>,
      < 6.312582, -0.939739, -2.852674>,
      < 6.139905, -0.940065, -2.852721>
    }
    triangle {
      < 5.849391, -0.910751, -2.179971>,
      < 6.139905, -0.940065, -2.852721>,
      < 5.601853, -0.911297, -2.180516>
    }
    triangle {
      < 6.110754, -0.915755, -2.179403>,
      < 6.485260, -0.939412, -2.852627>,
      < 6.312582, -0.939739, -2.852674>
    }
    triangle {
      < 6.110754, -0.915755, -2.179403>,
      < 6.312582, -0.939739, -2.852674>,
      < 5.849391, -0.910751, -2.179971>
    }
    triangle {
      < 5.361743, -0.868442, -0.832959>,
      < 5.506324, -0.874292, -0.804678>,
      < 5.573390, -0.872100, -0.791562>
    }
    triangle {
      < 5.361743, -0.868442, -0.832959>,
      < 5.573390, -0.872100, -0.791562>,
      < 5.361743, -0.868442, -0.832959>
    }
    triangle {
      < 5.361743, -0.868442, -0.832959>,
      < 5.428807, -0.876825, -0.819839>,
      < 5.506324, -0.874292, -0.804678>
    }
    triangle {
      < 5.361743, -0.868442, -0.832959>,
      < 5.506324, -0.874292, -0.804678>,
      < 5.361743, -0.868442, -0.832959>
    }
    triangle {
      < 5.361743, -0.868442, -0.832959>,
      < 5.361743, -0.879016, -0.832955>,
      < 5.428807, -0.876825, -0.819839>
    }
    triangle {
      < 5.361743, -0.868442, -0.832959>,
      < 5.428807, -0.876825, -0.819839>,
      < 5.361743, -0.868442, -0.832959>
    }
    triangle {
      < 5.506324, -0.874292, -0.804678>,
      < 5.640455, -0.880483, -0.778442>,
      < 5.785039, -0.875759, -0.750167>
    }
    triangle {
      < 5.506324, -0.874292, -0.804678>,
      < 5.785039, -0.875759, -0.750167>,
      < 5.573390, -0.872100, -0.791562>
    }
    triangle {
      < 5.428807, -0.876825, -0.819839>,
      < 5.506324, -0.884866, -0.804675>,
      < 5.640455, -0.880483, -0.778442>
    }
    triangle {
      < 5.428807, -0.876825, -0.819839>,
      < 5.640455, -0.880483, -0.778442>,
      < 5.506324, -0.874292, -0.804678>
    }
    triangle {
      < 5.361743, -0.879016, -0.832955>,
      < 5.361743, -0.889590, -0.832951>,
      < 5.506324, -0.884866, -0.804675>
    }
    triangle {
      < 5.361743, -0.879016, -0.832955>,
      < 5.506324, -0.884866, -0.804675>,
      < 5.428807, -0.876825, -0.819839>
    }
    triangle {
      < 5.640455, -0.880483, -0.778442>,
      < 5.785039, -0.886333, -0.750163>,
      < 5.996688, -0.879417, -0.708770>
    }
    triangle {
      < 5.640455, -0.880483, -0.778442>,
      < 5.996688, -0.879417, -0.708770>,
      < 5.785039, -0.875759, -0.750167>
    }
    triangle {
      < 5.506324, -0.884866, -0.804675>,
      < 5.573390, -0.893248, -0.791555>,
      < 5.785039, -0.886333, -0.750163>
    }
    triangle {
      < 5.506324, -0.884866, -0.804675>,
      < 5.785039, -0.886333, -0.750163>,
      < 5.640455, -0.880483, -0.778442>
    }
    triangle {
      < 5.361743, -0.889590, -0.832951>,
      < 5.361743, -0.900164, -0.832947>,
      < 5.573390, -0.893248, -0.791555>
    }
    triangle {
      < 5.361743, -0.889590, -0.832951>,
      < 5.573390, -0.893248, -0.791555>,
      < 5.506324, -0.884866, -0.804675>
    }
    triangle {
      < 4.085072, -0.886720, -0.837707>,
      < 4.550293, -0.865927, -0.835981>,
      < 4.546121, -0.845718, -0.836003>
    }
    triangle {
      < 4.085072, -0.886720, -0.837707>,
      < 4.546121, -0.845718, -0.836003>,
      < 4.085072, -0.886720, -0.837707>
    }
    triangle {
      < 4.085072, -0.886720, -0.837707>,
      < 4.558039, -0.901111, -0.835941>,
      < 4.550293, -0.865927, -0.835981>
    }
    triangle {
      < 4.085072, -0.886720, -0.837707>,
      < 4.550293, -0.865927, -0.835981>,
      < 4.085072, -0.886720, -0.837707>
    }
    triangle {
      < 4.085072, -0.886720, -0.837707>,
      < 4.562209, -0.921320, -0.835918>,
      < 4.558039, -0.901111, -0.835941>
    }
    triangle {
      < 4.085072, -0.886720, -0.837707>,
      < 4.558039, -0.901111, -0.835941>,
      < 4.085072, -0.886720, -0.837707>
    }
    triangle {
      < 4.550293, -0.865927, -0.835981>,
      < 4.904120, -0.867943, -0.834662>,
      < 4.903185, -0.846927, -0.834674>
    }
    triangle {
      < 4.550293, -0.865927, -0.835981>,
      < 4.903185, -0.846927, -0.834674>,
      < 4.546121, -0.845718, -0.836003>
    }
    triangle {
      < 4.558039, -0.901111, -0.835941>,
      < 4.905859, -0.900260, -0.834645>,
      < 4.904120, -0.867943, -0.834662>
    }
    triangle {
      < 4.558039, -0.901111, -0.835941>,
      < 4.904120, -0.867943, -0.834662>,
      < 4.550293, -0.865927, -0.835981>
    }
    triangle {
      < 4.562209, -0.921320, -0.835918>,
      < 4.906795, -0.921277, -0.834635>,
      < 4.905859, -0.900260, -0.834645>
    }
    triangle {
      < 4.562209, -0.921320, -0.835918>,
      < 4.905859, -0.900260, -0.834645>,
      < 4.558039, -0.901111, -0.835941>
    }
    triangle {
      < 4.904120, -0.867943, -0.834662>,
      < 5.361743, -0.879016, -0.832955>,
      < 5.361743, -0.868442, -0.832959>
    }
    triangle {
      < 4.904120, -0.867943, -0.834662>,
      < 5.361743, -0.868442, -0.832959>,
      < 4.903185, -0.846927, -0.834674>
    }
    triangle {
      < 4.905859, -0.900260, -0.834645>,
      < 5.361743, -0.889590, -0.832951>,
      < 5.361743, -0.879016, -0.832955>
    }
    triangle {
      < 4.905859, -0.900260, -0.834645>,
      < 5.361743, -0.879016, -0.832955>,
      < 4.904120, -0.867943, -0.834662>
    }
    triangle {
      < 4.906795, -0.921277, -0.834635>,
      < 5.361743, -0.900164, -0.832947>,
      < 5.361743, -0.889590, -0.832951>
    }
    triangle {
      < 4.906795, -0.921277, -0.834635>,
      < 5.361743, -0.889590, -0.832951>,
      < 4.905859, -0.900260, -0.834645>
    }
    triangle {
      < 3.378638, -0.645195, -0.726928>,
      < 3.847344, -0.654611, -0.725603>,
      < 4.197406, 0.056002, -0.975151>
    }
    triangle {
      < 3.378638, -0.645195, -0.726928>,
      < 4.197406, 0.056002, -0.975151>,
      < 3.829091, 0.062223, -0.977356>
    }
    triangle {
      < 3.829091, 0.062223, -0.977356>,
      < 4.197406, 0.056002, -0.975151>,
      < 4.531772, 0.766445, -1.226259>
    }
    triangle {
      < 3.829091, 0.062223, -0.977356>,
      < 4.531772, 0.766445, -1.226259>,
      < 4.279545, 0.769641, -1.227785>
    }
    triangle {
      < 4.279545, 0.769641, -1.227785>,
      < 4.531772, 0.766445, -1.226259>,
      < 4.881832, 1.477058, -1.475806>
    }
    triangle {
      < 4.279545, 0.769641, -1.227785>,
      < 4.881832, 1.477058, -1.475806>,
      < 4.729998, 1.477059, -1.478213>
    }
    triangle {
      < 3.847344, -0.654611, -0.725603>,
      < 4.316047, -0.668575, -0.735823>,
      < 4.550079, 0.047058, -0.980981>
    }
    triangle {
      < 3.847344, -0.654611, -0.725603>,
      < 4.550079, 0.047058, -0.980981>,
      < 4.197406, 0.056002, -0.975151>
    }
    triangle {
      < 4.197406, 0.056002, -0.975151>,
      < 4.550079, 0.047058, -0.980981>,
      < 4.799636, 0.761424, -1.228241>
    }
    triangle {
      < 4.197406, 0.056002, -0.975151>,
      < 4.799636, 0.761424, -1.228241>,
      < 4.531772, 0.766445, -1.226259>
    }
    triangle {
      < 4.531772, 0.766445, -1.226259>,
      < 4.799636, 0.761424, -1.228241>,
      < 5.033669, 1.477057, -1.473399>
    }
    triangle {
      < 4.531772, 0.766445, -1.226259>,
      < 5.033669, 1.477057, -1.473399>,
      < 4.881832, 1.477058, -1.475806>
    }
    triangle {
      < 4.316047, -0.668575, -0.735823>,
      < 4.783974, -0.684467, -0.750983>,
      < 4.917817, 0.036040, -0.990986>
    }
    triangle {
      < 4.316047, -0.668575, -0.735823>,
      < 4.917817, 0.036040, -0.990986>,
      < 4.550079, 0.047058, -0.980981>
    }
    triangle {
      < 4.550079, 0.047058, -0.980981>,
      < 4.917817, 0.036040, -0.990986>,
      < 5.051662, 0.756549, -1.230989>
    }
    triangle {
      < 4.550079, 0.047058, -0.980981>,
      < 5.051662, 0.756549, -1.230989>,
      < 4.799636, 0.761424, -1.228241>
    }
    triangle {
      < 4.799636, 0.761424, -1.228241>,
      < 5.051662, 0.756549, -1.230989>,
      < 5.185505, 1.477056, -1.470992>
    }
    triangle {
      < 4.799636, 0.761424, -1.228241>,
      < 5.185505, 1.477056, -1.470992>,
      < 5.033669, 1.477057, -1.473399>
    }
    triangle {
      < 4.729998, 1.477059, -1.478213>,
      < 4.881832, 1.477058, -1.475806>,
      < 4.530411, 0.763030, -1.257584>
    }
    triangle {
      < 4.729998, 1.477059, -1.478213>,
      < 4.530411, 0.763030, -1.257584>,
      < 4.277422, 0.767458, -1.266482>
    }
    triangle {
      < 4.277422, 0.767458, -1.266482>,
      < 4.530411, 0.763030, -1.257584>,
      < 4.194864, 0.047630, -1.040080>
    }
    triangle {
      < 4.277422, 0.767458, -1.266482>,
      < 4.194864, 0.047630, -1.040080>,
      < 3.824846, 0.057858, -1.054749>
    }
    triangle {
      < 3.824846, 0.057858, -1.054749>,
      < 4.194864, 0.047630, -1.040080>,
      < 3.843444, -0.666398, -0.821858>
    }
    triangle {
      < 3.824846, 0.057858, -1.054749>,
      < 3.843444, -0.666398, -0.821858>,
      < 3.372271, -0.651743, -0.843018>
    }
    triangle {
      < 4.881832, 1.477058, -1.475806>,
      < 5.033669, 1.477057, -1.473399>,
      < 4.799032, 0.759260, -1.244238>
    }
    triangle {
      < 4.881832, 1.477058, -1.475806>,
      < 4.799032, 0.759260, -1.244238>,
      < 4.530411, 0.763030, -1.257584>
    }
    triangle {
      < 4.530411, 0.763030, -1.257584>,
      < 4.799032, 0.759260, -1.244238>,
      < 4.548826, 0.041363, -1.018085>
    }
    triangle {
      < 4.530411, 0.763030, -1.257584>,
      < 4.548826, 0.041363, -1.018085>,
      < 4.194864, 0.047630, -1.040080>
    }
    triangle {
      < 4.194864, 0.047630, -1.040080>,
      < 4.548826, 0.041363, -1.018085>,
      < 4.314190, -0.676434, -0.788923>
    }
    triangle {
      < 4.194864, 0.047630, -1.040080>,
      < 4.314190, -0.676434, -0.788923>,
      < 3.843444, -0.666398, -0.821858>
    }
    triangle {
      < 5.033669, 1.477057, -1.473399>,
      < 5.185505, 1.477056, -1.470992>,
      < 5.051662, 0.756549, -1.230989>
    }
    triangle {
      < 5.033669, 1.477057, -1.473399>,
      < 5.051662, 0.756549, -1.230989>,
      < 4.799032, 0.759260, -1.244238>
    }
    triangle {
      < 4.799032, 0.759260, -1.244238>,
      < 5.051662, 0.756549, -1.230989>,
      < 4.917817, 0.036040, -0.990986>
    }
    triangle {
      < 4.799032, 0.759260, -1.244238>,
      < 4.917817, 0.036040, -0.990986>,
      < 4.548826, 0.041363, -1.018085>
    }
    triangle {
      < 4.548826, 0.041363, -1.018085>,
      < 4.917817, 0.036040, -0.990986>,
      < 4.783974, -0.684467, -0.750983>
    }
    triangle {
      < 4.548826, 0.041363, -1.018085>,
      < 4.783974, -0.684467, -0.750983>,
      < 4.314190, -0.676434, -0.788923>
    }
    triangle {
      < 3.372271, -0.651743, -0.843018>,
      < 3.066906, -0.632948, -0.847474>,
      < 3.580216, 0.070663, -1.059093>
    }
    triangle {
      < 3.372271, -0.651743, -0.843018>,
      < 3.580216, 0.070663, -1.059093>,
      < 3.824846, 0.057858, -1.054749>
    }
    triangle {
      < 3.824846, 0.057858, -1.054749>,
      < 3.580216, 0.070663, -1.059093>,
      < 4.102798, 0.773449, -1.268399>
    }
    triangle {
      < 3.824846, 0.057858, -1.054749>,
      < 4.102798, 0.773449, -1.268399>,
      < 4.277422, 0.767458, -1.266482>
    }
    triangle {
      < 4.277422, 0.767458, -1.266482>,
      < 4.102798, 0.773449, -1.268399>,
      < 4.616107, 1.477059, -1.480020>
    }
    triangle {
      < 4.277422, 0.767458, -1.266482>,
      < 4.616107, 1.477059, -1.480020>,
      < 4.729998, 1.477059, -1.478213>
    }
    triangle {
      < 3.066906, -0.632948, -0.847474>,
      < 2.761171, -0.613223, -0.840178>,
      < 3.344821, 0.083199, -1.055225>
    }
    triangle {
      < 3.066906, -0.632948, -0.847474>,
      < 3.344821, 0.083199, -1.055225>,
      < 3.580216, 0.070663, -1.059093>
    }
    triangle {
      < 3.580216, 0.070663, -1.059093>,
      < 3.344821, 0.083199, -1.055225>,
      < 3.918571, 0.780638, -1.266777>
    }
    triangle {
      < 3.580216, 0.070663, -1.059093>,
      < 3.918571, 0.780638, -1.266777>,
      < 4.102798, 0.773449, -1.268399>
    }
    triangle {
      < 4.102798, 0.773449, -1.268399>,
      < 3.918571, 0.780638, -1.266777>,
      < 4.502220, 1.477060, -1.481825>
    }
    triangle {
      < 4.102798, 0.773449, -1.268399>,
      < 4.502220, 1.477060, -1.481825>,
      < 4.616107, 1.477059, -1.480020>
    }
    triangle {
      < 2.761171, -0.613223, -0.840178>,
      < 2.452999, -0.593563, -0.818484>,
      < 3.098109, 0.096646, -1.040199>
    }
    triangle {
      < 2.761171, -0.613223, -0.840178>,
      < 3.098109, 0.096646, -1.040199>,
      < 3.344821, 0.083199, -1.055225>
    }
    triangle {
      < 3.344821, 0.083199, -1.055225>,
      < 3.098109, 0.096646, -1.040199>,
      < 3.743217, 0.786852, -1.261915>
    }
    triangle {
      < 3.344821, 0.083199, -1.055225>,
      < 3.743217, 0.786852, -1.261915>,
      < 3.918571, 0.780638, -1.266777>
    }
    triangle {
      < 3.918571, 0.780638, -1.266777>,
      < 3.743217, 0.786852, -1.261915>,
      < 4.388329, 1.477060, -1.483631>
    }
    triangle {
      < 3.918571, 0.780638, -1.266777>,
      < 4.388329, 1.477060, -1.483631>,
      < 4.502220, 1.477060, -1.481825>
    }
    triangle {
      < 3.378638, -0.645195, -0.726928>,
      < 3.829091, 0.062223, -0.977356>,
      < 3.578484, 0.075111, -0.989041>
    }
    triangle {
      < 3.378638, -0.645195, -0.726928>,
      < 3.578484, 0.075111, -0.989041>,
      < 3.065040, -0.626458, -0.744304>
    }
    triangle {
      < 3.065040, -0.626458, -0.744304>,
      < 3.578484, 0.075111, -0.989041>,
      < 3.340736, 0.086437, -1.008585>
    }
    triangle {
      < 3.065040, -0.626458, -0.744304>,
      < 3.340736, 0.086437, -1.008585>,
      < 2.755822, -0.608681, -0.774202>
    }
    triangle {
      < 2.755822, -0.608681, -0.774202>,
      < 3.340736, 0.086437, -1.008585>,
      < 3.098109, 0.096646, -1.040199>
    }
    triangle {
      < 2.755822, -0.608681, -0.774202>,
      < 3.098109, 0.096646, -1.040199>,
      < 2.452999, -0.593563, -0.818484>
    }
    triangle {
      < 3.829091, 0.062223, -0.977356>,
      < 4.279545, 0.769641, -1.227785>,
      < 4.102664, 0.775490, -1.235281>
    }
    triangle {
      < 3.829091, 0.062223, -0.977356>,
      < 4.102664, 0.775490, -1.235281>,
      < 3.578484, 0.075111, -0.989041>
    }
    triangle {
      < 3.578484, 0.075111, -0.989041>,
      < 4.102664, 0.775490, -1.235281>,
      < 3.917306, 0.781941, -1.247443>
    }
    triangle {
      < 3.578484, 0.075111, -0.989041>,
      < 3.917306, 0.781941, -1.247443>,
      < 3.340736, 0.086437, -1.008585>
    }
    triangle {
      < 3.340736, 0.086437, -1.008585>,
      < 3.917306, 0.781941, -1.247443>,
      < 3.743217, 0.786852, -1.261915>
    }
    triangle {
      < 3.340736, 0.086437, -1.008585>,
      < 3.743217, 0.786852, -1.261915>,
      < 3.098109, 0.096646, -1.040199>
    }
    triangle {
      < 4.279545, 0.769641, -1.227785>,
      < 4.729998, 1.477059, -1.478213>,
      < 4.616107, 1.477059, -1.480020>
    }
    triangle {
      < 4.279545, 0.769641, -1.227785>,
      < 4.616107, 1.477059, -1.480020>,
      < 4.102664, 0.775490, -1.235281>
    }
    triangle {
      < 4.102664, 0.775490, -1.235281>,
      < 4.616107, 1.477059, -1.480020>,
      < 4.502220, 1.477060, -1.481825>
    }
    triangle {
      < 4.102664, 0.775490, -1.235281>,
      < 4.502220, 1.477060, -1.481825>,
      < 3.917306, 0.781941, -1.247443>
    }
    triangle {
      < 3.917306, 0.781941, -1.247443>,
      < 4.502220, 1.477060, -1.481825>,
      < 4.388329, 1.477060, -1.483631>
    }
    triangle {
      < 3.917306, 0.781941, -1.247443>,
      < 4.388329, 1.477060, -1.483631>,
      < 3.743217, 0.786852, -1.261915>
    }
    triangle {
      < 3.829091, 0.062223, 0.977356>,
      < 4.197406, 0.056002, 0.975151>,
      < 3.847344, -0.654611, 0.725603>
    }
    triangle {
      < 3.829091, 0.062223, 0.977356>,
      < 3.847344, -0.654611, 0.725603>,
      < 3.378638, -0.645195, 0.726928>
    }
    triangle {
      < 4.279545, 0.769641, 1.227785>,
      < 4.531772, 0.766445, 1.226259>,
      < 4.197406, 0.056002, 0.975151>
    }
    triangle {
      < 4.279545, 0.769641, 1.227785>,
      < 4.197406, 0.056002, 0.975151>,
      < 3.829091, 0.062223, 0.977356>
    }
    triangle {
      < 4.729998, 1.477059, 1.478213>,
      < 4.881832, 1.477058, 1.475806>,
      < 4.531772, 0.766445, 1.226259>
    }
    triangle {
      < 4.729998, 1.477059, 1.478213>,
      < 4.531772, 0.766445, 1.226259>,
      < 4.279545, 0.769641, 1.227785>
    }
    triangle {
      < 4.197406, 0.056002, 0.975151>,
      < 4.550079, 0.047058, 0.980981>,
      < 4.316047, -0.668575, 0.735823>
    }
    triangle {
      < 4.197406, 0.056002, 0.975151>,
      < 4.316047, -0.668575, 0.735823>,
      < 3.847344, -0.654611, 0.725603>
    }
    triangle {
      < 4.531772, 0.766445, 1.226259>,
      < 4.799636, 0.761424, 1.228241>,
      < 4.550079, 0.047058, 0.980981>
    }
    triangle {
      < 4.531772, 0.766445, 1.226259>,
      < 4.550079, 0.047058, 0.980981>,
      < 4.197406, 0.056002, 0.975151>
    }
    triangle {
      < 4.881832, 1.477058, 1.475806>,
      < 5.033669, 1.477057, 1.473399>,
      < 4.799636, 0.761424, 1.228241>
    }
    triangle {
      < 4.881832, 1.477058, 1.475806>,
      < 4.799636, 0.761424, 1.228241>,
      < 4.531772, 0.766445, 1.226259>
    }
    triangle {
      < 4.550079, 0.047058, 0.980981>,
      < 4.917817, 0.036040, 0.990986>,
      < 4.783974, -0.684467, 0.750983>
    }
    triangle {
      < 4.550079, 0.047058, 0.980981>,
      < 4.783974, -0.684467, 0.750983>,
      < 4.316047, -0.668575, 0.735823>
    }
    triangle {
      < 4.799636, 0.761424, 1.228241>,
      < 5.051662, 0.756549, 1.230989>,
      < 4.917817, 0.036040, 0.990986>
    }
    triangle {
      < 4.799636, 0.761424, 1.228241>,
      < 4.917817, 0.036040, 0.990986>,
      < 4.550079, 0.047058, 0.980981>
    }
    triangle {
      < 5.033669, 1.477057, 1.473399>,
      < 5.185505, 1.477056, 1.470992>,
      < 5.051662, 0.756549, 1.230989>
    }
    triangle {
      < 5.033669, 1.477057, 1.473399>,
      < 5.051662, 0.756549, 1.230989>,
      < 4.799636, 0.761424, 1.228241>
    }
    triangle {
      < 3.065040, -0.626458, 0.744304>,
      < 3.578484, 0.075111, 0.989041>,
      < 3.829091, 0.062223, 0.977356>
    }
    triangle {
      < 3.065040, -0.626458, 0.744304>,
      < 3.829091, 0.062223, 0.977356>,
      < 3.378638, -0.645195, 0.726928>
    }
    triangle {
      < 2.755822, -0.608681, 0.774202>,
      < 3.340736, 0.086437, 1.008585>,
      < 3.578484, 0.075111, 0.989041>
    }
    triangle {
      < 2.755822, -0.608681, 0.774202>,
      < 3.578484, 0.075111, 0.989041>,
      < 3.065040, -0.626458, 0.744304>
    }
    triangle {
      < 2.452999, -0.593563, 0.818484>,
      < 3.098109, 0.096646, 1.040199>,
      < 3.340736, 0.086437, 1.008585>
    }
    triangle {
      < 2.452999, -0.593563, 0.818484>,
      < 3.340736, 0.086437, 1.008585>,
      < 2.755822, -0.608681, 0.774202>
    }
    triangle {
      < 3.578484, 0.075111, 0.989041>,
      < 4.102664, 0.775490, 1.235281>,
      < 4.279545, 0.769641, 1.227785>
    }
    triangle {
      < 3.578484, 0.075111, 0.989041>,
      < 4.279545, 0.769641, 1.227785>,
      < 3.829091, 0.062223, 0.977356>
    }
    triangle {
      < 3.340736, 0.086437, 1.008585>,
      < 3.917306, 0.781941, 1.247443>,
      < 4.102664, 0.775490, 1.235281>
    }
    triangle {
      < 3.340736, 0.086437, 1.008585>,
      < 4.102664, 0.775490, 1.235281>,
      < 3.578484, 0.075111, 0.989041>
    }
    triangle {
      < 3.098109, 0.096646, 1.040199>,
      < 3.743217, 0.786852, 1.261915>,
      < 3.917306, 0.781941, 1.247443>
    }
    triangle {
      < 3.098109, 0.096646, 1.040199>,
      < 3.917306, 0.781941, 1.247443>,
      < 3.340736, 0.086437, 1.008585>
    }
    triangle {
      < 4.102664, 0.775490, 1.235281>,
      < 4.616107, 1.477059, 1.480020>,
      < 4.729998, 1.477059, 1.478213>
    }
    triangle {
      < 4.102664, 0.775490, 1.235281>,
      < 4.729998, 1.477059, 1.478213>,
      < 4.279545, 0.769641, 1.227785>
    }
    triangle {
      < 3.917306, 0.781941, 1.247443>,
      < 4.502220, 1.477060, 1.481825>,
      < 4.616107, 1.477059, 1.480020>
    }
    triangle {
      < 3.917306, 0.781941, 1.247443>,
      < 4.616107, 1.477059, 1.480020>,
      < 4.102664, 0.775490, 1.235281>
    }
    triangle {
      < 3.743217, 0.786852, 1.261915>,
      < 4.388329, 1.477060, 1.483631>,
      < 4.502220, 1.477060, 1.481825>
    }
    triangle {
      < 3.743217, 0.786852, 1.261915>,
      < 4.502220, 1.477060, 1.481825>,
      < 3.917306, 0.781941, 1.247443>
    }
    triangle {
      < 4.277422, 0.767458, 1.266482>,
      < 4.530411, 0.763030, 1.257584>,
      < 4.881832, 1.477058, 1.475806>
    }
    triangle {
      < 4.277422, 0.767458, 1.266482>,
      < 4.881832, 1.477058, 1.475806>,
      < 4.729998, 1.477059, 1.478213>
    }
    triangle {
      < 3.824846, 0.057858, 1.054749>,
      < 4.194864, 0.047630, 1.040080>,
      < 4.530411, 0.763030, 1.257584>
    }
    triangle {
      < 3.824846, 0.057858, 1.054749>,
      < 4.530411, 0.763030, 1.257584>,
      < 4.277422, 0.767458, 1.266482>
    }
    triangle {
      < 3.372271, -0.651743, 0.843018>,
      < 3.843444, -0.666398, 0.821858>,
      < 4.194864, 0.047630, 1.040080>
    }
    triangle {
      < 3.372271, -0.651743, 0.843018>,
      < 4.194864, 0.047630, 1.040080>,
      < 3.824846, 0.057858, 1.054749>
    }
    triangle {
      < 4.530411, 0.763030, 1.257584>,
      < 4.799032, 0.759260, 1.244238>,
      < 5.033669, 1.477057, 1.473399>
    }
    triangle {
      < 4.530411, 0.763030, 1.257584>,
      < 5.033669, 1.477057, 1.473399>,
      < 4.881832, 1.477058, 1.475806>
    }
    triangle {
      < 4.194864, 0.047630, 1.040080>,
      < 4.548826, 0.041363, 1.018085>,
      < 4.799032, 0.759260, 1.244238>
    }
    triangle {
      < 4.194864, 0.047630, 1.040080>,
      < 4.799032, 0.759260, 1.244238>,
      < 4.530411, 0.763030, 1.257584>
    }
    triangle {
      < 3.843444, -0.666398, 0.821858>,
      < 4.314190, -0.676434, 0.788923>,
      < 4.548826, 0.041363, 1.018085>
    }
    triangle {
      < 3.843444, -0.666398, 0.821858>,
      < 4.548826, 0.041363, 1.018085>,
      < 4.194864, 0.047630, 1.040080>
    }
    triangle {
      < 4.799032, 0.759260, 1.244238>,
      < 5.051662, 0.756549, 1.230989>,
      < 5.185505, 1.477056, 1.470992>
    }
    triangle {
      < 4.799032, 0.759260, 1.244238>,
      < 5.185505, 1.477056, 1.470992>,
      < 5.033669, 1.477057, 1.473399>
    }
    triangle {
      < 4.548826, 0.041363, 1.018085>,
      < 4.917817, 0.036040, 0.990986>,
      < 5.051662, 0.756549, 1.230989>
    }
    triangle {
      < 4.548826, 0.041363, 1.018085>,
      < 5.051662, 0.756549, 1.230989>,
      < 4.799032, 0.759260, 1.244238>
    }
    triangle {
      < 4.314190, -0.676434, 0.788923>,
      < 4.783974, -0.684467, 0.750983>,
      < 4.917817, 0.036040, 0.990986>
    }
    triangle {
      < 4.314190, -0.676434, 0.788923>,
      < 4.917817, 0.036040, 0.990986>,
      < 4.548826, 0.041363, 1.018085>
    }
    triangle {
      < 3.824846, 0.057858, 1.054749>,
      < 3.580216, 0.070663, 1.059093>,
      < 3.066906, -0.632948, 0.847474>
    }
    triangle {
      < 3.824846, 0.057858, 1.054749>,
      < 3.066906, -0.632948, 0.847474>,
      < 3.372271, -0.651743, 0.843018>
    }
    triangle {
      < 4.277422, 0.767458, 1.266482>,
      < 4.102798, 0.773449, 1.268399>,
      < 3.580216, 0.070663, 1.059093>
    }
    triangle {
      < 4.277422, 0.767458, 1.266482>,
      < 3.580216, 0.070663, 1.059093>,
      < 3.824846, 0.057858, 1.054749>
    }
    triangle {
      < 4.729998, 1.477059, 1.478213>,
      < 4.616107, 1.477059, 1.480020>,
      < 4.102798, 0.773449, 1.268399>
    }
    triangle {
      < 4.729998, 1.477059, 1.478213>,
      < 4.102798, 0.773449, 1.268399>,
      < 4.277422, 0.767458, 1.266482>
    }
    triangle {
      < 3.580216, 0.070663, 1.059093>,
      < 3.344821, 0.083199, 1.055225>,
      < 2.761171, -0.613223, 0.840178>
    }
    triangle {
      < 3.580216, 0.070663, 1.059093>,
      < 2.761171, -0.613223, 0.840178>,
      < 3.066906, -0.632948, 0.847474>
    }
    triangle {
      < 4.102798, 0.773449, 1.268399>,
      < 3.918571, 0.780638, 1.266777>,
      < 3.344821, 0.083199, 1.055225>
    }
    triangle {
      < 4.102798, 0.773449, 1.268399>,
      < 3.344821, 0.083199, 1.055225>,
      < 3.580216, 0.070663, 1.059093>
    }
    triangle {
      < 4.616107, 1.477059, 1.480020>,
      < 4.502220, 1.477060, 1.481825>,
      < 3.918571, 0.780638, 1.266777>
    }
    triangle {
      < 4.616107, 1.477059, 1.480020>,
      < 3.918571, 0.780638, 1.266777>,
      < 4.102798, 0.773449, 1.268399>
    }
    triangle {
      < 3.344821, 0.083199, 1.055225>,
      < 3.098109, 0.096646, 1.040199>,
      < 2.452999, -0.593563, 0.818484>
    }
    triangle {
      < 3.344821, 0.083199, 1.055225>,
      < 2.452999, -0.593563, 0.818484>,
      < 2.761171, -0.613223, 0.840178>
    }
    triangle {
      < 3.918571, 0.780638, 1.266777>,
      < 3.743217, 0.786852, 1.261915>,
      < 3.098109, 0.096646, 1.040199>
    }
    triangle {
      < 3.918571, 0.780638, 1.266777>,
      < 3.098109, 0.096646, 1.040199>,
      < 3.344821, 0.083199, 1.055225>
    }
    triangle {
      < 4.502220, 1.477060, 1.481825>,
      < 4.388329, 1.477060, 1.483631>,
      < 3.743217, 0.786852, 1.261915>
    }
    triangle {
      < 4.502220, 1.477060, 1.481825>,
      < 3.743217, 0.786852, 1.261915>,
      < 3.918571, 0.780638, 1.266777>
    }
    triangle {
      < -6.402299, -0.857568, -0.060015>,
      < -6.646985, -0.998363, 0.000167>,
      < -6.646985, -0.998363, 0.000167>
    }
    triangle {
      < -6.402299, -0.857568, -0.060015>,
      < -6.646985, -0.998363, 0.000167>,
      < -6.401896, -0.829529, 0.003287>
    }
    triangle {
      < -6.402195, -0.918136, -0.128256>,
      < -6.646985, -0.998363, 0.000167>,
      < -6.646985, -0.998363, 0.000167>
    }
    triangle {
      < -6.402195, -0.918136, -0.128256>,
      < -6.646985, -0.998363, 0.000167>,
      < -6.402299, -0.857568, -0.060015>
    }
    triangle {
      < -6.399546, -0.976997, -0.159457>,
      < -6.646985, -0.998363, 0.000167>,
      < -6.646985, -0.998363, 0.000167>
    }
    triangle {
      < -6.399546, -0.976997, -0.159457>,
      < -6.646985, -0.998363, 0.000167>,
      < -6.402195, -0.918136, -0.128256>
    }
    triangle {
      < -6.389777, -1.043223, -0.129589>,
      < -6.646985, -0.998363, 0.000167>,
      < -6.646985, -0.998363, 0.000167>
    }
    triangle {
      < -6.389777, -1.043223, -0.129589>,
      < -6.646985, -0.998363, 0.000167>,
      < -6.399546, -0.976997, -0.159457>
    }
    triangle {
      < -6.371633, -1.107995, -0.063568>,
      < -6.645816, -1.009149, -0.002413>,
      < -6.646985, -0.998363, 0.000167>
    }
    triangle {
      < -6.371633, -1.107995, -0.063568>,
      < -6.646985, -0.998363, 0.000167>,
      < -6.389777, -1.043223, -0.129589>
    }
    triangle {
      < -6.361855, -1.137182, 0.003184>,
      < -6.645816, -1.009149, -0.002413>,
      < -6.645816, -1.009149, -0.002413>
    }
    triangle {
      < -6.361855, -1.137182, 0.003184>,
      < -6.645816, -1.009149, -0.002413>,
      < -6.371633, -1.107995, -0.063568>
    }
    triangle {
      < -6.371593, -1.108035, 0.069958>,
      < -6.645816, -1.009149, -0.002413>,
      < -6.645816, -1.009149, -0.002413>
    }
    triangle {
      < -6.371593, -1.108035, 0.069958>,
      < -6.645816, -1.009149, -0.002413>,
      < -6.361855, -1.137182, 0.003184>
    }
    triangle {
      < -6.389699, -1.043302, 0.136029>,
      < -6.645816, -1.009149, -0.002413>,
      < -6.645816, -1.009149, -0.002413>
    }
    triangle {
      < -6.389699, -1.043302, 0.136029>,
      < -6.645816, -1.009149, -0.002413>,
      < -6.371593, -1.108035, 0.069958>
    }
    triangle {
      < -6.399449, -0.977093, 0.165942>,
      < -6.646985, -0.998363, 0.000167>,
      < -6.645816, -1.009149, -0.002413>
    }
    triangle {
      < -6.399449, -0.977093, 0.165942>,
      < -6.645816, -1.009149, -0.002413>,
      < -6.389699, -1.043302, 0.136029>
    }
    triangle {
      < -6.402117, -0.918214, 0.134778>,
      < -6.646985, -0.998363, 0.000167>,
      < -6.646985, -0.998363, 0.000167>
    }
    triangle {
      < -6.402117, -0.918214, 0.134778>,
      < -6.646985, -0.998363, 0.000167>,
      < -6.399449, -0.977093, 0.165942>
    }
    triangle {
      < -6.402262, -0.857606, 0.066572>,
      < -6.646985, -0.998363, 0.000167>,
      < -6.646985, -0.998363, 0.000167>
    }
    triangle {
      < -6.402262, -0.857606, 0.066572>,
      < -6.646985, -0.998363, 0.000167>,
      < -6.402117, -0.918214, 0.134778>
    }
    triangle {
      < -6.401896, -0.829529, 0.003287>,
      < -6.646985, -0.998363, 0.000167>,
      < -6.646985, -0.998363, 0.000167>
    }
    triangle {
      < -6.401896, -0.829529, 0.003287>,
      < -6.646985, -0.998363, 0.000167>,
      < -6.402262, -0.857606, 0.066572>
    }
    triangle {
      < 1.686211, -1.385695, 0.177938>,
      < 1.585000, -1.176681, 0.242892>,
      < 0.692207, -1.091123, 0.337514>
    }
    triangle {
      < 1.686211, -1.385695, 0.177938>,
      < 0.692207, -1.091123, 0.337514>,
      < 0.692201, -1.132640, 0.314737>
    }
    triangle {
      < 1.585000, -1.176681, 0.242892>,
      < 1.605919, -1.041684, 0.240260>,
      < 0.692214, -1.047044, 0.358819>
    }
    triangle {
      < 1.585000, -1.176681, 0.242892>,
      < 0.692214, -1.047044, 0.358819>,
      < 0.692207, -1.091123, 0.337514>
    }
    triangle {
      < 1.605919, -1.041684, 0.240260>,
      < 1.677465, -0.925354, 0.226493>,
      < 0.692220, -1.000414, 0.378648>
    }
    triangle {
      < 1.605919, -1.041684, 0.240260>,
      < 0.692220, -1.000414, 0.378648>,
      < 0.692214, -1.047044, 0.358819>
    }
    triangle {
      < 1.677465, -0.925354, 0.226493>,
      < 1.772116, -0.816817, 0.191668>,
      < 0.692225, -0.951239, 0.396995>
    }
    triangle {
      < 1.677465, -0.925354, 0.226493>,
      < 0.692225, -0.951239, 0.396995>,
      < 0.692220, -1.000414, 0.378648>
    }
    triangle {
      < 1.772116, -0.816817, 0.191668>,
      < 1.912423, -0.705202, 0.125860>,
      < 0.692231, -0.899531, 0.413855>
    }
    triangle {
      < 1.772116, -0.816817, 0.191668>,
      < 0.692231, -0.899531, 0.413855>,
      < 0.692225, -0.951239, 0.396995>
    }
    triangle {
      < 2.412545, -1.352671, 0.162660>,
      < 2.488958, -1.191300, 0.179322>,
      < 1.585000, -1.176681, 0.242892>
    }
    triangle {
      < 2.412545, -1.352671, 0.162660>,
      < 1.585000, -1.176681, 0.242892>,
      < 1.686211, -1.385695, 0.177938>
    }
    triangle {
      < 2.488958, -1.191300, 0.179322>,
      < 2.554736, -1.023669, 0.166775>,
      < 1.605919, -1.041684, 0.240260>
    }
    triangle {
      < 2.488958, -1.191300, 0.179322>,
      < 1.605919, -1.041684, 0.240260>,
      < 1.585000, -1.176681, 0.242892>
    }
    triangle {
      < 2.554736, -1.023669, 0.166775>,
      < 2.635235, -0.878578, 0.144654>,
      < 1.677465, -0.925354, 0.226493>
    }
    triangle {
      < 2.554736, -1.023669, 0.166775>,
      < 1.677465, -0.925354, 0.226493>,
      < 1.605919, -1.041684, 0.240260>
    }
    triangle {
      < 2.635235, -0.878578, 0.144654>,
      < 2.755806, -0.742822, 0.100813>,
      < 1.772116, -0.816817, 0.191668>
    }
    triangle {
      < 2.635235, -0.878578, 0.144654>,
      < 1.772116, -0.816817, 0.191668>,
      < 1.677465, -0.925354, 0.226493>
    }
    triangle {
      < 2.755806, -0.742822, 0.100813>,
      < 2.941803, -0.603199, 0.023107>,
      < 1.912423, -0.705202, 0.125860>
    }
    triangle {
      < 2.755806, -0.742822, 0.100813>,
      < 1.912423, -0.705202, 0.125860>,
      < 1.772116, -0.816817, 0.191668>
    }
    triangle {
      < 3.475315, -1.296817, 0.160950>,
      < 3.488846, -1.162455, 0.139286>,
      < 2.488958, -1.191300, 0.179322>
    }
    triangle {
      < 3.475315, -1.296817, 0.160950>,
      < 2.488958, -1.191300, 0.179322>,
      < 2.412545, -1.352671, 0.162660>
    }
    triangle {
      < 3.488846, -1.162455, 0.139286>,
      < 3.514015, -1.000272, 0.125272>,
      < 2.554736, -1.023669, 0.166775>
    }
    triangle {
      < 3.488846, -1.162455, 0.139286>,
      < 2.554736, -1.023669, 0.166775>,
      < 2.488958, -1.191300, 0.179322>
    }
    triangle {
      < 3.514015, -1.000272, 0.125272>,
      < 3.567695, -0.854232, 0.108741>,
      < 2.635235, -0.878578, 0.144654>
    }
    triangle {
      < 3.514015, -1.000272, 0.125272>,
      < 2.635235, -0.878578, 0.144654>,
      < 2.554736, -1.023669, 0.166775>
    }
    triangle {
      < 3.567695, -0.854232, 0.108741>,
      < 3.666759, -0.714301, 0.079529>,
      < 2.755806, -0.742822, 0.100813>
    }
    triangle {
      < 3.567695, -0.854232, 0.108741>,
      < 2.755806, -0.742822, 0.100813>,
      < 2.635235, -0.878578, 0.144654>
    }
    triangle {
      < 3.666759, -0.714301, 0.079529>,
      < 3.828077, -0.570442, 0.027470>,
      < 2.941803, -0.603199, 0.023107>
    }
    triangle {
      < 3.666759, -0.714301, 0.079529>,
      < 2.941803, -0.603199, 0.023107>,
      < 2.755806, -0.742822, 0.100813>
    }
    triangle {
      < 4.501549, -1.245454, 0.139686>,
      < 4.469140, -1.117622, 0.115268>,
      < 3.488846, -1.162455, 0.139286>
    }
    triangle {
      < 4.501549, -1.245454, 0.139686>,
      < 3.488846, -1.162455, 0.139286>,
      < 3.475315, -1.296817, 0.160950>
    }
    triangle {
      < 4.469140, -1.117622, 0.115268>,
      < 4.459104, -0.978766, 0.102656>,
      < 3.514015, -1.000272, 0.125272>
    }
    triangle {
      < 4.469140, -1.117622, 0.115268>,
      < 3.514015, -1.000272, 0.125272>,
      < 3.488846, -1.162455, 0.139286>
    }
    triangle {
      < 4.459104, -0.978766, 0.102656>,
      < 4.477013, -0.846465, 0.094367>,
      < 3.567695, -0.854232, 0.108741>
    }
    triangle {
      < 4.459104, -0.978766, 0.102656>,
      < 3.567695, -0.854232, 0.108741>,
      < 3.514015, -1.000272, 0.125272>
    }
    triangle {
      < 4.477013, -0.846465, 0.094367>,
      < 4.528437, -0.716300, 0.082918>,
      < 3.666759, -0.714301, 0.079529>
    }
    triangle {
      < 4.477013, -0.846465, 0.094367>,
      < 3.666759, -0.714301, 0.079529>,
      < 3.567695, -0.854232, 0.108741>
    }
    triangle {
      < 4.528437, -0.716300, 0.082918>,
      < 4.618948, -0.583851, 0.060824>,
      < 3.828077, -0.570442, 0.027470>
    }
    triangle {
      < 4.528437, -0.716300, 0.082918>,
      < 3.828077, -0.570442, 0.027470>,
      < 3.666759, -0.714301, 0.079529>
    }
    triangle {
      < 5.362546, -1.202385, 0.126491>,
      < 5.364389, -1.084276, 0.099750>,
      < 4.469140, -1.117622, 0.115268>
    }
    triangle {
      < 5.362546, -1.202385, 0.126491>,
      < 4.469140, -1.117622, 0.115268>,
      < 4.501549, -1.245454, 0.139686>
    }
    triangle {
      < 5.364389, -1.084276, 0.099750>,
      < 5.365354, -0.966424, 0.085834>,
      < 4.459104, -0.978766, 0.102656>
    }
    triangle {
      < 5.364389, -1.084276, 0.099750>,
      < 4.459104, -0.978766, 0.102656>,
      < 4.469140, -1.117622, 0.115268>
    }
    triangle {
      < 5.365354, -0.966424, 0.085834>,
      < 5.365354, -0.849422, 0.077143>,
      < 4.477013, -0.846465, 0.094367>
    }
    triangle {
      < 5.365354, -0.966424, 0.085834>,
      < 4.477013, -0.846465, 0.094367>,
      < 4.459104, -0.978766, 0.102656>
    }
    triangle {
      < 5.365354, -0.849422, 0.077143>,
      < 5.364305, -0.733865, 0.066080>,
      < 4.528437, -0.716300, 0.082918>
    }
    triangle {
      < 5.365354, -0.849422, 0.077143>,
      < 4.528437, -0.716300, 0.082918>,
      < 4.477013, -0.846465, 0.094367>
    }
    triangle {
      < 5.364305, -0.733865, 0.066080>,
      < 5.362121, -0.620346, 0.045044>,
      < 4.618948, -0.583851, 0.060824>
    }
    triangle {
      < 5.364305, -0.733865, 0.066080>,
      < 4.618948, -0.583851, 0.060824>,
      < 4.528437, -0.716300, 0.082918>
    }
    triangle {
      < 0.692015, -1.132454, -0.312547>,
      < 0.692207, -1.091123, -0.337514>,
      < 1.585000, -1.176681, -0.242892>
    }
    triangle {
      < 0.692015, -1.132454, -0.312547>,
      < 1.585000, -1.176681, -0.242892>,
      < 1.686106, -1.385590, -0.176487>
    }
    triangle {
      < 0.692207, -1.091123, -0.337514>,
      < 0.692214, -1.047044, -0.358819>,
      < 1.605919, -1.041684, -0.240260>
    }
    triangle {
      < 0.692207, -1.091123, -0.337514>,
      < 1.605919, -1.041684, -0.240260>,
      < 1.585000, -1.176681, -0.242892>
    }
    triangle {
      < 0.692214, -1.047044, -0.358819>,
      < 0.692220, -1.000414, -0.378648>,
      < 1.677465, -0.925354, -0.226493>
    }
    triangle {
      < 0.692214, -1.047044, -0.358819>,
      < 1.677465, -0.925354, -0.226493>,
      < 1.605919, -1.041684, -0.240260>
    }
    triangle {
      < 0.692220, -1.000414, -0.378648>,
      < 0.692225, -0.951239, -0.396995>,
      < 1.772116, -0.816817, -0.191668>
    }
    triangle {
      < 0.692220, -1.000414, -0.378648>,
      < 1.772116, -0.816817, -0.191668>,
      < 1.677465, -0.925354, -0.226493>
    }
    triangle {
      < 0.692225, -0.951239, -0.396995>,
      < 0.691986, -0.899286, -0.411527>,
      < 1.912423, -0.705202, -0.125860>
    }
    triangle {
      < 0.692225, -0.951239, -0.396995>,
      < 1.912423, -0.705202, -0.125860>,
      < 1.772116, -0.816817, -0.191668>
    }
    triangle {
      < 1.686106, -1.385590, -0.176487>,
      < 1.585000, -1.176681, -0.242892>,
      < 2.488958, -1.191300, -0.179322>
    }
    triangle {
      < 1.686106, -1.385590, -0.176487>,
      < 2.488958, -1.191300, -0.179322>,
      < 2.412545, -1.352671, -0.162660>
    }
    triangle {
      < 1.585000, -1.176681, -0.242892>,
      < 1.605919, -1.041684, -0.240260>,
      < 2.554736, -1.023669, -0.166775>
    }
    triangle {
      < 1.585000, -1.176681, -0.242892>,
      < 2.554736, -1.023669, -0.166775>,
      < 2.488958, -1.191300, -0.179322>
    }
    triangle {
      < 1.605919, -1.041684, -0.240260>,
      < 1.677465, -0.925354, -0.226493>,
      < 2.635235, -0.878578, -0.144654>
    }
    triangle {
      < 1.605919, -1.041684, -0.240260>,
      < 2.635235, -0.878578, -0.144654>,
      < 2.554736, -1.023669, -0.166775>
    }
    triangle {
      < 1.677465, -0.925354, -0.226493>,
      < 1.772116, -0.816817, -0.191668>,
      < 2.755806, -0.742822, -0.100813>
    }
    triangle {
      < 1.677465, -0.925354, -0.226493>,
      < 2.755806, -0.742822, -0.100813>,
      < 2.635235, -0.878578, -0.144654>
    }
    triangle {
      < 1.772116, -0.816817, -0.191668>,
      < 1.912423, -0.705202, -0.125860>,
      < 2.941803, -0.603199, -0.023107>
    }
    triangle {
      < 1.772116, -0.816817, -0.191668>,
      < 2.941803, -0.603199, -0.023107>,
      < 2.755806, -0.742822, -0.100813>
    }
    triangle {
      < 2.412545, -1.352671, -0.162660>,
      < 2.488958, -1.191300, -0.179322>,
      < 3.488846, -1.162455, -0.139286>
    }
    triangle {
      < 2.412545, -1.352671, -0.162660>,
      < 3.488846, -1.162455, -0.139286>,
      < 3.475315, -1.302817, -0.160950>
    }
    triangle {
      < 2.488958, -1.191300, -0.179322>,
      < 2.554736, -1.023669, -0.166775>,
      < 3.514015, -1.000272, -0.125272>
    }
    triangle {
      < 2.488958, -1.191300, -0.179322>,
      < 3.514015, -1.000272, -0.125272>,
      < 3.488846, -1.162455, -0.139286>
    }
    triangle {
      < 2.554736, -1.023669, -0.166775>,
      < 2.635235, -0.878578, -0.144654>,
      < 3.567695, -0.854232, -0.108741>
    }
    triangle {
      < 2.554736, -1.023669, -0.166775>,
      < 3.567695, -0.854232, -0.108741>,
      < 3.514015, -1.000272, -0.125272>
    }
    triangle {
      < 2.635235, -0.878578, -0.144654>,
      < 2.755806, -0.742822, -0.100813>,
      < 3.666759, -0.714301, -0.079529>
    }
    triangle {
      < 2.635235, -0.878578, -0.144654>,
      < 3.666759, -0.714301, -0.079529>,
      < 3.567695, -0.854232, -0.108741>
    }
    triangle {
      < 2.755806, -0.742822, -0.100813>,
      < 2.941803, -0.603199, -0.023107>,
      < 3.828077, -0.570442, -0.027470>
    }
    triangle {
      < 2.755806, -0.742822, -0.100813>,
      < 3.828077, -0.570442, -0.027470>,
      < 3.666759, -0.714301, -0.079529>
    }
    triangle {
      < 3.475315, -1.302817, -0.160950>,
      < 3.488846, -1.162455, -0.139286>,
      < 4.469140, -1.117622, -0.115268>
    }
    triangle {
      < 3.475315, -1.302817, -0.160950>,
      < 4.469140, -1.117622, -0.115268>,
      < 4.501549, -1.245454, -0.139686>
    }
    triangle {
      < 3.488846, -1.162455, -0.139286>,
      < 3.514015, -1.000272, -0.125272>,
      < 4.459104, -0.978766, -0.102656>
    }
    triangle {
      < 3.488846, -1.162455, -0.139286>,
      < 4.459104, -0.978766, -0.102656>,
      < 4.469140, -1.117622, -0.115268>
    }
    triangle {
      < 3.514015, -1.000272, -0.125272>,
      < 3.567695, -0.854232, -0.108741>,
      < 4.477013, -0.846465, -0.094367>
    }
    triangle {
      < 3.514015, -1.000272, -0.125272>,
      < 4.477013, -0.846465, -0.094367>,
      < 4.459104, -0.978766, -0.102656>
    }
    triangle {
      < 3.567695, -0.854232, -0.108741>,
      < 3.666759, -0.714301, -0.079529>,
      < 4.528437, -0.716300, -0.082918>
    }
    triangle {
      < 3.567695, -0.854232, -0.108741>,
      < 4.528437, -0.716300, -0.082918>,
      < 4.477013, -0.846465, -0.094367>
    }
    triangle {
      < 3.666759, -0.714301, -0.079529>,
      < 3.828077, -0.570442, -0.027470>,
      < 4.618948, -0.583851, -0.060824>
    }
    triangle {
      < 3.666759, -0.714301, -0.079529>,
      < 4.618948, -0.583851, -0.060824>,
      < 4.528437, -0.716300, -0.082918>
    }
    triangle {
      < 4.501549, -1.245454, -0.139686>,
      < 4.469140, -1.117622, -0.115268>,
      < 5.364389, -1.084276, -0.099750>
    }
    triangle {
      < 4.501549, -1.245454, -0.139686>,
      < 5.364389, -1.084276, -0.099750>,
      < 5.362472, -1.202311, -0.125377>
    }
    triangle {
      < 4.469140, -1.117622, -0.115268>,
      < 4.459104, -0.978766, -0.102656>,
      < 5.365354, -0.966424, -0.085834>
    }
    triangle {
      < 4.469140, -1.117622, -0.115268>,
      < 5.365354, -0.966424, -0.085834>,
      < 5.364389, -1.084276, -0.099750>
    }
    triangle {
      < 4.459104, -0.978766, -0.102656>,
      < 4.477013, -0.846465, -0.094367>,
      < 5.365354, -0.849422, -0.077143>
    }
    triangle {
      < 4.459104, -0.978766, -0.102656>,
      < 5.365354, -0.849422, -0.077143>,
      < 5.365354, -0.966424, -0.085834>
    }
    triangle {
      < 4.477013, -0.846465, -0.094367>,
      < 4.528437, -0.716300, -0.082918>,
      < 5.364305, -0.733865, -0.066080>
    }
    triangle {
      < 4.477013, -0.846465, -0.094367>,
      < 5.364305, -0.733865, -0.066080>,
      < 5.365354, -0.849422, -0.077143>
    }
    triangle {
      < 4.528437, -0.716300, -0.082918>,
      < 4.618948, -0.583851, -0.060824>,
      < 5.362094, -0.620319, -0.045318>
    }
    triangle {
      < 4.528437, -0.716300, -0.082918>,
      < 5.362094, -0.620319, -0.045318>,
      < 5.364305, -0.733865, -0.066080>
    }
    texture {skin}
  }
  union {
    triangle {
      < 1.380082, -0.927472, -4.627097>,
      < 1.380082, -0.927472, -4.627097>,
      < 1.391110, -0.906814, -4.627097>
    }
    triangle {
      < 1.380082, -0.927472, -4.627097>,
      < 1.391110, -0.906814, -4.627097>,
      < 1.391110, -0.906814, -4.627097>
    }
    triangle {
      < 1.391110, -0.906814, -4.627097>,
      < 1.391110, -0.906814, -4.627097>,
      < 1.426160, -0.888882, -4.615367>
    }
    triangle {
      < 1.391110, -0.906814, -4.627097>,
      < 1.426160, -0.888882, -4.615367>,
      < 1.425985, -0.886655, -4.627097>
    }
    triangle {
      < 1.425985, -0.886655, -4.627097>,
      < 1.426160, -0.888882, -4.615367>,
      < 1.480733, -0.872424, -4.611294>
    }
    triangle {
      < 1.425985, -0.886655, -4.627097>,
      < 1.480733, -0.872424, -4.611294>,
      < 1.480496, -0.869422, -4.627097>
    }
    triangle {
      < 1.480496, -0.869422, -4.627097>,
      < 1.480733, -0.872424, -4.611294>,
      < 1.548341, -0.860610, -4.609128>
    }
    triangle {
      < 1.480496, -0.869422, -4.627097>,
      < 1.548341, -0.860610, -4.609128>,
      < 1.548071, -0.857196, -4.627097>
    }
    triangle {
      < 1.548071, -0.857196, -4.627097>,
      < 1.548341, -0.860610, -4.609128>,
      < 1.620828, -0.854865, -4.609128>
    }
    triangle {
      < 1.548071, -0.857196, -4.627097>,
      < 1.620828, -0.854865, -4.609128>,
      < 1.620557, -0.851452, -4.627097>
    }
    triangle {
      < 1.620557, -0.851452, -4.627097>,
      < 1.620828, -0.854865, -4.609128>,
      < 3.865844, -0.676948, -4.609128>
    }
    triangle {
      < 1.620557, -0.851452, -4.627097>,
      < 3.865844, -0.676948, -4.609128>,
      < 3.865574, -0.673534, -4.627097>
    }
    texture {barrel}
  }
  union {
    triangle {
      < 3.865574, -0.673534, -4.627097>,
      < 3.865844, -0.676948, -4.609128>,
      < 3.866979, -0.691289, -4.613972>
    }
    triangle {
      < 3.865574, -0.673534, -4.627097>,
      < 3.866979, -0.691289, -4.613972>,
      < 3.866781, -0.688795, -4.627097>
    }
    triangle {
      < 3.866781, -0.688795, -4.627097>,
      < 3.866979, -0.691289, -4.613972>,
      < 3.676570, -0.706378, -4.613972>
    }
    triangle {
      < 3.866781, -0.688795, -4.627097>,
      < 3.676570, -0.706378, -4.613972>,
      < 3.676373, -0.703886, -4.627097>
    }
    triangle {
      < 3.676373, -0.703886, -4.627097>,
      < 3.676570, -0.706378, -4.613972>,
      < 3.679649, -0.745230, -4.627097>
    }
    triangle {
      < 3.676373, -0.703886, -4.627097>,
      < 3.679649, -0.745230, -4.627097>,
      < 3.679649, -0.745230, -4.627097>
    }
    texture {exhaust}
  }
  union {
    triangle {
      < 1.380082, -0.927472, -4.627097>,
      < 1.380082, -0.927472, -4.627097>,
      < 1.391474, -0.911412, -4.615367>
    }
    triangle {
      < 1.380082, -0.927472, -4.627097>,
      < 1.391474, -0.911412, -4.615367>,
      < 1.391110, -0.906814, -4.627097>
    }
    triangle {
      < 1.391110, -0.906814, -4.627097>,
      < 1.391474, -0.911412, -4.615367>,
      < 1.426669, -0.895295, -4.605054>
    }
    triangle {
      < 1.391110, -0.906814, -4.627097>,
      < 1.426669, -0.895295, -4.605054>,
      < 1.426160, -0.888882, -4.615367>
    }
    triangle {
      < 1.426160, -0.888882, -4.615367>,
      < 1.426669, -0.895295, -4.605054>,
      < 1.481419, -0.881064, -4.597398>
    }
    triangle {
      < 1.426160, -0.888882, -4.615367>,
      < 1.481419, -0.881064, -4.597398>,
      < 1.480733, -0.872424, -4.611294>
    }
    triangle {
      < 1.480733, -0.872424, -4.611294>,
      < 1.481419, -0.881064, -4.597398>,
      < 1.549119, -0.870437, -4.593326>
    }
    triangle {
      < 1.480733, -0.872424, -4.611294>,
      < 1.549119, -0.870437, -4.593326>,
      < 1.548341, -0.860610, -4.609128>
    }
    triangle {
      < 1.548341, -0.860610, -4.609128>,
      < 1.549119, -0.870437, -4.593326>,
      < 1.621606, -0.864691, -4.593326>
    }
    triangle {
      < 1.548341, -0.860610, -4.609128>,
      < 1.621606, -0.864691, -4.593326>,
      < 1.620828, -0.854865, -4.609128>
    }
    triangle {
      < 1.620828, -0.854865, -4.609128>,
      < 1.621606, -0.864691, -4.593326>,
      < 3.866623, -0.686774, -4.593326>
    }
    triangle {
      < 1.620828, -0.854865, -4.609128>,
      < 3.866623, -0.686774, -4.593326>,
      < 3.865844, -0.676948, -4.609128>
    }
    texture {barrel}
  }
  union {
    triangle {
      < 3.865844, -0.676948, -4.609128>,
      < 3.866623, -0.686774, -4.593326>,
      < 3.867548, -0.698465, -4.602429>
    }
    triangle {
      < 3.865844, -0.676948, -4.609128>,
      < 3.867548, -0.698465, -4.602429>,
      < 3.866979, -0.691289, -4.613972>
    }
    triangle {
      < 3.866979, -0.691289, -4.613972>,
      < 3.867548, -0.698465, -4.602429>,
      < 3.677139, -0.713555, -4.602429>
    }
    triangle {
      < 3.866979, -0.691289, -4.613972>,
      < 3.677139, -0.713555, -4.602429>,
      < 3.676570, -0.706378, -4.613972>
    }
    triangle {
      < 3.676570, -0.706378, -4.613972>,
      < 3.677139, -0.713555, -4.602429>,
      < 3.679649, -0.745230, -4.627097>
    }
    triangle {
      < 3.676570, -0.706378, -4.613972>,
      < 3.679649, -0.745230, -4.627097>,
      < 3.679649, -0.745230, -4.627097>
    }
    texture {exhaust}
  }
  union {
    triangle {
      < 1.380082, -0.927472, -4.627097>,
      < 1.380082, -0.927472, -4.627097>,
      < 1.391474, -0.911412, -4.615367>
    }
    triangle {
      < 1.380082, -0.927472, -4.627097>,
      < 1.391474, -0.911412, -4.615367>,
      < 1.391474, -0.911412, -4.615367>
    }
    triangle {
      < 1.391474, -0.911412, -4.615367>,
      < 1.391474, -0.911412, -4.615367>,
      < 1.427447, -0.905122, -4.597397>
    }
    triangle {
      < 1.391474, -0.911412, -4.615367>,
      < 1.427447, -0.905122, -4.597397>,
      < 1.426669, -0.895295, -4.605054>
    }
    triangle {
      < 1.426669, -0.895295, -4.605054>,
      < 1.427447, -0.905122, -4.597397>,
      < 1.482467, -0.894303, -4.587081>
    }
    triangle {
      < 1.426669, -0.895295, -4.605054>,
      < 1.482467, -0.894303, -4.587081>,
      < 1.481419, -0.881064, -4.597398>
    }
    triangle {
      < 1.481419, -0.881064, -4.597398>,
      < 1.482467, -0.894303, -4.587081>,
      < 1.550311, -0.885491, -4.581594>
    }
    triangle {
      < 1.481419, -0.881064, -4.597398>,
      < 1.550311, -0.885491, -4.581594>,
      < 1.549119, -0.870437, -4.593326>
    }
    triangle {
      < 1.549119, -0.870437, -4.593326>,
      < 1.550311, -0.885491, -4.581594>,
      < 1.622800, -0.879745, -4.581594>
    }
    triangle {
      < 1.549119, -0.870437, -4.593326>,
      < 1.622800, -0.879745, -4.581594>,
      < 1.621606, -0.864691, -4.593326>
    }
    triangle {
      < 1.621606, -0.864691, -4.593326>,
      < 1.622800, -0.879745, -4.581594>,
      < 3.867815, -0.701828, -4.581594>
    }
    triangle {
      < 1.621606, -0.864691, -4.593326>,
      < 3.867815, -0.701828, -4.581594>,
      < 3.866623, -0.686774, -4.593326>
    }
    texture {barrel}
  }
  union {
    triangle {
      < 3.866623, -0.686774, -4.593326>,
      < 3.867815, -0.701828, -4.581594>,
      < 3.868419, -0.709461, -4.593862>
    }
    triangle {
      < 3.866623, -0.686774, -4.593326>,
      < 3.868419, -0.709461, -4.593862>,
      < 3.867548, -0.698465, -4.602429>
    }
    triangle {
      < 3.867548, -0.698465, -4.602429>,
      < 3.868419, -0.709461, -4.593862>,
      < 3.678010, -0.724550, -4.593862>
    }
    triangle {
      < 3.867548, -0.698465, -4.602429>,
      < 3.678010, -0.724550, -4.593862>,
      < 3.677139, -0.713555, -4.602429>
    }
    triangle {
      < 3.677139, -0.713555, -4.602429>,
      < 3.678010, -0.724550, -4.593862>,
      < 3.679649, -0.745230, -4.627097>
    }
    triangle {
      < 3.677139, -0.713555, -4.602429>,
      < 3.679649, -0.745230, -4.627097>,
      < 3.679649, -0.745230, -4.627097>
    }
    texture {exhaust}
  }
  union {
    triangle {
      < 1.380082, -0.927472, -4.627097>,
      < 1.380082, -0.927472, -4.627097>,
      < 1.392397, -0.923055, -4.609124>
    }
    triangle {
      < 1.380082, -0.927472, -4.627097>,
      < 1.392397, -0.923055, -4.609124>,
      < 1.391474, -0.911412, -4.615367>
    }
    triangle {
      < 1.391474, -0.911412, -4.615367>,
      < 1.392397, -0.923055, -4.609124>,
      < 1.428404, -0.917176, -4.593321>
    }
    triangle {
      < 1.391474, -0.911412, -4.615367>,
      < 1.428404, -0.917176, -4.593321>,
      < 1.427447, -0.905122, -4.597397>
    }
    triangle {
      < 1.427447, -0.905122, -4.597397>,
      < 1.428404, -0.917176, -4.593321>,
      < 1.483754, -0.910543, -4.581591>
    }
    triangle {
      < 1.427447, -0.905122, -4.597397>,
      < 1.483754, -0.910543, -4.581591>,
      < 1.482467, -0.894303, -4.587081>
    }
    triangle {
      < 1.482467, -0.894303, -4.587081>,
      < 1.483754, -0.910543, -4.581591>,
      < 1.551776, -0.903958, -4.575349>
    }
    triangle {
      < 1.482467, -0.894303, -4.587081>,
      < 1.551776, -0.903958, -4.575349>,
      < 1.550311, -0.885491, -4.581594>
    }
    triangle {
      < 1.550311, -0.885491, -4.581594>,
      < 1.551776, -0.903958, -4.575349>,
      < 1.624265, -0.898214, -4.575349>
    }
    triangle {
      < 1.550311, -0.885491, -4.581594>,
      < 1.624265, -0.898214, -4.575349>,
      < 1.622800, -0.879745, -4.581594>
    }
    triangle {
      < 1.622800, -0.879745, -4.581594>,
      < 1.624265, -0.898214, -4.575349>,
      < 3.869279, -0.720297, -4.575349>
    }
    triangle {
      < 1.622800, -0.879745, -4.581594>,
      < 3.869279, -0.720297, -4.575349>,
      < 3.867815, -0.701828, -4.581594>
    }
    texture {barrel}
  }
  union {
    triangle {
      < 3.867815, -0.701828, -4.581594>,
      < 3.869279, -0.720297, -4.575349>,
      < 3.869489, -0.722950, -4.589301>
    }
    triangle {
      < 3.867815, -0.701828, -4.581594>,
      < 3.869489, -0.722950, -4.589301>,
      < 3.868419, -0.709461, -4.593862>
    }
    triangle {
      < 3.868419, -0.709461, -4.593862>,
      < 3.869489, -0.722950, -4.589301>,
      < 3.679079, -0.738040, -4.589301>
    }
    triangle {
      < 3.868419, -0.709461, -4.593862>,
      < 3.679079, -0.738040, -4.589301>,
      < 3.678010, -0.724550, -4.593862>
    }
    triangle {
      < 3.678010, -0.724550, -4.593862>,
      < 3.679079, -0.738040, -4.589301>,
      < 3.679649, -0.745230, -4.627097>
    }
    triangle {
      < 3.678010, -0.724550, -4.593862>,
      < 3.679649, -0.745230, -4.627097>,
      < 3.679649, -0.745230, -4.627097>
    }
    texture {exhaust}
  }
  union {
    triangle {
      < 1.380082, -0.927472, -4.627097>,
      < 1.380082, -0.927472, -4.627097>,
      < 1.392397, -0.923055, -4.609124>
    }
    triangle {
      < 1.380082, -0.927472, -4.627097>,
      < 1.392397, -0.923055, -4.609124>,
      < 1.392397, -0.923055, -4.609124>
    }
    triangle {
      < 1.392397, -0.923055, -4.609124>,
      < 1.392397, -0.923055, -4.609124>,
      < 1.429419, -0.930005, -4.593319>
    }
    triangle {
      < 1.392397, -0.923055, -4.609124>,
      < 1.429419, -0.930005, -4.593319>,
      < 1.428404, -0.917176, -4.593321>
    }
    triangle {
      < 1.428404, -0.917176, -4.593321>,
      < 1.429419, -0.930005, -4.593319>,
      < 1.485124, -0.927828, -4.581585>
    }
    triangle {
      < 1.428404, -0.917176, -4.593321>,
      < 1.485124, -0.927828, -4.581585>,
      < 1.483754, -0.910543, -4.581591>
    }
    triangle {
      < 1.483754, -0.910543, -4.581591>,
      < 1.485124, -0.927828, -4.581585>,
      < 1.553334, -0.923613, -4.575344>
    }
    triangle {
      < 1.483754, -0.910543, -4.581591>,
      < 1.553334, -0.923613, -4.575344>,
      < 1.551776, -0.903958, -4.575349>
    }
    triangle {
      < 1.551776, -0.903958, -4.575349>,
      < 1.553334, -0.923613, -4.575344>,
      < 1.625822, -0.917869, -4.575344>
    }
    triangle {
      < 1.551776, -0.903958, -4.575349>,
      < 1.625822, -0.917869, -4.575344>,
      < 1.624265, -0.898214, -4.575349>
    }
    triangle {
      < 1.624265, -0.898214, -4.575349>,
      < 1.625822, -0.917869, -4.575344>,
      < 3.870837, -0.739952, -4.575344>
    }
    triangle {
      < 1.624265, -0.898214, -4.575349>,
      < 3.870837, -0.739952, -4.575344>,
      < 3.869279, -0.720297, -4.575349>
    }
    texture {barrel}
  }
  union {
    triangle {
      < 3.869279, -0.720297, -4.575349>,
      < 3.870837, -0.739952, -4.575344>,
      < 3.870628, -0.737305, -4.589298>
    }
    triangle {
      < 3.869279, -0.720297, -4.575349>,
      < 3.870628, -0.737305, -4.589298>,
      < 3.869489, -0.722950, -4.589301>
    }
    triangle {
      < 3.869489, -0.722950, -4.589301>,
      < 3.870628, -0.737305, -4.589298>,
      < 3.680218, -0.752396, -4.589298>
    }
    triangle {
      < 3.869489, -0.722950, -4.589301>,
      < 3.680218, -0.752396, -4.589298>,
      < 3.679079, -0.738040, -4.589301>
    }
    triangle {
      < 3.679079, -0.738040, -4.589301>,
      < 3.680218, -0.752396, -4.589298>,
      < 3.679649, -0.745230, -4.627097>
    }
    triangle {
      < 3.679079, -0.738040, -4.589301>,
      < 3.679649, -0.745230, -4.627097>,
      < 3.679649, -0.745230, -4.627097>
    }
    texture {exhaust}
  }
  union {
    triangle {
      < 1.380082, -0.927472, -4.627097>,
      < 1.380082, -0.927472, -4.627097>,
      < 1.393447, -0.936296, -4.611288>
    }
    triangle {
      < 1.380082, -0.927472, -4.627097>,
      < 1.393447, -0.936296, -4.611288>,
      < 1.392397, -0.923055, -4.609124>
    }
    triangle {
      < 1.392397, -0.923055, -4.609124>,
      < 1.393447, -0.936296, -4.611288>,
      < 1.430376, -0.942063, -4.597388>
    }
    triangle {
      < 1.392397, -0.923055, -4.609124>,
      < 1.430376, -0.942063, -4.597388>,
      < 1.429419, -0.930005, -4.593319>
    }
    triangle {
      < 1.429419, -0.930005, -4.593319>,
      < 1.430376, -0.942063, -4.597388>,
      < 1.486413, -0.944074, -4.587069>
    }
    triangle {
      < 1.429419, -0.930005, -4.593319>,
      < 1.486413, -0.944074, -4.587069>,
      < 1.485124, -0.927828, -4.581585>
    }
    triangle {
      < 1.485124, -0.927828, -4.581585>,
      < 1.486413, -0.944074, -4.587069>,
      < 1.554797, -0.942086, -4.581578>
    }
    triangle {
      < 1.485124, -0.927828, -4.581585>,
      < 1.554797, -0.942086, -4.581578>,
      < 1.553334, -0.923613, -4.575344>
    }
    triangle {
      < 1.553334, -0.923613, -4.575344>,
      < 1.554797, -0.942086, -4.581578>,
      < 1.627286, -0.936341, -4.581578>
    }
    triangle {
      < 1.553334, -0.923613, -4.575344>,
      < 1.627286, -0.936341, -4.581578>,
      < 1.625822, -0.917869, -4.575344>
    }
    triangle {
      < 1.625822, -0.917869, -4.575344>,
      < 1.627286, -0.936341, -4.581578>,
      < 3.872301, -0.758424, -4.581578>
    }
    triangle {
      < 1.625822, -0.917869, -4.575344>,
      < 3.872301, -0.758424, -4.581578>,
      < 3.870837, -0.739952, -4.575344>
    }
    texture {barrel}
  }
  union {
    triangle {
      < 3.870837, -0.739952, -4.575344>,
      < 3.872301, -0.758424, -4.581578>,
      < 3.871696, -0.750799, -4.593850>
    }
    triangle {
      < 3.870837, -0.739952, -4.575344>,
      < 3.871696, -0.750799, -4.593850>,
      < 3.870628, -0.737305, -4.589298>
    }
    triangle {
      < 3.870628, -0.737305, -4.589298>,
      < 3.871696, -0.750799, -4.593850>,
      < 3.681286, -0.765889, -4.593850>
    }
    triangle {
      < 3.870628, -0.737305, -4.589298>,
      < 3.681286, -0.765889, -4.593850>,
      < 3.680218, -0.752396, -4.589298>
    }
    triangle {
      < 3.680218, -0.752396, -4.589298>,
      < 3.681286, -0.765889, -4.593850>,
      < 3.679649, -0.745230, -4.627097>
    }
    triangle {
      < 3.680218, -0.752396, -4.589298>,
      < 3.679649, -0.745230, -4.627097>,
      < 3.679649, -0.745230, -4.627097>
    }
    texture {exhaust}
  }
  union {
    triangle {
      < 1.380082, -0.927472, -4.627097>,
      < 1.380082, -0.927472, -4.627097>,
      < 1.393447, -0.936296, -4.611288>
    }
    triangle {
      < 1.380082, -0.927472, -4.627097>,
      < 1.393447, -0.936296, -4.611288>,
      < 1.393447, -0.936296, -4.611288>
    }
    triangle {
      < 1.393447, -0.936296, -4.611288>,
      < 1.393447, -0.936296, -4.611288>,
      < 1.431154, -0.951894, -4.605038>
    }
    triangle {
      < 1.393447, -0.936296, -4.611288>,
      < 1.431154, -0.951894, -4.605038>,
      < 1.430376, -0.942063, -4.597388>
    }
    triangle {
      < 1.430376, -0.942063, -4.597388>,
      < 1.431154, -0.951894, -4.605038>,
      < 1.487462, -0.957319, -4.597377>
    }
    triangle {
      < 1.430376, -0.942063, -4.597388>,
      < 1.487462, -0.957319, -4.597377>,
      < 1.486413, -0.944074, -4.587069>
    }
    triangle {
      < 1.486413, -0.944074, -4.587069>,
      < 1.487462, -0.957319, -4.597377>,
      < 1.555992, -0.957147, -4.593301>
    }
    triangle {
      < 1.486413, -0.944074, -4.587069>,
      < 1.555992, -0.957147, -4.593301>,
      < 1.554797, -0.942086, -4.581578>
    }
    triangle {
      < 1.554797, -0.942086, -4.581578>,
      < 1.555992, -0.957147, -4.593301>,
      < 1.628478, -0.951404, -4.593301>
    }
    triangle {
      < 1.554797, -0.942086, -4.581578>,
      < 1.628478, -0.951404, -4.593301>,
      < 1.627286, -0.936341, -4.581578>
    }
    triangle {
      < 1.627286, -0.936341, -4.581578>,
      < 1.628478, -0.951404, -4.593301>,
      < 3.873494, -0.773487, -4.593301>
    }
    triangle {
      < 1.627286, -0.936341, -4.581578>,
      < 3.873494, -0.773487, -4.593301>,
      < 3.872301, -0.758424, -4.581578>
    }
    texture {barrel}
  }
  union {
    triangle {
      < 3.872301, -0.758424, -4.581578>,
      < 3.873494, -0.773487, -4.593301>,
      < 3.872567, -0.761800, -4.602413>
    }
    triangle {
      < 3.872301, -0.758424, -4.581578>,
      < 3.872567, -0.761800, -4.602413>,
      < 3.871696, -0.750799, -4.593850>
    }
    triangle {
      < 3.871696, -0.750799, -4.593850>,
      < 3.872567, -0.761800, -4.602413>,
      < 3.682157, -0.776890, -4.602413>
    }
    triangle {
      < 3.871696, -0.750799, -4.593850>,
      < 3.682157, -0.776890, -4.602413>,
      < 3.681286, -0.765889, -4.593850>
    }
    triangle {
      < 3.681286, -0.765889, -4.593850>,
      < 3.682157, -0.776890, -4.602413>,
      < 3.679649, -0.745230, -4.627097>
    }
    triangle {
      < 3.681286, -0.765889, -4.593850>,
      < 3.679649, -0.745230, -4.627097>,
      < 3.679649, -0.745230, -4.627097>
    }
    texture {exhaust}
  }
  union {
    triangle {
      < 1.380082, -0.927472, -4.627097>,
      < 1.380082, -0.927472, -4.627097>,
      < 1.394132, -0.944943, -4.620846>
    }
    triangle {
      < 1.380082, -0.927472, -4.627097>,
      < 1.394132, -0.944943, -4.620846>,
      < 1.393447, -0.936296, -4.611288>
    }
    triangle {
      < 1.393447, -0.936296, -4.611288>,
      < 1.394132, -0.944943, -4.620846>,
      < 1.431663, -0.958314, -4.615349>
    }
    triangle {
      < 1.393447, -0.936296, -4.611288>,
      < 1.431663, -0.958314, -4.615349>,
      < 1.431154, -0.951894, -4.605038>
    }
    triangle {
      < 1.431154, -0.951894, -4.605038>,
      < 1.431663, -0.958314, -4.615349>,
      < 1.488146, -0.965969, -4.611270>
    }
    triangle {
      < 1.431154, -0.951894, -4.605038>,
      < 1.488146, -0.965969, -4.611270>,
      < 1.487462, -0.957319, -4.597377>
    }
    triangle {
      < 1.487462, -0.957319, -4.597377>,
      < 1.488146, -0.965969, -4.611270>,
      < 1.556771, -0.966984, -4.609098>
    }
    triangle {
      < 1.487462, -0.957319, -4.597377>,
      < 1.556771, -0.966984, -4.609098>,
      < 1.555992, -0.957147, -4.593301>
    }
    triangle {
      < 1.555992, -0.957147, -4.593301>,
      < 1.556771, -0.966984, -4.609098>,
      < 1.629259, -0.961239, -4.609098>
    }
    triangle {
      < 1.555992, -0.957147, -4.593301>,
      < 1.629259, -0.961239, -4.609098>,
      < 1.628478, -0.951404, -4.593301>
    }
    triangle {
      < 1.628478, -0.951404, -4.593301>,
      < 1.629259, -0.961239, -4.609098>,
      < 3.874274, -0.783322, -4.609098>
    }
    triangle {
      < 1.628478, -0.951404, -4.593301>,
      < 3.874274, -0.783322, -4.609098>,
      < 3.873494, -0.773487, -4.593301>
    }
    texture {barrel}
  }
  union {
    triangle {
      < 3.873494, -0.773487, -4.593301>,
      < 3.874274, -0.783322, -4.609098>,
      < 3.873138, -0.768985, -4.613951>
    }
    triangle {
      < 3.873494, -0.773487, -4.593301>,
      < 3.873138, -0.768985, -4.613951>,
      < 3.872567, -0.761800, -4.602413>
    }
    triangle {
      < 3.872567, -0.761800, -4.602413>,
      < 3.873138, -0.768985, -4.613951>,
      < 3.682729, -0.784073, -4.613951>
    }
    triangle {
      < 3.872567, -0.761800, -4.602413>,
      < 3.682729, -0.784073, -4.613951>,
      < 3.682157, -0.776890, -4.602413>
    }
    triangle {
      < 3.682157, -0.776890, -4.602413>,
      < 3.682729, -0.784073, -4.613951>,
      < 3.679649, -0.745230, -4.627097>
    }
    triangle {
      < 3.682157, -0.776890, -4.602413>,
      < 3.679649, -0.745230, -4.627097>,
      < 3.679649, -0.745230, -4.627097>
    }
    texture {exhaust}
  }
  union {
    triangle {
      < 1.380082, -0.927472, -4.627097>,
      < 1.380082, -0.927472, -4.627097>,
      < 1.394132, -0.944943, -4.620846>
    }
    triangle {
      < 1.380082, -0.927472, -4.627097>,
      < 1.394132, -0.944943, -4.620846>,
      < 1.394132, -0.944943, -4.620846>
    }
    triangle {
      < 1.394132, -0.944943, -4.620846>,
      < 1.394132, -0.944943, -4.620846>,
      < 1.431841, -0.960549, -4.627077>
    }
    triangle {
      < 1.394132, -0.944943, -4.620846>,
      < 1.431841, -0.960549, -4.627077>,
      < 1.431663, -0.958314, -4.615349>
    }
    triangle {
      < 1.431663, -0.958314, -4.615349>,
      < 1.431841, -0.960549, -4.627077>,
      < 1.488386, -0.968979, -4.627069>
    }
    triangle {
      < 1.431663, -0.958314, -4.615349>,
      < 1.488386, -0.968979, -4.627069>,
      < 1.488146, -0.965969, -4.611270>
    }
    triangle {
      < 1.488146, -0.965969, -4.611270>,
      < 1.488386, -0.968979, -4.627069>,
      < 1.557042, -0.970408, -4.627066>
    }
    triangle {
      < 1.488146, -0.965969, -4.611270>,
      < 1.557042, -0.970408, -4.627066>,
      < 1.556771, -0.966984, -4.609098>
    }
    triangle {
      < 1.556771, -0.966984, -4.609098>,
      < 1.557042, -0.970408, -4.627066>,
      < 1.629530, -0.964664, -4.627066>
    }
    triangle {
      < 1.556771, -0.966984, -4.609098>,
      < 1.629530, -0.964664, -4.627066>,
      < 1.629259, -0.961239, -4.609098>
    }
    triangle {
      < 1.629259, -0.961239, -4.609098>,
      < 1.629530, -0.964664, -4.627066>,
      < 3.874545, -0.786747, -4.627066>
    }
    triangle {
      < 1.629259, -0.961239, -4.609098>,
      < 3.874545, -0.786747, -4.627066>,
      < 3.874274, -0.783322, -4.609098>
    }
    texture {barrel}
  }
  union {
    triangle {
      < 3.874274, -0.783322, -4.609098>,
      < 3.874545, -0.786747, -4.627066>,
      < 3.873337, -0.771485, -4.627075>
    }
    triangle {
      < 3.874274, -0.783322, -4.609098>,
      < 3.873337, -0.771485, -4.627075>,
      < 3.873138, -0.768985, -4.613951>
    }
    triangle {
      < 3.873138, -0.768985, -4.613951>,
      < 3.873337, -0.771485, -4.627075>,
      < 3.682925, -0.786575, -4.627075>
    }
    triangle {
      < 3.873138, -0.768985, -4.613951>,
      < 3.682925, -0.786575, -4.627075>,
      < 3.682729, -0.784073, -4.613951>
    }
    triangle {
      < 3.682729, -0.784073, -4.613951>,
      < 3.682925, -0.786575, -4.627075>,
      < 3.679649, -0.745230, -4.627097>
    }
    triangle {
      < 3.682729, -0.784073, -4.613951>,
      < 3.679649, -0.745230, -4.627097>,
      < 3.679649, -0.745230, -4.627097>
    }
    texture {exhaust}
  }
  union {
    triangle {
      < 1.380082, -0.927472, -4.627097>,
      < 1.380082, -0.927472, -4.627097>,
      < 1.394132, -0.944951, -4.633327>
    }
    triangle {
      < 1.380082, -0.927472, -4.627097>,
      < 1.394132, -0.944951, -4.633327>,
      < 1.394132, -0.944943, -4.620846>
    }
    triangle {
      < 1.394132, -0.944943, -4.620846>,
      < 1.394132, -0.944951, -4.633327>,
      < 1.431665, -0.958328, -4.638806>
    }
    triangle {
      < 1.394132, -0.944943, -4.620846>,
      < 1.431665, -0.958328, -4.638806>,
      < 1.431841, -0.960549, -4.627077>
    }
    triangle {
      < 1.431841, -0.960549, -4.627077>,
      < 1.431665, -0.958328, -4.638806>,
      < 1.488149, -0.965989, -4.642873>
    }
    triangle {
      < 1.431841, -0.960549, -4.627077>,
      < 1.488149, -0.965989, -4.642873>,
      < 1.488386, -0.968979, -4.627069>
    }
    triangle {
      < 1.488386, -0.968979, -4.627069>,
      < 1.488149, -0.965989, -4.642873>,
      < 1.556772, -0.967007, -4.645037>
    }
    triangle {
      < 1.488386, -0.968979, -4.627069>,
      < 1.556772, -0.967007, -4.645037>,
      < 1.557042, -0.970408, -4.627066>
    }
    triangle {
      < 1.557042, -0.970408, -4.627066>,
      < 1.556772, -0.967007, -4.645037>,
      < 1.629261, -0.961262, -4.645037>
    }
    triangle {
      < 1.557042, -0.970408, -4.627066>,
      < 1.629261, -0.961262, -4.645037>,
      < 1.629530, -0.964664, -4.627066>
    }
    triangle {
      < 1.629530, -0.964664, -4.627066>,
      < 1.629261, -0.961262, -4.645037>,
      < 3.874275, -0.783345, -4.645037>
    }
    triangle {
      < 1.629530, -0.964664, -4.627066>,
      < 3.874275, -0.783345, -4.645037>,
      < 3.874545, -0.786747, -4.627066>
    }
    texture {barrel}
  }
  union {
    triangle {
      < 3.874545, -0.786747, -4.627066>,
      < 3.874275, -0.783345, -4.645037>,
      < 3.873139, -0.769001, -4.640201>
    }
    triangle {
      < 3.874545, -0.786747, -4.627066>,
      < 3.873139, -0.769001, -4.640201>,
      < 3.873337, -0.771485, -4.627075>
    }
    triangle {
      < 3.873337, -0.771485, -4.627075>,
      < 3.873139, -0.769001, -4.640201>,
      < 3.682730, -0.784091, -4.640201>
    }
    triangle {
      < 3.873337, -0.771485, -4.627075>,
      < 3.682730, -0.784091, -4.640201>,
      < 3.682925, -0.786575, -4.627075>
    }
    triangle {
      < 3.682925, -0.786575, -4.627075>,
      < 3.682730, -0.784091, -4.640201>,
      < 3.679649, -0.745230, -4.627097>
    }
    triangle {
      < 3.682925, -0.786575, -4.627075>,
      < 3.679649, -0.745230, -4.627097>,
      < 3.679649, -0.745230, -4.627097>
    }
    texture {exhaust}
  }
  union {
    triangle {
      < 1.380082, -0.927472, -4.627097>,
      < 1.380082, -0.927472, -4.627097>,
      < 1.394132, -0.944951, -4.633327>
    }
    triangle {
      < 1.380082, -0.927472, -4.627097>,
      < 1.394132, -0.944951, -4.633327>,
      < 1.394132, -0.944951, -4.633327>
    }
    triangle {
      < 1.394132, -0.944951, -4.633327>,
      < 1.394132, -0.944951, -4.633327>,
      < 1.431156, -0.951921, -4.649124>
    }
    triangle {
      < 1.394132, -0.944951, -4.633327>,
      < 1.431156, -0.951921, -4.649124>,
      < 1.431665, -0.958328, -4.638806>
    }
    triangle {
      < 1.431665, -0.958328, -4.638806>,
      < 1.431156, -0.951921, -4.649124>,
      < 1.487465, -0.957356, -4.656774>
    }
    triangle {
      < 1.431665, -0.958328, -4.638806>,
      < 1.487465, -0.957356, -4.656774>,
      < 1.488149, -0.965989, -4.642873>
    }
    triangle {
      < 1.488149, -0.965989, -4.642873>,
      < 1.487465, -0.957356, -4.656774>,
      < 1.555995, -0.957191, -4.660847>
    }
    triangle {
      < 1.488149, -0.965989, -4.642873>,
      < 1.555995, -0.957191, -4.660847>,
      < 1.556772, -0.967007, -4.645037>
    }
    triangle {
      < 1.556772, -0.967007, -4.645037>,
      < 1.555995, -0.957191, -4.660847>,
      < 1.628482, -0.951446, -4.660847>
    }
    triangle {
      < 1.556772, -0.967007, -4.645037>,
      < 1.628482, -0.951446, -4.660847>,
      < 1.629261, -0.961262, -4.645037>
    }
    triangle {
      < 1.629261, -0.961262, -4.645037>,
      < 1.628482, -0.951446, -4.660847>,
      < 3.873498, -0.773529, -4.660847>
    }
    triangle {
      < 1.629261, -0.961262, -4.645037>,
      < 3.873498, -0.773529, -4.660847>,
      < 3.874275, -0.783345, -4.645037>
    }
    texture {barrel}
  }
  union {
    triangle {
      < 3.874275, -0.783345, -4.645037>,
      < 3.873498, -0.773529, -4.660847>,
      < 3.872569, -0.761831, -4.651747>
    }
    triangle {
      < 3.874275, -0.783345, -4.645037>,
      < 3.872569, -0.761831, -4.651747>,
      < 3.873139, -0.769001, -4.640201>
    }
    triangle {
      < 3.873139, -0.769001, -4.640201>,
      < 3.872569, -0.761831, -4.651747>,
      < 3.682160, -0.776922, -4.651747>
    }
    triangle {
      < 3.873139, -0.769001, -4.640201>,
      < 3.682160, -0.776922, -4.651747>,
      < 3.682730, -0.784091, -4.640201>
    }
    triangle {
      < 3.682730, -0.784091, -4.640201>,
      < 3.682160, -0.776922, -4.651747>,
      < 3.679649, -0.745230, -4.627097>
    }
    triangle {
      < 3.682730, -0.784091, -4.640201>,
      < 3.679649, -0.745230, -4.627097>,
      < 3.679649, -0.745230, -4.627097>
    }
    texture {exhaust}
  }
  union {
    triangle {
      < 1.380082, -0.927472, -4.627097>,
      < 1.380082, -0.927472, -4.627097>,
      < 1.393448, -0.936317, -4.642894>
    }
    triangle {
      < 1.380082, -0.927472, -4.627097>,
      < 1.393448, -0.936317, -4.642894>,
      < 1.394132, -0.944951, -4.633327>
    }
    triangle {
      < 1.394132, -0.944951, -4.633327>,
      < 1.393448, -0.936317, -4.642894>,
      < 1.430379, -0.942100, -4.656787>
    }
    triangle {
      < 1.394132, -0.944951, -4.633327>,
      < 1.430379, -0.942100, -4.656787>,
      < 1.431156, -0.951921, -4.649124>
    }
    triangle {
      < 1.431156, -0.951921, -4.649124>,
      < 1.430379, -0.942100, -4.656787>,
      < 1.486415, -0.944124, -4.667098>
    }
    triangle {
      < 1.431156, -0.951921, -4.649124>,
      < 1.486415, -0.944124, -4.667098>,
      < 1.487465, -0.957356, -4.656774>
    }
    triangle {
      < 1.487465, -0.957356, -4.656774>,
      < 1.486415, -0.944124, -4.667098>,
      < 1.554803, -0.942144, -4.672584>
    }
    triangle {
      < 1.487465, -0.957356, -4.656774>,
      < 1.554803, -0.942144, -4.672584>,
      < 1.555995, -0.957191, -4.660847>
    }
    triangle {
      < 1.555995, -0.957191, -4.660847>,
      < 1.554803, -0.942144, -4.672584>,
      < 1.627290, -0.936399, -4.672584>
    }
    triangle {
      < 1.555995, -0.957191, -4.660847>,
      < 1.627290, -0.936399, -4.672584>,
      < 1.628482, -0.951446, -4.660847>
    }
    triangle {
      < 1.628482, -0.951446, -4.660847>,
      < 1.627290, -0.936399, -4.672584>,
      < 3.872306, -0.758482, -4.672584>
    }
    triangle {
      < 1.628482, -0.951446, -4.660847>,
      < 3.872306, -0.758482, -4.672584>,
      < 3.873498, -0.773529, -4.660847>
    }
    texture {barrel}
  }
  union {
    triangle {
      < 3.873498, -0.773529, -4.660847>,
      < 3.872306, -0.758482, -4.672584>,
      < 3.871700, -0.750841, -4.660322>
    }
    triangle {
      < 3.873498, -0.773529, -4.660847>,
      < 3.871700, -0.750841, -4.660322>,
      < 3.872569, -0.761831, -4.651747>
    }
    triangle {
      < 3.872569, -0.761831, -4.651747>,
      < 3.871700, -0.750841, -4.660322>,
      < 3.681290, -0.765932, -4.660322>
    }
    triangle {
      < 3.872569, -0.761831, -4.651747>,
      < 3.681290, -0.765932, -4.660322>,
      < 3.682160, -0.776922, -4.651747>
    }
    triangle {
      < 3.682160, -0.776922, -4.651747>,
      < 3.681290, -0.765932, -4.660322>,
      < 3.679649, -0.745230, -4.627097>
    }
    triangle {
      < 3.682160, -0.776922, -4.651747>,
      < 3.679649, -0.745230, -4.627097>,
      < 3.679649, -0.745230, -4.627097>
    }
    texture {exhaust}
  }
  union {
    triangle {
      < 1.380082, -0.927472, -4.627097>,
      < 1.380082, -0.927472, -4.627097>,
      < 1.393448, -0.936317, -4.642894>
    }
    triangle {
      < 1.380082, -0.927472, -4.627097>,
      < 1.393448, -0.936317, -4.642894>,
      < 1.393448, -0.936317, -4.642894>
    }
    triangle {
      < 1.393448, -0.936317, -4.642894>,
      < 1.393448, -0.936317, -4.642894>,
      < 1.429423, -0.930048, -4.660870>
    }
    triangle {
      < 1.393448, -0.936317, -4.642894>,
      < 1.429423, -0.930048, -4.660870>,
      < 1.430379, -0.942100, -4.656787>
    }
    triangle {
      < 1.430379, -0.942100, -4.656787>,
      < 1.429423, -0.930048, -4.660870>,
      < 1.485130, -0.927886, -4.672597>
    }
    triangle {
      < 1.430379, -0.942100, -4.656787>,
      < 1.485130, -0.927886, -4.672597>,
      < 1.486415, -0.944124, -4.667098>
    }
    triangle {
      < 1.486415, -0.944124, -4.667098>,
      < 1.485130, -0.927886, -4.672597>,
      < 1.553340, -0.923679, -4.678838>
    }
    triangle {
      < 1.486415, -0.944124, -4.667098>,
      < 1.553340, -0.923679, -4.678838>,
      < 1.554803, -0.942144, -4.672584>
    }
    triangle {
      < 1.554803, -0.942144, -4.672584>,
      < 1.553340, -0.923679, -4.678838>,
      < 1.625826, -0.917936, -4.678838>
    }
    triangle {
      < 1.554803, -0.942144, -4.672584>,
      < 1.625826, -0.917936, -4.678838>,
      < 1.627290, -0.936399, -4.672584>
    }
    triangle {
      < 1.627290, -0.936399, -4.672584>,
      < 1.625826, -0.917936, -4.678838>,
      < 3.870842, -0.740017, -4.678838>
    }
    triangle {
      < 1.627290, -0.936399, -4.672584>,
      < 3.870842, -0.740017, -4.678838>,
      < 3.872306, -0.758482, -4.672584>
    }
    texture {barrel}
  }
  union {
    triangle {
      < 3.872306, -0.758482, -4.672584>,
      < 3.870842, -0.740017, -4.678838>,
      < 3.870630, -0.737354, -4.664888>
    }
    triangle {
      < 3.872306, -0.758482, -4.672584>,
      < 3.870630, -0.737354, -4.664888>,
      < 3.871700, -0.750841, -4.660322>
    }
    triangle {
      < 3.871700, -0.750841, -4.660322>,
      < 3.870630, -0.737354, -4.664888>,
      < 3.680221, -0.752445, -4.664888>
    }
    triangle {
      < 3.871700, -0.750841, -4.660322>,
      < 3.680221, -0.752445, -4.664888>,
      < 3.681290, -0.765932, -4.660322>
    }
    triangle {
      < 3.681290, -0.765932, -4.660322>,
      < 3.680221, -0.752445, -4.664888>,
      < 3.679649, -0.745230, -4.627097>
    }
    triangle {
      < 3.681290, -0.765932, -4.660322>,
      < 3.679649, -0.745230, -4.627097>,
      < 3.679649, -0.745230, -4.627097>
    }
    texture {exhaust}
  }
  union {
    triangle {
      < 1.380082, -0.927472, -4.627097>,
      < 1.380082, -0.927472, -4.627097>,
      < 1.392400, -0.923078, -4.645072>
    }
    triangle {
      < 1.380082, -0.927472, -4.627097>,
      < 1.392400, -0.923078, -4.645072>,
      < 1.393448, -0.936317, -4.642894>
    }
    triangle {
      < 1.393448, -0.936317, -4.642894>,
      < 1.392400, -0.923078, -4.645072>,
      < 1.428406, -0.917219, -4.660880>
    }
    triangle {
      < 1.393448, -0.936317, -4.642894>,
      < 1.428406, -0.917219, -4.660880>,
      < 1.429423, -0.930048, -4.660870>
    }
    triangle {
      < 1.429423, -0.930048, -4.660870>,
      < 1.428406, -0.917219, -4.660880>,
      < 1.483759, -0.910602, -4.672613>
    }
    triangle {
      < 1.429423, -0.930048, -4.660870>,
      < 1.483759, -0.910602, -4.672613>,
      < 1.485130, -0.927886, -4.672597>
    }
    triangle {
      < 1.485130, -0.927886, -4.672597>,
      < 1.483759, -0.910602, -4.672613>,
      < 1.551782, -0.904024, -4.678856>
    }
    triangle {
      < 1.485130, -0.927886, -4.672597>,
      < 1.551782, -0.904024, -4.678856>,
      < 1.553340, -0.923679, -4.678838>
    }
    triangle {
      < 1.553340, -0.923679, -4.678838>,
      < 1.551782, -0.904024, -4.678856>,
      < 1.624268, -0.898280, -4.678856>
    }
    triangle {
      < 1.553340, -0.923679, -4.678838>,
      < 1.624268, -0.898280, -4.678856>,
      < 1.625826, -0.917936, -4.678838>
    }
    triangle {
      < 1.625826, -0.917936, -4.678838>,
      < 1.624268, -0.898280, -4.678856>,
      < 3.869284, -0.720363, -4.678856>
    }
    triangle {
      < 1.625826, -0.917936, -4.678838>,
      < 3.869284, -0.720363, -4.678856>,
      < 3.870842, -0.740017, -4.678838>
    }
    texture {barrel}
  }
  union {
    triangle {
      < 3.870842, -0.740017, -4.678838>,
      < 3.869284, -0.720363, -4.678856>,
      < 3.869492, -0.722999, -4.664901>
    }
    triangle {
      < 3.870842, -0.740017, -4.678838>,
      < 3.869492, -0.722999, -4.664901>,
      < 3.870630, -0.737354, -4.664888>
    }
    triangle {
      < 3.870630, -0.737354, -4.664888>,
      < 3.869492, -0.722999, -4.664901>,
      < 3.679084, -0.738088, -4.664901>
    }
    triangle {
      < 3.870630, -0.737354, -4.664888>,
      < 3.679084, -0.738088, -4.664901>,
      < 3.680221, -0.752445, -4.664888>
    }
    triangle {
      < 3.680221, -0.752445, -4.664888>,
      < 3.679084, -0.738088, -4.664901>,
      < 3.679649, -0.745230, -4.627097>
    }
    triangle {
      < 3.680221, -0.752445, -4.664888>,
      < 3.679649, -0.745230, -4.627097>,
      < 3.679649, -0.745230, -4.627097>
    }
    texture {exhaust}
  }
  union {
    triangle {
      < 1.380082, -0.927472, -4.627097>,
      < 1.380082, -0.927472, -4.627097>,
      < 1.392400, -0.923078, -4.645072>
    }
    triangle {
      < 1.380082, -0.927472, -4.627097>,
      < 1.392400, -0.923078, -4.645072>,
      < 1.392400, -0.923078, -4.645072>
    }
    triangle {
      < 1.392400, -0.923078, -4.645072>,
      < 1.392400, -0.923078, -4.645072>,
      < 1.427450, -0.905159, -4.656817>
    }
    triangle {
      < 1.392400, -0.923078, -4.645072>,
      < 1.427450, -0.905159, -4.656817>,
      < 1.428406, -0.917219, -4.660880>
    }
    triangle {
      < 1.428406, -0.917219, -4.660880>,
      < 1.427450, -0.905159, -4.656817>,
      < 1.482471, -0.894354, -4.667140>
    }
    triangle {
      < 1.428406, -0.917219, -4.660880>,
      < 1.482471, -0.894354, -4.667140>,
      < 1.483759, -0.910602, -4.672613>
    }
    triangle {
      < 1.483759, -0.910602, -4.672613>,
      < 1.482471, -0.894354, -4.667140>,
      < 1.550317, -0.885548, -4.672631>
    }
    triangle {
      < 1.483759, -0.910602, -4.672613>,
      < 1.550317, -0.885548, -4.672631>,
      < 1.551782, -0.904024, -4.678856>
    }
    triangle {
      < 1.551782, -0.904024, -4.678856>,
      < 1.550317, -0.885548, -4.672631>,
      < 1.622803, -0.879803, -4.672631>
    }
    triangle {
      < 1.551782, -0.904024, -4.678856>,
      < 1.622803, -0.879803, -4.672631>,
      < 1.624268, -0.898280, -4.678856>
    }
    triangle {
      < 1.624268, -0.898280, -4.678856>,
      < 1.622803, -0.879803, -4.672631>,
      < 3.867820, -0.701886, -4.672631>
    }
    triangle {
      < 1.624268, -0.898280, -4.678856>,
      < 3.867820, -0.701886, -4.672631>,
      < 3.869284, -0.720363, -4.678856>
    }
    texture {barrel}
  }
  union {
    triangle {
      < 3.869284, -0.720363, -4.678856>,
      < 3.867820, -0.701886, -4.672631>,
      < 3.868423, -0.709503, -4.660354>
    }
    triangle {
      < 3.869284, -0.720363, -4.678856>,
      < 3.868423, -0.709503, -4.660354>,
      < 3.869492, -0.722999, -4.664901>
    }
    triangle {
      < 3.869492, -0.722999, -4.664901>,
      < 3.868423, -0.709503, -4.660354>,
      < 3.678014, -0.724593, -4.660354>
    }
    triangle {
      < 3.869492, -0.722999, -4.664901>,
      < 3.678014, -0.724593, -4.660354>,
      < 3.679084, -0.738088, -4.664901>
    }
    triangle {
      < 3.679084, -0.738088, -4.664901>,
      < 3.678014, -0.724593, -4.660354>,
      < 3.679649, -0.745230, -4.627097>
    }
    triangle {
      < 3.679084, -0.738088, -4.664901>,
      < 3.679649, -0.745230, -4.627097>,
      < 3.679649, -0.745230, -4.627097>
    }
    texture {exhaust}
  }
  union {
    triangle {
      < 1.380082, -0.927472, -4.627097>,
      < 1.380082, -0.927472, -4.627097>,
      < 1.391476, -0.911427, -4.638842>
    }
    triangle {
      < 1.380082, -0.927472, -4.627097>,
      < 1.391476, -0.911427, -4.638842>,
      < 1.392400, -0.923078, -4.645072>
    }
    triangle {
      < 1.392400, -0.923078, -4.645072>,
      < 1.391476, -0.911427, -4.638842>,
      < 1.426671, -0.895324, -4.649171>
    }
    triangle {
      < 1.392400, -0.923078, -4.645072>,
      < 1.426671, -0.895324, -4.649171>,
      < 1.427450, -0.905159, -4.656817>
    }
    triangle {
      < 1.427450, -0.905159, -4.656817>,
      < 1.426671, -0.895324, -4.649171>,
      < 1.481421, -0.881102, -4.656837>
    }
    triangle {
      < 1.427450, -0.905159, -4.656817>,
      < 1.481421, -0.881102, -4.656837>,
      < 1.482471, -0.894354, -4.667140>
    }
    triangle {
      < 1.482471, -0.894354, -4.667140>,
      < 1.481421, -0.881102, -4.656837>,
      < 1.549122, -0.870479, -4.660916>
    }
    triangle {
      < 1.482471, -0.894354, -4.667140>,
      < 1.549122, -0.870479, -4.660916>,
      < 1.550317, -0.885548, -4.672631>
    }
    triangle {
      < 1.550317, -0.885548, -4.672631>,
      < 1.549122, -0.870479, -4.660916>,
      < 1.621610, -0.864733, -4.660916>
    }
    triangle {
      < 1.550317, -0.885548, -4.672631>,
      < 1.621610, -0.864733, -4.660916>,
      < 1.622803, -0.879803, -4.672631>
    }
    triangle {
      < 1.622803, -0.879803, -4.672631>,
      < 1.621610, -0.864733, -4.660916>,
      < 3.866625, -0.686817, -4.660916>
    }
    triangle {
      < 1.622803, -0.879803, -4.672631>,
      < 3.866625, -0.686817, -4.660916>,
      < 3.867820, -0.701886, -4.672631>
    }
    texture {barrel}
  }
  union {
    triangle {
      < 3.867820, -0.701886, -4.672631>,
      < 3.866625, -0.686817, -4.660916>,
      < 3.867551, -0.698497, -4.651798>
    }
    triangle {
      < 3.867820, -0.701886, -4.672631>,
      < 3.867551, -0.698497, -4.651798>,
      < 3.868423, -0.709503, -4.660354>
    }
    triangle {
      < 3.868423, -0.709503, -4.660354>,
      < 3.867551, -0.698497, -4.651798>,
      < 3.677142, -0.713587, -4.651798>
    }
    triangle {
      < 3.868423, -0.709503, -4.660354>,
      < 3.677142, -0.713587, -4.651798>,
      < 3.678014, -0.724593, -4.660354>
    }
    triangle {
      < 3.678014, -0.724593, -4.660354>,
      < 3.677142, -0.713587, -4.651798>,
      < 3.679649, -0.745230, -4.627097>
    }
    triangle {
      < 3.678014, -0.724593, -4.660354>,
      < 3.679649, -0.745230, -4.627097>,
      < 3.679649, -0.745230, -4.627097>
    }
    texture {exhaust}
  }
  union {
    triangle {
      < 1.380082, -0.927472, -4.627097>,
      < 1.380082, -0.927472, -4.627097>,
      < 1.391476, -0.911427, -4.638842>
    }
    triangle {
      < 1.380082, -0.927472, -4.627097>,
      < 1.391476, -0.911427, -4.638842>,
      < 1.391476, -0.911427, -4.638842>
    }
    triangle {
      < 1.391476, -0.911427, -4.638842>,
      < 1.391476, -0.911427, -4.638842>,
      < 1.426161, -0.888897, -4.638863>
    }
    triangle {
      < 1.391476, -0.911427, -4.638842>,
      < 1.426161, -0.888897, -4.638863>,
      < 1.426671, -0.895324, -4.649171>
    }
    triangle {
      < 1.426671, -0.895324, -4.649171>,
      < 1.426161, -0.888897, -4.638863>,
      < 1.480734, -0.872444, -4.642950>
    }
    triangle {
      < 1.426671, -0.895324, -4.649171>,
      < 1.480734, -0.872444, -4.642950>,
      < 1.481421, -0.881102, -4.656837>
    }
    triangle {
      < 1.481421, -0.881102, -4.656837>,
      < 1.480734, -0.872444, -4.642950>,
      < 1.548343, -0.860633, -4.645125>
    }
    triangle {
      < 1.481421, -0.881102, -4.656837>,
      < 1.548343, -0.860633, -4.645125>,
      < 1.549122, -0.870479, -4.660916>
    }
    triangle {
      < 1.549122, -0.870479, -4.660916>,
      < 1.548343, -0.860633, -4.645125>,
      < 1.620830, -0.854888, -4.645125>
    }
    triangle {
      < 1.549122, -0.870479, -4.660916>,
      < 1.620830, -0.854888, -4.645125>,
      < 1.621610, -0.864733, -4.660916>
    }
    triangle {
      < 1.621610, -0.864733, -4.660916>,
      < 1.620830, -0.854888, -4.645125>,
      < 3.865845, -0.676970, -4.645125>
    }
    triangle {
      < 1.621610, -0.864733, -4.660916>,
      < 3.865845, -0.676970, -4.645125>,
      < 3.866625, -0.686817, -4.660916>
    }
    texture {barrel}
  }
  union {
    triangle {
      < 3.866625, -0.686817, -4.660916>,
      < 3.865845, -0.676970, -4.645125>,
      < 3.866981, -0.691305, -4.640264>
    }
    triangle {
      < 3.866625, -0.686817, -4.660916>,
      < 3.866981, -0.691305, -4.640264>,
      < 3.867551, -0.698497, -4.651798>
    }
    triangle {
      < 3.867551, -0.698497, -4.651798>,
      < 3.866981, -0.691305, -4.640264>,
      < 3.676571, -0.706396, -4.640264>
    }
    triangle {
      < 3.867551, -0.698497, -4.651798>,
      < 3.676571, -0.706396, -4.640264>,
      < 3.677142, -0.713587, -4.651798>
    }
    triangle {
      < 3.677142, -0.713587, -4.651798>,
      < 3.676571, -0.706396, -4.640264>,
      < 3.679649, -0.745230, -4.627097>
    }
    triangle {
      < 3.677142, -0.713587, -4.651798>,
      < 3.679649, -0.745230, -4.627097>,
      < 3.679649, -0.745230, -4.627097>
    }
    texture {exhaust}
  }
  union {
    triangle {
      < 1.380082, -0.927472, -4.627097>,
      < 1.380082, -0.927472, -4.627097>,
      < 1.391110, -0.906814, -4.627097>
    }
    triangle {
      < 1.380082, -0.927472, -4.627097>,
      < 1.391110, -0.906814, -4.627097>,
      < 1.391476, -0.911427, -4.638842>
    }
    triangle {
      < 1.391476, -0.911427, -4.638842>,
      < 1.391110, -0.906814, -4.627097>,
      < 1.425985, -0.886655, -4.627097>
    }
    triangle {
      < 1.391476, -0.911427, -4.638842>,
      < 1.425985, -0.886655, -4.627097>,
      < 1.426161, -0.888897, -4.638863>
    }
    triangle {
      < 1.426161, -0.888897, -4.638863>,
      < 1.425985, -0.886655, -4.627097>,
      < 1.480496, -0.869422, -4.627097>
    }
    triangle {
      < 1.426161, -0.888897, -4.638863>,
      < 1.480496, -0.869422, -4.627097>,
      < 1.480734, -0.872444, -4.642950>
    }
    triangle {
      < 1.480734, -0.872444, -4.642950>,
      < 1.480496, -0.869422, -4.627097>,
      < 1.548071, -0.857196, -4.627097>
    }
    triangle {
      < 1.480734, -0.872444, -4.642950>,
      < 1.548071, -0.857196, -4.627097>,
      < 1.548343, -0.860633, -4.645125>
    }
    triangle {
      < 1.548343, -0.860633, -4.645125>,
      < 1.548071, -0.857196, -4.627097>,
      < 1.620557, -0.851452, -4.627097>
    }
    triangle {
      < 1.548343, -0.860633, -4.645125>,
      < 1.620557, -0.851452, -4.627097>,
      < 1.620830, -0.854888, -4.645125>
    }
    triangle {
      < 1.620830, -0.854888, -4.645125>,
      < 1.620557, -0.851452, -4.627097>,
      < 3.865574, -0.673534, -4.627097>
    }
    triangle {
      < 1.620830, -0.854888, -4.645125>,
      < 3.865574, -0.673534, -4.627097>,
      < 3.865845, -0.676970, -4.645125>
    }
    texture {barrel}
  }
  union {
    triangle {
      < 3.865845, -0.676970, -4.645125>,
      < 3.865574, -0.673534, -4.627097>,
      < 3.866781, -0.688795, -4.627097>
    }
    triangle {
      < 3.865845, -0.676970, -4.645125>,
      < 3.866781, -0.688795, -4.627097>,
      < 3.866981, -0.691305, -4.640264>
    }
    triangle {
      < 3.866981, -0.691305, -4.640264>,
      < 3.866781, -0.688795, -4.627097>,
      < 3.676373, -0.703886, -4.627097>
    }
    triangle {
      < 3.866981, -0.691305, -4.640264>,
      < 3.676373, -0.703886, -4.627097>,
      < 3.676571, -0.706396, -4.640264>
    }
    triangle {
      < 3.676571, -0.706396, -4.640264>,
      < 3.676373, -0.703886, -4.627097>,
      < 3.679649, -0.745230, -4.627097>
    }
    triangle {
      < 3.676571, -0.706396, -4.640264>,
      < 3.679649, -0.745230, -4.627097>,
      < 3.679649, -0.745230, -4.627097>
    }
    texture {exhaust}
  }
  union {
    triangle {
      < 1.790441, -0.715139, -4.782282>,
      < 1.732181, -0.766462, -4.743718>,
      < 1.734610, -0.798156, -4.717241>
    }
    triangle {
      < 1.790441, -0.715139, -4.782282>,
      < 1.734610, -0.798156, -4.717241>,
      < 1.793997, -0.761535, -4.743521>
    }
    triangle {
      < 1.793997, -0.761535, -4.743521>,
      < 1.734610, -0.798156, -4.717241>,
      < 1.736862, -0.827559, -4.692679>
    }
    triangle {
      < 1.793997, -0.761535, -4.743521>,
      < 1.736862, -0.827559, -4.692679>,
      < 1.797549, -0.807931, -4.704762>
    }
    triangle {
      < 1.797549, -0.807931, -4.704762>,
      < 1.736862, -0.827559, -4.692679>,
      < 1.739289, -0.859254, -4.666201>
    }
    triangle {
      < 1.797549, -0.807931, -4.704762>,
      < 1.739289, -0.859254, -4.666201>,
      < 1.801105, -0.854327, -4.666003>
    }
    triangle {
      < 1.732181, -0.766462, -4.743718>,
      < 1.673921, -0.817786, -4.705156>,
      < 1.675047, -0.832488, -4.692876>
    }
    triangle {
      < 1.732181, -0.766462, -4.743718>,
      < 1.675047, -0.832488, -4.692876>,
      < 1.734610, -0.798156, -4.717241>
    }
    triangle {
      < 1.734610, -0.798156, -4.717241>,
      < 1.675047, -0.832488, -4.692876>,
      < 1.676350, -0.849481, -4.678678>
    }
    triangle {
      < 1.734610, -0.798156, -4.717241>,
      < 1.676350, -0.849481, -4.678678>,
      < 1.736862, -0.827559, -4.692679>
    }
    triangle {
      < 1.736862, -0.827559, -4.692679>,
      < 1.676350, -0.849481, -4.678678>,
      < 1.677476, -0.864181, -4.666399>
    }
    triangle {
      < 1.736862, -0.827559, -4.692679>,
      < 1.677476, -0.864181, -4.666399>,
      < 1.739289, -0.859254, -4.666201>
    }
    triangle {
      < 1.673921, -0.817786, -4.705156>,
      < 1.621610, -0.864733, -4.660916>,
      < 1.621610, -0.864733, -4.660916>
    }
    triangle {
      < 1.673921, -0.817786, -4.705156>,
      < 1.621610, -0.864733, -4.660916>,
      < 1.675047, -0.832488, -4.692876>
    }
    triangle {
      < 1.675047, -0.832488, -4.692876>,
      < 1.621610, -0.864733, -4.660916>,
      < 1.621610, -0.864733, -4.660916>
    }
    triangle {
      < 1.675047, -0.832488, -4.692876>,
      < 1.621610, -0.864733, -4.660916>,
      < 1.676350, -0.849481, -4.678678>
    }
    triangle {
      < 1.676350, -0.849481, -4.678678>,
      < 1.621610, -0.864733, -4.660916>,
      < 1.621610, -0.864733, -4.660916>
    }
    triangle {
      < 1.676350, -0.849481, -4.678678>,
      < 1.621610, -0.864733, -4.660916>,
      < 1.677476, -0.864181, -4.666399>
    }
    triangle {
      < 1.790441, -0.715139, -4.782282>,
      < 1.793997, -0.761535, -4.743521>,
      < 1.734610, -0.798156, -4.717241>
    }
    triangle {
      < 1.790441, -0.715139, -4.782282>,
      < 1.734610, -0.798156, -4.717241>,
      < 1.732181, -0.766462, -4.743718>
    }
    triangle {
      < 1.732181, -0.766462, -4.743718>,
      < 1.734610, -0.798156, -4.717241>,
      < 1.675047, -0.832488, -4.692876>
    }
    triangle {
      < 1.732181, -0.766462, -4.743718>,
      < 1.675047, -0.832488, -4.692876>,
      < 1.673921, -0.817786, -4.705156>
    }
    triangle {
      < 1.673921, -0.817786, -4.705156>,
      < 1.675047, -0.832488, -4.692876>,
      < 1.621610, -0.864733, -4.660916>
    }
    triangle {
      < 1.673921, -0.817786, -4.705156>,
      < 1.621610, -0.864733, -4.660916>,
      < 1.621610, -0.864733, -4.660916>
    }
    triangle {
      < 1.793997, -0.761535, -4.743521>,
      < 1.797549, -0.807931, -4.704762>,
      < 1.736862, -0.827559, -4.692679>
    }
    triangle {
      < 1.793997, -0.761535, -4.743521>,
      < 1.736862, -0.827559, -4.692679>,
      < 1.734610, -0.798156, -4.717241>
    }
    triangle {
      < 1.734610, -0.798156, -4.717241>,
      < 1.736862, -0.827559, -4.692679>,
      < 1.676350, -0.849481, -4.678678>
    }
    triangle {
      < 1.734610, -0.798156, -4.717241>,
      < 1.676350, -0.849481, -4.678678>,
      < 1.675047, -0.832488, -4.692876>
    }
    triangle {
      < 1.675047, -0.832488, -4.692876>,
      < 1.676350, -0.849481, -4.678678>,
      < 1.621610, -0.864733, -4.660916>
    }
    triangle {
      < 1.675047, -0.832488, -4.692876>,
      < 1.621610, -0.864733, -4.660916>,
      < 1.621610, -0.864733, -4.660916>
    }
    triangle {
      < 1.797549, -0.807931, -4.704762>,
      < 1.801105, -0.854327, -4.666003>,
      < 1.739289, -0.859254, -4.666201>
    }
    triangle {
      < 1.797549, -0.807931, -4.704762>,
      < 1.739289, -0.859254, -4.666201>,
      < 1.736862, -0.827559, -4.692679>
    }
    triangle {
      < 1.736862, -0.827559, -4.692679>,
      < 1.739289, -0.859254, -4.666201>,
      < 1.677476, -0.864181, -4.666399>
    }
    triangle {
      < 1.736862, -0.827559, -4.692679>,
      < 1.677476, -0.864181, -4.666399>,
      < 1.676350, -0.849481, -4.678678>
    }
    triangle {
      < 1.676350, -0.849481, -4.678678>,
      < 1.677476, -0.864181, -4.666399>,
      < 1.621610, -0.864733, -4.660916>
    }
    triangle {
      < 1.676350, -0.849481, -4.678678>,
      < 1.621610, -0.864733, -4.660916>,
      < 1.621610, -0.864733, -4.660916>
    }
    triangle {
      < 1.619013, -0.946810, -4.670342>,
      < 1.684504, -0.984570, -4.714172>,
      < 1.727255, -0.981172, -4.714028>
    }
    triangle {
      < 1.619013, -0.946810, -4.670342>,
      < 1.727255, -0.981172, -4.714028>,
      < 1.681594, -0.941835, -4.670133>
    }
    triangle {
      < 1.681594, -0.941835, -4.670133>,
      < 1.727255, -0.981172, -4.714028>,
      < 1.766915, -0.978019, -4.713894>
    }
    triangle {
      < 1.681594, -0.941835, -4.670133>,
      < 1.766915, -0.978019, -4.713894>,
      < 1.744175, -0.936860, -4.669923>
    }
    triangle {
      < 1.744175, -0.936860, -4.669923>,
      < 1.766915, -0.978019, -4.713894>,
      < 1.809666, -0.974619, -4.713751>
    }
    triangle {
      < 1.744175, -0.936860, -4.669923>,
      < 1.809666, -0.974619, -4.713751>,
      < 1.806755, -0.931884, -4.669711>
    }
    triangle {
      < 1.684504, -0.984570, -4.714172>,
      < 1.749996, -1.022332, -4.757999>,
      < 1.769826, -1.020754, -4.757933>
    }
    triangle {
      < 1.684504, -0.984570, -4.714172>,
      < 1.769826, -1.020754, -4.757933>,
      < 1.727255, -0.981172, -4.714028>
    }
    triangle {
      < 1.727255, -0.981172, -4.714028>,
      < 1.769826, -1.020754, -4.757933>,
      < 1.792746, -1.018931, -4.757856>
    }
    triangle {
      < 1.727255, -0.981172, -4.714028>,
      < 1.792746, -1.018931, -4.757856>,
      < 1.766915, -0.978019, -4.713894>
    }
    triangle {
      < 1.766915, -0.978019, -4.713894>,
      < 1.792746, -1.018931, -4.757856>,
      < 1.812576, -1.017356, -4.757788>
    }
    triangle {
      < 1.766915, -0.978019, -4.713894>,
      < 1.812576, -1.017356, -4.757788>,
      < 1.809666, -0.974619, -4.713751>
    }
    triangle {
      < 1.749996, -1.022332, -4.757999>,
      < 1.815487, -1.060090, -4.801827>,
      < 1.815487, -1.060090, -4.801827>
    }
    triangle {
      < 1.749996, -1.022332, -4.757999>,
      < 1.815487, -1.060090, -4.801827>,
      < 1.769826, -1.020754, -4.757933>
    }
    triangle {
      < 1.769826, -1.020754, -4.757933>,
      < 1.815487, -1.060090, -4.801827>,
      < 1.815487, -1.060090, -4.801827>
    }
    triangle {
      < 1.769826, -1.020754, -4.757933>,
      < 1.815487, -1.060090, -4.801827>,
      < 1.792746, -1.018931, -4.757856>
    }
    triangle {
      < 1.792746, -1.018931, -4.757856>,
      < 1.815487, -1.060090, -4.801827>,
      < 1.815487, -1.060090, -4.801827>
    }
    triangle {
      < 1.792746, -1.018931, -4.757856>,
      < 1.815487, -1.060090, -4.801827>,
      < 1.812576, -1.017356, -4.757788>
    }
    triangle {
      < 1.619013, -0.946810, -4.670342>,
      < 1.681594, -0.941835, -4.670133>,
      < 1.727255, -0.981172, -4.714028>
    }
    triangle {
      < 1.619013, -0.946810, -4.670342>,
      < 1.727255, -0.981172, -4.714028>,
      < 1.684504, -0.984570, -4.714172>
    }
    triangle {
      < 1.684504, -0.984570, -4.714172>,
      < 1.727255, -0.981172, -4.714028>,
      < 1.769826, -1.020754, -4.757933>
    }
    triangle {
      < 1.684504, -0.984570, -4.714172>,
      < 1.769826, -1.020754, -4.757933>,
      < 1.749996, -1.022332, -4.757999>
    }
    triangle {
      < 1.749996, -1.022332, -4.757999>,
      < 1.769826, -1.020754, -4.757933>,
      < 1.815487, -1.060090, -4.801827>
    }
    triangle {
      < 1.749996, -1.022332, -4.757999>,
      < 1.815487, -1.060090, -4.801827>,
      < 1.815487, -1.060090, -4.801827>
    }
    triangle {
      < 1.681594, -0.941835, -4.670133>,
      < 1.744175, -0.936860, -4.669923>,
      < 1.766915, -0.978019, -4.713894>
    }
    triangle {
      < 1.681594, -0.941835, -4.670133>,
      < 1.766915, -0.978019, -4.713894>,
      < 1.727255, -0.981172, -4.714028>
    }
    triangle {
      < 1.727255, -0.981172, -4.714028>,
      < 1.766915, -0.978019, -4.713894>,
      < 1.792746, -1.018931, -4.757856>
    }
    triangle {
      < 1.727255, -0.981172, -4.714028>,
      < 1.792746, -1.018931, -4.757856>,
      < 1.769826, -1.020754, -4.757933>
    }
    triangle {
      < 1.769826, -1.020754, -4.757933>,
      < 1.792746, -1.018931, -4.757856>,
      < 1.815487, -1.060090, -4.801827>
    }
    triangle {
      < 1.769826, -1.020754, -4.757933>,
      < 1.815487, -1.060090, -4.801827>,
      < 1.815487, -1.060090, -4.801827>
    }
    triangle {
      < 1.744175, -0.936860, -4.669923>,
      < 1.806755, -0.931884, -4.669711>,
      < 1.809666, -0.974619, -4.713751>
    }
    triangle {
      < 1.744175, -0.936860, -4.669923>,
      < 1.809666, -0.974619, -4.713751>,
      < 1.766915, -0.978019, -4.713894>
    }
    triangle {
      < 1.766915, -0.978019, -4.713894>,
      < 1.809666, -0.974619, -4.713751>,
      < 1.812576, -1.017356, -4.757788>
    }
    triangle {
      < 1.766915, -0.978019, -4.713894>,
      < 1.812576, -1.017356, -4.757788>,
      < 1.792746, -1.018931, -4.757856>
    }
    triangle {
      < 1.792746, -1.018931, -4.757856>,
      < 1.812576, -1.017356, -4.757788>,
      < 1.815487, -1.060090, -4.801827>
    }
    triangle {
      < 1.792746, -1.018931, -4.757856>,
      < 1.815487, -1.060090, -4.801827>,
      < 1.815487, -1.060090, -4.801827>
    }
    triangle {
      < 1.790700, -0.733205, -4.464942>,
      < 1.732373, -0.779871, -4.508197>,
      < 1.734756, -0.808383, -4.537614>
    }
    triangle {
      < 1.790700, -0.733205, -4.464942>,
      < 1.734756, -0.808383, -4.537614>,
      < 1.794188, -0.774944, -4.508001>
    }
    triangle {
      < 1.794188, -0.774944, -4.508001>,
      < 1.734756, -0.808383, -4.537614>,
      < 1.736966, -0.834835, -4.564904>
    }
    triangle {
      < 1.794188, -0.774944, -4.508001>,
      < 1.736966, -0.834835, -4.564904>,
      < 1.797674, -0.816681, -4.551063>
    }
    triangle {
      < 1.797674, -0.816681, -4.551063>,
      < 1.736966, -0.834835, -4.564904>,
      < 1.739349, -0.863345, -4.594319>
    }
    triangle {
      < 1.797674, -0.816681, -4.551063>,
      < 1.739349, -0.863345, -4.594319>,
      < 1.801163, -0.858418, -4.594123>
    }
    triangle {
      < 1.732373, -0.779871, -4.508197>,
      < 1.674046, -0.826536, -4.551456>,
      < 1.675151, -0.839762, -4.565101>
    }
    triangle {
      < 1.732373, -0.779871, -4.508197>,
      < 1.675151, -0.839762, -4.565101>,
      < 1.734756, -0.808383, -4.537614>
    }
    triangle {
      < 1.734756, -0.808383, -4.537614>,
      < 1.675151, -0.839762, -4.565101>,
      < 1.676430, -0.855048, -4.580873>
    }
    triangle {
      < 1.734756, -0.808383, -4.537614>,
      < 1.676430, -0.855048, -4.580873>,
      < 1.736966, -0.834835, -4.564904>
    }
    triangle {
      < 1.736966, -0.834835, -4.564904>,
      < 1.676430, -0.855048, -4.580873>,
      < 1.677534, -0.868274, -4.594517>
    }
    triangle {
      < 1.736966, -0.834835, -4.564904>,
      < 1.677534, -0.868274, -4.594517>,
      < 1.739349, -0.863345, -4.594319>
    }
    triangle {
      < 1.674046, -0.826536, -4.551456>,
      < 1.615721, -0.873202, -4.594715>,
      < 1.615721, -0.873202, -4.594715>
    }
    triangle {
      < 1.674046, -0.826536, -4.551456>,
      < 1.615721, -0.873202, -4.594715>,
      < 1.675151, -0.839762, -4.565101>
    }
    triangle {
      < 1.675151, -0.839762, -4.565101>,
      < 1.615721, -0.873202, -4.594715>,
      < 1.615721, -0.873202, -4.594715>
    }
    triangle {
      < 1.675151, -0.839762, -4.565101>,
      < 1.615721, -0.873202, -4.594715>,
      < 1.676430, -0.855048, -4.580873>
    }
    triangle {
      < 1.676430, -0.855048, -4.580873>,
      < 1.615721, -0.873202, -4.594715>,
      < 1.615721, -0.873202, -4.594715>
    }
    triangle {
      < 1.676430, -0.855048, -4.580873>,
      < 1.615721, -0.873202, -4.594715>,
      < 1.677534, -0.868274, -4.594517>
    }
    triangle {
      < 1.801163, -0.858418, -4.594123>,
      < 1.739349, -0.863345, -4.594319>,
      < 1.736966, -0.834835, -4.564904>
    }
    triangle {
      < 1.801163, -0.858418, -4.594123>,
      < 1.736966, -0.834835, -4.564904>,
      < 1.797674, -0.816681, -4.551063>
    }
    triangle {
      < 1.797674, -0.816681, -4.551063>,
      < 1.736966, -0.834835, -4.564904>,
      < 1.734756, -0.808383, -4.537614>
    }
    triangle {
      < 1.797674, -0.816681, -4.551063>,
      < 1.734756, -0.808383, -4.537614>,
      < 1.794188, -0.774944, -4.508001>
    }
    triangle {
      < 1.794188, -0.774944, -4.508001>,
      < 1.734756, -0.808383, -4.537614>,
      < 1.732373, -0.779871, -4.508197>
    }
    triangle {
      < 1.794188, -0.774944, -4.508001>,
      < 1.732373, -0.779871, -4.508197>,
      < 1.790700, -0.733205, -4.464942>
    }
    triangle {
      < 1.739349, -0.863345, -4.594319>,
      < 1.677534, -0.868274, -4.594517>,
      < 1.676430, -0.855048, -4.580873>
    }
    triangle {
      < 1.739349, -0.863345, -4.594319>,
      < 1.676430, -0.855048, -4.580873>,
      < 1.736966, -0.834835, -4.564904>
    }
    triangle {
      < 1.736966, -0.834835, -4.564904>,
      < 1.676430, -0.855048, -4.580873>,
      < 1.675151, -0.839762, -4.565101>
    }
    triangle {
      < 1.736966, -0.834835, -4.564904>,
      < 1.675151, -0.839762, -4.565101>,
      < 1.734756, -0.808383, -4.537614>
    }
    triangle {
      < 1.734756, -0.808383, -4.537614>,
      < 1.675151, -0.839762, -4.565101>,
      < 1.674046, -0.826536, -4.551456>
    }
    triangle {
      < 1.734756, -0.808383, -4.537614>,
      < 1.674046, -0.826536, -4.551456>,
      < 1.732373, -0.779871, -4.508197>
    }
    triangle {
      < 1.677534, -0.868274, -4.594517>,
      < 1.615721, -0.873202, -4.594715>,
      < 1.615721, -0.873202, -4.594715>
    }
    triangle {
      < 1.677534, -0.868274, -4.594517>,
      < 1.615721, -0.873202, -4.594715>,
      < 1.676430, -0.855048, -4.580873>
    }
    triangle {
      < 1.676430, -0.855048, -4.580873>,
      < 1.615721, -0.873202, -4.594715>,
      < 1.615721, -0.873202, -4.594715>
    }
    triangle {
      < 1.676430, -0.855048, -4.580873>,
      < 1.615721, -0.873202, -4.594715>,
      < 1.675151, -0.839762, -4.565101>
    }
    triangle {
      < 1.675151, -0.839762, -4.565101>,
      < 1.615721, -0.873202, -4.594715>,
      < 1.615721, -0.873202, -4.594715>
    }
    triangle {
      < 1.675151, -0.839762, -4.565101>,
      < 1.615721, -0.873202, -4.594715>,
      < 1.674046, -0.826536, -4.551456>
    }
    triangle {
      < 1.818012, -1.075032, -4.481625>,
      < 1.818012, -1.075032, -4.481625>,
      < 1.773248, -1.031924, -4.520515>
    }
    triangle {
      < 1.818012, -1.075032, -4.481625>,
      < 1.773248, -1.031924, -4.520515>,
      < 1.752643, -1.033564, -4.520581>
    }
    triangle {
      < 1.752643, -1.033564, -4.520581>,
      < 1.773248, -1.031924, -4.520515>,
      < 1.728486, -0.988812, -4.559408>
    }
    triangle {
      < 1.752643, -1.033564, -4.520581>,
      < 1.728486, -0.988812, -4.559408>,
      < 1.687275, -0.992096, -4.559537>
    }
    triangle {
      < 1.687275, -0.992096, -4.559537>,
      < 1.728486, -0.988812, -4.559408>,
      < 1.683721, -0.945702, -4.598297>
    }
    triangle {
      < 1.687275, -0.992096, -4.559537>,
      < 1.683721, -0.945702, -4.598297>,
      < 1.628478, -0.951404, -4.593301>
    }
    triangle {
      < 1.818012, -1.075032, -4.481625>,
      < 1.818012, -1.075032, -4.481625>,
      < 1.793852, -1.030280, -4.520450>
    }
    triangle {
      < 1.818012, -1.075032, -4.481625>,
      < 1.793852, -1.030280, -4.520450>,
      < 1.773248, -1.031924, -4.520515>
    }
    triangle {
      < 1.773248, -1.031924, -4.520515>,
      < 1.793852, -1.030280, -4.520450>,
      < 1.769694, -0.985528, -4.559275>
    }
    triangle {
      < 1.773248, -1.031924, -4.520515>,
      < 1.769694, -0.985528, -4.559275>,
      < 1.728486, -0.988812, -4.559408>
    }
    triangle {
      < 1.728486, -0.988812, -4.559408>,
      < 1.769694, -0.985528, -4.559275>,
      < 1.745535, -0.940774, -4.598100>
    }
    triangle {
      < 1.728486, -0.988812, -4.559408>,
      < 1.745535, -0.940774, -4.598100>,
      < 1.683721, -0.945702, -4.598297>
    }
    triangle {
      < 1.818012, -1.075032, -4.481625>,
      < 1.818012, -1.075032, -4.481625>,
      < 1.814457, -1.028637, -4.520383>
    }
    triangle {
      < 1.818012, -1.075032, -4.481625>,
      < 1.814457, -1.028637, -4.520383>,
      < 1.793852, -1.030280, -4.520450>
    }
    triangle {
      < 1.793852, -1.030280, -4.520450>,
      < 1.814457, -1.028637, -4.520383>,
      < 1.810904, -0.982241, -4.559142>
    }
    triangle {
      < 1.793852, -1.030280, -4.520450>,
      < 1.810904, -0.982241, -4.559142>,
      < 1.769694, -0.985528, -4.559275>
    }
    triangle {
      < 1.769694, -0.985528, -4.559275>,
      < 1.810904, -0.982241, -4.559142>,
      < 1.807349, -0.935845, -4.597903>
    }
    triangle {
      < 1.769694, -0.985528, -4.559275>,
      < 1.807349, -0.935845, -4.597903>,
      < 1.745535, -0.940774, -4.598100>
    }
    triangle {
      < 1.818012, -1.075032, -4.481625>,
      < 1.752643, -1.033564, -4.520581>,
      < 1.773248, -1.031924, -4.520515>
    }
    triangle {
      < 1.818012, -1.075032, -4.481625>,
      < 1.773248, -1.031924, -4.520515>,
      < 1.818012, -1.075032, -4.481625>
    }
    triangle {
      < 1.818012, -1.075032, -4.481625>,
      < 1.773248, -1.031924, -4.520515>,
      < 1.793852, -1.030280, -4.520450>
    }
    triangle {
      < 1.818012, -1.075032, -4.481625>,
      < 1.793852, -1.030280, -4.520450>,
      < 1.818012, -1.075032, -4.481625>
    }
    triangle {
      < 1.818012, -1.075032, -4.481625>,
      < 1.793852, -1.030280, -4.520450>,
      < 1.814457, -1.028637, -4.520383>
    }
    triangle {
      < 1.818012, -1.075032, -4.481625>,
      < 1.814457, -1.028637, -4.520383>,
      < 1.818012, -1.075032, -4.481625>
    }
    triangle {
      < 1.752643, -1.033564, -4.520581>,
      < 1.687275, -0.992096, -4.559537>,
      < 1.728486, -0.988812, -4.559408>
    }
    triangle {
      < 1.752643, -1.033564, -4.520581>,
      < 1.728486, -0.988812, -4.559408>,
      < 1.773248, -1.031924, -4.520515>
    }
    triangle {
      < 1.773248, -1.031924, -4.520515>,
      < 1.728486, -0.988812, -4.559408>,
      < 1.769694, -0.985528, -4.559275>
    }
    triangle {
      < 1.773248, -1.031924, -4.520515>,
      < 1.769694, -0.985528, -4.559275>,
      < 1.793852, -1.030280, -4.520450>
    }
    triangle {
      < 1.793852, -1.030280, -4.520450>,
      < 1.769694, -0.985528, -4.559275>,
      < 1.810904, -0.982241, -4.559142>
    }
    triangle {
      < 1.793852, -1.030280, -4.520450>,
      < 1.810904, -0.982241, -4.559142>,
      < 1.814457, -1.028637, -4.520383>
    }
    triangle {
      < 1.687275, -0.992096, -4.559537>,
      < 1.628478, -0.951404, -4.593301>,
      < 1.683721, -0.945702, -4.598297>
    }
    triangle {
      < 1.687275, -0.992096, -4.559537>,
      < 1.683721, -0.945702, -4.598297>,
      < 1.728486, -0.988812, -4.559408>
    }
    triangle {
      < 1.728486, -0.988812, -4.559408>,
      < 1.683721, -0.945702, -4.598297>,
      < 1.745535, -0.940774, -4.598100>
    }
    triangle {
      < 1.728486, -0.988812, -4.559408>,
      < 1.745535, -0.940774, -4.598100>,
      < 1.769694, -0.985528, -4.559275>
    }
    triangle {
      < 1.769694, -0.985528, -4.559275>,
      < 1.745535, -0.940774, -4.598100>,
      < 1.807349, -0.935845, -4.597903>
    }
    triangle {
      < 1.769694, -0.985528, -4.559275>,
      < 1.807349, -0.935845, -4.597903>,
      < 1.810904, -0.982241, -4.559142>
    }
    triangle {
      < 3.843003, -0.904632, -4.804754>,
      < 3.839626, -0.859949, -4.758682>,
      < 3.704994, -0.870705, -4.758202>
    }
    triangle {
      < 3.843003, -0.904632, -4.804754>,
      < 3.704994, -0.870705, -4.758202>,
      < 3.727302, -0.913877, -4.804343>
    }
    triangle {
      < 3.727302, -0.913877, -4.804343>,
      < 3.704994, -0.870705, -4.758202>,
      < 3.567414, -0.881698, -4.757711>
    }
    triangle {
      < 3.727302, -0.913877, -4.804343>,
      < 3.567414, -0.881698, -4.757711>,
      < 3.611603, -0.923122, -4.803930>
    }
    triangle {
      < 3.611603, -0.923122, -4.803930>,
      < 3.567414, -0.881698, -4.757711>,
      < 3.432783, -0.892456, -4.757233>
    }
    triangle {
      < 3.611603, -0.923122, -4.803930>,
      < 3.432783, -0.892456, -4.757233>,
      < 3.495902, -0.932367, -4.803518>
    }
    triangle {
      < 3.839626, -0.859949, -4.758682>,
      < 3.836246, -0.815266, -4.712608>,
      < 3.679735, -0.827770, -4.712052>
    }
    triangle {
      < 3.839626, -0.859949, -4.758682>,
      < 3.679735, -0.827770, -4.712052>,
      < 3.704994, -0.870705, -4.758202>
    }
    triangle {
      < 3.704994, -0.870705, -4.758202>,
      < 3.679735, -0.827770, -4.712052>,
      < 3.526174, -0.840040, -4.711505>
    }
    triangle {
      < 3.704994, -0.870705, -4.758202>,
      < 3.526174, -0.840040, -4.711505>,
      < 3.567414, -0.881698, -4.757711>
    }
    triangle {
      < 3.567414, -0.881698, -4.757711>,
      < 3.526174, -0.840040, -4.711505>,
      < 3.369665, -0.852545, -4.710948>
    }
    triangle {
      < 3.567414, -0.881698, -4.757711>,
      < 3.369665, -0.852545, -4.710948>,
      < 3.432783, -0.892456, -4.757233>
    }
    triangle {
      < 3.836246, -0.815266, -4.712608>,
      < 3.832869, -0.770581, -4.666536>,
      < 3.657428, -0.784598, -4.665912>
    }
    triangle {
      < 3.836246, -0.815266, -4.712608>,
      < 3.657428, -0.784598, -4.665912>,
      < 3.679735, -0.827770, -4.712052>
    }
    triangle {
      < 3.679735, -0.827770, -4.712052>,
      < 3.657428, -0.784598, -4.665912>,
      < 3.481987, -0.798617, -4.665287>
    }
    triangle {
      < 3.679735, -0.827770, -4.712052>,
      < 3.481987, -0.798617, -4.665287>,
      < 3.526174, -0.840040, -4.711505>
    }
    triangle {
      < 3.526174, -0.840040, -4.711505>,
      < 3.481987, -0.798617, -4.665287>,
      < 3.306548, -0.812635, -4.664661>
    }
    triangle {
      < 3.526174, -0.840040, -4.711505>,
      < 3.306548, -0.812635, -4.664661>,
      < 3.369665, -0.852545, -4.710948>
    }
    triangle {
      < 3.843003, -0.904632, -4.804754>,
      < 3.839626, -0.859949, -4.758682>,
      < 3.704994, -0.870705, -4.758202>
    }
    triangle {
      < 3.843003, -0.904632, -4.804754>,
      < 3.704994, -0.870705, -4.758202>,
      < 3.727302, -0.913877, -4.804343>
    }
    triangle {
      < 3.727302, -0.913877, -4.804343>,
      < 3.704994, -0.870705, -4.758202>,
      < 3.567414, -0.881698, -4.757711>
    }
    triangle {
      < 3.727302, -0.913877, -4.804343>,
      < 3.567414, -0.881698, -4.757711>,
      < 3.611603, -0.923122, -4.803930>
    }
    triangle {
      < 3.611603, -0.923122, -4.803930>,
      < 3.567414, -0.881698, -4.757711>,
      < 3.432783, -0.892456, -4.757233>
    }
    triangle {
      < 3.611603, -0.923122, -4.803930>,
      < 3.432783, -0.892456, -4.757233>,
      < 3.495902, -0.932367, -4.803518>
    }
    triangle {
      < 3.839626, -0.859949, -4.758682>,
      < 3.836246, -0.815266, -4.712608>,
      < 3.679735, -0.827770, -4.712052>
    }
    triangle {
      < 3.839626, -0.859949, -4.758682>,
      < 3.679735, -0.827770, -4.712052>,
      < 3.704994, -0.870705, -4.758202>
    }
    triangle {
      < 3.704994, -0.870705, -4.758202>,
      < 3.679735, -0.827770, -4.712052>,
      < 3.526174, -0.840040, -4.711505>
    }
    triangle {
      < 3.704994, -0.870705, -4.758202>,
      < 3.526174, -0.840040, -4.711505>,
      < 3.567414, -0.881698, -4.757711>
    }
    triangle {
      < 3.567414, -0.881698, -4.757711>,
      < 3.526174, -0.840040, -4.711505>,
      < 3.369665, -0.852545, -4.710948>
    }
    triangle {
      < 3.567414, -0.881698, -4.757711>,
      < 3.369665, -0.852545, -4.710948>,
      < 3.432783, -0.892456, -4.757233>
    }
    triangle {
      < 3.836246, -0.815266, -4.712608>,
      < 3.832869, -0.770581, -4.666536>,
      < 3.657428, -0.784598, -4.665912>
    }
    triangle {
      < 3.836246, -0.815266, -4.712608>,
      < 3.657428, -0.784598, -4.665912>,
      < 3.679735, -0.827770, -4.712052>
    }
    triangle {
      < 3.679735, -0.827770, -4.712052>,
      < 3.657428, -0.784598, -4.665912>,
      < 3.481987, -0.798617, -4.665287>
    }
    triangle {
      < 3.679735, -0.827770, -4.712052>,
      < 3.481987, -0.798617, -4.665287>,
      < 3.526174, -0.840040, -4.711505>
    }
    triangle {
      < 3.526174, -0.840040, -4.711505>,
      < 3.481987, -0.798617, -4.665287>,
      < 3.306548, -0.812635, -4.664661>
    }
    triangle {
      < 3.526174, -0.840040, -4.711505>,
      < 3.306548, -0.812635, -4.664661>,
      < 3.369665, -0.852545, -4.710948>
    }
    triangle {
      < 3.468758, -0.590614, -4.450551>,
      < 3.584893, -0.581357, -4.450181>,
      < 3.547705, -0.629275, -4.496383>
    }
    triangle {
      < 3.468758, -0.590614, -4.450551>,
      < 3.547705, -0.629275, -4.496383>,
      < 3.412751, -0.640034, -4.496814>
    }
    triangle {
      < 3.412751, -0.640034, -4.496814>,
      < 3.547705, -0.629275, -4.496383>,
      < 3.513445, -0.676961, -4.542577>
    }
    triangle {
      < 3.412751, -0.640034, -4.496814>,
      < 3.513445, -0.676961, -4.542577>,
      < 3.356741, -0.689452, -4.543077>
    }
    triangle {
      < 3.356741, -0.689452, -4.543077>,
      < 3.513445, -0.676961, -4.542577>,
      < 3.476255, -0.724880, -4.588779>
    }
    triangle {
      < 3.356741, -0.689452, -4.543077>,
      < 3.476255, -0.724880, -4.588779>,
      < 3.300735, -0.738871, -4.589340>
    }
    triangle {
      < 3.584893, -0.581357, -4.450181>,
      < 3.701028, -0.572100, -4.449810>,
      < 3.685588, -0.618283, -4.495943>
    }
    triangle {
      < 3.584893, -0.581357, -4.450181>,
      < 3.685588, -0.618283, -4.495943>,
      < 3.547705, -0.629275, -4.496383>
    }
    triangle {
      < 3.547705, -0.629275, -4.496383>,
      < 3.685588, -0.618283, -4.495943>,
      < 3.667215, -0.664702, -4.542086>
    }
    triangle {
      < 3.547705, -0.629275, -4.496383>,
      < 3.667215, -0.664702, -4.542086>,
      < 3.513445, -0.676961, -4.542577>
    }
    triangle {
      < 3.513445, -0.676961, -4.542577>,
      < 3.667215, -0.664702, -4.542086>,
      < 3.651777, -0.710886, -4.588220>
    }
    triangle {
      < 3.513445, -0.676961, -4.542577>,
      < 3.651777, -0.710886, -4.588220>,
      < 3.476255, -0.724880, -4.588779>
    }
    triangle {
      < 3.701028, -0.572100, -4.449810>,
      < 3.817162, -0.562840, -4.449440>,
      < 3.820541, -0.607524, -4.495512>
    }
    triangle {
      < 3.701028, -0.572100, -4.449810>,
      < 3.820541, -0.607524, -4.495512>,
      < 3.685588, -0.618283, -4.495943>
    }
    triangle {
      < 3.685588, -0.618283, -4.495943>,
      < 3.820541, -0.607524, -4.495512>,
      < 3.823919, -0.652209, -4.541586>
    }
    triangle {
      < 3.685588, -0.618283, -4.495943>,
      < 3.823919, -0.652209, -4.541586>,
      < 3.667215, -0.664702, -4.542086>
    }
    triangle {
      < 3.667215, -0.664702, -4.542086>,
      < 3.823919, -0.652209, -4.541586>,
      < 3.827299, -0.696894, -4.587659>
    }
    triangle {
      < 3.667215, -0.664702, -4.542086>,
      < 3.827299, -0.696894, -4.587659>,
      < 3.651777, -0.710886, -4.588220>
    }
    triangle {
      < 3.300735, -0.738871, -4.589340>,
      < 3.356741, -0.689452, -4.543077>,
      < 3.513445, -0.676961, -4.542577>
    }
    triangle {
      < 3.300735, -0.738871, -4.589340>,
      < 3.513445, -0.676961, -4.542577>,
      < 3.476255, -0.724880, -4.588779>
    }
    triangle {
      < 3.476255, -0.724880, -4.588779>,
      < 3.513445, -0.676961, -4.542577>,
      < 3.667215, -0.664702, -4.542086>
    }
    triangle {
      < 3.476255, -0.724880, -4.588779>,
      < 3.667215, -0.664702, -4.542086>,
      < 3.651777, -0.710886, -4.588220>
    }
    triangle {
      < 3.651777, -0.710886, -4.588220>,
      < 3.667215, -0.664702, -4.542086>,
      < 3.823919, -0.652209, -4.541586>
    }
    triangle {
      < 3.651777, -0.710886, -4.588220>,
      < 3.823919, -0.652209, -4.541586>,
      < 3.827299, -0.696894, -4.587659>
    }
    triangle {
      < 3.356741, -0.689452, -4.543077>,
      < 3.412751, -0.640034, -4.496814>,
      < 3.547705, -0.629275, -4.496383>
    }
    triangle {
      < 3.356741, -0.689452, -4.543077>,
      < 3.547705, -0.629275, -4.496383>,
      < 3.513445, -0.676961, -4.542577>
    }
    triangle {
      < 3.513445, -0.676961, -4.542577>,
      < 3.547705, -0.629275, -4.496383>,
      < 3.685588, -0.618283, -4.495943>
    }
    triangle {
      < 3.513445, -0.676961, -4.542577>,
      < 3.685588, -0.618283, -4.495943>,
      < 3.667215, -0.664702, -4.542086>
    }
    triangle {
      < 3.667215, -0.664702, -4.542086>,
      < 3.685588, -0.618283, -4.495943>,
      < 3.820541, -0.607524, -4.495512>
    }
    triangle {
      < 3.667215, -0.664702, -4.542086>,
      < 3.820541, -0.607524, -4.495512>,
      < 3.823919, -0.652209, -4.541586>
    }
    triangle {
      < 3.412751, -0.640034, -4.496814>,
      < 3.468758, -0.590614, -4.450551>,
      < 3.584893, -0.581357, -4.450181>
    }
    triangle {
      < 3.412751, -0.640034, -4.496814>,
      < 3.584893, -0.581357, -4.450181>,
      < 3.547705, -0.629275, -4.496383>
    }
    triangle {
      < 3.547705, -0.629275, -4.496383>,
      < 3.584893, -0.581357, -4.450181>,
      < 3.701028, -0.572100, -4.449810>
    }
    triangle {
      < 3.547705, -0.629275, -4.496383>,
      < 3.701028, -0.572100, -4.449810>,
      < 3.685588, -0.618283, -4.495943>
    }
    triangle {
      < 3.685588, -0.618283, -4.495943>,
      < 3.701028, -0.572100, -4.449810>,
      < 3.817162, -0.562840, -4.449440>
    }
    triangle {
      < 3.685588, -0.618283, -4.495943>,
      < 3.817162, -0.562840, -4.449440>,
      < 3.820541, -0.607524, -4.495512>
    }
    triangle {
      < 3.815594, -0.543899, -4.783950>,
      < 3.819396, -0.593541, -4.742479>,
      < 3.684763, -0.604272, -4.742909>
    }
    triangle {
      < 3.815594, -0.543899, -4.783950>,
      < 3.684763, -0.604272, -4.742909>,
      < 3.699890, -0.553125, -4.784318>
    }
    triangle {
      < 3.699890, -0.553125, -4.784318>,
      < 3.684763, -0.604272, -4.742909>,
      < 3.547179, -0.615241, -4.743348>
    }
    triangle {
      < 3.699890, -0.553125, -4.784318>,
      < 3.547179, -0.615241, -4.743348>,
      < 3.584188, -0.562347, -4.784688>
    }
    triangle {
      < 3.584188, -0.562347, -4.784688>,
      < 3.547179, -0.615241, -4.743348>,
      < 3.412547, -0.625973, -4.743777>
    }
    triangle {
      < 3.584188, -0.562347, -4.784688>,
      < 3.412547, -0.625973, -4.743777>,
      < 3.468487, -0.571571, -4.785055>
    }
    triangle {
      < 3.819396, -0.593541, -4.742479>,
      < 3.823199, -0.643179, -4.701012>,
      < 3.666686, -0.655659, -4.701509>
    }
    triangle {
      < 3.819396, -0.593541, -4.742479>,
      < 3.666686, -0.655659, -4.701509>,
      < 3.684763, -0.604272, -4.742909>
    }
    triangle {
      < 3.684763, -0.604272, -4.742909>,
      < 3.666686, -0.655659, -4.701509>,
      < 3.513125, -0.667899, -4.701999>
    }
    triangle {
      < 3.684763, -0.604272, -4.742909>,
      < 3.513125, -0.667899, -4.701999>,
      < 3.547179, -0.615241, -4.743348>
    }
    triangle {
      < 3.547179, -0.615241, -4.743348>,
      < 3.513125, -0.667899, -4.701999>,
      < 3.356612, -0.680377, -4.702498>
    }
    triangle {
      < 3.547179, -0.615241, -4.743348>,
      < 3.356612, -0.680377, -4.702498>,
      < 3.412547, -0.625973, -4.743777>
    }
    triangle {
      < 3.823199, -0.643179, -4.701012>,
      < 3.827001, -0.692820, -4.659542>,
      < 3.651558, -0.706806, -4.660100>
    }
    triangle {
      < 3.823199, -0.643179, -4.701012>,
      < 3.651558, -0.706806, -4.660100>,
      < 3.666686, -0.655659, -4.701509>
    }
    triangle {
      < 3.666686, -0.655659, -4.701509>,
      < 3.651558, -0.706806, -4.660100>,
      < 3.476117, -0.720793, -4.660660>
    }
    triangle {
      < 3.666686, -0.655659, -4.701509>,
      < 3.476117, -0.720793, -4.660660>,
      < 3.513125, -0.667899, -4.701999>
    }
    triangle {
      < 3.513125, -0.667899, -4.701999>,
      < 3.476117, -0.720793, -4.660660>,
      < 3.300674, -0.734779, -4.661221>
    }
    triangle {
      < 3.513125, -0.667899, -4.701999>,
      < 3.300674, -0.734779, -4.661221>,
      < 3.356612, -0.680377, -4.702498>
    }
    triangle {
      < 3.300674, -0.734779, -4.661221>,
      < 3.356612, -0.680377, -4.702498>,
      < 3.513125, -0.667899, -4.701999>
    }
    triangle {
      < 3.300674, -0.734779, -4.661221>,
      < 3.513125, -0.667899, -4.701999>,
      < 3.476117, -0.720793, -4.660660>
    }
    triangle {
      < 3.476117, -0.720793, -4.660660>,
      < 3.513125, -0.667899, -4.701999>,
      < 3.666686, -0.655659, -4.701509>
    }
    triangle {
      < 3.476117, -0.720793, -4.660660>,
      < 3.666686, -0.655659, -4.701509>,
      < 3.651558, -0.706806, -4.660100>
    }
    triangle {
      < 3.651558, -0.706806, -4.660100>,
      < 3.666686, -0.655659, -4.701509>,
      < 3.823199, -0.643179, -4.701012>
    }
    triangle {
      < 3.651558, -0.706806, -4.660100>,
      < 3.823199, -0.643179, -4.701012>,
      < 3.827001, -0.692820, -4.659542>
    }
    triangle {
      < 3.356612, -0.680377, -4.702498>,
      < 3.412547, -0.625973, -4.743777>,
      < 3.547179, -0.615241, -4.743348>
    }
    triangle {
      < 3.356612, -0.680377, -4.702498>,
      < 3.547179, -0.615241, -4.743348>,
      < 3.513125, -0.667899, -4.701999>
    }
    triangle {
      < 3.513125, -0.667899, -4.701999>,
      < 3.547179, -0.615241, -4.743348>,
      < 3.684763, -0.604272, -4.742909>
    }
    triangle {
      < 3.513125, -0.667899, -4.701999>,
      < 3.684763, -0.604272, -4.742909>,
      < 3.666686, -0.655659, -4.701509>
    }
    triangle {
      < 3.666686, -0.655659, -4.701509>,
      < 3.684763, -0.604272, -4.742909>,
      < 3.819396, -0.593541, -4.742479>
    }
    triangle {
      < 3.666686, -0.655659, -4.701509>,
      < 3.819396, -0.593541, -4.742479>,
      < 3.823199, -0.643179, -4.701012>
    }
    triangle {
      < 3.412547, -0.625973, -4.743777>,
      < 3.468487, -0.571571, -4.785055>,
      < 3.584188, -0.562347, -4.784688>
    }
    triangle {
      < 3.412547, -0.625973, -4.743777>,
      < 3.584188, -0.562347, -4.784688>,
      < 3.547179, -0.615241, -4.743348>
    }
    triangle {
      < 3.547179, -0.615241, -4.743348>,
      < 3.584188, -0.562347, -4.784688>,
      < 3.699890, -0.553125, -4.784318>
    }
    triangle {
      < 3.547179, -0.615241, -4.743348>,
      < 3.699890, -0.553125, -4.784318>,
      < 3.684763, -0.604272, -4.742909>
    }
    triangle {
      < 3.684763, -0.604272, -4.742909>,
      < 3.699890, -0.553125, -4.784318>,
      < 3.815594, -0.543899, -4.783950>
    }
    triangle {
      < 3.684763, -0.604272, -4.742909>,
      < 3.815594, -0.543899, -4.783950>,
      < 3.819396, -0.593541, -4.742479>
    }
    triangle {
      < 3.306921, -0.816301, -4.593119>,
      < 3.482363, -0.802313, -4.592558>,
      < 3.526979, -0.848699, -4.550960>
    }
    triangle {
      < 3.306921, -0.816301, -4.593119>,
      < 3.526979, -0.848699, -4.550960>,
      < 3.370463, -0.861176, -4.551458>
    }
    triangle {
      < 3.370463, -0.861176, -4.551458>,
      < 3.526979, -0.848699, -4.550960>,
      < 3.568638, -0.895320, -4.509370>
    }
    triangle {
      < 3.370463, -0.861176, -4.551458>,
      < 3.568638, -0.895320, -4.509370>,
      < 3.434006, -0.906054, -4.509799>
    }
    triangle {
      < 3.434006, -0.906054, -4.509799>,
      < 3.568638, -0.895320, -4.509370>,
      < 3.613251, -0.941708, -4.467769>
    }
    triangle {
      < 3.434006, -0.906054, -4.509799>,
      < 3.613251, -0.941708, -4.467769>,
      < 3.497549, -0.950933, -4.468139>
    }
    triangle {
      < 3.482363, -0.802313, -4.592558>,
      < 3.657806, -0.788328, -4.591999>,
      < 3.680539, -0.836457, -4.550469>
    }
    triangle {
      < 3.482363, -0.802313, -4.592558>,
      < 3.680539, -0.836457, -4.550469>,
      < 3.526979, -0.848699, -4.550960>
    }
    triangle {
      < 3.526979, -0.848699, -4.550960>,
      < 3.680539, -0.836457, -4.550469>,
      < 3.706223, -0.884353, -4.508931>
    }
    triangle {
      < 3.526979, -0.848699, -4.550960>,
      < 3.706223, -0.884353, -4.508931>,
      < 3.568638, -0.895320, -4.509370>
    }
    triangle {
      < 3.568638, -0.895320, -4.509370>,
      < 3.706223, -0.884353, -4.508931>,
      < 3.728956, -0.932485, -4.467400>
    }
    triangle {
      < 3.568638, -0.895320, -4.509370>,
      < 3.728956, -0.932485, -4.467400>,
      < 3.613251, -0.941708, -4.467769>
    }
    triangle {
      < 3.657806, -0.788328, -4.591999>,
      < 3.833249, -0.774340, -4.591440>,
      < 3.837051, -0.823980, -4.549970>
    }
    triangle {
      < 3.657806, -0.788328, -4.591999>,
      < 3.837051, -0.823980, -4.549970>,
      < 3.680539, -0.836457, -4.550469>
    }
    triangle {
      < 3.680539, -0.836457, -4.550469>,
      < 3.837051, -0.823980, -4.549970>,
      < 3.840854, -0.873620, -4.508501>
    }
    triangle {
      < 3.680539, -0.836457, -4.550469>,
      < 3.840854, -0.873620, -4.508501>,
      < 3.706223, -0.884353, -4.508931>
    }
    triangle {
      < 3.706223, -0.884353, -4.508931>,
      < 3.840854, -0.873620, -4.508501>,
      < 3.844658, -0.923261, -4.467032>
    }
    triangle {
      < 3.706223, -0.884353, -4.508931>,
      < 3.844658, -0.923261, -4.467032>,
      < 3.728956, -0.932485, -4.467400>
    }
    triangle {
      < 3.844658, -0.923261, -4.467032>,
      < 3.840854, -0.873620, -4.508501>,
      < 3.706223, -0.884353, -4.508931>
    }
    triangle {
      < 3.844658, -0.923261, -4.467032>,
      < 3.706223, -0.884353, -4.508931>,
      < 3.728956, -0.932485, -4.467400>
    }
    triangle {
      < 3.728956, -0.932485, -4.467400>,
      < 3.706223, -0.884353, -4.508931>,
      < 3.568638, -0.895320, -4.509370>
    }
    triangle {
      < 3.728956, -0.932485, -4.467400>,
      < 3.568638, -0.895320, -4.509370>,
      < 3.613251, -0.941708, -4.467769>
    }
    triangle {
      < 3.613251, -0.941708, -4.467769>,
      < 3.568638, -0.895320, -4.509370>,
      < 3.434006, -0.906054, -4.509799>
    }
    triangle {
      < 3.613251, -0.941708, -4.467769>,
      < 3.434006, -0.906054, -4.509799>,
      < 3.497549, -0.950933, -4.468139>
    }
    triangle {
      < 3.840854, -0.873620, -4.508501>,
      < 3.837051, -0.823980, -4.549970>,
      < 3.680539, -0.836457, -4.550469>
    }
    triangle {
      < 3.840854, -0.873620, -4.508501>,
      < 3.680539, -0.836457, -4.550469>,
      < 3.706223, -0.884353, -4.508931>
    }
    triangle {
      < 3.706223, -0.884353, -4.508931>,
      < 3.680539, -0.836457, -4.550469>,
      < 3.526979, -0.848699, -4.550960>
    }
    triangle {
      < 3.706223, -0.884353, -4.508931>,
      < 3.526979, -0.848699, -4.550960>,
      < 3.568638, -0.895320, -4.509370>
    }
    triangle {
      < 3.568638, -0.895320, -4.509370>,
      < 3.526979, -0.848699, -4.550960>,
      < 3.370463, -0.861176, -4.551458>
    }
    triangle {
      < 3.568638, -0.895320, -4.509370>,
      < 3.370463, -0.861176, -4.551458>,
      < 3.434006, -0.906054, -4.509799>
    }
    triangle {
      < 3.837051, -0.823980, -4.549970>,
      < 3.833249, -0.774340, -4.591440>,
      < 3.657806, -0.788328, -4.591999>
    }
    triangle {
      < 3.837051, -0.823980, -4.549970>,
      < 3.657806, -0.788328, -4.591999>,
      < 3.680539, -0.836457, -4.550469>
    }
    triangle {
      < 3.680539, -0.836457, -4.550469>,
      < 3.657806, -0.788328, -4.591999>,
      < 3.482363, -0.802313, -4.592558>
    }
    triangle {
      < 3.680539, -0.836457, -4.550469>,
      < 3.482363, -0.802313, -4.592558>,
      < 3.526979, -0.848699, -4.550960>
    }
    triangle {
      < 3.526979, -0.848699, -4.550960>,
      < 3.482363, -0.802313, -4.592558>,
      < 3.306921, -0.816301, -4.593119>
    }
    triangle {
      < 3.526979, -0.848699, -4.550960>,
      < 3.306921, -0.816301, -4.593119>,
      < 3.370463, -0.861176, -4.551458>
    }
    triangle {
      < 3.727302, -0.913877, -4.804343>,
      < 3.704994, -0.870705, -4.758202>,
      < 3.839626, -0.859949, -4.758682>
    }
    triangle {
      < 3.727302, -0.913877, -4.804343>,
      < 3.839626, -0.859949, -4.758682>,
      < 3.843003, -0.904632, -4.804754>
    }
    triangle {
      < 3.611603, -0.923122, -4.803930>,
      < 3.567414, -0.881698, -4.757711>,
      < 3.704994, -0.870705, -4.758202>
    }
    triangle {
      < 3.611603, -0.923122, -4.803930>,
      < 3.704994, -0.870705, -4.758202>,
      < 3.727302, -0.913877, -4.804343>
    }
    triangle {
      < 3.495902, -0.932367, -4.803518>,
      < 3.432783, -0.892456, -4.757233>,
      < 3.567414, -0.881698, -4.757711>
    }
    triangle {
      < 3.495902, -0.932367, -4.803518>,
      < 3.567414, -0.881698, -4.757711>,
      < 3.611603, -0.923122, -4.803930>
    }
    triangle {
      < 3.704994, -0.870705, -4.758202>,
      < 3.679735, -0.827770, -4.712052>,
      < 3.836246, -0.815266, -4.712608>
    }
    triangle {
      < 3.704994, -0.870705, -4.758202>,
      < 3.836246, -0.815266, -4.712608>,
      < 3.839626, -0.859949, -4.758682>
    }
    triangle {
      < 3.567414, -0.881698, -4.757711>,
      < 3.526174, -0.840040, -4.711505>,
      < 3.679735, -0.827770, -4.712052>
    }
    triangle {
      < 3.567414, -0.881698, -4.757711>,
      < 3.679735, -0.827770, -4.712052>,
      < 3.704994, -0.870705, -4.758202>
    }
    triangle {
      < 3.432783, -0.892456, -4.757233>,
      < 3.369665, -0.852545, -4.710948>,
      < 3.526174, -0.840040, -4.711505>
    }
    triangle {
      < 3.432783, -0.892456, -4.757233>,
      < 3.526174, -0.840040, -4.711505>,
      < 3.567414, -0.881698, -4.757711>
    }
    triangle {
      < 3.679735, -0.827770, -4.712052>,
      < 3.657428, -0.784598, -4.665912>,
      < 3.832869, -0.770581, -4.666536>
    }
    triangle {
      < 3.679735, -0.827770, -4.712052>,
      < 3.832869, -0.770581, -4.666536>,
      < 3.836246, -0.815266, -4.712608>
    }
    triangle {
      < 3.526174, -0.840040, -4.711505>,
      < 3.481987, -0.798617, -4.665287>,
      < 3.657428, -0.784598, -4.665912>
    }
    triangle {
      < 3.526174, -0.840040, -4.711505>,
      < 3.657428, -0.784598, -4.665912>,
      < 3.679735, -0.827770, -4.712052>
    }
    triangle {
      < 3.369665, -0.852545, -4.710948>,
      < 3.306548, -0.812635, -4.664661>,
      < 3.481987, -0.798617, -4.665287>
    }
    triangle {
      < 3.369665, -0.852545, -4.710948>,
      < 3.481987, -0.798617, -4.665287>,
      < 3.526174, -0.840040, -4.711505>
    }
    triangle {
      < 3.727302, -0.913877, -4.804343>,
      < 3.704994, -0.870705, -4.758202>,
      < 3.839626, -0.859949, -4.758682>
    }
    triangle {
      < 3.727302, -0.913877, -4.804343>,
      < 3.839626, -0.859949, -4.758682>,
      < 3.843003, -0.904632, -4.804754>
    }
    triangle {
      < 3.611603, -0.923122, -4.803930>,
      < 3.567414, -0.881698, -4.757711>,
      < 3.704994, -0.870705, -4.758202>
    }
    triangle {
      < 3.611603, -0.923122, -4.803930>,
      < 3.704994, -0.870705, -4.758202>,
      < 3.727302, -0.913877, -4.804343>
    }
    triangle {
      < 3.495902, -0.932367, -4.803518>,
      < 3.432783, -0.892456, -4.757233>,
      < 3.567414, -0.881698, -4.757711>
    }
    triangle {
      < 3.495902, -0.932367, -4.803518>,
      < 3.567414, -0.881698, -4.757711>,
      < 3.611603, -0.923122, -4.803930>
    }
    triangle {
      < 3.704994, -0.870705, -4.758202>,
      < 3.679735, -0.827770, -4.712052>,
      < 3.836246, -0.815266, -4.712608>
    }
    triangle {
      < 3.704994, -0.870705, -4.758202>,
      < 3.836246, -0.815266, -4.712608>,
      < 3.839626, -0.859949, -4.758682>
    }
    triangle {
      < 3.567414, -0.881698, -4.757711>,
      < 3.526174, -0.840040, -4.711505>,
      < 3.679735, -0.827770, -4.712052>
    }
    triangle {
      < 3.567414, -0.881698, -4.757711>,
      < 3.679735, -0.827770, -4.712052>,
      < 3.704994, -0.870705, -4.758202>
    }
    triangle {
      < 3.432783, -0.892456, -4.757233>,
      < 3.369665, -0.852545, -4.710948>,
      < 3.526174, -0.840040, -4.711505>
    }
    triangle {
      < 3.432783, -0.892456, -4.757233>,
      < 3.526174, -0.840040, -4.711505>,
      < 3.567414, -0.881698, -4.757711>
    }
    triangle {
      < 3.679735, -0.827770, -4.712052>,
      < 3.657428, -0.784598, -4.665912>,
      < 3.832869, -0.770581, -4.666536>
    }
    triangle {
      < 3.679735, -0.827770, -4.712052>,
      < 3.832869, -0.770581, -4.666536>,
      < 3.836246, -0.815266, -4.712608>
    }
    triangle {
      < 3.526174, -0.840040, -4.711505>,
      < 3.481987, -0.798617, -4.665287>,
      < 3.657428, -0.784598, -4.665912>
    }
    triangle {
      < 3.526174, -0.840040, -4.711505>,
      < 3.657428, -0.784598, -4.665912>,
      < 3.679735, -0.827770, -4.712052>
    }
    triangle {
      < 3.369665, -0.852545, -4.710948>,
      < 3.306548, -0.812635, -4.664661>,
      < 3.481987, -0.798617, -4.665287>
    }
    triangle {
      < 3.369665, -0.852545, -4.710948>,
      < 3.481987, -0.798617, -4.665287>,
      < 3.526174, -0.840040, -4.711505>
    }
    triangle {
      < 3.412751, -0.640034, -4.496814>,
      < 3.547705, -0.629275, -4.496383>,
      < 3.584893, -0.581357, -4.450181>
    }
    triangle {
      < 3.412751, -0.640034, -4.496814>,
      < 3.584893, -0.581357, -4.450181>,
      < 3.468758, -0.590614, -4.450551>
    }
    triangle {
      < 3.356741, -0.689452, -4.543077>,
      < 3.513445, -0.676961, -4.542577>,
      < 3.547705, -0.629275, -4.496383>
    }
    triangle {
      < 3.356741, -0.689452, -4.543077>,
      < 3.547705, -0.629275, -4.496383>,
      < 3.412751, -0.640034, -4.496814>
    }
    triangle {
      < 3.300735, -0.738871, -4.589340>,
      < 3.476255, -0.724880, -4.588779>,
      < 3.513445, -0.676961, -4.542577>
    }
    triangle {
      < 3.300735, -0.738871, -4.589340>,
      < 3.513445, -0.676961, -4.542577>,
      < 3.356741, -0.689452, -4.543077>
    }
    triangle {
      < 3.547705, -0.629275, -4.496383>,
      < 3.685588, -0.618283, -4.495943>,
      < 3.701028, -0.572100, -4.449810>
    }
    triangle {
      < 3.547705, -0.629275, -4.496383>,
      < 3.701028, -0.572100, -4.449810>,
      < 3.584893, -0.581357, -4.450181>
    }
    triangle {
      < 3.513445, -0.676961, -4.542577>,
      < 3.667215, -0.664702, -4.542086>,
      < 3.685588, -0.618283, -4.495943>
    }
    triangle {
      < 3.513445, -0.676961, -4.542577>,
      < 3.685588, -0.618283, -4.495943>,
      < 3.547705, -0.629275, -4.496383>
    }
    triangle {
      < 3.476255, -0.724880, -4.588779>,
      < 3.651777, -0.710886, -4.588220>,
      < 3.667215, -0.664702, -4.542086>
    }
    triangle {
      < 3.476255, -0.724880, -4.588779>,
      < 3.667215, -0.664702, -4.542086>,
      < 3.513445, -0.676961, -4.542577>
    }
    triangle {
      < 3.685588, -0.618283, -4.495943>,
      < 3.820541, -0.607524, -4.495512>,
      < 3.817162, -0.562840, -4.449440>
    }
    triangle {
      < 3.685588, -0.618283, -4.495943>,
      < 3.817162, -0.562840, -4.449440>,
      < 3.701028, -0.572100, -4.449810>
    }
    triangle {
      < 3.667215, -0.664702, -4.542086>,
      < 3.823919, -0.652209, -4.541586>,
      < 3.820541, -0.607524, -4.495512>
    }
    triangle {
      < 3.667215, -0.664702, -4.542086>,
      < 3.820541, -0.607524, -4.495512>,
      < 3.685588, -0.618283, -4.495943>
    }
    triangle {
      < 3.651777, -0.710886, -4.588220>,
      < 3.827299, -0.696894, -4.587659>,
      < 3.823919, -0.652209, -4.541586>
    }
    triangle {
      < 3.651777, -0.710886, -4.588220>,
      < 3.823919, -0.652209, -4.541586>,
      < 3.667215, -0.664702, -4.542086>
    }
    triangle {
      < 3.476255, -0.724880, -4.588779>,
      < 3.513445, -0.676961, -4.542577>,
      < 3.356741, -0.689452, -4.543077>
    }
    triangle {
      < 3.476255, -0.724880, -4.588779>,
      < 3.356741, -0.689452, -4.543077>,
      < 3.300735, -0.738871, -4.589340>
    }
    triangle {
      < 3.651777, -0.710886, -4.588220>,
      < 3.667215, -0.664702, -4.542086>,
      < 3.513445, -0.676961, -4.542577>
    }
    triangle {
      < 3.651777, -0.710886, -4.588220>,
      < 3.513445, -0.676961, -4.542577>,
      < 3.476255, -0.724880, -4.588779>
    }
    triangle {
      < 3.827299, -0.696894, -4.587659>,
      < 3.823919, -0.652209, -4.541586>,
      < 3.667215, -0.664702, -4.542086>
    }
    triangle {
      < 3.827299, -0.696894, -4.587659>,
      < 3.667215, -0.664702, -4.542086>,
      < 3.651777, -0.710886, -4.588220>
    }
    triangle {
      < 3.513445, -0.676961, -4.542577>,
      < 3.547705, -0.629275, -4.496383>,
      < 3.412751, -0.640034, -4.496814>
    }
    triangle {
      < 3.513445, -0.676961, -4.542577>,
      < 3.412751, -0.640034, -4.496814>,
      < 3.356741, -0.689452, -4.543077>
    }
    triangle {
      < 3.667215, -0.664702, -4.542086>,
      < 3.685588, -0.618283, -4.495943>,
      < 3.547705, -0.629275, -4.496383>
    }
    triangle {
      < 3.667215, -0.664702, -4.542086>,
      < 3.547705, -0.629275, -4.496383>,
      < 3.513445, -0.676961, -4.542577>
    }
    triangle {
      < 3.823919, -0.652209, -4.541586>,
      < 3.820541, -0.607524, -4.495512>,
      < 3.685588, -0.618283, -4.495943>
    }
    triangle {
      < 3.823919, -0.652209, -4.541586>,
      < 3.685588, -0.618283, -4.495943>,
      < 3.667215, -0.664702, -4.542086>
    }
    triangle {
      < 3.547705, -0.629275, -4.496383>,
      < 3.584893, -0.581357, -4.450181>,
      < 3.468758, -0.590614, -4.450551>
    }
    triangle {
      < 3.547705, -0.629275, -4.496383>,
      < 3.468758, -0.590614, -4.450551>,
      < 3.412751, -0.640034, -4.496814>
    }
    triangle {
      < 3.685588, -0.618283, -4.495943>,
      < 3.701028, -0.572100, -4.449810>,
      < 3.584893, -0.581357, -4.450181>
    }
    triangle {
      < 3.685588, -0.618283, -4.495943>,
      < 3.584893, -0.581357, -4.450181>,
      < 3.547705, -0.629275, -4.496383>
    }
    triangle {
      < 3.820541, -0.607524, -4.495512>,
      < 3.817162, -0.562840, -4.449440>,
      < 3.701028, -0.572100, -4.449810>
    }
    triangle {
      < 3.820541, -0.607524, -4.495512>,
      < 3.701028, -0.572100, -4.449810>,
      < 3.685588, -0.618283, -4.495943>
    }
    triangle {
      < 3.699890, -0.553125, -4.784318>,
      < 3.684763, -0.604272, -4.742909>,
      < 3.819396, -0.593541, -4.742479>
    }
    triangle {
      < 3.699890, -0.553125, -4.784318>,
      < 3.819396, -0.593541, -4.742479>,
      < 3.815594, -0.543899, -4.783950>
    }
    triangle {
      < 3.584188, -0.562347, -4.784688>,
      < 3.547179, -0.615241, -4.743348>,
      < 3.684763, -0.604272, -4.742909>
    }
    triangle {
      < 3.584188, -0.562347, -4.784688>,
      < 3.684763, -0.604272, -4.742909>,
      < 3.699890, -0.553125, -4.784318>
    }
    triangle {
      < 3.468487, -0.571571, -4.785055>,
      < 3.412547, -0.625973, -4.743777>,
      < 3.547179, -0.615241, -4.743348>
    }
    triangle {
      < 3.468487, -0.571571, -4.785055>,
      < 3.547179, -0.615241, -4.743348>,
      < 3.584188, -0.562347, -4.784688>
    }
    triangle {
      < 3.684763, -0.604272, -4.742909>,
      < 3.666686, -0.655659, -4.701509>,
      < 3.823199, -0.643179, -4.701012>
    }
    triangle {
      < 3.684763, -0.604272, -4.742909>,
      < 3.823199, -0.643179, -4.701012>,
      < 3.819396, -0.593541, -4.742479>
    }
    triangle {
      < 3.547179, -0.615241, -4.743348>,
      < 3.513125, -0.667899, -4.701999>,
      < 3.666686, -0.655659, -4.701509>
    }
    triangle {
      < 3.547179, -0.615241, -4.743348>,
      < 3.666686, -0.655659, -4.701509>,
      < 3.684763, -0.604272, -4.742909>
    }
    triangle {
      < 3.412547, -0.625973, -4.743777>,
      < 3.356612, -0.680377, -4.702498>,
      < 3.513125, -0.667899, -4.701999>
    }
    triangle {
      < 3.412547, -0.625973, -4.743777>,
      < 3.513125, -0.667899, -4.701999>,
      < 3.547179, -0.615241, -4.743348>
    }
    triangle {
      < 3.666686, -0.655659, -4.701509>,
      < 3.651558, -0.706806, -4.660100>,
      < 3.827001, -0.692820, -4.659542>
    }
    triangle {
      < 3.666686, -0.655659, -4.701509>,
      < 3.827001, -0.692820, -4.659542>,
      < 3.823199, -0.643179, -4.701012>
    }
    triangle {
      < 3.513125, -0.667899, -4.701999>,
      < 3.476117, -0.720793, -4.660660>,
      < 3.651558, -0.706806, -4.660100>
    }
    triangle {
      < 3.513125, -0.667899, -4.701999>,
      < 3.651558, -0.706806, -4.660100>,
      < 3.666686, -0.655659, -4.701509>
    }
    triangle {
      < 3.356612, -0.680377, -4.702498>,
      < 3.300674, -0.734779, -4.661221>,
      < 3.476117, -0.720793, -4.660660>
    }
    triangle {
      < 3.356612, -0.680377, -4.702498>,
      < 3.476117, -0.720793, -4.660660>,
      < 3.513125, -0.667899, -4.701999>
    }
    triangle {
      < 3.476117, -0.720793, -4.660660>,
      < 3.513125, -0.667899, -4.701999>,
      < 3.356612, -0.680377, -4.702498>
    }
    triangle {
      < 3.476117, -0.720793, -4.660660>,
      < 3.356612, -0.680377, -4.702498>,
      < 3.300674, -0.734779, -4.661221>
    }
    triangle {
      < 3.651558, -0.706806, -4.660100>,
      < 3.666686, -0.655659, -4.701509>,
      < 3.513125, -0.667899, -4.701999>
    }
    triangle {
      < 3.651558, -0.706806, -4.660100>,
      < 3.513125, -0.667899, -4.701999>,
      < 3.476117, -0.720793, -4.660660>
    }
    triangle {
      < 3.827001, -0.692820, -4.659542>,
      < 3.823199, -0.643179, -4.701012>,
      < 3.666686, -0.655659, -4.701509>
    }
    triangle {
      < 3.827001, -0.692820, -4.659542>,
      < 3.666686, -0.655659, -4.701509>,
      < 3.651558, -0.706806, -4.660100>
    }
    triangle {
      < 3.513125, -0.667899, -4.701999>,
      < 3.547179, -0.615241, -4.743348>,
      < 3.412547, -0.625973, -4.743777>
    }
    triangle {
      < 3.513125, -0.667899, -4.701999>,
      < 3.412547, -0.625973, -4.743777>,
      < 3.356612, -0.680377, -4.702498>
    }
    triangle {
      < 3.666686, -0.655659, -4.701509>,
      < 3.684763, -0.604272, -4.742909>,
      < 3.547179, -0.615241, -4.743348>
    }
    triangle {
      < 3.666686, -0.655659, -4.701509>,
      < 3.547179, -0.615241, -4.743348>,
      < 3.513125, -0.667899, -4.701999>
    }
    triangle {
      < 3.823199, -0.643179, -4.701012>,
      < 3.819396, -0.593541, -4.742479>,
      < 3.684763, -0.604272, -4.742909>
    }
    triangle {
      < 3.823199, -0.643179, -4.701012>,
      < 3.684763, -0.604272, -4.742909>,
      < 3.666686, -0.655659, -4.701509>
    }
    triangle {
      < 3.547179, -0.615241, -4.743348>,
      < 3.584188, -0.562347, -4.784688>,
      < 3.468487, -0.571571, -4.785055>
    }
    triangle {
      < 3.547179, -0.615241, -4.743348>,
      < 3.468487, -0.571571, -4.785055>,
      < 3.412547, -0.625973, -4.743777>
    }
    triangle {
      < 3.684763, -0.604272, -4.742909>,
      < 3.699890, -0.553125, -4.784318>,
      < 3.584188, -0.562347, -4.784688>
    }
    triangle {
      < 3.684763, -0.604272, -4.742909>,
      < 3.584188, -0.562347, -4.784688>,
      < 3.547179, -0.615241, -4.743348>
    }
    triangle {
      < 3.819396, -0.593541, -4.742479>,
      < 3.815594, -0.543899, -4.783950>,
      < 3.699890, -0.553125, -4.784318>
    }
    triangle {
      < 3.819396, -0.593541, -4.742479>,
      < 3.699890, -0.553125, -4.784318>,
      < 3.684763, -0.604272, -4.742909>
    }
    triangle {
      < 3.370463, -0.861176, -4.551458>,
      < 3.526979, -0.848699, -4.550960>,
      < 3.482363, -0.802313, -4.592558>
    }
    triangle {
      < 3.370463, -0.861176, -4.551458>,
      < 3.482363, -0.802313, -4.592558>,
      < 3.306921, -0.816301, -4.593119>
    }
    triangle {
      < 3.434006, -0.906054, -4.509799>,
      < 3.568638, -0.895320, -4.509370>,
      < 3.526979, -0.848699, -4.550960>
    }
    triangle {
      < 3.434006, -0.906054, -4.509799>,
      < 3.526979, -0.848699, -4.550960>,
      < 3.370463, -0.861176, -4.551458>
    }
    triangle {
      < 3.497549, -0.950933, -4.468139>,
      < 3.613251, -0.941708, -4.467769>,
      < 3.568638, -0.895320, -4.509370>
    }
    triangle {
      < 3.497549, -0.950933, -4.468139>,
      < 3.568638, -0.895320, -4.509370>,
      < 3.434006, -0.906054, -4.509799>
    }
    triangle {
      < 3.526979, -0.848699, -4.550960>,
      < 3.680539, -0.836457, -4.550469>,
      < 3.657806, -0.788328, -4.591999>
    }
    triangle {
      < 3.526979, -0.848699, -4.550960>,
      < 3.657806, -0.788328, -4.591999>,
      < 3.482363, -0.802313, -4.592558>
    }
    triangle {
      < 3.568638, -0.895320, -4.509370>,
      < 3.706223, -0.884353, -4.508931>,
      < 3.680539, -0.836457, -4.550469>
    }
    triangle {
      < 3.568638, -0.895320, -4.509370>,
      < 3.680539, -0.836457, -4.550469>,
      < 3.526979, -0.848699, -4.550960>
    }
    triangle {
      < 3.613251, -0.941708, -4.467769>,
      < 3.728956, -0.932485, -4.467400>,
      < 3.706223, -0.884353, -4.508931>
    }
    triangle {
      < 3.613251, -0.941708, -4.467769>,
      < 3.706223, -0.884353, -4.508931>,
      < 3.568638, -0.895320, -4.509370>
    }
    triangle {
      < 3.680539, -0.836457, -4.550469>,
      < 3.837051, -0.823980, -4.549970>,
      < 3.833249, -0.774340, -4.591440>
    }
    triangle {
      < 3.680539, -0.836457, -4.550469>,
      < 3.833249, -0.774340, -4.591440>,
      < 3.657806, -0.788328, -4.591999>
    }
    triangle {
      < 3.706223, -0.884353, -4.508931>,
      < 3.840854, -0.873620, -4.508501>,
      < 3.837051, -0.823980, -4.549970>
    }
    triangle {
      < 3.706223, -0.884353, -4.508931>,
      < 3.837051, -0.823980, -4.549970>,
      < 3.680539, -0.836457, -4.550469>
    }
    triangle {
      < 3.728956, -0.932485, -4.467400>,
      < 3.844658, -0.923261, -4.467032>,
      < 3.840854, -0.873620, -4.508501>
    }
    triangle {
      < 3.728956, -0.932485, -4.467400>,
      < 3.840854, -0.873620, -4.508501>,
      < 3.706223, -0.884353, -4.508931>
    }
    triangle {
      < 3.728956, -0.932485, -4.467400>,
      < 3.706223, -0.884353, -4.508931>,
      < 3.840854, -0.873620, -4.508501>
    }
    triangle {
      < 3.728956, -0.932485, -4.467400>,
      < 3.840854, -0.873620, -4.508501>,
      < 3.844658, -0.923261, -4.467032>
    }
    triangle {
      < 3.613251, -0.941708, -4.467769>,
      < 3.568638, -0.895320, -4.509370>,
      < 3.706223, -0.884353, -4.508931>
    }
    triangle {
      < 3.613251, -0.941708, -4.467769>,
      < 3.706223, -0.884353, -4.508931>,
      < 3.728956, -0.932485, -4.467400>
    }
    triangle {
      < 3.497549, -0.950933, -4.468139>,
      < 3.434006, -0.906054, -4.509799>,
      < 3.568638, -0.895320, -4.509370>
    }
    triangle {
      < 3.497549, -0.950933, -4.468139>,
      < 3.568638, -0.895320, -4.509370>,
      < 3.613251, -0.941708, -4.467769>
    }
    triangle {
      < 3.706223, -0.884353, -4.508931>,
      < 3.680539, -0.836457, -4.550469>,
      < 3.837051, -0.823980, -4.549970>
    }
    triangle {
      < 3.706223, -0.884353, -4.508931>,
      < 3.837051, -0.823980, -4.549970>,
      < 3.840854, -0.873620, -4.508501>
    }
    triangle {
      < 3.568638, -0.895320, -4.509370>,
      < 3.526979, -0.848699, -4.550960>,
      < 3.680539, -0.836457, -4.550469>
    }
    triangle {
      < 3.568638, -0.895320, -4.509370>,
      < 3.680539, -0.836457, -4.550469>,
      < 3.706223, -0.884353, -4.508931>
    }
    triangle {
      < 3.434006, -0.906054, -4.509799>,
      < 3.370463, -0.861176, -4.551458>,
      < 3.526979, -0.848699, -4.550960>
    }
    triangle {
      < 3.434006, -0.906054, -4.509799>,
      < 3.526979, -0.848699, -4.550960>,
      < 3.568638, -0.895320, -4.509370>
    }
    triangle {
      < 3.680539, -0.836457, -4.550469>,
      < 3.657806, -0.788328, -4.591999>,
      < 3.833249, -0.774340, -4.591440>
    }
    triangle {
      < 3.680539, -0.836457, -4.550469>,
      < 3.833249, -0.774340, -4.591440>,
      < 3.837051, -0.823980, -4.549970>
    }
    triangle {
      < 3.526979, -0.848699, -4.550960>,
      < 3.482363, -0.802313, -4.592558>,
      < 3.657806, -0.788328, -4.591999>
    }
    triangle {
      < 3.526979, -0.848699, -4.550960>,
      < 3.657806, -0.788328, -4.591999>,
      < 3.680539, -0.836457, -4.550469>
    }
    triangle {
      < 3.370463, -0.861176, -4.551458>,
      < 3.306921, -0.816301, -4.593119>,
      < 3.482363, -0.802313, -4.592558>
    }
    triangle {
      < 3.370463, -0.861176, -4.551458>,
      < 3.482363, -0.802313, -4.592558>,
      < 3.526979, -0.848699, -4.550960>
    }
    texture {fins}
  }
  union {
    triangle {
      < 1.391204, -0.907999, 4.620856>,
      < 1.391204, -0.907999, 4.620856>,
      < 1.380082, -0.927472, 4.627097>
    }
    triangle {
      < 1.391204, -0.907999, 4.620856>,
      < 1.380082, -0.927472, 4.627097>,
      < 1.380082, -0.927472, 4.627097>
    }
    triangle {
      < 1.425985, -0.886655, 4.627097>,
      < 1.426160, -0.888882, 4.615367>,
      < 1.391204, -0.907999, 4.620856>
    }
    triangle {
      < 1.425985, -0.886655, 4.627097>,
      < 1.391204, -0.907999, 4.620856>,
      < 1.391204, -0.907999, 4.620856>
    }
    triangle {
      < 1.480496, -0.869422, 4.627097>,
      < 1.480733, -0.872424, 4.611294>,
      < 1.426160, -0.888882, 4.615367>
    }
    triangle {
      < 1.480496, -0.869422, 4.627097>,
      < 1.426160, -0.888882, 4.615367>,
      < 1.425985, -0.886655, 4.627097>
    }
    triangle {
      < 1.548071, -0.857196, 4.627097>,
      < 1.548341, -0.860610, 4.609128>,
      < 1.480733, -0.872424, 4.611294>
    }
    triangle {
      < 1.548071, -0.857196, 4.627097>,
      < 1.480733, -0.872424, 4.611294>,
      < 1.480496, -0.869422, 4.627097>
    }
    triangle {
      < 1.620557, -0.851452, 4.627097>,
      < 1.620828, -0.854865, 4.609128>,
      < 1.548341, -0.860610, 4.609128>
    }
    triangle {
      < 1.620557, -0.851452, 4.627097>,
      < 1.548341, -0.860610, 4.609128>,
      < 1.548071, -0.857196, 4.627097>
    }
    triangle {
      < 3.865574, -0.673534, 4.627097>,
      < 3.865844, -0.676948, 4.609128>,
      < 1.620828, -0.854865, 4.609128>
    }
    triangle {
      < 3.865574, -0.673534, 4.627097>,
      < 1.620828, -0.854865, 4.609128>,
      < 1.620557, -0.851452, 4.627097>
    }
    texture {barrel}
  }
  union {
    triangle {
      < 3.866781, -0.688795, 4.627097>,
      < 3.866979, -0.691289, 4.613972>,
      < 3.865844, -0.676948, 4.609128>
    }
    triangle {
      < 3.866781, -0.688795, 4.627097>,
      < 3.865844, -0.676948, 4.609128>,
      < 3.865574, -0.673534, 4.627097>
    }
    triangle {
      < 3.676373, -0.703886, 4.627097>,
      < 3.676570, -0.706378, 4.613972>,
      < 3.866979, -0.691289, 4.613972>
    }
    triangle {
      < 3.676373, -0.703886, 4.627097>,
      < 3.866979, -0.691289, 4.613972>,
      < 3.866781, -0.688795, 4.627097>
    }
    triangle {
      < 3.679649, -0.745230, 4.627097>,
      < 3.679649, -0.745230, 4.627097>,
      < 3.676570, -0.706378, 4.613972>
    }
    triangle {
      < 3.679649, -0.745230, 4.627097>,
      < 3.676570, -0.706378, 4.613972>,
      < 3.676373, -0.703886, 4.627097>
    }
    texture {exhaust}
  }
  union {
    triangle {
      < 1.391204, -0.907999, 4.620856>,
      < 1.391204, -0.907999, 4.620856>,
      < 1.380082, -0.927472, 4.627097>
    }
    triangle {
      < 1.391204, -0.907999, 4.620856>,
      < 1.380082, -0.927472, 4.627097>,
      < 1.380082, -0.927472, 4.627097>
    }
    triangle {
      < 1.426160, -0.888882, 4.615367>,
      < 1.426669, -0.895295, 4.605054>,
      < 1.391204, -0.907999, 4.620856>
    }
    triangle {
      < 1.426160, -0.888882, 4.615367>,
      < 1.391204, -0.907999, 4.620856>,
      < 1.391204, -0.907999, 4.620856>
    }
    triangle {
      < 1.480733, -0.872424, 4.611294>,
      < 1.481419, -0.881064, 4.597398>,
      < 1.426669, -0.895295, 4.605054>
    }
    triangle {
      < 1.480733, -0.872424, 4.611294>,
      < 1.426669, -0.895295, 4.605054>,
      < 1.426160, -0.888882, 4.615367>
    }
    triangle {
      < 1.548341, -0.860610, 4.609128>,
      < 1.549119, -0.870437, 4.593326>,
      < 1.481419, -0.881064, 4.597398>
    }
    triangle {
      < 1.548341, -0.860610, 4.609128>,
      < 1.481419, -0.881064, 4.597398>,
      < 1.480733, -0.872424, 4.611294>
    }
    triangle {
      < 1.620828, -0.854865, 4.609128>,
      < 1.621606, -0.864691, 4.593326>,
      < 1.549119, -0.870437, 4.593326>
    }
    triangle {
      < 1.620828, -0.854865, 4.609128>,
      < 1.549119, -0.870437, 4.593326>,
      < 1.548341, -0.860610, 4.609128>
    }
    triangle {
      < 3.865844, -0.676948, 4.609128>,
      < 3.866623, -0.686774, 4.593326>,
      < 1.621606, -0.864691, 4.593326>
    }
    triangle {
      < 3.865844, -0.676948, 4.609128>,
      < 1.621606, -0.864691, 4.593326>,
      < 1.620828, -0.854865, 4.609128>
    }
    texture {barrel}
  }
  union {
    triangle {
      < 3.866979, -0.691289, 4.613972>,
      < 3.867548, -0.698465, 4.602429>,
      < 3.866623, -0.686774, 4.593326>
    }
    triangle {
      < 3.866979, -0.691289, 4.613972>,
      < 3.866623, -0.686774, 4.593326>,
      < 3.865844, -0.676948, 4.609128>
    }
    triangle {
      < 3.676570, -0.706378, 4.613972>,
      < 3.677139, -0.713555, 4.602429>,
      < 3.867548, -0.698465, 4.602429>
    }
    triangle {
      < 3.676570, -0.706378, 4.613972>,
      < 3.867548, -0.698465, 4.602429>,
      < 3.866979, -0.691289, 4.613972>
    }
    triangle {
      < 3.679649, -0.745230, 4.627097>,
      < 3.679649, -0.745230, 4.627097>,
      < 3.677139, -0.713555, 4.602429>
    }
    triangle {
      < 3.679649, -0.745230, 4.627097>,
      < 3.677139, -0.713555, 4.602429>,
      < 3.676570, -0.706378, 4.613972>
    }
    texture {exhaust}
  }
  union {
    triangle {
      < 1.391204, -0.907999, 4.620856>,
      < 1.391889, -0.916641, 4.611294>,
      < 1.380082, -0.927472, 4.627097>
    }
    triangle {
      < 1.391204, -0.907999, 4.620856>,
      < 1.380082, -0.927472, 4.627097>,
      < 1.380082, -0.927472, 4.627097>
    }
    triangle {
      < 1.426669, -0.895295, 4.605054>,
      < 1.427447, -0.905122, 4.597397>,
      < 1.391889, -0.916641, 4.611294>
    }
    triangle {
      < 1.426669, -0.895295, 4.605054>,
      < 1.391889, -0.916641, 4.611294>,
      < 1.391204, -0.907999, 4.620856>
    }
    triangle {
      < 1.481419, -0.881064, 4.597398>,
      < 1.482467, -0.894303, 4.587081>,
      < 1.427447, -0.905122, 4.597397>
    }
    triangle {
      < 1.481419, -0.881064, 4.597398>,
      < 1.427447, -0.905122, 4.597397>,
      < 1.426669, -0.895295, 4.605054>
    }
    triangle {
      < 1.549119, -0.870437, 4.593326>,
      < 1.550311, -0.885491, 4.581594>,
      < 1.482467, -0.894303, 4.587081>
    }
    triangle {
      < 1.549119, -0.870437, 4.593326>,
      < 1.482467, -0.894303, 4.587081>,
      < 1.481419, -0.881064, 4.597398>
    }
    triangle {
      < 1.621606, -0.864691, 4.593326>,
      < 1.622800, -0.879745, 4.581594>,
      < 1.550311, -0.885491, 4.581594>
    }
    triangle {
      < 1.621606, -0.864691, 4.593326>,
      < 1.550311, -0.885491, 4.581594>,
      < 1.549119, -0.870437, 4.593326>
    }
    triangle {
      < 3.866623, -0.686774, 4.593326>,
      < 3.867815, -0.701828, 4.581594>,
      < 1.622800, -0.879745, 4.581594>
    }
    triangle {
      < 3.866623, -0.686774, 4.593326>,
      < 1.622800, -0.879745, 4.581594>,
      < 1.621606, -0.864691, 4.593326>
    }
    texture {barrel}
  }
  union {
    triangle {
      < 3.867548, -0.698465, 4.602429>,
      < 3.868419, -0.709461, 4.593862>,
      < 3.867815, -0.701828, 4.581594>
    }
    triangle {
      < 3.867548, -0.698465, 4.602429>,
      < 3.867815, -0.701828, 4.581594>,
      < 3.866623, -0.686774, 4.593326>
    }
    triangle {
      < 3.677139, -0.713555, 4.602429>,
      < 3.678010, -0.724550, 4.593862>,
      < 3.868419, -0.709461, 4.593862>
    }
    triangle {
      < 3.677139, -0.713555, 4.602429>,
      < 3.868419, -0.709461, 4.593862>,
      < 3.867548, -0.698465, 4.602429>
    }
    triangle {
      < 3.679649, -0.745230, 4.627097>,
      < 3.679649, -0.745230, 4.627097>,
      < 3.678010, -0.724550, 4.593862>
    }
    triangle {
      < 3.679649, -0.745230, 4.627097>,
      < 3.678010, -0.724550, 4.593862>,
      < 3.677139, -0.713555, 4.602429>
    }
    texture {exhaust}
  }
  union {
    triangle {
      < 1.391889, -0.916641, 4.611294>,
      < 1.391889, -0.916641, 4.611294>,
      < 1.380082, -0.927472, 4.627097>
    }
    triangle {
      < 1.391889, -0.916641, 4.611294>,
      < 1.380082, -0.927472, 4.627097>,
      < 1.380082, -0.927472, 4.627097>
    }
    triangle {
      < 1.427447, -0.905122, 4.597397>,
      < 1.428404, -0.917176, 4.593321>,
      < 1.391889, -0.916641, 4.611294>
    }
    triangle {
      < 1.427447, -0.905122, 4.597397>,
      < 1.391889, -0.916641, 4.611294>,
      < 1.391889, -0.916641, 4.611294>
    }
    triangle {
      < 1.482467, -0.894303, 4.587081>,
      < 1.483754, -0.910543, 4.581591>,
      < 1.428404, -0.917176, 4.593321>
    }
    triangle {
      < 1.482467, -0.894303, 4.587081>,
      < 1.428404, -0.917176, 4.593321>,
      < 1.427447, -0.905122, 4.597397>
    }
    triangle {
      < 1.550311, -0.885491, 4.581594>,
      < 1.551776, -0.903958, 4.575349>,
      < 1.483754, -0.910543, 4.581591>
    }
    triangle {
      < 1.550311, -0.885491, 4.581594>,
      < 1.483754, -0.910543, 4.581591>,
      < 1.482467, -0.894303, 4.587081>
    }
    triangle {
      < 1.622800, -0.879745, 4.581594>,
      < 1.624265, -0.898214, 4.575349>,
      < 1.551776, -0.903958, 4.575349>
    }
    triangle {
      < 1.622800, -0.879745, 4.581594>,
      < 1.551776, -0.903958, 4.575349>,
      < 1.550311, -0.885491, 4.581594>
    }
    triangle {
      < 3.867815, -0.701828, 4.581594>,
      < 3.869279, -0.720297, 4.575349>,
      < 1.624265, -0.898214, 4.575349>
    }
    triangle {
      < 3.867815, -0.701828, 4.581594>,
      < 1.624265, -0.898214, 4.575349>,
      < 1.622800, -0.879745, 4.581594>
    }
    texture {barrel}
  }
  union {
    triangle {
      < 3.868419, -0.709461, 4.593862>,
      < 3.869489, -0.722950, 4.589301>,
      < 3.869279, -0.720297, 4.575349>
    }
    triangle {
      < 3.868419, -0.709461, 4.593862>,
      < 3.869279, -0.720297, 4.575349>,
      < 3.867815, -0.701828, 4.581594>
    }
    triangle {
      < 3.678010, -0.724550, 4.593862>,
      < 3.679079, -0.738040, 4.589301>,
      < 3.869489, -0.722950, 4.589301>
    }
    triangle {
      < 3.678010, -0.724550, 4.593862>,
      < 3.869489, -0.722950, 4.589301>,
      < 3.868419, -0.709461, 4.593862>
    }
    triangle {
      < 3.679649, -0.745230, 4.627097>,
      < 3.679649, -0.745230, 4.627097>,
      < 3.679079, -0.738040, 4.589301>
    }
    triangle {
      < 3.679649, -0.745230, 4.627097>,
      < 3.679079, -0.738040, 4.589301>,
      < 3.678010, -0.724550, 4.593862>
    }
    texture {exhaust}
  }
  union {
    triangle {
      < 1.391889, -0.916641, 4.611294>,
      < 1.392938, -0.929881, 4.609122>,
      < 1.380082, -0.927472, 4.627097>
    }
    triangle {
      < 1.391889, -0.916641, 4.611294>,
      < 1.380082, -0.927472, 4.627097>,
      < 1.380082, -0.927472, 4.627097>
    }
    triangle {
      < 1.428404, -0.917176, 4.593321>,
      < 1.429419, -0.930005, 4.593319>,
      < 1.392938, -0.929881, 4.609122>
    }
    triangle {
      < 1.428404, -0.917176, 4.593321>,
      < 1.392938, -0.929881, 4.609122>,
      < 1.391889, -0.916641, 4.611294>
    }
    triangle {
      < 1.483754, -0.910543, 4.581591>,
      < 1.485124, -0.927828, 4.581585>,
      < 1.429419, -0.930005, 4.593319>
    }
    triangle {
      < 1.483754, -0.910543, 4.581591>,
      < 1.429419, -0.930005, 4.593319>,
      < 1.428404, -0.917176, 4.593321>
    }
    triangle {
      < 1.551776, -0.903958, 4.575349>,
      < 1.553334, -0.923613, 4.575344>,
      < 1.485124, -0.927828, 4.581585>
    }
    triangle {
      < 1.551776, -0.903958, 4.575349>,
      < 1.485124, -0.927828, 4.581585>,
      < 1.483754, -0.910543, 4.581591>
    }
    triangle {
      < 1.624265, -0.898214, 4.575349>,
      < 1.625822, -0.917869, 4.575344>,
      < 1.553334, -0.923613, 4.575344>
    }
    triangle {
      < 1.624265, -0.898214, 4.575349>,
      < 1.553334, -0.923613, 4.575344>,
      < 1.551776, -0.903958, 4.575349>
    }
    triangle {
      < 3.869279, -0.720297, 4.575349>,
      < 3.870837, -0.739952, 4.575344>,
      < 1.625822, -0.917869, 4.575344>
    }
    triangle {
      < 3.869279, -0.720297, 4.575349>,
      < 1.625822, -0.917869, 4.575344>,
      < 1.624265, -0.898214, 4.575349>
    }
    texture {barrel}
  }
  union {
    triangle {
      < 3.869489, -0.722950, 4.589301>,
      < 3.870628, -0.737305, 4.589298>,
      < 3.870837, -0.739952, 4.575344>
    }
    triangle {
      < 3.869489, -0.722950, 4.589301>,
      < 3.870837, -0.739952, 4.575344>,
      < 3.869279, -0.720297, 4.575349>
    }
    triangle {
      < 3.679079, -0.738040, 4.589301>,
      < 3.680218, -0.752396, 4.589298>,
      < 3.870628, -0.737305, 4.589298>
    }
    triangle {
      < 3.679079, -0.738040, 4.589301>,
      < 3.870628, -0.737305, 4.589298>,
      < 3.869489, -0.722950, 4.589301>
    }
    triangle {
      < 3.679649, -0.745230, 4.627097>,
      < 3.679649, -0.745230, 4.627097>,
      < 3.680218, -0.752396, 4.589298>
    }
    triangle {
      < 3.679649, -0.745230, 4.627097>,
      < 3.680218, -0.752396, 4.589298>,
      < 3.679079, -0.738040, 4.589301>
    }
    texture {exhaust}
  }
  union {
    triangle {
      < 1.392938, -0.929881, 4.609122>,
      < 1.392938, -0.929881, 4.609122>,
      < 1.380082, -0.927472, 4.627097>
    }
    triangle {
      < 1.392938, -0.929881, 4.609122>,
      < 1.380082, -0.927472, 4.627097>,
      < 1.380082, -0.927472, 4.627097>
    }
    triangle {
      < 1.429419, -0.930005, 4.593319>,
      < 1.430376, -0.942063, 4.597388>,
      < 1.392938, -0.929881, 4.609122>
    }
    triangle {
      < 1.429419, -0.930005, 4.593319>,
      < 1.392938, -0.929881, 4.609122>,
      < 1.392938, -0.929881, 4.609122>
    }
    triangle {
      < 1.485124, -0.927828, 4.581585>,
      < 1.486413, -0.944074, 4.587069>,
      < 1.430376, -0.942063, 4.597388>
    }
    triangle {
      < 1.485124, -0.927828, 4.581585>,
      < 1.430376, -0.942063, 4.597388>,
      < 1.429419, -0.930005, 4.593319>
    }
    triangle {
      < 1.553334, -0.923613, 4.575344>,
      < 1.554797, -0.942086, 4.581578>,
      < 1.486413, -0.944074, 4.587069>
    }
    triangle {
      < 1.553334, -0.923613, 4.575344>,
      < 1.486413, -0.944074, 4.587069>,
      < 1.485124, -0.927828, 4.581585>
    }
    triangle {
      < 1.625822, -0.917869, 4.575344>,
      < 1.627286, -0.936341, 4.581578>,
      < 1.554797, -0.942086, 4.581578>
    }
    triangle {
      < 1.625822, -0.917869, 4.575344>,
      < 1.554797, -0.942086, 4.581578>,
      < 1.553334, -0.923613, 4.575344>
    }
    triangle {
      < 3.870837, -0.739952, 4.575344>,
      < 3.872301, -0.758424, 4.581578>,
      < 1.627286, -0.936341, 4.581578>
    }
    triangle {
      < 3.870837, -0.739952, 4.575344>,
      < 1.627286, -0.936341, 4.581578>,
      < 1.625822, -0.917869, 4.575344>
    }
    texture {barrel}
  }
  union {
    triangle {
      < 3.870628, -0.737305, 4.589298>,
      < 3.871696, -0.750799, 4.593850>,
      < 3.872301, -0.758424, 4.581578>
    }
    triangle {
      < 3.870628, -0.737305, 4.589298>,
      < 3.872301, -0.758424, 4.581578>,
      < 3.870837, -0.739952, 4.575344>
    }
    triangle {
      < 3.680218, -0.752396, 4.589298>,
      < 3.681286, -0.765889, 4.593850>,
      < 3.871696, -0.750799, 4.593850>
    }
    triangle {
      < 3.680218, -0.752396, 4.589298>,
      < 3.871696, -0.750799, 4.593850>,
      < 3.870628, -0.737305, 4.589298>
    }
    triangle {
      < 3.679649, -0.745230, 4.627097>,
      < 3.679649, -0.745230, 4.627097>,
      < 3.681286, -0.765889, 4.593850>
    }
    triangle {
      < 3.679649, -0.745230, 4.627097>,
      < 3.681286, -0.765889, 4.593850>,
      < 3.680218, -0.752396, 4.589298>
    }
    texture {exhaust}
  }
  union {
    triangle {
      < 1.392938, -0.929881, 4.609122>,
      < 1.393862, -0.941528, 4.615359>,
      < 1.380082, -0.927472, 4.627097>
    }
    triangle {
      < 1.392938, -0.929881, 4.609122>,
      < 1.380082, -0.927472, 4.627097>,
      < 1.380082, -0.927472, 4.627097>
    }
    triangle {
      < 1.430376, -0.942063, 4.597388>,
      < 1.431154, -0.951894, 4.605038>,
      < 1.393862, -0.941528, 4.615359>
    }
    triangle {
      < 1.430376, -0.942063, 4.597388>,
      < 1.393862, -0.941528, 4.615359>,
      < 1.392938, -0.929881, 4.609122>
    }
    triangle {
      < 1.486413, -0.944074, 4.587069>,
      < 1.487462, -0.957319, 4.597377>,
      < 1.431154, -0.951894, 4.605038>
    }
    triangle {
      < 1.486413, -0.944074, 4.587069>,
      < 1.431154, -0.951894, 4.605038>,
      < 1.430376, -0.942063, 4.597388>
    }
    triangle {
      < 1.554797, -0.942086, 4.581578>,
      < 1.555992, -0.957147, 4.593301>,
      < 1.487462, -0.957319, 4.597377>
    }
    triangle {
      < 1.554797, -0.942086, 4.581578>,
      < 1.487462, -0.957319, 4.597377>,
      < 1.486413, -0.944074, 4.587069>
    }
    triangle {
      < 1.627286, -0.936341, 4.581578>,
      < 1.628478, -0.951404, 4.593301>,
      < 1.555992, -0.957147, 4.593301>
    }
    triangle {
      < 1.627286, -0.936341, 4.581578>,
      < 1.555992, -0.957147, 4.593301>,
      < 1.554797, -0.942086, 4.581578>
    }
    triangle {
      < 3.872301, -0.758424, 4.581578>,
      < 3.873494, -0.773487, 4.593301>,
      < 1.628478, -0.951404, 4.593301>
    }
    triangle {
      < 3.872301, -0.758424, 4.581578>,
      < 1.628478, -0.951404, 4.593301>,
      < 1.627286, -0.936341, 4.581578>
    }
    texture {barrel}
  }
  union {
    triangle {
      < 3.871696, -0.750799, 4.593850>,
      < 3.872567, -0.761800, 4.602413>,
      < 3.873494, -0.773487, 4.593301>
    }
    triangle {
      < 3.871696, -0.750799, 4.593850>,
      < 3.873494, -0.773487, 4.593301>,
      < 3.872301, -0.758424, 4.581578>
    }
    triangle {
      < 3.681286, -0.765889, 4.593850>,
      < 3.682157, -0.776890, 4.602413>,
      < 3.872567, -0.761800, 4.602413>
    }
    triangle {
      < 3.681286, -0.765889, 4.593850>,
      < 3.872567, -0.761800, 4.602413>,
      < 3.871696, -0.750799, 4.593850>
    }
    triangle {
      < 3.679649, -0.745230, 4.627097>,
      < 3.679649, -0.745230, 4.627097>,
      < 3.682157, -0.776890, 4.602413>
    }
    triangle {
      < 3.679649, -0.745230, 4.627097>,
      < 3.682157, -0.776890, 4.602413>,
      < 3.681286, -0.765889, 4.593850>
    }
    texture {exhaust}
  }
  union {
    triangle {
      < 1.393862, -0.941528, 4.615359>,
      < 1.393862, -0.941528, 4.615359>,
      < 1.380082, -0.927472, 4.627097>
    }
    triangle {
      < 1.393862, -0.941528, 4.615359>,
      < 1.380082, -0.927472, 4.627097>,
      < 1.380082, -0.927472, 4.627097>
    }
    triangle {
      < 1.431154, -0.951894, 4.605038>,
      < 1.431663, -0.958314, 4.615349>,
      < 1.393862, -0.941528, 4.615359>
    }
    triangle {
      < 1.431154, -0.951894, 4.605038>,
      < 1.393862, -0.941528, 4.615359>,
      < 1.393862, -0.941528, 4.615359>
    }
    triangle {
      < 1.487462, -0.957319, 4.597377>,
      < 1.488146, -0.965969, 4.611270>,
      < 1.431663, -0.958314, 4.615349>
    }
    triangle {
      < 1.487462, -0.957319, 4.597377>,
      < 1.431663, -0.958314, 4.615349>,
      < 1.431154, -0.951894, 4.605038>
    }
    triangle {
      < 1.555992, -0.957147, 4.593301>,
      < 1.556771, -0.966984, 4.609098>,
      < 1.488146, -0.965969, 4.611270>
    }
    triangle {
      < 1.555992, -0.957147, 4.593301>,
      < 1.488146, -0.965969, 4.611270>,
      < 1.487462, -0.957319, 4.597377>
    }
    triangle {
      < 1.628478, -0.951404, 4.593301>,
      < 1.629259, -0.961239, 4.609098>,
      < 1.556771, -0.966984, 4.609098>
    }
    triangle {
      < 1.628478, -0.951404, 4.593301>,
      < 1.556771, -0.966984, 4.609098>,
      < 1.555992, -0.957147, 4.593301>
    }
    triangle {
      < 3.873494, -0.773487, 4.593301>,
      < 3.874274, -0.783322, 4.609098>,
      < 1.629259, -0.961239, 4.609098>
    }
    triangle {
      < 3.873494, -0.773487, 4.593301>,
      < 1.629259, -0.961239, 4.609098>,
      < 1.628478, -0.951404, 4.593301>
    }
    texture {barrel}
  }
  union {
    triangle {
      < 3.872567, -0.761800, 4.602413>,
      < 3.873138, -0.768985, 4.613951>,
      < 3.874274, -0.783322, 4.609098>
    }
    triangle {
      < 3.872567, -0.761800, 4.602413>,
      < 3.874274, -0.783322, 4.609098>,
      < 3.873494, -0.773487, 4.593301>
    }
    triangle {
      < 3.682157, -0.776890, 4.602413>,
      < 3.682729, -0.784073, 4.613951>,
      < 3.873138, -0.768985, 4.613951>
    }
    triangle {
      < 3.682157, -0.776890, 4.602413>,
      < 3.873138, -0.768985, 4.613951>,
      < 3.872567, -0.761800, 4.602413>
    }
    triangle {
      < 3.679649, -0.745230, 4.627097>,
      < 3.679649, -0.745230, 4.627097>,
      < 3.682729, -0.784073, 4.613951>
    }
    triangle {
      < 3.679649, -0.745230, 4.627097>,
      < 3.682729, -0.784073, 4.613951>,
      < 3.682157, -0.776890, 4.602413>
    }
    texture {exhaust}
  }
  union {
    triangle {
      < 1.393862, -0.941528, 4.615359>,
      < 1.394226, -0.946133, 4.627086>,
      < 1.380082, -0.927472, 4.627097>
    }
    triangle {
      < 1.393862, -0.941528, 4.615359>,
      < 1.380082, -0.927472, 4.627097>,
      < 1.380082, -0.927472, 4.627097>
    }
    triangle {
      < 1.431663, -0.958314, 4.615349>,
      < 1.431841, -0.960549, 4.627077>,
      < 1.394226, -0.946133, 4.627086>
    }
    triangle {
      < 1.431663, -0.958314, 4.615349>,
      < 1.394226, -0.946133, 4.627086>,
      < 1.393862, -0.941528, 4.615359>
    }
    triangle {
      < 1.488146, -0.965969, 4.611270>,
      < 1.488386, -0.968979, 4.627069>,
      < 1.431841, -0.960549, 4.627077>
    }
    triangle {
      < 1.488146, -0.965969, 4.611270>,
      < 1.431841, -0.960549, 4.627077>,
      < 1.431663, -0.958314, 4.615349>
    }
    triangle {
      < 1.556771, -0.966984, 4.609098>,
      < 1.557042, -0.970408, 4.627066>,
      < 1.488386, -0.968979, 4.627069>
    }
    triangle {
      < 1.556771, -0.966984, 4.609098>,
      < 1.488386, -0.968979, 4.627069>,
      < 1.488146, -0.965969, 4.611270>
    }
    triangle {
      < 1.629259, -0.961239, 4.609098>,
      < 1.629530, -0.964664, 4.627066>,
      < 1.557042, -0.970408, 4.627066>
    }
    triangle {
      < 1.629259, -0.961239, 4.609098>,
      < 1.557042, -0.970408, 4.627066>,
      < 1.556771, -0.966984, 4.609098>
    }
    triangle {
      < 3.874274, -0.783322, 4.609098>,
      < 3.874545, -0.786747, 4.627066>,
      < 1.629530, -0.964664, 4.627066>
    }
    triangle {
      < 3.874274, -0.783322, 4.609098>,
      < 1.629530, -0.964664, 4.627066>,
      < 1.629259, -0.961239, 4.609098>
    }
    texture {barrel}
  }
  union {
    triangle {
      < 3.873138, -0.768985, 4.613951>,
      < 3.873337, -0.771485, 4.627075>,
      < 3.874545, -0.786747, 4.627066>
    }
    triangle {
      < 3.873138, -0.768985, 4.613951>,
      < 3.874545, -0.786747, 4.627066>,
      < 3.874274, -0.783322, 4.609098>
    }
    triangle {
      < 3.682729, -0.784073, 4.613951>,
      < 3.682925, -0.786575, 4.627075>,
      < 3.873337, -0.771485, 4.627075>
    }
    triangle {
      < 3.682729, -0.784073, 4.613951>,
      < 3.873337, -0.771485, 4.627075>,
      < 3.873138, -0.768985, 4.613951>
    }
    triangle {
      < 3.679649, -0.745230, 4.627097>,
      < 3.679649, -0.745230, 4.627097>,
      < 3.682925, -0.786575, 4.627075>
    }
    triangle {
      < 3.679649, -0.745230, 4.627097>,
      < 3.682925, -0.786575, 4.627075>,
      < 3.682729, -0.784073, 4.613951>
    }
    texture {exhaust}
  }
  union {
    triangle {
      < 1.394226, -0.946133, 4.627086>,
      < 1.394226, -0.946133, 4.627086>,
      < 1.380082, -0.927472, 4.627097>
    }
    triangle {
      < 1.394226, -0.946133, 4.627086>,
      < 1.380082, -0.927472, 4.627097>,
      < 1.380082, -0.927472, 4.627097>
    }
    triangle {
      < 1.431841, -0.960549, 4.627077>,
      < 1.431665, -0.958328, 4.638806>,
      < 1.394226, -0.946133, 4.627086>
    }
    triangle {
      < 1.431841, -0.960549, 4.627077>,
      < 1.394226, -0.946133, 4.627086>,
      < 1.394226, -0.946133, 4.627086>
    }
    triangle {
      < 1.488386, -0.968979, 4.627069>,
      < 1.488149, -0.965989, 4.642873>,
      < 1.431665, -0.958328, 4.638806>
    }
    triangle {
      < 1.488386, -0.968979, 4.627069>,
      < 1.431665, -0.958328, 4.638806>,
      < 1.431841, -0.960549, 4.627077>
    }
    triangle {
      < 1.557042, -0.970408, 4.627066>,
      < 1.556772, -0.967007, 4.645037>,
      < 1.488149, -0.965989, 4.642873>
    }
    triangle {
      < 1.557042, -0.970408, 4.627066>,
      < 1.488149, -0.965989, 4.642873>,
      < 1.488386, -0.968979, 4.627069>
    }
    triangle {
      < 1.629530, -0.964664, 4.627066>,
      < 1.629261, -0.961262, 4.645037>,
      < 1.556772, -0.967007, 4.645037>
    }
    triangle {
      < 1.629530, -0.964664, 4.627066>,
      < 1.556772, -0.967007, 4.645037>,
      < 1.557042, -0.970408, 4.627066>
    }
    triangle {
      < 3.874545, -0.786747, 4.627066>,
      < 3.874275, -0.783345, 4.645037>,
      < 1.629261, -0.961262, 4.645037>
    }
    triangle {
      < 3.874545, -0.786747, 4.627066>,
      < 1.629261, -0.961262, 4.645037>,
      < 1.629530, -0.964664, 4.627066>
    }
    texture {barrel}
  }
  union {
    triangle {
      < 3.873337, -0.771485, 4.627075>,
      < 3.873139, -0.769001, 4.640201>,
      < 3.874275, -0.783345, 4.645037>
    }
    triangle {
      < 3.873337, -0.771485, 4.627075>,
      < 3.874275, -0.783345, 4.645037>,
      < 3.874545, -0.786747, 4.627066>
    }
    triangle {
      < 3.682925, -0.786575, 4.627075>,
      < 3.682730, -0.784091, 4.640201>,
      < 3.873139, -0.769001, 4.640201>
    }
    triangle {
      < 3.682925, -0.786575, 4.627075>,
      < 3.873139, -0.769001, 4.640201>,
      < 3.873337, -0.771485, 4.627075>
    }
    triangle {
      < 3.679649, -0.745230, 4.627097>,
      < 3.679649, -0.745230, 4.627097>,
      < 3.682730, -0.784091, 4.640201>
    }
    triangle {
      < 3.679649, -0.745230, 4.627097>,
      < 3.682730, -0.784091, 4.640201>,
      < 3.682925, -0.786575, 4.627075>
    }
    texture {exhaust}
  }
  union {
    triangle {
      < 1.394226, -0.946133, 4.627086>,
      < 1.393863, -0.941543, 4.638816>,
      < 1.380082, -0.927472, 4.627097>
    }
    triangle {
      < 1.394226, -0.946133, 4.627086>,
      < 1.380082, -0.927472, 4.627097>,
      < 1.380082, -0.927472, 4.627097>
    }
    triangle {
      < 1.431665, -0.958328, 4.638806>,
      < 1.431156, -0.951921, 4.649124>,
      < 1.393863, -0.941543, 4.638816>
    }
    triangle {
      < 1.431665, -0.958328, 4.638806>,
      < 1.393863, -0.941543, 4.638816>,
      < 1.394226, -0.946133, 4.627086>
    }
    triangle {
      < 1.488149, -0.965989, 4.642873>,
      < 1.487465, -0.957356, 4.656774>,
      < 1.431156, -0.951921, 4.649124>
    }
    triangle {
      < 1.488149, -0.965989, 4.642873>,
      < 1.431156, -0.951921, 4.649124>,
      < 1.431665, -0.958328, 4.638806>
    }
    triangle {
      < 1.556772, -0.967007, 4.645037>,
      < 1.555995, -0.957191, 4.660847>,
      < 1.487465, -0.957356, 4.656774>
    }
    triangle {
      < 1.556772, -0.967007, 4.645037>,
      < 1.487465, -0.957356, 4.656774>,
      < 1.488149, -0.965989, 4.642873>
    }
    triangle {
      < 1.629261, -0.961262, 4.645037>,
      < 1.628482, -0.951446, 4.660847>,
      < 1.555995, -0.957191, 4.660847>
    }
    triangle {
      < 1.629261, -0.961262, 4.645037>,
      < 1.555995, -0.957191, 4.660847>,
      < 1.556772, -0.967007, 4.645037>
    }
    triangle {
      < 3.874275, -0.783345, 4.645037>,
      < 3.873498, -0.773529, 4.660847>,
      < 1.628482, -0.951446, 4.660847>
    }
    triangle {
      < 3.874275, -0.783345, 4.645037>,
      < 1.628482, -0.951446, 4.660847>,
      < 1.629261, -0.961262, 4.645037>
    }
    texture {barrel}
  }
  union {
    triangle {
      < 3.873139, -0.769001, 4.640201>,
      < 3.872569, -0.761831, 4.651747>,
      < 3.873498, -0.773529, 4.660847>
    }
    triangle {
      < 3.873139, -0.769001, 4.640201>,
      < 3.873498, -0.773529, 4.660847>,
      < 3.874275, -0.783345, 4.645037>
    }
    triangle {
      < 3.682730, -0.784091, 4.640201>,
      < 3.682160, -0.776922, 4.651747>,
      < 3.872569, -0.761831, 4.651747>
    }
    triangle {
      < 3.682730, -0.784091, 4.640201>,
      < 3.872569, -0.761831, 4.651747>,
      < 3.873139, -0.769001, 4.640201>
    }
    triangle {
      < 3.679649, -0.745230, 4.627097>,
      < 3.679649, -0.745230, 4.627097>,
      < 3.682160, -0.776922, 4.651747>
    }
    triangle {
      < 3.679649, -0.745230, 4.627097>,
      < 3.682160, -0.776922, 4.651747>,
      < 3.682730, -0.784091, 4.640201>
    }
    texture {exhaust}
  }
  union {
    triangle {
      < 1.393863, -0.941543, 4.638816>,
      < 1.393863, -0.941543, 4.638816>,
      < 1.380082, -0.927472, 4.627097>
    }
    triangle {
      < 1.393863, -0.941543, 4.638816>,
      < 1.380082, -0.927472, 4.627097>,
      < 1.380082, -0.927472, 4.627097>
    }
    triangle {
      < 1.431156, -0.951921, 4.649124>,
      < 1.430379, -0.942100, 4.656787>,
      < 1.393863, -0.941543, 4.638816>
    }
    triangle {
      < 1.431156, -0.951921, 4.649124>,
      < 1.393863, -0.941543, 4.638816>,
      < 1.393863, -0.941543, 4.638816>
    }
    triangle {
      < 1.487465, -0.957356, 4.656774>,
      < 1.486415, -0.944124, 4.667098>,
      < 1.430379, -0.942100, 4.656787>
    }
    triangle {
      < 1.487465, -0.957356, 4.656774>,
      < 1.430379, -0.942100, 4.656787>,
      < 1.431156, -0.951921, 4.649124>
    }
    triangle {
      < 1.555995, -0.957191, 4.660847>,
      < 1.554803, -0.942144, 4.672584>,
      < 1.486415, -0.944124, 4.667098>
    }
    triangle {
      < 1.555995, -0.957191, 4.660847>,
      < 1.486415, -0.944124, 4.667098>,
      < 1.487465, -0.957356, 4.656774>
    }
    triangle {
      < 1.628482, -0.951446, 4.660847>,
      < 1.627290, -0.936399, 4.672584>,
      < 1.554803, -0.942144, 4.672584>
    }
    triangle {
      < 1.628482, -0.951446, 4.660847>,
      < 1.554803, -0.942144, 4.672584>,
      < 1.555995, -0.957191, 4.660847>
    }
    triangle {
      < 3.873498, -0.773529, 4.660847>,
      < 3.872306, -0.758482, 4.672584>,
      < 1.627290, -0.936399, 4.672584>
    }
    triangle {
      < 3.873498, -0.773529, 4.660847>,
      < 1.627290, -0.936399, 4.672584>,
      < 1.628482, -0.951446, 4.660847>
    }
    texture {barrel}
  }
  union {
    triangle {
      < 3.872569, -0.761831, 4.651747>,
      < 3.871700, -0.750841, 4.660322>,
      < 3.872306, -0.758482, 4.672584>
    }
    triangle {
      < 3.872569, -0.761831, 4.651747>,
      < 3.872306, -0.758482, 4.672584>,
      < 3.873498, -0.773529, 4.660847>
    }
    triangle {
      < 3.682160, -0.776922, 4.651747>,
      < 3.681290, -0.765932, 4.660322>,
      < 3.871700, -0.750841, 4.660322>
    }
    triangle {
      < 3.682160, -0.776922, 4.651747>,
      < 3.871700, -0.750841, 4.660322>,
      < 3.872569, -0.761831, 4.651747>
    }
    triangle {
      < 3.679649, -0.745230, 4.627097>,
      < 3.679649, -0.745230, 4.627097>,
      < 3.681290, -0.765932, 4.660322>
    }
    triangle {
      < 3.679649, -0.745230, 4.627097>,
      < 3.681290, -0.765932, 4.660322>,
      < 3.682160, -0.776922, 4.651747>
    }
    texture {exhaust}
  }
  union {
    triangle {
      < 1.393863, -0.941543, 4.638816>,
      < 1.392940, -0.929904, 4.645067>,
      < 1.380082, -0.927472, 4.627097>
    }
    triangle {
      < 1.393863, -0.941543, 4.638816>,
      < 1.380082, -0.927472, 4.627097>,
      < 1.380082, -0.927472, 4.627097>
    }
    triangle {
      < 1.430379, -0.942100, 4.656787>,
      < 1.429423, -0.930048, 4.660870>,
      < 1.392940, -0.929904, 4.645067>
    }
    triangle {
      < 1.430379, -0.942100, 4.656787>,
      < 1.392940, -0.929904, 4.645067>,
      < 1.393863, -0.941543, 4.638816>
    }
    triangle {
      < 1.486415, -0.944124, 4.667098>,
      < 1.485130, -0.927886, 4.672597>,
      < 1.429423, -0.930048, 4.660870>
    }
    triangle {
      < 1.486415, -0.944124, 4.667098>,
      < 1.429423, -0.930048, 4.660870>,
      < 1.430379, -0.942100, 4.656787>
    }
    triangle {
      < 1.554803, -0.942144, 4.672584>,
      < 1.553340, -0.923679, 4.678838>,
      < 1.485130, -0.927886, 4.672597>
    }
    triangle {
      < 1.554803, -0.942144, 4.672584>,
      < 1.485130, -0.927886, 4.672597>,
      < 1.486415, -0.944124, 4.667098>
    }
    triangle {
      < 1.627290, -0.936399, 4.672584>,
      < 1.625826, -0.917936, 4.678838>,
      < 1.553340, -0.923679, 4.678838>
    }
    triangle {
      < 1.627290, -0.936399, 4.672584>,
      < 1.553340, -0.923679, 4.678838>,
      < 1.554803, -0.942144, 4.672584>
    }
    triangle {
      < 3.872306, -0.758482, 4.672584>,
      < 3.870842, -0.740017, 4.678838>,
      < 1.625826, -0.917936, 4.678838>
    }
    triangle {
      < 3.872306, -0.758482, 4.672584>,
      < 1.625826, -0.917936, 4.678838>,
      < 1.627290, -0.936399, 4.672584>
    }
    texture {barrel}
  }
  union {
    triangle {
      < 3.871700, -0.750841, 4.660322>,
      < 3.870630, -0.737354, 4.664888>,
      < 3.870842, -0.740017, 4.678838>
    }
    triangle {
      < 3.871700, -0.750841, 4.660322>,
      < 3.870842, -0.740017, 4.678838>,
      < 3.872306, -0.758482, 4.672584>
    }
    triangle {
      < 3.681290, -0.765932, 4.660322>,
      < 3.680221, -0.752445, 4.664888>,
      < 3.870630, -0.737354, 4.664888>
    }
    triangle {
      < 3.681290, -0.765932, 4.660322>,
      < 3.870630, -0.737354, 4.664888>,
      < 3.871700, -0.750841, 4.660322>
    }
    triangle {
      < 3.679649, -0.745230, 4.627097>,
      < 3.679649, -0.745230, 4.627097>,
      < 3.680221, -0.752445, 4.664888>
    }
    triangle {
      < 3.679649, -0.745230, 4.627097>,
      < 3.680221, -0.752445, 4.664888>,
      < 3.681290, -0.765932, 4.660322>
    }
    texture {exhaust}
  }
  union {
    triangle {
      < 1.392940, -0.929904, 4.645067>,
      < 1.392940, -0.929904, 4.645067>,
      < 1.380082, -0.927472, 4.627097>
    }
    triangle {
      < 1.392940, -0.929904, 4.645067>,
      < 1.380082, -0.927472, 4.627097>,
      < 1.380082, -0.927472, 4.627097>
    }
    triangle {
      < 1.429423, -0.930048, 4.660870>,
      < 1.428406, -0.917219, 4.660880>,
      < 1.392940, -0.929904, 4.645067>
    }
    triangle {
      < 1.429423, -0.930048, 4.660870>,
      < 1.392940, -0.929904, 4.645067>,
      < 1.392940, -0.929904, 4.645067>
    }
    triangle {
      < 1.485130, -0.927886, 4.672597>,
      < 1.483759, -0.910602, 4.672613>,
      < 1.428406, -0.917219, 4.660880>
    }
    triangle {
      < 1.485130, -0.927886, 4.672597>,
      < 1.428406, -0.917219, 4.660880>,
      < 1.429423, -0.930048, 4.660870>
    }
    triangle {
      < 1.553340, -0.923679, 4.678838>,
      < 1.551782, -0.904024, 4.678856>,
      < 1.483759, -0.910602, 4.672613>
    }
    triangle {
      < 1.553340, -0.923679, 4.678838>,
      < 1.483759, -0.910602, 4.672613>,
      < 1.485130, -0.927886, 4.672597>
    }
    triangle {
      < 1.625826, -0.917936, 4.678838>,
      < 1.624268, -0.898280, 4.678856>,
      < 1.551782, -0.904024, 4.678856>
    }
    triangle {
      < 1.625826, -0.917936, 4.678838>,
      < 1.551782, -0.904024, 4.678856>,
      < 1.553340, -0.923679, 4.678838>
    }
    triangle {
      < 3.870842, -0.740017, 4.678838>,
      < 3.869284, -0.720363, 4.678856>,
      < 1.624268, -0.898280, 4.678856>
    }
    triangle {
      < 3.870842, -0.740017, 4.678838>,
      < 1.624268, -0.898280, 4.678856>,
      < 1.625826, -0.917936, 4.678838>
    }
    texture {barrel}
  }
  union {
    triangle {
      < 3.870630, -0.737354, 4.664888>,
      < 3.869492, -0.722999, 4.664901>,
      < 3.869284, -0.720363, 4.678856>
    }
    triangle {
      < 3.870630, -0.737354, 4.664888>,
      < 3.869284, -0.720363, 4.678856>,
      < 3.870842, -0.740017, 4.678838>
    }
    triangle {
      < 3.680221, -0.752445, 4.664888>,
      < 3.679084, -0.738088, 4.664901>,
      < 3.869492, -0.722999, 4.664901>
    }
    triangle {
      < 3.680221, -0.752445, 4.664888>,
      < 3.869492, -0.722999, 4.664901>,
      < 3.870630, -0.737354, 4.664888>
    }
    triangle {
      < 3.679649, -0.745230, 4.627097>,
      < 3.679649, -0.745230, 4.627097>,
      < 3.679084, -0.738088, 4.664901>
    }
    triangle {
      < 3.679649, -0.745230, 4.627097>,
      < 3.679084, -0.738088, 4.664901>,
      < 3.680221, -0.752445, 4.664888>
    }
    texture {exhaust}
  }
  union {
    triangle {
      < 1.392940, -0.929904, 4.645067>,
      < 1.391891, -0.916661, 4.642910>,
      < 1.380082, -0.927472, 4.627097>
    }
    triangle {
      < 1.392940, -0.929904, 4.645067>,
      < 1.380082, -0.927472, 4.627097>,
      < 1.380082, -0.927472, 4.627097>
    }
    triangle {
      < 1.428406, -0.917219, 4.660880>,
      < 1.427450, -0.905159, 4.656817>,
      < 1.391891, -0.916661, 4.642910>
    }
    triangle {
      < 1.428406, -0.917219, 4.660880>,
      < 1.391891, -0.916661, 4.642910>,
      < 1.392940, -0.929904, 4.645067>
    }
    triangle {
      < 1.483759, -0.910602, 4.672613>,
      < 1.482471, -0.894354, 4.667140>,
      < 1.427450, -0.905159, 4.656817>
    }
    triangle {
      < 1.483759, -0.910602, 4.672613>,
      < 1.427450, -0.905159, 4.656817>,
      < 1.428406, -0.917219, 4.660880>
    }
    triangle {
      < 1.551782, -0.904024, 4.678856>,
      < 1.550317, -0.885548, 4.672631>,
      < 1.482471, -0.894354, 4.667140>
    }
    triangle {
      < 1.551782, -0.904024, 4.678856>,
      < 1.482471, -0.894354, 4.667140>,
      < 1.483759, -0.910602, 4.672613>
    }
    triangle {
      < 1.624268, -0.898280, 4.678856>,
      < 1.622803, -0.879803, 4.672631>,
      < 1.550317, -0.885548, 4.672631>
    }
    triangle {
      < 1.624268, -0.898280, 4.678856>,
      < 1.550317, -0.885548, 4.672631>,
      < 1.551782, -0.904024, 4.678856>
    }
    triangle {
      < 3.869284, -0.720363, 4.678856>,
      < 3.867820, -0.701886, 4.672631>,
      < 1.622803, -0.879803, 4.672631>
    }
    triangle {
      < 3.869284, -0.720363, 4.678856>,
      < 1.622803, -0.879803, 4.672631>,
      < 1.624268, -0.898280, 4.678856>
    }
    texture {barrel}
  }
  union {
    triangle {
      < 3.869492, -0.722999, 4.664901>,
      < 3.868423, -0.709503, 4.660354>,
      < 3.867820, -0.701886, 4.672631>
    }
    triangle {
      < 3.869492, -0.722999, 4.664901>,
      < 3.867820, -0.701886, 4.672631>,
      < 3.869284, -0.720363, 4.678856>
    }
    triangle {
      < 3.679084, -0.738088, 4.664901>,
      < 3.678014, -0.724593, 4.660354>,
      < 3.868423, -0.709503, 4.660354>
    }
    triangle {
      < 3.679084, -0.738088, 4.664901>,
      < 3.868423, -0.709503, 4.660354>,
      < 3.869492, -0.722999, 4.664901>
    }
    triangle {
      < 3.679649, -0.745230, 4.627097>,
      < 3.679649, -0.745230, 4.627097>,
      < 3.678014, -0.724593, 4.660354>
    }
    triangle {
      < 3.679649, -0.745230, 4.627097>,
      < 3.678014, -0.724593, 4.660354>,
      < 3.679084, -0.738088, 4.664901>
    }
    texture {exhaust}
  }
  union {
    triangle {
      < 1.391891, -0.916661, 4.642910>,
      < 1.391891, -0.916661, 4.642910>,
      < 1.380082, -0.927472, 4.627097>
    }
    triangle {
      < 1.391891, -0.916661, 4.642910>,
      < 1.380082, -0.927472, 4.627097>,
      < 1.380082, -0.927472, 4.627097>
    }
    triangle {
      < 1.427450, -0.905159, 4.656817>,
      < 1.426671, -0.895324, 4.649171>,
      < 1.391891, -0.916661, 4.642910>
    }
    triangle {
      < 1.427450, -0.905159, 4.656817>,
      < 1.391891, -0.916661, 4.642910>,
      < 1.391891, -0.916661, 4.642910>
    }
    triangle {
      < 1.482471, -0.894354, 4.667140>,
      < 1.481421, -0.881102, 4.656837>,
      < 1.426671, -0.895324, 4.649171>
    }
    triangle {
      < 1.482471, -0.894354, 4.667140>,
      < 1.426671, -0.895324, 4.649171>,
      < 1.427450, -0.905159, 4.656817>
    }
    triangle {
      < 1.550317, -0.885548, 4.672631>,
      < 1.549122, -0.870479, 4.660916>,
      < 1.481421, -0.881102, 4.656837>
    }
    triangle {
      < 1.550317, -0.885548, 4.672631>,
      < 1.481421, -0.881102, 4.656837>,
      < 1.482471, -0.894354, 4.667140>
    }
    triangle {
      < 1.622803, -0.879803, 4.672631>,
      < 1.621610, -0.864733, 4.660916>,
      < 1.549122, -0.870479, 4.660916>
    }
    triangle {
      < 1.622803, -0.879803, 4.672631>,
      < 1.549122, -0.870479, 4.660916>,
      < 1.550317, -0.885548, 4.672631>
    }
    triangle {
      < 3.867820, -0.701886, 4.672631>,
      < 3.866625, -0.686817, 4.660916>,
      < 1.621610, -0.864733, 4.660916>
    }
    triangle {
      < 3.867820, -0.701886, 4.672631>,
      < 1.621610, -0.864733, 4.660916>,
      < 1.622803, -0.879803, 4.672631>
    }
    texture {barrel}
  }
  union {
    triangle {
      < 3.868423, -0.709503, 4.660354>,
      < 3.867551, -0.698497, 4.651798>,
      < 3.866625, -0.686817, 4.660916>
    }
    triangle {
      < 3.868423, -0.709503, 4.660354>,
      < 3.866625, -0.686817, 4.660916>,
      < 3.867820, -0.701886, 4.672631>
    }
    triangle {
      < 3.678014, -0.724593, 4.660354>,
      < 3.677142, -0.713587, 4.651798>,
      < 3.867551, -0.698497, 4.651798>
    }
    triangle {
      < 3.678014, -0.724593, 4.660354>,
      < 3.867551, -0.698497, 4.651798>,
      < 3.868423, -0.709503, 4.660354>
    }
    triangle {
      < 3.679649, -0.745230, 4.627097>,
      < 3.679649, -0.745230, 4.627097>,
      < 3.677142, -0.713587, 4.651798>
    }
    triangle {
      < 3.679649, -0.745230, 4.627097>,
      < 3.677142, -0.713587, 4.651798>,
      < 3.678014, -0.724593, 4.660354>
    }
    texture {exhaust}
  }
  union {
    triangle {
      < 1.391891, -0.916661, 4.642910>,
      < 1.391205, -0.908007, 4.633358>,
      < 1.380082, -0.927472, 4.627097>
    }
    triangle {
      < 1.391891, -0.916661, 4.642910>,
      < 1.380082, -0.927472, 4.627097>,
      < 1.380082, -0.927472, 4.627097>
    }
    triangle {
      < 1.426671, -0.895324, 4.649171>,
      < 1.426161, -0.888897, 4.638863>,
      < 1.391205, -0.908007, 4.633358>
    }
    triangle {
      < 1.426671, -0.895324, 4.649171>,
      < 1.391205, -0.908007, 4.633358>,
      < 1.391891, -0.916661, 4.642910>
    }
    triangle {
      < 1.481421, -0.881102, 4.656837>,
      < 1.480734, -0.872444, 4.642950>,
      < 1.426161, -0.888897, 4.638863>
    }
    triangle {
      < 1.481421, -0.881102, 4.656837>,
      < 1.426161, -0.888897, 4.638863>,
      < 1.426671, -0.895324, 4.649171>
    }
    triangle {
      < 1.549122, -0.870479, 4.660916>,
      < 1.548343, -0.860633, 4.645125>,
      < 1.480734, -0.872444, 4.642950>
    }
    triangle {
      < 1.549122, -0.870479, 4.660916>,
      < 1.480734, -0.872444, 4.642950>,
      < 1.481421, -0.881102, 4.656837>
    }
    triangle {
      < 1.621610, -0.864733, 4.660916>,
      < 1.620830, -0.854888, 4.645125>,
      < 1.548343, -0.860633, 4.645125>
    }
    triangle {
      < 1.621610, -0.864733, 4.660916>,
      < 1.548343, -0.860633, 4.645125>,
      < 1.549122, -0.870479, 4.660916>
    }
    triangle {
      < 3.866625, -0.686817, 4.660916>,
      < 3.865845, -0.676970, 4.645125>,
      < 1.620830, -0.854888, 4.645125>
    }
    triangle {
      < 3.866625, -0.686817, 4.660916>,
      < 1.620830, -0.854888, 4.645125>,
      < 1.621610, -0.864733, 4.660916>
    }
    texture {barrel}
  }
  union {
    triangle {
      < 3.867551, -0.698497, 4.651798>,
      < 3.866981, -0.691305, 4.640264>,
      < 3.865845, -0.676970, 4.645125>
    }
    triangle {
      < 3.867551, -0.698497, 4.651798>,
      < 3.865845, -0.676970, 4.645125>,
      < 3.866625, -0.686817, 4.660916>
    }
    triangle {
      < 3.677142, -0.713587, 4.651798>,
      < 3.676571, -0.706396, 4.640264>,
      < 3.866981, -0.691305, 4.640264>
    }
    triangle {
      < 3.677142, -0.713587, 4.651798>,
      < 3.866981, -0.691305, 4.640264>,
      < 3.867551, -0.698497, 4.651798>
    }
    triangle {
      < 3.679649, -0.745230, 4.627097>,
      < 3.679649, -0.745230, 4.627097>,
      < 3.676571, -0.706396, 4.640264>
    }
    triangle {
      < 3.679649, -0.745230, 4.627097>,
      < 3.676571, -0.706396, 4.640264>,
      < 3.677142, -0.713587, 4.651798>
    }
    texture {exhaust}
  }
  union {
    triangle {
      < 1.391205, -0.908007, 4.633358>,
      < 1.391204, -0.907999, 4.620856>,
      < 1.380082, -0.927472, 4.627097>
    }
    triangle {
      < 1.391205, -0.908007, 4.633358>,
      < 1.380082, -0.927472, 4.627097>,
      < 1.380082, -0.927472, 4.627097>
    }
    triangle {
      < 1.426161, -0.888897, 4.638863>,
      < 1.425985, -0.886655, 4.627097>,
      < 1.391204, -0.907999, 4.620856>
    }
    triangle {
      < 1.426161, -0.888897, 4.638863>,
      < 1.391204, -0.907999, 4.620856>,
      < 1.391205, -0.908007, 4.633358>
    }
    triangle {
      < 1.480734, -0.872444, 4.642950>,
      < 1.480496, -0.869422, 4.627097>,
      < 1.425985, -0.886655, 4.627097>
    }
    triangle {
      < 1.480734, -0.872444, 4.642950>,
      < 1.425985, -0.886655, 4.627097>,
      < 1.426161, -0.888897, 4.638863>
    }
    triangle {
      < 1.548343, -0.860633, 4.645125>,
      < 1.548071, -0.857196, 4.627097>,
      < 1.480496, -0.869422, 4.627097>
    }
    triangle {
      < 1.548343, -0.860633, 4.645125>,
      < 1.480496, -0.869422, 4.627097>,
      < 1.480734, -0.872444, 4.642950>
    }
    triangle {
      < 1.620830, -0.854888, 4.645125>,
      < 1.620557, -0.851452, 4.627097>,
      < 1.548071, -0.857196, 4.627097>
    }
    triangle {
      < 1.620830, -0.854888, 4.645125>,
      < 1.548071, -0.857196, 4.627097>,
      < 1.548343, -0.860633, 4.645125>
    }
    triangle {
      < 3.865845, -0.676970, 4.645125>,
      < 3.865574, -0.673534, 4.627097>,
      < 1.620557, -0.851452, 4.627097>
    }
    triangle {
      < 3.865845, -0.676970, 4.645125>,
      < 1.620557, -0.851452, 4.627097>,
      < 1.620830, -0.854888, 4.645125>
    }
    texture {barrel}
  }
  union {
    triangle {
      < 3.866981, -0.691305, 4.640264>,
      < 3.866781, -0.688795, 4.627097>,
      < 3.865574, -0.673534, 4.627097>
    }
    triangle {
      < 3.866981, -0.691305, 4.640264>,
      < 3.865574, -0.673534, 4.627097>,
      < 3.865845, -0.676970, 4.645125>
    }
    triangle {
      < 3.676571, -0.706396, 4.640264>,
      < 3.676373, -0.703886, 4.627097>,
      < 3.866781, -0.688795, 4.627097>
    }
    triangle {
      < 3.676571, -0.706396, 4.640264>,
      < 3.866781, -0.688795, 4.627097>,
      < 3.866981, -0.691305, 4.640264>
    }
    triangle {
      < 3.679649, -0.745230, 4.627097>,
      < 3.679649, -0.745230, 4.627097>,
      < 3.676373, -0.703886, 4.627097>
    }
    triangle {
      < 3.679649, -0.745230, 4.627097>,
      < 3.676373, -0.703886, 4.627097>,
      < 3.676571, -0.706396, 4.640264>
    }
    texture {exhaust}
  }
  union {
    triangle {
      < 1.793997, -0.761535, 4.743521>,
      < 1.734610, -0.798156, 4.717241>,
      < 1.732181, -0.766462, 4.743718>
    }
    triangle {
      < 1.793997, -0.761535, 4.743521>,
      < 1.732181, -0.766462, 4.743718>,
      < 1.790441, -0.715139, 4.782282>
    }
    triangle {
      < 1.797549, -0.807931, 4.704762>,
      < 1.736862, -0.827559, 4.692679>,
      < 1.734610, -0.798156, 4.717241>
    }
    triangle {
      < 1.797549, -0.807931, 4.704762>,
      < 1.734610, -0.798156, 4.717241>,
      < 1.793997, -0.761535, 4.743521>
    }
    triangle {
      < 1.801105, -0.854327, 4.666003>,
      < 1.739289, -0.859254, 4.666201>,
      < 1.736862, -0.827559, 4.692679>
    }
    triangle {
      < 1.801105, -0.854327, 4.666003>,
      < 1.736862, -0.827559, 4.692679>,
      < 1.797549, -0.807931, 4.704762>
    }
    triangle {
      < 1.734610, -0.798156, 4.717241>,
      < 1.675047, -0.832488, 4.692876>,
      < 1.673921, -0.817786, 4.705156>
    }
    triangle {
      < 1.734610, -0.798156, 4.717241>,
      < 1.673921, -0.817786, 4.705156>,
      < 1.732181, -0.766462, 4.743718>
    }
    triangle {
      < 1.736862, -0.827559, 4.692679>,
      < 1.676350, -0.849481, 4.678678>,
      < 1.675047, -0.832488, 4.692876>
    }
    triangle {
      < 1.736862, -0.827559, 4.692679>,
      < 1.675047, -0.832488, 4.692876>,
      < 1.734610, -0.798156, 4.717241>
    }
    triangle {
      < 1.739289, -0.859254, 4.666201>,
      < 1.677476, -0.864181, 4.666399>,
      < 1.676350, -0.849481, 4.678678>
    }
    triangle {
      < 1.739289, -0.859254, 4.666201>,
      < 1.676350, -0.849481, 4.678678>,
      < 1.736862, -0.827559, 4.692679>
    }
    triangle {
      < 1.675047, -0.832488, 4.692876>,
      < 1.621610, -0.864733, 4.660916>,
      < 1.621610, -0.864733, 4.660916>
    }
    triangle {
      < 1.675047, -0.832488, 4.692876>,
      < 1.621610, -0.864733, 4.660916>,
      < 1.673921, -0.817786, 4.705156>
    }
    triangle {
      < 1.676350, -0.849481, 4.678678>,
      < 1.621610, -0.864733, 4.660916>,
      < 1.621610, -0.864733, 4.660916>
    }
    triangle {
      < 1.676350, -0.849481, 4.678678>,
      < 1.621610, -0.864733, 4.660916>,
      < 1.675047, -0.832488, 4.692876>
    }
    triangle {
      < 1.677476, -0.864181, 4.666399>,
      < 1.621610, -0.864733, 4.660916>,
      < 1.621610, -0.864733, 4.660916>
    }
    triangle {
      < 1.677476, -0.864181, 4.666399>,
      < 1.621610, -0.864733, 4.660916>,
      < 1.676350, -0.849481, 4.678678>
    }
    triangle {
      < 1.732181, -0.766462, 4.743718>,
      < 1.734610, -0.798156, 4.717241>,
      < 1.793997, -0.761535, 4.743521>
    }
    triangle {
      < 1.732181, -0.766462, 4.743718>,
      < 1.793997, -0.761535, 4.743521>,
      < 1.790441, -0.715139, 4.782282>
    }
    triangle {
      < 1.673921, -0.817786, 4.705156>,
      < 1.675047, -0.832488, 4.692876>,
      < 1.734610, -0.798156, 4.717241>
    }
    triangle {
      < 1.673921, -0.817786, 4.705156>,
      < 1.734610, -0.798156, 4.717241>,
      < 1.732181, -0.766462, 4.743718>
    }
    triangle {
      < 1.621610, -0.864733, 4.660916>,
      < 1.621610, -0.864733, 4.660916>,
      < 1.675047, -0.832488, 4.692876>
    }
    triangle {
      < 1.621610, -0.864733, 4.660916>,
      < 1.675047, -0.832488, 4.692876>,
      < 1.673921, -0.817786, 4.705156>
    }
    triangle {
      < 1.734610, -0.798156, 4.717241>,
      < 1.736862, -0.827559, 4.692679>,
      < 1.797549, -0.807931, 4.704762>
    }
    triangle {
      < 1.734610, -0.798156, 4.717241>,
      < 1.797549, -0.807931, 4.704762>,
      < 1.793997, -0.761535, 4.743521>
    }
    triangle {
      < 1.675047, -0.832488, 4.692876>,
      < 1.676350, -0.849481, 4.678678>,
      < 1.736862, -0.827559, 4.692679>
    }
    triangle {
      < 1.675047, -0.832488, 4.692876>,
      < 1.736862, -0.827559, 4.692679>,
      < 1.734610, -0.798156, 4.717241>
    }
    triangle {
      < 1.621610, -0.864733, 4.660916>,
      < 1.621610, -0.864733, 4.660916>,
      < 1.676350, -0.849481, 4.678678>
    }
    triangle {
      < 1.621610, -0.864733, 4.660916>,
      < 1.676350, -0.849481, 4.678678>,
      < 1.675047, -0.832488, 4.692876>
    }
    triangle {
      < 1.736862, -0.827559, 4.692679>,
      < 1.739289, -0.859254, 4.666201>,
      < 1.801105, -0.854327, 4.666003>
    }
    triangle {
      < 1.736862, -0.827559, 4.692679>,
      < 1.801105, -0.854327, 4.666003>,
      < 1.797549, -0.807931, 4.704762>
    }
    triangle {
      < 1.676350, -0.849481, 4.678678>,
      < 1.677476, -0.864181, 4.666399>,
      < 1.739289, -0.859254, 4.666201>
    }
    triangle {
      < 1.676350, -0.849481, 4.678678>,
      < 1.739289, -0.859254, 4.666201>,
      < 1.736862, -0.827559, 4.692679>
    }
    triangle {
      < 1.621610, -0.864733, 4.660916>,
      < 1.621610, -0.864733, 4.660916>,
      < 1.677476, -0.864181, 4.666399>
    }
    triangle {
      < 1.621610, -0.864733, 4.660916>,
      < 1.677476, -0.864181, 4.666399>,
      < 1.676350, -0.849481, 4.678678>
    }
    triangle {
      < 1.681594, -0.941835, 4.670133>,
      < 1.727255, -0.981172, 4.714028>,
      < 1.684504, -0.984570, 4.714172>
    }
    triangle {
      < 1.681594, -0.941835, 4.670133>,
      < 1.684504, -0.984570, 4.714172>,
      < 1.619013, -0.946810, 4.670342>
    }
    triangle {
      < 1.744175, -0.936860, 4.669923>,
      < 1.766915, -0.978019, 4.713894>,
      < 1.727255, -0.981172, 4.714028>
    }
    triangle {
      < 1.744175, -0.936860, 4.669923>,
      < 1.727255, -0.981172, 4.714028>,
      < 1.681594, -0.941835, 4.670133>
    }
    triangle {
      < 1.806755, -0.931884, 4.669711>,
      < 1.809666, -0.974619, 4.713751>,
      < 1.766915, -0.978019, 4.713894>
    }
    triangle {
      < 1.806755, -0.931884, 4.669711>,
      < 1.766915, -0.978019, 4.713894>,
      < 1.744175, -0.936860, 4.669923>
    }
    triangle {
      < 1.727255, -0.981172, 4.714028>,
      < 1.769826, -1.020754, 4.757933>,
      < 1.749996, -1.022332, 4.757999>
    }
    triangle {
      < 1.727255, -0.981172, 4.714028>,
      < 1.749996, -1.022332, 4.757999>,
      < 1.684504, -0.984570, 4.714172>
    }
    triangle {
      < 1.766915, -0.978019, 4.713894>,
      < 1.792746, -1.018931, 4.757856>,
      < 1.769826, -1.020754, 4.757933>
    }
    triangle {
      < 1.766915, -0.978019, 4.713894>,
      < 1.769826, -1.020754, 4.757933>,
      < 1.727255, -0.981172, 4.714028>
    }
    triangle {
      < 1.809666, -0.974619, 4.713751>,
      < 1.812576, -1.017356, 4.757788>,
      < 1.792746, -1.018931, 4.757856>
    }
    triangle {
      < 1.809666, -0.974619, 4.713751>,
      < 1.792746, -1.018931, 4.757856>,
      < 1.766915, -0.978019, 4.713894>
    }
    triangle {
      < 1.769826, -1.020754, 4.757933>,
      < 1.815487, -1.060090, 4.801827>,
      < 1.815487, -1.060090, 4.801827>
    }
    triangle {
      < 1.769826, -1.020754, 4.757933>,
      < 1.815487, -1.060090, 4.801827>,
      < 1.749996, -1.022332, 4.757999>
    }
    triangle {
      < 1.792746, -1.018931, 4.757856>,
      < 1.815487, -1.060090, 4.801827>,
      < 1.815487, -1.060090, 4.801827>
    }
    triangle {
      < 1.792746, -1.018931, 4.757856>,
      < 1.815487, -1.060090, 4.801827>,
      < 1.769826, -1.020754, 4.757933>
    }
    triangle {
      < 1.812576, -1.017356, 4.757788>,
      < 1.815487, -1.060090, 4.801827>,
      < 1.815487, -1.060090, 4.801827>
    }
    triangle {
      < 1.812576, -1.017356, 4.757788>,
      < 1.815487, -1.060090, 4.801827>,
      < 1.792746, -1.018931, 4.757856>
    }
    triangle {
      < 1.684504, -0.984570, 4.714172>,
      < 1.727255, -0.981172, 4.714028>,
      < 1.681594, -0.941835, 4.670133>
    }
    triangle {
      < 1.684504, -0.984570, 4.714172>,
      < 1.681594, -0.941835, 4.670133>,
      < 1.619013, -0.946810, 4.670342>
    }
    triangle {
      < 1.749996, -1.022332, 4.757999>,
      < 1.769826, -1.020754, 4.757933>,
      < 1.727255, -0.981172, 4.714028>
    }
    triangle {
      < 1.749996, -1.022332, 4.757999>,
      < 1.727255, -0.981172, 4.714028>,
      < 1.684504, -0.984570, 4.714172>
    }
    triangle {
      < 1.815487, -1.060090, 4.801827>,
      < 1.815487, -1.060090, 4.801827>,
      < 1.769826, -1.020754, 4.757933>
    }
    triangle {
      < 1.815487, -1.060090, 4.801827>,
      < 1.769826, -1.020754, 4.757933>,
      < 1.749996, -1.022332, 4.757999>
    }
    triangle {
      < 1.727255, -0.981172, 4.714028>,
      < 1.766915, -0.978019, 4.713894>,
      < 1.744175, -0.936860, 4.669923>
    }
    triangle {
      < 1.727255, -0.981172, 4.714028>,
      < 1.744175, -0.936860, 4.669923>,
      < 1.681594, -0.941835, 4.670133>
    }
    triangle {
      < 1.769826, -1.020754, 4.757933>,
      < 1.792746, -1.018931, 4.757856>,
      < 1.766915, -0.978019, 4.713894>
    }
    triangle {
      < 1.769826, -1.020754, 4.757933>,
      < 1.766915, -0.978019, 4.713894>,
      < 1.727255, -0.981172, 4.714028>
    }
    triangle {
      < 1.815487, -1.060090, 4.801827>,
      < 1.815487, -1.060090, 4.801827>,
      < 1.792746, -1.018931, 4.757856>
    }
    triangle {
      < 1.815487, -1.060090, 4.801827>,
      < 1.792746, -1.018931, 4.757856>,
      < 1.769826, -1.020754, 4.757933>
    }
    triangle {
      < 1.766915, -0.978019, 4.713894>,
      < 1.809666, -0.974619, 4.713751>,
      < 1.806755, -0.931884, 4.669711>
    }
    triangle {
      < 1.766915, -0.978019, 4.713894>,
      < 1.806755, -0.931884, 4.669711>,
      < 1.744175, -0.936860, 4.669923>
    }
    triangle {
      < 1.792746, -1.018931, 4.757856>,
      < 1.812576, -1.017356, 4.757788>,
      < 1.809666, -0.974619, 4.713751>
    }
    triangle {
      < 1.792746, -1.018931, 4.757856>,
      < 1.809666, -0.974619, 4.713751>,
      < 1.766915, -0.978019, 4.713894>
    }
    triangle {
      < 1.815487, -1.060090, 4.801827>,
      < 1.815487, -1.060090, 4.801827>,
      < 1.812576, -1.017356, 4.757788>
    }
    triangle {
      < 1.815487, -1.060090, 4.801827>,
      < 1.812576, -1.017356, 4.757788>,
      < 1.792746, -1.018931, 4.757856>
    }
    triangle {
      < 1.794188, -0.774944, 4.508001>,
      < 1.734756, -0.808383, 4.537614>,
      < 1.732373, -0.779871, 4.508197>
    }
    triangle {
      < 1.794188, -0.774944, 4.508001>,
      < 1.732373, -0.779871, 4.508197>,
      < 1.790700, -0.733205, 4.464942>
    }
    triangle {
      < 1.797674, -0.816681, 4.551063>,
      < 1.736966, -0.834835, 4.564904>,
      < 1.734756, -0.808383, 4.537614>
    }
    triangle {
      < 1.797674, -0.816681, 4.551063>,
      < 1.734756, -0.808383, 4.537614>,
      < 1.794188, -0.774944, 4.508001>
    }
    triangle {
      < 1.801163, -0.858418, 4.594123>,
      < 1.739349, -0.863345, 4.594319>,
      < 1.736966, -0.834835, 4.564904>
    }
    triangle {
      < 1.801163, -0.858418, 4.594123>,
      < 1.736966, -0.834835, 4.564904>,
      < 1.797674, -0.816681, 4.551063>
    }
    triangle {
      < 1.734756, -0.808383, 4.537614>,
      < 1.675151, -0.839762, 4.565101>,
      < 1.674046, -0.826536, 4.551456>
    }
    triangle {
      < 1.734756, -0.808383, 4.537614>,
      < 1.674046, -0.826536, 4.551456>,
      < 1.732373, -0.779871, 4.508197>
    }
    triangle {
      < 1.736966, -0.834835, 4.564904>,
      < 1.676430, -0.855048, 4.580873>,
      < 1.675151, -0.839762, 4.565101>
    }
    triangle {
      < 1.736966, -0.834835, 4.564904>,
      < 1.675151, -0.839762, 4.565101>,
      < 1.734756, -0.808383, 4.537614>
    }
    triangle {
      < 1.739349, -0.863345, 4.594319>,
      < 1.677534, -0.868274, 4.594517>,
      < 1.676430, -0.855048, 4.580873>
    }
    triangle {
      < 1.739349, -0.863345, 4.594319>,
      < 1.676430, -0.855048, 4.580873>,
      < 1.736966, -0.834835, 4.564904>
    }
    triangle {
      < 1.675151, -0.839762, 4.565101>,
      < 1.615721, -0.873202, 4.594715>,
      < 1.615721, -0.873202, 4.594715>
    }
    triangle {
      < 1.675151, -0.839762, 4.565101>,
      < 1.615721, -0.873202, 4.594715>,
      < 1.674046, -0.826536, 4.551456>
    }
    triangle {
      < 1.676430, -0.855048, 4.580873>,
      < 1.615721, -0.873202, 4.594715>,
      < 1.615721, -0.873202, 4.594715>
    }
    triangle {
      < 1.676430, -0.855048, 4.580873>,
      < 1.615721, -0.873202, 4.594715>,
      < 1.675151, -0.839762, 4.565101>
    }
    triangle {
      < 1.677534, -0.868274, 4.594517>,
      < 1.615721, -0.873202, 4.594715>,
      < 1.615721, -0.873202, 4.594715>
    }
    triangle {
      < 1.677534, -0.868274, 4.594517>,
      < 1.615721, -0.873202, 4.594715>,
      < 1.676430, -0.855048, 4.580873>
    }
    triangle {
      < 1.797674, -0.816681, 4.551063>,
      < 1.736966, -0.834835, 4.564904>,
      < 1.739349, -0.863345, 4.594319>
    }
    triangle {
      < 1.797674, -0.816681, 4.551063>,
      < 1.739349, -0.863345, 4.594319>,
      < 1.801163, -0.858418, 4.594123>
    }
    triangle {
      < 1.794188, -0.774944, 4.508001>,
      < 1.734756, -0.808383, 4.537614>,
      < 1.736966, -0.834835, 4.564904>
    }
    triangle {
      < 1.794188, -0.774944, 4.508001>,
      < 1.736966, -0.834835, 4.564904>,
      < 1.797674, -0.816681, 4.551063>
    }
    triangle {
      < 1.790700, -0.733205, 4.464942>,
      < 1.732373, -0.779871, 4.508197>,
      < 1.734756, -0.808383, 4.537614>
    }
    triangle {
      < 1.790700, -0.733205, 4.464942>,
      < 1.734756, -0.808383, 4.537614>,
      < 1.794188, -0.774944, 4.508001>
    }
    triangle {
      < 1.736966, -0.834835, 4.564904>,
      < 1.676430, -0.855048, 4.580873>,
      < 1.677534, -0.868274, 4.594517>
    }
    triangle {
      < 1.736966, -0.834835, 4.564904>,
      < 1.677534, -0.868274, 4.594517>,
      < 1.739349, -0.863345, 4.594319>
    }
    triangle {
      < 1.734756, -0.808383, 4.537614>,
      < 1.675151, -0.839762, 4.565101>,
      < 1.676430, -0.855048, 4.580873>
    }
    triangle {
      < 1.734756, -0.808383, 4.537614>,
      < 1.676430, -0.855048, 4.580873>,
      < 1.736966, -0.834835, 4.564904>
    }
    triangle {
      < 1.732373, -0.779871, 4.508197>,
      < 1.674046, -0.826536, 4.551456>,
      < 1.675151, -0.839762, 4.565101>
    }
    triangle {
      < 1.732373, -0.779871, 4.508197>,
      < 1.675151, -0.839762, 4.565101>,
      < 1.734756, -0.808383, 4.537614>
    }
    triangle {
      < 1.676430, -0.855048, 4.580873>,
      < 1.615721, -0.873202, 4.594715>,
      < 1.615721, -0.873202, 4.594715>
    }
    triangle {
      < 1.676430, -0.855048, 4.580873>,
      < 1.615721, -0.873202, 4.594715>,
      < 1.677534, -0.868274, 4.594517>
    }
    triangle {
      < 1.675151, -0.839762, 4.565101>,
      < 1.615721, -0.873202, 4.594715>,
      < 1.615721, -0.873202, 4.594715>
    }
    triangle {
      < 1.675151, -0.839762, 4.565101>,
      < 1.615721, -0.873202, 4.594715>,
      < 1.676430, -0.855048, 4.580873>
    }
    triangle {
      < 1.674046, -0.826536, 4.551456>,
      < 1.615721, -0.873202, 4.594715>,
      < 1.615721, -0.873202, 4.594715>
    }
    triangle {
      < 1.674046, -0.826536, 4.551456>,
      < 1.615721, -0.873202, 4.594715>,
      < 1.675151, -0.839762, 4.565101>
    }
    triangle {
      < 1.752643, -1.033564, 4.520581>,
      < 1.773248, -1.031924, 4.520515>,
      < 1.818012, -1.075032, 4.481625>
    }
    triangle {
      < 1.752643, -1.033564, 4.520581>,
      < 1.818012, -1.075032, 4.481625>,
      < 1.818012, -1.075032, 4.481625>
    }
    triangle {
      < 1.687275, -0.992096, 4.559537>,
      < 1.728486, -0.988812, 4.559408>,
      < 1.773248, -1.031924, 4.520515>
    }
    triangle {
      < 1.687275, -0.992096, 4.559537>,
      < 1.773248, -1.031924, 4.520515>,
      < 1.752643, -1.033564, 4.520581>
    }
    triangle {
      < 1.628478, -0.951404, 4.593301>,
      < 1.683721, -0.945702, 4.598297>,
      < 1.728486, -0.988812, 4.559408>
    }
    triangle {
      < 1.628478, -0.951404, 4.593301>,
      < 1.728486, -0.988812, 4.559408>,
      < 1.687275, -0.992096, 4.559537>
    }
    triangle {
      < 1.773248, -1.031924, 4.520515>,
      < 1.793852, -1.030280, 4.520450>,
      < 1.818012, -1.075032, 4.481625>
    }
    triangle {
      < 1.773248, -1.031924, 4.520515>,
      < 1.818012, -1.075032, 4.481625>,
      < 1.818012, -1.075032, 4.481625>
    }
    triangle {
      < 1.728486, -0.988812, 4.559408>,
      < 1.769694, -0.985528, 4.559275>,
      < 1.793852, -1.030280, 4.520450>
    }
    triangle {
      < 1.728486, -0.988812, 4.559408>,
      < 1.793852, -1.030280, 4.520450>,
      < 1.773248, -1.031924, 4.520515>
    }
    triangle {
      < 1.683721, -0.945702, 4.598297>,
      < 1.745535, -0.940774, 4.598100>,
      < 1.769694, -0.985528, 4.559275>
    }
    triangle {
      < 1.683721, -0.945702, 4.598297>,
      < 1.769694, -0.985528, 4.559275>,
      < 1.728486, -0.988812, 4.559408>
    }
    triangle {
      < 1.793852, -1.030280, 4.520450>,
      < 1.814457, -1.028637, 4.520383>,
      < 1.818012, -1.075032, 4.481625>
    }
    triangle {
      < 1.793852, -1.030280, 4.520450>,
      < 1.818012, -1.075032, 4.481625>,
      < 1.818012, -1.075032, 4.481625>
    }
    triangle {
      < 1.769694, -0.985528, 4.559275>,
      < 1.810904, -0.982241, 4.559142>,
      < 1.814457, -1.028637, 4.520383>
    }
    triangle {
      < 1.769694, -0.985528, 4.559275>,
      < 1.814457, -1.028637, 4.520383>,
      < 1.793852, -1.030280, 4.520450>
    }
    triangle {
      < 1.745535, -0.940774, 4.598100>,
      < 1.807349, -0.935845, 4.597903>,
      < 1.810904, -0.982241, 4.559142>
    }
    triangle {
      < 1.745535, -0.940774, 4.598100>,
      < 1.810904, -0.982241, 4.559142>,
      < 1.769694, -0.985528, 4.559275>
    }
    triangle {
      < 1.818012, -1.075032, 4.481625>,
      < 1.773248, -1.031924, 4.520515>,
      < 1.752643, -1.033564, 4.520581>
    }
    triangle {
      < 1.818012, -1.075032, 4.481625>,
      < 1.752643, -1.033564, 4.520581>,
      < 1.818012, -1.075032, 4.481625>
    }
    triangle {
      < 1.818012, -1.075032, 4.481625>,
      < 1.793852, -1.030280, 4.520450>,
      < 1.773248, -1.031924, 4.520515>
    }
    triangle {
      < 1.818012, -1.075032, 4.481625>,
      < 1.773248, -1.031924, 4.520515>,
      < 1.818012, -1.075032, 4.481625>
    }
    triangle {
      < 1.818012, -1.075032, 4.481625>,
      < 1.814457, -1.028637, 4.520383>,
      < 1.793852, -1.030280, 4.520450>
    }
    triangle {
      < 1.818012, -1.075032, 4.481625>,
      < 1.793852, -1.030280, 4.520450>,
      < 1.818012, -1.075032, 4.481625>
    }
    triangle {
      < 1.773248, -1.031924, 4.520515>,
      < 1.728486, -0.988812, 4.559408>,
      < 1.687275, -0.992096, 4.559537>
    }
    triangle {
      < 1.773248, -1.031924, 4.520515>,
      < 1.687275, -0.992096, 4.559537>,
      < 1.752643, -1.033564, 4.520581>
    }
    triangle {
      < 1.793852, -1.030280, 4.520450>,
      < 1.769694, -0.985528, 4.559275>,
      < 1.728486, -0.988812, 4.559408>
    }
    triangle {
      < 1.793852, -1.030280, 4.520450>,
      < 1.728486, -0.988812, 4.559408>,
      < 1.773248, -1.031924, 4.520515>
    }
    triangle {
      < 1.814457, -1.028637, 4.520383>,
      < 1.810904, -0.982241, 4.559142>,
      < 1.769694, -0.985528, 4.559275>
    }
    triangle {
      < 1.814457, -1.028637, 4.520383>,
      < 1.769694, -0.985528, 4.559275>,
      < 1.793852, -1.030280, 4.520450>
    }
    triangle {
      < 1.728486, -0.988812, 4.559408>,
      < 1.683721, -0.945702, 4.598297>,
      < 1.628478, -0.951404, 4.593301>
    }
    triangle {
      < 1.728486, -0.988812, 4.559408>,
      < 1.628478, -0.951404, 4.593301>,
      < 1.687275, -0.992096, 4.559537>
    }
    triangle {
      < 1.769694, -0.985528, 4.559275>,
      < 1.745535, -0.940774, 4.598100>,
      < 1.683721, -0.945702, 4.598297>
    }
    triangle {
      < 1.769694, -0.985528, 4.559275>,
      < 1.683721, -0.945702, 4.598297>,
      < 1.728486, -0.988812, 4.559408>
    }
    triangle {
      < 1.810904, -0.982241, 4.559142>,
      < 1.807349, -0.935845, 4.597903>,
      < 1.745535, -0.940774, 4.598100>
    }
    triangle {
      < 1.810904, -0.982241, 4.559142>,
      < 1.745535, -0.940774, 4.598100>,
      < 1.769694, -0.985528, 4.559275>
    }
    triangle {
      < 3.727302, -0.913877, 4.804343>,
      < 3.704994, -0.870705, 4.758202>,
      < 3.839626, -0.859949, 4.758682>
    }
    triangle {
      < 3.727302, -0.913877, 4.804343>,
      < 3.839626, -0.859949, 4.758682>,
      < 3.843003, -0.904632, 4.804754>
    }
    triangle {
      < 3.611603, -0.923122, 4.803930>,
      < 3.567414, -0.881698, 4.757711>,
      < 3.704994, -0.870705, 4.758202>
    }
    triangle {
      < 3.611603, -0.923122, 4.803930>,
      < 3.704994, -0.870705, 4.758202>,
      < 3.727302, -0.913877, 4.804343>
    }
    triangle {
      < 3.495902, -0.932367, 4.803518>,
      < 3.432783, -0.892456, 4.757233>,
      < 3.567414, -0.881698, 4.757711>
    }
    triangle {
      < 3.495902, -0.932367, 4.803518>,
      < 3.567414, -0.881698, 4.757711>,
      < 3.611603, -0.923122, 4.803930>
    }
    triangle {
      < 3.704994, -0.870705, 4.758202>,
      < 3.679735, -0.827770, 4.712052>,
      < 3.836246, -0.815266, 4.712608>
    }
    triangle {
      < 3.704994, -0.870705, 4.758202>,
      < 3.836246, -0.815266, 4.712608>,
      < 3.839626, -0.859949, 4.758682>
    }
    triangle {
      < 3.567414, -0.881698, 4.757711>,
      < 3.526174, -0.840040, 4.711505>,
      < 3.679735, -0.827770, 4.712052>
    }
    triangle {
      < 3.567414, -0.881698, 4.757711>,
      < 3.679735, -0.827770, 4.712052>,
      < 3.704994, -0.870705, 4.758202>
    }
    triangle {
      < 3.432783, -0.892456, 4.757233>,
      < 3.369665, -0.852545, 4.710948>,
      < 3.526174, -0.840040, 4.711505>
    }
    triangle {
      < 3.432783, -0.892456, 4.757233>,
      < 3.526174, -0.840040, 4.711505>,
      < 3.567414, -0.881698, 4.757711>
    }
    triangle {
      < 3.679735, -0.827770, 4.712052>,
      < 3.657428, -0.784598, 4.665912>,
      < 3.832869, -0.770581, 4.666536>
    }
    triangle {
      < 3.679735, -0.827770, 4.712052>,
      < 3.832869, -0.770581, 4.666536>,
      < 3.836246, -0.815266, 4.712608>
    }
    triangle {
      < 3.526174, -0.840040, 4.711505>,
      < 3.481987, -0.798617, 4.665287>,
      < 3.657428, -0.784598, 4.665912>
    }
    triangle {
      < 3.526174, -0.840040, 4.711505>,
      < 3.657428, -0.784598, 4.665912>,
      < 3.679735, -0.827770, 4.712052>
    }
    triangle {
      < 3.369665, -0.852545, 4.710948>,
      < 3.306548, -0.812635, 4.664661>,
      < 3.481987, -0.798617, 4.665287>
    }
    triangle {
      < 3.369665, -0.852545, 4.710948>,
      < 3.481987, -0.798617, 4.665287>,
      < 3.526174, -0.840040, 4.711505>
    }
    triangle {
      < 3.727302, -0.913877, 4.804343>,
      < 3.704994, -0.870705, 4.758202>,
      < 3.839626, -0.859949, 4.758682>
    }
    triangle {
      < 3.727302, -0.913877, 4.804343>,
      < 3.839626, -0.859949, 4.758682>,
      < 3.843003, -0.904632, 4.804754>
    }
    triangle {
      < 3.611603, -0.923122, 4.803930>,
      < 3.567414, -0.881698, 4.757711>,
      < 3.704994, -0.870705, 4.758202>
    }
    triangle {
      < 3.611603, -0.923122, 4.803930>,
      < 3.704994, -0.870705, 4.758202>,
      < 3.727302, -0.913877, 4.804343>
    }
    triangle {
      < 3.495902, -0.932367, 4.803518>,
      < 3.432783, -0.892456, 4.757233>,
      < 3.567414, -0.881698, 4.757711>
    }
    triangle {
      < 3.495902, -0.932367, 4.803518>,
      < 3.567414, -0.881698, 4.757711>,
      < 3.611603, -0.923122, 4.803930>
    }
    triangle {
      < 3.704994, -0.870705, 4.758202>,
      < 3.679735, -0.827770, 4.712052>,
      < 3.836246, -0.815266, 4.712608>
    }
    triangle {
      < 3.704994, -0.870705, 4.758202>,
      < 3.836246, -0.815266, 4.712608>,
      < 3.839626, -0.859949, 4.758682>
    }
    triangle {
      < 3.567414, -0.881698, 4.757711>,
      < 3.526174, -0.840040, 4.711505>,
      < 3.679735, -0.827770, 4.712052>
    }
    triangle {
      < 3.567414, -0.881698, 4.757711>,
      < 3.679735, -0.827770, 4.712052>,
      < 3.704994, -0.870705, 4.758202>
    }
    triangle {
      < 3.432783, -0.892456, 4.757233>,
      < 3.369665, -0.852545, 4.710948>,
      < 3.526174, -0.840040, 4.711505>
    }
    triangle {
      < 3.432783, -0.892456, 4.757233>,
      < 3.526174, -0.840040, 4.711505>,
      < 3.567414, -0.881698, 4.757711>
    }
    triangle {
      < 3.679735, -0.827770, 4.712052>,
      < 3.657428, -0.784598, 4.665912>,
      < 3.832869, -0.770581, 4.666536>
    }
    triangle {
      < 3.679735, -0.827770, 4.712052>,
      < 3.832869, -0.770581, 4.666536>,
      < 3.836246, -0.815266, 4.712608>
    }
    triangle {
      < 3.526174, -0.840040, 4.711505>,
      < 3.481987, -0.798617, 4.665287>,
      < 3.657428, -0.784598, 4.665912>
    }
    triangle {
      < 3.526174, -0.840040, 4.711505>,
      < 3.657428, -0.784598, 4.665912>,
      < 3.679735, -0.827770, 4.712052>
    }
    triangle {
      < 3.369665, -0.852545, 4.710948>,
      < 3.306548, -0.812635, 4.664661>,
      < 3.481987, -0.798617, 4.665287>
    }
    triangle {
      < 3.369665, -0.852545, 4.710948>,
      < 3.481987, -0.798617, 4.665287>,
      < 3.526174, -0.840040, 4.711505>
    }
    triangle {
      < 3.412751, -0.640034, 4.496814>,
      < 3.547705, -0.629275, 4.496383>,
      < 3.584893, -0.581357, 4.450181>
    }
    triangle {
      < 3.412751, -0.640034, 4.496814>,
      < 3.584893, -0.581357, 4.450181>,
      < 3.468758, -0.590614, 4.450551>
    }
    triangle {
      < 3.356741, -0.689452, 4.543077>,
      < 3.513445, -0.676961, 4.542577>,
      < 3.547705, -0.629275, 4.496383>
    }
    triangle {
      < 3.356741, -0.689452, 4.543077>,
      < 3.547705, -0.629275, 4.496383>,
      < 3.412751, -0.640034, 4.496814>
    }
    triangle {
      < 3.300735, -0.738871, 4.589340>,
      < 3.476255, -0.724880, 4.588779>,
      < 3.513445, -0.676961, 4.542577>
    }
    triangle {
      < 3.300735, -0.738871, 4.589340>,
      < 3.513445, -0.676961, 4.542577>,
      < 3.356741, -0.689452, 4.543077>
    }
    triangle {
      < 3.547705, -0.629275, 4.496383>,
      < 3.685588, -0.618283, 4.495943>,
      < 3.701028, -0.572100, 4.449810>
    }
    triangle {
      < 3.547705, -0.629275, 4.496383>,
      < 3.701028, -0.572100, 4.449810>,
      < 3.584893, -0.581357, 4.450181>
    }
    triangle {
      < 3.513445, -0.676961, 4.542577>,
      < 3.667215, -0.664702, 4.542086>,
      < 3.685588, -0.618283, 4.495943>
    }
    triangle {
      < 3.513445, -0.676961, 4.542577>,
      < 3.685588, -0.618283, 4.495943>,
      < 3.547705, -0.629275, 4.496383>
    }
    triangle {
      < 3.476255, -0.724880, 4.588779>,
      < 3.651777, -0.710886, 4.588220>,
      < 3.667215, -0.664702, 4.542086>
    }
    triangle {
      < 3.476255, -0.724880, 4.588779>,
      < 3.667215, -0.664702, 4.542086>,
      < 3.513445, -0.676961, 4.542577>
    }
    triangle {
      < 3.685588, -0.618283, 4.495943>,
      < 3.820541, -0.607524, 4.495512>,
      < 3.817162, -0.562840, 4.449440>
    }
    triangle {
      < 3.685588, -0.618283, 4.495943>,
      < 3.817162, -0.562840, 4.449440>,
      < 3.701028, -0.572100, 4.449810>
    }
    triangle {
      < 3.667215, -0.664702, 4.542086>,
      < 3.823919, -0.652209, 4.541586>,
      < 3.820541, -0.607524, 4.495512>
    }
    triangle {
      < 3.667215, -0.664702, 4.542086>,
      < 3.820541, -0.607524, 4.495512>,
      < 3.685588, -0.618283, 4.495943>
    }
    triangle {
      < 3.651777, -0.710886, 4.588220>,
      < 3.827299, -0.696894, 4.587659>,
      < 3.823919, -0.652209, 4.541586>
    }
    triangle {
      < 3.651777, -0.710886, 4.588220>,
      < 3.823919, -0.652209, 4.541586>,
      < 3.667215, -0.664702, 4.542086>
    }
    triangle {
      < 3.476255, -0.724880, 4.588779>,
      < 3.513445, -0.676961, 4.542577>,
      < 3.356741, -0.689452, 4.543077>
    }
    triangle {
      < 3.476255, -0.724880, 4.588779>,
      < 3.356741, -0.689452, 4.543077>,
      < 3.300735, -0.738871, 4.589340>
    }
    triangle {
      < 3.651777, -0.710886, 4.588220>,
      < 3.667215, -0.664702, 4.542086>,
      < 3.513445, -0.676961, 4.542577>
    }
    triangle {
      < 3.651777, -0.710886, 4.588220>,
      < 3.513445, -0.676961, 4.542577>,
      < 3.476255, -0.724880, 4.588779>
    }
    triangle {
      < 3.827299, -0.696894, 4.587659>,
      < 3.823919, -0.652209, 4.541586>,
      < 3.667215, -0.664702, 4.542086>
    }
    triangle {
      < 3.827299, -0.696894, 4.587659>,
      < 3.667215, -0.664702, 4.542086>,
      < 3.651777, -0.710886, 4.588220>
    }
    triangle {
      < 3.513445, -0.676961, 4.542577>,
      < 3.547705, -0.629275, 4.496383>,
      < 3.412751, -0.640034, 4.496814>
    }
    triangle {
      < 3.513445, -0.676961, 4.542577>,
      < 3.412751, -0.640034, 4.496814>,
      < 3.356741, -0.689452, 4.543077>
    }
    triangle {
      < 3.667215, -0.664702, 4.542086>,
      < 3.685588, -0.618283, 4.495943>,
      < 3.547705, -0.629275, 4.496383>
    }
    triangle {
      < 3.667215, -0.664702, 4.542086>,
      < 3.547705, -0.629275, 4.496383>,
      < 3.513445, -0.676961, 4.542577>
    }
    triangle {
      < 3.823919, -0.652209, 4.541586>,
      < 3.820541, -0.607524, 4.495512>,
      < 3.685588, -0.618283, 4.495943>
    }
    triangle {
      < 3.823919, -0.652209, 4.541586>,
      < 3.685588, -0.618283, 4.495943>,
      < 3.667215, -0.664702, 4.542086>
    }
    triangle {
      < 3.547705, -0.629275, 4.496383>,
      < 3.584893, -0.581357, 4.450181>,
      < 3.468758, -0.590614, 4.450551>
    }
    triangle {
      < 3.547705, -0.629275, 4.496383>,
      < 3.468758, -0.590614, 4.450551>,
      < 3.412751, -0.640034, 4.496814>
    }
    triangle {
      < 3.685588, -0.618283, 4.495943>,
      < 3.701028, -0.572100, 4.449810>,
      < 3.584893, -0.581357, 4.450181>
    }
    triangle {
      < 3.685588, -0.618283, 4.495943>,
      < 3.584893, -0.581357, 4.450181>,
      < 3.547705, -0.629275, 4.496383>
    }
    triangle {
      < 3.820541, -0.607524, 4.495512>,
      < 3.817162, -0.562840, 4.449440>,
      < 3.701028, -0.572100, 4.449810>
    }
    triangle {
      < 3.820541, -0.607524, 4.495512>,
      < 3.701028, -0.572100, 4.449810>,
      < 3.685588, -0.618283, 4.495943>
    }
    triangle {
      < 3.699890, -0.553125, 4.784318>,
      < 3.684763, -0.604272, 4.742909>,
      < 3.819396, -0.593541, 4.742479>
    }
    triangle {
      < 3.699890, -0.553125, 4.784318>,
      < 3.819396, -0.593541, 4.742479>,
      < 3.815594, -0.543899, 4.783950>
    }
    triangle {
      < 3.584188, -0.562347, 4.784688>,
      < 3.547179, -0.615241, 4.743348>,
      < 3.684763, -0.604272, 4.742909>
    }
    triangle {
      < 3.584188, -0.562347, 4.784688>,
      < 3.684763, -0.604272, 4.742909>,
      < 3.699890, -0.553125, 4.784318>
    }
    triangle {
      < 3.468487, -0.571571, 4.785055>,
      < 3.412547, -0.625973, 4.743777>,
      < 3.547179, -0.615241, 4.743348>
    }
    triangle {
      < 3.468487, -0.571571, 4.785055>,
      < 3.547179, -0.615241, 4.743348>,
      < 3.584188, -0.562347, 4.784688>
    }
    triangle {
      < 3.684763, -0.604272, 4.742909>,
      < 3.666686, -0.655659, 4.701509>,
      < 3.823199, -0.643179, 4.701012>
    }
    triangle {
      < 3.684763, -0.604272, 4.742909>,
      < 3.823199, -0.643179, 4.701012>,
      < 3.819396, -0.593541, 4.742479>
    }
    triangle {
      < 3.547179, -0.615241, 4.743348>,
      < 3.513125, -0.667899, 4.701999>,
      < 3.666686, -0.655659, 4.701509>
    }
    triangle {
      < 3.547179, -0.615241, 4.743348>,
      < 3.666686, -0.655659, 4.701509>,
      < 3.684763, -0.604272, 4.742909>
    }
    triangle {
      < 3.412547, -0.625973, 4.743777>,
      < 3.356612, -0.680377, 4.702498>,
      < 3.513125, -0.667899, 4.701999>
    }
    triangle {
      < 3.412547, -0.625973, 4.743777>,
      < 3.513125, -0.667899, 4.701999>,
      < 3.547179, -0.615241, 4.743348>
    }
    triangle {
      < 3.666686, -0.655659, 4.701509>,
      < 3.651558, -0.706806, 4.660100>,
      < 3.827001, -0.692820, 4.659542>
    }
    triangle {
      < 3.666686, -0.655659, 4.701509>,
      < 3.827001, -0.692820, 4.659542>,
      < 3.823199, -0.643179, 4.701012>
    }
    triangle {
      < 3.513125, -0.667899, 4.701999>,
      < 3.476117, -0.720793, 4.660660>,
      < 3.651558, -0.706806, 4.660100>
    }
    triangle {
      < 3.513125, -0.667899, 4.701999>,
      < 3.651558, -0.706806, 4.660100>,
      < 3.666686, -0.655659, 4.701509>
    }
    triangle {
      < 3.356612, -0.680377, 4.702498>,
      < 3.300674, -0.734779, 4.661221>,
      < 3.476117, -0.720793, 4.660660>
    }
    triangle {
      < 3.356612, -0.680377, 4.702498>,
      < 3.476117, -0.720793, 4.660660>,
      < 3.513125, -0.667899, 4.701999>
    }
    triangle {
      < 3.476117, -0.720793, 4.660660>,
      < 3.513125, -0.667899, 4.701999>,
      < 3.356612, -0.680377, 4.702498>
    }
    triangle {
      < 3.476117, -0.720793, 4.660660>,
      < 3.356612, -0.680377, 4.702498>,
      < 3.300674, -0.734779, 4.661221>
    }
    triangle {
      < 3.651558, -0.706806, 4.660100>,
      < 3.666686, -0.655659, 4.701509>,
      < 3.513125, -0.667899, 4.701999>
    }
    triangle {
      < 3.651558, -0.706806, 4.660100>,
      < 3.513125, -0.667899, 4.701999>,
      < 3.476117, -0.720793, 4.660660>
    }
    triangle {
      < 3.827001, -0.692820, 4.659542>,
      < 3.823199, -0.643179, 4.701012>,
      < 3.666686, -0.655659, 4.701509>
    }
    triangle {
      < 3.827001, -0.692820, 4.659542>,
      < 3.666686, -0.655659, 4.701509>,
      < 3.651558, -0.706806, 4.660100>
    }
    triangle {
      < 3.513125, -0.667899, 4.701999>,
      < 3.547179, -0.615241, 4.743348>,
      < 3.412547, -0.625973, 4.743777>
    }
    triangle {
      < 3.513125, -0.667899, 4.701999>,
      < 3.412547, -0.625973, 4.743777>,
      < 3.356612, -0.680377, 4.702498>
    }
    triangle {
      < 3.666686, -0.655659, 4.701509>,
      < 3.684763, -0.604272, 4.742909>,
      < 3.547179, -0.615241, 4.743348>
    }
    triangle {
      < 3.666686, -0.655659, 4.701509>,
      < 3.547179, -0.615241, 4.743348>,
      < 3.513125, -0.667899, 4.701999>
    }
    triangle {
      < 3.823199, -0.643179, 4.701012>,
      < 3.819396, -0.593541, 4.742479>,
      < 3.684763, -0.604272, 4.742909>
    }
    triangle {
      < 3.823199, -0.643179, 4.701012>,
      < 3.684763, -0.604272, 4.742909>,
      < 3.666686, -0.655659, 4.701509>
    }
    triangle {
      < 3.547179, -0.615241, 4.743348>,
      < 3.584188, -0.562347, 4.784688>,
      < 3.468487, -0.571571, 4.785055>
    }
    triangle {
      < 3.547179, -0.615241, 4.743348>,
      < 3.468487, -0.571571, 4.785055>,
      < 3.412547, -0.625973, 4.743777>
    }
    triangle {
      < 3.684763, -0.604272, 4.742909>,
      < 3.699890, -0.553125, 4.784318>,
      < 3.584188, -0.562347, 4.784688>
    }
    triangle {
      < 3.684763, -0.604272, 4.742909>,
      < 3.584188, -0.562347, 4.784688>,
      < 3.547179, -0.615241, 4.743348>
    }
    triangle {
      < 3.819396, -0.593541, 4.742479>,
      < 3.815594, -0.543899, 4.783950>,
      < 3.699890, -0.553125, 4.784318>
    }
    triangle {
      < 3.819396, -0.593541, 4.742479>,
      < 3.699890, -0.553125, 4.784318>,
      < 3.684763, -0.604272, 4.742909>
    }
    triangle {
      < 3.370463, -0.861176, 4.551458>,
      < 3.526979, -0.848699, 4.550960>,
      < 3.482363, -0.802313, 4.592558>
    }
    triangle {
      < 3.370463, -0.861176, 4.551458>,
      < 3.482363, -0.802313, 4.592558>,
      < 3.306921, -0.816301, 4.593119>
    }
    triangle {
      < 3.434006, -0.906054, 4.509799>,
      < 3.568638, -0.895320, 4.509370>,
      < 3.526979, -0.848699, 4.550960>
    }
    triangle {
      < 3.434006, -0.906054, 4.509799>,
      < 3.526979, -0.848699, 4.550960>,
      < 3.370463, -0.861176, 4.551458>
    }
    triangle {
      < 3.497549, -0.950933, 4.468139>,
      < 3.613251, -0.941708, 4.467769>,
      < 3.568638, -0.895320, 4.509370>
    }
    triangle {
      < 3.497549, -0.950933, 4.468139>,
      < 3.568638, -0.895320, 4.509370>,
      < 3.434006, -0.906054, 4.509799>
    }
    triangle {
      < 3.526979, -0.848699, 4.550960>,
      < 3.680539, -0.836457, 4.550469>,
      < 3.657806, -0.788328, 4.591999>
    }
    triangle {
      < 3.526979, -0.848699, 4.550960>,
      < 3.657806, -0.788328, 4.591999>,
      < 3.482363, -0.802313, 4.592558>
    }
    triangle {
      < 3.568638, -0.895320, 4.509370>,
      < 3.706223, -0.884353, 4.508931>,
      < 3.680539, -0.836457, 4.550469>
    }
    triangle {
      < 3.568638, -0.895320, 4.509370>,
      < 3.680539, -0.836457, 4.550469>,
      < 3.526979, -0.848699, 4.550960>
    }
    triangle {
      < 3.613251, -0.941708, 4.467769>,
      < 3.728956, -0.932485, 4.467400>,
      < 3.706223, -0.884353, 4.508931>
    }
    triangle {
      < 3.613251, -0.941708, 4.467769>,
      < 3.706223, -0.884353, 4.508931>,
      < 3.568638, -0.895320, 4.509370>
    }
    triangle {
      < 3.680539, -0.836457, 4.550469>,
      < 3.837051, -0.823980, 4.549970>,
      < 3.833249, -0.774340, 4.591440>
    }
    triangle {
      < 3.680539, -0.836457, 4.550469>,
      < 3.833249, -0.774340, 4.591440>,
      < 3.657806, -0.788328, 4.591999>
    }
    triangle {
      < 3.706223, -0.884353, 4.508931>,
      < 3.840854, -0.873620, 4.508501>,
      < 3.837051, -0.823980, 4.549970>
    }
    triangle {
      < 3.706223, -0.884353, 4.508931>,
      < 3.837051, -0.823980, 4.549970>,
      < 3.680539, -0.836457, 4.550469>
    }
    triangle {
      < 3.728956, -0.932485, 4.467400>,
      < 3.844658, -0.923261, 4.467032>,
      < 3.840854, -0.873620, 4.508501>
    }
    triangle {
      < 3.728956, -0.932485, 4.467400>,
      < 3.840854, -0.873620, 4.508501>,
      < 3.706223, -0.884353, 4.508931>
    }
    triangle {
      < 3.728956, -0.932485, 4.467400>,
      < 3.706223, -0.884353, 4.508931>,
      < 3.840854, -0.873620, 4.508501>
    }
    triangle {
      < 3.728956, -0.932485, 4.467400>,
      < 3.840854, -0.873620, 4.508501>,
      < 3.844658, -0.923261, 4.467032>
    }
    triangle {
      < 3.613251, -0.941708, 4.467769>,
      < 3.568638, -0.895320, 4.509370>,
      < 3.706223, -0.884353, 4.508931>
    }
    triangle {
      < 3.613251, -0.941708, 4.467769>,
      < 3.706223, -0.884353, 4.508931>,
      < 3.728956, -0.932485, 4.467400>
    }
    triangle {
      < 3.497549, -0.950933, 4.468139>,
      < 3.434006, -0.906054, 4.509799>,
      < 3.568638, -0.895320, 4.509370>
    }
    triangle {
      < 3.497549, -0.950933, 4.468139>,
      < 3.568638, -0.895320, 4.509370>,
      < 3.613251, -0.941708, 4.467769>
    }
    triangle {
      < 3.706223, -0.884353, 4.508931>,
      < 3.680539, -0.836457, 4.550469>,
      < 3.837051, -0.823980, 4.549970>
    }
    triangle {
      < 3.706223, -0.884353, 4.508931>,
      < 3.837051, -0.823980, 4.549970>,
      < 3.840854, -0.873620, 4.508501>
    }
    triangle {
      < 3.568638, -0.895320, 4.509370>,
      < 3.526979, -0.848699, 4.550960>,
      < 3.680539, -0.836457, 4.550469>
    }
    triangle {
      < 3.568638, -0.895320, 4.509370>,
      < 3.680539, -0.836457, 4.550469>,
      < 3.706223, -0.884353, 4.508931>
    }
    triangle {
      < 3.434006, -0.906054, 4.509799>,
      < 3.370463, -0.861176, 4.551458>,
      < 3.526979, -0.848699, 4.550960>
    }
    triangle {
      < 3.434006, -0.906054, 4.509799>,
      < 3.526979, -0.848699, 4.550960>,
      < 3.568638, -0.895320, 4.509370>
    }
    triangle {
      < 3.680539, -0.836457, 4.550469>,
      < 3.657806, -0.788328, 4.591999>,
      < 3.833249, -0.774340, 4.591440>
    }
    triangle {
      < 3.680539, -0.836457, 4.550469>,
      < 3.833249, -0.774340, 4.591440>,
      < 3.837051, -0.823980, 4.549970>
    }
    triangle {
      < 3.526979, -0.848699, 4.550960>,
      < 3.482363, -0.802313, 4.592558>,
      < 3.657806, -0.788328, 4.591999>
    }
    triangle {
      < 3.526979, -0.848699, 4.550960>,
      < 3.657806, -0.788328, 4.591999>,
      < 3.680539, -0.836457, 4.550469>
    }
    triangle {
      < 3.370463, -0.861176, 4.551458>,
      < 3.306921, -0.816301, 4.593119>,
      < 3.482363, -0.802313, 4.592558>
    }
    triangle {
      < 3.370463, -0.861176, 4.551458>,
      < 3.482363, -0.802313, 4.592558>,
      < 3.526979, -0.848699, 4.550960>
    }
    triangle {
      < 3.843003, -0.904632, 4.804754>,
      < 3.839626, -0.859949, 4.758682>,
      < 3.704994, -0.870705, 4.758202>
    }
    triangle {
      < 3.843003, -0.904632, 4.804754>,
      < 3.704994, -0.870705, 4.758202>,
      < 3.727302, -0.913877, 4.804343>
    }
    triangle {
      < 3.727302, -0.913877, 4.804343>,
      < 3.704994, -0.870705, 4.758202>,
      < 3.567414, -0.881698, 4.757711>
    }
    triangle {
      < 3.727302, -0.913877, 4.804343>,
      < 3.567414, -0.881698, 4.757711>,
      < 3.611603, -0.923122, 4.803930>
    }
    triangle {
      < 3.611603, -0.923122, 4.803930>,
      < 3.567414, -0.881698, 4.757711>,
      < 3.432783, -0.892456, 4.757233>
    }
    triangle {
      < 3.611603, -0.923122, 4.803930>,
      < 3.432783, -0.892456, 4.757233>,
      < 3.495902, -0.932367, 4.803518>
    }
    triangle {
      < 3.839626, -0.859949, 4.758682>,
      < 3.836246, -0.815266, 4.712608>,
      < 3.679735, -0.827770, 4.712052>
    }
    triangle {
      < 3.839626, -0.859949, 4.758682>,
      < 3.679735, -0.827770, 4.712052>,
      < 3.704994, -0.870705, 4.758202>
    }
    triangle {
      < 3.704994, -0.870705, 4.758202>,
      < 3.679735, -0.827770, 4.712052>,
      < 3.526174, -0.840040, 4.711505>
    }
    triangle {
      < 3.704994, -0.870705, 4.758202>,
      < 3.526174, -0.840040, 4.711505>,
      < 3.567414, -0.881698, 4.757711>
    }
    triangle {
      < 3.567414, -0.881698, 4.757711>,
      < 3.526174, -0.840040, 4.711505>,
      < 3.369665, -0.852545, 4.710948>
    }
    triangle {
      < 3.567414, -0.881698, 4.757711>,
      < 3.369665, -0.852545, 4.710948>,
      < 3.432783, -0.892456, 4.757233>
    }
    triangle {
      < 3.836246, -0.815266, 4.712608>,
      < 3.832869, -0.770581, 4.666536>,
      < 3.657428, -0.784598, 4.665912>
    }
    triangle {
      < 3.836246, -0.815266, 4.712608>,
      < 3.657428, -0.784598, 4.665912>,
      < 3.679735, -0.827770, 4.712052>
    }
    triangle {
      < 3.679735, -0.827770, 4.712052>,
      < 3.657428, -0.784598, 4.665912>,
      < 3.481987, -0.798617, 4.665287>
    }
    triangle {
      < 3.679735, -0.827770, 4.712052>,
      < 3.481987, -0.798617, 4.665287>,
      < 3.526174, -0.840040, 4.711505>
    }
    triangle {
      < 3.526174, -0.840040, 4.711505>,
      < 3.481987, -0.798617, 4.665287>,
      < 3.306548, -0.812635, 4.664661>
    }
    triangle {
      < 3.526174, -0.840040, 4.711505>,
      < 3.306548, -0.812635, 4.664661>,
      < 3.369665, -0.852545, 4.710948>
    }
    triangle {
      < 3.843003, -0.904632, 4.804754>,
      < 3.839626, -0.859949, 4.758682>,
      < 3.704994, -0.870705, 4.758202>
    }
    triangle {
      < 3.843003, -0.904632, 4.804754>,
      < 3.704994, -0.870705, 4.758202>,
      < 3.727302, -0.913877, 4.804343>
    }
    triangle {
      < 3.727302, -0.913877, 4.804343>,
      < 3.704994, -0.870705, 4.758202>,
      < 3.567414, -0.881698, 4.757711>
    }
    triangle {
      < 3.727302, -0.913877, 4.804343>,
      < 3.567414, -0.881698, 4.757711>,
      < 3.611603, -0.923122, 4.803930>
    }
    triangle {
      < 3.611603, -0.923122, 4.803930>,
      < 3.567414, -0.881698, 4.757711>,
      < 3.432783, -0.892456, 4.757233>
    }
    triangle {
      < 3.611603, -0.923122, 4.803930>,
      < 3.432783, -0.892456, 4.757233>,
      < 3.495902, -0.932367, 4.803518>
    }
    triangle {
      < 3.839626, -0.859949, 4.758682>,
      < 3.836246, -0.815266, 4.712608>,
      < 3.679735, -0.827770, 4.712052>
    }
    triangle {
      < 3.839626, -0.859949, 4.758682>,
      < 3.679735, -0.827770, 4.712052>,
      < 3.704994, -0.870705, 4.758202>
    }
    triangle {
      < 3.704994, -0.870705, 4.758202>,
      < 3.679735, -0.827770, 4.712052>,
      < 3.526174, -0.840040, 4.711505>
    }
    triangle {
      < 3.704994, -0.870705, 4.758202>,
      < 3.526174, -0.840040, 4.711505>,
      < 3.567414, -0.881698, 4.757711>
    }
    triangle {
      < 3.567414, -0.881698, 4.757711>,
      < 3.526174, -0.840040, 4.711505>,
      < 3.369665, -0.852545, 4.710948>
    }
    triangle {
      < 3.567414, -0.881698, 4.757711>,
      < 3.369665, -0.852545, 4.710948>,
      < 3.432783, -0.892456, 4.757233>
    }
    triangle {
      < 3.836246, -0.815266, 4.712608>,
      < 3.832869, -0.770581, 4.666536>,
      < 3.657428, -0.784598, 4.665912>
    }
    triangle {
      < 3.836246, -0.815266, 4.712608>,
      < 3.657428, -0.784598, 4.665912>,
      < 3.679735, -0.827770, 4.712052>
    }
    triangle {
      < 3.679735, -0.827770, 4.712052>,
      < 3.657428, -0.784598, 4.665912>,
      < 3.481987, -0.798617, 4.665287>
    }
    triangle {
      < 3.679735, -0.827770, 4.712052>,
      < 3.481987, -0.798617, 4.665287>,
      < 3.526174, -0.840040, 4.711505>
    }
    triangle {
      < 3.526174, -0.840040, 4.711505>,
      < 3.481987, -0.798617, 4.665287>,
      < 3.306548, -0.812635, 4.664661>
    }
    triangle {
      < 3.526174, -0.840040, 4.711505>,
      < 3.306548, -0.812635, 4.664661>,
      < 3.369665, -0.852545, 4.710948>
    }
    triangle {
      < 3.468758, -0.590614, 4.450551>,
      < 3.584893, -0.581357, 4.450181>,
      < 3.547705, -0.629275, 4.496383>
    }
    triangle {
      < 3.468758, -0.590614, 4.450551>,
      < 3.547705, -0.629275, 4.496383>,
      < 3.412751, -0.640034, 4.496814>
    }
    triangle {
      < 3.412751, -0.640034, 4.496814>,
      < 3.547705, -0.629275, 4.496383>,
      < 3.513445, -0.676961, 4.542577>
    }
    triangle {
      < 3.412751, -0.640034, 4.496814>,
      < 3.513445, -0.676961, 4.542577>,
      < 3.356741, -0.689452, 4.543077>
    }
    triangle {
      < 3.356741, -0.689452, 4.543077>,
      < 3.513445, -0.676961, 4.542577>,
      < 3.476255, -0.724880, 4.588779>
    }
    triangle {
      < 3.356741, -0.689452, 4.543077>,
      < 3.476255, -0.724880, 4.588779>,
      < 3.300735, -0.738871, 4.589340>
    }
    triangle {
      < 3.584893, -0.581357, 4.450181>,
      < 3.701028, -0.572100, 4.449810>,
      < 3.685588, -0.618283, 4.495943>
    }
    triangle {
      < 3.584893, -0.581357, 4.450181>,
      < 3.685588, -0.618283, 4.495943>,
      < 3.547705, -0.629275, 4.496383>
    }
    triangle {
      < 3.547705, -0.629275, 4.496383>,
      < 3.685588, -0.618283, 4.495943>,
      < 3.667215, -0.664702, 4.542086>
    }
    triangle {
      < 3.547705, -0.629275, 4.496383>,
      < 3.667215, -0.664702, 4.542086>,
      < 3.513445, -0.676961, 4.542577>
    }
    triangle {
      < 3.513445, -0.676961, 4.542577>,
      < 3.667215, -0.664702, 4.542086>,
      < 3.651777, -0.710886, 4.588220>
    }
    triangle {
      < 3.513445, -0.676961, 4.542577>,
      < 3.651777, -0.710886, 4.588220>,
      < 3.476255, -0.724880, 4.588779>
    }
    triangle {
      < 3.701028, -0.572100, 4.449810>,
      < 3.817162, -0.562840, 4.449440>,
      < 3.820541, -0.607524, 4.495512>
    }
    triangle {
      < 3.701028, -0.572100, 4.449810>,
      < 3.820541, -0.607524, 4.495512>,
      < 3.685588, -0.618283, 4.495943>
    }
    triangle {
      < 3.685588, -0.618283, 4.495943>,
      < 3.820541, -0.607524, 4.495512>,
      < 3.823919, -0.652209, 4.541586>
    }
    triangle {
      < 3.685588, -0.618283, 4.495943>,
      < 3.823919, -0.652209, 4.541586>,
      < 3.667215, -0.664702, 4.542086>
    }
    triangle {
      < 3.667215, -0.664702, 4.542086>,
      < 3.823919, -0.652209, 4.541586>,
      < 3.827299, -0.696894, 4.587659>
    }
    triangle {
      < 3.667215, -0.664702, 4.542086>,
      < 3.827299, -0.696894, 4.587659>,
      < 3.651777, -0.710886, 4.588220>
    }
    triangle {
      < 3.300735, -0.738871, 4.589340>,
      < 3.356741, -0.689452, 4.543077>,
      < 3.513445, -0.676961, 4.542577>
    }
    triangle {
      < 3.300735, -0.738871, 4.589340>,
      < 3.513445, -0.676961, 4.542577>,
      < 3.476255, -0.724880, 4.588779>
    }
    triangle {
      < 3.476255, -0.724880, 4.588779>,
      < 3.513445, -0.676961, 4.542577>,
      < 3.667215, -0.664702, 4.542086>
    }
    triangle {
      < 3.476255, -0.724880, 4.588779>,
      < 3.667215, -0.664702, 4.542086>,
      < 3.651777, -0.710886, 4.588220>
    }
    triangle {
      < 3.651777, -0.710886, 4.588220>,
      < 3.667215, -0.664702, 4.542086>,
      < 3.823919, -0.652209, 4.541586>
    }
    triangle {
      < 3.651777, -0.710886, 4.588220>,
      < 3.823919, -0.652209, 4.541586>,
      < 3.827299, -0.696894, 4.587659>
    }
    triangle {
      < 3.356741, -0.689452, 4.543077>,
      < 3.412751, -0.640034, 4.496814>,
      < 3.547705, -0.629275, 4.496383>
    }
    triangle {
      < 3.356741, -0.689452, 4.543077>,
      < 3.547705, -0.629275, 4.496383>,
      < 3.513445, -0.676961, 4.542577>
    }
    triangle {
      < 3.513445, -0.676961, 4.542577>,
      < 3.547705, -0.629275, 4.496383>,
      < 3.685588, -0.618283, 4.495943>
    }
    triangle {
      < 3.513445, -0.676961, 4.542577>,
      < 3.685588, -0.618283, 4.495943>,
      < 3.667215, -0.664702, 4.542086>
    }
    triangle {
      < 3.667215, -0.664702, 4.542086>,
      < 3.685588, -0.618283, 4.495943>,
      < 3.820541, -0.607524, 4.495512>
    }
    triangle {
      < 3.667215, -0.664702, 4.542086>,
      < 3.820541, -0.607524, 4.495512>,
      < 3.823919, -0.652209, 4.541586>
    }
    triangle {
      < 3.412751, -0.640034, 4.496814>,
      < 3.468758, -0.590614, 4.450551>,
      < 3.584893, -0.581357, 4.450181>
    }
    triangle {
      < 3.412751, -0.640034, 4.496814>,
      < 3.584893, -0.581357, 4.450181>,
      < 3.547705, -0.629275, 4.496383>
    }
    triangle {
      < 3.547705, -0.629275, 4.496383>,
      < 3.584893, -0.581357, 4.450181>,
      < 3.701028, -0.572100, 4.449810>
    }
    triangle {
      < 3.547705, -0.629275, 4.496383>,
      < 3.701028, -0.572100, 4.449810>,
      < 3.685588, -0.618283, 4.495943>
    }
    triangle {
      < 3.685588, -0.618283, 4.495943>,
      < 3.701028, -0.572100, 4.449810>,
      < 3.817162, -0.562840, 4.449440>
    }
    triangle {
      < 3.685588, -0.618283, 4.495943>,
      < 3.817162, -0.562840, 4.449440>,
      < 3.820541, -0.607524, 4.495512>
    }
    triangle {
      < 3.815594, -0.543899, 4.783950>,
      < 3.819396, -0.593541, 4.742479>,
      < 3.684763, -0.604272, 4.742909>
    }
    triangle {
      < 3.815594, -0.543899, 4.783950>,
      < 3.684763, -0.604272, 4.742909>,
      < 3.699890, -0.553125, 4.784318>
    }
    triangle {
      < 3.699890, -0.553125, 4.784318>,
      < 3.684763, -0.604272, 4.742909>,
      < 3.547179, -0.615241, 4.743348>
    }
    triangle {
      < 3.699890, -0.553125, 4.784318>,
      < 3.547179, -0.615241, 4.743348>,
      < 3.584188, -0.562347, 4.784688>
    }
    triangle {
      < 3.584188, -0.562347, 4.784688>,
      < 3.547179, -0.615241, 4.743348>,
      < 3.412547, -0.625973, 4.743777>
    }
    triangle {
      < 3.584188, -0.562347, 4.784688>,
      < 3.412547, -0.625973, 4.743777>,
      < 3.468487, -0.571571, 4.785055>
    }
    triangle {
      < 3.819396, -0.593541, 4.742479>,
      < 3.823199, -0.643179, 4.701012>,
      < 3.666686, -0.655659, 4.701509>
    }
    triangle {
      < 3.819396, -0.593541, 4.742479>,
      < 3.666686, -0.655659, 4.701509>,
      < 3.684763, -0.604272, 4.742909>
    }
    triangle {
      < 3.684763, -0.604272, 4.742909>,
      < 3.666686, -0.655659, 4.701509>,
      < 3.513125, -0.667899, 4.701999>
    }
    triangle {
      < 3.684763, -0.604272, 4.742909>,
      < 3.513125, -0.667899, 4.701999>,
      < 3.547179, -0.615241, 4.743348>
    }
    triangle {
      < 3.547179, -0.615241, 4.743348>,
      < 3.513125, -0.667899, 4.701999>,
      < 3.356612, -0.680377, 4.702498>
    }
    triangle {
      < 3.547179, -0.615241, 4.743348>,
      < 3.356612, -0.680377, 4.702498>,
      < 3.412547, -0.625973, 4.743777>
    }
    triangle {
      < 3.823199, -0.643179, 4.701012>,
      < 3.827001, -0.692820, 4.659542>,
      < 3.651558, -0.706806, 4.660100>
    }
    triangle {
      < 3.823199, -0.643179, 4.701012>,
      < 3.651558, -0.706806, 4.660100>,
      < 3.666686, -0.655659, 4.701509>
    }
    triangle {
      < 3.666686, -0.655659, 4.701509>,
      < 3.651558, -0.706806, 4.660100>,
      < 3.476117, -0.720793, 4.660660>
    }
    triangle {
      < 3.666686, -0.655659, 4.701509>,
      < 3.476117, -0.720793, 4.660660>,
      < 3.513125, -0.667899, 4.701999>
    }
    triangle {
      < 3.513125, -0.667899, 4.701999>,
      < 3.476117, -0.720793, 4.660660>,
      < 3.300674, -0.734779, 4.661221>
    }
    triangle {
      < 3.513125, -0.667899, 4.701999>,
      < 3.300674, -0.734779, 4.661221>,
      < 3.356612, -0.680377, 4.702498>
    }
    triangle {
      < 3.300674, -0.734779, 4.661221>,
      < 3.356612, -0.680377, 4.702498>,
      < 3.513125, -0.667899, 4.701999>
    }
    triangle {
      < 3.300674, -0.734779, 4.661221>,
      < 3.513125, -0.667899, 4.701999>,
      < 3.476117, -0.720793, 4.660660>
    }
    triangle {
      < 3.476117, -0.720793, 4.660660>,
      < 3.513125, -0.667899, 4.701999>,
      < 3.666686, -0.655659, 4.701509>
    }
    triangle {
      < 3.476117, -0.720793, 4.660660>,
      < 3.666686, -0.655659, 4.701509>,
      < 3.651558, -0.706806, 4.660100>
    }
    triangle {
      < 3.651558, -0.706806, 4.660100>,
      < 3.666686, -0.655659, 4.701509>,
      < 3.823199, -0.643179, 4.701012>
    }
    triangle {
      < 3.651558, -0.706806, 4.660100>,
      < 3.823199, -0.643179, 4.701012>,
      < 3.827001, -0.692820, 4.659542>
    }
    triangle {
      < 3.356612, -0.680377, 4.702498>,
      < 3.412547, -0.625973, 4.743777>,
      < 3.547179, -0.615241, 4.743348>
    }
    triangle {
      < 3.356612, -0.680377, 4.702498>,
      < 3.547179, -0.615241, 4.743348>,
      < 3.513125, -0.667899, 4.701999>
    }
    triangle {
      < 3.513125, -0.667899, 4.701999>,
      < 3.547179, -0.615241, 4.743348>,
      < 3.684763, -0.604272, 4.742909>
    }
    triangle {
      < 3.513125, -0.667899, 4.701999>,
      < 3.684763, -0.604272, 4.742909>,
      < 3.666686, -0.655659, 4.701509>
    }
    triangle {
      < 3.666686, -0.655659, 4.701509>,
      < 3.684763, -0.604272, 4.742909>,
      < 3.819396, -0.593541, 4.742479>
    }
    triangle {
      < 3.666686, -0.655659, 4.701509>,
      < 3.819396, -0.593541, 4.742479>,
      < 3.823199, -0.643179, 4.701012>
    }
    triangle {
      < 3.412547, -0.625973, 4.743777>,
      < 3.468487, -0.571571, 4.785055>,
      < 3.584188, -0.562347, 4.784688>
    }
    triangle {
      < 3.412547, -0.625973, 4.743777>,
      < 3.584188, -0.562347, 4.784688>,
      < 3.547179, -0.615241, 4.743348>
    }
    triangle {
      < 3.547179, -0.615241, 4.743348>,
      < 3.584188, -0.562347, 4.784688>,
      < 3.699890, -0.553125, 4.784318>
    }
    triangle {
      < 3.547179, -0.615241, 4.743348>,
      < 3.699890, -0.553125, 4.784318>,
      < 3.684763, -0.604272, 4.742909>
    }
    triangle {
      < 3.684763, -0.604272, 4.742909>,
      < 3.699890, -0.553125, 4.784318>,
      < 3.815594, -0.543899, 4.783950>
    }
    triangle {
      < 3.684763, -0.604272, 4.742909>,
      < 3.815594, -0.543899, 4.783950>,
      < 3.819396, -0.593541, 4.742479>
    }
    triangle {
      < 3.306921, -0.816301, 4.593119>,
      < 3.482363, -0.802313, 4.592558>,
      < 3.526979, -0.848699, 4.550960>
    }
    triangle {
      < 3.306921, -0.816301, 4.593119>,
      < 3.526979, -0.848699, 4.550960>,
      < 3.370463, -0.861176, 4.551458>
    }
    triangle {
      < 3.370463, -0.861176, 4.551458>,
      < 3.526979, -0.848699, 4.550960>,
      < 3.568638, -0.895320, 4.509370>
    }
    triangle {
      < 3.370463, -0.861176, 4.551458>,
      < 3.568638, -0.895320, 4.509370>,
      < 3.434006, -0.906054, 4.509799>
    }
    triangle {
      < 3.434006, -0.906054, 4.509799>,
      < 3.568638, -0.895320, 4.509370>,
      < 3.613251, -0.941708, 4.467769>
    }
    triangle {
      < 3.434006, -0.906054, 4.509799>,
      < 3.613251, -0.941708, 4.467769>,
      < 3.497549, -0.950933, 4.468139>
    }
    triangle {
      < 3.482363, -0.802313, 4.592558>,
      < 3.657806, -0.788328, 4.591999>,
      < 3.680539, -0.836457, 4.550469>
    }
    triangle {
      < 3.482363, -0.802313, 4.592558>,
      < 3.680539, -0.836457, 4.550469>,
      < 3.526979, -0.848699, 4.550960>
    }
    triangle {
      < 3.526979, -0.848699, 4.550960>,
      < 3.680539, -0.836457, 4.550469>,
      < 3.706223, -0.884353, 4.508931>
    }
    triangle {
      < 3.526979, -0.848699, 4.550960>,
      < 3.706223, -0.884353, 4.508931>,
      < 3.568638, -0.895320, 4.509370>
    }
    triangle {
      < 3.568638, -0.895320, 4.509370>,
      < 3.706223, -0.884353, 4.508931>,
      < 3.728956, -0.932485, 4.467400>
    }
    triangle {
      < 3.568638, -0.895320, 4.509370>,
      < 3.728956, -0.932485, 4.467400>,
      < 3.613251, -0.941708, 4.467769>
    }
    triangle {
      < 3.657806, -0.788328, 4.591999>,
      < 3.833249, -0.774340, 4.591440>,
      < 3.837051, -0.823980, 4.549970>
    }
    triangle {
      < 3.657806, -0.788328, 4.591999>,
      < 3.837051, -0.823980, 4.549970>,
      < 3.680539, -0.836457, 4.550469>
    }
    triangle {
      < 3.680539, -0.836457, 4.550469>,
      < 3.837051, -0.823980, 4.549970>,
      < 3.840854, -0.873620, 4.508501>
    }
    triangle {
      < 3.680539, -0.836457, 4.550469>,
      < 3.840854, -0.873620, 4.508501>,
      < 3.706223, -0.884353, 4.508931>
    }
    triangle {
      < 3.706223, -0.884353, 4.508931>,
      < 3.840854, -0.873620, 4.508501>,
      < 3.844658, -0.923261, 4.467032>
    }
    triangle {
      < 3.706223, -0.884353, 4.508931>,
      < 3.844658, -0.923261, 4.467032>,
      < 3.728956, -0.932485, 4.467400>
    }
    triangle {
      < 3.844658, -0.923261, 4.467032>,
      < 3.840854, -0.873620, 4.508501>,
      < 3.706223, -0.884353, 4.508931>
    }
    triangle {
      < 3.844658, -0.923261, 4.467032>,
      < 3.706223, -0.884353, 4.508931>,
      < 3.728956, -0.932485, 4.467400>
    }
    triangle {
      < 3.728956, -0.932485, 4.467400>,
      < 3.706223, -0.884353, 4.508931>,
      < 3.568638, -0.895320, 4.509370>
    }
    triangle {
      < 3.728956, -0.932485, 4.467400>,
      < 3.568638, -0.895320, 4.509370>,
      < 3.613251, -0.941708, 4.467769>
    }
    triangle {
      < 3.613251, -0.941708, 4.467769>,
      < 3.568638, -0.895320, 4.509370>,
      < 3.434006, -0.906054, 4.509799>
    }
    triangle {
      < 3.613251, -0.941708, 4.467769>,
      < 3.434006, -0.906054, 4.509799>,
      < 3.497549, -0.950933, 4.468139>
    }
    triangle {
      < 3.840854, -0.873620, 4.508501>,
      < 3.837051, -0.823980, 4.549970>,
      < 3.680539, -0.836457, 4.550469>
    }
    triangle {
      < 3.840854, -0.873620, 4.508501>,
      < 3.680539, -0.836457, 4.550469>,
      < 3.706223, -0.884353, 4.508931>
    }
    triangle {
      < 3.706223, -0.884353, 4.508931>,
      < 3.680539, -0.836457, 4.550469>,
      < 3.526979, -0.848699, 4.550960>
    }
    triangle {
      < 3.706223, -0.884353, 4.508931>,
      < 3.526979, -0.848699, 4.550960>,
      < 3.568638, -0.895320, 4.509370>
    }
    triangle {
      < 3.568638, -0.895320, 4.509370>,
      < 3.526979, -0.848699, 4.550960>,
      < 3.370463, -0.861176, 4.551458>
    }
    triangle {
      < 3.568638, -0.895320, 4.509370>,
      < 3.370463, -0.861176, 4.551458>,
      < 3.434006, -0.906054, 4.509799>
    }
    triangle {
      < 3.837051, -0.823980, 4.549970>,
      < 3.833249, -0.774340, 4.591440>,
      < 3.657806, -0.788328, 4.591999>
    }
    triangle {
      < 3.837051, -0.823980, 4.549970>,
      < 3.657806, -0.788328, 4.591999>,
      < 3.680539, -0.836457, 4.550469>
    }
    triangle {
      < 3.680539, -0.836457, 4.550469>,
      < 3.657806, -0.788328, 4.591999>,
      < 3.482363, -0.802313, 4.592558>
    }
    triangle {
      < 3.680539, -0.836457, 4.550469>,
      < 3.482363, -0.802313, 4.592558>,
      < 3.526979, -0.848699, 4.550960>
    }
    triangle {
      < 3.526979, -0.848699, 4.550960>,
      < 3.482363, -0.802313, 4.592558>,
      < 3.306921, -0.816301, 4.593119>
    }
    triangle {
      < 3.526979, -0.848699, 4.550960>,
      < 3.306921, -0.816301, 4.593119>,
      < 3.370463, -0.861176, 4.551458>
    }
    texture {fins}
  }
  union {
    triangle {
      < -3.837215, -0.758998, 0.002119>,
      < -3.648698, -0.758998, 0.135551>,
      < -3.317310, -0.758998, 0.216965>
    }
    triangle {
      < -3.837215, -0.758998, 0.002119>,
      < -3.317310, -0.758998, 0.216965>,
      < -2.904697, -0.758998, 0.248872>
    }
    triangle {
      < -3.837215, -0.758998, 0.002119>,
      < -2.904697, -0.758998, 0.248872>,
      < -2.397693, -0.758998, 0.226301>
    }
    triangle {
      < -3.837215, -0.758998, 0.002119>,
      < -2.397693, -0.758998, 0.226301>,
      < -1.964561, -0.758998, 0.142488>
    }
    triangle {
      < -3.837215, -0.758998, 0.002119>,
      < -1.964561, -0.758998, 0.142488>,
      < -1.706401, -0.758998, 0.001552>
    }
    triangle {
      < -3.837215, -0.758998, 0.002119>,
      < -1.706401, -0.758998, 0.001552>,
      < -1.964645, -0.758998, -0.139248>
    }
    triangle {
      < -3.837215, -0.758998, 0.002119>,
      < -1.964645, -0.758998, -0.139248>,
      < -2.397827, -0.758998, -0.222845>
    }
    triangle {
      < -3.837215, -0.758998, 0.002119>,
      < -2.397827, -0.758998, -0.222845>,
      < -2.904844, -0.758998, -0.245165>
    }
    triangle {
      < -3.837215, -0.758998, 0.002119>,
      < -2.904844, -0.758998, -0.245165>,
      < -3.317437, -0.758998, -0.213047>
    }
    triangle {
      < -3.837215, -0.758998, 0.002119>,
      < -3.317437, -0.758998, -0.213047>,
      < -3.648777, -0.758998, -0.131448>
    }
    triangle {
      < -3.837215, -0.758998, 0.002119>,
      < -3.648777, -0.758998, -0.131448>,
      < -3.837215, -0.758998, 0.002119>
    }
    triangle {
      < -3.908728, -0.285858, 0.178999>,
      < -3.851400, -0.282993, 0.164677>,
      < -4.083859, -0.237277, 0.002574>
    }
    triangle {
      < -3.908728, -0.285858, 0.178999>,
      < -4.083859, -0.237277, 0.002574>,
      < -4.157670, -0.236165, 0.002798>
    }
    triangle {
      < -3.471121, -0.260874, 0.286508>,
      < -3.442769, -0.260008, 0.263583>,
      < -3.851400, -0.282993, 0.164677>
    }
    triangle {
      < -3.471121, -0.260874, 0.286508>,
      < -3.851400, -0.282993, 0.164677>,
      < -3.908728, -0.285858, 0.178999>
    }
    triangle {
      < -2.926255, -0.188243, 0.328642>,
      < -2.933980, -0.193189, 0.302346>,
      < -3.442769, -0.260008, 0.263583>
    }
    triangle {
      < -2.926255, -0.188243, 0.328642>,
      < -3.442769, -0.260008, 0.263583>,
      < -3.471121, -0.260874, 0.286508>
    }
    triangle {
      < -2.256743, -0.078175, 0.298836>,
      < -2.308799, -0.091928, 0.274925>,
      < -2.933980, -0.193189, 0.302346>
    }
    triangle {
      < -2.256743, -0.078175, 0.298836>,
      < -2.933980, -0.193189, 0.302346>,
      < -2.926255, -0.188243, 0.328642>
    }
    triangle {
      < -1.684781, 0.016238, 0.188159>,
      < -1.774709, -0.005069, 0.173104>,
      < -2.308799, -0.091928, 0.274925>
    }
    triangle {
      < -1.684781, 0.016238, 0.188159>,
      < -2.308799, -0.091928, 0.274925>,
      < -2.256743, -0.078175, 0.298836>
    }
    triangle {
      < -1.343873, 0.050669, 0.002049>,
      < -1.456374, 0.026607, 0.001885>,
      < -1.774709, -0.005069, 0.173104>
    }
    triangle {
      < -1.343873, 0.050669, 0.002049>,
      < -1.774709, -0.005069, 0.173104>,
      < -1.684781, 0.016238, 0.188159>
    }
    triangle {
      < -1.684891, 0.016349, -0.183880>,
      < -1.774812, -0.004967, -0.169167>,
      < -1.456374, 0.026607, 0.001885>
    }
    triangle {
      < -1.684891, 0.016349, -0.183880>,
      < -1.456374, 0.026607, 0.001885>,
      < -1.343873, 0.050669, 0.002049>
    }
    triangle {
      < -2.256919, -0.077999, -0.294273>,
      < -2.308964, -0.091766, -0.270727>,
      < -1.774812, -0.004967, -0.169167>
    }
    triangle {
      < -2.256919, -0.077999, -0.294273>,
      < -1.774812, -0.004967, -0.169167>,
      < -1.684891, 0.016349, -0.183880>
    }
    triangle {
      < -2.926448, -0.188050, -0.323747>,
      < -2.934161, -0.193011, -0.297843>,
      < -2.308964, -0.091766, -0.270727>
    }
    triangle {
      < -2.926448, -0.188050, -0.323747>,
      < -2.308964, -0.091766, -0.270727>,
      < -2.256919, -0.077999, -0.294273>
    }
    triangle {
      < -3.471289, -0.260706, -0.281334>,
      < -3.442926, -0.259854, -0.258823>,
      < -2.934161, -0.193011, -0.297843>
    }
    triangle {
      < -3.471289, -0.260706, -0.281334>,
      < -2.934161, -0.193011, -0.297843>,
      < -2.926448, -0.188050, -0.323747>
    }
    triangle {
      < -3.908832, -0.285753, -0.173580>,
      < -3.851498, -0.282897, -0.159691>,
      < -3.442926, -0.259854, -0.258823>
    }
    triangle {
      < -3.908832, -0.285753, -0.173580>,
      < -3.442926, -0.259854, -0.258823>,
      < -3.471289, -0.260706, -0.281334>
    }
    triangle {
      < -4.157670, -0.236165, 0.002798>,
      < -4.083859, -0.237277, 0.002574>,
      < -3.851498, -0.282897, -0.159691>
    }
    triangle {
      < -4.157670, -0.236165, 0.002798>,
      < -3.851498, -0.282897, -0.159691>,
      < -3.908832, -0.285753, -0.173580>
    }
    triangle {
      < -3.851400, -0.282993, 0.164677>,
      < -3.784503, -0.309105, 0.158913>,
      < -4.005510, -0.264988, 0.002484>
    }
    triangle {
      < -3.851400, -0.282993, 0.164677>,
      < -4.005510, -0.264988, 0.002484>,
      < -4.083859, -0.237277, 0.002574>
    }
    triangle {
      < -3.442769, -0.260008, 0.263583>,
      < -3.396001, -0.286924, 0.254358>,
      < -3.784503, -0.309105, 0.158913>
    }
    triangle {
      < -3.442769, -0.260008, 0.263583>,
      < -3.784503, -0.309105, 0.158913>,
      < -3.851400, -0.282993, 0.164677>
    }
    triangle {
      < -2.933980, -0.193189, 0.302346>,
      < -2.912277, -0.222444, 0.291764>,
      < -3.396001, -0.286924, 0.254358>
    }
    triangle {
      < -2.933980, -0.193189, 0.302346>,
      < -3.396001, -0.286924, 0.254358>,
      < -3.442769, -0.260008, 0.263583>
    }
    triangle {
      < -2.308799, -0.091928, 0.274925>,
      < -2.317893, -0.124727, 0.265303>,
      < -2.912277, -0.222444, 0.291764>
    }
    triangle {
      < -2.308799, -0.091928, 0.274925>,
      < -2.912277, -0.222444, 0.291764>,
      < -2.933980, -0.193189, 0.302346>
    }
    triangle {
      < -1.774709, -0.005069, 0.173104>,
      < -1.810113, -0.040908, 0.167045>,
      < -2.317893, -0.124727, 0.265303>
    }
    triangle {
      < -1.774709, -0.005069, 0.173104>,
      < -2.317893, -0.124727, 0.265303>,
      < -2.308799, -0.091928, 0.274925>
    }
    triangle {
      < -1.456374, 0.026607, 0.001885>,
      < -1.507459, -0.010341, 0.001819>,
      < -1.810113, -0.040908, 0.167045>
    }
    triangle {
      < -1.456374, 0.026607, 0.001885>,
      < -1.810113, -0.040908, 0.167045>,
      < -1.774709, -0.005069, 0.173104>
    }
    triangle {
      < -1.774812, -0.004967, -0.169167>,
      < -1.810210, -0.040810, -0.163246>,
      < -1.507459, -0.010341, 0.001819>
    }
    triangle {
      < -1.774812, -0.004967, -0.169167>,
      < -1.507459, -0.010341, 0.001819>,
      < -1.456374, 0.026607, 0.001885>
    }
    triangle {
      < -2.308964, -0.091766, -0.270727>,
      < -2.318049, -0.124570, -0.261252>,
      < -1.810210, -0.040810, -0.163246>
    }
    triangle {
      < -2.308964, -0.091766, -0.270727>,
      < -1.810210, -0.040810, -0.163246>,
      < -1.774812, -0.004967, -0.169167>
    }
    triangle {
      < -2.934161, -0.193011, -0.297843>,
      < -2.912448, -0.222272, -0.287418>,
      < -2.318049, -0.124570, -0.261252>
    }
    triangle {
      < -2.934161, -0.193011, -0.297843>,
      < -2.318049, -0.124570, -0.261252>,
      < -2.308964, -0.091766, -0.270727>
    }
    triangle {
      < -3.442926, -0.259854, -0.258823>,
      < -3.396150, -0.286775, -0.249765>,
      < -2.912448, -0.222272, -0.287418>
    }
    triangle {
      < -3.442926, -0.259854, -0.258823>,
      < -2.912448, -0.222272, -0.287418>,
      < -2.934161, -0.193011, -0.297843>
    }
    triangle {
      < -3.851498, -0.282897, -0.159691>,
      < -3.784595, -0.309012, -0.154102>,
      < -3.396150, -0.286775, -0.249765>
    }
    triangle {
      < -3.851498, -0.282897, -0.159691>,
      < -3.396150, -0.286775, -0.249765>,
      < -3.442926, -0.259854, -0.258823>
    }
    triangle {
      < -4.083859, -0.237277, 0.002574>,
      < -4.005510, -0.264988, 0.002484>,
      < -3.784595, -0.309012, -0.154102>
    }
    triangle {
      < -4.083859, -0.237277, 0.002574>,
      < -3.784595, -0.309012, -0.154102>,
      < -3.851498, -0.282897, -0.159691>
    }
    triangle {
      < -3.784503, -0.309105, 0.158913>,
      < -3.648698, -0.758998, 0.135551>,
      < -3.837215, -0.758998, 0.002119>
    }
    triangle {
      < -3.784503, -0.309105, 0.158913>,
      < -3.837215, -0.758998, 0.002119>,
      < -4.005510, -0.264988, 0.002484>
    }
    triangle {
      < -3.396001, -0.286924, 0.254358>,
      < -3.317310, -0.758998, 0.216965>,
      < -3.648698, -0.758998, 0.135551>
    }
    triangle {
      < -3.396001, -0.286924, 0.254358>,
      < -3.648698, -0.758998, 0.135551>,
      < -3.784503, -0.309105, 0.158913>
    }
    triangle {
      < -2.912277, -0.222444, 0.291764>,
      < -2.904697, -0.758998, 0.248872>,
      < -3.317310, -0.758998, 0.216965>
    }
    triangle {
      < -2.912277, -0.222444, 0.291764>,
      < -3.317310, -0.758998, 0.216965>,
      < -3.396001, -0.286924, 0.254358>
    }
    triangle {
      < -2.317893, -0.124727, 0.265303>,
      < -2.397693, -0.758998, 0.226301>,
      < -2.904697, -0.758998, 0.248872>
    }
    triangle {
      < -2.317893, -0.124727, 0.265303>,
      < -2.904697, -0.758998, 0.248872>,
      < -2.912277, -0.222444, 0.291764>
    }
    triangle {
      < -1.810113, -0.040908, 0.167045>,
      < -1.964561, -0.758998, 0.142488>,
      < -2.397693, -0.758998, 0.226301>
    }
    triangle {
      < -1.810113, -0.040908, 0.167045>,
      < -2.397693, -0.758998, 0.226301>,
      < -2.317893, -0.124727, 0.265303>
    }
    triangle {
      < -1.507459, -0.010341, 0.001819>,
      < -1.706401, -0.758998, 0.001552>,
      < -1.964561, -0.758998, 0.142488>
    }
    triangle {
      < -1.507459, -0.010341, 0.001819>,
      < -1.964561, -0.758998, 0.142488>,
      < -1.810113, -0.040908, 0.167045>
    }
    triangle {
      < -1.810210, -0.040810, -0.163246>,
      < -1.964645, -0.758998, -0.139248>,
      < -1.706401, -0.758998, 0.001552>
    }
    triangle {
      < -1.810210, -0.040810, -0.163246>,
      < -1.706401, -0.758998, 0.001552>,
      < -1.507459, -0.010341, 0.001819>
    }
    triangle {
      < -2.318049, -0.124570, -0.261252>,
      < -2.397827, -0.758998, -0.222845>,
      < -1.964645, -0.758998, -0.139248>
    }
    triangle {
      < -2.318049, -0.124570, -0.261252>,
      < -1.964645, -0.758998, -0.139248>,
      < -1.810210, -0.040810, -0.163246>
    }
    triangle {
      < -2.912448, -0.222272, -0.287418>,
      < -2.904844, -0.758998, -0.245165>,
      < -2.397827, -0.758998, -0.222845>
    }
    triangle {
      < -2.912448, -0.222272, -0.287418>,
      < -2.397827, -0.758998, -0.222845>,
      < -2.318049, -0.124570, -0.261252>
    }
    triangle {
      < -3.396150, -0.286775, -0.249765>,
      < -3.317437, -0.758998, -0.213047>,
      < -2.904844, -0.758998, -0.245165>
    }
    triangle {
      < -3.396150, -0.286775, -0.249765>,
      < -2.904844, -0.758998, -0.245165>,
      < -2.912448, -0.222272, -0.287418>
    }
    triangle {
      < -3.784595, -0.309012, -0.154102>,
      < -3.648777, -0.758998, -0.131448>,
      < -3.317437, -0.758998, -0.213047>
    }
    triangle {
      < -3.784595, -0.309012, -0.154102>,
      < -3.317437, -0.758998, -0.213047>,
      < -3.396150, -0.286775, -0.249765>
    }
    triangle {
      < -4.005510, -0.264988, 0.002484>,
      < -3.837215, -0.758998, 0.002119>,
      < -3.648777, -0.758998, -0.131448>
    }
    triangle {
      < -4.005510, -0.264988, 0.002484>,
      < -3.648777, -0.758998, -0.131448>,
      < -3.784595, -0.309012, -0.154102>
    }
    texture {cockpit}
  }
  union {
    triangle {
      < -1.928007, -0.409684, -0.388651>,
      < -1.928063, -0.431547, -0.578316>,
      < -2.624659, -0.425903, -0.512984>
    }
    triangle {
      < -1.928007, -0.409684, -0.388651>,
      < -2.624659, -0.425903, -0.512984>,
      < -2.621655, -0.411921, -0.370723>
    }
    triangle {
      < -2.621655, -0.411921, -0.370723>,
      < -2.624659, -0.425903, -0.512984>,
      < -3.324667, -0.447669, -0.439559>
    }
    triangle {
      < -2.621655, -0.411921, -0.370723>,
      < -3.324667, -0.447669, -0.439559>,
      < -3.312427, -0.436207, -0.352878>
    }
    triangle {
      < -3.312427, -0.436207, -0.352878>,
      < -3.324667, -0.447669, -0.439559>,
      < -3.998132, -0.492530, -0.335173>
    }
    triangle {
      < -3.312427, -0.436207, -0.352878>,
      < -3.998132, -0.492530, -0.335173>,
      < -3.998132, -0.492530, -0.335173>
    }
    triangle {
      < -1.928063, -0.431547, -0.578316>,
      < -1.928105, -0.494744, -0.718257>,
      < -2.630192, -0.468606, -0.619406>
    }
    triangle {
      < -1.928063, -0.431547, -0.578316>,
      < -2.630192, -0.468606, -0.619406>,
      < -2.624659, -0.425903, -0.512984>
    }
    triangle {
      < -2.624659, -0.425903, -0.512984>,
      < -2.630192, -0.468606, -0.619406>,
      < -3.347383, -0.474813, -0.544014>
    }
    triangle {
      < -2.624659, -0.425903, -0.512984>,
      < -3.347383, -0.474813, -0.544014>,
      < -3.324667, -0.447669, -0.439559>
    }
    triangle {
      < -3.324667, -0.447669, -0.439559>,
      < -3.347383, -0.474813, -0.544014>,
      < -3.998132, -0.492530, -0.335173>
    }
    triangle {
      < -3.324667, -0.447669, -0.439559>,
      < -3.998132, -0.492530, -0.335173>,
      < -3.998132, -0.492530, -0.335173>
    }
    triangle {
      < -1.928105, -0.494744, -0.718257>,
      < -1.928134, -0.602468, -0.816627>,
      < -2.633176, -0.546189, -0.693760>
    }
    triangle {
      < -1.928105, -0.494744, -0.718257>,
      < -2.633176, -0.546189, -0.693760>,
      < -2.630192, -0.468606, -0.619406>
    }
    triangle {
      < -2.630192, -0.468606, -0.619406>,
      < -2.633176, -0.546189, -0.693760>,
      < -3.359616, -0.508535, -0.606227>
    }
    triangle {
      < -2.630192, -0.468606, -0.619406>,
      < -3.359616, -0.508535, -0.606227>,
      < -3.347383, -0.474813, -0.544014>
    }
    triangle {
      < -3.347383, -0.474813, -0.544014>,
      < -3.359616, -0.508535, -0.606227>,
      < -3.998132, -0.492530, -0.335173>
    }
    triangle {
      < -3.347383, -0.474813, -0.544014>,
      < -3.998132, -0.492530, -0.335173>,
      < -3.998132, -0.492530, -0.335173>
    }
    triangle {
      < -1.928007, -0.536218, -0.388687>,
      < -2.616338, -0.506369, -0.370889>,
      < -2.620725, -0.509361, -0.525902>
    }
    triangle {
      < -1.928007, -0.536218, -0.388687>,
      < -2.620725, -0.509361, -0.525902>,
      < -1.928068, -0.543497, -0.595618>
    }
    triangle {
      < -1.928068, -0.543497, -0.595618>,
      < -2.620725, -0.509361, -0.525902>,
      < -2.628818, -0.521238, -0.633830>
    }
    triangle {
      < -1.928068, -0.543497, -0.595618>,
      < -2.628818, -0.521238, -0.633830>,
      < -1.928110, -0.565546, -0.737681>
    }
    triangle {
      < -1.928110, -0.565546, -0.737681>,
      < -2.628818, -0.521238, -0.633830>,
      < -2.633176, -0.546189, -0.693760>
    }
    triangle {
      < -1.928110, -0.565546, -0.737681>,
      < -2.633176, -0.546189, -0.693760>,
      < -1.928134, -0.602468, -0.816627>
    }
    triangle {
      < -2.616338, -0.506369, -0.370889>,
      < -3.306102, -0.491104, -0.353058>,
      < -3.319984, -0.493057, -0.444171>
    }
    triangle {
      < -2.616338, -0.506369, -0.370889>,
      < -3.319984, -0.493057, -0.444171>,
      < -2.620725, -0.509361, -0.525902>
    }
    triangle {
      < -2.620725, -0.509361, -0.525902>,
      < -3.319984, -0.493057, -0.444171>,
      < -3.345745, -0.498896, -0.549094>
    }
    triangle {
      < -2.620725, -0.509361, -0.525902>,
      < -3.345745, -0.498896, -0.549094>,
      < -2.628818, -0.521238, -0.633830>
    }
    triangle {
      < -2.628818, -0.521238, -0.633830>,
      < -3.345745, -0.498896, -0.549094>,
      < -3.359616, -0.508535, -0.606227>
    }
    triangle {
      < -2.628818, -0.521238, -0.633830>,
      < -3.359616, -0.508535, -0.606227>,
      < -2.633176, -0.546189, -0.693760>
    }
    triangle {
      < -3.306102, -0.491104, -0.353058>,
      < -3.998132, -0.492530, -0.335173>,
      < -3.998132, -0.492530, -0.335173>
    }
    triangle {
      < -3.306102, -0.491104, -0.353058>,
      < -3.998132, -0.492530, -0.335173>,
      < -3.319984, -0.493057, -0.444171>
    }
    triangle {
      < -3.319984, -0.493057, -0.444171>,
      < -3.998132, -0.492530, -0.335173>,
      < -3.998132, -0.492530, -0.335173>
    }
    triangle {
      < -3.319984, -0.493057, -0.444171>,
      < -3.998132, -0.492530, -0.335173>,
      < -3.345745, -0.498896, -0.549094>
    }
    triangle {
      < -3.345745, -0.498896, -0.549094>,
      < -3.998132, -0.492530, -0.335173>,
      < -3.998132, -0.492530, -0.335173>
    }
    triangle {
      < -3.345745, -0.498896, -0.549094>,
      < -3.998132, -0.492530, -0.335173>,
      < -3.359616, -0.508535, -0.606227>
    }
    triangle {
      < -1.928068, -0.543497, -0.595618>,
      < -1.237324, -0.588847, -0.631878>,
      < -1.235793, -0.581566, -0.406592>
    }
    triangle {
      < -1.928068, -0.543497, -0.595618>,
      < -1.235793, -0.581566, -0.406592>,
      < -1.928007, -0.536218, -0.388687>
    }
    triangle {
      < -1.928110, -0.565546, -0.737681>,
      < -1.240105, -0.612781, -0.824686>,
      < -1.237324, -0.588847, -0.631878>
    }
    triangle {
      < -1.928110, -0.565546, -0.737681>,
      < -1.237324, -0.588847, -0.631878>,
      < -1.928068, -0.543497, -0.595618>
    }
    triangle {
      < -1.928134, -0.602468, -0.816627>,
      < -1.241609, -0.642019, -0.954890>,
      < -1.240105, -0.612781, -0.824686>
    }
    triangle {
      < -1.928134, -0.602468, -0.816627>,
      < -1.240105, -0.612781, -0.824686>,
      < -1.928110, -0.565546, -0.737681>
    }
    triangle {
      < -1.237324, -0.588847, -0.631878>,
      < -0.545407, -0.636640, -0.643516>,
      < -0.543384, -0.637411, -0.424502>
    }
    triangle {
      < -1.237324, -0.588847, -0.631878>,
      < -0.543384, -0.637411, -0.424502>,
      < -1.235793, -0.581566, -0.406592>
    }
    triangle {
      < -1.240105, -0.612781, -0.824686>,
      < -0.549109, -0.649121, -0.855602>,
      < -0.545407, -0.636640, -0.643516>
    }
    triangle {
      < -1.240105, -0.612781, -0.824686>,
      < -0.545407, -0.636640, -0.643516>,
      < -1.237324, -0.588847, -0.631878>
    }
    triangle {
      < -1.241609, -0.642019, -0.954890>,
      < -0.551123, -0.656035, -1.040635>,
      < -0.549109, -0.649121, -0.855602>
    }
    triangle {
      < -1.241609, -0.642019, -0.954890>,
      < -0.549109, -0.649121, -0.855602>,
      < -1.240105, -0.612781, -0.824686>
    }
    triangle {
      < -0.545407, -0.636640, -0.643516>,
      < 0.150016, -0.683177, -0.648852>,
      < 0.150077, -0.701607, -0.442444>
    }
    triangle {
      < -0.545407, -0.636640, -0.643516>,
      < 0.150077, -0.701607, -0.442444>,
      < -0.543384, -0.637411, -0.424502>
    }
    triangle {
      < -0.549109, -0.649121, -0.855602>,
      < 0.149956, -0.664746, -0.854181>,
      < 0.150016, -0.683177, -0.648852>
    }
    triangle {
      < -0.549109, -0.649121, -0.855602>,
      < 0.150016, -0.683177, -0.648852>,
      < -0.545407, -0.636640, -0.643516>
    }
    triangle {
      < -0.551123, -0.656035, -1.040635>,
      < 0.149893, -0.646317, -1.059510>,
      < 0.149956, -0.664746, -0.854181>
    }
    triangle {
      < -0.551123, -0.656035, -1.040635>,
      < 0.149956, -0.664746, -0.854181>,
      < -0.549109, -0.649121, -0.855602>
    }
    triangle {
      < -1.928134, -0.602468, -0.816627>,
      < -1.928105, -0.494744, -0.718257>,
      < -1.239396, -0.521857, -0.815601>
    }
    triangle {
      < -1.928134, -0.602468, -0.816627>,
      < -1.239396, -0.521857, -0.815601>,
      < -1.241609, -0.642019, -0.954890>
    }
    triangle {
      < -1.241609, -0.642019, -0.954890>,
      < -1.239396, -0.521857, -0.815601>,
      < -0.548141, -0.526534, -0.865695>
    }
    triangle {
      < -1.241609, -0.642019, -0.954890>,
      < -0.548141, -0.526534, -0.865695>,
      < -0.551123, -0.656035, -1.040635>
    }
    triangle {
      < -0.551123, -0.656035, -1.040635>,
      < -0.548141, -0.526534, -0.865695>,
      < 0.149948, -0.515627, -0.874568>
    }
    triangle {
      < -0.551123, -0.656035, -1.040635>,
      < 0.149948, -0.515627, -0.874568>,
      < 0.149893, -0.646317, -1.059510>
    }
    triangle {
      < -1.928105, -0.494744, -0.718257>,
      < -1.928063, -0.431547, -0.578316>,
      < -1.235304, -0.446518, -0.624733>
    }
    triangle {
      < -1.928105, -0.494744, -0.718257>,
      < -1.235304, -0.446518, -0.624733>,
      < -1.239396, -0.521857, -0.815601>
    }
    triangle {
      < -1.239396, -0.521857, -0.815601>,
      < -1.235304, -0.446518, -0.624733>,
      < -0.542637, -0.454197, -0.655161>
    }
    triangle {
      < -1.239396, -0.521857, -0.815601>,
      < -0.542637, -0.454197, -0.655161>,
      < -0.548141, -0.526534, -0.865695>
    }
    triangle {
      < -0.548141, -0.526534, -0.865695>,
      < -0.542637, -0.454197, -0.655161>,
      < 0.150009, -0.452036, -0.670524>
    }
    triangle {
      < -0.548141, -0.526534, -0.865695>,
      < 0.150009, -0.452036, -0.670524>,
      < 0.149948, -0.515627, -0.874568>
    }
    triangle {
      < -1.928063, -0.431547, -0.578316>,
      < -1.928007, -0.409684, -0.388651>,
      < -1.233065, -0.419518, -0.406613>
    }
    triangle {
      < -1.928063, -0.431547, -0.578316>,
      < -1.233065, -0.419518, -0.406613>,
      < -1.235304, -0.446518, -0.624733>
    }
    triangle {
      < -1.235304, -0.446518, -0.624733>,
      < -1.233065, -0.419518, -0.406613>,
      < -0.539638, -0.431418, -0.424538>
    }
    triangle {
      < -1.235304, -0.446518, -0.624733>,
      < -0.539638, -0.431418, -0.424538>,
      < -0.542637, -0.454197, -0.655161>
    }
    triangle {
      < -0.542637, -0.454197, -0.655161>,
      < -0.539638, -0.431418, -0.424538>,
      < 0.150077, -0.435370, -0.442366>
    }
    triangle {
      < -0.542637, -0.454197, -0.655161>,
      < 0.150077, -0.435370, -0.442366>,
      < 0.150009, -0.452036, -0.670524>
    }
    triangle {
      < 1.686049, -0.418674, -0.373203>,
      < 1.686017, -0.419705, -0.477130>,
      < 1.523791, -0.420801, -0.451866>
    }
    triangle {
      < 1.686049, -0.418674, -0.373203>,
      < 1.523791, -0.420801, -0.451866>,
      < 1.686049, -0.418674, -0.373203>
    }
    triangle {
      < 1.686049, -0.418674, -0.373203>,
      < 1.523791, -0.420801, -0.451866>,
      < 1.336284, -0.423143, -0.422600>
    }
    triangle {
      < 1.686049, -0.418674, -0.373203>,
      < 1.336284, -0.423143, -0.422600>,
      < 1.686049, -0.418674, -0.373203>
    }
    triangle {
      < 1.686049, -0.418674, -0.373203>,
      < 1.336284, -0.423143, -0.422600>,
      < 1.174059, -0.424240, -0.396257>
    }
    triangle {
      < 1.686049, -0.418674, -0.373203>,
      < 1.174059, -0.424240, -0.396257>,
      < 1.686049, -0.418674, -0.373203>
    }
    triangle {
      < 1.686017, -0.419705, -0.477130>,
      < 1.685987, -0.426644, -0.579614>,
      < 1.336254, -0.427238, -0.525258>
    }
    triangle {
      < 1.686017, -0.419705, -0.477130>,
      < 1.336254, -0.427238, -0.525258>,
      < 1.523791, -0.420801, -0.451866>
    }
    triangle {
      < 1.523791, -0.420801, -0.451866>,
      < 1.336254, -0.427238, -0.525258>,
      < 1.011801, -0.429212, -0.474745>
    }
    triangle {
      < 1.523791, -0.420801, -0.451866>,
      < 1.011801, -0.429212, -0.474745>,
      < 1.336284, -0.423143, -0.422600>
    }
    triangle {
      < 1.336284, -0.423143, -0.422600>,
      < 1.011801, -0.429212, -0.474745>,
      < 0.662068, -0.429805, -0.419311>
    }
    triangle {
      < 1.336284, -0.423143, -0.422600>,
      < 0.662068, -0.429805, -0.419311>,
      < 1.174059, -0.424240, -0.396257>
    }
    triangle {
      < 1.685987, -0.426644, -0.579614>,
      < 1.685956, -0.439493, -0.681733>,
      < 1.173996, -0.438119, -0.602303>
    }
    triangle {
      < 1.685987, -0.426644, -0.579614>,
      < 1.173996, -0.438119, -0.602303>,
      < 1.336254, -0.427238, -0.525258>
    }
    triangle {
      < 1.336254, -0.427238, -0.525258>,
      < 1.173996, -0.438119, -0.602303>,
      < 0.662037, -0.436744, -0.522874>
    }
    triangle {
      < 1.336254, -0.427238, -0.525258>,
      < 0.662037, -0.436744, -0.522874>,
      < 1.011801, -0.429212, -0.474745>
    }
    triangle {
      < 1.011801, -0.429212, -0.474745>,
      < 0.662037, -0.436744, -0.522874>,
      < 0.150077, -0.435370, -0.442366>
    }
    triangle {
      < 1.011801, -0.429212, -0.474745>,
      < 0.150077, -0.435370, -0.442366>,
      < 0.662068, -0.429805, -0.419311>
    }
    triangle {
      < 1.685941, -0.449957, -0.733981>,
      < 1.173965, -0.453639, -0.708699>,
      < 1.173996, -0.438119, -0.602303>
    }
    triangle {
      < 1.685941, -0.449957, -0.733981>,
      < 1.173996, -0.438119, -0.602303>,
      < 1.685956, -0.439493, -0.681733>
    }
    triangle {
      < 1.685925, -0.460422, -0.786230>,
      < 1.173933, -0.484281, -0.816684>,
      < 1.173965, -0.453639, -0.708699>
    }
    triangle {
      < 1.685925, -0.460422, -0.786230>,
      < 1.173965, -0.453639, -0.708699>,
      < 1.685941, -0.449957, -0.733981>
    }
    triangle {
      < 1.685910, -0.470886, -0.838478>,
      < 1.173904, -0.529363, -0.912155>,
      < 1.173933, -0.484281, -0.816684>
    }
    triangle {
      < 1.685910, -0.470886, -0.838478>,
      < 1.173933, -0.484281, -0.816684>,
      < 1.685925, -0.460422, -0.786230>
    }
    triangle {
      < 1.173965, -0.453639, -0.708699>,
      < 0.661985, -0.448354, -0.695806>,
      < 0.662037, -0.436744, -0.522874>
    }
    triangle {
      < 1.173965, -0.453639, -0.708699>,
      < 0.662037, -0.436744, -0.522874>,
      < 1.173996, -0.438119, -0.602303>
    }
    triangle {
      < 1.173933, -0.484281, -0.816684>,
      < 0.661942, -0.491768, -0.844114>,
      < 0.661985, -0.448354, -0.695806>
    }
    triangle {
      < 1.173933, -0.484281, -0.816684>,
      < 0.661985, -0.448354, -0.695806>,
      < 1.173965, -0.453639, -0.708699>
    }
    triangle {
      < 1.173904, -0.529363, -0.912155>,
      < 0.661900, -0.587840, -0.985833>,
      < 0.661942, -0.491768, -0.844114>
    }
    triangle {
      < 1.173904, -0.529363, -0.912155>,
      < 0.661942, -0.491768, -0.844114>,
      < 1.173933, -0.484281, -0.816684>
    }
    triangle {
      < 0.661985, -0.448354, -0.695806>,
      < 0.150009, -0.452036, -0.670524>,
      < 0.150077, -0.435370, -0.442366>
    }
    triangle {
      < 0.661985, -0.448354, -0.695806>,
      < 0.150077, -0.435370, -0.442366>,
      < 0.662037, -0.436744, -0.522874>
    }
    triangle {
      < 0.661942, -0.491768, -0.844114>,
      < 0.149948, -0.515627, -0.874568>,
      < 0.150009, -0.452036, -0.670524>
    }
    triangle {
      < 0.661942, -0.491768, -0.844114>,
      < 0.150009, -0.452036, -0.670524>,
      < 0.661985, -0.448354, -0.695806>
    }
    triangle {
      < 0.661900, -0.587840, -0.985833>,
      < 0.149893, -0.646317, -1.059510>,
      < 0.149948, -0.515627, -0.874568>
    }
    triangle {
      < 0.661900, -0.587840, -0.985833>,
      < 0.149948, -0.515627, -0.874568>,
      < 0.661942, -0.491768, -0.844114>
    }
    triangle {
      < 0.330544, -0.724129, -1.004609>,
      < 0.330598, -0.714960, -0.821679>,
      < 0.149956, -0.664746, -0.854181>
    }
    triangle {
      < 0.330544, -0.724129, -1.004609>,
      < 0.149956, -0.664746, -0.854181>,
      < 0.149893, -0.646317, -1.059510>
    }
    triangle {
      < 0.511193, -0.801940, -0.949709>,
      < 0.511238, -0.744167, -0.798466>,
      < 0.330598, -0.714960, -0.821679>
    }
    triangle {
      < 0.511193, -0.801940, -0.949709>,
      < 0.330598, -0.714960, -0.821679>,
      < 0.330544, -0.724129, -1.004609>
    }
    triangle {
      < 0.691843, -0.879752, -0.894809>,
      < 0.691881, -0.794381, -0.765965>,
      < 0.511238, -0.744167, -0.798466>
    }
    triangle {
      < 0.691843, -0.879752, -0.894809>,
      < 0.511238, -0.744167, -0.798466>,
      < 0.511193, -0.801940, -0.949709>
    }
    triangle {
      < 0.330598, -0.714960, -0.821679>,
      < 0.330655, -0.729142, -0.629806>,
      < 0.150016, -0.683177, -0.648852>
    }
    triangle {
      < 0.330598, -0.714960, -0.821679>,
      < 0.150016, -0.683177, -0.648852>,
      < 0.149956, -0.664746, -0.854181>
    }
    triangle {
      < 0.511238, -0.744167, -0.798466>,
      < 0.511293, -0.755377, -0.613180>,
      < 0.330655, -0.729142, -0.629806>
    }
    triangle {
      < 0.511238, -0.744167, -0.798466>,
      < 0.330655, -0.729142, -0.629806>,
      < 0.330598, -0.714960, -0.821679>
    }
    triangle {
      < 0.691881, -0.794381, -0.765965>,
      < 0.691932, -0.801342, -0.594134>,
      < 0.511293, -0.755377, -0.613180>
    }
    triangle {
      < 0.691881, -0.794381, -0.765965>,
      < 0.511293, -0.755377, -0.613180>,
      < 0.511238, -0.744167, -0.798466>
    }
    triangle {
      < 0.330655, -0.729142, -0.629806>,
      < 0.330713, -0.767500, -0.432138>,
      < 0.150077, -0.701607, -0.442444>
    }
    triangle {
      < 0.330655, -0.729142, -0.629806>,
      < 0.150077, -0.701607, -0.442444>,
      < 0.150016, -0.683177, -0.648852>
    }
    triangle {
      < 0.511293, -0.755377, -0.613180>,
      < 0.511350, -0.833394, -0.421832>,
      < 0.330713, -0.767500, -0.432138>
    }
    triangle {
      < 0.511293, -0.755377, -0.613180>,
      < 0.330713, -0.767500, -0.432138>,
      < 0.330655, -0.729142, -0.629806>
    }
    triangle {
      < 0.691932, -0.801342, -0.594134>,
      < 0.691986, -0.899286, -0.411527>,
      < 0.511350, -0.833394, -0.421832>
    }
    triangle {
      < 0.691932, -0.801342, -0.594134>,
      < 0.511350, -0.833394, -0.421832>,
      < 0.511293, -0.755377, -0.613180>
    }
    triangle {
      < 0.691928, -1.444152, -0.609112>,
      < 0.691915, -1.442727, -0.650390>,
      < 1.024162, -1.453527, -0.626818>
    }
    triangle {
      < 0.691928, -1.444152, -0.609112>,
      < 1.024162, -1.453527, -0.626818>,
      < 1.024494, -1.456929, -0.556995>
    }
    triangle {
      < 1.024494, -1.456929, -0.556995>,
      < 1.024162, -1.453527, -0.626818>,
      < 1.355398, -1.464215, -0.612168>
    }
    triangle {
      < 1.024494, -1.456929, -0.556995>,
      < 1.355398, -1.464215, -0.612168>,
      < 1.355695, -1.468001, -0.518367>
    }
    triangle {
      < 1.355695, -1.468001, -0.518367>,
      < 1.355398, -1.464215, -0.612168>,
      < 1.685981, -1.471778, -0.598091>
    }
    triangle {
      < 1.355695, -1.468001, -0.518367>,
      < 1.685981, -1.471778, -0.598091>,
      < 1.686012, -1.476403, -0.491038>
    }
    triangle {
      < 0.691915, -1.442727, -0.650390>,
      < 0.691904, -1.435500, -0.689421>,
      < 1.023561, -1.441293, -0.704312>
    }
    triangle {
      < 0.691915, -1.442727, -0.650390>,
      < 1.023561, -1.441293, -0.704312>,
      < 1.024162, -1.453527, -0.626818>
    }
    triangle {
      < 1.024162, -1.453527, -0.626818>,
      < 1.023561, -1.441293, -0.704312>,
      < 1.354869, -1.448782, -0.707180>
    }
    triangle {
      < 1.024162, -1.453527, -0.626818>,
      < 1.354869, -1.448782, -0.707180>,
      < 1.355398, -1.464215, -0.612168>
    }
    triangle {
      < 1.355398, -1.464215, -0.612168>,
      < 1.354869, -1.448782, -0.707180>,
      < 1.685949, -1.453448, -0.703168>
    }
    triangle {
      < 1.355398, -1.464215, -0.612168>,
      < 1.685949, -1.453448, -0.703168>,
      < 1.685981, -1.471778, -0.598091>
    }
    triangle {
      < 0.691904, -1.435500, -0.689421>,
      < 0.691893, -1.422959, -0.726095>,
      < 1.023230, -1.422946, -0.768938>
    }
    triangle {
      < 0.691904, -1.435500, -0.689421>,
      < 1.023230, -1.422946, -0.768938>,
      < 1.023561, -1.441293, -0.704312>
    }
    triangle {
      < 1.023561, -1.441293, -0.704312>,
      < 1.023230, -1.422946, -0.768938>,
      < 1.354573, -1.422939, -0.794683>
    }
    triangle {
      < 1.023561, -1.441293, -0.704312>,
      < 1.354573, -1.422939, -0.794683>,
      < 1.354869, -1.448782, -0.707180>
    }
    triangle {
      < 1.354869, -1.448782, -0.707180>,
      < 1.354573, -1.422939, -0.794683>,
      < 1.685920, -1.422936, -0.803330>
    }
    triangle {
      < 1.354869, -1.448782, -0.707180>,
      < 1.685920, -1.422936, -0.803330>,
      < 1.685949, -1.453448, -0.703168>
    }
    triangle {
      < 0.691829, -1.042053, -0.943333>,
      < 1.023139, -0.951892, -0.897258>,
      < 1.023155, -1.124449, -0.890003>
    }
    triangle {
      < 0.691829, -1.042053, -0.943333>,
      < 1.023155, -1.124449, -0.890003>,
      < 0.691835, -1.194367, -0.920162>
    }
    triangle {
      < 0.691835, -1.194367, -0.920162>,
      < 1.023155, -1.124449, -0.890003>,
      < 1.023192, -1.296029, -0.852335>
    }
    triangle {
      < 0.691835, -1.194367, -0.920162>,
      < 1.023192, -1.296029, -0.852335>,
      < 0.691858, -1.331245, -0.845546>
    }
    triangle {
      < 0.691858, -1.331245, -0.845546>,
      < 1.023192, -1.296029, -0.852335>,
      < 1.023230, -1.422946, -0.768938>
    }
    triangle {
      < 0.691858, -1.331245, -0.845546>,
      < 1.023230, -1.422946, -0.768938>,
      < 0.691893, -1.422959, -0.726095>
    }
    triangle {
      < 1.023139, -0.951892, -0.897258>,
      < 1.354498, -0.897795, -0.869263>,
      < 1.354514, -1.078568, -0.862688>
    }
    triangle {
      < 1.023139, -0.951892, -0.897258>,
      < 1.354514, -1.078568, -0.862688>,
      < 1.023155, -1.124449, -0.890003>
    }
    triangle {
      < 1.023155, -1.124449, -0.890003>,
      < 1.354514, -1.078568, -0.862688>,
      < 1.354546, -1.260024, -0.840002>
    }
    triangle {
      < 1.023155, -1.124449, -0.890003>,
      < 1.354546, -1.260024, -0.840002>,
      < 1.023192, -1.296029, -0.852335>
    }
    triangle {
      < 1.023192, -1.296029, -0.852335>,
      < 1.354546, -1.260024, -0.840002>,
      < 1.354573, -1.422939, -0.794683>
    }
    triangle {
      < 1.023192, -1.296029, -0.852335>,
      < 1.354573, -1.422939, -0.794683>,
      < 1.023230, -1.422946, -0.768938>
    }
    triangle {
      < 1.354498, -0.897795, -0.869263>,
      < 1.685903, -0.879763, -0.859350>,
      < 1.685906, -1.062082, -0.850450>
    }
    triangle {
      < 1.354498, -0.897795, -0.869263>,
      < 1.685906, -1.062082, -0.850450>,
      < 1.354514, -1.078568, -0.862688>
    }
    triangle {
      < 1.354514, -1.078568, -0.862688>,
      < 1.685906, -1.062082, -0.850450>,
      < 1.685912, -1.243515, -0.830837>
    }
    triangle {
      < 1.354514, -1.078568, -0.862688>,
      < 1.685912, -1.243515, -0.830837>,
      < 1.354546, -1.260024, -0.840002>
    }
    triangle {
      < 1.354546, -1.260024, -0.840002>,
      < 1.685912, -1.243515, -0.830837>,
      < 1.685920, -1.422936, -0.803330>
    }
    triangle {
      < 1.354546, -1.260024, -0.840002>,
      < 1.685920, -1.422936, -0.803330>,
      < 1.354573, -1.422939, -0.794683>
    }
    triangle {
      < 1.685905, -0.606568, -0.854937>,
      < 1.231139, -0.646673, -0.904658>,
      < 1.173904, -0.529363, -0.912155>
    }
    triangle {
      < 1.685905, -0.606568, -0.854937>,
      < 1.173904, -0.529363, -0.912155>,
      < 1.685910, -0.470886, -0.838478>
    }
    triangle {
      < 1.685903, -0.743001, -0.861506>,
      < 1.297293, -0.761652, -0.885157>,
      < 1.231139, -0.646673, -0.904658>
    }
    triangle {
      < 1.685903, -0.743001, -0.861506>,
      < 1.231139, -0.646673, -0.904658>,
      < 1.685905, -0.606568, -0.854937>
    }
    triangle {
      < 1.685903, -0.879763, -0.859350>,
      < 1.354530, -0.879761, -0.863871>,
      < 1.297293, -0.761652, -0.885157>
    }
    triangle {
      < 1.685903, -0.879763, -0.859350>,
      < 1.297293, -0.761652, -0.885157>,
      < 1.685903, -0.743001, -0.861506>
    }
    triangle {
      < 1.231139, -0.646673, -0.904658>,
      < 0.785300, -0.684025, -0.951105>,
      < 0.661900, -0.587840, -0.985833>
    }
    triangle {
      < 1.231139, -0.646673, -0.904658>,
      < 0.661900, -0.587840, -0.985833>,
      < 1.173904, -0.529363, -0.912155>
    }
    triangle {
      < 1.297293, -0.761652, -0.885157>,
      < 0.899776, -0.783293, -0.915245>,
      < 0.785300, -0.684025, -0.951105>
    }
    triangle {
      < 1.297293, -0.761652, -0.885157>,
      < 0.785300, -0.684025, -0.951105>,
      < 1.231139, -0.646673, -0.904658>
    }
    triangle {
      < 1.354530, -0.879761, -0.863871>,
      < 1.023177, -0.879758, -0.875691>,
      < 0.899776, -0.783293, -0.915245>
    }
    triangle {
      < 1.354530, -0.879761, -0.863871>,
      < 0.899776, -0.783293, -0.915245>,
      < 1.297293, -0.761652, -0.885157>
    }
    triangle {
      < 0.785300, -0.684025, -0.951105>,
      < 0.330544, -0.724129, -1.004609>,
      < 0.149893, -0.646317, -1.059510>
    }
    triangle {
      < 0.785300, -0.684025, -0.951105>,
      < 0.149893, -0.646317, -1.059510>,
      < 0.661900, -0.587840, -0.985833>
    }
    triangle {
      < 0.899776, -0.783293, -0.915245>,
      < 0.511193, -0.801940, -0.949709>,
      < 0.330544, -0.724129, -1.004609>
    }
    triangle {
      < 0.899776, -0.783293, -0.915245>,
      < 0.330544, -0.724129, -1.004609>,
      < 0.785300, -0.684025, -0.951105>
    }
    triangle {
      < 1.023177, -0.879758, -0.875691>,
      < 0.691843, -0.879752, -0.894809>,
      < 0.511193, -0.801940, -0.949709>
    }
    triangle {
      < 1.023177, -0.879758, -0.875691>,
      < 0.511193, -0.801940, -0.949709>,
      < 0.899776, -0.783293, -0.915245>
    }
    triangle {
      < 1.024494, -1.456929, -0.556995>,
      < 1.024226, -1.432128, -0.408315>,
      < 0.691977, -1.409392, -0.442920>
    }
    triangle {
      < 1.024494, -1.456929, -0.556995>,
      < 0.691977, -1.409392, -0.442920>,
      < 0.691928, -1.444152, -0.609112>
    }
    triangle {
      < 1.355695, -1.468001, -0.518367>,
      < 1.355462, -1.446226, -0.397208>,
      < 1.024226, -1.432128, -0.408315>
    }
    triangle {
      < 1.355695, -1.468001, -0.518367>,
      < 1.024226, -1.432128, -0.408315>,
      < 1.024494, -1.456929, -0.556995>
    }
    triangle {
      < 1.686012, -1.476403, -0.491038>,
      < 1.686045, -1.465721, -0.380964>,
      < 1.355462, -1.446226, -0.397208>
    }
    triangle {
      < 1.686012, -1.476403, -0.491038>,
      < 1.355462, -1.446226, -0.397208>,
      < 1.355695, -1.468001, -0.518367>
    }
    triangle {
      < 1.024226, -1.432128, -0.408315>,
      < 1.023677, -1.354259, -0.313352>,
      < 0.692006, -1.305326, -0.344267>
    }
    triangle {
      < 1.024226, -1.432128, -0.408315>,
      < 0.692006, -1.305326, -0.344267>,
      < 0.691977, -1.409392, -0.442920>
    }
    triangle {
      < 1.355462, -1.446226, -0.397208>,
      < 1.354990, -1.388280, -0.299813>,
      < 1.023677, -1.354259, -0.313352>
    }
    triangle {
      < 1.355462, -1.446226, -0.397208>,
      < 1.023677, -1.354259, -0.313352>,
      < 1.024226, -1.432128, -0.408315>
    }
    triangle {
      < 1.686045, -1.465721, -0.380964>,
      < 1.686076, -1.436078, -0.275324>,
      < 1.354990, -1.388280, -0.299813>
    }
    triangle {
      < 1.686045, -1.465721, -0.380964>,
      < 1.354990, -1.388280, -0.299813>,
      < 1.355462, -1.446226, -0.397208>
    }
    triangle {
      < 1.023677, -1.354259, -0.313352>,
      < 1.023379, -1.216833, -0.267194>,
      < 0.692015, -1.132454, -0.312547>
    }
    triangle {
      < 1.023677, -1.354259, -0.313352>,
      < 0.692015, -1.132454, -0.312547>,
      < 0.692006, -1.305326, -0.344267>
    }
    triangle {
      < 1.354990, -1.388280, -0.299813>,
      < 1.354742, -1.301211, -0.221841>,
      < 1.023379, -1.216833, -0.267194>
    }
    triangle {
      < 1.354990, -1.388280, -0.299813>,
      < 1.023379, -1.216833, -0.267194>,
      < 1.023677, -1.354259, -0.313352>
    }
    triangle {
      < 1.686076, -1.436078, -0.275324>,
      < 1.686106, -1.385590, -0.176487>,
      < 1.354742, -1.301211, -0.221841>
    }
    triangle {
      < 1.686076, -1.436078, -0.275324>,
      < 1.354742, -1.301211, -0.221841>,
      < 1.354990, -1.388280, -0.299813>
    }
    triangle {
      < 0.691843, -0.879752, -0.894809>,
      < 1.023177, -0.879758, -0.875691>,
      < 0.918170, -0.885836, -0.884495>
    }
    triangle {
      < 0.691843, -0.879752, -0.894809>,
      < 0.918170, -0.885836, -0.884495>,
      < 0.691843, -0.879752, -0.894809>
    }
    triangle {
      < 0.691843, -0.879752, -0.894809>,
      < 0.918170, -0.885836, -0.884495>,
      < 0.796818, -0.902468, -0.903331>
    }
    triangle {
      < 0.691843, -0.879752, -0.894809>,
      < 0.796818, -0.902468, -0.903331>,
      < 0.691843, -0.879752, -0.894809>
    }
    triangle {
      < 0.691843, -0.879752, -0.894809>,
      < 0.796818, -0.902468, -0.903331>,
      < 0.691836, -0.927247, -0.921511>
    }
    triangle {
      < 0.691843, -0.879752, -0.894809>,
      < 0.691836, -0.927247, -0.921511>,
      < 0.691843, -0.879752, -0.894809>
    }
    triangle {
      < 1.023177, -0.879758, -0.875691>,
      < 1.354530, -0.879761, -0.863871>,
      < 1.128139, -0.888394, -0.874255>
    }
    triangle {
      < 1.023177, -0.879758, -0.875691>,
      < 1.128139, -0.888394, -0.874255>,
      < 0.918170, -0.885836, -0.884495>
    }
    triangle {
      < 0.918170, -0.885836, -0.884495>,
      < 1.128139, -0.888394, -0.874255>,
      < 0.918151, -0.919692, -0.900637>
    }
    triangle {
      < 0.918170, -0.885836, -0.884495>,
      < 0.918151, -0.919692, -0.900637>,
      < 0.796818, -0.902468, -0.903331>
    }
    triangle {
      < 0.796818, -0.902468, -0.903331>,
      < 0.918151, -0.919692, -0.900637>,
      < 0.691830, -0.981754, -0.937808>
    }
    triangle {
      < 0.796818, -0.902468, -0.903331>,
      < 0.691830, -0.981754, -0.937808>,
      < 0.691836, -0.927247, -0.921511>
    }
    triangle {
      < 1.354530, -0.879761, -0.863871>,
      < 1.685903, -0.879763, -0.859350>,
      < 1.354498, -0.897795, -0.869263>
    }
    triangle {
      < 1.354530, -0.879761, -0.863871>,
      < 1.354498, -0.897795, -0.869263>,
      < 1.128139, -0.888394, -0.874255>
    }
    triangle {
      < 1.128139, -0.888394, -0.874255>,
      < 1.354498, -0.897795, -0.869263>,
      < 1.023139, -0.951892, -0.897258>
    }
    triangle {
      < 1.128139, -0.888394, -0.874255>,
      < 1.023139, -0.951892, -0.897258>,
      < 0.918151, -0.919692, -0.900637>
    }
    triangle {
      < 0.918151, -0.919692, -0.900637>,
      < 1.023139, -0.951892, -0.897258>,
      < 0.691829, -1.042053, -0.943333>
    }
    triangle {
      < 0.918151, -0.919692, -0.900637>,
      < 0.691829, -1.042053, -0.943333>,
      < 0.691830, -0.981754, -0.937808>
    }
    triangle {
      < 1.685910, -0.470886, -0.838478>,
      < 1.685925, -0.460422, -0.786230>,
      < 2.074228, -0.463095, -0.757558>
    }
    triangle {
      < 1.685910, -0.470886, -0.838478>,
      < 2.074228, -0.463095, -0.757558>,
      < 1.685910, -0.470886, -0.838478>
    }
    triangle {
      < 1.685910, -0.470886, -0.838478>,
      < 2.074228, -0.463095, -0.757558>,
      < 2.523044, -0.466186, -0.724418>
    }
    triangle {
      < 1.685910, -0.470886, -0.838478>,
      < 2.523044, -0.466186, -0.724418>,
      < 1.685910, -0.470886, -0.838478>
    }
    triangle {
      < 1.685910, -0.470886, -0.838478>,
      < 2.523044, -0.466186, -0.724418>,
      < 2.911345, -0.468860, -0.695746>
    }
    triangle {
      < 1.685910, -0.470886, -0.838478>,
      < 2.911345, -0.468860, -0.695746>,
      < 1.685910, -0.470886, -0.838478>
    }
    triangle {
      < 1.685925, -0.460422, -0.786230>,
      < 1.685941, -0.449957, -0.733981>,
      < 2.523059, -0.455722, -0.672170>
    }
    triangle {
      < 1.685925, -0.460422, -0.786230>,
      < 2.523059, -0.455722, -0.672170>,
      < 2.074228, -0.463095, -0.757558>
    }
    triangle {
      < 2.074228, -0.463095, -0.757558>,
      < 2.523059, -0.455722, -0.672170>,
      < 3.299663, -0.461069, -0.614827>
    }
    triangle {
      < 2.074228, -0.463095, -0.757558>,
      < 3.299663, -0.461069, -0.614827>,
      < 2.523044, -0.466186, -0.724418>
    }
    triangle {
      < 2.523044, -0.466186, -0.724418>,
      < 3.299663, -0.461069, -0.614827>,
      < 4.136780, -0.466834, -0.553015>
    }
    triangle {
      < 2.523044, -0.466186, -0.724418>,
      < 4.136780, -0.466834, -0.553015>,
      < 2.911345, -0.468860, -0.695746>
    }
    triangle {
      < 1.685941, -0.449957, -0.733981>,
      < 1.685956, -0.439493, -0.681733>,
      < 2.911376, -0.447932, -0.591250>
    }
    triangle {
      < 1.685941, -0.449957, -0.733981>,
      < 2.911376, -0.447932, -0.591250>,
      < 2.523059, -0.455722, -0.672170>
    }
    triangle {
      < 2.523059, -0.455722, -0.672170>,
      < 2.911376, -0.447932, -0.591250>,
      < 4.136797, -0.456370, -0.500767>
    }
    triangle {
      < 2.523059, -0.455722, -0.672170>,
      < 4.136797, -0.456370, -0.500767>,
      < 3.299663, -0.461069, -0.614827>
    }
    triangle {
      < 3.299663, -0.461069, -0.614827>,
      < 4.136797, -0.456370, -0.500767>,
      < 5.362215, -0.464809, -0.410284>
    }
    triangle {
      < 3.299663, -0.461069, -0.614827>,
      < 5.362215, -0.464809, -0.410284>,
      < 4.136780, -0.466834, -0.553015>
    }
    triangle {
      < 5.362135, -0.532817, -0.135691>,
      < 4.136764, -0.491941, -0.247416>,
      < 4.136745, -0.553104, -0.154613>
    }
    triangle {
      < 5.362135, -0.532817, -0.135691>,
      < 4.136745, -0.553104, -0.154613>,
      < 5.362094, -0.620319, -0.045318>
    }
    triangle {
      < 5.362175, -0.480645, -0.257768>,
      < 4.136778, -0.461384, -0.362401>,
      < 4.136764, -0.491941, -0.247416>
    }
    triangle {
      < 5.362175, -0.480645, -0.257768>,
      < 4.136764, -0.491941, -0.247416>,
      < 5.362135, -0.532817, -0.135691>
    }
    triangle {
      < 5.362215, -0.464809, -0.410284>,
      < 4.136797, -0.456370, -0.500767>,
      < 4.136778, -0.461384, -0.362401>
    }
    triangle {
      < 5.362215, -0.464809, -0.410284>,
      < 4.136778, -0.461384, -0.362401>,
      < 5.362175, -0.480645, -0.257768>
    }
    triangle {
      < 4.136764, -0.491941, -0.247416>,
      < 2.911387, -0.460580, -0.365405>,
      < 2.911396, -0.485889, -0.263908>
    }
    triangle {
      < 4.136764, -0.491941, -0.247416>,
      < 2.911396, -0.485889, -0.263908>,
      < 4.136745, -0.553104, -0.154613>
    }
    triangle {
      < 4.136778, -0.461384, -0.362401>,
      < 2.911383, -0.445906, -0.474981>,
      < 2.911387, -0.460580, -0.365405>
    }
    triangle {
      < 4.136778, -0.461384, -0.362401>,
      < 2.911387, -0.460580, -0.365405>,
      < 4.136764, -0.491941, -0.247416>
    }
    triangle {
      < 4.136797, -0.456370, -0.500767>,
      < 2.911376, -0.447932, -0.591250>,
      < 2.911383, -0.445906, -0.474981>
    }
    triangle {
      < 4.136797, -0.456370, -0.500767>,
      < 2.911383, -0.445906, -0.474981>,
      < 4.136778, -0.461384, -0.362401>
    }
    triangle {
      < 2.911387, -0.460580, -0.365405>,
      < 1.686017, -0.419705, -0.477130>,
      < 1.686049, -0.418674, -0.373203>
    }
    triangle {
      < 2.911387, -0.460580, -0.365405>,
      < 1.686049, -0.418674, -0.373203>,
      < 2.911396, -0.485889, -0.263908>
    }
    triangle {
      < 2.911383, -0.445906, -0.474981>,
      < 1.685987, -0.426644, -0.579614>,
      < 1.686017, -0.419705, -0.477130>
    }
    triangle {
      < 2.911383, -0.445906, -0.474981>,
      < 1.686017, -0.419705, -0.477130>,
      < 2.911387, -0.460580, -0.365405>
    }
    triangle {
      < 2.911376, -0.447932, -0.591250>,
      < 1.685956, -0.439493, -0.681733>,
      < 1.685987, -0.426644, -0.579614>
    }
    triangle {
      < 2.911376, -0.447932, -0.591250>,
      < 1.685987, -0.426644, -0.579614>,
      < 2.911383, -0.445906, -0.474981>
    }
    triangle {
      < 5.362472, -1.202311, -0.125377>,
      < 4.136749, -1.263476, -0.144070>,
      < 4.136814, -1.315067, -0.227164>
    }
    triangle {
      < 5.362472, -1.202311, -0.125377>,
      < 4.136814, -1.315067, -0.227164>,
      < 5.362046, -1.243434, -0.207091>
    }
    triangle {
      < 5.362046, -1.243434, -0.207091>,
      < 4.136814, -1.315067, -0.227164>,
      < 4.136950, -1.355647, -0.322119>
    }
    triangle {
      < 5.362046, -1.243434, -0.207091>,
      < 4.136950, -1.355647, -0.322119>,
      < 5.362019, -1.267484, -0.301663>
    }
    triangle {
      < 5.362019, -1.267484, -0.301663>,
      < 4.136950, -1.355647, -0.322119>,
      < 4.137008, -1.371694, -0.429958>
    }
    triangle {
      < 5.362019, -1.267484, -0.301663>,
      < 4.137008, -1.371694, -0.429958>,
      < 5.361986, -1.274447, -0.410528>
    }
    triangle {
      < 4.136749, -1.263476, -0.144070>,
      < 2.911427, -1.324533, -0.160818>,
      < 2.912155, -1.386837, -0.249916>
    }
    triangle {
      < 4.136749, -1.263476, -0.144070>,
      < 2.912155, -1.386837, -0.249916>,
      < 4.136814, -1.315067, -0.227164>
    }
    triangle {
      < 4.136814, -1.315067, -0.227164>,
      < 2.912155, -1.386837, -0.249916>,
      < 2.913528, -1.441536, -0.345265>
    }
    triangle {
      < 4.136814, -1.315067, -0.227164>,
      < 2.913528, -1.441536, -0.345265>,
      < 4.136950, -1.355647, -0.322119>
    }
    triangle {
      < 4.136950, -1.355647, -0.322119>,
      < 2.913528, -1.441536, -0.345265>,
      < 2.914252, -1.465526, -0.451029>
    }
    triangle {
      < 4.136950, -1.355647, -0.322119>,
      < 2.914252, -1.465526, -0.451029>,
      < 4.137008, -1.371694, -0.429958>
    }
    triangle {
      < 2.911427, -1.324533, -0.160818>,
      < 1.686106, -1.385590, -0.176487>,
      < 1.686076, -1.436078, -0.275324>
    }
    triangle {
      < 2.911427, -1.324533, -0.160818>,
      < 1.686076, -1.436078, -0.275324>,
      < 2.912155, -1.386837, -0.249916>
    }
    triangle {
      < 2.912155, -1.386837, -0.249916>,
      < 1.686076, -1.436078, -0.275324>,
      < 1.686045, -1.465721, -0.380964>
    }
    triangle {
      < 2.912155, -1.386837, -0.249916>,
      < 1.686045, -1.465721, -0.380964>,
      < 2.913528, -1.441536, -0.345265>
    }
    triangle {
      < 2.913528, -1.441536, -0.345265>,
      < 1.686045, -1.465721, -0.380964>,
      < 1.686012, -1.476403, -0.491038>
    }
    triangle {
      < 2.913528, -1.441536, -0.345265>,
      < 1.686012, -1.476403, -0.491038>,
      < 2.914252, -1.465526, -0.451029>
    }
    triangle {
      < 5.361869, -1.021325, -0.804976>,
      < 4.136546, -1.048427, -0.829405>,
      < 4.136542, -0.879377, -0.842370>
    }
    triangle {
      < 5.361869, -1.021325, -0.804976>,
      < 4.136542, -0.879377, -0.842370>,
      < 5.361743, -0.879016, -0.832955>
    }
    triangle {
      < 5.361887, -1.131100, -0.746127>,
      < 4.136554, -1.207407, -0.800697>,
      < 4.136546, -1.048427, -0.829405>
    }
    triangle {
      < 5.361887, -1.131100, -0.746127>,
      < 4.136546, -1.048427, -0.829405>,
      < 5.361869, -1.021325, -0.804976>
    }
    triangle {
      < 5.361913, -1.208103, -0.657803>,
      < 4.136573, -1.327455, -0.738893>,
      < 4.136554, -1.207407, -0.800697>
    }
    triangle {
      < 5.361913, -1.208103, -0.657803>,
      < 4.136554, -1.207407, -0.800697>,
      < 5.361887, -1.131100, -0.746127>
    }
    triangle {
      < 4.136546, -1.048427, -0.829405>,
      < 2.911225, -1.059735, -0.842915>,
      < 2.911222, -0.879570, -0.850860>
    }
    triangle {
      < 4.136546, -1.048427, -0.829405>,
      < 2.911222, -0.879570, -0.850860>,
      < 4.136542, -0.879377, -0.842370>
    }
    triangle {
      < 4.136554, -1.207407, -0.800697>,
      < 2.911230, -1.237935, -0.824535>,
      < 2.911225, -1.059735, -0.842915>
    }
    triangle {
      < 4.136554, -1.207407, -0.800697>,
      < 2.911225, -1.059735, -0.842915>,
      < 4.136546, -1.048427, -0.829405>
    }
    triangle {
      < 4.136573, -1.327455, -0.738893>,
      < 2.911241, -1.399066, -0.787403>,
      < 2.911230, -1.237935, -0.824535>
    }
    triangle {
      < 4.136573, -1.327455, -0.738893>,
      < 2.911230, -1.237935, -0.824535>,
      < 4.136554, -1.207407, -0.800697>
    }
    triangle {
      < 2.911225, -1.059735, -0.842915>,
      < 1.685906, -1.062082, -0.850450>,
      < 1.685903, -0.879763, -0.859350>
    }
    triangle {
      < 2.911225, -1.059735, -0.842915>,
      < 1.685903, -0.879763, -0.859350>,
      < 2.911222, -0.879570, -0.850860>
    }
    triangle {
      < 2.911230, -1.237935, -0.824535>,
      < 1.685912, -1.243515, -0.830837>,
      < 1.685906, -1.062082, -0.850450>
    }
    triangle {
      < 2.911230, -1.237935, -0.824535>,
      < 1.685906, -1.062082, -0.850450>,
      < 2.911225, -1.059735, -0.842915>
    }
    triangle {
      < 2.911241, -1.399066, -0.787403>,
      < 1.685920, -1.422936, -0.803330>,
      < 1.685912, -1.243515, -0.830837>
    }
    triangle {
      < 2.911241, -1.399066, -0.787403>,
      < 1.685912, -1.243515, -0.830837>,
      < 2.911230, -1.237935, -0.824535>
    }
    triangle {
      < 5.361934, -1.243472, -0.587928>,
      < 4.136688, -1.356699, -0.649551>,
      < 4.136573, -1.327455, -0.738893>
    }
    triangle {
      < 5.361934, -1.243472, -0.587928>,
      < 4.136573, -1.327455, -0.738893>,
      < 5.361913, -1.208103, -0.657803>
    }
    triangle {
      < 5.361958, -1.265625, -0.505463>,
      < 4.136886, -1.368825, -0.539651>,
      < 4.136688, -1.356699, -0.649551>
    }
    triangle {
      < 5.361958, -1.265625, -0.505463>,
      < 4.136688, -1.356699, -0.649551>,
      < 5.361934, -1.243472, -0.587928>
    }
    triangle {
      < 5.361986, -1.274447, -0.410528>,
      < 4.137008, -1.371694, -0.429958>,
      < 4.136886, -1.368825, -0.539651>
    }
    triangle {
      < 5.361986, -1.274447, -0.410528>,
      < 4.136886, -1.368825, -0.539651>,
      < 5.361958, -1.265625, -0.505463>
    }
    triangle {
      < 4.136688, -1.356699, -0.649551>,
      < 2.912026, -1.433340, -0.684479>,
      < 2.911241, -1.399066, -0.787403>
    }
    triangle {
      < 4.136688, -1.356699, -0.649551>,
      < 2.911241, -1.399066, -0.787403>,
      < 4.136573, -1.327455, -0.738893>
    }
    triangle {
      < 4.136886, -1.368825, -0.539651>,
      < 2.913463, -1.457309, -0.565554>,
      < 2.912026, -1.433340, -0.684479>
    }
    triangle {
      < 4.136886, -1.368825, -0.539651>,
      < 2.912026, -1.433340, -0.684479>,
      < 4.136688, -1.356699, -0.649551>
    }
    triangle {
      < 4.137008, -1.371694, -0.429958>,
      < 2.914252, -1.465526, -0.451029>,
      < 2.913463, -1.457309, -0.565554>
    }
    triangle {
      < 4.137008, -1.371694, -0.429958>,
      < 2.913463, -1.457309, -0.565554>,
      < 4.136886, -1.368825, -0.539651>
    }
    triangle {
      < 2.912026, -1.433340, -0.684479>,
      < 1.685949, -1.453448, -0.703168>,
      < 1.685920, -1.422936, -0.803330>
    }
    triangle {
      < 2.912026, -1.433340, -0.684479>,
      < 1.685920, -1.422936, -0.803330>,
      < 2.911241, -1.399066, -0.787403>
    }
    triangle {
      < 2.913463, -1.457309, -0.565554>,
      < 1.685981, -1.471778, -0.598091>,
      < 1.685949, -1.453448, -0.703168>
    }
    triangle {
      < 2.913463, -1.457309, -0.565554>,
      < 1.685949, -1.453448, -0.703168>,
      < 2.912026, -1.433340, -0.684479>
    }
    triangle {
      < 2.914252, -1.465526, -0.451029>,
      < 1.686012, -1.476403, -0.491038>,
      < 1.685981, -1.471778, -0.598091>
    }
    triangle {
      < 2.914252, -1.465526, -0.451029>,
      < 1.685981, -1.471778, -0.598091>,
      < 2.913463, -1.457309, -0.565554>
    }
    triangle {
      < 5.701077, -0.878641, -0.797877>,
      < 5.697419, -0.998912, -0.767183>,
      < 5.361869, -1.021325, -0.804976>
    }
    triangle {
      < 5.701077, -0.878641, -0.797877>,
      < 5.361869, -1.021325, -0.804976>,
      < 5.361743, -0.879016, -0.832955>
    }
    triangle {
      < 5.697419, -0.998912, -0.767183>,
      < 5.690634, -1.094136, -0.705215>,
      < 5.361887, -1.131100, -0.746127>
    }
    triangle {
      < 5.697419, -0.998912, -0.767183>,
      < 5.361887, -1.131100, -0.746127>,
      < 5.361869, -1.021325, -0.804976>
    }
    triangle {
      < 5.690634, -1.094136, -0.705215>,
      < 5.687003, -1.162317, -0.623326>,
      < 5.361913, -1.208103, -0.657803>
    }
    triangle {
      < 5.690634, -1.094136, -0.705215>,
      < 5.361913, -1.208103, -0.657803>,
      < 5.361887, -1.131100, -0.746127>
    }
    triangle {
      < 5.361743, -0.879016, -0.832955>,
      < 5.361952, -0.636727, -0.790619>,
      < 5.698216, -0.666292, -0.752552>
    }
    triangle {
      < 5.361743, -0.879016, -0.832955>,
      < 5.698216, -0.666292, -0.752552>,
      < 5.701077, -0.878641, -0.797877>
    }
    triangle {
      < 5.361952, -0.636727, -0.790619>,
      < 5.362066, -0.503213, -0.654512>,
      < 5.692854, -0.536647, -0.619343>
    }
    triangle {
      < 5.361952, -0.636727, -0.790619>,
      < 5.692854, -0.536647, -0.619343>,
      < 5.698216, -0.666292, -0.752552>
    }
    triangle {
      < 5.362066, -0.503213, -0.654512>,
      < 5.362215, -0.464809, -0.410284>,
      < 5.690060, -0.493456, -0.404371>
    }
    triangle {
      < 5.362066, -0.503213, -0.654512>,
      < 5.690060, -0.493456, -0.404371>,
      < 5.692854, -0.536647, -0.619343>
    }
    triangle {
      < 5.687003, -1.162317, -0.623326>,
      < 5.687836, -1.199175, -0.560995>,
      < 5.361934, -1.243472, -0.587928>
    }
    triangle {
      < 5.687003, -1.162317, -0.623326>,
      < 5.361934, -1.243472, -0.587928>,
      < 5.361913, -1.208103, -0.657803>
    }
    triangle {
      < 5.687836, -1.199175, -0.560995>,
      < 5.689370, -1.228825, -0.486926>,
      < 5.361958, -1.265625, -0.505463>
    }
    triangle {
      < 5.687836, -1.199175, -0.560995>,
      < 5.361958, -1.265625, -0.505463>,
      < 5.361934, -1.243472, -0.587928>
    }
    triangle {
      < 5.689370, -1.228825, -0.486926>,
      < 5.690213, -1.242257, -0.404590>,
      < 5.361986, -1.274447, -0.410528>
    }
    triangle {
      < 5.689370, -1.228825, -0.486926>,
      < 5.361986, -1.274447, -0.410528>,
      < 5.361958, -1.265625, -0.505463>
    }
    triangle {
      < 5.362472, -1.202311, -0.125377>,
      < 5.362046, -1.243434, -0.207091>,
      < 5.687860, -1.208026, -0.200122>
    }
    triangle {
      < 5.362472, -1.202311, -0.125377>,
      < 5.687860, -1.208026, -0.200122>,
      < 5.687038, -1.155631, -0.129675>
    }
    triangle {
      < 5.362046, -1.243434, -0.207091>,
      < 5.362019, -1.267484, -0.301663>,
      < 5.689415, -1.235864, -0.294607>
    }
    triangle {
      < 5.362046, -1.243434, -0.207091>,
      < 5.689415, -1.235864, -0.294607>,
      < 5.687860, -1.208026, -0.200122>
    }
    triangle {
      < 5.362019, -1.267484, -0.301663>,
      < 5.361986, -1.274447, -0.410528>,
      < 5.690213, -1.242257, -0.404590>
    }
    triangle {
      < 5.362019, -1.267484, -0.301663>,
      < 5.690213, -1.242257, -0.404590>,
      < 5.689415, -1.235864, -0.294607>
    }
    triangle {
      < 5.362175, -0.480645, -0.257768>,
      < 5.688563, -0.507517, -0.257428>,
      < 5.690060, -0.493456, -0.404371>
    }
    triangle {
      < 5.362175, -0.480645, -0.257768>,
      < 5.690060, -0.493456, -0.404371>,
      < 5.362215, -0.464809, -0.410284>
    }
    triangle {
      < 5.362135, -0.532817, -0.135691>,
      < 5.685752, -0.558997, -0.137962>,
      < 5.688563, -0.507517, -0.257428>
    }
    triangle {
      < 5.362135, -0.532817, -0.135691>,
      < 5.688563, -0.507517, -0.257428>,
      < 5.362175, -0.480645, -0.257768>
    }
    triangle {
      < 5.362094, -0.620319, -0.045318>,
      < 5.684205, -0.649051, -0.060779>,
      < 5.685752, -0.558997, -0.137962>
    }
    triangle {
      < 5.362094, -0.620319, -0.045318>,
      < 5.685752, -0.558997, -0.137962>,
      < 5.362135, -0.532817, -0.135691>
    }
    triangle {
      < 5.362107, -0.620333, -0.000137>,
      < 5.454411, -0.706541, -0.001269>,
      < 5.528380, -0.691636, -0.016685>
    }
    triangle {
      < 5.362107, -0.620333, -0.000137>,
      < 5.528380, -0.691636, -0.016685>,
      < 5.362103, -0.620328, -0.015197>
    }
    triangle {
      < 5.362103, -0.620328, -0.015197>,
      < 5.528380, -0.691636, -0.016685>,
      < 5.613713, -0.663960, -0.032833>
    }
    triangle {
      < 5.362103, -0.620328, -0.015197>,
      < 5.613713, -0.663960, -0.032833>,
      < 5.362098, -0.620324, -0.030258>
    }
    triangle {
      < 5.362098, -0.620324, -0.030258>,
      < 5.613713, -0.663960, -0.032833>,
      < 5.684205, -0.649051, -0.060779>
    }
    triangle {
      < 5.362098, -0.620324, -0.030258>,
      < 5.684205, -0.649051, -0.060779>,
      < 5.362094, -0.620319, -0.045318>
    }
    triangle {
      < 5.454411, -0.706541, -0.001269>,
      < 5.546714, -0.792750, -0.001322>,
      < 5.706993, -0.777844, -0.021623>
    }
    triangle {
      < 5.454411, -0.706541, -0.001269>,
      < 5.706993, -0.777844, -0.021623>,
      < 5.528380, -0.691636, -0.016685>
    }
    triangle {
      < 5.687038, -1.155631, -0.129675>,
      < 5.615811, -1.139820, -0.079466>,
      < 5.362484, -1.202323, -0.083399>
    }
    triangle {
      < 5.687038, -1.155631, -0.129675>,
      < 5.362484, -1.202323, -0.083399>,
      < 5.362472, -1.202311, -0.125377>
    }
    triangle {
      < 5.615811, -1.139820, -0.079466>,
      < 5.529113, -1.110440, -0.039063>,
      < 5.362478, -1.202317, -0.045954>
    }
    triangle {
      < 5.615811, -1.139820, -0.079466>,
      < 5.362478, -1.202317, -0.045954>,
      < 5.362484, -1.202323, -0.083399>
    }
    triangle {
      < 5.707728, -1.002608, -0.034084>,
      < 5.546713, -0.986791, -0.001379>,
      < 5.454411, -1.094624, -0.001384>
    }
    triangle {
      < 5.707728, -1.002608, -0.034084>,
      < 5.454411, -1.094624, -0.001384>,
      < 5.529113, -1.110440, -0.039063>
    }
    triangle {
      < 5.529113, -1.110440, -0.039063>,
      < 5.454411, -1.094624, -0.001384>,
      < 5.362509, -1.202347, 0.000557>
    }
    triangle {
      < 5.529113, -1.110440, -0.039063>,
      < 5.362509, -1.202347, 0.000557>,
      < 5.362478, -1.202317, -0.045954>
    }
    triangle {
      < 1.685903, -0.879763, -0.859350>,
      < 1.685903, -0.743001, -0.861506>,
      < 2.911252, -0.715300, -0.833507>
    }
    triangle {
      < 1.685903, -0.879763, -0.859350>,
      < 2.911252, -0.715300, -0.833507>,
      < 2.911222, -0.879570, -0.850860>
    }
    triangle {
      < 2.911222, -0.879570, -0.850860>,
      < 2.911252, -0.715300, -0.833507>,
      < 4.136604, -0.664428, -0.818618>
    }
    triangle {
      < 2.911222, -0.879570, -0.850860>,
      < 4.136604, -0.664428, -0.818618>,
      < 4.136542, -0.879377, -0.842370>
    }
    triangle {
      < 4.136542, -0.879377, -0.842370>,
      < 4.136604, -0.664428, -0.818618>,
      < 5.361952, -0.636727, -0.790619>
    }
    triangle {
      < 4.136542, -0.879377, -0.842370>,
      < 5.361952, -0.636727, -0.790619>,
      < 5.361743, -0.879016, -0.832955>
    }
    triangle {
      < 1.685903, -0.743001, -0.861506>,
      < 1.685905, -0.606568, -0.854937>,
      < 2.911296, -0.579428, -0.778991>
    }
    triangle {
      < 1.685903, -0.743001, -0.861506>,
      < 2.911296, -0.579428, -0.778991>,
      < 2.911252, -0.715300, -0.833507>
    }
    triangle {
      < 2.911252, -0.715300, -0.833507>,
      < 2.911296, -0.579428, -0.778991>,
      < 4.136677, -0.530353, -0.730458>
    }
    triangle {
      < 2.911252, -0.715300, -0.833507>,
      < 4.136677, -0.530353, -0.730458>,
      < 4.136604, -0.664428, -0.818618>
    }
    triangle {
      < 4.136604, -0.664428, -0.818618>,
      < 4.136677, -0.530353, -0.730458>,
      < 5.362066, -0.503213, -0.654512>
    }
    triangle {
      < 4.136604, -0.664428, -0.818618>,
      < 5.362066, -0.503213, -0.654512>,
      < 5.361952, -0.636727, -0.790619>
    }
    triangle {
      < 1.685905, -0.606568, -0.854937>,
      < 1.685910, -0.470886, -0.838478>,
      < 2.911345, -0.468860, -0.695746>
    }
    triangle {
      < 1.685905, -0.606568, -0.854937>,
      < 2.911345, -0.468860, -0.695746>,
      < 2.911296, -0.579428, -0.778991>
    }
    triangle {
      < 2.911296, -0.579428, -0.778991>,
      < 2.911345, -0.468860, -0.695746>,
      < 4.136780, -0.466834, -0.553015>
    }
    triangle {
      < 2.911296, -0.579428, -0.778991>,
      < 4.136780, -0.466834, -0.553015>,
      < 4.136677, -0.530353, -0.730458>
    }
    triangle {
      < 4.136677, -0.530353, -0.730458>,
      < 4.136780, -0.466834, -0.553015>,
      < 5.362215, -0.464809, -0.410284>
    }
    triangle {
      < 4.136677, -0.530353, -0.730458>,
      < 5.362215, -0.464809, -0.410284>,
      < 5.362066, -0.503213, -0.654512>
    }
    triangle {
      < 1.024494, -1.456929, -0.556995>,
      < 1.024162, -1.453527, -0.626818>,
      < 0.691915, -1.442727, -0.650390>
    }
    triangle {
      < 1.024494, -1.456929, -0.556995>,
      < 0.691915, -1.442727, -0.650390>,
      < 0.691928, -1.444152, -0.609112>
    }
    triangle {
      < 1.355695, -1.468001, -0.518367>,
      < 1.355398, -1.464215, -0.612168>,
      < 1.024162, -1.453527, -0.626818>
    }
    triangle {
      < 1.355695, -1.468001, -0.518367>,
      < 1.024162, -1.453527, -0.626818>,
      < 1.024494, -1.456929, -0.556995>
    }
    triangle {
      < 1.686012, -1.476403, -0.491038>,
      < 1.685981, -1.471778, -0.598091>,
      < 1.355398, -1.464215, -0.612168>
    }
    triangle {
      < 1.686012, -1.476403, -0.491038>,
      < 1.355398, -1.464215, -0.612168>,
      < 1.355695, -1.468001, -0.518367>
    }
    triangle {
      < 1.024162, -1.453527, -0.626818>,
      < 1.023561, -1.441293, -0.704312>,
      < 0.691904, -1.435500, -0.689421>
    }
    triangle {
      < 1.024162, -1.453527, -0.626818>,
      < 0.691904, -1.435500, -0.689421>,
      < 0.691915, -1.442727, -0.650390>
    }
    triangle {
      < 1.355398, -1.464215, -0.612168>,
      < 1.354869, -1.448782, -0.707180>,
      < 1.023561, -1.441293, -0.704312>
    }
    triangle {
      < 1.355398, -1.464215, -0.612168>,
      < 1.023561, -1.441293, -0.704312>,
      < 1.024162, -1.453527, -0.626818>
    }
    triangle {
      < 1.685981, -1.471778, -0.598091>,
      < 1.685949, -1.453448, -0.703168>,
      < 1.354869, -1.448782, -0.707180>
    }
    triangle {
      < 1.685981, -1.471778, -0.598091>,
      < 1.354869, -1.448782, -0.707180>,
      < 1.355398, -1.464215, -0.612168>
    }
    triangle {
      < 1.023561, -1.441293, -0.704312>,
      < 1.023230, -1.422946, -0.768938>,
      < 0.691893, -1.422959, -0.726095>
    }
    triangle {
      < 1.023561, -1.441293, -0.704312>,
      < 0.691893, -1.422959, -0.726095>,
      < 0.691904, -1.435500, -0.689421>
    }
    triangle {
      < 1.354869, -1.448782, -0.707180>,
      < 1.354573, -1.422939, -0.794683>,
      < 1.023230, -1.422946, -0.768938>
    }
    triangle {
      < 1.354869, -1.448782, -0.707180>,
      < 1.023230, -1.422946, -0.768938>,
      < 1.023561, -1.441293, -0.704312>
    }
    triangle {
      < 1.685949, -1.453448, -0.703168>,
      < 1.685920, -1.422936, -0.803330>,
      < 1.354573, -1.422939, -0.794683>
    }
    triangle {
      < 1.685949, -1.453448, -0.703168>,
      < 1.354573, -1.422939, -0.794683>,
      < 1.354869, -1.448782, -0.707180>
    }
    triangle {
      < 0.691835, -1.194367, -0.920162>,
      < 1.023155, -1.124449, -0.890003>,
      < 1.023139, -0.951892, -0.897258>
    }
    triangle {
      < 0.691835, -1.194367, -0.920162>,
      < 1.023139, -0.951892, -0.897258>,
      < 0.691829, -1.042053, -0.943333>
    }
    triangle {
      < 0.691858, -1.331245, -0.845546>,
      < 1.023192, -1.296029, -0.852335>,
      < 1.023155, -1.124449, -0.890003>
    }
    triangle {
      < 0.691858, -1.331245, -0.845546>,
      < 1.023155, -1.124449, -0.890003>,
      < 0.691835, -1.194367, -0.920162>
    }
    triangle {
      < 0.691893, -1.422959, -0.726095>,
      < 1.023230, -1.422946, -0.768938>,
      < 1.023192, -1.296029, -0.852335>
    }
    triangle {
      < 0.691893, -1.422959, -0.726095>,
      < 1.023192, -1.296029, -0.852335>,
      < 0.691858, -1.331245, -0.845546>
    }
    triangle {
      < 1.023155, -1.124449, -0.890003>,
      < 1.354514, -1.078568, -0.862688>,
      < 1.354498, -0.897795, -0.869263>
    }
    triangle {
      < 1.023155, -1.124449, -0.890003>,
      < 1.354498, -0.897795, -0.869263>,
      < 1.023139, -0.951892, -0.897258>
    }
    triangle {
      < 1.023192, -1.296029, -0.852335>,
      < 1.354546, -1.260024, -0.840002>,
      < 1.354514, -1.078568, -0.862688>
    }
    triangle {
      < 1.023192, -1.296029, -0.852335>,
      < 1.354514, -1.078568, -0.862688>,
      < 1.023155, -1.124449, -0.890003>
    }
    triangle {
      < 1.023230, -1.422946, -0.768938>,
      < 1.354573, -1.422939, -0.794683>,
      < 1.354546, -1.260024, -0.840002>
    }
    triangle {
      < 1.023230, -1.422946, -0.768938>,
      < 1.354546, -1.260024, -0.840002>,
      < 1.023192, -1.296029, -0.852335>
    }
    triangle {
      < 1.354514, -1.078568, -0.862688>,
      < 1.685906, -1.062082, -0.850450>,
      < 1.685903, -0.879763, -0.859350>
    }
    triangle {
      < 1.354514, -1.078568, -0.862688>,
      < 1.685903, -0.879763, -0.859350>,
      < 1.354498, -0.897795, -0.869263>
    }
    triangle {
      < 1.354546, -1.260024, -0.840002>,
      < 1.685912, -1.243515, -0.830837>,
      < 1.685906, -1.062082, -0.850450>
    }
    triangle {
      < 1.354546, -1.260024, -0.840002>,
      < 1.685906, -1.062082, -0.850450>,
      < 1.354514, -1.078568, -0.862688>
    }
    triangle {
      < 1.354573, -1.422939, -0.794683>,
      < 1.685920, -1.422936, -0.803330>,
      < 1.685912, -1.243515, -0.830837>
    }
    triangle {
      < 1.354573, -1.422939, -0.794683>,
      < 1.685912, -1.243515, -0.830837>,
      < 1.354546, -1.260024, -0.840002>
    }
    triangle {
      < 1.685910, -0.470886, -0.838478>,
      < 1.173904, -0.529363, -0.912155>,
      < 1.231139, -0.646673, -0.904658>
    }
    triangle {
      < 1.685910, -0.470886, -0.838478>,
      < 1.231139, -0.646673, -0.904658>,
      < 1.685905, -0.606568, -0.854937>
    }
    triangle {
      < 1.685905, -0.606568, -0.854937>,
      < 1.231139, -0.646673, -0.904658>,
      < 1.297293, -0.761652, -0.885157>
    }
    triangle {
      < 1.685905, -0.606568, -0.854937>,
      < 1.297293, -0.761652, -0.885157>,
      < 1.685903, -0.743001, -0.861506>
    }
    triangle {
      < 1.685903, -0.743001, -0.861506>,
      < 1.297293, -0.761652, -0.885157>,
      < 1.354530, -0.879761, -0.863871>
    }
    triangle {
      < 1.685903, -0.743001, -0.861506>,
      < 1.354530, -0.879761, -0.863871>,
      < 1.685903, -0.879763, -0.859350>
    }
    triangle {
      < 1.173904, -0.529363, -0.912155>,
      < 0.661900, -0.587840, -0.985833>,
      < 0.785300, -0.684025, -0.951105>
    }
    triangle {
      < 1.173904, -0.529363, -0.912155>,
      < 0.785300, -0.684025, -0.951105>,
      < 1.231139, -0.646673, -0.904658>
    }
    triangle {
      < 1.231139, -0.646673, -0.904658>,
      < 0.785300, -0.684025, -0.951105>,
      < 0.899776, -0.783293, -0.915245>
    }
    triangle {
      < 1.231139, -0.646673, -0.904658>,
      < 0.899776, -0.783293, -0.915245>,
      < 1.297293, -0.761652, -0.885157>
    }
    triangle {
      < 1.297293, -0.761652, -0.885157>,
      < 0.899776, -0.783293, -0.915245>,
      < 1.023177, -0.879758, -0.875691>
    }
    triangle {
      < 1.297293, -0.761652, -0.885157>,
      < 1.023177, -0.879758, -0.875691>,
      < 1.354530, -0.879761, -0.863871>
    }
    triangle {
      < 0.661900, -0.587840, -0.985833>,
      < 0.149893, -0.646317, -1.059510>,
      < 0.330544, -0.724129, -1.004609>
    }
    triangle {
      < 0.661900, -0.587840, -0.985833>,
      < 0.330544, -0.724129, -1.004609>,
      < 0.785300, -0.684025, -0.951105>
    }
    triangle {
      < 0.785300, -0.684025, -0.951105>,
      < 0.330544, -0.724129, -1.004609>,
      < 0.511193, -0.801940, -0.949709>
    }
    triangle {
      < 0.785300, -0.684025, -0.951105>,
      < 0.511193, -0.801940, -0.949709>,
      < 0.899776, -0.783293, -0.915245>
    }
    triangle {
      < 0.899776, -0.783293, -0.915245>,
      < 0.511193, -0.801940, -0.949709>,
      < 0.691843, -0.879752, -0.894809>
    }
    triangle {
      < 0.899776, -0.783293, -0.915245>,
      < 0.691843, -0.879752, -0.894809>,
      < 1.023177, -0.879758, -0.875691>
    }
    triangle {
      < 0.691928, -1.444152, -0.609112>,
      < 0.691977, -1.409392, -0.442920>,
      < 1.024226, -1.432128, -0.408315>
    }
    triangle {
      < 0.691928, -1.444152, -0.609112>,
      < 1.024226, -1.432128, -0.408315>,
      < 1.024494, -1.456929, -0.556995>
    }
    triangle {
      < 1.024494, -1.456929, -0.556995>,
      < 1.024226, -1.432128, -0.408315>,
      < 1.355462, -1.446226, -0.397208>
    }
    triangle {
      < 1.024494, -1.456929, -0.556995>,
      < 1.355462, -1.446226, -0.397208>,
      < 1.355695, -1.468001, -0.518367>
    }
    triangle {
      < 1.355695, -1.468001, -0.518367>,
      < 1.355462, -1.446226, -0.397208>,
      < 1.686045, -1.465721, -0.380964>
    }
    triangle {
      < 1.355695, -1.468001, -0.518367>,
      < 1.686045, -1.465721, -0.380964>,
      < 1.686012, -1.476403, -0.491038>
    }
    triangle {
      < 0.691977, -1.409392, -0.442920>,
      < 0.692006, -1.305326, -0.344267>,
      < 1.023677, -1.354259, -0.313352>
    }
    triangle {
      < 0.691977, -1.409392, -0.442920>,
      < 1.023677, -1.354259, -0.313352>,
      < 1.024226, -1.432128, -0.408315>
    }
    triangle {
      < 1.024226, -1.432128, -0.408315>,
      < 1.023677, -1.354259, -0.313352>,
      < 1.354990, -1.388280, -0.299813>
    }
    triangle {
      < 1.024226, -1.432128, -0.408315>,
      < 1.354990, -1.388280, -0.299813>,
      < 1.355462, -1.446226, -0.397208>
    }
    triangle {
      < 1.355462, -1.446226, -0.397208>,
      < 1.354990, -1.388280, -0.299813>,
      < 1.686076, -1.436078, -0.275324>
    }
    triangle {
      < 1.355462, -1.446226, -0.397208>,
      < 1.686076, -1.436078, -0.275324>,
      < 1.686045, -1.465721, -0.380964>
    }
    triangle {
      < 0.692006, -1.305326, -0.344267>,
      < 0.692015, -1.132454, -0.312547>,
      < 1.023379, -1.216833, -0.267194>
    }
    triangle {
      < 0.692006, -1.305326, -0.344267>,
      < 1.023379, -1.216833, -0.267194>,
      < 1.023677, -1.354259, -0.313352>
    }
    triangle {
      < 1.023677, -1.354259, -0.313352>,
      < 1.023379, -1.216833, -0.267194>,
      < 1.354742, -1.301211, -0.221841>
    }
    triangle {
      < 1.023677, -1.354259, -0.313352>,
      < 1.354742, -1.301211, -0.221841>,
      < 1.354990, -1.388280, -0.299813>
    }
    triangle {
      < 1.354990, -1.388280, -0.299813>,
      < 1.354742, -1.301211, -0.221841>,
      < 1.686106, -1.385590, -0.176487>
    }
    triangle {
      < 1.354990, -1.388280, -0.299813>,
      < 1.686106, -1.385590, -0.176487>,
      < 1.686076, -1.436078, -0.275324>
    }
    triangle {
      < 0.691843, -0.879752, -0.894809>,
      < 0.796818, -0.902468, -0.903331>,
      < 0.918170, -0.885836, -0.884495>
    }
    triangle {
      < 0.691843, -0.879752, -0.894809>,
      < 0.918170, -0.885836, -0.884495>,
      < 0.691843, -0.879752, -0.894809>
    }
    triangle {
      < 0.691843, -0.879752, -0.894809>,
      < 0.691836, -0.927247, -0.921511>,
      < 0.796818, -0.902468, -0.903331>
    }
    triangle {
      < 0.691843, -0.879752, -0.894809>,
      < 0.796818, -0.902468, -0.903331>,
      < 0.691843, -0.879752, -0.894809>
    }
    triangle {
      < 0.796818, -0.902468, -0.903331>,
      < 0.918151, -0.919692, -0.900637>,
      < 1.128139, -0.888394, -0.874255>
    }
    triangle {
      < 0.796818, -0.902468, -0.903331>,
      < 1.128139, -0.888394, -0.874255>,
      < 0.918170, -0.885836, -0.884495>
    }
    triangle {
      < 0.691836, -0.927247, -0.921511>,
      < 0.691830, -0.981754, -0.937808>,
      < 0.918151, -0.919692, -0.900637>
    }
    triangle {
      < 0.691836, -0.927247, -0.921511>,
      < 0.918151, -0.919692, -0.900637>,
      < 0.796818, -0.902468, -0.903331>
    }
    triangle {
      < 1.128139, -0.888394, -0.874255>,
      < 1.354498, -0.897795, -0.869263>,
      < 1.685903, -0.879763, -0.859350>
    }
    triangle {
      < 1.128139, -0.888394, -0.874255>,
      < 1.685903, -0.879763, -0.859350>,
      < 1.354530, -0.879761, -0.863871>
    }
    triangle {
      < 0.918151, -0.919692, -0.900637>,
      < 1.023139, -0.951892, -0.897258>,
      < 1.354498, -0.897795, -0.869263>
    }
    triangle {
      < 0.918151, -0.919692, -0.900637>,
      < 1.354498, -0.897795, -0.869263>,
      < 1.128139, -0.888394, -0.874255>
    }
    triangle {
      < 0.691830, -0.981754, -0.937808>,
      < 0.691829, -1.042053, -0.943333>,
      < 1.023139, -0.951892, -0.897258>
    }
    triangle {
      < 0.691830, -0.981754, -0.937808>,
      < 1.023139, -0.951892, -0.897258>,
      < 0.918151, -0.919692, -0.900637>
    }
    triangle {
      < 5.362094, -0.620319, -0.045318>,
      < 4.136745, -0.553104, -0.154613>,
      < 4.136764, -0.491941, -0.247416>
    }
    triangle {
      < 5.362094, -0.620319, -0.045318>,
      < 4.136764, -0.491941, -0.247416>,
      < 5.362135, -0.532817, -0.135691>
    }
    triangle {
      < 5.362135, -0.532817, -0.135691>,
      < 4.136764, -0.491941, -0.247416>,
      < 4.136778, -0.461384, -0.362401>
    }
    triangle {
      < 5.362135, -0.532817, -0.135691>,
      < 4.136778, -0.461384, -0.362401>,
      < 5.362175, -0.480645, -0.257768>
    }
    triangle {
      < 5.362175, -0.480645, -0.257768>,
      < 4.136778, -0.461384, -0.362401>,
      < 4.136797, -0.456370, -0.500767>
    }
    triangle {
      < 5.362175, -0.480645, -0.257768>,
      < 4.136797, -0.456370, -0.500767>,
      < 5.362215, -0.464809, -0.410284>
    }
    triangle {
      < 5.362046, -1.243434, -0.207091>,
      < 4.136814, -1.315067, -0.227164>,
      < 4.136749, -1.263476, -0.144070>
    }
    triangle {
      < 5.362046, -1.243434, -0.207091>,
      < 4.136749, -1.263476, -0.144070>,
      < 5.362472, -1.202311, -0.125377>
    }
    triangle {
      < 5.362019, -1.267484, -0.301663>,
      < 4.136950, -1.355647, -0.322119>,
      < 4.136814, -1.315067, -0.227164>
    }
    triangle {
      < 5.362019, -1.267484, -0.301663>,
      < 4.136814, -1.315067, -0.227164>,
      < 5.362046, -1.243434, -0.207091>
    }
    triangle {
      < 5.361986, -1.274447, -0.410528>,
      < 4.137008, -1.371694, -0.429958>,
      < 4.136950, -1.355647, -0.322119>
    }
    triangle {
      < 5.361986, -1.274447, -0.410528>,
      < 4.136950, -1.355647, -0.322119>,
      < 5.362019, -1.267484, -0.301663>
    }
    triangle {
      < 4.136814, -1.315067, -0.227164>,
      < 2.912155, -1.386837, -0.249916>,
      < 2.911427, -1.324533, -0.160818>
    }
    triangle {
      < 4.136814, -1.315067, -0.227164>,
      < 2.911427, -1.324533, -0.160818>,
      < 4.136749, -1.263476, -0.144070>
    }
    triangle {
      < 4.136950, -1.355647, -0.322119>,
      < 2.913528, -1.441536, -0.345265>,
      < 2.912155, -1.386837, -0.249916>
    }
    triangle {
      < 4.136950, -1.355647, -0.322119>,
      < 2.912155, -1.386837, -0.249916>,
      < 4.136814, -1.315067, -0.227164>
    }
    triangle {
      < 4.137008, -1.371694, -0.429958>,
      < 2.914252, -1.465526, -0.451029>,
      < 2.913528, -1.441536, -0.345265>
    }
    triangle {
      < 4.137008, -1.371694, -0.429958>,
      < 2.913528, -1.441536, -0.345265>,
      < 4.136950, -1.355647, -0.322119>
    }
    triangle {
      < 2.912155, -1.386837, -0.249916>,
      < 1.686076, -1.436078, -0.275324>,
      < 1.686106, -1.385590, -0.176487>
    }
    triangle {
      < 2.912155, -1.386837, -0.249916>,
      < 1.686106, -1.385590, -0.176487>,
      < 2.911427, -1.324533, -0.160818>
    }
    triangle {
      < 2.913528, -1.441536, -0.345265>,
      < 1.686045, -1.465721, -0.380964>,
      < 1.686076, -1.436078, -0.275324>
    }
    triangle {
      < 2.913528, -1.441536, -0.345265>,
      < 1.686076, -1.436078, -0.275324>,
      < 2.912155, -1.386837, -0.249916>
    }
    triangle {
      < 2.914252, -1.465526, -0.451029>,
      < 1.686012, -1.476403, -0.491038>,
      < 1.686045, -1.465721, -0.380964>
    }
    triangle {
      < 2.914252, -1.465526, -0.451029>,
      < 1.686045, -1.465721, -0.380964>,
      < 2.913528, -1.441536, -0.345265>
    }
    triangle {
      < 5.361743, -0.879016, -0.832955>,
      < 4.136542, -0.879377, -0.842370>,
      < 4.136546, -1.048427, -0.829405>
    }
    triangle {
      < 5.361743, -0.879016, -0.832955>,
      < 4.136546, -1.048427, -0.829405>,
      < 5.361869, -1.021325, -0.804976>
    }
    triangle {
      < 5.361869, -1.021325, -0.804976>,
      < 4.136546, -1.048427, -0.829405>,
      < 4.136554, -1.207407, -0.800697>
    }
    triangle {
      < 5.361869, -1.021325, -0.804976>,
      < 4.136554, -1.207407, -0.800697>,
      < 5.361887, -1.131100, -0.746127>
    }
    triangle {
      < 5.361887, -1.131100, -0.746127>,
      < 4.136554, -1.207407, -0.800697>,
      < 4.136573, -1.327455, -0.738893>
    }
    triangle {
      < 5.361887, -1.131100, -0.746127>,
      < 4.136573, -1.327455, -0.738893>,
      < 5.361913, -1.208103, -0.657803>
    }
    triangle {
      < 4.136542, -0.879377, -0.842370>,
      < 2.911222, -0.879570, -0.850860>,
      < 2.911225, -1.059735, -0.842915>
    }
    triangle {
      < 4.136542, -0.879377, -0.842370>,
      < 2.911225, -1.059735, -0.842915>,
      < 4.136546, -1.048427, -0.829405>
    }
    triangle {
      < 4.136546, -1.048427, -0.829405>,
      < 2.911225, -1.059735, -0.842915>,
      < 2.911230, -1.237935, -0.824535>
    }
    triangle {
      < 4.136546, -1.048427, -0.829405>,
      < 2.911230, -1.237935, -0.824535>,
      < 4.136554, -1.207407, -0.800697>
    }
    triangle {
      < 4.136554, -1.207407, -0.800697>,
      < 2.911230, -1.237935, -0.824535>,
      < 2.911241, -1.399066, -0.787403>
    }
    triangle {
      < 4.136554, -1.207407, -0.800697>,
      < 2.911241, -1.399066, -0.787403>,
      < 4.136573, -1.327455, -0.738893>
    }
    triangle {
      < 2.911222, -0.879570, -0.850860>,
      < 1.685903, -0.879763, -0.859350>,
      < 1.685906, -1.062082, -0.850450>
    }
    triangle {
      < 2.911222, -0.879570, -0.850860>,
      < 1.685906, -1.062082, -0.850450>,
      < 2.911225, -1.059735, -0.842915>
    }
    triangle {
      < 2.911225, -1.059735, -0.842915>,
      < 1.685906, -1.062082, -0.850450>,
      < 1.685912, -1.243515, -0.830837>
    }
    triangle {
      < 2.911225, -1.059735, -0.842915>,
      < 1.685912, -1.243515, -0.830837>,
      < 2.911230, -1.237935, -0.824535>
    }
    triangle {
      < 2.911230, -1.237935, -0.824535>,
      < 1.685912, -1.243515, -0.830837>,
      < 1.685920, -1.422936, -0.803330>
    }
    triangle {
      < 2.911230, -1.237935, -0.824535>,
      < 1.685920, -1.422936, -0.803330>,
      < 2.911241, -1.399066, -0.787403>
    }
    triangle {
      < 5.361913, -1.208103, -0.657803>,
      < 4.136573, -1.327455, -0.738893>,
      < 4.136688, -1.356699, -0.649551>
    }
    triangle {
      < 5.361913, -1.208103, -0.657803>,
      < 4.136688, -1.356699, -0.649551>,
      < 5.361934, -1.243472, -0.587928>
    }
    triangle {
      < 5.361934, -1.243472, -0.587928>,
      < 4.136688, -1.356699, -0.649551>,
      < 4.136886, -1.368825, -0.539651>
    }
    triangle {
      < 5.361934, -1.243472, -0.587928>,
      < 4.136886, -1.368825, -0.539651>,
      < 5.361958, -1.265625, -0.505463>
    }
    triangle {
      < 5.361958, -1.265625, -0.505463>,
      < 4.136886, -1.368825, -0.539651>,
      < 4.137008, -1.371694, -0.429958>
    }
    triangle {
      < 5.361958, -1.265625, -0.505463>,
      < 4.137008, -1.371694, -0.429958>,
      < 5.361986, -1.274447, -0.410528>
    }
    triangle {
      < 4.136573, -1.327455, -0.738893>,
      < 2.911241, -1.399066, -0.787403>,
      < 2.912026, -1.433340, -0.684479>
    }
    triangle {
      < 4.136573, -1.327455, -0.738893>,
      < 2.912026, -1.433340, -0.684479>,
      < 4.136688, -1.356699, -0.649551>
    }
    triangle {
      < 4.136688, -1.356699, -0.649551>,
      < 2.912026, -1.433340, -0.684479>,
      < 2.913463, -1.457309, -0.565554>
    }
    triangle {
      < 4.136688, -1.356699, -0.649551>,
      < 2.913463, -1.457309, -0.565554>,
      < 4.136886, -1.368825, -0.539651>
    }
    triangle {
      < 4.136886, -1.368825, -0.539651>,
      < 2.913463, -1.457309, -0.565554>,
      < 2.914252, -1.465526, -0.451029>
    }
    triangle {
      < 4.136886, -1.368825, -0.539651>,
      < 2.914252, -1.465526, -0.451029>,
      < 4.137008, -1.371694, -0.429958>
    }
    triangle {
      < 2.911241, -1.399066, -0.787403>,
      < 1.685920, -1.422936, -0.803330>,
      < 1.685949, -1.453448, -0.703168>
    }
    triangle {
      < 2.911241, -1.399066, -0.787403>,
      < 1.685949, -1.453448, -0.703168>,
      < 2.912026, -1.433340, -0.684479>
    }
    triangle {
      < 2.912026, -1.433340, -0.684479>,
      < 1.685949, -1.453448, -0.703168>,
      < 1.685981, -1.471778, -0.598091>
    }
    triangle {
      < 2.912026, -1.433340, -0.684479>,
      < 1.685981, -1.471778, -0.598091>,
      < 2.913463, -1.457309, -0.565554>
    }
    triangle {
      < 2.913463, -1.457309, -0.565554>,
      < 1.685981, -1.471778, -0.598091>,
      < 1.686012, -1.476403, -0.491038>
    }
    triangle {
      < 2.913463, -1.457309, -0.565554>,
      < 1.686012, -1.476403, -0.491038>,
      < 2.914252, -1.465526, -0.451029>
    }
    triangle {
      < 5.361743, -0.879016, -0.832955>,
      < 5.361869, -1.021325, -0.804976>,
      < 5.697419, -0.998912, -0.767183>
    }
    triangle {
      < 5.361743, -0.879016, -0.832955>,
      < 5.697419, -0.998912, -0.767183>,
      < 5.701077, -0.878641, -0.797877>
    }
    triangle {
      < 5.361869, -1.021325, -0.804976>,
      < 5.361887, -1.131100, -0.746127>,
      < 5.690634, -1.094136, -0.705215>
    }
    triangle {
      < 5.361869, -1.021325, -0.804976>,
      < 5.690634, -1.094136, -0.705215>,
      < 5.697419, -0.998912, -0.767183>
    }
    triangle {
      < 5.361887, -1.131100, -0.746127>,
      < 5.361913, -1.208103, -0.657803>,
      < 5.687003, -1.162317, -0.623326>
    }
    triangle {
      < 5.361887, -1.131100, -0.746127>,
      < 5.687003, -1.162317, -0.623326>,
      < 5.690634, -1.094136, -0.705215>
    }
    triangle {
      < 5.701077, -0.878641, -0.797877>,
      < 5.698216, -0.666292, -0.752552>,
      < 5.361952, -0.636727, -0.790619>
    }
    triangle {
      < 5.701077, -0.878641, -0.797877>,
      < 5.361952, -0.636727, -0.790619>,
      < 5.361743, -0.879016, -0.832955>
    }
    triangle {
      < 5.698216, -0.666292, -0.752552>,
      < 5.692854, -0.536647, -0.619343>,
      < 5.362066, -0.503213, -0.654512>
    }
    triangle {
      < 5.698216, -0.666292, -0.752552>,
      < 5.362066, -0.503213, -0.654512>,
      < 5.361952, -0.636727, -0.790619>
    }
    triangle {
      < 5.692854, -0.536647, -0.619343>,
      < 5.690060, -0.493456, -0.404371>,
      < 5.362215, -0.464809, -0.410284>
    }
    triangle {
      < 5.692854, -0.536647, -0.619343>,
      < 5.362215, -0.464809, -0.410284>,
      < 5.362066, -0.503213, -0.654512>
    }
    triangle {
      < 5.361913, -1.208103, -0.657803>,
      < 5.361934, -1.243472, -0.587928>,
      < 5.687836, -1.199175, -0.560995>
    }
    triangle {
      < 5.361913, -1.208103, -0.657803>,
      < 5.687836, -1.199175, -0.560995>,
      < 5.687003, -1.162317, -0.623326>
    }
    triangle {
      < 5.361934, -1.243472, -0.587928>,
      < 5.361958, -1.265625, -0.505463>,
      < 5.689370, -1.228825, -0.486926>
    }
    triangle {
      < 5.361934, -1.243472, -0.587928>,
      < 5.689370, -1.228825, -0.486926>,
      < 5.687836, -1.199175, -0.560995>
    }
    triangle {
      < 5.361958, -1.265625, -0.505463>,
      < 5.361986, -1.274447, -0.410528>,
      < 5.690213, -1.242257, -0.404590>
    }
    triangle {
      < 5.361958, -1.265625, -0.505463>,
      < 5.690213, -1.242257, -0.404590>,
      < 5.689370, -1.228825, -0.486926>
    }
    triangle {
      < 5.687038, -1.155631, -0.129675>,
      < 5.687860, -1.208026, -0.200122>,
      < 5.362046, -1.243434, -0.207091>
    }
    triangle {
      < 5.687038, -1.155631, -0.129675>,
      < 5.362046, -1.243434, -0.207091>,
      < 5.362472, -1.202311, -0.125377>
    }
    triangle {
      < 5.687860, -1.208026, -0.200122>,
      < 5.689415, -1.235864, -0.294607>,
      < 5.362019, -1.267484, -0.301663>
    }
    triangle {
      < 5.687860, -1.208026, -0.200122>,
      < 5.362019, -1.267484, -0.301663>,
      < 5.362046, -1.243434, -0.207091>
    }
    triangle {
      < 5.689415, -1.235864, -0.294607>,
      < 5.690213, -1.242257, -0.404590>,
      < 5.361986, -1.274447, -0.410528>
    }
    triangle {
      < 5.689415, -1.235864, -0.294607>,
      < 5.361986, -1.274447, -0.410528>,
      < 5.362019, -1.267484, -0.301663>
    }
    triangle {
      < 5.362215, -0.464809, -0.410284>,
      < 5.690060, -0.493456, -0.404371>,
      < 5.688563, -0.507517, -0.257428>
    }
    triangle {
      < 5.362215, -0.464809, -0.410284>,
      < 5.688563, -0.507517, -0.257428>,
      < 5.362175, -0.480645, -0.257768>
    }
    triangle {
      < 5.362175, -0.480645, -0.257768>,
      < 5.688563, -0.507517, -0.257428>,
      < 5.685752, -0.558997, -0.137962>
    }
    triangle {
      < 5.362175, -0.480645, -0.257768>,
      < 5.685752, -0.558997, -0.137962>,
      < 5.362135, -0.532817, -0.135691>
    }
    triangle {
      < 5.362135, -0.532817, -0.135691>,
      < 5.685752, -0.558997, -0.137962>,
      < 5.684205, -0.649051, -0.060779>
    }
    triangle {
      < 5.362135, -0.532817, -0.135691>,
      < 5.684205, -0.649051, -0.060779>,
      < 5.362094, -0.620319, -0.045318>
    }
    triangle {
      < 5.362103, -0.620328, -0.015197>,
      < 5.528380, -0.691636, -0.016685>,
      < 5.454411, -0.706541, -0.001269>
    }
    triangle {
      < 5.362103, -0.620328, -0.015197>,
      < 5.454411, -0.706541, -0.001269>,
      < 5.362107, -0.620333, -0.000137>
    }
    triangle {
      < 5.362098, -0.620324, -0.030258>,
      < 5.613713, -0.663960, -0.032833>,
      < 5.528380, -0.691636, -0.016685>
    }
    triangle {
      < 5.362098, -0.620324, -0.030258>,
      < 5.528380, -0.691636, -0.016685>,
      < 5.362103, -0.620328, -0.015197>
    }
    triangle {
      < 5.362094, -0.620319, -0.045318>,
      < 5.684205, -0.649051, -0.060779>,
      < 5.613713, -0.663960, -0.032833>
    }
    triangle {
      < 5.362094, -0.620319, -0.045318>,
      < 5.613713, -0.663960, -0.032833>,
      < 5.362098, -0.620324, -0.030258>
    }
    triangle {
      < 5.528380, -0.691636, -0.016685>,
      < 5.706993, -0.777844, -0.021623>,
      < 5.546714, -0.792750, -0.001322>
    }
    triangle {
      < 5.528380, -0.691636, -0.016685>,
      < 5.546714, -0.792750, -0.001322>,
      < 5.454411, -0.706541, -0.001269>
    }
    triangle {
      < 5.362472, -1.202311, -0.125377>,
      < 5.362484, -1.202323, -0.083399>,
      < 5.615811, -1.139820, -0.079466>
    }
    triangle {
      < 5.362472, -1.202311, -0.125377>,
      < 5.615811, -1.139820, -0.079466>,
      < 5.687038, -1.155631, -0.129675>
    }
    triangle {
      < 5.362484, -1.202323, -0.083399>,
      < 5.362478, -1.202317, -0.045954>,
      < 5.529113, -1.110440, -0.039063>
    }
    triangle {
      < 5.362484, -1.202323, -0.083399>,
      < 5.529113, -1.110440, -0.039063>,
      < 5.615811, -1.139820, -0.079466>
    }
    triangle {
      < 5.529113, -1.110440, -0.039063>,
      < 5.454411, -1.094624, -0.001384>,
      < 5.546713, -0.986791, -0.001379>
    }
    triangle {
      < 5.529113, -1.110440, -0.039063>,
      < 5.546713, -0.986791, -0.001379>,
      < 5.707728, -1.002608, -0.034084>
    }
    triangle {
      < 5.362478, -1.202317, -0.045954>,
      < 5.362509, -1.202347, 0.000557>,
      < 5.454411, -1.094624, -0.001384>
    }
    triangle {
      < 5.362478, -1.202317, -0.045954>,
      < 5.454411, -1.094624, -0.001384>,
      < 5.529113, -1.110440, -0.039063>
    }
    triangle {
      < 2.911222, -0.879570, -0.850860>,
      < 2.911252, -0.715300, -0.833507>,
      < 1.685903, -0.743001, -0.861506>
    }
    triangle {
      < 2.911222, -0.879570, -0.850860>,
      < 1.685903, -0.743001, -0.861506>,
      < 1.685903, -0.879763, -0.859350>
    }
    triangle {
      < 4.136542, -0.879377, -0.842370>,
      < 4.136604, -0.664428, -0.818618>,
      < 2.911252, -0.715300, -0.833507>
    }
    triangle {
      < 4.136542, -0.879377, -0.842370>,
      < 2.911252, -0.715300, -0.833507>,
      < 2.911222, -0.879570, -0.850860>
    }
    triangle {
      < 5.361743, -0.879016, -0.832955>,
      < 5.361952, -0.636727, -0.790619>,
      < 4.136604, -0.664428, -0.818618>
    }
    triangle {
      < 5.361743, -0.879016, -0.832955>,
      < 4.136604, -0.664428, -0.818618>,
      < 4.136542, -0.879377, -0.842370>
    }
    triangle {
      < 2.911252, -0.715300, -0.833507>,
      < 2.911296, -0.579428, -0.778991>,
      < 1.685905, -0.606568, -0.854937>
    }
    triangle {
      < 2.911252, -0.715300, -0.833507>,
      < 1.685905, -0.606568, -0.854937>,
      < 1.685903, -0.743001, -0.861506>
    }
    triangle {
      < 4.136604, -0.664428, -0.818618>,
      < 4.136677, -0.530353, -0.730458>,
      < 2.911296, -0.579428, -0.778991>
    }
    triangle {
      < 4.136604, -0.664428, -0.818618>,
      < 2.911296, -0.579428, -0.778991>,
      < 2.911252, -0.715300, -0.833507>
    }
    triangle {
      < 5.361952, -0.636727, -0.790619>,
      < 5.362066, -0.503213, -0.654512>,
      < 4.136677, -0.530353, -0.730458>
    }
    triangle {
      < 5.361952, -0.636727, -0.790619>,
      < 4.136677, -0.530353, -0.730458>,
      < 4.136604, -0.664428, -0.818618>
    }
    triangle {
      < 2.911296, -0.579428, -0.778991>,
      < 2.911345, -0.468860, -0.695746>,
      < 1.685910, -0.470886, -0.838478>
    }
    triangle {
      < 2.911296, -0.579428, -0.778991>,
      < 1.685910, -0.470886, -0.838478>,
      < 1.685905, -0.606568, -0.854937>
    }
    triangle {
      < 4.136677, -0.530353, -0.730458>,
      < 4.136780, -0.466834, -0.553015>,
      < 2.911345, -0.468860, -0.695746>
    }
    triangle {
      < 4.136677, -0.530353, -0.730458>,
      < 2.911345, -0.468860, -0.695746>,
      < 2.911296, -0.579428, -0.778991>
    }
    triangle {
      < 5.362066, -0.503213, -0.654512>,
      < 5.362215, -0.464809, -0.410284>,
      < 4.136780, -0.466834, -0.553015>
    }
    triangle {
      < 5.362066, -0.503213, -0.654512>,
      < 4.136780, -0.466834, -0.553015>,
      < 4.136677, -0.530353, -0.730458>
    }
    triangle {
      < -2.621433, -0.412142, 0.375304>,
      < -2.624659, -0.425903, 0.512984>,
      < -1.928063, -0.431547, 0.578316>
    }
    triangle {
      < -2.621433, -0.412142, 0.375304>,
      < -1.928063, -0.431547, 0.578316>,
      < -1.927776, -0.409916, 0.392821>
    }
    triangle {
      < -3.312217, -0.436418, 0.357854>,
      < -3.324667, -0.447669, 0.439559>,
      < -2.624659, -0.425903, 0.512984>
    }
    triangle {
      < -3.312217, -0.436418, 0.357854>,
      < -2.624659, -0.425903, 0.512984>,
      < -2.621433, -0.412142, 0.375304>
    }
    triangle {
      < -3.997931, -0.492730, 0.340521>,
      < -3.997931, -0.492730, 0.340521>,
      < -3.324667, -0.447669, 0.439559>
    }
    triangle {
      < -3.997931, -0.492730, 0.340521>,
      < -3.324667, -0.447669, 0.439559>,
      < -3.312217, -0.436418, 0.357854>
    }
    triangle {
      < -2.624659, -0.425903, 0.512984>,
      < -2.630192, -0.468606, 0.619406>,
      < -1.928105, -0.494744, 0.718257>
    }
    triangle {
      < -2.624659, -0.425903, 0.512984>,
      < -1.928105, -0.494744, 0.718257>,
      < -1.928063, -0.431547, 0.578316>
    }
    triangle {
      < -3.324667, -0.447669, 0.439559>,
      < -3.347383, -0.474813, 0.544014>,
      < -2.630192, -0.468606, 0.619406>
    }
    triangle {
      < -3.324667, -0.447669, 0.439559>,
      < -2.630192, -0.468606, 0.619406>,
      < -2.624659, -0.425903, 0.512984>
    }
    triangle {
      < -3.997931, -0.492730, 0.340521>,
      < -3.997931, -0.492730, 0.340521>,
      < -3.347383, -0.474813, 0.544014>
    }
    triangle {
      < -3.997931, -0.492730, 0.340521>,
      < -3.347383, -0.474813, 0.544014>,
      < -3.324667, -0.447669, 0.439559>
    }
    triangle {
      < -2.630192, -0.468606, 0.619406>,
      < -2.633176, -0.546189, 0.693760>,
      < -1.928134, -0.602468, 0.816627>
    }
    triangle {
      < -2.630192, -0.468606, 0.619406>,
      < -1.928134, -0.602468, 0.816627>,
      < -1.928105, -0.494744, 0.718257>
    }
    triangle {
      < -3.347383, -0.474813, 0.544014>,
      < -3.359616, -0.508535, 0.606227>,
      < -2.633176, -0.546189, 0.693760>
    }
    triangle {
      < -3.347383, -0.474813, 0.544014>,
      < -2.633176, -0.546189, 0.693760>,
      < -2.630192, -0.468606, 0.619406>
    }
    triangle {
      < -3.997931, -0.492730, 0.340521>,
      < -3.997931, -0.492730, 0.340521>,
      < -3.359616, -0.508535, 0.606227>
    }
    triangle {
      < -3.997931, -0.492730, 0.340521>,
      < -3.359616, -0.508535, 0.606227>,
      < -3.347383, -0.474813, 0.544014>
    }
    triangle {
      < -1.928068, -0.543497, 0.595618>,
      < -2.620725, -0.509361, 0.525902>,
      < -2.616117, -0.506590, 0.375410>
    }
    triangle {
      < -1.928068, -0.543497, 0.595618>,
      < -2.616117, -0.506590, 0.375410>,
      < -1.927776, -0.536449, 0.392782>
    }
    triangle {
      < -1.928110, -0.565546, 0.737681>,
      < -2.628818, -0.521238, 0.633830>,
      < -2.620725, -0.509361, 0.525902>
    }
    triangle {
      < -1.928110, -0.565546, 0.737681>,
      < -2.620725, -0.509361, 0.525902>,
      < -1.928068, -0.543497, 0.595618>
    }
    triangle {
      < -1.928134, -0.602468, 0.816627>,
      < -2.633176, -0.546189, 0.693760>,
      < -2.628818, -0.521238, 0.633830>
    }
    triangle {
      < -1.928134, -0.602468, 0.816627>,
      < -2.628818, -0.521238, 0.633830>,
      < -1.928110, -0.565546, 0.737681>
    }
    triangle {
      < -2.620725, -0.509361, 0.525902>,
      < -3.319984, -0.493057, 0.444171>,
      < -3.305892, -0.491315, 0.357997>
    }
    triangle {
      < -2.620725, -0.509361, 0.525902>,
      < -3.305892, -0.491315, 0.357997>,
      < -2.616117, -0.506590, 0.375410>
    }
    triangle {
      < -2.628818, -0.521238, 0.633830>,
      < -3.345745, -0.498896, 0.549094>,
      < -3.319984, -0.493057, 0.444171>
    }
    triangle {
      < -2.628818, -0.521238, 0.633830>,
      < -3.319984, -0.493057, 0.444171>,
      < -2.620725, -0.509361, 0.525902>
    }
    triangle {
      < -2.633176, -0.546189, 0.693760>,
      < -3.359616, -0.508535, 0.606227>,
      < -3.345745, -0.498896, 0.549094>
    }
    triangle {
      < -2.633176, -0.546189, 0.693760>,
      < -3.345745, -0.498896, 0.549094>,
      < -2.628818, -0.521238, 0.633830>
    }
    triangle {
      < -3.319984, -0.493057, 0.444171>,
      < -3.997931, -0.492730, 0.340521>,
      < -3.997931, -0.492730, 0.340521>
    }
    triangle {
      < -3.319984, -0.493057, 0.444171>,
      < -3.997931, -0.492730, 0.340521>,
      < -3.305892, -0.491315, 0.357997>
    }
    triangle {
      < -3.345745, -0.498896, 0.549094>,
      < -3.997931, -0.492730, 0.340521>,
      < -3.997931, -0.492730, 0.340521>
    }
    triangle {
      < -3.345745, -0.498896, 0.549094>,
      < -3.997931, -0.492730, 0.340521>,
      < -3.319984, -0.493057, 0.444171>
    }
    triangle {
      < -3.359616, -0.508535, 0.606227>,
      < -3.997931, -0.492730, 0.340521>,
      < -3.997931, -0.492730, 0.340521>
    }
    triangle {
      < -3.359616, -0.508535, 0.606227>,
      < -3.997931, -0.492730, 0.340521>,
      < -3.345745, -0.498896, 0.549094>
    }
    triangle {
      < -1.927776, -0.536449, 0.392782>,
      < -1.235551, -0.581808, 0.410250>,
      < -1.237324, -0.588847, 0.631878>
    }
    triangle {
      < -1.927776, -0.536449, 0.392782>,
      < -1.237324, -0.588847, 0.631878>,
      < -1.928068, -0.543497, 0.595618>
    }
    triangle {
      < -1.928068, -0.543497, 0.595618>,
      < -1.237324, -0.588847, 0.631878>,
      < -1.240105, -0.612781, 0.824686>
    }
    triangle {
      < -1.928068, -0.543497, 0.595618>,
      < -1.240105, -0.612781, 0.824686>,
      < -1.928110, -0.565546, 0.737681>
    }
    triangle {
      < -1.928110, -0.565546, 0.737681>,
      < -1.240105, -0.612781, 0.824686>,
      < -1.241609, -0.642019, 0.954890>
    }
    triangle {
      < -1.928110, -0.565546, 0.737681>,
      < -1.241609, -0.642019, 0.954890>,
      < -1.928134, -0.602468, 0.816627>
    }
    triangle {
      < -1.235551, -0.581808, 0.410250>,
      < -0.543132, -0.637663, 0.427717>,
      < -0.545407, -0.636640, 0.643516>
    }
    triangle {
      < -1.235551, -0.581808, 0.410250>,
      < -0.545407, -0.636640, 0.643516>,
      < -1.237324, -0.588847, 0.631878>
    }
    triangle {
      < -1.237324, -0.588847, 0.631878>,
      < -0.545407, -0.636640, 0.643516>,
      < -0.549109, -0.649121, 0.855602>
    }
    triangle {
      < -1.237324, -0.588847, 0.631878>,
      < -0.549109, -0.649121, 0.855602>,
      < -1.240105, -0.612781, 0.824686>
    }
    triangle {
      < -1.240105, -0.612781, 0.824686>,
      < -0.549109, -0.649121, 0.855602>,
      < -0.551123, -0.656035, 1.040635>
    }
    triangle {
      < -1.240105, -0.612781, 0.824686>,
      < -0.551123, -0.656035, 1.040635>,
      < -1.241609, -0.642019, 0.954890>
    }
    triangle {
      < -0.543132, -0.637663, 0.427717>,
      < 0.150340, -0.701870, 0.445210>,
      < 0.150016, -0.683177, 0.648852>
    }
    triangle {
      < -0.543132, -0.637663, 0.427717>,
      < 0.150016, -0.683177, 0.648852>,
      < -0.545407, -0.636640, 0.643516>
    }
    triangle {
      < -0.545407, -0.636640, 0.643516>,
      < 0.150016, -0.683177, 0.648852>,
      < 0.149956, -0.664746, 0.854181>
    }
    triangle {
      < -0.545407, -0.636640, 0.643516>,
      < 0.149956, -0.664746, 0.854181>,
      < -0.549109, -0.649121, 0.855602>
    }
    triangle {
      < -0.549109, -0.649121, 0.855602>,
      < 0.149956, -0.664746, 0.854181>,
      < 0.149893, -0.646317, 1.059510>
    }
    triangle {
      < -0.549109, -0.649121, 0.855602>,
      < 0.149893, -0.646317, 1.059510>,
      < -0.551123, -0.656035, 1.040635>
    }
    triangle {
      < -1.241609, -0.642019, 0.954890>,
      < -1.239396, -0.521857, 0.815601>,
      < -1.928105, -0.494744, 0.718257>
    }
    triangle {
      < -1.241609, -0.642019, 0.954890>,
      < -1.928105, -0.494744, 0.718257>,
      < -1.928134, -0.602468, 0.816627>
    }
    triangle {
      < -0.551123, -0.656035, 1.040635>,
      < -0.548141, -0.526534, 0.865695>,
      < -1.239396, -0.521857, 0.815601>
    }
    triangle {
      < -0.551123, -0.656035, 1.040635>,
      < -1.239396, -0.521857, 0.815601>,
      < -1.241609, -0.642019, 0.954890>
    }
    triangle {
      < 0.149893, -0.646317, 1.059510>,
      < 0.149948, -0.515627, 0.874568>,
      < -0.548141, -0.526534, 0.865695>
    }
    triangle {
      < 0.149893, -0.646317, 1.059510>,
      < -0.548141, -0.526534, 0.865695>,
      < -0.551123, -0.656035, 1.040635>
    }
    triangle {
      < -1.239396, -0.521857, 0.815601>,
      < -1.235304, -0.446518, 0.624733>,
      < -1.928063, -0.431547, 0.578316>
    }
    triangle {
      < -1.239396, -0.521857, 0.815601>,
      < -1.928063, -0.431547, 0.578316>,
      < -1.928105, -0.494744, 0.718257>
    }
    triangle {
      < -0.548141, -0.526534, 0.865695>,
      < -0.542637, -0.454197, 0.655161>,
      < -1.235304, -0.446518, 0.624733>
    }
    triangle {
      < -0.548141, -0.526534, 0.865695>,
      < -1.235304, -0.446518, 0.624733>,
      < -1.239396, -0.521857, 0.815601>
    }
    triangle {
      < 0.149948, -0.515627, 0.874568>,
      < 0.150009, -0.452036, 0.670524>,
      < -0.542637, -0.454197, 0.655161>
    }
    triangle {
      < 0.149948, -0.515627, 0.874568>,
      < -0.542637, -0.454197, 0.655161>,
      < -0.548141, -0.526534, 0.865695>
    }
    triangle {
      < -1.235304, -0.446518, 0.624733>,
      < -1.232823, -0.419760, 0.410367>,
      < -1.927776, -0.409916, 0.392821>
    }
    triangle {
      < -1.235304, -0.446518, 0.624733>,
      < -1.927776, -0.409916, 0.392821>,
      < -1.928063, -0.431547, 0.578316>
    }
    triangle {
      < -0.542637, -0.454197, 0.655161>,
      < -0.539385, -0.431671, 0.427874>,
      < -1.232823, -0.419760, 0.410367>
    }
    triangle {
      < -0.542637, -0.454197, 0.655161>,
      < -1.232823, -0.419760, 0.410367>,
      < -1.235304, -0.446518, 0.624733>
    }
    triangle {
      < 0.150009, -0.452036, 0.670524>,
      < 0.150340, -0.435633, 0.445289>,
      < -0.539385, -0.431671, 0.427874>
    }
    triangle {
      < 0.150009, -0.452036, 0.670524>,
      < -0.539385, -0.431671, 0.427874>,
      < -0.542637, -0.454197, 0.655161>
    }
    triangle {
      < 1.686269, -0.418896, 0.375227>,
      < 1.523791, -0.420801, 0.451866>,
      < 1.686017, -0.419705, 0.477130>
    }
    triangle {
      < 1.686269, -0.418896, 0.375227>,
      < 1.686017, -0.419705, 0.477130>,
      < 1.686269, -0.418896, 0.375227>
    }
    triangle {
      < 1.686269, -0.418896, 0.375227>,
      < 1.336284, -0.423143, 0.422600>,
      < 1.523791, -0.420801, 0.451866>
    }
    triangle {
      < 1.686269, -0.418896, 0.375227>,
      < 1.523791, -0.420801, 0.451866>,
      < 1.686269, -0.418896, 0.375227>
    }
    triangle {
      < 1.686269, -0.418896, 0.375227>,
      < 1.174293, -0.424475, 0.398581>,
      < 1.336284, -0.423143, 0.422600>
    }
    triangle {
      < 1.686269, -0.418896, 0.375227>,
      < 1.336284, -0.423143, 0.422600>,
      < 1.686269, -0.418896, 0.375227>
    }
    triangle {
      < 1.523791, -0.420801, 0.451866>,
      < 1.336254, -0.427238, 0.525258>,
      < 1.685987, -0.426644, 0.579614>
    }
    triangle {
      < 1.523791, -0.420801, 0.451866>,
      < 1.685987, -0.426644, 0.579614>,
      < 1.686017, -0.419705, 0.477130>
    }
    triangle {
      < 1.336284, -0.423143, 0.422600>,
      < 1.011801, -0.429212, 0.474745>,
      < 1.336254, -0.427238, 0.525258>
    }
    triangle {
      < 1.336284, -0.423143, 0.422600>,
      < 1.336254, -0.427238, 0.525258>,
      < 1.523791, -0.420801, 0.451866>
    }
    triangle {
      < 1.174293, -0.424475, 0.398581>,
      < 0.662317, -0.430054, 0.421935>,
      < 1.011801, -0.429212, 0.474745>
    }
    triangle {
      < 1.174293, -0.424475, 0.398581>,
      < 1.011801, -0.429212, 0.474745>,
      < 1.336284, -0.423143, 0.422600>
    }
    triangle {
      < 1.336254, -0.427238, 0.525258>,
      < 1.173996, -0.438119, 0.602303>,
      < 1.685956, -0.439493, 0.681733>
    }
    triangle {
      < 1.336254, -0.427238, 0.525258>,
      < 1.685956, -0.439493, 0.681733>,
      < 1.685987, -0.426644, 0.579614>
    }
    triangle {
      < 1.011801, -0.429212, 0.474745>,
      < 0.662037, -0.436744, 0.522874>,
      < 1.173996, -0.438119, 0.602303>
    }
    triangle {
      < 1.011801, -0.429212, 0.474745>,
      < 1.173996, -0.438119, 0.602303>,
      < 1.336254, -0.427238, 0.525258>
    }
    triangle {
      < 0.662317, -0.430054, 0.421935>,
      < 0.150340, -0.435633, 0.445289>,
      < 0.662037, -0.436744, 0.522874>
    }
    triangle {
      < 0.662317, -0.430054, 0.421935>,
      < 0.662037, -0.436744, 0.522874>,
      < 1.011801, -0.429212, 0.474745>
    }
    triangle {
      < 1.685956, -0.439493, 0.681733>,
      < 1.173996, -0.438119, 0.602303>,
      < 1.173965, -0.453639, 0.708699>
    }
    triangle {
      < 1.685956, -0.439493, 0.681733>,
      < 1.173965, -0.453639, 0.708699>,
      < 1.685941, -0.449957, 0.733981>
    }
    triangle {
      < 1.685941, -0.449957, 0.733981>,
      < 1.173965, -0.453639, 0.708699>,
      < 1.173933, -0.484281, 0.816684>
    }
    triangle {
      < 1.685941, -0.449957, 0.733981>,
      < 1.173933, -0.484281, 0.816684>,
      < 1.685925, -0.460422, 0.786230>
    }
    triangle {
      < 1.685925, -0.460422, 0.786230>,
      < 1.173933, -0.484281, 0.816684>,
      < 1.173904, -0.529363, 0.912155>
    }
    triangle {
      < 1.685925, -0.460422, 0.786230>,
      < 1.173904, -0.529363, 0.912155>,
      < 1.685910, -0.470886, 0.838478>
    }
    triangle {
      < 1.173996, -0.438119, 0.602303>,
      < 0.662037, -0.436744, 0.522874>,
      < 0.661985, -0.448354, 0.695806>
    }
    triangle {
      < 1.173996, -0.438119, 0.602303>,
      < 0.661985, -0.448354, 0.695806>,
      < 1.173965, -0.453639, 0.708699>
    }
    triangle {
      < 1.173965, -0.453639, 0.708699>,
      < 0.661985, -0.448354, 0.695806>,
      < 0.661942, -0.491768, 0.844114>
    }
    triangle {
      < 1.173965, -0.453639, 0.708699>,
      < 0.661942, -0.491768, 0.844114>,
      < 1.173933, -0.484281, 0.816684>
    }
    triangle {
      < 1.173933, -0.484281, 0.816684>,
      < 0.661942, -0.491768, 0.844114>,
      < 0.661900, -0.587840, 0.985833>
    }
    triangle {
      < 1.173933, -0.484281, 0.816684>,
      < 0.661900, -0.587840, 0.985833>,
      < 1.173904, -0.529363, 0.912155>
    }
    triangle {
      < 0.662037, -0.436744, 0.522874>,
      < 0.150340, -0.435633, 0.445289>,
      < 0.150009, -0.452036, 0.670524>
    }
    triangle {
      < 0.662037, -0.436744, 0.522874>,
      < 0.150009, -0.452036, 0.670524>,
      < 0.661985, -0.448354, 0.695806>
    }
    triangle {
      < 0.661985, -0.448354, 0.695806>,
      < 0.150009, -0.452036, 0.670524>,
      < 0.149948, -0.515627, 0.874568>
    }
    triangle {
      < 0.661985, -0.448354, 0.695806>,
      < 0.149948, -0.515627, 0.874568>,
      < 0.661942, -0.491768, 0.844114>
    }
    triangle {
      < 0.661942, -0.491768, 0.844114>,
      < 0.149948, -0.515627, 0.874568>,
      < 0.149893, -0.646317, 1.059510>
    }
    triangle {
      < 0.661942, -0.491768, 0.844114>,
      < 0.149893, -0.646317, 1.059510>,
      < 0.661900, -0.587840, 0.985833>
    }
    triangle {
      < 0.149893, -0.646317, 1.059510>,
      < 0.149956, -0.664746, 0.854181>,
      < 0.330598, -0.714960, 0.821679>
    }
    triangle {
      < 0.149893, -0.646317, 1.059510>,
      < 0.330598, -0.714960, 0.821679>,
      < 0.330544, -0.724129, 1.004609>
    }
    triangle {
      < 0.330544, -0.724129, 1.004609>,
      < 0.330598, -0.714960, 0.821679>,
      < 0.511238, -0.744167, 0.798466>
    }
    triangle {
      < 0.330544, -0.724129, 1.004609>,
      < 0.511238, -0.744167, 0.798466>,
      < 0.511193, -0.801940, 0.949709>
    }
    triangle {
      < 0.511193, -0.801940, 0.949709>,
      < 0.511238, -0.744167, 0.798466>,
      < 0.691881, -0.794381, 0.765965>
    }
    triangle {
      < 0.511193, -0.801940, 0.949709>,
      < 0.691881, -0.794381, 0.765965>,
      < 0.691843, -0.879752, 0.894809>
    }
    triangle {
      < 0.149956, -0.664746, 0.854181>,
      < 0.150016, -0.683177, 0.648852>,
      < 0.330655, -0.729142, 0.629806>
    }
    triangle {
      < 0.149956, -0.664746, 0.854181>,
      < 0.330655, -0.729142, 0.629806>,
      < 0.330598, -0.714960, 0.821679>
    }
    triangle {
      < 0.330598, -0.714960, 0.821679>,
      < 0.330655, -0.729142, 0.629806>,
      < 0.511293, -0.755377, 0.613180>
    }
    triangle {
      < 0.330598, -0.714960, 0.821679>,
      < 0.511293, -0.755377, 0.613180>,
      < 0.511238, -0.744167, 0.798466>
    }
    triangle {
      < 0.511238, -0.744167, 0.798466>,
      < 0.511293, -0.755377, 0.613180>,
      < 0.691932, -0.801342, 0.594134>
    }
    triangle {
      < 0.511238, -0.744167, 0.798466>,
      < 0.691932, -0.801342, 0.594134>,
      < 0.691881, -0.794381, 0.765965>
    }
    triangle {
      < 0.150016, -0.683177, 0.648852>,
      < 0.150340, -0.701870, 0.445210>,
      < 0.330969, -0.767757, 0.434758>
    }
    triangle {
      < 0.150016, -0.683177, 0.648852>,
      < 0.330969, -0.767757, 0.434758>,
      < 0.330655, -0.729142, 0.629806>
    }
    triangle {
      < 0.330655, -0.729142, 0.629806>,
      < 0.330969, -0.767757, 0.434758>,
      < 0.511601, -0.833644, 0.424306>
    }
    triangle {
      < 0.330655, -0.729142, 0.629806>,
      < 0.511601, -0.833644, 0.424306>,
      < 0.511293, -0.755377, 0.613180>
    }
    triangle {
      < 0.511293, -0.755377, 0.613180>,
      < 0.511601, -0.833644, 0.424306>,
      < 0.692231, -0.899531, 0.413855>
    }
    triangle {
      < 0.511293, -0.755377, 0.613180>,
      < 0.692231, -0.899531, 0.413855>,
      < 0.691932, -0.801342, 0.594134>
    }
    triangle {
      < 1.024494, -1.456929, 0.556995>,
      < 1.024162, -1.453527, 0.626818>,
      < 0.691915, -1.442727, 0.650390>
    }
    triangle {
      < 1.024494, -1.456929, 0.556995>,
      < 0.691915, -1.442727, 0.650390>,
      < 0.691928, -1.444152, 0.609112>
    }
    triangle {
      < 1.355695, -1.468001, 0.518367>,
      < 1.355398, -1.464215, 0.612168>,
      < 1.024162, -1.453527, 0.626818>
    }
    triangle {
      < 1.355695, -1.468001, 0.518367>,
      < 1.024162, -1.453527, 0.626818>,
      < 1.024494, -1.456929, 0.556995>
    }
    triangle {
      < 1.686012, -1.476403, 0.491038>,
      < 1.685981, -1.471778, 0.598091>,
      < 1.355398, -1.464215, 0.612168>
    }
    triangle {
      < 1.686012, -1.476403, 0.491038>,
      < 1.355398, -1.464215, 0.612168>,
      < 1.355695, -1.468001, 0.518367>
    }
    triangle {
      < 1.024162, -1.453527, 0.626818>,
      < 1.023561, -1.441293, 0.704312>,
      < 0.691904, -1.435500, 0.689421>
    }
    triangle {
      < 1.024162, -1.453527, 0.626818>,
      < 0.691904, -1.435500, 0.689421>,
      < 0.691915, -1.442727, 0.650390>
    }
    triangle {
      < 1.355398, -1.464215, 0.612168>,
      < 1.354869, -1.448782, 0.707180>,
      < 1.023561, -1.441293, 0.704312>
    }
    triangle {
      < 1.355398, -1.464215, 0.612168>,
      < 1.023561, -1.441293, 0.704312>,
      < 1.024162, -1.453527, 0.626818>
    }
    triangle {
      < 1.685981, -1.471778, 0.598091>,
      < 1.685949, -1.453448, 0.703168>,
      < 1.354869, -1.448782, 0.707180>
    }
    triangle {
      < 1.685981, -1.471778, 0.598091>,
      < 1.354869, -1.448782, 0.707180>,
      < 1.355398, -1.464215, 0.612168>
    }
    triangle {
      < 1.023561, -1.441293, 0.704312>,
      < 1.023230, -1.422946, 0.768938>,
      < 0.691893, -1.422959, 0.726095>
    }
    triangle {
      < 1.023561, -1.441293, 0.704312>,
      < 0.691893, -1.422959, 0.726095>,
      < 0.691904, -1.435500, 0.689421>
    }
    triangle {
      < 1.354869, -1.448782, 0.707180>,
      < 1.354573, -1.422939, 0.794683>,
      < 1.023230, -1.422946, 0.768938>
    }
    triangle {
      < 1.354869, -1.448782, 0.707180>,
      < 1.023230, -1.422946, 0.768938>,
      < 1.023561, -1.441293, 0.704312>
    }
    triangle {
      < 1.685949, -1.453448, 0.703168>,
      < 1.685920, -1.422936, 0.803330>,
      < 1.354573, -1.422939, 0.794683>
    }
    triangle {
      < 1.685949, -1.453448, 0.703168>,
      < 1.354573, -1.422939, 0.794683>,
      < 1.354869, -1.448782, 0.707180>
    }
    triangle {
      < 0.691835, -1.194367, 0.920162>,
      < 1.023155, -1.124449, 0.890003>,
      < 1.023139, -0.951892, 0.897258>
    }
    triangle {
      < 0.691835, -1.194367, 0.920162>,
      < 1.023139, -0.951892, 0.897258>,
      < 0.691829, -1.042053, 0.943333>
    }
    triangle {
      < 0.691858, -1.331245, 0.845546>,
      < 1.023192, -1.296029, 0.852335>,
      < 1.023155, -1.124449, 0.890003>
    }
    triangle {
      < 0.691858, -1.331245, 0.845546>,
      < 1.023155, -1.124449, 0.890003>,
      < 0.691835, -1.194367, 0.920162>
    }
    triangle {
      < 0.691893, -1.422959, 0.726095>,
      < 1.023230, -1.422946, 0.768938>,
      < 1.023192, -1.296029, 0.852335>
    }
    triangle {
      < 0.691893, -1.422959, 0.726095>,
      < 1.023192, -1.296029, 0.852335>,
      < 0.691858, -1.331245, 0.845546>
    }
    triangle {
      < 1.023155, -1.124449, 0.890003>,
      < 1.354514, -1.078568, 0.862688>,
      < 1.354498, -0.897795, 0.869263>
    }
    triangle {
      < 1.023155, -1.124449, 0.890003>,
      < 1.354498, -0.897795, 0.869263>,
      < 1.023139, -0.951892, 0.897258>
    }
    triangle {
      < 1.023192, -1.296029, 0.852335>,
      < 1.354546, -1.260024, 0.840002>,
      < 1.354514, -1.078568, 0.862688>
    }
    triangle {
      < 1.023192, -1.296029, 0.852335>,
      < 1.354514, -1.078568, 0.862688>,
      < 1.023155, -1.124449, 0.890003>
    }
    triangle {
      < 1.023230, -1.422946, 0.768938>,
      < 1.354573, -1.422939, 0.794683>,
      < 1.354546, -1.260024, 0.840002>
    }
    triangle {
      < 1.023230, -1.422946, 0.768938>,
      < 1.354546, -1.260024, 0.840002>,
      < 1.023192, -1.296029, 0.852335>
    }
    triangle {
      < 1.354514, -1.078568, 0.862688>,
      < 1.685906, -1.062082, 0.850450>,
      < 1.685903, -0.879763, 0.859350>
    }
    triangle {
      < 1.354514, -1.078568, 0.862688>,
      < 1.685903, -0.879763, 0.859350>,
      < 1.354498, -0.897795, 0.869263>
    }
    triangle {
      < 1.354546, -1.260024, 0.840002>,
      < 1.685912, -1.243515, 0.830837>,
      < 1.685906, -1.062082, 0.850450>
    }
    triangle {
      < 1.354546, -1.260024, 0.840002>,
      < 1.685906, -1.062082, 0.850450>,
      < 1.354514, -1.078568, 0.862688>
    }
    triangle {
      < 1.354573, -1.422939, 0.794683>,
      < 1.685920, -1.422936, 0.803330>,
      < 1.685912, -1.243515, 0.830837>
    }
    triangle {
      < 1.354573, -1.422939, 0.794683>,
      < 1.685912, -1.243515, 0.830837>,
      < 1.354546, -1.260024, 0.840002>
    }
    triangle {
      < 1.685910, -0.470886, 0.838478>,
      < 1.173904, -0.529363, 0.912155>,
      < 1.231139, -0.646673, 0.904658>
    }
    triangle {
      < 1.685910, -0.470886, 0.838478>,
      < 1.231139, -0.646673, 0.904658>,
      < 1.685905, -0.606568, 0.854937>
    }
    triangle {
      < 1.685905, -0.606568, 0.854937>,
      < 1.231139, -0.646673, 0.904658>,
      < 1.297293, -0.761652, 0.885157>
    }
    triangle {
      < 1.685905, -0.606568, 0.854937>,
      < 1.297293, -0.761652, 0.885157>,
      < 1.685903, -0.743001, 0.861506>
    }
    triangle {
      < 1.685903, -0.743001, 0.861506>,
      < 1.297293, -0.761652, 0.885157>,
      < 1.354530, -0.879761, 0.863871>
    }
    triangle {
      < 1.685903, -0.743001, 0.861506>,
      < 1.354530, -0.879761, 0.863871>,
      < 1.685903, -0.879763, 0.859350>
    }
    triangle {
      < 1.173904, -0.529363, 0.912155>,
      < 0.661900, -0.587840, 0.985833>,
      < 0.785300, -0.684025, 0.951105>
    }
    triangle {
      < 1.173904, -0.529363, 0.912155>,
      < 0.785300, -0.684025, 0.951105>,
      < 1.231139, -0.646673, 0.904658>
    }
    triangle {
      < 1.231139, -0.646673, 0.904658>,
      < 0.785300, -0.684025, 0.951105>,
      < 0.899776, -0.783293, 0.915245>
    }
    triangle {
      < 1.231139, -0.646673, 0.904658>,
      < 0.899776, -0.783293, 0.915245>,
      < 1.297293, -0.761652, 0.885157>
    }
    triangle {
      < 1.297293, -0.761652, 0.885157>,
      < 0.899776, -0.783293, 0.915245>,
      < 1.023177, -0.879758, 0.875691>
    }
    triangle {
      < 1.297293, -0.761652, 0.885157>,
      < 1.023177, -0.879758, 0.875691>,
      < 1.354530, -0.879761, 0.863871>
    }
    triangle {
      < 0.661900, -0.587840, 0.985833>,
      < 0.149893, -0.646317, 1.059510>,
      < 0.330544, -0.724129, 1.004609>
    }
    triangle {
      < 0.661900, -0.587840, 0.985833>,
      < 0.330544, -0.724129, 1.004609>,
      < 0.785300, -0.684025, 0.951105>
    }
    triangle {
      < 0.785300, -0.684025, 0.951105>,
      < 0.330544, -0.724129, 1.004609>,
      < 0.511193, -0.801940, 0.949709>
    }
    triangle {
      < 0.785300, -0.684025, 0.951105>,
      < 0.511193, -0.801940, 0.949709>,
      < 0.899776, -0.783293, 0.915245>
    }
    triangle {
      < 0.899776, -0.783293, 0.915245>,
      < 0.511193, -0.801940, 0.949709>,
      < 0.691843, -0.879752, 0.894809>
    }
    triangle {
      < 0.899776, -0.783293, 0.915245>,
      < 0.691843, -0.879752, 0.894809>,
      < 1.023177, -0.879758, 0.875691>
    }
    triangle {
      < 0.691928, -1.444152, 0.609112>,
      < 0.691977, -1.409392, 0.442920>,
      < 1.024226, -1.432128, 0.408315>
    }
    triangle {
      < 0.691928, -1.444152, 0.609112>,
      < 1.024226, -1.432128, 0.408315>,
      < 1.024494, -1.456929, 0.556995>
    }
    triangle {
      < 1.024494, -1.456929, 0.556995>,
      < 1.024226, -1.432128, 0.408315>,
      < 1.355462, -1.446226, 0.397208>
    }
    triangle {
      < 1.024494, -1.456929, 0.556995>,
      < 1.355462, -1.446226, 0.397208>,
      < 1.355695, -1.468001, 0.518367>
    }
    triangle {
      < 1.355695, -1.468001, 0.518367>,
      < 1.355462, -1.446226, 0.397208>,
      < 1.686045, -1.465721, 0.380964>
    }
    triangle {
      < 1.355695, -1.468001, 0.518367>,
      < 1.686045, -1.465721, 0.380964>,
      < 1.686012, -1.476403, 0.491038>
    }
    triangle {
      < 0.691977, -1.409392, 0.442920>,
      < 0.692006, -1.305326, 0.344267>,
      < 1.023677, -1.354259, 0.313352>
    }
    triangle {
      < 0.691977, -1.409392, 0.442920>,
      < 1.023677, -1.354259, 0.313352>,
      < 1.024226, -1.432128, 0.408315>
    }
    triangle {
      < 1.024226, -1.432128, 0.408315>,
      < 1.023677, -1.354259, 0.313352>,
      < 1.354990, -1.388280, 0.299813>
    }
    triangle {
      < 1.024226, -1.432128, 0.408315>,
      < 1.354990, -1.388280, 0.299813>,
      < 1.355462, -1.446226, 0.397208>
    }
    triangle {
      < 1.355462, -1.446226, 0.397208>,
      < 1.354990, -1.388280, 0.299813>,
      < 1.686076, -1.436078, 0.275324>
    }
    triangle {
      < 1.355462, -1.446226, 0.397208>,
      < 1.686076, -1.436078, 0.275324>,
      < 1.686045, -1.465721, 0.380964>
    }
    triangle {
      < 0.692006, -1.305326, 0.344267>,
      < 0.692201, -1.132640, 0.314737>,
      < 1.023538, -1.216992, 0.269137>
    }
    triangle {
      < 0.692006, -1.305326, 0.344267>,
      < 1.023538, -1.216992, 0.269137>,
      < 1.023677, -1.354259, 0.313352>
    }
    triangle {
      < 1.023677, -1.354259, 0.313352>,
      < 1.023538, -1.216992, 0.269137>,
      < 1.354874, -1.301343, 0.223538>
    }
    triangle {
      < 1.023677, -1.354259, 0.313352>,
      < 1.354874, -1.301343, 0.223538>,
      < 1.354990, -1.388280, 0.299813>
    }
    triangle {
      < 1.354990, -1.388280, 0.299813>,
      < 1.354874, -1.301343, 0.223538>,
      < 1.686211, -1.385695, 0.177938>
    }
    triangle {
      < 1.354990, -1.388280, 0.299813>,
      < 1.686211, -1.385695, 0.177938>,
      < 1.686076, -1.436078, 0.275324>
    }
    triangle {
      < 0.691843, -0.879752, 0.894809>,
      < 0.918170, -0.885836, 0.884495>,
      < 1.023177, -0.879758, 0.875691>
    }
    triangle {
      < 0.691843, -0.879752, 0.894809>,
      < 1.023177, -0.879758, 0.875691>,
      < 0.691843, -0.879752, 0.894809>
    }
    triangle {
      < 0.691843, -0.879752, 0.894809>,
      < 0.796818, -0.902468, 0.903331>,
      < 0.918170, -0.885836, 0.884495>
    }
    triangle {
      < 0.691843, -0.879752, 0.894809>,
      < 0.918170, -0.885836, 0.884495>,
      < 0.691843, -0.879752, 0.894809>
    }
    triangle {
      < 0.691843, -0.879752, 0.894809>,
      < 0.691836, -0.927247, 0.921511>,
      < 0.796818, -0.902468, 0.903331>
    }
    triangle {
      < 0.691843, -0.879752, 0.894809>,
      < 0.796818, -0.902468, 0.903331>,
      < 0.691843, -0.879752, 0.894809>
    }
    triangle {
      < 0.918170, -0.885836, 0.884495>,
      < 1.128139, -0.888394, 0.874255>,
      < 1.354530, -0.879761, 0.863871>
    }
    triangle {
      < 0.918170, -0.885836, 0.884495>,
      < 1.354530, -0.879761, 0.863871>,
      < 1.023177, -0.879758, 0.875691>
    }
    triangle {
      < 0.796818, -0.902468, 0.903331>,
      < 0.918151, -0.919692, 0.900637>,
      < 1.128139, -0.888394, 0.874255>
    }
    triangle {
      < 0.796818, -0.902468, 0.903331>,
      < 1.128139, -0.888394, 0.874255>,
      < 0.918170, -0.885836, 0.884495>
    }
    triangle {
      < 0.691836, -0.927247, 0.921511>,
      < 0.691830, -0.981754, 0.937808>,
      < 0.918151, -0.919692, 0.900637>
    }
    triangle {
      < 0.691836, -0.927247, 0.921511>,
      < 0.918151, -0.919692, 0.900637>,
      < 0.796818, -0.902468, 0.903331>
    }
    triangle {
      < 1.128139, -0.888394, 0.874255>,
      < 1.354498, -0.897795, 0.869263>,
      < 1.685903, -0.879763, 0.859350>
    }
    triangle {
      < 1.128139, -0.888394, 0.874255>,
      < 1.685903, -0.879763, 0.859350>,
      < 1.354530, -0.879761, 0.863871>
    }
    triangle {
      < 0.918151, -0.919692, 0.900637>,
      < 1.023139, -0.951892, 0.897258>,
      < 1.354498, -0.897795, 0.869263>
    }
    triangle {
      < 0.918151, -0.919692, 0.900637>,
      < 1.354498, -0.897795, 0.869263>,
      < 1.128139, -0.888394, 0.874255>
    }
    triangle {
      < 0.691830, -0.981754, 0.937808>,
      < 0.691829, -1.042053, 0.943333>,
      < 1.023139, -0.951892, 0.897258>
    }
    triangle {
      < 0.691830, -0.981754, 0.937808>,
      < 1.023139, -0.951892, 0.897258>,
      < 0.918151, -0.919692, 0.900637>
    }
    triangle {
      < 1.685910, -0.470886, 0.838478>,
      < 2.074228, -0.463095, 0.757558>,
      < 1.685925, -0.460422, 0.786230>
    }
    triangle {
      < 1.685910, -0.470886, 0.838478>,
      < 1.685925, -0.460422, 0.786230>,
      < 1.685910, -0.470886, 0.838478>
    }
    triangle {
      < 1.685910, -0.470886, 0.838478>,
      < 2.523044, -0.466186, 0.724418>,
      < 2.074228, -0.463095, 0.757558>
    }
    triangle {
      < 1.685910, -0.470886, 0.838478>,
      < 2.074228, -0.463095, 0.757558>,
      < 1.685910, -0.470886, 0.838478>
    }
    triangle {
      < 1.685910, -0.470886, 0.838478>,
      < 2.911345, -0.468860, 0.695746>,
      < 2.523044, -0.466186, 0.724418>
    }
    triangle {
      < 1.685910, -0.470886, 0.838478>,
      < 2.523044, -0.466186, 0.724418>,
      < 1.685910, -0.470886, 0.838478>
    }
    triangle {
      < 2.074228, -0.463095, 0.757558>,
      < 2.523059, -0.455722, 0.672170>,
      < 1.685941, -0.449957, 0.733981>
    }
    triangle {
      < 2.074228, -0.463095, 0.757558>,
      < 1.685941, -0.449957, 0.733981>,
      < 1.685925, -0.460422, 0.786230>
    }
    triangle {
      < 2.523044, -0.466186, 0.724418>,
      < 3.299663, -0.461069, 0.614827>,
      < 2.523059, -0.455722, 0.672170>
    }
    triangle {
      < 2.523044, -0.466186, 0.724418>,
      < 2.523059, -0.455722, 0.672170>,
      < 2.074228, -0.463095, 0.757558>
    }
    triangle {
      < 2.911345, -0.468860, 0.695746>,
      < 4.136780, -0.466834, 0.553015>,
      < 3.299663, -0.461069, 0.614827>
    }
    triangle {
      < 2.911345, -0.468860, 0.695746>,
      < 3.299663, -0.461069, 0.614827>,
      < 2.523044, -0.466186, 0.724418>
    }
    triangle {
      < 2.523059, -0.455722, 0.672170>,
      < 2.911376, -0.447932, 0.591250>,
      < 1.685956, -0.439493, 0.681733>
    }
    triangle {
      < 2.523059, -0.455722, 0.672170>,
      < 1.685956, -0.439493, 0.681733>,
      < 1.685941, -0.449957, 0.733981>
    }
    triangle {
      < 3.299663, -0.461069, 0.614827>,
      < 4.136797, -0.456370, 0.500767>,
      < 2.911376, -0.447932, 0.591250>
    }
    triangle {
      < 3.299663, -0.461069, 0.614827>,
      < 2.911376, -0.447932, 0.591250>,
      < 2.523059, -0.455722, 0.672170>
    }
    triangle {
      < 4.136780, -0.466834, 0.553015>,
      < 5.362215, -0.464809, 0.410284>,
      < 4.136797, -0.456370, 0.500767>
    }
    triangle {
      < 4.136780, -0.466834, 0.553015>,
      < 4.136797, -0.456370, 0.500767>,
      < 3.299663, -0.461069, 0.614827>
    }
    triangle {
      < 5.362121, -0.620346, 0.045044>,
      < 4.136837, -0.553196, 0.155105>,
      < 4.136764, -0.491941, 0.247416>
    }
    triangle {
      < 5.362121, -0.620346, 0.045044>,
      < 4.136764, -0.491941, 0.247416>,
      < 5.362135, -0.532817, 0.135691>
    }
    triangle {
      < 5.362135, -0.532817, 0.135691>,
      < 4.136764, -0.491941, 0.247416>,
      < 4.136778, -0.461384, 0.362401>
    }
    triangle {
      < 5.362135, -0.532817, 0.135691>,
      < 4.136778, -0.461384, 0.362401>,
      < 5.362175, -0.480645, 0.257768>
    }
    triangle {
      < 5.362175, -0.480645, 0.257768>,
      < 4.136778, -0.461384, 0.362401>,
      < 4.136797, -0.456370, 0.500767>
    }
    triangle {
      < 5.362175, -0.480645, 0.257768>,
      < 4.136797, -0.456370, 0.500767>,
      < 5.362215, -0.464809, 0.410284>
    }
    triangle {
      < 4.136837, -0.553196, 0.155105>,
      < 2.911553, -0.486046, 0.265166>,
      < 2.911387, -0.460580, 0.365405>
    }
    triangle {
      < 4.136837, -0.553196, 0.155105>,
      < 2.911387, -0.460580, 0.365405>,
      < 4.136764, -0.491941, 0.247416>
    }
    triangle {
      < 4.136764, -0.491941, 0.247416>,
      < 2.911387, -0.460580, 0.365405>,
      < 2.911383, -0.445906, 0.474981>
    }
    triangle {
      < 4.136764, -0.491941, 0.247416>,
      < 2.911383, -0.445906, 0.474981>,
      < 4.136778, -0.461384, 0.362401>
    }
    triangle {
      < 4.136778, -0.461384, 0.362401>,
      < 2.911383, -0.445906, 0.474981>,
      < 2.911376, -0.447932, 0.591250>
    }
    triangle {
      < 4.136778, -0.461384, 0.362401>,
      < 2.911376, -0.447932, 0.591250>,
      < 4.136797, -0.456370, 0.500767>
    }
    triangle {
      < 2.911553, -0.486046, 0.265166>,
      < 1.686269, -0.418896, 0.375227>,
      < 1.686017, -0.419705, 0.477130>
    }
    triangle {
      < 2.911553, -0.486046, 0.265166>,
      < 1.686017, -0.419705, 0.477130>,
      < 2.911387, -0.460580, 0.365405>
    }
    triangle {
      < 2.911387, -0.460580, 0.365405>,
      < 1.686017, -0.419705, 0.477130>,
      < 1.685987, -0.426644, 0.579614>
    }
    triangle {
      < 2.911387, -0.460580, 0.365405>,
      < 1.685987, -0.426644, 0.579614>,
      < 2.911383, -0.445906, 0.474981>
    }
    triangle {
      < 2.911383, -0.445906, 0.474981>,
      < 1.685987, -0.426644, 0.579614>,
      < 1.685956, -0.439493, 0.681733>
    }
    triangle {
      < 2.911383, -0.445906, 0.474981>,
      < 1.685956, -0.439493, 0.681733>,
      < 2.911376, -0.447932, 0.591250>
    }
    triangle {
      < 5.362046, -1.243434, 0.207091>,
      < 4.136814, -1.315067, 0.227164>,
      < 4.136749, -1.263476, 0.144070>
    }
    triangle {
      < 5.362046, -1.243434, 0.207091>,
      < 4.136749, -1.263476, 0.144070>,
      < 5.362546, -1.202385, 0.126491>
    }
    triangle {
      < 5.362019, -1.267484, 0.301663>,
      < 4.136950, -1.355647, 0.322119>,
      < 4.136814, -1.315067, 0.227164>
    }
    triangle {
      < 5.362019, -1.267484, 0.301663>,
      < 4.136814, -1.315067, 0.227164>,
      < 5.362046, -1.243434, 0.207091>
    }
    triangle {
      < 5.361986, -1.274447, 0.410528>,
      < 4.137008, -1.371694, 0.429958>,
      < 4.136950, -1.355647, 0.322119>
    }
    triangle {
      < 5.361986, -1.274447, 0.410528>,
      < 4.136950, -1.355647, 0.322119>,
      < 5.362019, -1.267484, 0.301663>
    }
    triangle {
      < 4.136814, -1.315067, 0.227164>,
      < 2.912155, -1.386837, 0.249916>,
      < 2.911427, -1.324533, 0.160818>
    }
    triangle {
      < 4.136814, -1.315067, 0.227164>,
      < 2.911427, -1.324533, 0.160818>,
      < 4.136749, -1.263476, 0.144070>
    }
    triangle {
      < 4.136950, -1.355647, 0.322119>,
      < 2.913528, -1.441536, 0.345265>,
      < 2.912155, -1.386837, 0.249916>
    }
    triangle {
      < 4.136950, -1.355647, 0.322119>,
      < 2.912155, -1.386837, 0.249916>,
      < 4.136814, -1.315067, 0.227164>
    }
    triangle {
      < 4.137008, -1.371694, 0.429958>,
      < 2.914252, -1.465526, 0.451029>,
      < 2.913528, -1.441536, 0.345265>
    }
    triangle {
      < 4.137008, -1.371694, 0.429958>,
      < 2.913528, -1.441536, 0.345265>,
      < 4.136950, -1.355647, 0.322119>
    }
    triangle {
      < 2.912155, -1.386837, 0.249916>,
      < 1.686076, -1.436078, 0.275324>,
      < 1.686211, -1.385695, 0.177938>
    }
    triangle {
      < 2.912155, -1.386837, 0.249916>,
      < 1.686211, -1.385695, 0.177938>,
      < 2.911427, -1.324533, 0.160818>
    }
    triangle {
      < 2.913528, -1.441536, 0.345265>,
      < 1.686045, -1.465721, 0.380964>,
      < 1.686076, -1.436078, 0.275324>
    }
    triangle {
      < 2.913528, -1.441536, 0.345265>,
      < 1.686076, -1.436078, 0.275324>,
      < 2.912155, -1.386837, 0.249916>
    }
    triangle {
      < 2.914252, -1.465526, 0.451029>,
      < 1.686012, -1.476403, 0.491038>,
      < 1.686045, -1.465721, 0.380964>
    }
    triangle {
      < 2.914252, -1.465526, 0.451029>,
      < 1.686045, -1.465721, 0.380964>,
      < 2.913528, -1.441536, 0.345265>
    }
    triangle {
      < 5.361743, -0.879016, 0.832955>,
      < 4.136542, -0.879377, 0.842370>,
      < 4.136546, -1.048427, 0.829405>
    }
    triangle {
      < 5.361743, -0.879016, 0.832955>,
      < 4.136546, -1.048427, 0.829405>,
      < 5.361869, -1.021325, 0.804976>
    }
    triangle {
      < 5.361869, -1.021325, 0.804976>,
      < 4.136546, -1.048427, 0.829405>,
      < 4.136554, -1.207407, 0.800697>
    }
    triangle {
      < 5.361869, -1.021325, 0.804976>,
      < 4.136554, -1.207407, 0.800697>,
      < 5.361887, -1.131100, 0.746127>
    }
    triangle {
      < 5.361887, -1.131100, 0.746127>,
      < 4.136554, -1.207407, 0.800697>,
      < 4.136573, -1.327455, 0.738893>
    }
    triangle {
      < 5.361887, -1.131100, 0.746127>,
      < 4.136573, -1.327455, 0.738893>,
      < 5.361913, -1.208103, 0.657803>
    }
    triangle {
      < 4.136542, -0.879377, 0.842370>,
      < 2.911222, -0.879570, 0.850860>,
      < 2.911225, -1.059735, 0.842915>
    }
    triangle {
      < 4.136542, -0.879377, 0.842370>,
      < 2.911225, -1.059735, 0.842915>,
      < 4.136546, -1.048427, 0.829405>
    }
    triangle {
      < 4.136546, -1.048427, 0.829405>,
      < 2.911225, -1.059735, 0.842915>,
      < 2.911230, -1.237935, 0.824535>
    }
    triangle {
      < 4.136546, -1.048427, 0.829405>,
      < 2.911230, -1.237935, 0.824535>,
      < 4.136554, -1.207407, 0.800697>
    }
    triangle {
      < 4.136554, -1.207407, 0.800697>,
      < 2.911230, -1.237935, 0.824535>,
      < 2.911241, -1.399066, 0.787403>
    }
    triangle {
      < 4.136554, -1.207407, 0.800697>,
      < 2.911241, -1.399066, 0.787403>,
      < 4.136573, -1.327455, 0.738893>
    }
    triangle {
      < 2.911222, -0.879570, 0.850860>,
      < 1.685903, -0.879763, 0.859350>,
      < 1.685906, -1.062082, 0.850450>
    }
    triangle {
      < 2.911222, -0.879570, 0.850860>,
      < 1.685906, -1.062082, 0.850450>,
      < 2.911225, -1.059735, 0.842915>
    }
    triangle {
      < 2.911225, -1.059735, 0.842915>,
      < 1.685906, -1.062082, 0.850450>,
      < 1.685912, -1.243515, 0.830837>
    }
    triangle {
      < 2.911225, -1.059735, 0.842915>,
      < 1.685912, -1.243515, 0.830837>,
      < 2.911230, -1.237935, 0.824535>
    }
    triangle {
      < 2.911230, -1.237935, 0.824535>,
      < 1.685912, -1.243515, 0.830837>,
      < 1.685920, -1.422936, 0.803330>
    }
    triangle {
      < 2.911230, -1.237935, 0.824535>,
      < 1.685920, -1.422936, 0.803330>,
      < 2.911241, -1.399066, 0.787403>
    }
    triangle {
      < 5.361913, -1.208103, 0.657803>,
      < 4.136573, -1.327455, 0.738893>,
      < 4.136688, -1.356699, 0.649551>
    }
    triangle {
      < 5.361913, -1.208103, 0.657803>,
      < 4.136688, -1.356699, 0.649551>,
      < 5.361934, -1.243472, 0.587928>
    }
    triangle {
      < 5.361934, -1.243472, 0.587928>,
      < 4.136688, -1.356699, 0.649551>,
      < 4.136886, -1.368825, 0.539651>
    }
    triangle {
      < 5.361934, -1.243472, 0.587928>,
      < 4.136886, -1.368825, 0.539651>,
      < 5.361958, -1.265625, 0.505463>
    }
    triangle {
      < 5.361958, -1.265625, 0.505463>,
      < 4.136886, -1.368825, 0.539651>,
      < 4.137008, -1.371694, 0.429958>
    }
    triangle {
      < 5.361958, -1.265625, 0.505463>,
      < 4.137008, -1.371694, 0.429958>,
      < 5.361986, -1.274447, 0.410528>
    }
    triangle {
      < 4.136573, -1.327455, 0.738893>,
      < 2.911241, -1.399066, 0.787403>,
      < 2.912026, -1.433340, 0.684479>
    }
    triangle {
      < 4.136573, -1.327455, 0.738893>,
      < 2.912026, -1.433340, 0.684479>,
      < 4.136688, -1.356699, 0.649551>
    }
    triangle {
      < 4.136688, -1.356699, 0.649551>,
      < 2.912026, -1.433340, 0.684479>,
      < 2.913463, -1.457309, 0.565554>
    }
    triangle {
      < 4.136688, -1.356699, 0.649551>,
      < 2.913463, -1.457309, 0.565554>,
      < 4.136886, -1.368825, 0.539651>
    }
    triangle {
      < 4.136886, -1.368825, 0.539651>,
      < 2.913463, -1.457309, 0.565554>,
      < 2.914252, -1.465526, 0.451029>
    }
    triangle {
      < 4.136886, -1.368825, 0.539651>,
      < 2.914252, -1.465526, 0.451029>,
      < 4.137008, -1.371694, 0.429958>
    }
    triangle {
      < 2.911241, -1.399066, 0.787403>,
      < 1.685920, -1.422936, 0.803330>,
      < 1.685949, -1.453448, 0.703168>
    }
    triangle {
      < 2.911241, -1.399066, 0.787403>,
      < 1.685949, -1.453448, 0.703168>,
      < 2.912026, -1.433340, 0.684479>
    }
    triangle {
      < 2.912026, -1.433340, 0.684479>,
      < 1.685949, -1.453448, 0.703168>,
      < 1.685981, -1.471778, 0.598091>
    }
    triangle {
      < 2.912026, -1.433340, 0.684479>,
      < 1.685981, -1.471778, 0.598091>,
      < 2.913463, -1.457309, 0.565554>
    }
    triangle {
      < 2.913463, -1.457309, 0.565554>,
      < 1.685981, -1.471778, 0.598091>,
      < 1.686012, -1.476403, 0.491038>
    }
    triangle {
      < 2.913463, -1.457309, 0.565554>,
      < 1.686012, -1.476403, 0.491038>,
      < 2.914252, -1.465526, 0.451029>
    }
    triangle {
      < 5.361743, -0.879016, 0.832955>,
      < 5.361869, -1.021325, 0.804976>,
      < 5.697419, -0.998912, 0.767183>
    }
    triangle {
      < 5.361743, -0.879016, 0.832955>,
      < 5.697419, -0.998912, 0.767183>,
      < 5.701077, -0.878641, 0.797877>
    }
    triangle {
      < 5.361869, -1.021325, 0.804976>,
      < 5.361887, -1.131100, 0.746127>,
      < 5.690634, -1.094136, 0.705215>
    }
    triangle {
      < 5.361869, -1.021325, 0.804976>,
      < 5.690634, -1.094136, 0.705215>,
      < 5.697419, -0.998912, 0.767183>
    }
    triangle {
      < 5.361887, -1.131100, 0.746127>,
      < 5.361913, -1.208103, 0.657803>,
      < 5.687003, -1.162317, 0.623326>
    }
    triangle {
      < 5.361887, -1.131100, 0.746127>,
      < 5.687003, -1.162317, 0.623326>,
      < 5.690634, -1.094136, 0.705215>
    }
    triangle {
      < 5.701077, -0.878641, 0.797877>,
      < 5.698216, -0.666292, 0.752552>,
      < 5.361952, -0.636727, 0.790619>
    }
    triangle {
      < 5.701077, -0.878641, 0.797877>,
      < 5.361952, -0.636727, 0.790619>,
      < 5.361743, -0.879016, 0.832955>
    }
    triangle {
      < 5.698216, -0.666292, 0.752552>,
      < 5.692854, -0.536647, 0.619343>,
      < 5.362066, -0.503213, 0.654512>
    }
    triangle {
      < 5.698216, -0.666292, 0.752552>,
      < 5.362066, -0.503213, 0.654512>,
      < 5.361952, -0.636727, 0.790619>
    }
    triangle {
      < 5.692854, -0.536647, 0.619343>,
      < 5.690060, -0.493456, 0.404371>,
      < 5.362215, -0.464809, 0.410284>
    }
    triangle {
      < 5.692854, -0.536647, 0.619343>,
      < 5.362215, -0.464809, 0.410284>,
      < 5.362066, -0.503213, 0.654512>
    }
    triangle {
      < 5.361913, -1.208103, 0.657803>,
      < 5.361934, -1.243472, 0.587928>,
      < 5.687836, -1.199175, 0.560995>
    }
    triangle {
      < 5.361913, -1.208103, 0.657803>,
      < 5.687836, -1.199175, 0.560995>,
      < 5.687003, -1.162317, 0.623326>
    }
    triangle {
      < 5.361934, -1.243472, 0.587928>,
      < 5.361958, -1.265625, 0.505463>,
      < 5.689370, -1.228825, 0.486926>
    }
    triangle {
      < 5.361934, -1.243472, 0.587928>,
      < 5.689370, -1.228825, 0.486926>,
      < 5.687836, -1.199175, 0.560995>
    }
    triangle {
      < 5.361958, -1.265625, 0.505463>,
      < 5.361986, -1.274447, 0.410528>,
      < 5.690213, -1.242257, 0.404590>
    }
    triangle {
      < 5.361958, -1.265625, 0.505463>,
      < 5.690213, -1.242257, 0.404590>,
      < 5.689370, -1.228825, 0.486926>
    }
    triangle {
      < 5.687038, -1.155631, 0.129675>,
      < 5.687860, -1.208026, 0.200122>,
      < 5.362046, -1.243434, 0.207091>
    }
    triangle {
      < 5.687038, -1.155631, 0.129675>,
      < 5.362046, -1.243434, 0.207091>,
      < 5.362546, -1.202385, 0.126491>
    }
    triangle {
      < 5.687860, -1.208026, 0.200122>,
      < 5.689415, -1.235864, 0.294607>,
      < 5.362019, -1.267484, 0.301663>
    }
    triangle {
      < 5.687860, -1.208026, 0.200122>,
      < 5.362019, -1.267484, 0.301663>,
      < 5.362046, -1.243434, 0.207091>
    }
    triangle {
      < 5.689415, -1.235864, 0.294607>,
      < 5.690213, -1.242257, 0.404590>,
      < 5.361986, -1.274447, 0.410528>
    }
    triangle {
      < 5.689415, -1.235864, 0.294607>,
      < 5.361986, -1.274447, 0.410528>,
      < 5.362019, -1.267484, 0.301663>
    }
    triangle {
      < 5.362215, -0.464809, 0.410284>,
      < 5.690060, -0.493456, 0.404371>,
      < 5.688563, -0.507517, 0.257428>
    }
    triangle {
      < 5.362215, -0.464809, 0.410284>,
      < 5.688563, -0.507517, 0.257428>,
      < 5.362175, -0.480645, 0.257768>
    }
    triangle {
      < 5.362175, -0.480645, 0.257768>,
      < 5.688563, -0.507517, 0.257428>,
      < 5.685752, -0.558997, 0.137962>
    }
    triangle {
      < 5.362175, -0.480645, 0.257768>,
      < 5.685752, -0.558997, 0.137962>,
      < 5.362135, -0.532817, 0.135691>
    }
    triangle {
      < 5.362135, -0.532817, 0.135691>,
      < 5.685752, -0.558997, 0.137962>,
      < 5.684205, -0.649051, 0.060779>
    }
    triangle {
      < 5.362135, -0.532817, 0.135691>,
      < 5.684205, -0.649051, 0.060779>,
      < 5.362121, -0.620346, 0.045044>
    }
    triangle {
      < 5.362112, -0.620337, 0.014923>,
      < 5.528380, -0.691636, 0.016685>,
      < 5.454411, -0.706541, -0.001269>
    }
    triangle {
      < 5.362112, -0.620337, 0.014923>,
      < 5.454411, -0.706541, -0.001269>,
      < 5.362107, -0.620333, -0.000137>
    }
    triangle {
      < 5.362116, -0.620342, 0.029984>,
      < 5.613713, -0.663960, 0.032833>,
      < 5.528380, -0.691636, 0.016685>
    }
    triangle {
      < 5.362116, -0.620342, 0.029984>,
      < 5.528380, -0.691636, 0.016685>,
      < 5.362112, -0.620337, 0.014923>
    }
    triangle {
      < 5.362121, -0.620346, 0.045044>,
      < 5.684205, -0.649051, 0.060779>,
      < 5.613713, -0.663960, 0.032833>
    }
    triangle {
      < 5.362121, -0.620346, 0.045044>,
      < 5.613713, -0.663960, 0.032833>,
      < 5.362116, -0.620342, 0.029984>
    }
    triangle {
      < 5.528380, -0.691636, 0.016685>,
      < 5.706993, -0.777844, 0.021623>,
      < 5.546714, -0.792750, -0.001322>
    }
    triangle {
      < 5.528380, -0.691636, 0.016685>,
      < 5.546714, -0.792750, -0.001322>,
      < 5.454411, -0.706541, -0.001269>
    }
    triangle {
      < 5.362546, -1.202385, 0.126491>,
      < 5.362534, -1.202372, 0.084513>,
      < 5.615811, -1.139820, 0.079466>
    }
    triangle {
      < 5.362546, -1.202385, 0.126491>,
      < 5.615811, -1.139820, 0.079466>,
      < 5.687038, -1.155631, 0.129675>
    }
    triangle {
      < 5.362534, -1.202372, 0.084513>,
      < 5.362522, -1.202359, 0.042534>,
      < 5.529113, -1.110440, 0.039063>
    }
    triangle {
      < 5.362534, -1.202372, 0.084513>,
      < 5.529113, -1.110440, 0.039063>,
      < 5.615811, -1.139820, 0.079466>
    }
    triangle {
      < 5.529113, -1.110440, 0.039063>,
      < 5.454411, -1.094624, -0.001384>,
      < 5.546713, -0.986791, -0.001379>
    }
    triangle {
      < 5.529113, -1.110440, 0.039063>,
      < 5.546713, -0.986791, -0.001379>,
      < 5.707728, -1.002608, 0.034084>
    }
    triangle {
      < 5.362522, -1.202359, 0.042534>,
      < 5.362509, -1.202347, 0.000557>,
      < 5.454411, -1.094624, -0.001384>
    }
    triangle {
      < 5.362522, -1.202359, 0.042534>,
      < 5.454411, -1.094624, -0.001384>,
      < 5.529113, -1.110440, 0.039063>
    }
    triangle {
      < 2.911222, -0.879570, 0.850860>,
      < 2.911252, -0.715300, 0.833507>,
      < 1.685903, -0.743001, 0.861506>
    }
    triangle {
      < 2.911222, -0.879570, 0.850860>,
      < 1.685903, -0.743001, 0.861506>,
      < 1.685903, -0.879763, 0.859350>
    }
    triangle {
      < 4.136542, -0.879377, 0.842370>,
      < 4.136604, -0.664428, 0.818618>,
      < 2.911252, -0.715300, 0.833507>
    }
    triangle {
      < 4.136542, -0.879377, 0.842370>,
      < 2.911252, -0.715300, 0.833507>,
      < 2.911222, -0.879570, 0.850860>
    }
    triangle {
      < 5.361743, -0.879016, 0.832955>,
      < 5.361952, -0.636727, 0.790619>,
      < 4.136604, -0.664428, 0.818618>
    }
    triangle {
      < 5.361743, -0.879016, 0.832955>,
      < 4.136604, -0.664428, 0.818618>,
      < 4.136542, -0.879377, 0.842370>
    }
    triangle {
      < 2.911252, -0.715300, 0.833507>,
      < 2.911296, -0.579428, 0.778991>,
      < 1.685905, -0.606568, 0.854937>
    }
    triangle {
      < 2.911252, -0.715300, 0.833507>,
      < 1.685905, -0.606568, 0.854937>,
      < 1.685903, -0.743001, 0.861506>
    }
    triangle {
      < 4.136604, -0.664428, 0.818618>,
      < 4.136677, -0.530353, 0.730458>,
      < 2.911296, -0.579428, 0.778991>
    }
    triangle {
      < 4.136604, -0.664428, 0.818618>,
      < 2.911296, -0.579428, 0.778991>,
      < 2.911252, -0.715300, 0.833507>
    }
    triangle {
      < 5.361952, -0.636727, 0.790619>,
      < 5.362066, -0.503213, 0.654512>,
      < 4.136677, -0.530353, 0.730458>
    }
    triangle {
      < 5.361952, -0.636727, 0.790619>,
      < 4.136677, -0.530353, 0.730458>,
      < 4.136604, -0.664428, 0.818618>
    }
    triangle {
      < 2.911296, -0.579428, 0.778991>,
      < 2.911345, -0.468860, 0.695746>,
      < 1.685910, -0.470886, 0.838478>
    }
    triangle {
      < 2.911296, -0.579428, 0.778991>,
      < 1.685910, -0.470886, 0.838478>,
      < 1.685905, -0.606568, 0.854937>
    }
    triangle {
      < 4.136677, -0.530353, 0.730458>,
      < 4.136780, -0.466834, 0.553015>,
      < 2.911345, -0.468860, 0.695746>
    }
    triangle {
      < 4.136677, -0.530353, 0.730458>,
      < 2.911345, -0.468860, 0.695746>,
      < 2.911296, -0.579428, 0.778991>
    }
    triangle {
      < 5.362066, -0.503213, 0.654512>,
      < 5.362215, -0.464809, 0.410284>,
      < 4.136780, -0.466834, 0.553015>
    }
    triangle {
      < 5.362066, -0.503213, 0.654512>,
      < 4.136780, -0.466834, 0.553015>,
      < 4.136677, -0.530353, 0.730458>
    }
    triangle {
      < 0.691928, -1.444152, 0.609112>,
      < 0.691915, -1.442727, 0.650390>,
      < 1.024162, -1.453527, 0.626818>
    }
    triangle {
      < 0.691928, -1.444152, 0.609112>,
      < 1.024162, -1.453527, 0.626818>,
      < 1.024494, -1.456929, 0.556995>
    }
    triangle {
      < 1.024494, -1.456929, 0.556995>,
      < 1.024162, -1.453527, 0.626818>,
      < 1.355398, -1.464215, 0.612168>
    }
    triangle {
      < 1.024494, -1.456929, 0.556995>,
      < 1.355398, -1.464215, 0.612168>,
      < 1.355695, -1.468001, 0.518367>
    }
    triangle {
      < 1.355695, -1.468001, 0.518367>,
      < 1.355398, -1.464215, 0.612168>,
      < 1.685981, -1.471778, 0.598091>
    }
    triangle {
      < 1.355695, -1.468001, 0.518367>,
      < 1.685981, -1.471778, 0.598091>,
      < 1.686012, -1.476403, 0.491038>
    }
    triangle {
      < 0.691915, -1.442727, 0.650390>,
      < 0.691904, -1.435500, 0.689421>,
      < 1.023561, -1.441293, 0.704312>
    }
    triangle {
      < 0.691915, -1.442727, 0.650390>,
      < 1.023561, -1.441293, 0.704312>,
      < 1.024162, -1.453527, 0.626818>
    }
    triangle {
      < 1.024162, -1.453527, 0.626818>,
      < 1.023561, -1.441293, 0.704312>,
      < 1.354869, -1.448782, 0.707180>
    }
    triangle {
      < 1.024162, -1.453527, 0.626818>,
      < 1.354869, -1.448782, 0.707180>,
      < 1.355398, -1.464215, 0.612168>
    }
    triangle {
      < 1.355398, -1.464215, 0.612168>,
      < 1.354869, -1.448782, 0.707180>,
      < 1.685949, -1.453448, 0.703168>
    }
    triangle {
      < 1.355398, -1.464215, 0.612168>,
      < 1.685949, -1.453448, 0.703168>,
      < 1.685981, -1.471778, 0.598091>
    }
    triangle {
      < 0.691904, -1.435500, 0.689421>,
      < 0.691893, -1.422959, 0.726095>,
      < 1.023230, -1.422946, 0.768938>
    }
    triangle {
      < 0.691904, -1.435500, 0.689421>,
      < 1.023230, -1.422946, 0.768938>,
      < 1.023561, -1.441293, 0.704312>
    }
    triangle {
      < 1.023561, -1.441293, 0.704312>,
      < 1.023230, -1.422946, 0.768938>,
      < 1.354573, -1.422939, 0.794683>
    }
    triangle {
      < 1.023561, -1.441293, 0.704312>,
      < 1.354573, -1.422939, 0.794683>,
      < 1.354869, -1.448782, 0.707180>
    }
    triangle {
      < 1.354869, -1.448782, 0.707180>,
      < 1.354573, -1.422939, 0.794683>,
      < 1.685920, -1.422936, 0.803330>
    }
    triangle {
      < 1.354869, -1.448782, 0.707180>,
      < 1.685920, -1.422936, 0.803330>,
      < 1.685949, -1.453448, 0.703168>
    }
    triangle {
      < 0.691829, -1.042053, 0.943333>,
      < 1.023139, -0.951892, 0.897258>,
      < 1.023155, -1.124449, 0.890003>
    }
    triangle {
      < 0.691829, -1.042053, 0.943333>,
      < 1.023155, -1.124449, 0.890003>,
      < 0.691835, -1.194367, 0.920162>
    }
    triangle {
      < 0.691835, -1.194367, 0.920162>,
      < 1.023155, -1.124449, 0.890003>,
      < 1.023192, -1.296029, 0.852335>
    }
    triangle {
      < 0.691835, -1.194367, 0.920162>,
      < 1.023192, -1.296029, 0.852335>,
      < 0.691858, -1.331245, 0.845546>
    }
    triangle {
      < 0.691858, -1.331245, 0.845546>,
      < 1.023192, -1.296029, 0.852335>,
      < 1.023230, -1.422946, 0.768938>
    }
    triangle {
      < 0.691858, -1.331245, 0.845546>,
      < 1.023230, -1.422946, 0.768938>,
      < 0.691893, -1.422959, 0.726095>
    }
    triangle {
      < 1.023139, -0.951892, 0.897258>,
      < 1.354498, -0.897795, 0.869263>,
      < 1.354514, -1.078568, 0.862688>
    }
    triangle {
      < 1.023139, -0.951892, 0.897258>,
      < 1.354514, -1.078568, 0.862688>,
      < 1.023155, -1.124449, 0.890003>
    }
    triangle {
      < 1.023155, -1.124449, 0.890003>,
      < 1.354514, -1.078568, 0.862688>,
      < 1.354546, -1.260024, 0.840002>
    }
    triangle {
      < 1.023155, -1.124449, 0.890003>,
      < 1.354546, -1.260024, 0.840002>,
      < 1.023192, -1.296029, 0.852335>
    }
    triangle {
      < 1.023192, -1.296029, 0.852335>,
      < 1.354546, -1.260024, 0.840002>,
      < 1.354573, -1.422939, 0.794683>
    }
    triangle {
      < 1.023192, -1.296029, 0.852335>,
      < 1.354573, -1.422939, 0.794683>,
      < 1.023230, -1.422946, 0.768938>
    }
    triangle {
      < 1.354498, -0.897795, 0.869263>,
      < 1.685903, -0.879763, 0.859350>,
      < 1.685906, -1.062082, 0.850450>
    }
    triangle {
      < 1.354498, -0.897795, 0.869263>,
      < 1.685906, -1.062082, 0.850450>,
      < 1.354514, -1.078568, 0.862688>
    }
    triangle {
      < 1.354514, -1.078568, 0.862688>,
      < 1.685906, -1.062082, 0.850450>,
      < 1.685912, -1.243515, 0.830837>
    }
    triangle {
      < 1.354514, -1.078568, 0.862688>,
      < 1.685912, -1.243515, 0.830837>,
      < 1.354546, -1.260024, 0.840002>
    }
    triangle {
      < 1.354546, -1.260024, 0.840002>,
      < 1.685912, -1.243515, 0.830837>,
      < 1.685920, -1.422936, 0.803330>
    }
    triangle {
      < 1.354546, -1.260024, 0.840002>,
      < 1.685920, -1.422936, 0.803330>,
      < 1.354573, -1.422939, 0.794683>
    }
    triangle {
      < 1.685905, -0.606568, 0.854937>,
      < 1.231139, -0.646673, 0.904658>,
      < 1.173904, -0.529363, 0.912155>
    }
    triangle {
      < 1.685905, -0.606568, 0.854937>,
      < 1.173904, -0.529363, 0.912155>,
      < 1.685910, -0.470886, 0.838478>
    }
    triangle {
      < 1.685903, -0.743001, 0.861506>,
      < 1.297293, -0.761652, 0.885157>,
      < 1.231139, -0.646673, 0.904658>
    }
    triangle {
      < 1.685903, -0.743001, 0.861506>,
      < 1.231139, -0.646673, 0.904658>,
      < 1.685905, -0.606568, 0.854937>
    }
    triangle {
      < 1.685903, -0.879763, 0.859350>,
      < 1.354530, -0.879761, 0.863871>,
      < 1.297293, -0.761652, 0.885157>
    }
    triangle {
      < 1.685903, -0.879763, 0.859350>,
      < 1.297293, -0.761652, 0.885157>,
      < 1.685903, -0.743001, 0.861506>
    }
    triangle {
      < 1.231139, -0.646673, 0.904658>,
      < 0.785300, -0.684025, 0.951105>,
      < 0.661900, -0.587840, 0.985833>
    }
    triangle {
      < 1.231139, -0.646673, 0.904658>,
      < 0.661900, -0.587840, 0.985833>,
      < 1.173904, -0.529363, 0.912155>
    }
    triangle {
      < 1.297293, -0.761652, 0.885157>,
      < 0.899776, -0.783293, 0.915245>,
      < 0.785300, -0.684025, 0.951105>
    }
    triangle {
      < 1.297293, -0.761652, 0.885157>,
      < 0.785300, -0.684025, 0.951105>,
      < 1.231139, -0.646673, 0.904658>
    }
    triangle {
      < 1.354530, -0.879761, 0.863871>,
      < 1.023177, -0.879758, 0.875691>,
      < 0.899776, -0.783293, 0.915245>
    }
    triangle {
      < 1.354530, -0.879761, 0.863871>,
      < 0.899776, -0.783293, 0.915245>,
      < 1.297293, -0.761652, 0.885157>
    }
    triangle {
      < 0.785300, -0.684025, 0.951105>,
      < 0.330544, -0.724129, 1.004609>,
      < 0.149893, -0.646317, 1.059510>
    }
    triangle {
      < 0.785300, -0.684025, 0.951105>,
      < 0.149893, -0.646317, 1.059510>,
      < 0.661900, -0.587840, 0.985833>
    }
    triangle {
      < 0.899776, -0.783293, 0.915245>,
      < 0.511193, -0.801940, 0.949709>,
      < 0.330544, -0.724129, 1.004609>
    }
    triangle {
      < 0.899776, -0.783293, 0.915245>,
      < 0.330544, -0.724129, 1.004609>,
      < 0.785300, -0.684025, 0.951105>
    }
    triangle {
      < 1.023177, -0.879758, 0.875691>,
      < 0.691843, -0.879752, 0.894809>,
      < 0.511193, -0.801940, 0.949709>
    }
    triangle {
      < 1.023177, -0.879758, 0.875691>,
      < 0.511193, -0.801940, 0.949709>,
      < 0.899776, -0.783293, 0.915245>
    }
    triangle {
      < 1.024494, -1.456929, 0.556995>,
      < 1.024226, -1.432128, 0.408315>,
      < 0.691977, -1.409392, 0.442920>
    }
    triangle {
      < 1.024494, -1.456929, 0.556995>,
      < 0.691977, -1.409392, 0.442920>,
      < 0.691928, -1.444152, 0.609112>
    }
    triangle {
      < 1.355695, -1.468001, 0.518367>,
      < 1.355462, -1.446226, 0.397208>,
      < 1.024226, -1.432128, 0.408315>
    }
    triangle {
      < 1.355695, -1.468001, 0.518367>,
      < 1.024226, -1.432128, 0.408315>,
      < 1.024494, -1.456929, 0.556995>
    }
    triangle {
      < 1.686012, -1.476403, 0.491038>,
      < 1.686045, -1.465721, 0.380964>,
      < 1.355462, -1.446226, 0.397208>
    }
    triangle {
      < 1.686012, -1.476403, 0.491038>,
      < 1.355462, -1.446226, 0.397208>,
      < 1.355695, -1.468001, 0.518367>
    }
    triangle {
      < 1.024226, -1.432128, 0.408315>,
      < 1.023677, -1.354259, 0.313352>,
      < 0.692006, -1.305326, 0.344267>
    }
    triangle {
      < 1.024226, -1.432128, 0.408315>,
      < 0.692006, -1.305326, 0.344267>,
      < 0.691977, -1.409392, 0.442920>
    }
    triangle {
      < 1.355462, -1.446226, 0.397208>,
      < 1.354990, -1.388280, 0.299813>,
      < 1.023677, -1.354259, 0.313352>
    }
    triangle {
      < 1.355462, -1.446226, 0.397208>,
      < 1.023677, -1.354259, 0.313352>,
      < 1.024226, -1.432128, 0.408315>
    }
    triangle {
      < 1.686045, -1.465721, 0.380964>,
      < 1.686076, -1.436078, 0.275324>,
      < 1.354990, -1.388280, 0.299813>
    }
    triangle {
      < 1.686045, -1.465721, 0.380964>,
      < 1.354990, -1.388280, 0.299813>,
      < 1.355462, -1.446226, 0.397208>
    }
    triangle {
      < 1.023677, -1.354259, 0.313352>,
      < 1.023538, -1.216992, 0.269137>,
      < 0.692201, -1.132640, 0.314737>
    }
    triangle {
      < 1.023677, -1.354259, 0.313352>,
      < 0.692201, -1.132640, 0.314737>,
      < 0.692006, -1.305326, 0.344267>
    }
    triangle {
      < 1.354990, -1.388280, 0.299813>,
      < 1.354874, -1.301343, 0.223538>,
      < 1.023538, -1.216992, 0.269137>
    }
    triangle {
      < 1.354990, -1.388280, 0.299813>,
      < 1.023538, -1.216992, 0.269137>,
      < 1.023677, -1.354259, 0.313352>
    }
    triangle {
      < 1.686076, -1.436078, 0.275324>,
      < 1.686211, -1.385695, 0.177938>,
      < 1.354874, -1.301343, 0.223538>
    }
    triangle {
      < 1.686076, -1.436078, 0.275324>,
      < 1.354874, -1.301343, 0.223538>,
      < 1.354990, -1.388280, 0.299813>
    }
    triangle {
      < 0.691843, -0.879752, 0.894809>,
      < 0.918170, -0.885836, 0.884495>,
      < 0.796818, -0.902468, 0.903331>
    }
    triangle {
      < 0.691843, -0.879752, 0.894809>,
      < 0.796818, -0.902468, 0.903331>,
      < 0.691843, -0.879752, 0.894809>
    }
    triangle {
      < 0.691843, -0.879752, 0.894809>,
      < 0.796818, -0.902468, 0.903331>,
      < 0.691836, -0.927247, 0.921511>
    }
    triangle {
      < 0.691843, -0.879752, 0.894809>,
      < 0.691836, -0.927247, 0.921511>,
      < 0.691843, -0.879752, 0.894809>
    }
    triangle {
      < 0.918170, -0.885836, 0.884495>,
      < 1.128139, -0.888394, 0.874255>,
      < 0.918151, -0.919692, 0.900637>
    }
    triangle {
      < 0.918170, -0.885836, 0.884495>,
      < 0.918151, -0.919692, 0.900637>,
      < 0.796818, -0.902468, 0.903331>
    }
    triangle {
      < 0.796818, -0.902468, 0.903331>,
      < 0.918151, -0.919692, 0.900637>,
      < 0.691830, -0.981754, 0.937808>
    }
    triangle {
      < 0.796818, -0.902468, 0.903331>,
      < 0.691830, -0.981754, 0.937808>,
      < 0.691836, -0.927247, 0.921511>
    }
    triangle {
      < 1.354530, -0.879761, 0.863871>,
      < 1.685903, -0.879763, 0.859350>,
      < 1.354498, -0.897795, 0.869263>
    }
    triangle {
      < 1.354530, -0.879761, 0.863871>,
      < 1.354498, -0.897795, 0.869263>,
      < 1.128139, -0.888394, 0.874255>
    }
    triangle {
      < 1.128139, -0.888394, 0.874255>,
      < 1.354498, -0.897795, 0.869263>,
      < 1.023139, -0.951892, 0.897258>
    }
    triangle {
      < 1.128139, -0.888394, 0.874255>,
      < 1.023139, -0.951892, 0.897258>,
      < 0.918151, -0.919692, 0.900637>
    }
    triangle {
      < 0.918151, -0.919692, 0.900637>,
      < 1.023139, -0.951892, 0.897258>,
      < 0.691829, -1.042053, 0.943333>
    }
    triangle {
      < 0.918151, -0.919692, 0.900637>,
      < 0.691829, -1.042053, 0.943333>,
      < 0.691830, -0.981754, 0.937808>
    }
    triangle {
      < 5.362135, -0.532817, 0.135691>,
      < 4.136764, -0.491941, 0.247416>,
      < 4.136837, -0.553196, 0.155105>
    }
    triangle {
      < 5.362135, -0.532817, 0.135691>,
      < 4.136837, -0.553196, 0.155105>,
      < 5.362121, -0.620346, 0.045044>
    }
    triangle {
      < 5.362175, -0.480645, 0.257768>,
      < 4.136778, -0.461384, 0.362401>,
      < 4.136764, -0.491941, 0.247416>
    }
    triangle {
      < 5.362175, -0.480645, 0.257768>,
      < 4.136764, -0.491941, 0.247416>,
      < 5.362135, -0.532817, 0.135691>
    }
    triangle {
      < 5.362215, -0.464809, 0.410284>,
      < 4.136797, -0.456370, 0.500767>,
      < 4.136778, -0.461384, 0.362401>
    }
    triangle {
      < 5.362215, -0.464809, 0.410284>,
      < 4.136778, -0.461384, 0.362401>,
      < 5.362175, -0.480645, 0.257768>
    }
    triangle {
      < 5.362546, -1.202385, 0.126491>,
      < 4.136749, -1.263476, 0.144070>,
      < 4.136814, -1.315067, 0.227164>
    }
    triangle {
      < 5.362546, -1.202385, 0.126491>,
      < 4.136814, -1.315067, 0.227164>,
      < 5.362046, -1.243434, 0.207091>
    }
    triangle {
      < 5.362046, -1.243434, 0.207091>,
      < 4.136814, -1.315067, 0.227164>,
      < 4.136950, -1.355647, 0.322119>
    }
    triangle {
      < 5.362046, -1.243434, 0.207091>,
      < 4.136950, -1.355647, 0.322119>,
      < 5.362019, -1.267484, 0.301663>
    }
    triangle {
      < 5.362019, -1.267484, 0.301663>,
      < 4.136950, -1.355647, 0.322119>,
      < 4.137008, -1.371694, 0.429958>
    }
    triangle {
      < 5.362019, -1.267484, 0.301663>,
      < 4.137008, -1.371694, 0.429958>,
      < 5.361986, -1.274447, 0.410528>
    }
    triangle {
      < 4.136749, -1.263476, 0.144070>,
      < 2.911427, -1.324533, 0.160818>,
      < 2.912155, -1.386837, 0.249916>
    }
    triangle {
      < 4.136749, -1.263476, 0.144070>,
      < 2.912155, -1.386837, 0.249916>,
      < 4.136814, -1.315067, 0.227164>
    }
    triangle {
      < 4.136814, -1.315067, 0.227164>,
      < 2.912155, -1.386837, 0.249916>,
      < 2.913528, -1.441536, 0.345265>
    }
    triangle {
      < 4.136814, -1.315067, 0.227164>,
      < 2.913528, -1.441536, 0.345265>,
      < 4.136950, -1.355647, 0.322119>
    }
    triangle {
      < 4.136950, -1.355647, 0.322119>,
      < 2.913528, -1.441536, 0.345265>,
      < 2.914252, -1.465526, 0.451029>
    }
    triangle {
      < 4.136950, -1.355647, 0.322119>,
      < 2.914252, -1.465526, 0.451029>,
      < 4.137008, -1.371694, 0.429958>
    }
    triangle {
      < 2.911427, -1.324533, 0.160818>,
      < 1.686211, -1.385695, 0.177938>,
      < 1.686076, -1.436078, 0.275324>
    }
    triangle {
      < 2.911427, -1.324533, 0.160818>,
      < 1.686076, -1.436078, 0.275324>,
      < 2.912155, -1.386837, 0.249916>
    }
    triangle {
      < 2.912155, -1.386837, 0.249916>,
      < 1.686076, -1.436078, 0.275324>,
      < 1.686045, -1.465721, 0.380964>
    }
    triangle {
      < 2.912155, -1.386837, 0.249916>,
      < 1.686045, -1.465721, 0.380964>,
      < 2.913528, -1.441536, 0.345265>
    }
    triangle {
      < 2.913528, -1.441536, 0.345265>,
      < 1.686045, -1.465721, 0.380964>,
      < 1.686012, -1.476403, 0.491038>
    }
    triangle {
      < 2.913528, -1.441536, 0.345265>,
      < 1.686012, -1.476403, 0.491038>,
      < 2.914252, -1.465526, 0.451029>
    }
    triangle {
      < 5.361869, -1.021325, 0.804976>,
      < 4.136546, -1.048427, 0.829405>,
      < 4.136542, -0.879377, 0.842370>
    }
    triangle {
      < 5.361869, -1.021325, 0.804976>,
      < 4.136542, -0.879377, 0.842370>,
      < 5.361743, -0.879016, 0.832955>
    }
    triangle {
      < 5.361887, -1.131100, 0.746127>,
      < 4.136554, -1.207407, 0.800697>,
      < 4.136546, -1.048427, 0.829405>
    }
    triangle {
      < 5.361887, -1.131100, 0.746127>,
      < 4.136546, -1.048427, 0.829405>,
      < 5.361869, -1.021325, 0.804976>
    }
    triangle {
      < 5.361913, -1.208103, 0.657803>,
      < 4.136573, -1.327455, 0.738893>,
      < 4.136554, -1.207407, 0.800697>
    }
    triangle {
      < 5.361913, -1.208103, 0.657803>,
      < 4.136554, -1.207407, 0.800697>,
      < 5.361887, -1.131100, 0.746127>
    }
    triangle {
      < 4.136546, -1.048427, 0.829405>,
      < 2.911225, -1.059735, 0.842915>,
      < 2.911222, -0.879570, 0.850860>
    }
    triangle {
      < 4.136546, -1.048427, 0.829405>,
      < 2.911222, -0.879570, 0.850860>,
      < 4.136542, -0.879377, 0.842370>
    }
    triangle {
      < 4.136554, -1.207407, 0.800697>,
      < 2.911230, -1.237935, 0.824535>,
      < 2.911225, -1.059735, 0.842915>
    }
    triangle {
      < 4.136554, -1.207407, 0.800697>,
      < 2.911225, -1.059735, 0.842915>,
      < 4.136546, -1.048427, 0.829405>
    }
    triangle {
      < 4.136573, -1.327455, 0.738893>,
      < 2.911241, -1.399066, 0.787403>,
      < 2.911230, -1.237935, 0.824535>
    }
    triangle {
      < 4.136573, -1.327455, 0.738893>,
      < 2.911230, -1.237935, 0.824535>,
      < 4.136554, -1.207407, 0.800697>
    }
    triangle {
      < 2.911225, -1.059735, 0.842915>,
      < 1.685906, -1.062082, 0.850450>,
      < 1.685903, -0.879763, 0.859350>
    }
    triangle {
      < 2.911225, -1.059735, 0.842915>,
      < 1.685903, -0.879763, 0.859350>,
      < 2.911222, -0.879570, 0.850860>
    }
    triangle {
      < 2.911230, -1.237935, 0.824535>,
      < 1.685912, -1.243515, 0.830837>,
      < 1.685906, -1.062082, 0.850450>
    }
    triangle {
      < 2.911230, -1.237935, 0.824535>,
      < 1.685906, -1.062082, 0.850450>,
      < 2.911225, -1.059735, 0.842915>
    }
    triangle {
      < 2.911241, -1.399066, 0.787403>,
      < 1.685920, -1.422936, 0.803330>,
      < 1.685912, -1.243515, 0.830837>
    }
    triangle {
      < 2.911241, -1.399066, 0.787403>,
      < 1.685912, -1.243515, 0.830837>,
      < 2.911230, -1.237935, 0.824535>
    }
    triangle {
      < 5.361934, -1.243472, 0.587928>,
      < 4.136688, -1.356699, 0.649551>,
      < 4.136573, -1.327455, 0.738893>
    }
    triangle {
      < 5.361934, -1.243472, 0.587928>,
      < 4.136573, -1.327455, 0.738893>,
      < 5.361913, -1.208103, 0.657803>
    }
    triangle {
      < 5.361958, -1.265625, 0.505463>,
      < 4.136886, -1.368825, 0.539651>,
      < 4.136688, -1.356699, 0.649551>
    }
    triangle {
      < 5.361958, -1.265625, 0.505463>,
      < 4.136688, -1.356699, 0.649551>,
      < 5.361934, -1.243472, 0.587928>
    }
    triangle {
      < 5.361986, -1.274447, 0.410528>,
      < 4.137008, -1.371694, 0.429958>,
      < 4.136886, -1.368825, 0.539651>
    }
    triangle {
      < 5.361986, -1.274447, 0.410528>,
      < 4.136886, -1.368825, 0.539651>,
      < 5.361958, -1.265625, 0.505463>
    }
    triangle {
      < 4.136688, -1.356699, 0.649551>,
      < 2.912026, -1.433340, 0.684479>,
      < 2.911241, -1.399066, 0.787403>
    }
    triangle {
      < 4.136688, -1.356699, 0.649551>,
      < 2.911241, -1.399066, 0.787403>,
      < 4.136573, -1.327455, 0.738893>
    }
    triangle {
      < 4.136886, -1.368825, 0.539651>,
      < 2.913463, -1.457309, 0.565554>,
      < 2.912026, -1.433340, 0.684479>
    }
    triangle {
      < 4.136886, -1.368825, 0.539651>,
      < 2.912026, -1.433340, 0.684479>,
      < 4.136688, -1.356699, 0.649551>
    }
    triangle {
      < 4.137008, -1.371694, 0.429958>,
      < 2.914252, -1.465526, 0.451029>,
      < 2.913463, -1.457309, 0.565554>
    }
    triangle {
      < 4.137008, -1.371694, 0.429958>,
      < 2.913463, -1.457309, 0.565554>,
      < 4.136886, -1.368825, 0.539651>
    }
    triangle {
      < 2.912026, -1.433340, 0.684479>,
      < 1.685949, -1.453448, 0.703168>,
      < 1.685920, -1.422936, 0.803330>
    }
    triangle {
      < 2.912026, -1.433340, 0.684479>,
      < 1.685920, -1.422936, 0.803330>,
      < 2.911241, -1.399066, 0.787403>
    }
    triangle {
      < 2.913463, -1.457309, 0.565554>,
      < 1.685981, -1.471778, 0.598091>,
      < 1.685949, -1.453448, 0.703168>
    }
    triangle {
      < 2.913463, -1.457309, 0.565554>,
      < 1.685949, -1.453448, 0.703168>,
      < 2.912026, -1.433340, 0.684479>
    }
    triangle {
      < 2.914252, -1.465526, 0.451029>,
      < 1.686012, -1.476403, 0.491038>,
      < 1.685981, -1.471778, 0.598091>
    }
    triangle {
      < 2.914252, -1.465526, 0.451029>,
      < 1.685981, -1.471778, 0.598091>,
      < 2.913463, -1.457309, 0.565554>
    }
    triangle {
      < 5.701077, -0.878641, 0.797877>,
      < 5.697419, -0.998912, 0.767183>,
      < 5.361869, -1.021325, 0.804976>
    }
    triangle {
      < 5.701077, -0.878641, 0.797877>,
      < 5.361869, -1.021325, 0.804976>,
      < 5.361743, -0.879016, 0.832955>
    }
    triangle {
      < 5.697419, -0.998912, 0.767183>,
      < 5.690634, -1.094136, 0.705215>,
      < 5.361887, -1.131100, 0.746127>
    }
    triangle {
      < 5.697419, -0.998912, 0.767183>,
      < 5.361887, -1.131100, 0.746127>,
      < 5.361869, -1.021325, 0.804976>
    }
    triangle {
      < 5.690634, -1.094136, 0.705215>,
      < 5.687003, -1.162317, 0.623326>,
      < 5.361913, -1.208103, 0.657803>
    }
    triangle {
      < 5.690634, -1.094136, 0.705215>,
      < 5.361913, -1.208103, 0.657803>,
      < 5.361887, -1.131100, 0.746127>
    }
    triangle {
      < 5.361743, -0.879016, 0.832955>,
      < 5.361952, -0.636727, 0.790619>,
      < 5.698216, -0.666292, 0.752552>
    }
    triangle {
      < 5.361743, -0.879016, 0.832955>,
      < 5.698216, -0.666292, 0.752552>,
      < 5.701077, -0.878641, 0.797877>
    }
    triangle {
      < 5.361952, -0.636727, 0.790619>,
      < 5.362066, -0.503213, 0.654512>,
      < 5.692854, -0.536647, 0.619343>
    }
    triangle {
      < 5.361952, -0.636727, 0.790619>,
      < 5.692854, -0.536647, 0.619343>,
      < 5.698216, -0.666292, 0.752552>
    }
    triangle {
      < 5.362066, -0.503213, 0.654512>,
      < 5.362215, -0.464809, 0.410284>,
      < 5.690060, -0.493456, 0.404371>
    }
    triangle {
      < 5.362066, -0.503213, 0.654512>,
      < 5.690060, -0.493456, 0.404371>,
      < 5.692854, -0.536647, 0.619343>
    }
    triangle {
      < 5.687003, -1.162317, 0.623326>,
      < 5.687836, -1.199175, 0.560995>,
      < 5.361934, -1.243472, 0.587928>
    }
    triangle {
      < 5.687003, -1.162317, 0.623326>,
      < 5.361934, -1.243472, 0.587928>,
      < 5.361913, -1.208103, 0.657803>
    }
    triangle {
      < 5.687836, -1.199175, 0.560995>,
      < 5.689370, -1.228825, 0.486926>,
      < 5.361958, -1.265625, 0.505463>
    }
    triangle {
      < 5.687836, -1.199175, 0.560995>,
      < 5.361958, -1.265625, 0.505463>,
      < 5.361934, -1.243472, 0.587928>
    }
    triangle {
      < 5.689370, -1.228825, 0.486926>,
      < 5.690213, -1.242257, 0.404590>,
      < 5.361986, -1.274447, 0.410528>
    }
    triangle {
      < 5.689370, -1.228825, 0.486926>,
      < 5.361986, -1.274447, 0.410528>,
      < 5.361958, -1.265625, 0.505463>
    }
    triangle {
      < 5.362546, -1.202385, 0.126491>,
      < 5.362046, -1.243434, 0.207091>,
      < 5.687860, -1.208026, 0.200122>
    }
    triangle {
      < 5.362546, -1.202385, 0.126491>,
      < 5.687860, -1.208026, 0.200122>,
      < 5.687038, -1.155631, 0.129675>
    }
    triangle {
      < 5.362046, -1.243434, 0.207091>,
      < 5.362019, -1.267484, 0.301663>,
      < 5.689415, -1.235864, 0.294607>
    }
    triangle {
      < 5.362046, -1.243434, 0.207091>,
      < 5.689415, -1.235864, 0.294607>,
      < 5.687860, -1.208026, 0.200122>
    }
    triangle {
      < 5.362019, -1.267484, 0.301663>,
      < 5.361986, -1.274447, 0.410528>,
      < 5.690213, -1.242257, 0.404590>
    }
    triangle {
      < 5.362019, -1.267484, 0.301663>,
      < 5.690213, -1.242257, 0.404590>,
      < 5.689415, -1.235864, 0.294607>
    }
    triangle {
      < 5.362175, -0.480645, 0.257768>,
      < 5.688563, -0.507517, 0.257428>,
      < 5.690060, -0.493456, 0.404371>
    }
    triangle {
      < 5.362175, -0.480645, 0.257768>,
      < 5.690060, -0.493456, 0.404371>,
      < 5.362215, -0.464809, 0.410284>
    }
    triangle {
      < 5.362135, -0.532817, 0.135691>,
      < 5.685752, -0.558997, 0.137962>,
      < 5.688563, -0.507517, 0.257428>
    }
    triangle {
      < 5.362135, -0.532817, 0.135691>,
      < 5.688563, -0.507517, 0.257428>,
      < 5.362175, -0.480645, 0.257768>
    }
    triangle {
      < 5.362121, -0.620346, 0.045044>,
      < 5.684205, -0.649051, 0.060779>,
      < 5.685752, -0.558997, 0.137962>
    }
    triangle {
      < 5.362121, -0.620346, 0.045044>,
      < 5.685752, -0.558997, 0.137962>,
      < 5.362135, -0.532817, 0.135691>
    }
    triangle {
      < 5.362107, -0.620333, -0.000137>,
      < 5.454411, -0.706541, -0.001269>,
      < 5.528380, -0.691636, 0.016685>
    }
    triangle {
      < 5.362107, -0.620333, -0.000137>,
      < 5.528380, -0.691636, 0.016685>,
      < 5.362112, -0.620337, 0.014923>
    }
    triangle {
      < 5.362112, -0.620337, 0.014923>,
      < 5.528380, -0.691636, 0.016685>,
      < 5.613713, -0.663960, 0.032833>
    }
    triangle {
      < 5.362112, -0.620337, 0.014923>,
      < 5.613713, -0.663960, 0.032833>,
      < 5.362116, -0.620342, 0.029984>
    }
    triangle {
      < 5.362116, -0.620342, 0.029984>,
      < 5.613713, -0.663960, 0.032833>,
      < 5.684205, -0.649051, 0.060779>
    }
    triangle {
      < 5.362116, -0.620342, 0.029984>,
      < 5.684205, -0.649051, 0.060779>,
      < 5.362121, -0.620346, 0.045044>
    }
    triangle {
      < 5.454411, -0.706541, -0.001269>,
      < 5.546714, -0.792750, -0.001322>,
      < 5.706993, -0.777844, 0.021623>
    }
    triangle {
      < 5.454411, -0.706541, -0.001269>,
      < 5.706993, -0.777844, 0.021623>,
      < 5.528380, -0.691636, 0.016685>
    }
    triangle {
      < 5.687038, -1.155631, 0.129675>,
      < 5.615811, -1.139820, 0.079466>,
      < 5.362534, -1.202372, 0.084513>
    }
    triangle {
      < 5.687038, -1.155631, 0.129675>,
      < 5.362534, -1.202372, 0.084513>,
      < 5.362546, -1.202385, 0.126491>
    }
    triangle {
      < 5.615811, -1.139820, 0.079466>,
      < 5.529113, -1.110440, 0.039063>,
      < 5.362522, -1.202359, 0.042534>
    }
    triangle {
      < 5.615811, -1.139820, 0.079466>,
      < 5.362522, -1.202359, 0.042534>,
      < 5.362534, -1.202372, 0.084513>
    }
    triangle {
      < 5.707728, -1.002608, 0.034084>,
      < 5.546713, -0.986791, -0.001379>,
      < 5.454411, -1.094624, -0.001384>
    }
    triangle {
      < 5.707728, -1.002608, 0.034084>,
      < 5.454411, -1.094624, -0.001384>,
      < 5.529113, -1.110440, 0.039063>
    }
    triangle {
      < 5.529113, -1.110440, 0.039063>,
      < 5.454411, -1.094624, -0.001384>,
      < 5.362509, -1.202347, 0.000557>
    }
    triangle {
      < 5.529113, -1.110440, 0.039063>,
      < 5.362509, -1.202347, 0.000557>,
      < 5.362522, -1.202359, 0.042534>
    }
    triangle {
      < 1.685903, -0.879763, 0.859350>,
      < 1.685903, -0.743001, 0.861506>,
      < 2.911252, -0.715300, 0.833507>
    }
    triangle {
      < 1.685903, -0.879763, 0.859350>,
      < 2.911252, -0.715300, 0.833507>,
      < 2.911222, -0.879570, 0.850860>
    }
    triangle {
      < 2.911222, -0.879570, 0.850860>,
      < 2.911252, -0.715300, 0.833507>,
      < 4.136604, -0.664428, 0.818618>
    }
    triangle {
      < 2.911222, -0.879570, 0.850860>,
      < 4.136604, -0.664428, 0.818618>,
      < 4.136542, -0.879377, 0.842370>
    }
    triangle {
      < 4.136542, -0.879377, 0.842370>,
      < 4.136604, -0.664428, 0.818618>,
      < 5.361952, -0.636727, 0.790619>
    }
    triangle {
      < 4.136542, -0.879377, 0.842370>,
      < 5.361952, -0.636727, 0.790619>,
      < 5.361743, -0.879016, 0.832955>
    }
    triangle {
      < 1.685903, -0.743001, 0.861506>,
      < 1.685905, -0.606568, 0.854937>,
      < 2.911296, -0.579428, 0.778991>
    }
    triangle {
      < 1.685903, -0.743001, 0.861506>,
      < 2.911296, -0.579428, 0.778991>,
      < 2.911252, -0.715300, 0.833507>
    }
    triangle {
      < 2.911252, -0.715300, 0.833507>,
      < 2.911296, -0.579428, 0.778991>,
      < 4.136677, -0.530353, 0.730458>
    }
    triangle {
      < 2.911252, -0.715300, 0.833507>,
      < 4.136677, -0.530353, 0.730458>,
      < 4.136604, -0.664428, 0.818618>
    }
    triangle {
      < 4.136604, -0.664428, 0.818618>,
      < 4.136677, -0.530353, 0.730458>,
      < 5.362066, -0.503213, 0.654512>
    }
    triangle {
      < 4.136604, -0.664428, 0.818618>,
      < 5.362066, -0.503213, 0.654512>,
      < 5.361952, -0.636727, 0.790619>
    }
    triangle {
      < 1.685905, -0.606568, 0.854937>,
      < 1.685910, -0.470886, 0.838478>,
      < 2.911345, -0.468860, 0.695746>
    }
    triangle {
      < 1.685905, -0.606568, 0.854937>,
      < 2.911345, -0.468860, 0.695746>,
      < 2.911296, -0.579428, 0.778991>
    }
    triangle {
      < 2.911296, -0.579428, 0.778991>,
      < 2.911345, -0.468860, 0.695746>,
      < 4.136780, -0.466834, 0.553015>
    }
    triangle {
      < 2.911296, -0.579428, 0.778991>,
      < 4.136780, -0.466834, 0.553015>,
      < 4.136677, -0.530353, 0.730458>
    }
    triangle {
      < 4.136677, -0.530353, 0.730458>,
      < 4.136780, -0.466834, 0.553015>,
      < 5.362215, -0.464809, 0.410284>
    }
    triangle {
      < 4.136677, -0.530353, 0.730458>,
      < 5.362215, -0.464809, 0.410284>,
      < 5.362066, -0.503213, 0.654512>
    }
    texture {skin}
  }
  union {
    triangle {
      < 5.687038, -1.155631, 0.129675>,
      < 6.009236, -1.047879, 0.144465>,
      < 6.011704, -1.125920, 0.195858>
    }
    triangle {
      < 5.687038, -1.155631, 0.129675>,
      < 6.011704, -1.125920, 0.195858>,
      < 5.687860, -1.208026, 0.200122>
    }
    triangle {
      < 5.687860, -1.208026, 0.200122>,
      < 6.011704, -1.125920, 0.195858>,
      < 6.016323, -1.169171, 0.287008>
    }
    triangle {
      < 5.687860, -1.208026, 0.200122>,
      < 6.016323, -1.169171, 0.287008>,
      < 5.689415, -1.235864, 0.294607>
    }
    triangle {
      < 5.689415, -1.235864, 0.294607>,
      < 6.016323, -1.169171, 0.287008>,
      < 6.018774, -1.179050, 0.397366>
    }
    triangle {
      < 5.689415, -1.235864, 0.294607>,
      < 6.018774, -1.179050, 0.397366>,
      < 5.690213, -1.242257, 0.404590>
    }
    triangle {
      < 6.009236, -1.047879, 0.144465>,
      < 6.328509, -0.879010, 0.173985>,
      < 6.328410, -0.979527, 0.209060>
    }
    triangle {
      < 6.009236, -1.047879, 0.144465>,
      < 6.328410, -0.979527, 0.209060>,
      < 6.011704, -1.125920, 0.195858>
    }
    triangle {
      < 6.011704, -1.125920, 0.195858>,
      < 6.328410, -0.979527, 0.209060>,
      < 6.328286, -1.047183, 0.287141>
    }
    triangle {
      < 6.011704, -1.125920, 0.195858>,
      < 6.328286, -1.047183, 0.287141>,
      < 6.016323, -1.169171, 0.287008>
    }
    triangle {
      < 6.016323, -1.169171, 0.287008>,
      < 6.328286, -1.047183, 0.287141>,
      < 6.328165, -1.067592, 0.391627>
    }
    triangle {
      < 6.016323, -1.169171, 0.287008>,
      < 6.328165, -1.067592, 0.391627>,
      < 6.018774, -1.179050, 0.397366>
    }
    triangle {
      < 6.328509, -0.879010, 0.173985>,
      < 6.009236, -1.047879, 0.144465>,
      < 5.858110, -1.032032, 0.076060>
    }
    triangle {
      < 6.328509, -0.879010, 0.173985>,
      < 5.858110, -1.032032, 0.076060>,
      < 6.107617, -0.878985, 0.090315>
    }
    triangle {
      < 6.107617, -0.878985, 0.090315>,
      < 5.858110, -1.032032, 0.076060>,
      < 5.707728, -1.002608, 0.034084>
    }
    triangle {
      < 6.107617, -0.878985, 0.090315>,
      < 5.707728, -1.002608, 0.034084>,
      < 5.873286, -0.878969, 0.035837>
    }
    triangle {
      < 5.873286, -0.878969, 0.035837>,
      < 5.707728, -1.002608, 0.034084>,
      < 5.546713, -0.986791, -0.001379>
    }
    triangle {
      < 5.873286, -0.878969, 0.035837>,
      < 5.546713, -0.986791, -0.001379>,
      < 5.639017, -0.878959, 0.000503>
    }
    triangle {
      < 6.009236, -1.047879, 0.144465>,
      < 5.687038, -1.155631, 0.129675>,
      < 5.615811, -1.139820, 0.079466>
    }
    triangle {
      < 6.009236, -1.047879, 0.144465>,
      < 5.615811, -1.139820, 0.079466>,
      < 5.858110, -1.032032, 0.076060>
    }
    triangle {
      < 5.858110, -1.032032, 0.076060>,
      < 5.615811, -1.139820, 0.079466>,
      < 5.529113, -1.110440, 0.039063>
    }
    triangle {
      < 5.858110, -1.032032, 0.076060>,
      < 5.529113, -1.110440, 0.039063>,
      < 5.707728, -1.002608, 0.034084>
    }
    triangle {
      < 6.018533, -0.553488, 0.397556>,
      < 6.015425, -0.570975, 0.263854>,
      < 5.688563, -0.507517, 0.257428>
    }
    triangle {
      < 6.018533, -0.553488, 0.397556>,
      < 5.688563, -0.507517, 0.257428>,
      < 5.690060, -0.493456, 0.404371>
    }
    triangle {
      < 6.328422, -0.661317, 0.391743>,
      < 6.328523, -0.686307, 0.278334>,
      < 6.015425, -0.570975, 0.263854>
    }
    triangle {
      < 6.328422, -0.661317, 0.391743>,
      < 6.015425, -0.570975, 0.263854>,
      < 6.018533, -0.553488, 0.397556>
    }
    triangle {
      < 6.015425, -0.570975, 0.263854>,
      < 6.009577, -0.633741, 0.154583>,
      < 5.685752, -0.558997, 0.137962>
    }
    triangle {
      < 6.015425, -0.570975, 0.263854>,
      < 5.685752, -0.558997, 0.137962>,
      < 5.688563, -0.507517, 0.257428>
    }
    triangle {
      < 6.328523, -0.686307, 0.278334>,
      < 6.328556, -0.765609, 0.199009>,
      < 6.009577, -0.633741, 0.154583>
    }
    triangle {
      < 6.328523, -0.686307, 0.278334>,
      < 6.009577, -0.633741, 0.154583>,
      < 6.015425, -0.570975, 0.263854>
    }
    triangle {
      < 6.009577, -0.633741, 0.154583>,
      < 6.006370, -0.735308, 0.102731>,
      < 5.684205, -0.649051, 0.060779>
    }
    triangle {
      < 6.009577, -0.633741, 0.154583>,
      < 5.684205, -0.649051, 0.060779>,
      < 5.685752, -0.558997, 0.137962>
    }
    triangle {
      < 6.328556, -0.765609, 0.199009>,
      < 6.328509, -0.879010, 0.173985>,
      < 6.006370, -0.735308, 0.102731>
    }
    triangle {
      < 6.328556, -0.765609, 0.199009>,
      < 6.006370, -0.735308, 0.102731>,
      < 6.009577, -0.633741, 0.154583>
    }
    triangle {
      < 5.697419, -0.998912, 0.767183>,
      < 6.032843, -0.964775, 0.698154>,
      < 6.041104, -0.879202, 0.728649>
    }
    triangle {
      < 5.697419, -0.998912, 0.767183>,
      < 6.041104, -0.879202, 0.728649>,
      < 5.701077, -0.878641, 0.797877>
    }
    triangle {
      < 5.690634, -1.094136, 0.705215>,
      < 6.017530, -1.043964, 0.636991>,
      < 6.032843, -0.964775, 0.698154>
    }
    triangle {
      < 5.690634, -1.094136, 0.705215>,
      < 6.032843, -0.964775, 0.698154>,
      < 5.697419, -0.998912, 0.767183>
    }
    triangle {
      < 5.687003, -1.162317, 0.623326>,
      < 6.009293, -1.101656, 0.570594>,
      < 6.017530, -1.043964, 0.636991>
    }
    triangle {
      < 5.687003, -1.162317, 0.623326>,
      < 6.017530, -1.043964, 0.636991>,
      < 5.690634, -1.094136, 0.705215>
    }
    triangle {
      < 6.032843, -0.964775, 0.698154>,
      < 6.328067, -0.934811, 0.568242>,
      < 6.328090, -0.879130, 0.580252>
    }
    triangle {
      < 6.032843, -0.964775, 0.698154>,
      < 6.328090, -0.879130, 0.580252>,
      < 6.041104, -0.879202, 0.728649>
    }
    triangle {
      < 6.017530, -1.043964, 0.636991>,
      < 6.328063, -0.984551, 0.541601>,
      < 6.328067, -0.934811, 0.568242>
    }
    triangle {
      < 6.017530, -1.043964, 0.636991>,
      < 6.328067, -0.934811, 0.568242>,
      < 6.032843, -0.964775, 0.698154>
    }
    triangle {
      < 6.009293, -1.101656, 0.570594>,
      < 6.328078, -1.025403, 0.501907>,
      < 6.328063, -0.984551, 0.541601>
    }
    triangle {
      < 6.009293, -1.101656, 0.570594>,
      < 6.328063, -0.984551, 0.541601>,
      < 6.017530, -1.043964, 0.636991>
    }
    triangle {
      < 5.701077, -0.878641, 0.797877>,
      < 6.041104, -0.879202, 0.728649>,
      < 6.035263, -0.724154, 0.681225>
    }
    triangle {
      < 5.701077, -0.878641, 0.797877>,
      < 6.035263, -0.724154, 0.681225>,
      < 5.698216, -0.666292, 0.752552>
    }
    triangle {
      < 5.698216, -0.666292, 0.752552>,
      < 6.035263, -0.724154, 0.681225>,
      < 6.024362, -0.604248, 0.556523>
    }
    triangle {
      < 5.698216, -0.666292, 0.752552>,
      < 6.024362, -0.604248, 0.556523>,
      < 5.692854, -0.536647, 0.619343>
    }
    triangle {
      < 5.692854, -0.536647, 0.619343>,
      < 6.024362, -0.604248, 0.556523>,
      < 6.018533, -0.553488, 0.397556>
    }
    triangle {
      < 5.692854, -0.536647, 0.619343>,
      < 6.018533, -0.553488, 0.397556>,
      < 5.690060, -0.493456, 0.404371>
    }
    triangle {
      < 6.041104, -0.879202, 0.728649>,
      < 6.328090, -0.879130, 0.580252>,
      < 6.328176, -0.774591, 0.559915>
    }
    triangle {
      < 6.041104, -0.879202, 0.728649>,
      < 6.328176, -0.774591, 0.559915>,
      < 6.035263, -0.724154, 0.681225>
    }
    triangle {
      < 6.035263, -0.724154, 0.681225>,
      < 6.328176, -0.774591, 0.559915>,
      < 6.328296, -0.696444, 0.492282>
    }
    triangle {
      < 6.035263, -0.724154, 0.681225>,
      < 6.328296, -0.696444, 0.492282>,
      < 6.024362, -0.604248, 0.556523>
    }
    triangle {
      < 6.024362, -0.604248, 0.556523>,
      < 6.328296, -0.696444, 0.492282>,
      < 6.328422, -0.661317, 0.391743>
    }
    triangle {
      < 6.024362, -0.604248, 0.556523>,
      < 6.328422, -0.661317, 0.391743>,
      < 6.018533, -0.553488, 0.397556>
    }
    triangle {
      < 5.687836, -1.199175, 0.560995>,
      < 6.011751, -1.134072, 0.520324>,
      < 6.009293, -1.101656, 0.570594>
    }
    triangle {
      < 5.687836, -1.199175, 0.560995>,
      < 6.009293, -1.101656, 0.570594>,
      < 5.687003, -1.162317, 0.623326>
    }
    triangle {
      < 5.689370, -1.228825, 0.486926>,
      < 6.016311, -1.164275, 0.458243>,
      < 6.011751, -1.134072, 0.520324>
    }
    triangle {
      < 5.689370, -1.228825, 0.486926>,
      < 6.011751, -1.134072, 0.520324>,
      < 5.687836, -1.199175, 0.560995>
    }
    triangle {
      < 5.690213, -1.242257, 0.404590>,
      < 6.018774, -1.179050, 0.397366>,
      < 6.016311, -1.164275, 0.458243>
    }
    triangle {
      < 5.690213, -1.242257, 0.404590>,
      < 6.016311, -1.164275, 0.458243>,
      < 5.689370, -1.228825, 0.486926>
    }
    triangle {
      < 6.011751, -1.134072, 0.520324>,
      < 6.328099, -1.046658, 0.468103>,
      < 6.328078, -1.025403, 0.501907>
    }
    triangle {
      < 6.011751, -1.134072, 0.520324>,
      < 6.328078, -1.025403, 0.501907>,
      < 6.009293, -1.101656, 0.570594>
    }
    triangle {
      < 6.016311, -1.164275, 0.458243>,
      < 6.328129, -1.060858, 0.430985>,
      < 6.328099, -1.046658, 0.468103>
    }
    triangle {
      < 6.016311, -1.164275, 0.458243>,
      < 6.328099, -1.046658, 0.468103>,
      < 6.011751, -1.134072, 0.520324>
    }
    triangle {
      < 6.018774, -1.179050, 0.397366>,
      < 6.328165, -1.067592, 0.391627>,
      < 6.328129, -1.060858, 0.430985>
    }
    triangle {
      < 6.018774, -1.179050, 0.397366>,
      < 6.328129, -1.060858, 0.430985>,
      < 6.016311, -1.164275, 0.458243>
    }
    triangle {
      < 5.546714, -0.792750, -0.001322>,
      < 5.706993, -0.777844, 0.021623>,
      < 5.873286, -0.878969, 0.035837>
    }
    triangle {
      < 5.546714, -0.792750, -0.001322>,
      < 5.873286, -0.878969, 0.035837>,
      < 5.639017, -0.878959, 0.000503>
    }
    triangle {
      < 5.528380, -0.691636, 0.016685>,
      < 5.613713, -0.663960, 0.032833>,
      < 5.855991, -0.750192, 0.046712>
    }
    triangle {
      < 5.528380, -0.691636, 0.016685>,
      < 5.855991, -0.750192, 0.046712>,
      < 5.706993, -0.777844, 0.021623>
    }
    triangle {
      < 5.706993, -0.777844, 0.021623>,
      < 5.855991, -0.750192, 0.046712>,
      < 6.107617, -0.878985, 0.090315>
    }
    triangle {
      < 5.706993, -0.777844, 0.021623>,
      < 6.107617, -0.878985, 0.090315>,
      < 5.873286, -0.878969, 0.035837>
    }
    triangle {
      < 5.613713, -0.663960, 0.032833>,
      < 5.684205, -0.649051, 0.060779>,
      < 6.006370, -0.735308, 0.102731>
    }
    triangle {
      < 5.613713, -0.663960, 0.032833>,
      < 6.006370, -0.735308, 0.102731>,
      < 5.855991, -0.750192, 0.046712>
    }
    triangle {
      < 5.855991, -0.750192, 0.046712>,
      < 6.006370, -0.735308, 0.102731>,
      < 6.328509, -0.879010, 0.173985>
    }
    triangle {
      < 5.855991, -0.750192, 0.046712>,
      < 6.328509, -0.879010, 0.173985>,
      < 6.107617, -0.878985, 0.090315>
    }
    triangle {
      < 6.040672, -0.878771, -0.727880>,
      < 6.032429, -0.964362, -0.697431>,
      < 5.697419, -0.998912, -0.767183>
    }
    triangle {
      < 6.040672, -0.878771, -0.727880>,
      < 5.697419, -0.998912, -0.767183>,
      < 5.701077, -0.878641, -0.797877>
    }
    triangle {
      < 6.327746, -0.878787, -0.579653>,
      < 6.327730, -0.934474, -0.567677>,
      < 6.032429, -0.964362, -0.697431>
    }
    triangle {
      < 6.327746, -0.878787, -0.579653>,
      < 6.032429, -0.964362, -0.697431>,
      < 6.040672, -0.878771, -0.727880>
    }
    triangle {
      < 6.032429, -0.964362, -0.697431>,
      < 6.017153, -1.043586, -0.636306>,
      < 5.690634, -1.094136, -0.705215>
    }
    triangle {
      < 6.032429, -0.964362, -0.697431>,
      < 5.690634, -1.094136, -0.705215>,
      < 5.697419, -0.998912, -0.767183>
    }
    triangle {
      < 6.327730, -0.934474, -0.567677>,
      < 6.327744, -0.984230, -0.541065>,
      < 6.017153, -1.043586, -0.636306>
    }
    triangle {
      < 6.327730, -0.934474, -0.567677>,
      < 6.017153, -1.043586, -0.636306>,
      < 6.032429, -0.964362, -0.697431>
    }
    triangle {
      < 6.017153, -1.043586, -0.636306>,
      < 6.008955, -1.101318, -0.569938>,
      < 5.687003, -1.162317, -0.623326>
    }
    triangle {
      < 6.017153, -1.043586, -0.636306>,
      < 5.687003, -1.162317, -0.623326>,
      < 5.690634, -1.094136, -0.705215>
    }
    triangle {
      < 6.327744, -0.984230, -0.541065>,
      < 6.327780, -1.025106, -0.501395>,
      < 6.008955, -1.101318, -0.569938>
    }
    triangle {
      < 6.327744, -0.984230, -0.541065>,
      < 6.008955, -1.101318, -0.569938>,
      < 6.017153, -1.043586, -0.636306>
    }
    triangle {
      < 5.701077, -0.878641, -0.797877>,
      < 5.698216, -0.666292, -0.752552>,
      < 6.034860, -0.723751, -0.680361>
    }
    triangle {
      < 5.701077, -0.878641, -0.797877>,
      < 6.034860, -0.723751, -0.680361>,
      < 6.040672, -0.878771, -0.727880>
    }
    triangle {
      < 6.040672, -0.878771, -0.727880>,
      < 6.034860, -0.723751, -0.680361>,
      < 6.327846, -0.774259, -0.559254>
    }
    triangle {
      < 6.040672, -0.878771, -0.727880>,
      < 6.327846, -0.774259, -0.559254>,
      < 6.327746, -0.878787, -0.579653>
    }
    triangle {
      < 5.698216, -0.666292, -0.752552>,
      < 5.692854, -0.536647, -0.619343>,
      < 6.024033, -0.603918, -0.555582>
    }
    triangle {
      < 5.698216, -0.666292, -0.752552>,
      < 6.024033, -0.603918, -0.555582>,
      < 6.034860, -0.723751, -0.680361>
    }
    triangle {
      < 6.034860, -0.723751, -0.680361>,
      < 6.024033, -0.603918, -0.555582>,
      < 6.328004, -0.696153, -0.491575>
    }
    triangle {
      < 6.034860, -0.723751, -0.680361>,
      < 6.328004, -0.696153, -0.491575>,
      < 6.327846, -0.774259, -0.559254>
    }
    triangle {
      < 5.692854, -0.536647, -0.619343>,
      < 5.690060, -0.493456, -0.404371>,
      < 6.018297, -0.553253, -0.396581>
    }
    triangle {
      < 5.692854, -0.536647, -0.619343>,
      < 6.018297, -0.553253, -0.396581>,
      < 6.024033, -0.603918, -0.555582>
    }
    triangle {
      < 6.024033, -0.603918, -0.555582>,
      < 6.018297, -0.553253, -0.396581>,
      < 6.328190, -0.661085, -0.391015>
    }
    triangle {
      < 6.024033, -0.603918, -0.555582>,
      < 6.328190, -0.661085, -0.391015>,
      < 6.328004, -0.696153, -0.491575>
    }
    triangle {
      < 6.008955, -1.101318, -0.569938>,
      < 6.011443, -1.133764, -0.519689>,
      < 5.687836, -1.199175, -0.560995>
    }
    triangle {
      < 6.008955, -1.101318, -0.569938>,
      < 5.687836, -1.199175, -0.560995>,
      < 5.687003, -1.162317, -0.623326>
    }
    triangle {
      < 6.327780, -1.025106, -0.501395>,
      < 6.327821, -1.046380, -0.467604>,
      < 6.011443, -1.133764, -0.519689>
    }
    triangle {
      < 6.327780, -1.025106, -0.501395>,
      < 6.011443, -1.133764, -0.519689>,
      < 6.008955, -1.101318, -0.569938>
    }
    triangle {
      < 6.011443, -1.133764, -0.519689>,
      < 6.016039, -1.164004, -0.457629>,
      < 5.689370, -1.228825, -0.486926>
    }
    triangle {
      < 6.011443, -1.133764, -0.519689>,
      < 5.689370, -1.228825, -0.486926>,
      < 5.687836, -1.199175, -0.560995>
    }
    triangle {
      < 6.327821, -1.046380, -0.467604>,
      < 6.327874, -1.060603, -0.430494>,
      < 6.016039, -1.164004, -0.457629>
    }
    triangle {
      < 6.327821, -1.046380, -0.467604>,
      < 6.016039, -1.164004, -0.457629>,
      < 6.011443, -1.133764, -0.519689>
    }
    triangle {
      < 6.016039, -1.164004, -0.457629>,
      < 6.018540, -1.178815, -0.396762>,
      < 5.690213, -1.242257, -0.404590>
    }
    triangle {
      < 6.016039, -1.164004, -0.457629>,
      < 5.690213, -1.242257, -0.404590>,
      < 5.689370, -1.228825, -0.486926>
    }
    triangle {
      < 6.327874, -1.060603, -0.430494>,
      < 6.327931, -1.067360, -0.391140>,
      < 6.018540, -1.178815, -0.396762>
    }
    triangle {
      < 6.327874, -1.060603, -0.430494>,
      < 6.018540, -1.178815, -0.396762>,
      < 6.016039, -1.164004, -0.457629>
    }
    triangle {
      < 5.687038, -1.155631, -0.129675>,
      < 5.687860, -1.208026, -0.200122>,
      < 6.011588, -1.125804, -0.195218>
    }
    triangle {
      < 5.687038, -1.155631, -0.129675>,
      < 6.011588, -1.125804, -0.195218>,
      < 6.009151, -1.047794, -0.143778>
    }
    triangle {
      < 6.009151, -1.047794, -0.143778>,
      < 6.011588, -1.125804, -0.195218>,
      < 6.328286, -0.979403, -0.208521>
    }
    triangle {
      < 6.009151, -1.047794, -0.143778>,
      < 6.328286, -0.979403, -0.208521>,
      < 6.328406, -0.878907, -0.173387>
    }
    triangle {
      < 5.687860, -1.208026, -0.200122>,
      < 5.689415, -1.235864, -0.294607>,
      < 6.016153, -1.169002, -0.286397>
    }
    triangle {
      < 5.687860, -1.208026, -0.200122>,
      < 6.016153, -1.169002, -0.286397>,
      < 6.011588, -1.125804, -0.195218>
    }
    triangle {
      < 6.011588, -1.125804, -0.195218>,
      < 6.016153, -1.169002, -0.286397>,
      < 6.328115, -1.047013, -0.286642>
    }
    triangle {
      < 6.011588, -1.125804, -0.195218>,
      < 6.328115, -1.047013, -0.286642>,
      < 6.328286, -0.979403, -0.208521>
    }
    triangle {
      < 5.689415, -1.235864, -0.294607>,
      < 5.690213, -1.242257, -0.404590>,
      < 6.018540, -1.178815, -0.396762>
    }
    triangle {
      < 5.689415, -1.235864, -0.294607>,
      < 6.018540, -1.178815, -0.396762>,
      < 6.016153, -1.169002, -0.286397>
    }
    triangle {
      < 6.016153, -1.169002, -0.286397>,
      < 6.018540, -1.178815, -0.396762>,
      < 6.327931, -1.067360, -0.391140>
    }
    triangle {
      < 6.016153, -1.169002, -0.286397>,
      < 6.327931, -1.067360, -0.391140>,
      < 6.328115, -1.047013, -0.286642>
    }
    triangle {
      < 5.688563, -0.507517, -0.257428>,
      < 6.015269, -0.570819, -0.262888>,
      < 6.018297, -0.553253, -0.396581>
    }
    triangle {
      < 5.688563, -0.507517, -0.257428>,
      < 6.018297, -0.553253, -0.396581>,
      < 5.690060, -0.493456, -0.404371>
    }
    triangle {
      < 5.685752, -0.558997, -0.137962>,
      < 6.009486, -0.633650, -0.153650>,
      < 6.015269, -0.570819, -0.262888>
    }
    triangle {
      < 5.685752, -0.558997, -0.137962>,
      < 6.015269, -0.570819, -0.262888>,
      < 5.688563, -0.507517, -0.257428>
    }
    triangle {
      < 5.684205, -0.649051, -0.060779>,
      < 6.006310, -0.735247, -0.101857>,
      < 6.009486, -0.633650, -0.153650>
    }
    triangle {
      < 5.684205, -0.649051, -0.060779>,
      < 6.009486, -0.633650, -0.153650>,
      < 5.685752, -0.558997, -0.137962>
    }
    triangle {
      < 6.015269, -0.570819, -0.262888>,
      < 6.328359, -0.686142, -0.277621>,
      < 6.328190, -0.661085, -0.391015>
    }
    triangle {
      < 6.015269, -0.570819, -0.262888>,
      < 6.328190, -0.661085, -0.391015>,
      < 6.018297, -0.553253, -0.396581>
    }
    triangle {
      < 6.009486, -0.633650, -0.153650>,
      < 6.328439, -0.765491, -0.198343>,
      < 6.328359, -0.686142, -0.277621>
    }
    triangle {
      < 6.009486, -0.633650, -0.153650>,
      < 6.328359, -0.686142, -0.277621>,
      < 6.015269, -0.570819, -0.262888>
    }
    triangle {
      < 6.006310, -0.735247, -0.101857>,
      < 6.328406, -0.878907, -0.173387>,
      < 6.328439, -0.765491, -0.198343>
    }
    triangle {
      < 6.006310, -0.735247, -0.101857>,
      < 6.328439, -0.765491, -0.198343>,
      < 6.009486, -0.633650, -0.153650>
    }
    triangle {
      < 5.528380, -0.691636, -0.016685>,
      < 5.706993, -0.777844, -0.021623>,
      < 5.855963, -0.750164, -0.045757>
    }
    triangle {
      < 5.528380, -0.691636, -0.016685>,
      < 5.855963, -0.750164, -0.045757>,
      < 5.613713, -0.663960, -0.032833>
    }
    triangle {
      < 5.613713, -0.663960, -0.032833>,
      < 5.855963, -0.750164, -0.045757>,
      < 6.006310, -0.735247, -0.101857>
    }
    triangle {
      < 5.613713, -0.663960, -0.032833>,
      < 6.006310, -0.735247, -0.101857>,
      < 5.684205, -0.649051, -0.060779>
    }
    triangle {
      < 5.546714, -0.792750, -0.001322>,
      < 5.639017, -0.878959, 0.000503>,
      < 5.873266, -0.878948, -0.034969>
    }
    triangle {
      < 5.546714, -0.792750, -0.001322>,
      < 5.873266, -0.878948, -0.034969>,
      < 5.706993, -0.777844, -0.021623>
    }
    triangle {
      < 5.706993, -0.777844, -0.021623>,
      < 5.873266, -0.878948, -0.034969>,
      < 6.107564, -0.878932, -0.089585>
    }
    triangle {
      < 5.706993, -0.777844, -0.021623>,
      < 6.107564, -0.878932, -0.089585>,
      < 5.855963, -0.750164, -0.045757>
    }
    triangle {
      < 5.855963, -0.750164, -0.045757>,
      < 6.107564, -0.878932, -0.089585>,
      < 6.328406, -0.878907, -0.173387>
    }
    triangle {
      < 5.855963, -0.750164, -0.045757>,
      < 6.328406, -0.878907, -0.173387>,
      < 6.006310, -0.735247, -0.101857>
    }
    triangle {
      < 6.328406, -0.878907, -0.173387>,
      < 6.107564, -0.878932, -0.089585>,
      < 5.858065, -1.031987, -0.075274>
    }
    triangle {
      < 6.328406, -0.878907, -0.173387>,
      < 5.858065, -1.031987, -0.075274>,
      < 6.009151, -1.047794, -0.143778>
    }
    triangle {
      < 6.009151, -1.047794, -0.143778>,
      < 5.858065, -1.031987, -0.075274>,
      < 5.615811, -1.139820, -0.079466>
    }
    triangle {
      < 6.009151, -1.047794, -0.143778>,
      < 5.615811, -1.139820, -0.079466>,
      < 5.687038, -1.155631, -0.129675>
    }
    triangle {
      < 6.107564, -0.878932, -0.089585>,
      < 5.873266, -0.878948, -0.034969>,
      < 5.707728, -1.002608, -0.034084>
    }
    triangle {
      < 6.107564, -0.878932, -0.089585>,
      < 5.707728, -1.002608, -0.034084>,
      < 5.858065, -1.031987, -0.075274>
    }
    triangle {
      < 5.858065, -1.031987, -0.075274>,
      < 5.707728, -1.002608, -0.034084>,
      < 5.529113, -1.110440, -0.039063>
    }
    triangle {
      < 5.858065, -1.031987, -0.075274>,
      < 5.529113, -1.110440, -0.039063>,
      < 5.615811, -1.139820, -0.079466>
    }
    triangle {
      < 5.873266, -0.878948, -0.034969>,
      < 5.639017, -0.878959, 0.000503>,
      < 5.546713, -0.986791, -0.001379>
    }
    triangle {
      < 5.873266, -0.878948, -0.034969>,
      < 5.546713, -0.986791, -0.001379>,
      < 5.707728, -1.002608, -0.034084>
    }
    texture {eng_cowl}
  }
  union {
    triangle {
      < 5.998140, -0.884342, 0.130861>,
      < 5.998197, -0.746901, 0.161190>,
      < 5.998158, -0.650788, 0.257330>
    }
    triangle {
      < 5.998140, -0.884342, 0.130861>,
      < 5.998158, -0.650788, 0.257330>,
      < 5.998035, -0.620501, 0.394780>
    }
    triangle {
      < 5.998140, -0.884342, 0.130861>,
      < 5.998035, -0.620501, 0.394780>,
      < 5.997882, -0.663074, 0.516632>
    }
    triangle {
      < 5.998140, -0.884342, 0.130861>,
      < 5.997882, -0.663074, 0.516632>,
      < 5.997736, -0.757787, 0.598602>
    }
    triangle {
      < 5.998140, -0.884342, 0.130861>,
      < 5.997736, -0.757787, 0.598602>,
      < 5.997633, -0.884487, 0.623250>
    }
    triangle {
      < 5.998140, -0.884342, 0.130861>,
      < 5.997633, -0.884487, 0.623250>,
      < 5.997604, -0.951971, 0.608694>
    }
    triangle {
      < 5.998140, -0.884342, 0.130861>,
      < 5.997604, -0.951971, 0.608694>,
      < 5.997600, -1.012256, 0.576406>
    }
    triangle {
      < 5.998140, -0.884342, 0.130861>,
      < 5.997600, -1.012256, 0.576406>,
      < 5.997618, -1.061768, 0.528297>
    }
    triangle {
      < 5.998140, -0.884342, 0.130861>,
      < 5.997618, -1.061768, 0.528297>,
      < 5.997643, -1.087528, 0.487327>
    }
    triangle {
      < 5.998140, -0.884342, 0.130861>,
      < 5.997643, -1.087528, 0.487327>,
      < 5.997680, -1.104738, 0.442341>
    }
    triangle {
      < 5.998140, -0.884342, 0.130861>,
      < 5.997680, -1.104738, 0.442341>,
      < 5.997724, -1.112900, 0.394640>
    }
    triangle {
      < 5.998140, -0.884342, 0.130861>,
      < 5.997724, -1.112900, 0.394640>,
      < 5.997870, -1.088165, 0.268004>
    }
    triangle {
      < 5.998140, -0.884342, 0.130861>,
      < 5.997870, -1.088165, 0.268004>,
      < 5.998021, -1.006167, 0.173371>
    }
    triangle {
      < 5.998140, -0.884342, 0.130861>,
      < 5.998021, -1.006167, 0.173371>,
      < 5.998140, -0.884342, 0.130861>
    }
    triangle {
      < 6.328556, -0.765609, 0.199009>,
      < 5.998197, -0.746901, 0.161190>,
      < 5.998140, -0.884342, 0.130861>
    }
    triangle {
      < 6.328556, -0.765609, 0.199009>,
      < 5.998140, -0.884342, 0.130861>,
      < 6.328509, -0.879010, 0.173985>
    }
    triangle {
      < 6.328523, -0.686307, 0.278334>,
      < 5.998158, -0.650788, 0.257330>,
      < 5.998197, -0.746901, 0.161190>
    }
    triangle {
      < 6.328523, -0.686307, 0.278334>,
      < 5.998197, -0.746901, 0.161190>,
      < 6.328556, -0.765609, 0.199009>
    }
    triangle {
      < 6.328422, -0.661317, 0.391743>,
      < 5.998035, -0.620501, 0.394780>,
      < 5.998158, -0.650788, 0.257330>
    }
    triangle {
      < 6.328422, -0.661317, 0.391743>,
      < 5.998158, -0.650788, 0.257330>,
      < 6.328523, -0.686307, 0.278334>
    }
    triangle {
      < 6.328296, -0.696444, 0.492282>,
      < 5.997882, -0.663074, 0.516632>,
      < 5.998035, -0.620501, 0.394780>
    }
    triangle {
      < 6.328296, -0.696444, 0.492282>,
      < 5.998035, -0.620501, 0.394780>,
      < 6.328422, -0.661317, 0.391743>
    }
    triangle {
      < 6.328176, -0.774591, 0.559915>,
      < 5.997736, -0.757787, 0.598602>,
      < 5.997882, -0.663074, 0.516632>
    }
    triangle {
      < 6.328176, -0.774591, 0.559915>,
      < 5.997882, -0.663074, 0.516632>,
      < 6.328296, -0.696444, 0.492282>
    }
    triangle {
      < 6.328090, -0.879130, 0.580252>,
      < 5.997633, -0.884487, 0.623250>,
      < 5.997736, -0.757787, 0.598602>
    }
    triangle {
      < 6.328090, -0.879130, 0.580252>,
      < 5.997736, -0.757787, 0.598602>,
      < 6.328176, -0.774591, 0.559915>
    }
    triangle {
      < 6.328067, -0.934811, 0.568242>,
      < 5.997604, -0.951971, 0.608694>,
      < 5.997633, -0.884487, 0.623250>
    }
    triangle {
      < 6.328067, -0.934811, 0.568242>,
      < 5.997633, -0.884487, 0.623250>,
      < 6.328090, -0.879130, 0.580252>
    }
    triangle {
      < 6.328063, -0.984551, 0.541601>,
      < 5.997600, -1.012256, 0.576406>,
      < 5.997604, -0.951971, 0.608694>
    }
    triangle {
      < 6.328063, -0.984551, 0.541601>,
      < 5.997604, -0.951971, 0.608694>,
      < 6.328067, -0.934811, 0.568242>
    }
    triangle {
      < 6.328078, -1.025403, 0.501907>,
      < 5.997618, -1.061768, 0.528297>,
      < 5.997600, -1.012256, 0.576406>
    }
    triangle {
      < 6.328078, -1.025403, 0.501907>,
      < 5.997600, -1.012256, 0.576406>,
      < 6.328063, -0.984551, 0.541601>
    }
    triangle {
      < 6.328099, -1.046658, 0.468103>,
      < 5.997643, -1.087528, 0.487327>,
      < 5.997618, -1.061768, 0.528297>
    }
    triangle {
      < 6.328099, -1.046658, 0.468103>,
      < 5.997618, -1.061768, 0.528297>,
      < 6.328078, -1.025403, 0.501907>
    }
    triangle {
      < 6.328129, -1.060858, 0.430985>,
      < 5.997680, -1.104738, 0.442341>,
      < 5.997643, -1.087528, 0.487327>
    }
    triangle {
      < 6.328129, -1.060858, 0.430985>,
      < 5.997643, -1.087528, 0.487327>,
      < 6.328099, -1.046658, 0.468103>
    }
    triangle {
      < 6.328165, -1.067592, 0.391627>,
      < 5.997724, -1.112900, 0.394640>,
      < 5.997680, -1.104738, 0.442341>
    }
    triangle {
      < 6.328165, -1.067592, 0.391627>,
      < 5.997680, -1.104738, 0.442341>,
      < 6.328129, -1.060858, 0.430985>
    }
    triangle {
      < 6.328286, -1.047183, 0.287141>,
      < 5.997870, -1.088165, 0.268004>,
      < 5.997724, -1.112900, 0.394640>
    }
    triangle {
      < 6.328286, -1.047183, 0.287141>,
      < 5.997724, -1.112900, 0.394640>,
      < 6.328165, -1.067592, 0.391627>
    }
    triangle {
      < 6.328410, -0.979527, 0.209060>,
      < 5.998021, -1.006167, 0.173371>,
      < 5.997870, -1.088165, 0.268004>
    }
    triangle {
      < 6.328410, -0.979527, 0.209060>,
      < 5.997870, -1.088165, 0.268004>,
      < 6.328286, -1.047183, 0.287141>
    }
    triangle {
      < 6.328509, -0.879010, 0.173985>,
      < 5.998140, -0.884342, 0.130861>,
      < 5.998021, -1.006167, 0.173371>
    }
    triangle {
      < 6.328509, -0.879010, 0.173985>,
      < 5.998021, -1.006167, 0.173371>,
      < 6.328410, -0.979527, 0.209060>
    }
    triangle {
      < 5.993434, -0.888239, -0.129608>,
      < 5.993291, -1.008578, -0.171679>,
      < 5.993086, -1.089538, -0.265226>
    }
    triangle {
      < 5.993434, -0.888239, -0.129608>,
      < 5.993086, -1.089538, -0.265226>,
      < 5.992866, -1.113903, -0.390357>
    }
    triangle {
      < 5.993434, -0.888239, -0.129608>,
      < 5.992866, -1.113903, -0.390357>,
      < 5.992797, -1.105812, -0.437482>
    }
    triangle {
      < 5.993434, -0.888239, -0.129608>,
      < 5.992797, -1.105812, -0.437482>,
      < 5.992733, -1.088780, -0.481919>
    }
    triangle {
      < 5.993434, -0.888239, -0.129608>,
      < 5.992733, -1.088780, -0.481919>,
      < 5.992684, -1.063305, -0.522383>
    }
    triangle {
      < 5.993434, -0.888239, -0.129608>,
      < 5.992684, -1.063305, -0.522383>,
      < 5.992642, -1.014358, -0.569886>
    }
    triangle {
      < 5.993434, -0.888239, -0.129608>,
      < 5.992642, -1.014358, -0.569886>,
      < 5.992625, -0.954778, -0.601753>
    }
    triangle {
      < 5.993434, -0.888239, -0.129608>,
      < 5.992625, -0.954778, -0.601753>,
      < 5.992644, -0.888095, -0.616093>
    }
    triangle {
      < 5.993434, -0.888239, -0.129608>,
      < 5.992644, -0.888095, -0.616093>,
      < 5.992764, -0.762927, -0.591666>
    }
    triangle {
      < 5.993434, -0.888239, -0.129608>,
      < 5.992764, -0.762927, -0.591666>,
      < 5.992953, -0.669399, -0.510624>
    }
    triangle {
      < 5.993434, -0.888239, -0.129608>,
      < 5.992953, -0.669399, -0.510624>,
      < 5.993176, -0.627407, -0.390208>
    }
    triangle {
      < 5.993434, -0.888239, -0.129608>,
      < 5.993176, -0.627407, -0.390208>,
      < 5.993378, -0.657411, -0.254423>
    }
    triangle {
      < 5.993434, -0.888239, -0.129608>,
      < 5.993378, -0.657411, -0.254423>,
      < 5.993474, -0.752428, -0.159491>
    }
    triangle {
      < 5.993434, -0.888239, -0.129608>,
      < 5.993474, -0.752428, -0.159491>,
      < 5.993434, -0.888239, -0.129608>
    }
    triangle {
      < 6.328406, -0.878907, -0.173387>,
      < 5.993434, -0.888239, -0.129608>,
      < 5.993474, -0.752428, -0.159491>
    }
    triangle {
      < 6.328406, -0.878907, -0.173387>,
      < 5.993474, -0.752428, -0.159491>,
      < 6.328439, -0.765491, -0.198343>
    }
    triangle {
      < 6.328439, -0.765491, -0.198343>,
      < 5.993474, -0.752428, -0.159491>,
      < 5.993378, -0.657411, -0.254423>
    }
    triangle {
      < 6.328439, -0.765491, -0.198343>,
      < 5.993378, -0.657411, -0.254423>,
      < 6.328359, -0.686142, -0.277621>
    }
    triangle {
      < 6.328359, -0.686142, -0.277621>,
      < 5.993378, -0.657411, -0.254423>,
      < 5.993176, -0.627407, -0.390208>
    }
    triangle {
      < 6.328359, -0.686142, -0.277621>,
      < 5.993176, -0.627407, -0.390208>,
      < 6.328190, -0.661085, -0.391015>
    }
    triangle {
      < 6.328190, -0.661085, -0.391015>,
      < 5.993176, -0.627407, -0.390208>,
      < 5.992953, -0.669399, -0.510624>
    }
    triangle {
      < 6.328190, -0.661085, -0.391015>,
      < 5.992953, -0.669399, -0.510624>,
      < 6.328004, -0.696153, -0.491575>
    }
    triangle {
      < 6.328004, -0.696153, -0.491575>,
      < 5.992953, -0.669399, -0.510624>,
      < 5.992764, -0.762927, -0.591666>
    }
    triangle {
      < 6.328004, -0.696153, -0.491575>,
      < 5.992764, -0.762927, -0.591666>,
      < 6.327846, -0.774259, -0.559254>
    }
    triangle {
      < 6.327846, -0.774259, -0.559254>,
      < 5.992764, -0.762927, -0.591666>,
      < 5.992644, -0.888095, -0.616093>
    }
    triangle {
      < 6.327846, -0.774259, -0.559254>,
      < 5.992644, -0.888095, -0.616093>,
      < 6.327746, -0.878787, -0.579653>
    }
    triangle {
      < 6.327746, -0.878787, -0.579653>,
      < 5.992644, -0.888095, -0.616093>,
      < 5.992625, -0.954778, -0.601753>
    }
    triangle {
      < 6.327746, -0.878787, -0.579653>,
      < 5.992625, -0.954778, -0.601753>,
      < 6.327730, -0.934474, -0.567677>
    }
    triangle {
      < 6.327730, -0.934474, -0.567677>,
      < 5.992625, -0.954778, -0.601753>,
      < 5.992642, -1.014358, -0.569886>
    }
    triangle {
      < 6.327730, -0.934474, -0.567677>,
      < 5.992642, -1.014358, -0.569886>,
      < 6.327744, -0.984230, -0.541065>
    }
    triangle {
      < 6.327744, -0.984230, -0.541065>,
      < 5.992642, -1.014358, -0.569886>,
      < 5.992684, -1.063305, -0.522383>
    }
    triangle {
      < 6.327744, -0.984230, -0.541065>,
      < 5.992684, -1.063305, -0.522383>,
      < 6.327780, -1.025106, -0.501395>
    }
    triangle {
      < 6.327780, -1.025106, -0.501395>,
      < 5.992684, -1.063305, -0.522383>,
      < 5.992733, -1.088780, -0.481919>
    }
    triangle {
      < 6.327780, -1.025106, -0.501395>,
      < 5.992733, -1.088780, -0.481919>,
      < 6.327821, -1.046380, -0.467604>
    }
    triangle {
      < 6.327821, -1.046380, -0.467604>,
      < 5.992733, -1.088780, -0.481919>,
      < 5.992797, -1.105812, -0.437482>
    }
    triangle {
      < 6.327821, -1.046380, -0.467604>,
      < 5.992797, -1.105812, -0.437482>,
      < 6.327874, -1.060603, -0.430494>
    }
    triangle {
      < 6.327874, -1.060603, -0.430494>,
      < 5.992797, -1.105812, -0.437482>,
      < 5.992866, -1.113903, -0.390357>
    }
    triangle {
      < 6.327874, -1.060603, -0.430494>,
      < 5.992866, -1.113903, -0.390357>,
      < 6.327931, -1.067360, -0.391140>
    }
    triangle {
      < 6.327931, -1.067360, -0.391140>,
      < 5.992866, -1.113903, -0.390357>,
      < 5.993086, -1.089538, -0.265226>
    }
    triangle {
      < 6.327931, -1.067360, -0.391140>,
      < 5.993086, -1.089538, -0.265226>,
      < 6.328115, -1.047013, -0.286642>
    }
    triangle {
      < 6.328115, -1.047013, -0.286642>,
      < 5.993086, -1.089538, -0.265226>,
      < 5.993291, -1.008578, -0.171679>
    }
    triangle {
      < 6.328115, -1.047013, -0.286642>,
      < 5.993291, -1.008578, -0.171679>,
      < 6.328286, -0.979403, -0.208521>
    }
    triangle {
      < 6.328286, -0.979403, -0.208521>,
      < 5.993291, -1.008578, -0.171679>,
      < 5.993434, -0.888239, -0.129608>
    }
    triangle {
      < 6.328286, -0.979403, -0.208521>,
      < 5.993434, -0.888239, -0.129608>,
      < 6.328406, -0.878907, -0.173387>
    }
    triangle {
      < 0.691843, -0.879752, -0.894809>,
      < 0.691836, -0.927247, -0.921511>,
      < 0.691830, -0.981754, -0.937808>
    }
    triangle {
      < 0.691843, -0.879752, -0.894809>,
      < 0.691830, -0.981754, -0.937808>,
      < 0.691829, -1.042053, -0.943333>
    }
    triangle {
      < 0.691843, -0.879752, -0.894809>,
      < 0.691829, -1.042053, -0.943333>,
      < 0.691835, -1.194367, -0.920162>
    }
    triangle {
      < 0.691843, -0.879752, -0.894809>,
      < 0.691835, -1.194367, -0.920162>,
      < 0.691858, -1.331245, -0.845546>
    }
    triangle {
      < 0.691843, -0.879752, -0.894809>,
      < 0.691858, -1.331245, -0.845546>,
      < 0.691893, -1.422959, -0.726095>
    }
    triangle {
      < 0.691843, -0.879752, -0.894809>,
      < 0.691893, -1.422959, -0.726095>,
      < 0.691904, -1.435500, -0.689421>
    }
    triangle {
      < 0.691843, -0.879752, -0.894809>,
      < 0.691904, -1.435500, -0.689421>,
      < 0.691915, -1.442727, -0.650390>
    }
    triangle {
      < 0.691843, -0.879752, -0.894809>,
      < 0.691915, -1.442727, -0.650390>,
      < 0.691928, -1.444152, -0.609112>
    }
    triangle {
      < 0.691843, -0.879752, -0.894809>,
      < 0.691928, -1.444152, -0.609112>,
      < 0.691977, -1.409392, -0.442920>
    }
    triangle {
      < 0.691843, -0.879752, -0.894809>,
      < 0.691977, -1.409392, -0.442920>,
      < 0.692006, -1.305326, -0.344267>
    }
    triangle {
      < 0.691843, -0.879752, -0.894809>,
      < 0.692006, -1.305326, -0.344267>,
      < 0.692015, -1.132454, -0.312547>
    }
    triangle {
      < 0.691843, -0.879752, -0.894809>,
      < 0.692015, -1.132454, -0.312547>,
      < 0.692207, -1.091123, -0.337514>
    }
    triangle {
      < 0.691843, -0.879752, -0.894809>,
      < 0.692207, -1.091123, -0.337514>,
      < 0.692214, -1.047044, -0.358819>
    }
    triangle {
      < 0.691843, -0.879752, -0.894809>,
      < 0.692214, -1.047044, -0.358819>,
      < 0.692220, -1.000414, -0.378648>
    }
    triangle {
      < 0.691843, -0.879752, -0.894809>,
      < 0.692220, -1.000414, -0.378648>,
      < 0.692225, -0.951239, -0.396995>
    }
    triangle {
      < 0.691843, -0.879752, -0.894809>,
      < 0.692225, -0.951239, -0.396995>,
      < 0.691986, -0.899286, -0.411527>
    }
    triangle {
      < 0.691843, -0.879752, -0.894809>,
      < 0.691986, -0.899286, -0.411527>,
      < 0.691932, -0.801342, -0.594134>
    }
    triangle {
      < 0.691843, -0.879752, -0.894809>,
      < 0.691932, -0.801342, -0.594134>,
      < 0.691881, -0.794381, -0.765965>
    }
    triangle {
      < 0.703637, -0.918378, -0.870311>,
      < 0.703631, -0.961010, -0.894278>,
      < 0.703626, -1.009934, -0.908906>
    }
    triangle {
      < 0.703637, -0.918378, -0.870311>,
      < 0.703626, -1.009934, -0.908906>,
      < 0.703625, -1.064058, -0.913865>
    }
    triangle {
      < 0.703637, -0.918378, -0.870311>,
      < 0.703625, -1.064058, -0.913865>,
      < 0.703630, -1.200774, -0.893067>
    }
    triangle {
      < 0.703637, -0.918378, -0.870311>,
      < 0.703630, -1.200774, -0.893067>,
      < 0.703651, -1.323634, -0.826093>
    }
    triangle {
      < 0.703637, -0.918378, -0.870311>,
      < 0.703651, -1.323634, -0.826093>,
      < 0.703682, -1.405955, -0.718875>
    }
    triangle {
      < 0.703637, -0.918378, -0.870311>,
      < 0.703682, -1.405955, -0.718875>,
      < 0.703692, -1.417212, -0.685957>
    }
    triangle {
      < 0.703637, -0.918378, -0.870311>,
      < 0.703692, -1.417212, -0.685957>,
      < 0.703702, -1.423699, -0.650923>
    }
    triangle {
      < 0.703637, -0.918378, -0.870311>,
      < 0.703702, -1.423699, -0.650923>,
      < 0.703714, -1.424978, -0.613872>
    }
    triangle {
      < 0.703637, -0.918378, -0.870311>,
      < 0.703714, -1.424978, -0.613872>,
      < 0.703758, -1.393778, -0.464700>
    }
    triangle {
      < 0.703637, -0.918378, -0.870311>,
      < 0.703758, -1.393778, -0.464700>,
      < 0.703784, -1.300369, -0.376150>
    }
    triangle {
      < 0.703637, -0.918378, -0.870311>,
      < 0.703784, -1.300369, -0.376150>,
      < 0.703792, -1.145201, -0.348647>
    }
    triangle {
      < 0.703637, -0.918378, -0.870311>,
      < 0.703792, -1.145201, -0.348647>,
      < 0.703964, -1.108103, -0.370089>
    }
    triangle {
      < 0.703637, -0.918378, -0.870311>,
      < 0.703964, -1.108103, -0.370089>,
      < 0.703970, -1.068538, -0.389212>
    }
    triangle {
      < 0.703637, -0.918378, -0.870311>,
      < 0.703970, -1.068538, -0.389212>,
      < 0.703976, -1.026683, -0.407010>
    }
    triangle {
      < 0.703637, -0.918378, -0.870311>,
      < 0.703976, -1.026683, -0.407010>,
      < 0.703980, -0.982545, -0.423478>
    }
    triangle {
      < 0.703637, -0.918378, -0.870311>,
      < 0.703980, -0.982545, -0.423478>,
      < 0.703766, -0.935913, -0.437490>
    }
    triangle {
      < 0.703637, -0.918378, -0.870311>,
      < 0.703766, -0.935913, -0.437490>,
      < 0.703717, -0.847999, -0.600428>
    }
    triangle {
      < 0.703637, -0.918378, -0.870311>,
      < 0.703717, -0.847999, -0.600428>,
      < 0.703672, -0.841750, -0.754662>
    }
    triangle {
      < 0.689200, -0.902473, -0.879488>,
      < 0.689193, -0.946881, -0.904454>,
      < 0.689187, -0.997844, -0.919692>
    }
    triangle {
      < 0.689200, -0.902473, -0.879488>,
      < 0.689187, -0.997844, -0.919692>,
      < 0.689187, -1.054223, -0.924858>
    }
    triangle {
      < 0.689200, -0.902473, -0.879488>,
      < 0.689187, -1.054223, -0.924858>,
      < 0.689192, -1.196635, -0.903193>
    }
    triangle {
      < 0.689200, -0.902473, -0.879488>,
      < 0.689192, -1.196635, -0.903193>,
      < 0.689214, -1.324614, -0.833428>
    }
    triangle {
      < 0.689200, -0.902473, -0.879488>,
      < 0.689214, -1.324614, -0.833428>,
      < 0.689246, -1.410366, -0.721743>
    }
    triangle {
      < 0.689200, -0.902473, -0.879488>,
      < 0.689246, -1.410366, -0.721743>,
      < 0.689257, -1.422091, -0.687453>
    }
    triangle {
      < 0.689200, -0.902473, -0.879488>,
      < 0.689257, -1.422091, -0.687453>,
      < 0.689267, -1.428849, -0.650959>
    }
    triangle {
      < 0.689200, -0.902473, -0.879488>,
      < 0.689267, -1.428849, -0.650959>,
      < 0.689279, -1.430181, -0.612365>
    }
    triangle {
      < 0.689200, -0.902473, -0.879488>,
      < 0.689279, -1.430181, -0.612365>,
      < 0.689325, -1.397681, -0.456977>
    }
    triangle {
      < 0.689200, -0.902473, -0.879488>,
      < 0.689325, -1.397681, -0.456977>,
      < 0.689352, -1.300380, -0.364738>
    }
    triangle {
      < 0.689200, -0.902473, -0.879488>,
      < 0.689352, -1.300380, -0.364738>,
      < 0.689360, -1.138747, -0.336089>
    }
    triangle {
      < 0.689200, -0.902473, -0.879488>,
      < 0.689360, -1.138747, -0.336089>,
      < 0.689540, -1.100103, -0.358424>
    }
    triangle {
      < 0.689200, -0.902473, -0.879488>,
      < 0.689540, -1.100103, -0.358424>,
      < 0.689547, -1.058889, -0.378344>
    }
    triangle {
      < 0.689200, -0.902473, -0.879488>,
      < 0.689547, -1.058889, -0.378344>,
      < 0.689552, -1.015291, -0.396884>
    }
    triangle {
      < 0.689200, -0.902473, -0.879488>,
      < 0.689552, -1.015291, -0.396884>,
      < 0.689557, -0.969313, -0.414038>
    }
    triangle {
      < 0.689200, -0.902473, -0.879488>,
      < 0.689557, -0.969313, -0.414038>,
      < 0.689333, -0.920738, -0.428634>
    }
    triangle {
      < 0.689200, -0.902473, -0.879488>,
      < 0.689333, -0.920738, -0.428634>,
      < 0.689283, -0.829161, -0.598361>
    }
    triangle {
      < 0.689200, -0.902473, -0.879488>,
      < 0.689283, -0.829161, -0.598361>,
      < 0.689235, -0.822652, -0.759021>
    }
    triangle {
      < 0.923961, -0.921093, -0.874037>,
      < 0.923954, -0.962828, -0.897501>,
      < 0.923949, -1.010726, -0.911822>
    }
    triangle {
      < 0.923961, -0.921093, -0.874037>,
      < 0.923949, -1.010726, -0.911822>,
      < 0.923948, -1.063713, -0.916677>
    }
    triangle {
      < 0.923961, -0.921093, -0.874037>,
      < 0.923948, -1.063713, -0.916677>,
      < 0.923954, -1.197557, -0.896316>
    }
    triangle {
      < 0.923961, -0.921093, -0.874037>,
      < 0.923954, -1.197557, -0.896316>,
      < 0.923974, -1.317837, -0.830748>
    }
    triangle {
      < 0.923961, -0.921093, -0.874037>,
      < 0.923974, -1.317837, -0.830748>,
      < 0.924004, -1.398430, -0.725781>
    }
    triangle {
      < 0.923961, -0.921093, -0.874037>,
      < 0.924004, -1.398430, -0.725781>,
      < 0.924014, -1.409451, -0.693555>
    }
    triangle {
      < 0.923961, -0.921093, -0.874037>,
      < 0.924014, -1.409451, -0.693555>,
      < 0.924024, -1.415801, -0.659257>
    }
    triangle {
      < 0.923961, -0.921093, -0.874037>,
      < 0.924024, -1.415801, -0.659257>,
      < 0.924035, -1.417053, -0.622984>
    }
    triangle {
      < 0.923961, -0.921093, -0.874037>,
      < 0.924035, -1.417053, -0.622984>,
      < 0.924078, -1.386508, -0.476944>
    }
    triangle {
      < 0.923961, -0.921093, -0.874037>,
      < 0.924078, -1.386508, -0.476944>,
      < 0.924104, -1.295061, -0.390254>
    }
    triangle {
      < 0.923961, -0.921093, -0.874037>,
      < 0.924104, -1.295061, -0.390254>,
      < 0.924112, -1.143152, -0.363329>
    }
    triangle {
      < 0.923961, -0.921093, -0.874037>,
      < 0.924112, -1.143152, -0.363329>,
      < 0.924280, -1.106833, -0.384320>
    }
    triangle {
      < 0.923961, -0.921093, -0.874037>,
      < 0.924280, -1.106833, -0.384320>,
      < 0.924287, -1.068099, -0.403041>
    }
    triangle {
      < 0.923961, -0.921093, -0.874037>,
      < 0.924287, -1.068099, -0.403041>,
      < 0.924292, -1.027123, -0.420466>
    }
    triangle {
      < 0.923961, -0.921093, -0.874037>,
      < 0.924292, -1.027123, -0.420466>,
      < 0.924296, -0.983911, -0.436588>
    }
    triangle {
      < 0.923961, -0.921093, -0.874037>,
      < 0.924296, -0.983911, -0.436588>,
      < 0.924086, -0.938259, -0.450306>
    }
    triangle {
      < 0.923961, -0.921093, -0.874037>,
      < 0.924086, -0.938259, -0.450306>,
      < 0.924039, -0.852191, -0.609822>
    }
    triangle {
      < 0.923961, -0.921093, -0.874037>,
      < 0.924039, -0.852191, -0.609822>,
      < 0.923994, -0.846074, -0.760817>
    }
    triangle {
      < 0.691836, -0.927247, -0.921511>,
      < 0.689193, -0.946881, -0.904454>,
      < 0.689200, -0.902473, -0.879488>
    }
    triangle {
      < 0.691836, -0.927247, -0.921511>,
      < 0.689200, -0.902473, -0.879488>,
      < 0.691843, -0.879752, -0.894809>
    }
    triangle {
      < 0.691830, -0.981754, -0.937808>,
      < 0.689187, -0.997844, -0.919692>,
      < 0.689193, -0.946881, -0.904454>
    }
    triangle {
      < 0.691830, -0.981754, -0.937808>,
      < 0.689193, -0.946881, -0.904454>,
      < 0.691836, -0.927247, -0.921511>
    }
    triangle {
      < 0.691829, -1.042053, -0.943333>,
      < 0.689187, -1.054223, -0.924858>,
      < 0.689187, -0.997844, -0.919692>
    }
    triangle {
      < 0.691829, -1.042053, -0.943333>,
      < 0.689187, -0.997844, -0.919692>,
      < 0.691830, -0.981754, -0.937808>
    }
    triangle {
      < 0.691835, -1.194367, -0.920162>,
      < 0.689192, -1.196635, -0.903193>,
      < 0.689187, -1.054223, -0.924858>
    }
    triangle {
      < 0.691835, -1.194367, -0.920162>,
      < 0.689187, -1.054223, -0.924858>,
      < 0.691829, -1.042053, -0.943333>
    }
    triangle {
      < 0.691858, -1.331245, -0.845546>,
      < 0.689214, -1.324614, -0.833428>,
      < 0.689192, -1.196635, -0.903193>
    }
    triangle {
      < 0.691858, -1.331245, -0.845546>,
      < 0.689192, -1.196635, -0.903193>,
      < 0.691835, -1.194367, -0.920162>
    }
    triangle {
      < 0.691893, -1.422959, -0.726095>,
      < 0.689246, -1.410366, -0.721743>,
      < 0.689214, -1.324614, -0.833428>
    }
    triangle {
      < 0.691893, -1.422959, -0.726095>,
      < 0.689214, -1.324614, -0.833428>,
      < 0.691858, -1.331245, -0.845546>
    }
    triangle {
      < 0.691904, -1.435500, -0.689421>,
      < 0.689257, -1.422091, -0.687453>,
      < 0.689246, -1.410366, -0.721743>
    }
    triangle {
      < 0.691904, -1.435500, -0.689421>,
      < 0.689246, -1.410366, -0.721743>,
      < 0.691893, -1.422959, -0.726095>
    }
    triangle {
      < 0.691915, -1.442727, -0.650390>,
      < 0.689267, -1.428849, -0.650959>,
      < 0.689257, -1.422091, -0.687453>
    }
    triangle {
      < 0.691915, -1.442727, -0.650390>,
      < 0.689257, -1.422091, -0.687453>,
      < 0.691904, -1.435500, -0.689421>
    }
    triangle {
      < 0.691928, -1.444152, -0.609112>,
      < 0.689279, -1.430181, -0.612365>,
      < 0.689267, -1.428849, -0.650959>
    }
    triangle {
      < 0.691928, -1.444152, -0.609112>,
      < 0.689267, -1.428849, -0.650959>,
      < 0.691915, -1.442727, -0.650390>
    }
    triangle {
      < 0.691977, -1.409392, -0.442920>,
      < 0.689325, -1.397681, -0.456977>,
      < 0.689279, -1.430181, -0.612365>
    }
    triangle {
      < 0.691977, -1.409392, -0.442920>,
      < 0.689279, -1.430181, -0.612365>,
      < 0.691928, -1.444152, -0.609112>
    }
    triangle {
      < 0.692006, -1.305326, -0.344267>,
      < 0.689352, -1.300380, -0.364738>,
      < 0.689325, -1.397681, -0.456977>
    }
    triangle {
      < 0.692006, -1.305326, -0.344267>,
      < 0.689325, -1.397681, -0.456977>,
      < 0.691977, -1.409392, -0.442920>
    }
    triangle {
      < 0.692015, -1.132454, -0.312547>,
      < 0.689360, -1.138747, -0.336089>,
      < 0.689352, -1.300380, -0.364738>
    }
    triangle {
      < 0.692015, -1.132454, -0.312547>,
      < 0.689352, -1.300380, -0.364738>,
      < 0.692006, -1.305326, -0.344267>
    }
    triangle {
      < 0.692207, -1.091123, -0.337514>,
      < 0.689540, -1.100103, -0.358424>,
      < 0.689360, -1.138747, -0.336089>
    }
    triangle {
      < 0.692207, -1.091123, -0.337514>,
      < 0.689360, -1.138747, -0.336089>,
      < 0.692015, -1.132454, -0.312547>
    }
    triangle {
      < 0.692214, -1.047044, -0.358819>,
      < 0.689547, -1.058889, -0.378344>,
      < 0.689540, -1.100103, -0.358424>
    }
    triangle {
      < 0.692214, -1.047044, -0.358819>,
      < 0.689540, -1.100103, -0.358424>,
      < 0.692207, -1.091123, -0.337514>
    }
    triangle {
      < 0.692220, -1.000414, -0.378648>,
      < 0.689552, -1.015291, -0.396884>,
      < 0.689547, -1.058889, -0.378344>
    }
    triangle {
      < 0.692220, -1.000414, -0.378648>,
      < 0.689547, -1.058889, -0.378344>,
      < 0.692214, -1.047044, -0.358819>
    }
    triangle {
      < 0.692225, -0.951239, -0.396995>,
      < 0.689557, -0.969313, -0.414038>,
      < 0.689552, -1.015291, -0.396884>
    }
    triangle {
      < 0.692225, -0.951239, -0.396995>,
      < 0.689552, -1.015291, -0.396884>,
      < 0.692220, -1.000414, -0.378648>
    }
    triangle {
      < 0.691986, -0.899286, -0.411527>,
      < 0.689333, -0.920738, -0.428634>,
      < 0.689557, -0.969313, -0.414038>
    }
    triangle {
      < 0.691986, -0.899286, -0.411527>,
      < 0.689557, -0.969313, -0.414038>,
      < 0.692225, -0.951239, -0.396995>
    }
    triangle {
      < 0.691932, -0.801342, -0.594134>,
      < 0.689283, -0.829161, -0.598361>,
      < 0.689333, -0.920738, -0.428634>
    }
    triangle {
      < 0.691932, -0.801342, -0.594134>,
      < 0.689333, -0.920738, -0.428634>,
      < 0.691986, -0.899286, -0.411527>
    }
    triangle {
      < 0.691881, -0.794381, -0.765965>,
      < 0.689235, -0.822652, -0.759021>,
      < 0.689283, -0.829161, -0.598361>
    }
    triangle {
      < 0.691881, -0.794381, -0.765965>,
      < 0.689283, -0.829161, -0.598361>,
      < 0.691932, -0.801342, -0.594134>
    }
    triangle {
      < 0.691843, -0.879752, -0.894809>,
      < 0.689200, -0.902473, -0.879488>,
      < 0.689235, -0.822652, -0.759021>
    }
    triangle {
      < 0.691843, -0.879752, -0.894809>,
      < 0.689235, -0.822652, -0.759021>,
      < 0.691881, -0.794381, -0.765965>
    }
    triangle {
      < 0.689193, -0.946881, -0.904454>,
      < 0.703631, -0.961010, -0.894278>,
      < 0.703637, -0.918378, -0.870311>
    }
    triangle {
      < 0.689193, -0.946881, -0.904454>,
      < 0.703637, -0.918378, -0.870311>,
      < 0.689200, -0.902473, -0.879488>
    }
    triangle {
      < 0.689187, -0.997844, -0.919692>,
      < 0.703626, -1.009934, -0.908906>,
      < 0.703631, -0.961010, -0.894278>
    }
    triangle {
      < 0.689187, -0.997844, -0.919692>,
      < 0.703631, -0.961010, -0.894278>,
      < 0.689193, -0.946881, -0.904454>
    }
    triangle {
      < 0.689187, -1.054223, -0.924858>,
      < 0.703625, -1.064058, -0.913865>,
      < 0.703626, -1.009934, -0.908906>
    }
    triangle {
      < 0.689187, -1.054223, -0.924858>,
      < 0.703626, -1.009934, -0.908906>,
      < 0.689187, -0.997844, -0.919692>
    }
    triangle {
      < 0.689192, -1.196635, -0.903193>,
      < 0.703630, -1.200774, -0.893067>,
      < 0.703625, -1.064058, -0.913865>
    }
    triangle {
      < 0.689192, -1.196635, -0.903193>,
      < 0.703625, -1.064058, -0.913865>,
      < 0.689187, -1.054223, -0.924858>
    }
    triangle {
      < 0.689214, -1.324614, -0.833428>,
      < 0.703651, -1.323634, -0.826093>,
      < 0.703630, -1.200774, -0.893067>
    }
    triangle {
      < 0.689214, -1.324614, -0.833428>,
      < 0.703630, -1.200774, -0.893067>,
      < 0.689192, -1.196635, -0.903193>
    }
    triangle {
      < 0.689246, -1.410366, -0.721743>,
      < 0.703682, -1.405955, -0.718875>,
      < 0.703651, -1.323634, -0.826093>
    }
    triangle {
      < 0.689246, -1.410366, -0.721743>,
      < 0.703651, -1.323634, -0.826093>,
      < 0.689214, -1.324614, -0.833428>
    }
    triangle {
      < 0.689257, -1.422091, -0.687453>,
      < 0.703692, -1.417212, -0.685957>,
      < 0.703682, -1.405955, -0.718875>
    }
    triangle {
      < 0.689257, -1.422091, -0.687453>,
      < 0.703682, -1.405955, -0.718875>,
      < 0.689246, -1.410366, -0.721743>
    }
    triangle {
      < 0.689267, -1.428849, -0.650959>,
      < 0.703702, -1.423699, -0.650923>,
      < 0.703692, -1.417212, -0.685957>
    }
    triangle {
      < 0.689267, -1.428849, -0.650959>,
      < 0.703692, -1.417212, -0.685957>,
      < 0.689257, -1.422091, -0.687453>
    }
    triangle {
      < 0.689279, -1.430181, -0.612365>,
      < 0.703714, -1.424978, -0.613872>,
      < 0.703702, -1.423699, -0.650923>
    }
    triangle {
      < 0.689279, -1.430181, -0.612365>,
      < 0.703702, -1.423699, -0.650923>,
      < 0.689267, -1.428849, -0.650959>
    }
    triangle {
      < 0.689325, -1.397681, -0.456977>,
      < 0.703758, -1.393778, -0.464700>,
      < 0.703714, -1.424978, -0.613872>
    }
    triangle {
      < 0.689325, -1.397681, -0.456977>,
      < 0.703714, -1.424978, -0.613872>,
      < 0.689279, -1.430181, -0.612365>
    }
    triangle {
      < 0.689352, -1.300380, -0.364738>,
      < 0.703784, -1.300369, -0.376150>,
      < 0.703758, -1.393778, -0.464700>
    }
    triangle {
      < 0.689352, -1.300380, -0.364738>,
      < 0.703758, -1.393778, -0.464700>,
      < 0.689325, -1.397681, -0.456977>
    }
    triangle {
      < 0.689360, -1.138747, -0.336089>,
      < 0.703792, -1.145201, -0.348647>,
      < 0.703784, -1.300369, -0.376150>
    }
    triangle {
      < 0.689360, -1.138747, -0.336089>,
      < 0.703784, -1.300369, -0.376150>,
      < 0.689352, -1.300380, -0.364738>
    }
    triangle {
      < 0.689540, -1.100103, -0.358424>,
      < 0.703964, -1.108103, -0.370089>,
      < 0.703792, -1.145201, -0.348647>
    }
    triangle {
      < 0.689540, -1.100103, -0.358424>,
      < 0.703792, -1.145201, -0.348647>,
      < 0.689360, -1.138747, -0.336089>
    }
    triangle {
      < 0.689547, -1.058889, -0.378344>,
      < 0.703970, -1.068538, -0.389212>,
      < 0.703964, -1.108103, -0.370089>
    }
    triangle {
      < 0.689547, -1.058889, -0.378344>,
      < 0.703964, -1.108103, -0.370089>,
      < 0.689540, -1.100103, -0.358424>
    }
    triangle {
      < 0.689552, -1.015291, -0.396884>,
      < 0.703976, -1.026683, -0.407010>,
      < 0.703970, -1.068538, -0.389212>
    }
    triangle {
      < 0.689552, -1.015291, -0.396884>,
      < 0.703970, -1.068538, -0.389212>,
      < 0.689547, -1.058889, -0.378344>
    }
    triangle {
      < 0.689557, -0.969313, -0.414038>,
      < 0.703980, -0.982545, -0.423478>,
      < 0.703976, -1.026683, -0.407010>
    }
    triangle {
      < 0.689557, -0.969313, -0.414038>,
      < 0.703976, -1.026683, -0.407010>,
      < 0.689552, -1.015291, -0.396884>
    }
    triangle {
      < 0.689333, -0.920738, -0.428634>,
      < 0.703766, -0.935913, -0.437490>,
      < 0.703980, -0.982545, -0.423478>
    }
    triangle {
      < 0.689333, -0.920738, -0.428634>,
      < 0.703980, -0.982545, -0.423478>,
      < 0.689557, -0.969313, -0.414038>
    }
    triangle {
      < 0.689283, -0.829161, -0.598361>,
      < 0.703717, -0.847999, -0.600428>,
      < 0.703766, -0.935913, -0.437490>
    }
    triangle {
      < 0.689283, -0.829161, -0.598361>,
      < 0.703766, -0.935913, -0.437490>,
      < 0.689333, -0.920738, -0.428634>
    }
    triangle {
      < 0.689235, -0.822652, -0.759021>,
      < 0.703672, -0.841750, -0.754662>,
      < 0.703717, -0.847999, -0.600428>
    }
    triangle {
      < 0.689235, -0.822652, -0.759021>,
      < 0.703717, -0.847999, -0.600428>,
      < 0.689283, -0.829161, -0.598361>
    }
    triangle {
      < 0.689200, -0.902473, -0.879488>,
      < 0.703637, -0.918378, -0.870311>,
      < 0.703672, -0.841750, -0.754662>
    }
    triangle {
      < 0.689200, -0.902473, -0.879488>,
      < 0.703672, -0.841750, -0.754662>,
      < 0.689235, -0.822652, -0.759021>
    }
    triangle {
      < 0.703631, -0.961010, -0.894278>,
      < 0.923954, -0.962828, -0.897501>,
      < 0.923961, -0.921093, -0.874037>
    }
    triangle {
      < 0.703631, -0.961010, -0.894278>,
      < 0.923961, -0.921093, -0.874037>,
      < 0.703637, -0.918378, -0.870311>
    }
    triangle {
      < 0.703626, -1.009934, -0.908906>,
      < 0.923949, -1.010726, -0.911822>,
      < 0.923954, -0.962828, -0.897501>
    }
    triangle {
      < 0.703626, -1.009934, -0.908906>,
      < 0.923954, -0.962828, -0.897501>,
      < 0.703631, -0.961010, -0.894278>
    }
    triangle {
      < 0.703625, -1.064058, -0.913865>,
      < 0.923948, -1.063713, -0.916677>,
      < 0.923949, -1.010726, -0.911822>
    }
    triangle {
      < 0.703625, -1.064058, -0.913865>,
      < 0.923949, -1.010726, -0.911822>,
      < 0.703626, -1.009934, -0.908906>
    }
    triangle {
      < 0.703630, -1.200774, -0.893067>,
      < 0.923954, -1.197557, -0.896316>,
      < 0.923948, -1.063713, -0.916677>
    }
    triangle {
      < 0.703630, -1.200774, -0.893067>,
      < 0.923948, -1.063713, -0.916677>,
      < 0.703625, -1.064058, -0.913865>
    }
    triangle {
      < 0.703651, -1.323634, -0.826093>,
      < 0.923974, -1.317837, -0.830748>,
      < 0.923954, -1.197557, -0.896316>
    }
    triangle {
      < 0.703651, -1.323634, -0.826093>,
      < 0.923954, -1.197557, -0.896316>,
      < 0.703630, -1.200774, -0.893067>
    }
    triangle {
      < 0.703682, -1.405955, -0.718875>,
      < 0.924004, -1.398430, -0.725781>,
      < 0.923974, -1.317837, -0.830748>
    }
    triangle {
      < 0.703682, -1.405955, -0.718875>,
      < 0.923974, -1.317837, -0.830748>,
      < 0.703651, -1.323634, -0.826093>
    }
    triangle {
      < 0.703692, -1.417212, -0.685957>,
      < 0.924014, -1.409451, -0.693555>,
      < 0.924004, -1.398430, -0.725781>
    }
    triangle {
      < 0.703692, -1.417212, -0.685957>,
      < 0.924004, -1.398430, -0.725781>,
      < 0.703682, -1.405955, -0.718875>
    }
    triangle {
      < 0.703702, -1.423699, -0.650923>,
      < 0.924024, -1.415801, -0.659257>,
      < 0.924014, -1.409451, -0.693555>
    }
    triangle {
      < 0.703702, -1.423699, -0.650923>,
      < 0.924014, -1.409451, -0.693555>,
      < 0.703692, -1.417212, -0.685957>
    }
    triangle {
      < 0.703714, -1.424978, -0.613872>,
      < 0.924035, -1.417053, -0.622984>,
      < 0.924024, -1.415801, -0.659257>
    }
    triangle {
      < 0.703714, -1.424978, -0.613872>,
      < 0.924024, -1.415801, -0.659257>,
      < 0.703702, -1.423699, -0.650923>
    }
    triangle {
      < 0.703758, -1.393778, -0.464700>,
      < 0.924078, -1.386508, -0.476944>,
      < 0.924035, -1.417053, -0.622984>
    }
    triangle {
      < 0.703758, -1.393778, -0.464700>,
      < 0.924035, -1.417053, -0.622984>,
      < 0.703714, -1.424978, -0.613872>
    }
    triangle {
      < 0.703784, -1.300369, -0.376150>,
      < 0.924104, -1.295061, -0.390254>,
      < 0.924078, -1.386508, -0.476944>
    }
    triangle {
      < 0.703784, -1.300369, -0.376150>,
      < 0.924078, -1.386508, -0.476944>,
      < 0.703758, -1.393778, -0.464700>
    }
    triangle {
      < 0.703792, -1.145201, -0.348647>,
      < 0.924112, -1.143152, -0.363329>,
      < 0.924104, -1.295061, -0.390254>
    }
    triangle {
      < 0.703792, -1.145201, -0.348647>,
      < 0.924104, -1.295061, -0.390254>,
      < 0.703784, -1.300369, -0.376150>
    }
    triangle {
      < 0.703964, -1.108103, -0.370089>,
      < 0.924280, -1.106833, -0.384320>,
      < 0.924112, -1.143152, -0.363329>
    }
    triangle {
      < 0.703964, -1.108103, -0.370089>,
      < 0.924112, -1.143152, -0.363329>,
      < 0.703792, -1.145201, -0.348647>
    }
    triangle {
      < 0.703970, -1.068538, -0.389212>,
      < 0.924287, -1.068099, -0.403041>,
      < 0.924280, -1.106833, -0.384320>
    }
    triangle {
      < 0.703970, -1.068538, -0.389212>,
      < 0.924280, -1.106833, -0.384320>,
      < 0.703964, -1.108103, -0.370089>
    }
    triangle {
      < 0.703976, -1.026683, -0.407010>,
      < 0.924292, -1.027123, -0.420466>,
      < 0.924287, -1.068099, -0.403041>
    }
    triangle {
      < 0.703976, -1.026683, -0.407010>,
      < 0.924287, -1.068099, -0.403041>,
      < 0.703970, -1.068538, -0.389212>
    }
    triangle {
      < 0.703980, -0.982545, -0.423478>,
      < 0.924296, -0.983911, -0.436588>,
      < 0.924292, -1.027123, -0.420466>
    }
    triangle {
      < 0.703980, -0.982545, -0.423478>,
      < 0.924292, -1.027123, -0.420466>,
      < 0.703976, -1.026683, -0.407010>
    }
    triangle {
      < 0.703766, -0.935913, -0.437490>,
      < 0.924086, -0.938259, -0.450306>,
      < 0.924296, -0.983911, -0.436588>
    }
    triangle {
      < 0.703766, -0.935913, -0.437490>,
      < 0.924296, -0.983911, -0.436588>,
      < 0.703980, -0.982545, -0.423478>
    }
    triangle {
      < 0.703717, -0.847999, -0.600428>,
      < 0.924039, -0.852191, -0.609822>,
      < 0.924086, -0.938259, -0.450306>
    }
    triangle {
      < 0.703717, -0.847999, -0.600428>,
      < 0.924086, -0.938259, -0.450306>,
      < 0.703766, -0.935913, -0.437490>
    }
    triangle {
      < 0.703672, -0.841750, -0.754662>,
      < 0.923994, -0.846074, -0.760817>,
      < 0.924039, -0.852191, -0.609822>
    }
    triangle {
      < 0.703672, -0.841750, -0.754662>,
      < 0.924039, -0.852191, -0.609822>,
      < 0.703717, -0.847999, -0.600428>
    }
    triangle {
      < 0.703637, -0.918378, -0.870311>,
      < 0.923961, -0.921093, -0.874037>,
      < 0.923994, -0.846074, -0.760817>
    }
    triangle {
      < 0.703637, -0.918378, -0.870311>,
      < 0.923994, -0.846074, -0.760817>,
      < 0.703672, -0.841750, -0.754662>
    }
    triangle {
      < 0.691881, -0.794381, 0.765965>,
      < 0.691932, -0.801342, 0.594134>,
      < 0.692231, -0.899531, 0.413855>
    }
    triangle {
      < 0.691881, -0.794381, 0.765965>,
      < 0.692231, -0.899531, 0.413855>,
      < 0.692225, -0.951239, 0.396995>
    }
    triangle {
      < 0.691881, -0.794381, 0.765965>,
      < 0.692225, -0.951239, 0.396995>,
      < 0.692220, -1.000414, 0.378648>
    }
    triangle {
      < 0.691881, -0.794381, 0.765965>,
      < 0.692220, -1.000414, 0.378648>,
      < 0.692214, -1.047044, 0.358819>
    }
    triangle {
      < 0.691881, -0.794381, 0.765965>,
      < 0.692214, -1.047044, 0.358819>,
      < 0.692207, -1.091123, 0.337514>
    }
    triangle {
      < 0.691881, -0.794381, 0.765965>,
      < 0.692207, -1.091123, 0.337514>,
      < 0.692201, -1.132640, 0.314737>
    }
    triangle {
      < 0.691881, -0.794381, 0.765965>,
      < 0.692201, -1.132640, 0.314737>,
      < 0.692006, -1.305326, 0.344267>
    }
    triangle {
      < 0.691881, -0.794381, 0.765965>,
      < 0.692006, -1.305326, 0.344267>,
      < 0.691977, -1.409392, 0.442920>
    }
    triangle {
      < 0.691881, -0.794381, 0.765965>,
      < 0.691977, -1.409392, 0.442920>,
      < 0.691928, -1.444152, 0.609112>
    }
    triangle {
      < 0.691881, -0.794381, 0.765965>,
      < 0.691928, -1.444152, 0.609112>,
      < 0.691915, -1.442727, 0.650390>
    }
    triangle {
      < 0.691881, -0.794381, 0.765965>,
      < 0.691915, -1.442727, 0.650390>,
      < 0.691904, -1.435500, 0.689421>
    }
    triangle {
      < 0.691881, -0.794381, 0.765965>,
      < 0.691904, -1.435500, 0.689421>,
      < 0.691893, -1.422959, 0.726095>
    }
    triangle {
      < 0.691881, -0.794381, 0.765965>,
      < 0.691893, -1.422959, 0.726095>,
      < 0.691858, -1.331245, 0.845546>
    }
    triangle {
      < 0.691881, -0.794381, 0.765965>,
      < 0.691858, -1.331245, 0.845546>,
      < 0.691835, -1.194367, 0.920162>
    }
    triangle {
      < 0.691881, -0.794381, 0.765965>,
      < 0.691835, -1.194367, 0.920162>,
      < 0.691829, -1.042053, 0.943333>
    }
    triangle {
      < 0.691881, -0.794381, 0.765965>,
      < 0.691829, -1.042053, 0.943333>,
      < 0.691830, -0.981754, 0.937808>
    }
    triangle {
      < 0.691881, -0.794381, 0.765965>,
      < 0.691830, -0.981754, 0.937808>,
      < 0.691836, -0.927247, 0.921511>
    }
    triangle {
      < 0.691881, -0.794381, 0.765965>,
      < 0.691836, -0.927247, 0.921511>,
      < 0.691843, -0.879752, 0.894809>
    }
    triangle {
      < 0.703672, -0.841750, 0.754662>,
      < 0.703717, -0.847999, 0.600428>,
      < 0.703766, -0.935913, 0.437490>
    }
    triangle {
      < 0.703672, -0.841750, 0.754662>,
      < 0.703766, -0.935913, 0.437490>,
      < 0.703980, -0.982545, 0.423478>
    }
    triangle {
      < 0.703672, -0.841750, 0.754662>,
      < 0.703980, -0.982545, 0.423478>,
      < 0.703976, -1.026683, 0.407010>
    }
    triangle {
      < 0.703672, -0.841750, 0.754662>,
      < 0.703976, -1.026683, 0.407010>,
      < 0.703970, -1.068538, 0.389212>
    }
    triangle {
      < 0.703672, -0.841750, 0.754662>,
      < 0.703970, -1.068538, 0.389212>,
      < 0.703964, -1.108103, 0.370089>
    }
    triangle {
      < 0.703672, -0.841750, 0.754662>,
      < 0.703964, -1.108103, 0.370089>,
      < 0.703792, -1.145201, 0.348647>
    }
    triangle {
      < 0.703672, -0.841750, 0.754662>,
      < 0.703792, -1.145201, 0.348647>,
      < 0.703784, -1.300369, 0.376150>
    }
    triangle {
      < 0.703672, -0.841750, 0.754662>,
      < 0.703784, -1.300369, 0.376150>,
      < 0.703758, -1.393778, 0.464700>
    }
    triangle {
      < 0.703672, -0.841750, 0.754662>,
      < 0.703758, -1.393778, 0.464700>,
      < 0.703714, -1.424978, 0.613872>
    }
    triangle {
      < 0.703672, -0.841750, 0.754662>,
      < 0.703714, -1.424978, 0.613872>,
      < 0.703702, -1.423699, 0.650923>
    }
    triangle {
      < 0.703672, -0.841750, 0.754662>,
      < 0.703702, -1.423699, 0.650923>,
      < 0.703692, -1.417212, 0.685957>
    }
    triangle {
      < 0.703672, -0.841750, 0.754662>,
      < 0.703692, -1.417212, 0.685957>,
      < 0.703682, -1.405955, 0.718875>
    }
    triangle {
      < 0.703672, -0.841750, 0.754662>,
      < 0.703682, -1.405955, 0.718875>,
      < 0.703651, -1.323634, 0.826093>
    }
    triangle {
      < 0.703672, -0.841750, 0.754662>,
      < 0.703651, -1.323634, 0.826093>,
      < 0.703630, -1.200774, 0.893067>
    }
    triangle {
      < 0.703672, -0.841750, 0.754662>,
      < 0.703630, -1.200774, 0.893067>,
      < 0.703625, -1.064058, 0.913865>
    }
    triangle {
      < 0.703672, -0.841750, 0.754662>,
      < 0.703625, -1.064058, 0.913865>,
      < 0.703626, -1.009934, 0.908906>
    }
    triangle {
      < 0.703672, -0.841750, 0.754662>,
      < 0.703626, -1.009934, 0.908906>,
      < 0.703631, -0.961010, 0.894278>
    }
    triangle {
      < 0.703672, -0.841750, 0.754662>,
      < 0.703631, -0.961010, 0.894278>,
      < 0.703637, -0.918378, 0.870311>
    }
    triangle {
      < 0.689235, -0.822652, 0.759021>,
      < 0.689283, -0.829161, 0.598361>,
      < 0.689333, -0.920738, 0.428634>
    }
    triangle {
      < 0.689235, -0.822652, 0.759021>,
      < 0.689333, -0.920738, 0.428634>,
      < 0.689557, -0.969313, 0.414038>
    }
    triangle {
      < 0.689235, -0.822652, 0.759021>,
      < 0.689557, -0.969313, 0.414038>,
      < 0.689552, -1.015291, 0.396884>
    }
    triangle {
      < 0.689235, -0.822652, 0.759021>,
      < 0.689552, -1.015291, 0.396884>,
      < 0.689547, -1.058889, 0.378344>
    }
    triangle {
      < 0.689235, -0.822652, 0.759021>,
      < 0.689547, -1.058889, 0.378344>,
      < 0.689540, -1.100103, 0.358424>
    }
    triangle {
      < 0.689235, -0.822652, 0.759021>,
      < 0.689540, -1.100103, 0.358424>,
      < 0.689360, -1.138747, 0.336089>
    }
    triangle {
      < 0.689235, -0.822652, 0.759021>,
      < 0.689360, -1.138747, 0.336089>,
      < 0.689352, -1.300380, 0.364738>
    }
    triangle {
      < 0.689235, -0.822652, 0.759021>,
      < 0.689352, -1.300380, 0.364738>,
      < 0.689325, -1.397681, 0.456977>
    }
    triangle {
      < 0.689235, -0.822652, 0.759021>,
      < 0.689325, -1.397681, 0.456977>,
      < 0.689279, -1.430181, 0.612365>
    }
    triangle {
      < 0.689235, -0.822652, 0.759021>,
      < 0.689279, -1.430181, 0.612365>,
      < 0.689267, -1.428849, 0.650959>
    }
    triangle {
      < 0.689235, -0.822652, 0.759021>,
      < 0.689267, -1.428849, 0.650959>,
      < 0.689257, -1.422091, 0.687453>
    }
    triangle {
      < 0.689235, -0.822652, 0.759021>,
      < 0.689257, -1.422091, 0.687453>,
      < 0.689246, -1.410366, 0.721743>
    }
    triangle {
      < 0.689235, -0.822652, 0.759021>,
      < 0.689246, -1.410366, 0.721743>,
      < 0.689214, -1.324614, 0.833428>
    }
    triangle {
      < 0.689235, -0.822652, 0.759021>,
      < 0.689214, -1.324614, 0.833428>,
      < 0.689192, -1.196635, 0.903193>
    }
    triangle {
      < 0.689235, -0.822652, 0.759021>,
      < 0.689192, -1.196635, 0.903193>,
      < 0.689187, -1.054223, 0.924858>
    }
    triangle {
      < 0.689235, -0.822652, 0.759021>,
      < 0.689187, -1.054223, 0.924858>,
      < 0.689187, -0.997844, 0.919692>
    }
    triangle {
      < 0.689235, -0.822652, 0.759021>,
      < 0.689187, -0.997844, 0.919692>,
      < 0.689193, -0.946881, 0.904454>
    }
    triangle {
      < 0.689235, -0.822652, 0.759021>,
      < 0.689193, -0.946881, 0.904454>,
      < 0.689200, -0.902473, 0.879488>
    }
    triangle {
      < 0.923994, -0.846074, 0.760817>,
      < 0.924039, -0.852191, 0.609822>,
      < 0.924086, -0.938259, 0.450306>
    }
    triangle {
      < 0.923994, -0.846074, 0.760817>,
      < 0.924086, -0.938259, 0.450306>,
      < 0.924296, -0.983911, 0.436588>
    }
    triangle {
      < 0.923994, -0.846074, 0.760817>,
      < 0.924296, -0.983911, 0.436588>,
      < 0.924292, -1.027123, 0.420466>
    }
    triangle {
      < 0.923994, -0.846074, 0.760817>,
      < 0.924292, -1.027123, 0.420466>,
      < 0.924287, -1.068099, 0.403041>
    }
    triangle {
      < 0.923994, -0.846074, 0.760817>,
      < 0.924287, -1.068099, 0.403041>,
      < 0.924280, -1.106833, 0.384320>
    }
    triangle {
      < 0.923994, -0.846074, 0.760817>,
      < 0.924280, -1.106833, 0.384320>,
      < 0.924112, -1.143152, 0.363329>
    }
    triangle {
      < 0.923994, -0.846074, 0.760817>,
      < 0.924112, -1.143152, 0.363329>,
      < 0.924104, -1.295061, 0.390254>
    }
    triangle {
      < 0.923994, -0.846074, 0.760817>,
      < 0.924104, -1.295061, 0.390254>,
      < 0.924078, -1.386508, 0.476944>
    }
    triangle {
      < 0.923994, -0.846074, 0.760817>,
      < 0.924078, -1.386508, 0.476944>,
      < 0.924035, -1.417053, 0.622984>
    }
    triangle {
      < 0.923994, -0.846074, 0.760817>,
      < 0.924035, -1.417053, 0.622984>,
      < 0.924024, -1.415801, 0.659257>
    }
    triangle {
      < 0.923994, -0.846074, 0.760817>,
      < 0.924024, -1.415801, 0.659257>,
      < 0.924014, -1.409451, 0.693555>
    }
    triangle {
      < 0.923994, -0.846074, 0.760817>,
      < 0.924014, -1.409451, 0.693555>,
      < 0.924004, -1.398430, 0.725781>
    }
    triangle {
      < 0.923994, -0.846074, 0.760817>,
      < 0.924004, -1.398430, 0.725781>,
      < 0.923974, -1.317837, 0.830748>
    }
    triangle {
      < 0.923994, -0.846074, 0.760817>,
      < 0.923974, -1.317837, 0.830748>,
      < 0.923954, -1.197557, 0.896316>
    }
    triangle {
      < 0.923994, -0.846074, 0.760817>,
      < 0.923954, -1.197557, 0.896316>,
      < 0.923948, -1.063713, 0.916677>
    }
    triangle {
      < 0.923994, -0.846074, 0.760817>,
      < 0.923948, -1.063713, 0.916677>,
      < 0.923949, -1.010726, 0.911822>
    }
    triangle {
      < 0.923994, -0.846074, 0.760817>,
      < 0.923949, -1.010726, 0.911822>,
      < 0.923954, -0.962828, 0.897501>
    }
    triangle {
      < 0.923994, -0.846074, 0.760817>,
      < 0.923954, -0.962828, 0.897501>,
      < 0.923961, -0.921093, 0.874037>
    }
    triangle {
      < 0.691843, -0.879752, 0.894809>,
      < 0.689200, -0.902473, 0.879488>,
      < 0.689193, -0.946881, 0.904454>
    }
    triangle {
      < 0.691843, -0.879752, 0.894809>,
      < 0.689193, -0.946881, 0.904454>,
      < 0.691836, -0.927247, 0.921511>
    }
    triangle {
      < 0.691836, -0.927247, 0.921511>,
      < 0.689193, -0.946881, 0.904454>,
      < 0.689187, -0.997844, 0.919692>
    }
    triangle {
      < 0.691836, -0.927247, 0.921511>,
      < 0.689187, -0.997844, 0.919692>,
      < 0.691830, -0.981754, 0.937808>
    }
    triangle {
      < 0.691830, -0.981754, 0.937808>,
      < 0.689187, -0.997844, 0.919692>,
      < 0.689187, -1.054223, 0.924858>
    }
    triangle {
      < 0.691830, -0.981754, 0.937808>,
      < 0.689187, -1.054223, 0.924858>,
      < 0.691829, -1.042053, 0.943333>
    }
    triangle {
      < 0.691829, -1.042053, 0.943333>,
      < 0.689187, -1.054223, 0.924858>,
      < 0.689192, -1.196635, 0.903193>
    }
    triangle {
      < 0.691829, -1.042053, 0.943333>,
      < 0.689192, -1.196635, 0.903193>,
      < 0.691835, -1.194367, 0.920162>
    }
    triangle {
      < 0.691835, -1.194367, 0.920162>,
      < 0.689192, -1.196635, 0.903193>,
      < 0.689214, -1.324614, 0.833428>
    }
    triangle {
      < 0.691835, -1.194367, 0.920162>,
      < 0.689214, -1.324614, 0.833428>,
      < 0.691858, -1.331245, 0.845546>
    }
    triangle {
      < 0.691858, -1.331245, 0.845546>,
      < 0.689214, -1.324614, 0.833428>,
      < 0.689246, -1.410366, 0.721743>
    }
    triangle {
      < 0.691858, -1.331245, 0.845546>,
      < 0.689246, -1.410366, 0.721743>,
      < 0.691893, -1.422959, 0.726095>
    }
    triangle {
      < 0.691893, -1.422959, 0.726095>,
      < 0.689246, -1.410366, 0.721743>,
      < 0.689257, -1.422091, 0.687453>
    }
    triangle {
      < 0.691893, -1.422959, 0.726095>,
      < 0.689257, -1.422091, 0.687453>,
      < 0.691904, -1.435500, 0.689421>
    }
    triangle {
      < 0.691904, -1.435500, 0.689421>,
      < 0.689257, -1.422091, 0.687453>,
      < 0.689267, -1.428849, 0.650959>
    }
    triangle {
      < 0.691904, -1.435500, 0.689421>,
      < 0.689267, -1.428849, 0.650959>,
      < 0.691915, -1.442727, 0.650390>
    }
    triangle {
      < 0.691915, -1.442727, 0.650390>,
      < 0.689267, -1.428849, 0.650959>,
      < 0.689279, -1.430181, 0.612365>
    }
    triangle {
      < 0.691915, -1.442727, 0.650390>,
      < 0.689279, -1.430181, 0.612365>,
      < 0.691928, -1.444152, 0.609112>
    }
    triangle {
      < 0.691928, -1.444152, 0.609112>,
      < 0.689279, -1.430181, 0.612365>,
      < 0.689325, -1.397681, 0.456977>
    }
    triangle {
      < 0.691928, -1.444152, 0.609112>,
      < 0.689325, -1.397681, 0.456977>,
      < 0.691977, -1.409392, 0.442920>
    }
    triangle {
      < 0.691977, -1.409392, 0.442920>,
      < 0.689325, -1.397681, 0.456977>,
      < 0.689352, -1.300380, 0.364738>
    }
    triangle {
      < 0.691977, -1.409392, 0.442920>,
      < 0.689352, -1.300380, 0.364738>,
      < 0.692006, -1.305326, 0.344267>
    }
    triangle {
      < 0.692006, -1.305326, 0.344267>,
      < 0.689352, -1.300380, 0.364738>,
      < 0.689360, -1.138747, 0.336089>
    }
    triangle {
      < 0.692006, -1.305326, 0.344267>,
      < 0.689360, -1.138747, 0.336089>,
      < 0.692201, -1.132640, 0.314737>
    }
    triangle {
      < 0.692201, -1.132640, 0.314737>,
      < 0.689360, -1.138747, 0.336089>,
      < 0.689540, -1.100103, 0.358424>
    }
    triangle {
      < 0.692201, -1.132640, 0.314737>,
      < 0.689540, -1.100103, 0.358424>,
      < 0.692207, -1.091123, 0.337514>
    }
    triangle {
      < 0.692207, -1.091123, 0.337514>,
      < 0.689540, -1.100103, 0.358424>,
      < 0.689547, -1.058889, 0.378344>
    }
    triangle {
      < 0.692207, -1.091123, 0.337514>,
      < 0.689547, -1.058889, 0.378344>,
      < 0.692214, -1.047044, 0.358819>
    }
    triangle {
      < 0.692214, -1.047044, 0.358819>,
      < 0.689547, -1.058889, 0.378344>,
      < 0.689552, -1.015291, 0.396884>
    }
    triangle {
      < 0.692214, -1.047044, 0.358819>,
      < 0.689552, -1.015291, 0.396884>,
      < 0.692220, -1.000414, 0.378648>
    }
    triangle {
      < 0.692220, -1.000414, 0.378648>,
      < 0.689552, -1.015291, 0.396884>,
      < 0.689557, -0.969313, 0.414038>
    }
    triangle {
      < 0.692220, -1.000414, 0.378648>,
      < 0.689557, -0.969313, 0.414038>,
      < 0.692225, -0.951239, 0.396995>
    }
    triangle {
      < 0.692225, -0.951239, 0.396995>,
      < 0.689557, -0.969313, 0.414038>,
      < 0.689333, -0.920738, 0.428634>
    }
    triangle {
      < 0.692225, -0.951239, 0.396995>,
      < 0.689333, -0.920738, 0.428634>,
      < 0.692231, -0.899531, 0.413855>
    }
    triangle {
      < 0.692231, -0.899531, 0.413855>,
      < 0.689333, -0.920738, 0.428634>,
      < 0.689283, -0.829161, 0.598361>
    }
    triangle {
      < 0.692231, -0.899531, 0.413855>,
      < 0.689283, -0.829161, 0.598361>,
      < 0.691932, -0.801342, 0.594134>
    }
    triangle {
      < 0.691932, -0.801342, 0.594134>,
      < 0.689283, -0.829161, 0.598361>,
      < 0.689235, -0.822652, 0.759021>
    }
    triangle {
      < 0.691932, -0.801342, 0.594134>,
      < 0.689235, -0.822652, 0.759021>,
      < 0.691881, -0.794381, 0.765965>
    }
    triangle {
      < 0.691881, -0.794381, 0.765965>,
      < 0.689235, -0.822652, 0.759021>,
      < 0.689200, -0.902473, 0.879488>
    }
    triangle {
      < 0.691881, -0.794381, 0.765965>,
      < 0.689200, -0.902473, 0.879488>,
      < 0.691843, -0.879752, 0.894809>
    }
    triangle {
      < 0.689200, -0.902473, 0.879488>,
      < 0.703637, -0.918378, 0.870311>,
      < 0.703631, -0.961010, 0.894278>
    }
    triangle {
      < 0.689200, -0.902473, 0.879488>,
      < 0.703631, -0.961010, 0.894278>,
      < 0.689193, -0.946881, 0.904454>
    }
    triangle {
      < 0.689193, -0.946881, 0.904454>,
      < 0.703631, -0.961010, 0.894278>,
      < 0.703626, -1.009934, 0.908906>
    }
    triangle {
      < 0.689193, -0.946881, 0.904454>,
      < 0.703626, -1.009934, 0.908906>,
      < 0.689187, -0.997844, 0.919692>
    }
    triangle {
      < 0.689187, -0.997844, 0.919692>,
      < 0.703626, -1.009934, 0.908906>,
      < 0.703625, -1.064058, 0.913865>
    }
    triangle {
      < 0.689187, -0.997844, 0.919692>,
      < 0.703625, -1.064058, 0.913865>,
      < 0.689187, -1.054223, 0.924858>
    }
    triangle {
      < 0.689187, -1.054223, 0.924858>,
      < 0.703625, -1.064058, 0.913865>,
      < 0.703630, -1.200774, 0.893067>
    }
    triangle {
      < 0.689187, -1.054223, 0.924858>,
      < 0.703630, -1.200774, 0.893067>,
      < 0.689192, -1.196635, 0.903193>
    }
    triangle {
      < 0.689192, -1.196635, 0.903193>,
      < 0.703630, -1.200774, 0.893067>,
      < 0.703651, -1.323634, 0.826093>
    }
    triangle {
      < 0.689192, -1.196635, 0.903193>,
      < 0.703651, -1.323634, 0.826093>,
      < 0.689214, -1.324614, 0.833428>
    }
    triangle {
      < 0.689214, -1.324614, 0.833428>,
      < 0.703651, -1.323634, 0.826093>,
      < 0.703682, -1.405955, 0.718875>
    }
    triangle {
      < 0.689214, -1.324614, 0.833428>,
      < 0.703682, -1.405955, 0.718875>,
      < 0.689246, -1.410366, 0.721743>
    }
    triangle {
      < 0.689246, -1.410366, 0.721743>,
      < 0.703682, -1.405955, 0.718875>,
      < 0.703692, -1.417212, 0.685957>
    }
    triangle {
      < 0.689246, -1.410366, 0.721743>,
      < 0.703692, -1.417212, 0.685957>,
      < 0.689257, -1.422091, 0.687453>
    }
    triangle {
      < 0.689257, -1.422091, 0.687453>,
      < 0.703692, -1.417212, 0.685957>,
      < 0.703702, -1.423699, 0.650923>
    }
    triangle {
      < 0.689257, -1.422091, 0.687453>,
      < 0.703702, -1.423699, 0.650923>,
      < 0.689267, -1.428849, 0.650959>
    }
    triangle {
      < 0.689267, -1.428849, 0.650959>,
      < 0.703702, -1.423699, 0.650923>,
      < 0.703714, -1.424978, 0.613872>
    }
    triangle {
      < 0.689267, -1.428849, 0.650959>,
      < 0.703714, -1.424978, 0.613872>,
      < 0.689279, -1.430181, 0.612365>
    }
    triangle {
      < 0.689279, -1.430181, 0.612365>,
      < 0.703714, -1.424978, 0.613872>,
      < 0.703758, -1.393778, 0.464700>
    }
    triangle {
      < 0.689279, -1.430181, 0.612365>,
      < 0.703758, -1.393778, 0.464700>,
      < 0.689325, -1.397681, 0.456977>
    }
    triangle {
      < 0.689325, -1.397681, 0.456977>,
      < 0.703758, -1.393778, 0.464700>,
      < 0.703784, -1.300369, 0.376150>
    }
    triangle {
      < 0.689325, -1.397681, 0.456977>,
      < 0.703784, -1.300369, 0.376150>,
      < 0.689352, -1.300380, 0.364738>
    }
    triangle {
      < 0.689352, -1.300380, 0.364738>,
      < 0.703784, -1.300369, 0.376150>,
      < 0.703792, -1.145201, 0.348647>
    }
    triangle {
      < 0.689352, -1.300380, 0.364738>,
      < 0.703792, -1.145201, 0.348647>,
      < 0.689360, -1.138747, 0.336089>
    }
    triangle {
      < 0.689360, -1.138747, 0.336089>,
      < 0.703792, -1.145201, 0.348647>,
      < 0.703964, -1.108103, 0.370089>
    }
    triangle {
      < 0.689360, -1.138747, 0.336089>,
      < 0.703964, -1.108103, 0.370089>,
      < 0.689540, -1.100103, 0.358424>
    }
    triangle {
      < 0.689540, -1.100103, 0.358424>,
      < 0.703964, -1.108103, 0.370089>,
      < 0.703970, -1.068538, 0.389212>
    }
    triangle {
      < 0.689540, -1.100103, 0.358424>,
      < 0.703970, -1.068538, 0.389212>,
      < 0.689547, -1.058889, 0.378344>
    }
    triangle {
      < 0.689547, -1.058889, 0.378344>,
      < 0.703970, -1.068538, 0.389212>,
      < 0.703976, -1.026683, 0.407010>
    }
    triangle {
      < 0.689547, -1.058889, 0.378344>,
      < 0.703976, -1.026683, 0.407010>,
      < 0.689552, -1.015291, 0.396884>
    }
    triangle {
      < 0.689552, -1.015291, 0.396884>,
      < 0.703976, -1.026683, 0.407010>,
      < 0.703980, -0.982545, 0.423478>
    }
    triangle {
      < 0.689552, -1.015291, 0.396884>,
      < 0.703980, -0.982545, 0.423478>,
      < 0.689557, -0.969313, 0.414038>
    }
    triangle {
      < 0.689557, -0.969313, 0.414038>,
      < 0.703980, -0.982545, 0.423478>,
      < 0.703766, -0.935913, 0.437490>
    }
    triangle {
      < 0.689557, -0.969313, 0.414038>,
      < 0.703766, -0.935913, 0.437490>,
      < 0.689333, -0.920738, 0.428634>
    }
    triangle {
      < 0.689333, -0.920738, 0.428634>,
      < 0.703766, -0.935913, 0.437490>,
      < 0.703717, -0.847999, 0.600428>
    }
    triangle {
      < 0.689333, -0.920738, 0.428634>,
      < 0.703717, -0.847999, 0.600428>,
      < 0.689283, -0.829161, 0.598361>
    }
    triangle {
      < 0.689283, -0.829161, 0.598361>,
      < 0.703717, -0.847999, 0.600428>,
      < 0.703672, -0.841750, 0.754662>
    }
    triangle {
      < 0.689283, -0.829161, 0.598361>,
      < 0.703672, -0.841750, 0.754662>,
      < 0.689235, -0.822652, 0.759021>
    }
    triangle {
      < 0.689235, -0.822652, 0.759021>,
      < 0.703672, -0.841750, 0.754662>,
      < 0.703637, -0.918378, 0.870311>
    }
    triangle {
      < 0.689235, -0.822652, 0.759021>,
      < 0.703637, -0.918378, 0.870311>,
      < 0.689200, -0.902473, 0.879488>
    }
    triangle {
      < 0.703637, -0.918378, 0.870311>,
      < 0.923961, -0.921093, 0.874037>,
      < 0.923954, -0.962828, 0.897501>
    }
    triangle {
      < 0.703637, -0.918378, 0.870311>,
      < 0.923954, -0.962828, 0.897501>,
      < 0.703631, -0.961010, 0.894278>
    }
    triangle {
      < 0.703631, -0.961010, 0.894278>,
      < 0.923954, -0.962828, 0.897501>,
      < 0.923949, -1.010726, 0.911822>
    }
    triangle {
      < 0.703631, -0.961010, 0.894278>,
      < 0.923949, -1.010726, 0.911822>,
      < 0.703626, -1.009934, 0.908906>
    }
    triangle {
      < 0.703626, -1.009934, 0.908906>,
      < 0.923949, -1.010726, 0.911822>,
      < 0.923948, -1.063713, 0.916677>
    }
    triangle {
      < 0.703626, -1.009934, 0.908906>,
      < 0.923948, -1.063713, 0.916677>,
      < 0.703625, -1.064058, 0.913865>
    }
    triangle {
      < 0.703625, -1.064058, 0.913865>,
      < 0.923948, -1.063713, 0.916677>,
      < 0.923954, -1.197557, 0.896316>
    }
    triangle {
      < 0.703625, -1.064058, 0.913865>,
      < 0.923954, -1.197557, 0.896316>,
      < 0.703630, -1.200774, 0.893067>
    }
    triangle {
      < 0.703630, -1.200774, 0.893067>,
      < 0.923954, -1.197557, 0.896316>,
      < 0.923974, -1.317837, 0.830748>
    }
    triangle {
      < 0.703630, -1.200774, 0.893067>,
      < 0.923974, -1.317837, 0.830748>,
      < 0.703651, -1.323634, 0.826093>
    }
    triangle {
      < 0.703651, -1.323634, 0.826093>,
      < 0.923974, -1.317837, 0.830748>,
      < 0.924004, -1.398430, 0.725781>
    }
    triangle {
      < 0.703651, -1.323634, 0.826093>,
      < 0.924004, -1.398430, 0.725781>,
      < 0.703682, -1.405955, 0.718875>
    }
    triangle {
      < 0.703682, -1.405955, 0.718875>,
      < 0.924004, -1.398430, 0.725781>,
      < 0.924014, -1.409451, 0.693555>
    }
    triangle {
      < 0.703682, -1.405955, 0.718875>,
      < 0.924014, -1.409451, 0.693555>,
      < 0.703692, -1.417212, 0.685957>
    }
    triangle {
      < 0.703692, -1.417212, 0.685957>,
      < 0.924014, -1.409451, 0.693555>,
      < 0.924024, -1.415801, 0.659257>
    }
    triangle {
      < 0.703692, -1.417212, 0.685957>,
      < 0.924024, -1.415801, 0.659257>,
      < 0.703702, -1.423699, 0.650923>
    }
    triangle {
      < 0.703702, -1.423699, 0.650923>,
      < 0.924024, -1.415801, 0.659257>,
      < 0.924035, -1.417053, 0.622984>
    }
    triangle {
      < 0.703702, -1.423699, 0.650923>,
      < 0.924035, -1.417053, 0.622984>,
      < 0.703714, -1.424978, 0.613872>
    }
    triangle {
      < 0.703714, -1.424978, 0.613872>,
      < 0.924035, -1.417053, 0.622984>,
      < 0.924078, -1.386508, 0.476944>
    }
    triangle {
      < 0.703714, -1.424978, 0.613872>,
      < 0.924078, -1.386508, 0.476944>,
      < 0.703758, -1.393778, 0.464700>
    }
    triangle {
      < 0.703758, -1.393778, 0.464700>,
      < 0.924078, -1.386508, 0.476944>,
      < 0.924104, -1.295061, 0.390254>
    }
    triangle {
      < 0.703758, -1.393778, 0.464700>,
      < 0.924104, -1.295061, 0.390254>,
      < 0.703784, -1.300369, 0.376150>
    }
    triangle {
      < 0.703784, -1.300369, 0.376150>,
      < 0.924104, -1.295061, 0.390254>,
      < 0.924112, -1.143152, 0.363329>
    }
    triangle {
      < 0.703784, -1.300369, 0.376150>,
      < 0.924112, -1.143152, 0.363329>,
      < 0.703792, -1.145201, 0.348647>
    }
    triangle {
      < 0.703792, -1.145201, 0.348647>,
      < 0.924112, -1.143152, 0.363329>,
      < 0.924280, -1.106833, 0.384320>
    }
    triangle {
      < 0.703792, -1.145201, 0.348647>,
      < 0.924280, -1.106833, 0.384320>,
      < 0.703964, -1.108103, 0.370089>
    }
    triangle {
      < 0.703964, -1.108103, 0.370089>,
      < 0.924280, -1.106833, 0.384320>,
      < 0.924287, -1.068099, 0.403041>
    }
    triangle {
      < 0.703964, -1.108103, 0.370089>,
      < 0.924287, -1.068099, 0.403041>,
      < 0.703970, -1.068538, 0.389212>
    }
    triangle {
      < 0.703970, -1.068538, 0.389212>,
      < 0.924287, -1.068099, 0.403041>,
      < 0.924292, -1.027123, 0.420466>
    }
    triangle {
      < 0.703970, -1.068538, 0.389212>,
      < 0.924292, -1.027123, 0.420466>,
      < 0.703976, -1.026683, 0.407010>
    }
    triangle {
      < 0.703976, -1.026683, 0.407010>,
      < 0.924292, -1.027123, 0.420466>,
      < 0.924296, -0.983911, 0.436588>
    }
    triangle {
      < 0.703976, -1.026683, 0.407010>,
      < 0.924296, -0.983911, 0.436588>,
      < 0.703980, -0.982545, 0.423478>
    }
    triangle {
      < 0.703980, -0.982545, 0.423478>,
      < 0.924296, -0.983911, 0.436588>,
      < 0.924086, -0.938259, 0.450306>
    }
    triangle {
      < 0.703980, -0.982545, 0.423478>,
      < 0.924086, -0.938259, 0.450306>,
      < 0.703766, -0.935913, 0.437490>
    }
    triangle {
      < 0.703766, -0.935913, 0.437490>,
      < 0.924086, -0.938259, 0.450306>,
      < 0.924039, -0.852191, 0.609822>
    }
    triangle {
      < 0.703766, -0.935913, 0.437490>,
      < 0.924039, -0.852191, 0.609822>,
      < 0.703717, -0.847999, 0.600428>
    }
    triangle {
      < 0.703717, -0.847999, 0.600428>,
      < 0.924039, -0.852191, 0.609822>,
      < 0.923994, -0.846074, 0.760817>
    }
    triangle {
      < 0.703717, -0.847999, 0.600428>,
      < 0.923994, -0.846074, 0.760817>,
      < 0.703672, -0.841750, 0.754662>
    }
    triangle {
      < 0.703672, -0.841750, 0.754662>,
      < 0.923994, -0.846074, 0.760817>,
      < 0.923961, -0.921093, 0.874037>
    }
    triangle {
      < 0.703672, -0.841750, 0.754662>,
      < 0.923961, -0.921093, 0.874037>,
      < 0.703637, -0.918378, 0.870311>
    }
    texture {eng_black}
  }
  union {
    triangle {
      < 2.971907, -0.976959, 0.859460>,
      < 2.934168, -0.926747, 0.864498>,
      < 2.934184, -1.186932, 0.838157>
    }
    triangle {
      < 2.971920, -1.186934, 0.838203>,
      < 2.971907, -0.976959, 0.859460>,
      < 2.934184, -1.186932, 0.838157>
    }
    triangle {
      < 2.993667, -0.926751, 0.864568>,
      < 2.934168, -0.926747, 0.864498>,
      < 2.971907, -0.976959, 0.859460>
    }
    triangle {
      < 3.012047, -1.186937, 0.838249>,
      < 2.993667, -0.926751, 0.864568>,
      < 2.971907, -0.976959, 0.859460>
    }
    triangle {
      < 3.032546, -1.124742, 0.844571>,
      < 2.993667, -0.926751, 0.864568>,
      < 3.012047, -1.186937, 0.838249>
    }
    triangle {
      < 3.053179, -1.186939, 0.838299>,
      < 3.032546, -1.124742, 0.844571>,
      < 3.012047, -1.186937, 0.838249>
    }
    triangle {
      < 3.070899, -0.926755, 0.864660>,
      < 3.032546, -1.124742, 0.844571>,
      < 3.053179, -1.186939, 0.838299>
    }
    triangle {
      < 3.092914, -0.976966, 0.859603>,
      < 3.070899, -0.926755, 0.864660>,
      < 3.053179, -1.186939, 0.838299>
    }
    triangle {
      < 3.130648, -0.926759, 0.864731>,
      < 3.070899, -0.926755, 0.864660>,
      < 3.092914, -0.976966, 0.859603>
    }
    triangle {
      < 3.130648, -0.926759, 0.864731>,
      < 3.092914, -0.976966, 0.859603>,
      < 3.092927, -1.186942, 0.838345>
    }
    triangle {
      < 3.130663, -1.186944, 0.838390>,
      < 3.130648, -0.926759, 0.864731>,
      < 3.092927, -1.186942, 0.838345>
    }
    triangle {
      < 3.206384, -1.133302, 0.843911>,
      < 3.150851, -1.186945, 0.838414>,
      < 3.193116, -1.186947, 0.838464>
    }
    triangle {
      < 3.216633, -1.089715, 0.848336>,
      < 3.150851, -1.186945, 0.838414>,
      < 3.206384, -1.133302, 0.843911>
    }
    triangle {
      < 3.220460, -0.926764, 0.864837>,
      < 3.150851, -1.186945, 0.838414>,
      < 3.216633, -1.089715, 0.848336>
    }
    triangle {
      < 3.243671, -0.978652, 0.859612>,
      < 3.220460, -0.926764, 0.864837>,
      < 3.216633, -1.089715, 0.848336>
    }
    triangle {
      < 3.266812, -0.926767, 0.864891>,
      < 3.220460, -0.926764, 0.864837>,
      < 3.243671, -0.978652, 0.859612>
    }
    triangle {
      < 3.270973, -1.089718, 0.848400>,
      < 3.266812, -0.926767, 0.864891>,
      < 3.243671, -0.978652, 0.859612>
    }
    triangle {
      < 3.270973, -1.089718, 0.848400>,
      < 3.216633, -1.089715, 0.848336>,
      < 3.206384, -1.133302, 0.843911>
    }
    triangle {
      < 3.281919, -1.133306, 0.844000>,
      < 3.270973, -1.089718, 0.848400>,
      < 3.206384, -1.133302, 0.843911>
    }
    triangle {
      < 3.281919, -1.133306, 0.844000>,
      < 3.266812, -0.926767, 0.864891>,
      < 3.270973, -1.089718, 0.848400>
    }
    triangle {
      < 3.295005, -1.186954, 0.838584>,
      < 3.266812, -0.926767, 0.864891>,
      < 3.281919, -1.133306, 0.844000>
    }
    triangle {
      < 3.337332, -1.186956, 0.838634>,
      < 3.266812, -0.926767, 0.864891>,
      < 3.295005, -1.186954, 0.838584>
    }
    triangle {
      < 3.397634, -0.971536, 0.860515>,
      < 3.357442, -0.926772, 0.864999>,
      < 3.357457, -1.186957, 0.838658>
    }
    triangle {
      < 3.397638, -1.040187, 0.853565>,
      < 3.397634, -0.971536, 0.860515>,
      < 3.357457, -1.186957, 0.838658>
    }
    triangle {
      < 3.397703, -1.085702, 0.848957>,
      < 3.397638, -1.040187, 0.853565>,
      < 3.357457, -1.186957, 0.838658>
    }
    triangle {
      < 3.397710, -1.186960, 0.838706>,
      < 3.397703, -1.085702, 0.848957>,
      < 3.357457, -1.186957, 0.838658>
    }
    triangle {
      < 3.440408, -1.085705, 0.849007>,
      < 3.397638, -1.040187, 0.853565>,
      < 3.397703, -1.085702, 0.848957>
    }
    triangle {
      < 3.444808, -1.040190, 0.853621>,
      < 3.397638, -1.040187, 0.853565>,
      < 3.440408, -1.085705, 0.849007>
    }
    triangle {
      < 3.446754, -0.971539, 0.860573>,
      < 3.357442, -0.926772, 0.864999>,
      < 3.397634, -0.971536, 0.860515>
    }
    triangle {
      < 3.440408, -1.085705, 0.849007>,
      < 3.444808, -1.040190, 0.853621>,
      < 3.440408, -1.085705, 0.849007>
    }
    triangle {
      < 3.440408, -1.085705, 0.849007>,
      < 3.444808, -1.040190, 0.853621>,
      < 3.440408, -1.085705, 0.849007>
    }
    triangle {
      < 3.444808, -1.040190, 0.853621>,
      < 3.444808, -1.040190, 0.853621>,
      < 3.440408, -1.085705, 0.849007>
    }
    triangle {
      < 3.452223, -0.926778, 0.865111>,
      < 3.357442, -0.926772, 0.864999>,
      < 3.446754, -0.971539, 0.860573>
    }
    triangle {
      < 3.453365, -1.087382, 0.848853>,
      < 3.444808, -1.040190, 0.853621>,
      < 3.440408, -1.085705, 0.849007>
    }
    triangle {
      < 3.446754, -0.971539, 0.860573>,
      < 3.452223, -0.926778, 0.865111>,
      < 3.446754, -0.971539, 0.860573>
    }
    triangle {
      < 3.453365, -1.087382, 0.848853>,
      < 3.444808, -1.040190, 0.853621>,
      < 3.453365, -1.087382, 0.848853>
    }
    triangle {
      < 3.456821, -1.038849, 0.853771>,
      < 3.444808, -1.040190, 0.853621>,
      < 3.453365, -1.087382, 0.848853>
    }
    triangle {
      < 3.456821, -1.038849, 0.853771>,
      < 3.456821, -1.038849, 0.853771>,
      < 3.453365, -1.087382, 0.848853>
    }
    triangle {
      < 3.458232, -0.973048, 0.860434>,
      < 3.452223, -0.926778, 0.865111>,
      < 3.446754, -0.971539, 0.860573>
    }
    triangle {
      < 3.458232, -0.973048, 0.860434>,
      < 3.452223, -0.926778, 0.865111>,
      < 3.458232, -0.973048, 0.860434>
    }
    triangle {
      < 3.453365, -1.087382, 0.848853>,
      < 3.456821, -1.038849, 0.853771>,
      < 3.453365, -1.087382, 0.848853>
    }
    triangle {
      < 3.453365, -1.087382, 0.848853>,
      < 3.456821, -1.038849, 0.853771>,
      < 3.453365, -1.087382, 0.848853>
    }
    triangle {
      < 3.458232, -0.973048, 0.860434>,
      < 3.452223, -0.926778, 0.865111>,
      < 3.458232, -0.973048, 0.860434>
    }
    triangle {
      < 3.456821, -1.038849, 0.853771>,
      < 3.456821, -1.038849, 0.853771>,
      < 3.453365, -1.087382, 0.848853>
    }
    triangle {
      < 3.463176, -1.095346, 0.848059>,
      < 3.456821, -1.038849, 0.853771>,
      < 3.453365, -1.087382, 0.848853>
    }
    triangle {
      < 3.458232, -0.973048, 0.860434>,
      < 3.452223, -0.926778, 0.865111>,
      < 3.458232, -0.973048, 0.860434>
    }
    triangle {
      < 3.463176, -1.095346, 0.848059>,
      < 3.456821, -1.038849, 0.853771>,
      < 3.463176, -1.095346, 0.848059>
    }
    triangle {
      < 3.456821, -1.038849, 0.853771>,
      < 3.456821, -1.038849, 0.853771>,
      < 3.463176, -1.095346, 0.848059>
    }
    triangle {
      < 3.463176, -1.095346, 0.848059>,
      < 3.456821, -1.038849, 0.853771>,
      < 3.463176, -1.095346, 0.848059>
    }
    triangle {
      < 3.463176, -1.095346, 0.848059>,
      < 3.456821, -1.038849, 0.853771>,
      < 3.463176, -1.095346, 0.848059>
    }
    triangle {
      < 3.466440, -0.978749, 0.859867>,
      < 3.452223, -0.926778, 0.865111>,
      < 3.458232, -0.973048, 0.860434>
    }
    triangle {
      < 3.467254, -0.927533, 0.865052>,
      < 3.452223, -0.926778, 0.865111>,
      < 3.466440, -0.978749, 0.859867>
    }
    triangle {
      < 3.467260, -1.032311, 0.854445>,
      < 3.456821, -1.038849, 0.853771>,
      < 3.463176, -1.095346, 0.848059>
    }
    triangle {
      < 3.466440, -0.978749, 0.859867>,
      < 3.467254, -0.927533, 0.865052>,
      < 3.466440, -0.978749, 0.859867>
    }
    triangle {
      < 3.467957, -1.107836, 0.846800>,
      < 3.467260, -1.032311, 0.854445>,
      < 3.463176, -1.095346, 0.848059>
    }
    triangle {
      < 3.467260, -1.032311, 0.854445>,
      < 3.467260, -1.032311, 0.854445>,
      < 3.467957, -1.107836, 0.846800>
    }
    triangle {
      < 3.467957, -1.107836, 0.846800>,
      < 3.467260, -1.032311, 0.854445>,
      < 3.467957, -1.107836, 0.846800>
    }
    triangle {
      < 3.469342, -1.127031, 0.844858>,
      < 3.467260, -1.032311, 0.854445>,
      < 3.467957, -1.107836, 0.846800>
    }
    triangle {
      < 3.470035, -1.154441, 0.842084>,
      < 3.467260, -1.032311, 0.854445>,
      < 3.469342, -1.127031, 0.844858>
    }
    triangle {
      < 3.466440, -0.978749, 0.859867>,
      < 3.467254, -0.927533, 0.865052>,
      < 3.466440, -0.978749, 0.859867>
    }
    triangle {
      < 3.470035, -1.154441, 0.842084>,
      < 3.467260, -1.032311, 0.854445>,
      < 3.470035, -1.154441, 0.842084>
    }
    triangle {
      < 3.470035, -1.154441, 0.842084>,
      < 3.467260, -1.032311, 0.854445>,
      < 3.470035, -1.154441, 0.842084>
    }
    triangle {
      < 3.467260, -1.032311, 0.854445>,
      < 3.467260, -1.032311, 0.854445>,
      < 3.470035, -1.154441, 0.842084>
    }
    triangle {
      < 3.466440, -0.978749, 0.859867>,
      < 3.467254, -0.927533, 0.865052>,
      < 3.466440, -0.978749, 0.859867>
    }
    triangle {
      < 3.471043, -1.171792, 0.840328>,
      < 3.467260, -1.032311, 0.854445>,
      < 3.470035, -1.154441, 0.842084>
    }
    triangle {
      < 3.467260, -1.032311, 0.854445>,
      < 3.467260, -1.032311, 0.854445>,
      < 3.471043, -1.171792, 0.840328>
    }
    triangle {
      < 3.471043, -1.171792, 0.840328>,
      < 3.467260, -1.032311, 0.854445>,
      < 3.471043, -1.171792, 0.840328>
    }
    triangle {
      < 3.471043, -1.171792, 0.840328>,
      < 3.467260, -1.032311, 0.854445>,
      < 3.471043, -1.171792, 0.840328>
    }
    triangle {
      < 3.472761, -0.990484, 0.858685>,
      < 3.467254, -0.927533, 0.865052>,
      < 3.466440, -0.978749, 0.859867>
    }
    triangle {
      < 3.473109, -1.020744, 0.855623>,
      < 3.467260, -1.032311, 0.854445>,
      < 3.471043, -1.171792, 0.840328>
    }
    triangle {
      < 3.472761, -0.990484, 0.858685>,
      < 3.467254, -0.927533, 0.865052>,
      < 3.472761, -0.990484, 0.858685>
    }
    triangle {
      < 3.473109, -1.020744, 0.855623>,
      < 3.473109, -1.020744, 0.855623>,
      < 3.471043, -1.171792, 0.840328>
    }
    triangle {
      < 3.472761, -0.990484, 0.858685>,
      < 3.467254, -0.927533, 0.865052>,
      < 3.472761, -0.990484, 0.858685>
    }
    triangle {
      < 3.472761, -0.990484, 0.858685>,
      < 3.467254, -0.927533, 0.865052>,
      < 3.472761, -0.990484, 0.858685>
    }
    triangle {
      < 3.473109, -1.020744, 0.855623>,
      < 3.473109, -1.020744, 0.855623>,
      < 3.471043, -1.171792, 0.840328>
    }
    triangle {
      < 3.474503, -1.186964, 0.838796>,
      < 3.473109, -1.020744, 0.855623>,
      < 3.471043, -1.171792, 0.840328>
    }
    triangle {
      < 3.474931, -1.005824, 0.857136>,
      < 3.473109, -1.020744, 0.855623>,
      < 3.474503, -1.186964, 0.838796>
    }
    triangle {
      < 3.467254, -0.927533, 0.865052>,
      < 3.467254, -0.927533, 0.865052>,
      < 3.472761, -0.990484, 0.858685>
    }
    triangle {
      < 3.467254, -0.927533, 0.865052>,
      < 3.472761, -0.990484, 0.858685>,
      < 3.474931, -1.005824, 0.857136>
    }
    triangle {
      < 3.467254, -0.927533, 0.865052>,
      < 3.474931, -1.005824, 0.857136>,
      < 3.474503, -1.186964, 0.838796>
    }
    triangle {
      < 3.484990, -0.932941, 0.864526>,
      < 3.467254, -0.927533, 0.865052>,
      < 3.474503, -1.186964, 0.838796>
    }
    triangle {
      < 3.485816, -1.061986, 0.851462>,
      < 3.484990, -0.932941, 0.864526>,
      < 3.474503, -1.186964, 0.838796>
    }
    triangle {
      < 3.484990, -0.932941, 0.864526>,
      < 3.484990, -0.932941, 0.864526>,
      < 3.485816, -1.061986, 0.851462>
    }
    triangle {
      < 3.485816, -1.061986, 0.851462>,
      < 3.484990, -0.932941, 0.864526>,
      < 3.485816, -1.061986, 0.851462>
    }
    triangle {
      < 3.485816, -1.061986, 0.851462>,
      < 3.485816, -1.061986, 0.851462>,
      < 3.474503, -1.186964, 0.838796>
    }
    triangle {
      < 3.493922, -0.939103, 0.863913>,
      < 3.484990, -0.932941, 0.864526>,
      < 3.485816, -1.061986, 0.851462>
    }
    triangle {
      < 3.485816, -1.061986, 0.851462>,
      < 3.493922, -0.939103, 0.863913>,
      < 3.485816, -1.061986, 0.851462>
    }
    triangle {
      < 3.494558, -1.067518, 0.850913>,
      < 3.485816, -1.061986, 0.851462>,
      < 3.474503, -1.186964, 0.838796>
    }
    triangle {
      < 3.495376, -1.056286, 0.852051>,
      < 3.493922, -0.939103, 0.863913>,
      < 3.485816, -1.061986, 0.851462>
    }
    triangle {
      < 3.493922, -0.939103, 0.863913>,
      < 3.493922, -0.939103, 0.863913>,
      < 3.495376, -1.056286, 0.852051>
    }
    triangle {
      < 3.494558, -1.067518, 0.850913>,
      < 3.494558, -1.067518, 0.850913>,
      < 3.474503, -1.186964, 0.838796>
    }
    triangle {
      < 3.494558, -1.067518, 0.850913>,
      < 3.494558, -1.067518, 0.850913>,
      < 3.474503, -1.186964, 0.838796>
    }
    triangle {
      < 3.495376, -1.056286, 0.852051>,
      < 3.493922, -0.939103, 0.863913>,
      < 3.495376, -1.056286, 0.852051>
    }
    triangle {
      < 3.495376, -1.056286, 0.852051>,
      < 3.493922, -0.939103, 0.863913>,
      < 3.495376, -1.056286, 0.852051>
    }
    triangle {
      < 3.501972, -0.948449, 0.862976>,
      < 3.493922, -0.939103, 0.863913>,
      < 3.495376, -1.056286, 0.852051>
    }
    triangle {
      < 3.503018, -1.078248, 0.849836>,
      < 3.494558, -1.067518, 0.850913>,
      < 3.474503, -1.186964, 0.838796>
    }
    triangle {
      < 3.503018, -1.078248, 0.849836>,
      < 3.503018, -1.078248, 0.849836>,
      < 3.474503, -1.186964, 0.838796>
    }
    triangle {
      < 3.501972, -0.948449, 0.862976>,
      < 3.501972, -0.948449, 0.862976>,
      < 3.495376, -1.056286, 0.852051>
    }
    triangle {
      < 3.505060, -1.044468, 0.853259>,
      < 3.501972, -0.948449, 0.862976>,
      < 3.495376, -1.056286, 0.852051>
    }
    triangle {
      < 3.505060, -1.044468, 0.853259>,
      < 3.501972, -0.948449, 0.862976>,
      < 3.505060, -1.044468, 0.853259>
    }
    triangle {
      < 3.503018, -1.078248, 0.849836>,
      < 3.503018, -1.078248, 0.849836>,
      < 3.474503, -1.186964, 0.838796>
    }
    triangle {
      < 3.506699, -1.087553, 0.848900>,
      < 3.503018, -1.078248, 0.849836>,
      < 3.474503, -1.186964, 0.838796>
    }
    triangle {
      < 3.508514, -0.960855, 0.861728>,
      < 3.501972, -0.948449, 0.862976>,
      < 3.505060, -1.044468, 0.853259>
    }
    triangle {
      < 3.508774, -1.097779, 0.847866>,
      < 3.506699, -1.087553, 0.848900>,
      < 3.474503, -1.186964, 0.838796>
    }
    triangle {
      < 3.508774, -1.097779, 0.847866>,
      < 3.508774, -1.097779, 0.847866>,
      < 3.474503, -1.186964, 0.838796>
    }
    triangle {
      < 3.509588, -1.034745, 0.854248>,
      < 3.508514, -0.960855, 0.861728>,
      < 3.505060, -1.044468, 0.853259>
    }
    triangle {
      < 3.508514, -0.960855, 0.861728>,
      < 3.508514, -0.960855, 0.861728>,
      < 3.509588, -1.034745, 0.854248>
    }
    triangle {
      < 3.509588, -1.034745, 0.854248>,
      < 3.508514, -0.960855, 0.861728>,
      < 3.509588, -1.034745, 0.854248>
    }
    triangle {
      < 3.510159, -1.118819, 0.845738>,
      < 3.508774, -1.097779, 0.847866>,
      < 3.474503, -1.186964, 0.838796>
    }
    triangle {
      < 3.510978, -1.149749, 0.842607>,
      < 3.510159, -1.118819, 0.845738>,
      < 3.474503, -1.186964, 0.838796>
    }
    triangle {
      < 3.511357, -1.161820, 0.841386>,
      < 3.510978, -1.149749, 0.842607>,
      < 3.474503, -1.186964, 0.838796>
    }
    triangle {
      < 3.511357, -1.161820, 0.841386>,
      < 3.511357, -1.161820, 0.841386>,
      < 3.474503, -1.186964, 0.838796>
    }
    triangle {
      < 3.511357, -1.161820, 0.841386>,
      < 3.511357, -1.161820, 0.841386>,
      < 3.474503, -1.186964, 0.838796>
    }
    triangle {
      < 3.512729, -0.975273, 0.860273>,
      < 3.508514, -0.960855, 0.861728>,
      < 3.509588, -1.034745, 0.854248>
    }
    triangle {
      < 3.512921, -1.023261, 0.855415>,
      < 3.512729, -0.975273, 0.860273>,
      < 3.509588, -1.034745, 0.854248>
    }
    triangle {
      < 3.511357, -1.161820, 0.841386>,
      < 3.511357, -1.161820, 0.841386>,
      < 3.474503, -1.186964, 0.838796>
    }
    triangle {
      < 3.512921, -1.023261, 0.855415>,
      < 3.512729, -0.975273, 0.860273>,
      < 3.512921, -1.023261, 0.855415>
    }
    triangle {
      < 3.512729, -0.975273, 0.860273>,
      < 3.512729, -0.975273, 0.860273>,
      < 3.512921, -1.023261, 0.855415>
    }
    triangle {
      < 3.513653, -1.173010, 0.840256>,
      < 3.511357, -1.161820, 0.841386>,
      < 3.474503, -1.186964, 0.838796>
    }
    triangle {
      < 3.513653, -1.173010, 0.840256>,
      < 3.513653, -1.173010, 0.840256>,
      < 3.474503, -1.186964, 0.838796>
    }
    triangle {
      < 3.514681, -1.010520, 0.856707>,
      < 3.512729, -0.975273, 0.860273>,
      < 3.512921, -1.023261, 0.855415>
    }
    triangle {
      < 3.513653, -1.173010, 0.840256>,
      < 3.513653, -1.173010, 0.840256>,
      < 3.474503, -1.186964, 0.838796>
    }
    triangle {
      < 3.514932, -0.994762, 0.858302>,
      < 3.512729, -0.975273, 0.860273>,
      < 3.514681, -1.010520, 0.856707>
    }
    triangle {
      < 3.513653, -1.173010, 0.840256>,
      < 3.513653, -1.173010, 0.840256>,
      < 3.474503, -1.186964, 0.838796>
    }
    triangle {
      < 3.513653, -1.173010, 0.840256>,
      < 3.513653, -1.173010, 0.840256>,
      < 3.474503, -1.186964, 0.838796>
    }
    triangle {
      < 3.513653, -1.173010, 0.840256>,
      < 3.513653, -1.173010, 0.840256>,
      < 3.474503, -1.186964, 0.838796>
    }
    triangle {
      < 3.518653, -1.186967, 0.838849>,
      < 3.513653, -1.173010, 0.840256>,
      < 3.474503, -1.186964, 0.838796>
    }
    triangle {
      < 3.593104, -0.926787, 0.865278>,
      < 3.552852, -0.926784, 0.865230>,
      < 3.552867, -1.186969, 0.838889>
    }
    triangle {
      < 3.593120, -1.186971, 0.838937>,
      < 3.593104, -0.926787, 0.865278>,
      < 3.552867, -1.186969, 0.838889>
    }
    triangle {
      < 3.674431, -1.008267, 0.857125>,
      < 3.634803, -0.926789, 0.865326>,
      < 3.634819, -1.186974, 0.838986>
    }
    triangle {
      < 3.674441, -1.186976, 0.839033>,
      < 3.674431, -1.008267, 0.857125>,
      < 3.634819, -1.186974, 0.838986>
    }
    triangle {
      < 3.676815, -0.926792, 0.865376>,
      < 3.634803, -0.926789, 0.865326>,
      < 3.674431, -1.008267, 0.857125>
    }
    triangle {
      < 3.754316, -1.186981, 0.839127>,
      < 3.676815, -0.926792, 0.865376>,
      < 3.674431, -1.008267, 0.857125>
    }
    triangle {
      < 3.756197, -1.105673, 0.847361>,
      < 3.676815, -0.926792, 0.865376>,
      < 3.754316, -1.186981, 0.839127>
    }
    triangle {
      < 3.795810, -0.926799, 0.865517>,
      < 3.756186, -0.926796, 0.865470>,
      < 3.756197, -1.105673, 0.847361>
    }
    triangle {
      < 3.795810, -0.926799, 0.865517>,
      < 3.756197, -1.105673, 0.847361>,
      < 3.754316, -1.186981, 0.839127>
    }
    triangle {
      < 3.795825, -1.186983, 0.839177>,
      < 3.795810, -0.926799, 0.865517>,
      < 3.754316, -1.186981, 0.839127>
    }
    triangle {
      < 3.875687, -0.971900, 0.861046>,
      < 3.836061, -0.926801, 0.865565>,
      < 3.836077, -1.186986, 0.839224>
    }
    triangle {
      < 3.875690, -1.027307, 0.855437>,
      < 3.875687, -0.971900, 0.861046>,
      < 3.836077, -1.186986, 0.839224>
    }
    triangle {
      < 3.875693, -1.071984, 0.850914>,
      < 3.875690, -1.027307, 0.855437>,
      < 3.836077, -1.186986, 0.839224>
    }
    triangle {
      < 3.875697, -1.138958, 0.844133>,
      < 3.875693, -1.071984, 0.850914>,
      < 3.836077, -1.186986, 0.839224>
    }
    triangle {
      < 3.969213, -1.027312, 0.855548>,
      < 3.875690, -1.027307, 0.855437>,
      < 3.875693, -1.071984, 0.850914>
    }
    triangle {
      < 3.969216, -1.071989, 0.851025>,
      < 3.969213, -1.027312, 0.855548>,
      < 3.875693, -1.071984, 0.850914>
    }
    triangle {
      < 3.977823, -0.926810, 0.865733>,
      < 3.836061, -0.926801, 0.865565>,
      < 3.875687, -0.971900, 0.861046>
    }
    triangle {
      < 3.977826, -0.971906, 0.861167>,
      < 3.977823, -0.926810, 0.865733>,
      < 3.875687, -0.971900, 0.861046>
    }
    triangle {
      < 3.982868, -1.138964, 0.844260>,
      < 3.875697, -1.138958, 0.844133>,
      < 3.836077, -1.186986, 0.839224>
    }
    triangle {
      < 3.982871, -1.186995, 0.839398>,
      < 3.982868, -1.138964, 0.844260>,
      < 3.836077, -1.186986, 0.839224>
    }
    triangle {
      < 4.005634, -1.122788, 0.845925>,
      < 4.004313, -1.106443, 0.847578>,
      < 4.005634, -1.122788, 0.845925>
    }
    triangle {
      < 4.008151, -1.135529, 0.844638>,
      < 4.004313, -1.106443, 0.847578>,
      < 4.005634, -1.122788, 0.845925>
    }
    triangle {
      < 4.008582, -0.980122, 0.860372>,
      < 4.007451, -0.997893, 0.858571>,
      < 4.008458, -1.014322, 0.856909>
    }
    triangle {
      < 4.008458, -1.014322, 0.856909>,
      < 4.008582, -0.980122, 0.860372>,
      < 4.008458, -1.014322, 0.856909>
    }
    triangle {
      < 4.010688, -0.969393, 0.861460>,
      < 4.008582, -0.980122, 0.860372>,
      < 4.008458, -1.014322, 0.856909>
    }
    triangle {
      < 4.010974, -1.027231, 0.855605>,
      < 4.010688, -0.969393, 0.861460>,
      < 4.008458, -1.014322, 0.856909>
    }
    triangle {
      < 4.010688, -0.969393, 0.861460>,
      < 4.010688, -0.969393, 0.861460>,
      < 4.010974, -1.027231, 0.855605>
    }
    triangle {
      < 4.010974, -1.027231, 0.855605>,
      < 4.010688, -0.969393, 0.861460>,
      < 4.010974, -1.027231, 0.855605>
    }
    triangle {
      < 4.012114, -1.147265, 0.843454>,
      < 4.004313, -1.106443, 0.847578>,
      < 4.008151, -1.135529, 0.844638>
    }
    triangle {
      < 4.012114, -1.147265, 0.843454>,
      < 4.004313, -1.106443, 0.847578>,
      < 4.012114, -1.147265, 0.843454>
    }
    triangle {
      < 4.015247, -0.956904, 0.862730>,
      < 4.010688, -0.969393, 0.861460>,
      < 4.010974, -1.027231, 0.855605>
    }
    triangle {
      < 4.015755, -1.040056, 0.854312>,
      < 4.015247, -0.956904, 0.862730>,
      < 4.010974, -1.027231, 0.855605>
    }
    triangle {
      < 4.015755, -1.040056, 0.854312>,
      < 4.015247, -0.956904, 0.862730>,
      < 4.015755, -1.040056, 0.854312>
    }
    triangle {
      < 4.015247, -0.956904, 0.862730>,
      < 4.015247, -0.956904, 0.862730>,
      < 4.015755, -1.040056, 0.854312>
    }
    triangle {
      < 4.018530, -1.159671, 0.842206>,
      < 4.004313, -1.106443, 0.847578>,
      < 4.012114, -1.147265, 0.843454>
    }
    triangle {
      < 4.018530, -1.159671, 0.842206>,
      < 4.004313, -1.106443, 0.847578>,
      < 4.018530, -1.159671, 0.842206>
    }
    triangle {
      < 4.022108, -1.050199, 0.853293>,
      < 4.015247, -0.956904, 0.862730>,
      < 4.015755, -1.040056, 0.854312>
    }
    triangle {
      < 4.022108, -1.050199, 0.853293>,
      < 4.015247, -0.956904, 0.862730>,
      < 4.022108, -1.050199, 0.853293>
    }
    triangle {
      < 4.023580, -0.943577, 0.864089>,
      < 4.015247, -0.956904, 0.862730>,
      < 4.022108, -1.050199, 0.853293>
    }
    triangle {
      < 4.023580, -0.943577, 0.864089>,
      < 4.023580, -0.943577, 0.864089>,
      < 4.022108, -1.050199, 0.853293>
    }
    triangle {
      < 4.027210, -1.171155, 0.841054>,
      < 4.004313, -1.106443, 0.847578>,
      < 4.018530, -1.159671, 0.842206>
    }
    triangle {
      < 4.027210, -1.171155, 0.841054>,
      < 4.004313, -1.106443, 0.847578>,
      < 4.027210, -1.171155, 0.841054>
    }
    triangle {
      < 4.022108, -1.050199, 0.853293>,
      < 4.023580, -0.943577, 0.864089>,
      < 4.022108, -1.050199, 0.853293>
    }
    triangle {
      < 4.034271, -0.933225, 0.865150>,
      < 4.023580, -0.943577, 0.864089>,
      < 4.022108, -1.050199, 0.853293>
    }
    triangle {
      < 4.034271, -0.933225, 0.865150>,
      < 4.034271, -0.933225, 0.865150>,
      < 4.022108, -1.050199, 0.853293>
    }
    triangle {
      < 4.038084, -1.063527, 0.851962>,
      < 4.034271, -0.933225, 0.865150>,
      < 4.022108, -1.050199, 0.853293>
    }
    triangle {
      < 4.038594, -1.181382, 0.840032>,
      < 4.004313, -1.106443, 0.847578>,
      < 4.027210, -1.171155, 0.841054>
    }
    triangle {
      < 4.038594, -1.181382, 0.840032>,
      < 4.004313, -1.106443, 0.847578>,
      < 4.038594, -1.181382, 0.840032>
    }
    triangle {
      < 4.044125, -1.106445, 0.847625>,
      < 4.004313, -1.106443, 0.847578>,
      < 4.038594, -1.181382, 0.840032>
    }
    triangle {
      < 4.045949, -1.117090, 0.846549>,
      < 4.044125, -1.106445, 0.847625>,
      < 4.038594, -1.181382, 0.840032>
    }
    triangle {
      < 4.046194, -0.994626, 0.858948>,
      < 4.034271, -0.933225, 0.865150>,
      < 4.038084, -1.063527, 0.851962>
    }
    triangle {
      < 4.046194, -0.994626, 0.858948>,
      < 4.046194, -0.994626, 0.858948>,
      < 4.038084, -1.063527, 0.851962>
    }
    triangle {
      < 4.046194, -0.994626, 0.858948>,
      < 4.034271, -0.933225, 0.865150>,
      < 4.046194, -0.994626, 0.858948>
    }
    triangle {
      < 4.046194, -0.994626, 0.858948>,
      < 4.034271, -0.933225, 0.865150>,
      < 4.046194, -0.994626, 0.858948>
    }
    triangle {
      < 4.047078, -1.068054, 0.851515>,
      < 4.046194, -0.994626, 0.858948>,
      < 4.038084, -1.063527, 0.851962>
    }
    triangle {
      < 4.046194, -0.994626, 0.858948>,
      < 4.046194, -0.994626, 0.858948>,
      < 4.047078, -1.068054, 0.851515>
    }
    triangle {
      < 4.045949, -1.117090, 0.846549>,
      < 4.045949, -1.117090, 0.846549>,
      < 4.038594, -1.181382, 0.840032>
    }
    triangle {
      < 4.047514, -1.005774, 0.857821>,
      < 4.046194, -0.994626, 0.858948>,
      < 4.047078, -1.068054, 0.851515>
    }
    triangle {
      < 4.047576, -0.983142, 0.860112>,
      < 4.034271, -0.933225, 0.865150>,
      < 4.046194, -0.994626, 0.858948>
    }
    triangle {
      < 4.047576, -0.983142, 0.860112>,
      < 4.034271, -0.933225, 0.865150>,
      < 4.047576, -0.983142, 0.860112>
    }
    triangle {
      < 4.047514, -1.005774, 0.857821>,
      < 4.047514, -1.005774, 0.857821>,
      < 4.047078, -1.068054, 0.851515>
    }
    triangle {
      < 4.049209, -0.925053, 0.865995>,
      < 4.034271, -0.933225, 0.865150>,
      < 4.047576, -0.983142, 0.860112>
    }
    triangle {
      < 4.049691, -1.127778, 0.845472>,
      < 4.045949, -1.117090, 0.846549>,
      < 4.038594, -1.181382, 0.840032>
    }
    triangle {
      < 4.047514, -1.005774, 0.857821>,
      < 4.047514, -1.005774, 0.857821>,
      < 4.047078, -1.068054, 0.851515>
    }
    triangle {
      < 4.047576, -0.983142, 0.860112>,
      < 4.049209, -0.925053, 0.865995>,
      < 4.047576, -0.983142, 0.860112>
    }
    triangle {
      < 4.049209, -0.925053, 0.865995>,
      < 4.049209, -0.925053, 0.865995>,
      < 4.047576, -0.983142, 0.860112>
    }
    triangle {
      < 4.049691, -1.127778, 0.845472>,
      < 4.049691, -1.127778, 0.845472>,
      < 4.038594, -1.181382, 0.840032>
    }
    triangle {
      < 4.047576, -0.983142, 0.860112>,
      < 4.049209, -0.925053, 0.865995>,
      < 4.047576, -0.983142, 0.860112>
    }
    triangle {
      < 4.051236, -1.188591, 0.839317>,
      < 4.049691, -1.127778, 0.845472>,
      < 4.038594, -1.181382, 0.840032>
    }
    triangle {
      < 4.051236, -1.188591, 0.839317>,
      < 4.049691, -1.127778, 0.845472>,
      < 4.051236, -1.188591, 0.839317>
    }
    triangle {
      < 4.047514, -1.005774, 0.857821>,
      < 4.047514, -1.005774, 0.857821>,
      < 4.047078, -1.068054, 0.851515>
    }
    triangle {
      < 4.053427, -1.014828, 0.856912>,
      < 4.047514, -1.005774, 0.857821>,
      < 4.047078, -1.068054, 0.851515>
    }
    triangle {
      < 4.053865, -0.972581, 0.861189>,
      < 4.049209, -0.925053, 0.865995>,
      < 4.047576, -0.983142, 0.860112>
    }
    triangle {
      < 4.049691, -1.127778, 0.845472>,
      < 4.049691, -1.127778, 0.845472>,
      < 4.051236, -1.188591, 0.839317>
    }
    triangle {
      < 4.053865, -0.972581, 0.861189>,
      < 4.049209, -0.925053, 0.865995>,
      < 4.053865, -0.972581, 0.861189>
    }
    triangle {
      < 4.049691, -1.127778, 0.845472>,
      < 4.049691, -1.127778, 0.845472>,
      < 4.051236, -1.188591, 0.839317>
    }
    triangle {
      < 4.053427, -1.014828, 0.856912>,
      < 4.053427, -1.014828, 0.856912>,
      < 4.047078, -1.068054, 0.851515>
    }
    triangle {
      < 4.053427, -1.014828, 0.856912>,
      < 4.053427, -1.014828, 0.856912>,
      < 4.047078, -1.068054, 0.851515>
    }
    triangle {
      < 4.053865, -0.972581, 0.861189>,
      < 4.049209, -0.925053, 0.865995>,
      < 4.053865, -0.972581, 0.861189>
    }
    triangle {
      < 4.060038, -1.140604, 0.844185>,
      < 4.049691, -1.127778, 0.845472>,
      < 4.051236, -1.188591, 0.839317>
    }
    triangle {
      < 4.060286, -1.072917, 0.851039>,
      < 4.053427, -1.014828, 0.856912>,
      < 4.047078, -1.068054, 0.851515>
    }
    triangle {
      < 4.060038, -1.140604, 0.844185>,
      < 4.060038, -1.140604, 0.844185>,
      < 4.051236, -1.188591, 0.839317>
    }
    triangle {
      < 4.062730, -0.921282, 0.866393>,
      < 4.049209, -0.925053, 0.865995>,
      < 4.053865, -0.972581, 0.861189>
    }
    triangle {
      < 4.064178, -0.965960, 0.861872>,
      < 4.062730, -0.921282, 0.866393>,
      < 4.053865, -0.972581, 0.861189>
    }
    triangle {
      < 4.064371, -1.020696, 0.856330>,
      < 4.053427, -1.014828, 0.856912>,
      < 4.060286, -1.072917, 0.851039>
    }
    triangle {
      < 4.064695, -1.192532, 0.838934>,
      < 4.060038, -1.140604, 0.844185>,
      < 4.051236, -1.188591, 0.839317>
    }
    triangle {
      < 4.060038, -1.140604, 0.844185>,
      < 4.060038, -1.140604, 0.844185>,
      < 4.064695, -1.192532, 0.838934>
    }
    triangle {
      < 4.060038, -1.140604, 0.844185>,
      < 4.060038, -1.140604, 0.844185>,
      < 4.064695, -1.192532, 0.838934>
    }
    triangle {
      < 4.064371, -1.020696, 0.856330>,
      < 4.064371, -1.020696, 0.856330>,
      < 4.060286, -1.072917, 0.851039>
    }
    triangle {
      < 4.064178, -0.965960, 0.861872>,
      < 4.062730, -0.921282, 0.866393>,
      < 4.064178, -0.965960, 0.861872>
    }
    triangle {
      < 4.071858, -1.076354, 0.850704>,
      < 4.064371, -1.020696, 0.856330>,
      < 4.060286, -1.072917, 0.851039>
    }
    triangle {
      < 4.074944, -1.147520, 0.843503>,
      < 4.060038, -1.140604, 0.844185>,
      < 4.064695, -1.192532, 0.838934>
    }
    triangle {
      < 4.079274, -0.963362, 0.862153>,
      < 4.062730, -0.921282, 0.866393>,
      < 4.064178, -0.965960, 0.861872>
    }
    triangle {
      < 4.079522, -0.919607, 0.866582>,
      < 4.062730, -0.921282, 0.866393>,
      < 4.079274, -0.963362, 0.862153>
    }
    triangle {
      < 4.083051, -1.026732, 0.855741>,
      < 4.064371, -1.020696, 0.856330>,
      < 4.071858, -1.076354, 0.850704>
    }
    triangle {
      < 4.084759, -1.194126, 0.838797>,
      < 4.074944, -1.147520, 0.843503>,
      < 4.064695, -1.192532, 0.838934>
    }
    triangle {
      < 4.085067, -1.080379, 0.850312>,
      < 4.083051, -1.026732, 0.855741>,
      < 4.071858, -1.076354, 0.850704>
    }
    triangle {
      < 4.085637, -1.148694, 0.843398>,
      < 4.074944, -1.147520, 0.843503>,
      < 4.084759, -1.194126, 0.838797>
    }
    triangle {
      < 4.079274, -0.963362, 0.862153>,
      < 4.079522, -0.919607, 0.866582>,
      < 4.079274, -0.963362, 0.862153>
    }
    triangle {
      < 4.093429, -1.030086, 0.855414>,
      < 4.083051, -1.026732, 0.855741>,
      < 4.085067, -1.080379, 0.850312>
    }
    triangle {
      < 4.085067, -1.080379, 0.850312>,
      < 4.093429, -1.030086, 0.855414>,
      < 4.085067, -1.080379, 0.850312>
    }
    triangle {
      < 4.096066, -0.966213, 0.861884>,
      < 4.079522, -0.919607, 0.866582>,
      < 4.079274, -0.963362, 0.862153>
    }
    triangle {
      < 4.096140, -1.148359, 0.843444>,
      < 4.085637, -1.148694, 0.843398>,
      < 4.084759, -1.194126, 0.838797>
    }
    triangle {
      < 4.096066, -0.966213, 0.861884>,
      < 4.079522, -0.919607, 0.866582>,
      < 4.096066, -0.966213, 0.861884>
    }
    triangle {
      < 4.097258, -0.920530, 0.866510>,
      < 4.079522, -0.919607, 0.866582>,
      < 4.096066, -0.966213, 0.861884>
    }
    triangle {
      < 4.102620, -1.192869, 0.838945>,
      < 4.096140, -1.148359, 0.843444>,
      < 4.084759, -1.194126, 0.838797>
    }
    triangle {
      < 4.096066, -0.966213, 0.861884>,
      < 4.097258, -0.920530, 0.866510>,
      < 4.096066, -0.966213, 0.861884>
    }
    triangle {
      < 4.096140, -1.148359, 0.843444>,
      < 4.096140, -1.148359, 0.843444>,
      < 4.102620, -1.192869, 0.838945>
    }
    triangle {
      < 4.096066, -0.966213, 0.861884>,
      < 4.097258, -0.920530, 0.866510>,
      < 4.096066, -0.966213, 0.861884>
    }
    triangle {
      < 4.104564, -1.087672, 0.849598>,
      < 4.093429, -1.030086, 0.855414>,
      < 4.085067, -1.080379, 0.850312>
    }
    triangle {
      < 4.106007, -1.034361, 0.854997>,
      < 4.093429, -1.030086, 0.855414>,
      < 4.104564, -1.087672, 0.849598>
    }
    triangle {
      < 4.108079, -0.974177, 0.861092>,
      < 4.097258, -0.920530, 0.866510>,
      < 4.096066, -0.966213, 0.861884>
    }
    triangle {
      < 4.108079, -0.974177, 0.861092>,
      < 4.097258, -0.920530, 0.866510>,
      < 4.108079, -0.974177, 0.861092>
    }
    triangle {
      < 4.109900, -0.923548, 0.866219>,
      < 4.097258, -0.920530, 0.866510>,
      < 4.108079, -0.974177, 0.861092>
    }
    triangle {
      < 4.109913, -1.144295, 0.843871>,
      < 4.096140, -1.148359, 0.843444>,
      < 4.102620, -1.192869, 0.838945>
    }
    triangle {
      < 4.109913, -1.144295, 0.843871>,
      < 4.109913, -1.144295, 0.843871>,
      < 4.102620, -1.192869, 0.838945>
    }
    triangle {
      < 4.104564, -1.087672, 0.849598>,
      < 4.106007, -1.034361, 0.854997>,
      < 4.104564, -1.087672, 0.849598>
    }
    triangle {
      < 4.104564, -1.087672, 0.849598>,
      < 4.106007, -1.034361, 0.854997>,
      < 4.104564, -1.087672, 0.849598>
    }
    triangle {
      < 4.108079, -0.974177, 0.861092>,
      < 4.109900, -0.923548, 0.866219>,
      < 4.108079, -0.974177, 0.861092>
    }
    triangle {
      < 4.113929, -0.983021, 0.860203>,
      < 4.109900, -0.923548, 0.866219>,
      < 4.108079, -0.974177, 0.861092>
    }
    triangle {
      < 4.109913, -1.144295, 0.843871>,
      < 4.109913, -1.144295, 0.843871>,
      < 4.102620, -1.192869, 0.838945>
    }
    triangle {
      < 4.115262, -1.189769, 0.839274>,
      < 4.109913, -1.144295, 0.843871>,
      < 4.102620, -1.192869, 0.838945>
    }
    triangle {
      < 4.109913, -1.144295, 0.843871>,
      < 4.109913, -1.144295, 0.843871>,
      < 4.115262, -1.189769, 0.839274>
    }
    triangle {
      < 4.113929, -0.983021, 0.860203>,
      < 4.109900, -0.923548, 0.866219>,
      < 4.113929, -0.983021, 0.860203>
    }
    triangle {
      < 4.115885, -1.094211, 0.848949>,
      < 4.106007, -1.034361, 0.854997>,
      < 4.104564, -1.087672, 0.849598>
    }
    triangle {
      < 4.116885, -0.992535, 0.859244>,
      < 4.109900, -0.923548, 0.866219>,
      < 4.113929, -0.983021, 0.860203>
    }
    triangle {
      < 4.115885, -1.094211, 0.848949>,
      < 4.106007, -1.034361, 0.854997>,
      < 4.115885, -1.094211, 0.848949>
    }
    triangle {
      < 4.115262, -1.189769, 0.839274>,
      < 4.109913, -1.144295, 0.843871>,
      < 4.115262, -1.189769, 0.839274>
    }
    triangle {
      < 4.116885, -0.992535, 0.859244>,
      < 4.109900, -0.923548, 0.866219>,
      < 4.116885, -0.992535, 0.859244>
    }
    triangle {
      < 4.118466, -1.136542, 0.844666>,
      < 4.109913, -1.144295, 0.843871>,
      < 4.115262, -1.189769, 0.839274>
    }
    triangle {
      < 4.118466, -1.136542, 0.844666>,
      < 4.118466, -1.136542, 0.844666>,
      < 4.115262, -1.189769, 0.839274>
    }
    triangle {
      < 4.115885, -1.094211, 0.848949>,
      < 4.106007, -1.034361, 0.854997>,
      < 4.115885, -1.094211, 0.848949>
    }
    triangle {
      < 4.120536, -1.039811, 0.854462>,
      < 4.106007, -1.034361, 0.854997>,
      < 4.115885, -1.094211, 0.848949>
    }
    triangle {
      < 4.115885, -1.094211, 0.848949>,
      < 4.120536, -1.039811, 0.854462>,
      < 4.115885, -1.094211, 0.848949>
    }
    triangle {
      < 4.118466, -1.136542, 0.844666>,
      < 4.118466, -1.136542, 0.844666>,
      < 4.115262, -1.189769, 0.839274>
    }
    triangle {
      < 4.121788, -0.929333, 0.865648>,
      < 4.109900, -0.923548, 0.866219>,
      < 4.116885, -0.992535, 0.859244>
    }
    triangle {
      < 4.118466, -1.136542, 0.844666>,
      < 4.118466, -1.136542, 0.844666>,
      < 4.115262, -1.189769, 0.839274>
    }
    triangle {
      < 4.122238, -1.103935, 0.847972>,
      < 4.120536, -1.039811, 0.854462>,
      < 4.115885, -1.094211, 0.848949>
    }
    triangle {
      < 4.122238, -1.103935, 0.847972>,
      < 4.120536, -1.039811, 0.854462>,
      < 4.122238, -1.103935, 0.847972>
    }
    triangle {
      < 4.121788, -0.929333, 0.865648>,
      < 4.121788, -0.929333, 0.865648>,
      < 4.116885, -0.992535, 0.859244>
    }
    triangle {
      < 4.123214, -1.125394, 0.845801>,
      < 4.118466, -1.136542, 0.844666>,
      < 4.115262, -1.189769, 0.839274>
    }
    triangle {
      < 4.122238, -1.103935, 0.847972>,
      < 4.120536, -1.039811, 0.854462>,
      < 4.122238, -1.103935, 0.847972>
    }
    triangle {
      < 4.122238, -1.103935, 0.847972>,
      < 4.120536, -1.039811, 0.854462>,
      < 4.122238, -1.103935, 0.847972>
    }
    triangle {
      < 4.123214, -1.125394, 0.845801>,
      < 4.123214, -1.125394, 0.845801>,
      < 4.115262, -1.189769, 0.839274>
    }
    triangle {
      < 4.123214, -1.125394, 0.845801>,
      < 4.120536, -1.039811, 0.854462>,
      < 4.122238, -1.103935, 0.847972>
    }
    triangle {
      < 4.120536, -1.039811, 0.854462>,
      < 4.120536, -1.039811, 0.854462>,
      < 4.123214, -1.125394, 0.845801>
    }
    triangle {
      < 4.120536, -1.039811, 0.854462>,
      < 4.123214, -1.125394, 0.845801>,
      < 4.123214, -1.125394, 0.845801>
    }
    triangle {
      < 4.130293, -1.182393, 0.840038>,
      < 4.123214, -1.125394, 0.845801>,
      < 4.115262, -1.189769, 0.839274>
    }
    triangle {
      < 4.130293, -1.182393, 0.840038>,
      < 4.123214, -1.125394, 0.845801>,
      < 4.123214, -1.125394, 0.845801>
    }
    triangle {
      < 4.130293, -1.182393, 0.840038>,
      < 4.120536, -1.039811, 0.854462>,
      < 4.123214, -1.125394, 0.845801>
    }
    triangle {
      < 4.132668, -0.937800, 0.864803>,
      < 4.121788, -0.929333, 0.865648>,
      < 4.116885, -0.992535, 0.859244>
    }
    triangle {
      < 4.130293, -1.182393, 0.840038>,
      < 4.120536, -1.039811, 0.854462>,
      < 4.130293, -1.182393, 0.840038>
    }
    triangle {
      < 4.132668, -0.937800, 0.864803>,
      < 4.132668, -0.937800, 0.864803>,
      < 4.116885, -0.992535, 0.859244>
    }
    triangle {
      < 4.139531, -1.050457, 0.853407>,
      < 4.120536, -1.039811, 0.854462>,
      < 4.130293, -1.182393, 0.840038>
    }
    triangle {
      < 4.142103, -0.949116, 0.863669>,
      < 4.132668, -0.937800, 0.864803>,
      < 4.116885, -0.992535, 0.859244>
    }
    triangle {
      < 4.142179, -1.172251, 0.841079>,
      < 4.139531, -1.050457, 0.853407>,
      < 4.130293, -1.182393, 0.840038>
    }
    triangle {
      < 4.142103, -0.949116, 0.863669>,
      < 4.142103, -0.949116, 0.863669>,
      < 4.116885, -0.992535, 0.859244>
    }
    triangle {
      < 4.142179, -1.172251, 0.841079>,
      < 4.139531, -1.050457, 0.853407>,
      < 4.142179, -1.172251, 0.841079>
    }
    triangle {
      < 4.139531, -1.050457, 0.853407>,
      < 4.139531, -1.050457, 0.853407>,
      < 4.142179, -1.172251, 0.841079>
    }
    triangle {
      < 4.147141, -1.057499, 0.852703>,
      < 4.139531, -1.050457, 0.853407>,
      < 4.142179, -1.172251, 0.841079>
    }
    triangle {
      < 4.148551, -0.960894, 0.862485>,
      < 4.142103, -0.949116, 0.863669>,
      < 4.116885, -0.992535, 0.859244>
    }
    triangle {
      < 4.148551, -0.960894, 0.862485>,
      < 4.148551, -0.960894, 0.862485>,
      < 4.116885, -0.992535, 0.859244>
    }
    triangle {
      < 4.151990, -1.158757, 0.842457>,
      < 4.147141, -1.057499, 0.852703>,
      < 4.142179, -1.172251, 0.841079>
    }
    triangle {
      < 4.147141, -1.057499, 0.852703>,
      < 4.147141, -1.057499, 0.852703>,
      < 4.151990, -1.158757, 0.842457>
    }
    triangle {
      < 4.153268, -0.974766, 0.861086>,
      < 4.148551, -0.960894, 0.862485>,
      < 4.116885, -0.992535, 0.859244>
    }
    triangle {
      < 4.153268, -0.974766, 0.861086>,
      < 4.153268, -0.974766, 0.861086>,
      < 4.116885, -0.992535, 0.859244>
    }
    triangle {
      < 4.151990, -1.158757, 0.842457>,
      < 4.147141, -1.057499, 0.852703>,
      < 4.151990, -1.158757, 0.842457>
    }
    triangle {
      < 4.154752, -1.068312, 0.851617>,
      < 4.147141, -1.057499, 0.852703>,
      < 4.151990, -1.158757, 0.842457>
    }
    triangle {
      < 4.155627, -0.987843, 0.859765>,
      < 4.153268, -0.974766, 0.861086>,
      < 4.116885, -0.992535, 0.859244>
    }
    triangle {
      < 4.155627, -0.987843, 0.859765>,
      < 4.155627, -0.987843, 0.859765>,
      < 4.116885, -0.992535, 0.859244>
    }
    triangle {
      < 4.156635, -1.002093, 0.858324>,
      < 4.155627, -0.987843, 0.859765>,
      < 4.116885, -0.992535, 0.859244>
    }
    triangle {
      < 4.154752, -1.068312, 0.851617>,
      < 4.154752, -1.068312, 0.851617>,
      < 4.151990, -1.158757, 0.842457>
    }
    triangle {
      < 4.158718, -1.143166, 0.844044>,
      < 4.154752, -1.068312, 0.851617>,
      < 4.151990, -1.158757, 0.842457>
    }
    triangle {
      < 4.158718, -1.143166, 0.844044>,
      < 4.154752, -1.068312, 0.851617>,
      < 4.158718, -1.143166, 0.844044>
    }
    triangle {
      < 4.159909, -1.080718, 0.850368>,
      < 4.154752, -1.068312, 0.851617>,
      < 4.158718, -1.143166, 0.844044>
    }
    triangle {
      < 4.162051, -1.128581, 0.845524>,
      < 4.159909, -1.080718, 0.850368>,
      < 4.158718, -1.143166, 0.844044>
    }
    triangle {
      < 4.159909, -1.080718, 0.850368>,
      < 4.159909, -1.080718, 0.850368>,
      < 4.162051, -1.128581, 0.845524>
    }
    triangle {
      < 4.162552, -1.093292, 0.849097>,
      < 4.159909, -1.080718, 0.850368>,
      < 4.162051, -1.128581, 0.845524>
    }
    triangle {
      < 4.163433, -1.110308, 0.847376>,
      < 4.162552, -1.093292, 0.849097>,
      < 4.162051, -1.128581, 0.845524>
    }
    texture {MTL_Blue}
  }
  rotate x*0
  rotate y*0
  rotate z*0
}
