
// This file is a POV V2.0 document that describes
// the image of a galleon (a kind of sailing ship). This image was
// converted from galleon.obj found on avalon.chinalake.navy.mil
// by Keith Rule (keithr@lucy1.pen.tek.com).
//
// The original file "galleon.obj" had the following restrictions
// associated with it: 
//
//	(c) Copyright 1992 Viewpoint Animation Engineering Inc.
//	Sun Microsystems has been authorized to freely distribute
//	these Datasets.  They are provided for unlimited use in
//	existing or modified form.  The actual Dataset (ie, geometry)
//	may not, however, be resold in existing or modified form.
//
// No additional restrictions have been added to this version of the file.
//
// This file was automatically generated from galleon.obj. Occasional
// warnings will be reported by povray about this file. These
// warnings, though annoying, do not affect the resultant raytraced
// image.

#include "colors.inc"
#include "textures.inc"

camera {
   location  <-10, 25, 85>
   direction <0, 0,  1>
   up        <0, 1,  0>
   right   <4/3, 0,  0>
   look_at   <0, 15, 0>
}

light_source {<0, 10, 35> color White}
light_source {<0, 50, 0> color White}
light_source {<0, 50, 10> color White}

/* Sky */
sphere { <0, -39000, 0>, 40000
   inverse

   pigment {
      bozo
      turbulence 0.6
      colour_map {
         [0 0.5 colour red 0.4 green 0.5 blue 1
                colour red 0.4 green 0.5 blue 1.0]
         [0.5 0.7 colour red 0.4 green 0.5 blue 1
                  colour red 1 green 1 blue 1.0]
         [0.7 1 colour red 1 green 1 blue 1
                colour red 0.7 green 0.7 blue 0.7]
      }
      scale 500
      quick_color red 0.4 green 0.5 blue 1
   }
   finish {
      ambient 1
      diffuse 0
   }
}

// water
plane {
   y, -10
 
   texture {
      pigment { LightBlue }
      normal {
         ripples 0.5
         frequency 100.0
	 scale 1000
      }
      finish {
         crand 0.05
         reflection 0.5
         brilliance 3.0
      }
   }
}


// Defintions for colors and textures of the galleon object
#declare sail = texture {pigment{color White} finish {ambient 0.5 diffuse 0.25 roughness 0.5}}
#declare mast2 = texture {Sandalwood}
#declare keel = texture {Sandalwood}
#declare hull = texture {Sandalwood}
#declare deck = texture {Sandalwood}
#declare rig = texture {pigment {color Black} finish {Metal}}
#declare aft = texture {Sandalwood}
#declare windows = texture {Glass}
#declare mast1 = texture {Sandalwood}
#declare mast3 = texture {Sandalwood}
#declare lamp = texture {pigment {color Black} finish {Metal}}
#declare foremast = texture {Sandalwood}
#declare sail2 = texture {sail}
#declare sail1 = texture {sail}
#declare sail5 = texture {sail}
#declare sail4 = texture {sail}
#declare sail6 = texture {sail}
#declare sail3 = texture {sail}


// Definition of the galleon object
union {
  // mast2
  union {
    triangle {
      < -0.471518, 0.607158, -0.742476>,
      < -0.471518, 2.835144, -0.742476>,
      < -0.471519, 2.835144, 0.742476>
    }
    triangle {
      < -0.471518, 0.607158, -0.742476>,
      < -0.471519, 2.835144, 0.742476>,
      < -0.471519, 0.607158, 0.742476>
    }
    triangle {
      < -0.471518, 2.835144, -0.742476>,
      < 0.235709, 2.835144, -1.035419>,
      < 0.235709, 2.835144, 1.035419>
    }
    triangle {
      < -0.471518, 2.835144, -0.742476>,
      < 0.235709, 2.835144, 1.035419>,
      < -0.471519, 2.835144, 0.742476>
    }
    triangle {
      < 0.235709, 2.835144, -1.035419>,
      < 0.235709, 3.340722, -1.035419>,
      < 0.235709, 3.340722, 1.035419>
    }
    triangle {
      < 0.235709, 2.835144, -1.035419>,
      < 0.235709, 3.340722, 1.035419>,
      < 0.235709, 2.835144, 1.035419>
    }
    triangle {
      < 0.235709, 3.340722, -1.035419>,
      < -1.250291, 3.340722, -0.419898>,
      < -1.250291, 3.340722, 0.419898>
    }
    triangle {
      < 0.235709, 3.340722, -1.035419>,
      < -1.250291, 3.340722, 0.419898>,
      < 0.235709, 3.340722, 1.035419>
    }
    triangle {
      < -1.250291, 3.340722, -0.419898>,
      < -1.435455, 28.440485, -0.343200>,
      < -1.435455, 28.440485, 0.343200>
    }
    triangle {
      < -1.250291, 3.340722, -0.419898>,
      < -1.435455, 28.440485, 0.343200>,
      < -1.250291, 3.340722, 0.419898>
    }
    triangle {
      < -1.435455, 28.440485, -0.343200>,
      < -0.525114, 29.392422, -0.720276>,
      < -0.525114, 29.392422, 0.720276>
    }
    triangle {
      < -1.435455, 28.440485, -0.343200>,
      < -0.525114, 29.392422, 0.720276>,
      < -1.435455, 28.440485, 0.343200>
    }
    triangle {
      < -0.525114, 29.392422, -0.720276>,
      < -0.339949, 31.134907, -0.796974>,
      < -0.339949, 31.134907, 0.796974>
    }
    triangle {
      < -0.525114, 29.392422, -0.720276>,
      < -0.339949, 31.134907, 0.796974>,
      < -0.525114, 29.392422, 0.720276>
    }
    triangle {
      < -0.339949, 31.134907, -0.796974>,
      < -0.009594, 31.301920, -0.933812>,
      < -0.009594, 31.301920, 0.933812>
    }
    triangle {
      < -0.339949, 31.134907, -0.796974>,
      < -0.009594, 31.301920, 0.933812>,
      < -0.339949, 31.134907, 0.796974>
    }
    triangle {
      < -0.009594, 31.301920, -0.933812>,
      < -0.009594, 31.705118, -0.933812>,
      < -0.009594, 31.705118, 0.933812>
    }
    triangle {
      < -0.009594, 31.301920, -0.933812>,
      < -0.009594, 31.705118, 0.933812>,
      < -0.009594, 31.301920, 0.933812>
    }
    triangle {
      < -0.009594, 31.705118, -0.933812>,
      < -0.813112, 31.538105, -0.600984>,
      < -0.813112, 31.538105, 0.600984>
    }
    triangle {
      < -0.009594, 31.705118, -0.933812>,
      < -0.813112, 31.538105, 0.600984>,
      < -0.009594, 31.705118, 0.933812>
    }
    triangle {
      < -0.813112, 31.538105, -0.600984>,
      < -0.998277, 30.035196, -0.524286>,
      < -0.998277, 30.035196, 0.524286>
    }
    triangle {
      < -0.813112, 31.538105, -0.600984>,
      < -0.998277, 30.035196, 0.524286>,
      < -0.813112, 31.538105, 0.600984>
    }
    triangle {
      < -0.998277, 30.035196, -0.524286>,
      < -1.638847, 30.068596, -0.258952>,
      < -1.638847, 30.068596, 0.258952>
    }
    triangle {
      < -0.998277, 30.035196, -0.524286>,
      < -1.638847, 30.068596, 0.258952>,
      < -0.998277, 30.035196, 0.524286>
    }
    triangle {
      < -1.638847, 30.068596, -0.258952>,
      < -1.981079, 54.333931, -0.117197>,
      < -1.981079, 54.333931, 0.117197>
    }
    triangle {
      < -1.638847, 30.068596, -0.258952>,
      < -1.981079, 54.333931, 0.117197>,
      < -1.638847, 30.068596, 0.258952>
    }
    triangle {
      < -4.056511, 0.607158, 0.742476>,
      < -4.056511, 2.835144, 0.742476>,
      < -4.056510, 2.835144, -0.742476>
    }
    triangle {
      < -4.056511, 0.607158, 0.742476>,
      < -4.056510, 2.835144, -0.742476>,
      < -4.056510, 0.607158, -0.742476>
    }
    triangle {
      < -4.056511, 2.835144, 0.742476>,
      < -4.763738, 2.835144, 1.035419>,
      < -4.763738, 2.835144, -1.035419>
    }
    triangle {
      < -4.056511, 2.835144, 0.742476>,
      < -4.763738, 2.835144, -1.035419>,
      < -4.056510, 2.835144, -0.742476>
    }
    triangle {
      < -4.763738, 2.835144, 1.035419>,
      < -4.763738, 3.340722, 1.035419>,
      < -4.763738, 3.340722, -1.035419>
    }
    triangle {
      < -4.763738, 2.835144, 1.035419>,
      < -4.763738, 3.340722, -1.035419>,
      < -4.763738, 2.835144, -1.035419>
    }
    triangle {
      < -4.763738, 3.340722, 1.035419>,
      < -3.277740, 3.340722, 0.419898>,
      < -3.277740, 3.340722, -0.419898>
    }
    triangle {
      < -4.763738, 3.340722, 1.035419>,
      < -3.277740, 3.340722, -0.419898>,
      < -4.763738, 3.340722, -1.035419>
    }
    triangle {
      < -3.277740, 3.340722, 0.419898>,
      < -3.092574, 28.440485, 0.343200>,
      < -3.092574, 28.440485, -0.343200>
    }
    triangle {
      < -3.277740, 3.340722, 0.419898>,
      < -3.092574, 28.440485, -0.343200>,
      < -3.277740, 3.340722, -0.419898>
    }
    triangle {
      < -3.092574, 28.440485, 0.343200>,
      < -4.002915, 29.392422, 0.720276>,
      < -4.002915, 29.392422, -0.720276>
    }
    triangle {
      < -3.092574, 28.440485, 0.343200>,
      < -4.002915, 29.392422, -0.720276>,
      < -3.092574, 28.440485, -0.343200>
    }
    triangle {
      < -4.002915, 29.392422, 0.720276>,
      < -4.188079, 31.134907, 0.796974>,
      < -4.188079, 31.134907, -0.796974>
    }
    triangle {
      < -4.002915, 29.392422, 0.720276>,
      < -4.188079, 31.134907, -0.796974>,
      < -4.002915, 29.392422, -0.720276>
    }
    triangle {
      < -4.188079, 31.134907, 0.796974>,
      < -4.518435, 31.301920, 0.933812>,
      < -4.518436, 31.301920, -0.933812>
    }
    triangle {
      < -4.188079, 31.134907, 0.796974>,
      < -4.518436, 31.301920, -0.933812>,
      < -4.188079, 31.134907, -0.796974>
    }
    triangle {
      < -4.518435, 31.301920, 0.933812>,
      < -4.518435, 31.705118, 0.933812>,
      < -4.518436, 31.705118, -0.933812>
    }
    triangle {
      < -4.518435, 31.301920, 0.933812>,
      < -4.518436, 31.705118, -0.933812>,
      < -4.518436, 31.301920, -0.933812>
    }
    triangle {
      < -4.518435, 31.705118, 0.933812>,
      < -3.714916, 31.538105, 0.600984>,
      < -3.714916, 31.538105, -0.600984>
    }
    triangle {
      < -4.518435, 31.705118, 0.933812>,
      < -3.714916, 31.538105, -0.600984>,
      < -4.518436, 31.705118, -0.933812>
    }
    triangle {
      < -3.714916, 31.538105, 0.600984>,
      < -3.529752, 30.035196, 0.524286>,
      < -3.529752, 30.035196, -0.524286>
    }
    triangle {
      < -3.714916, 31.538105, 0.600984>,
      < -3.529752, 30.035196, -0.524286>,
      < -3.714916, 31.538105, -0.600984>
    }
    triangle {
      < -3.529752, 30.035196, 0.524286>,
      < -2.889182, 30.068596, 0.258952>,
      < -2.889182, 30.068596, -0.258952>
    }
    triangle {
      < -3.529752, 30.035196, 0.524286>,
      < -2.889182, 30.068596, -0.258952>,
      < -3.529752, 30.035196, -0.524286>
    }
    triangle {
      < -2.889182, 30.068596, 0.258952>,
      < -2.546952, 54.333931, 0.117197>,
      < -2.546952, 54.333931, -0.117197>
    }
    triangle {
      < -2.889182, 30.068596, 0.258952>,
      < -2.546952, 54.333931, -0.117197>,
      < -2.889182, 30.068596, -0.258952>
    }
    triangle {
      < -3.006491, 0.607158, 1.792495>,
      < -3.006491, 2.835144, 1.792495>,
      < -4.056511, 2.835144, 0.742476>
    }
    triangle {
      < -3.006491, 0.607158, 1.792495>,
      < -4.056511, 2.835144, 0.742476>,
      < -4.056511, 0.607158, 0.742476>
    }
    triangle {
      < -3.006491, 2.835144, 1.792495>,
      < -3.299435, 2.835144, 2.499723>,
      < -4.763738, 2.835144, 1.035419>
    }
    triangle {
      < -3.006491, 2.835144, 1.792495>,
      < -4.763738, 2.835144, 1.035419>,
      < -4.056511, 2.835144, 0.742476>
    }
    triangle {
      < -3.299435, 2.835144, 2.499723>,
      < -3.299435, 3.340722, 2.499723>,
      < -4.763738, 3.340722, 1.035419>
    }
    triangle {
      < -3.299435, 2.835144, 2.499723>,
      < -4.763738, 3.340722, 1.035419>,
      < -4.763738, 2.835144, 1.035419>
    }
    triangle {
      < -3.299435, 3.340722, 2.499723>,
      < -2.683913, 3.340722, 1.013724>,
      < -3.277740, 3.340722, 0.419898>
    }
    triangle {
      < -3.299435, 3.340722, 2.499723>,
      < -3.277740, 3.340722, 0.419898>,
      < -4.763738, 3.340722, 1.035419>
    }
    triangle {
      < -2.683913, 3.340722, 1.013724>,
      < -2.607214, 28.440485, 0.828560>,
      < -3.092574, 28.440485, 0.343200>
    }
    triangle {
      < -2.683913, 3.340722, 1.013724>,
      < -3.092574, 28.440485, 0.343200>,
      < -3.277740, 3.340722, 0.419898>
    }
    triangle {
      < -2.607214, 28.440485, 0.828560>,
      < -2.795753, 28.916454, 1.283730>,
      < -2.984291, 29.392422, 1.738900>
    }
    triangle {
      < -2.607214, 28.440485, 0.828560>,
      < -2.984291, 29.392422, 1.738900>,
      < -4.002915, 29.392422, 0.720276>
    }
    triangle {
      < -2.607214, 28.440485, 0.828560>,
      < -4.002915, 29.392422, 0.720276>,
      < -3.092574, 28.440485, 0.343200>
    }
    triangle {
      < -2.984291, 29.392422, 1.738900>,
      < -3.060988, 31.134907, 1.924065>,
      < -4.188079, 31.134907, 0.796974>
    }
    triangle {
      < -2.984291, 29.392422, 1.738900>,
      < -4.188079, 31.134907, 0.796974>,
      < -4.002915, 29.392422, 0.720276>
    }
    triangle {
      < -3.060988, 31.134907, 1.924065>,
      < -3.197826, 31.301920, 2.254421>,
      < -4.518435, 31.301920, 0.933812>
    }
    triangle {
      < -3.060988, 31.134907, 1.924065>,
      < -4.518435, 31.301920, 0.933812>,
      < -4.188079, 31.134907, 0.796974>
    }
    triangle {
      < -3.197826, 31.301920, 2.254421>,
      < -3.197826, 31.705118, 2.254421>,
      < -4.518435, 31.705118, 0.933812>
    }
    triangle {
      < -3.197826, 31.301920, 2.254421>,
      < -4.518435, 31.705118, 0.933812>,
      < -4.518435, 31.301920, 0.933812>
    }
    triangle {
      < -3.197826, 31.705118, 2.254421>,
      < -2.864999, 31.538105, 1.450902>,
      < -3.714916, 31.538105, 0.600984>
    }
    triangle {
      < -3.197826, 31.705118, 2.254421>,
      < -3.714916, 31.538105, 0.600984>,
      < -4.518435, 31.705118, 0.933812>
    }
    triangle {
      < -2.864999, 31.538105, 1.450902>,
      < -2.788301, 30.035196, 1.265738>,
      < -3.529752, 30.035196, 0.524286>
    }
    triangle {
      < -2.864999, 31.538105, 1.450902>,
      < -3.529752, 30.035196, 0.524286>,
      < -3.714916, 31.538105, 0.600984>
    }
    triangle {
      < -2.788301, 30.035196, 1.265738>,
      < -2.522967, 30.068596, 0.625167>,
      < -2.889182, 30.068596, 0.258952>
    }
    triangle {
      < -2.788301, 30.035196, 1.265738>,
      < -2.889182, 30.068596, 0.258952>,
      < -3.529752, 30.035196, 0.524286>
    }
    triangle {
      < -2.522967, 30.068596, 0.625167>,
      < -2.381211, 54.333931, 0.282936>,
      < -2.546952, 54.333931, 0.117197>
    }
    triangle {
      < -2.522967, 30.068596, 0.625167>,
      < -2.546952, 54.333931, 0.117197>,
      < -2.889182, 30.068596, 0.258952>
    }
    triangle {
      < -1.521538, 0.607158, 1.792497>,
      < -1.521538, 2.835144, 1.792497>,
      < -3.006491, 2.835144, 1.792495>
    }
    triangle {
      < -1.521538, 0.607158, 1.792497>,
      < -3.006491, 2.835144, 1.792495>,
      < -3.006491, 0.607158, 1.792495>
    }
    triangle {
      < -1.521538, 2.835144, 1.792497>,
      < -1.228595, 2.835144, 2.499723>,
      < -3.299435, 2.835144, 2.499723>
    }
    triangle {
      < -1.521538, 2.835144, 1.792497>,
      < -3.299435, 2.835144, 2.499723>,
      < -3.006491, 2.835144, 1.792495>
    }
    triangle {
      < -1.228595, 2.835144, 2.499723>,
      < -1.228595, 3.340722, 2.499723>,
      < -3.299435, 3.340722, 2.499723>
    }
    triangle {
      < -1.228595, 2.835144, 2.499723>,
      < -3.299435, 3.340722, 2.499723>,
      < -3.299435, 2.835144, 2.499723>
    }
    triangle {
      < -1.228595, 3.340722, 2.499723>,
      < -1.844116, 3.340722, 1.013724>,
      < -2.683913, 3.340722, 1.013724>
    }
    triangle {
      < -1.228595, 3.340722, 2.499723>,
      < -2.683913, 3.340722, 1.013724>,
      < -3.299435, 3.340722, 2.499723>
    }
    triangle {
      < -1.844116, 3.340722, 1.013724>,
      < -1.920815, 28.440485, 0.828560>,
      < -2.149614, 28.440485, 0.828560>
    }
    triangle {
      < -1.844116, 3.340722, 1.013724>,
      < -2.149614, 28.440485, 0.828560>,
      < -2.378415, 28.440485, 0.828560>
    }
    triangle {
      < -1.844116, 3.340722, 1.013724>,
      < -2.378415, 28.440485, 0.828560>,
      < -2.607214, 28.440485, 0.828560>
    }
    triangle {
      < -1.844116, 3.340722, 1.013724>,
      < -2.607214, 28.440485, 0.828560>,
      < -2.683913, 3.340722, 1.013724>
    }
    triangle {
      < -3.625614, 0.933175, 14.862261>,
      < -3.396813, 0.933175, 14.862257>,
      < -3.208276, 1.409142, 15.317429>
    }
    triangle {
      < -3.625614, 0.933175, 14.862261>,
      < -3.208276, 1.409142, 15.317429>,
      < -3.562768, 1.409142, 15.317429>
    }
    triangle {
      < -1.543738, 29.392422, 1.738900>,
      < -1.467041, 31.134907, 1.924065>,
      < -3.060988, 31.134907, 1.924065>
    }
    triangle {
      < -1.543738, 29.392422, 1.738900>,
      < -3.060988, 31.134907, 1.924065>,
      < -2.984291, 29.392422, 1.738900>
    }
    triangle {
      < -1.467041, 31.134907, 1.924065>,
      < -1.330203, 31.301920, 2.254421>,
      < -3.197826, 31.301920, 2.254421>
    }
    triangle {
      < -1.467041, 31.134907, 1.924065>,
      < -3.197826, 31.301920, 2.254421>,
      < -3.060988, 31.134907, 1.924065>
    }
    triangle {
      < -1.330203, 31.301920, 2.254421>,
      < -1.330203, 31.705118, 2.254421>,
      < -3.197826, 31.705118, 2.254421>
    }
    triangle {
      < -1.330203, 31.301920, 2.254421>,
      < -3.197826, 31.705118, 2.254421>,
      < -3.197826, 31.301920, 2.254421>
    }
    triangle {
      < -1.330203, 31.705118, 2.254421>,
      < -1.663031, 31.538105, 1.450902>,
      < -2.864999, 31.538105, 1.450902>
    }
    triangle {
      < -1.330203, 31.705118, 2.254421>,
      < -2.864999, 31.538105, 1.450902>,
      < -3.197826, 31.705118, 2.254421>
    }
    triangle {
      < -1.663031, 31.538105, 1.450902>,
      < -1.739728, 30.035196, 1.265738>,
      < -2.788301, 30.035196, 1.265738>
    }
    triangle {
      < -1.663031, 31.538105, 1.450902>,
      < -2.788301, 30.035196, 1.265738>,
      < -2.864999, 31.538105, 1.450902>
    }
    triangle {
      < -1.739728, 30.035196, 1.265738>,
      < -2.005062, 30.068596, 0.625167>,
      < -2.522967, 30.068596, 0.625167>
    }
    triangle {
      < -1.739728, 30.035196, 1.265738>,
      < -2.522967, 30.068596, 0.625167>,
      < -2.788301, 30.035196, 1.265738>
    }
    triangle {
      < -2.005062, 30.068596, 0.625167>,
      < -2.146818, 54.333931, 0.282936>,
      < -2.381211, 54.333931, 0.282936>
    }
    triangle {
      < -2.005062, 30.068596, 0.625167>,
      < -2.381211, 54.333931, 0.282936>,
      < -2.522967, 30.068596, 0.625167>
    }
    triangle {
      < -0.471519, 0.607158, 0.742476>,
      < -0.471519, 2.835144, 0.742476>,
      < -1.521538, 2.835144, 1.792497>
    }
    triangle {
      < -0.471519, 0.607158, 0.742476>,
      < -1.521538, 2.835144, 1.792497>,
      < -1.521538, 0.607158, 1.792497>
    }
    triangle {
      < -0.471519, 2.835144, 0.742476>,
      < 0.235709, 2.835144, 1.035419>,
      < -1.228595, 2.835144, 2.499723>
    }
    triangle {
      < -0.471519, 2.835144, 0.742476>,
      < -1.228595, 2.835144, 2.499723>,
      < -1.521538, 2.835144, 1.792497>
    }
    triangle {
      < 0.235709, 2.835144, 1.035419>,
      < 0.235709, 3.340722, 1.035419>,
      < -1.228595, 3.340722, 2.499723>
    }
    triangle {
      < 0.235709, 2.835144, 1.035419>,
      < -1.228595, 3.340722, 2.499723>,
      < -1.228595, 2.835144, 2.499723>
    }
    triangle {
      < 0.235709, 3.340722, 1.035419>,
      < -1.250291, 3.340722, 0.419898>,
      < -1.844116, 3.340722, 1.013724>
    }
    triangle {
      < 0.235709, 3.340722, 1.035419>,
      < -1.844116, 3.340722, 1.013724>,
      < -1.228595, 3.340722, 2.499723>
    }
    triangle {
      < -1.250291, 3.340722, 0.419898>,
      < -1.435455, 28.440485, 0.343200>,
      < -1.920815, 28.440485, 0.828560>
    }
    triangle {
      < -1.250291, 3.340722, 0.419898>,
      < -1.920815, 28.440485, 0.828560>,
      < -1.844116, 3.340722, 1.013724>
    }
    triangle {
      < -1.435455, 28.440485, 0.343200>,
      < -0.525114, 29.392422, 0.720276>,
      < -1.543738, 29.392422, 1.738900>
    }
    triangle {
      < -1.435455, 28.440485, 0.343200>,
      < -1.543738, 29.392422, 1.738900>,
      < -1.732276, 28.916454, 1.283730>
    }
    triangle {
      < -1.435455, 28.440485, 0.343200>,
      < -1.732276, 28.916454, 1.283730>,
      < -1.920815, 28.440485, 0.828560>
    }
    triangle {
      < -0.525114, 29.392422, 0.720276>,
      < -0.339949, 31.134907, 0.796974>,
      < -1.467041, 31.134907, 1.924065>
    }
    triangle {
      < -0.525114, 29.392422, 0.720276>,
      < -1.467041, 31.134907, 1.924065>,
      < -1.543738, 29.392422, 1.738900>
    }
    triangle {
      < -0.339949, 31.134907, 0.796974>,
      < -0.009594, 31.301920, 0.933812>,
      < -1.330203, 31.301920, 2.254421>
    }
    triangle {
      < -0.339949, 31.134907, 0.796974>,
      < -1.330203, 31.301920, 2.254421>,
      < -1.467041, 31.134907, 1.924065>
    }
    triangle {
      < -0.009594, 31.301920, 0.933812>,
      < -0.009594, 31.705118, 0.933812>,
      < -1.330203, 31.705118, 2.254421>
    }
    triangle {
      < -0.009594, 31.301920, 0.933812>,
      < -1.330203, 31.705118, 2.254421>,
      < -1.330203, 31.301920, 2.254421>
    }
    triangle {
      < -0.009594, 31.705118, 0.933812>,
      < -0.813112, 31.538105, 0.600984>,
      < -1.663031, 31.538105, 1.450902>
    }
    triangle {
      < -0.009594, 31.705118, 0.933812>,
      < -1.663031, 31.538105, 1.450902>,
      < -1.330203, 31.705118, 2.254421>
    }
    triangle {
      < -0.813112, 31.538105, 0.600984>,
      < -0.998277, 30.035196, 0.524286>,
      < -1.739728, 30.035196, 1.265738>
    }
    triangle {
      < -0.813112, 31.538105, 0.600984>,
      < -1.739728, 30.035196, 1.265738>,
      < -1.663031, 31.538105, 1.450902>
    }
    triangle {
      < -0.998277, 30.035196, 0.524286>,
      < -1.638847, 30.068596, 0.258952>,
      < -2.005062, 30.068596, 0.625167>
    }
    triangle {
      < -0.998277, 30.035196, 0.524286>,
      < -2.005062, 30.068596, 0.625167>,
      < -1.739728, 30.035196, 1.265738>
    }
    triangle {
      < -1.638847, 30.068596, 0.258952>,
      < -1.981079, 54.333931, 0.117197>,
      < -2.146818, 54.333931, 0.282936>
    }
    triangle {
      < -1.638847, 30.068596, 0.258952>,
      < -2.146818, 54.333931, 0.282936>,
      < -2.005062, 30.068596, 0.625167>
    }
    triangle {
      < -3.006491, 0.607158, 1.792495>,
      < -4.056511, 0.607158, 0.742476>,
      < -4.056510, 0.607158, -0.742476>
    }
    triangle {
      < -3.006491, 0.607158, 1.792495>,
      < -4.056510, 0.607158, -0.742476>,
      < -3.006491, 0.607158, -1.792497>
    }
    triangle {
      < -3.006491, 0.607158, 1.792495>,
      < -3.006491, 0.607158, -1.792497>,
      < -1.521538, 0.607158, -1.792495>
    }
    triangle {
      < -3.006491, 0.607158, 1.792495>,
      < -1.521538, 0.607158, -1.792495>,
      < -0.471518, 0.607158, -0.742476>
    }
    triangle {
      < -3.006491, 0.607158, 1.792495>,
      < -0.471518, 0.607158, -0.742476>,
      < -0.471519, 0.607158, 0.742476>
    }
    triangle {
      < -3.006491, 0.607158, 1.792495>,
      < -0.471519, 0.607158, 0.742476>,
      < -1.521538, 0.607158, 1.792497>
    }
    triangle {
      < -2.146818, 54.333931, -0.282936>,
      < -2.381211, 54.333931, -0.282936>,
      < -2.546952, 54.333931, -0.117197>
    }
    triangle {
      < -2.146818, 54.333931, -0.282936>,
      < -2.546952, 54.333931, -0.117197>,
      < -2.546952, 54.333931, 0.117197>
    }
    triangle {
      < -2.146818, 54.333931, -0.282936>,
      < -2.546952, 54.333931, 0.117197>,
      < -2.381211, 54.333931, 0.282936>
    }
    triangle {
      < -2.146818, 54.333931, -0.282936>,
      < -2.381211, 54.333931, 0.282936>,
      < -2.146818, 54.333931, 0.282936>
    }
    triangle {
      < -2.146818, 54.333931, -0.282936>,
      < -2.146818, 54.333931, 0.282936>,
      < -1.981079, 54.333931, 0.117197>
    }
    triangle {
      < -2.146818, 54.333931, -0.282936>,
      < -1.981079, 54.333931, 0.117197>,
      < -1.981079, 54.333931, -0.117197>
    }
    triangle {
      < -1.732276, 28.916454, 1.283730>,
      < -1.543738, 29.392422, 1.738900>,
      < -2.984291, 29.392422, 1.738900>
    }
    triangle {
      < -1.732276, 28.916454, 1.283730>,
      < -2.984291, 29.392422, 1.738900>,
      < -2.795753, 28.916454, 1.283730>
    }
    triangle {
      < -1.732276, 28.916454, 1.283730>,
      < -2.795753, 28.916454, 1.283730>,
      < -2.441260, 28.916454, 1.283730>
    }
    triangle {
      < -1.732276, 28.916454, 1.283730>,
      < -2.441260, 28.916454, 1.283730>,
      < -2.086768, 28.916454, 1.283730>
    }
    triangle {
      < -10.505260, 1.409189, 15.317495>,
      < -10.859753, 1.409189, 15.317495>,
      < -10.671214, 0.933218, 14.862325>
    }
    triangle {
      < -10.505260, 1.409189, 15.317495>,
      < -10.671214, 0.933218, 14.862325>,
      < -10.442413, 0.933218, 14.862325>
    }
    triangle {
      < -7.310413, 0.933123, 14.862221>,
      < -7.081613, 0.933123, 14.862221>,
      < -7.018765, 1.409093, 15.317392>
    }
    triangle {
      < -7.310413, 0.933123, 14.862221>,
      < -7.018765, 1.409093, 15.317392>,
      < -7.373259, 1.409093, 15.317392>
    }
    triangle {
      < -10.859753, 1.409189, 15.317495>,
      < -10.505260, 1.409189, 15.317495>,
      < -2.441260, 28.916454, 1.283730>
    }
    triangle {
      < -10.859753, 1.409189, 15.317495>,
      < -2.441260, 28.916454, 1.283730>,
      < -2.795753, 28.916454, 1.283730>
    }
    triangle {
      < -10.505260, 1.409189, 15.317495>,
      < -10.442413, 0.933218, 14.862325>,
      < -2.378415, 28.440485, 0.828560>
    }
    triangle {
      < -10.505260, 1.409189, 15.317495>,
      < -2.378415, 28.440485, 0.828560>,
      < -2.441260, 28.916454, 1.283730>
    }
    triangle {
      < -10.442413, 0.933218, 14.862325>,
      < -10.671214, 0.933218, 14.862325>,
      < -2.607214, 28.440485, 0.828560>
    }
    triangle {
      < -10.442413, 0.933218, 14.862325>,
      < -2.607214, 28.440485, 0.828560>,
      < -2.378415, 28.440485, 0.828560>
    }
    triangle {
      < -10.671214, 0.933218, 14.862325>,
      < -10.859753, 1.409189, 15.317495>,
      < -2.795753, 28.916454, 1.283730>
    }
    triangle {
      < -10.671214, 0.933218, 14.862325>,
      < -2.795753, 28.916454, 1.283730>,
      < -2.607214, 28.440485, 0.828560>
    }
    triangle {
      < -3.396813, 0.933175, 14.862257>,
      < -3.625614, 0.933175, 14.862261>,
      < -2.149614, 28.440485, 0.828560>
    }
    triangle {
      < -3.396813, 0.933175, 14.862257>,
      < -2.149614, 28.440485, 0.828560>,
      < -1.920815, 28.440485, 0.828560>
    }
    triangle {
      < -3.625614, 0.933175, 14.862261>,
      < -3.562768, 1.409142, 15.317429>,
      < -2.086768, 28.916454, 1.283730>
    }
    triangle {
      < -3.625614, 0.933175, 14.862261>,
      < -2.086768, 28.916454, 1.283730>,
      < -2.149614, 28.440485, 0.828560>
    }
    triangle {
      < -3.562768, 1.409142, 15.317429>,
      < -3.208276, 1.409142, 15.317429>,
      < -1.732276, 28.916454, 1.283730>
    }
    triangle {
      < -3.562768, 1.409142, 15.317429>,
      < -1.732276, 28.916454, 1.283730>,
      < -2.086768, 28.916454, 1.283730>
    }
    triangle {
      < -3.208276, 1.409142, 15.317429>,
      < -3.396813, 0.933175, 14.862257>,
      < -1.920815, 28.440485, 0.828560>
    }
    triangle {
      < -3.208276, 1.409142, 15.317429>,
      < -1.920815, 28.440485, 0.828560>,
      < -1.732276, 28.916454, 1.283730>
    }
    triangle {
      < -7.081613, 0.933123, 14.862221>,
      < -7.310413, 0.933123, 14.862221>,
      < -2.378415, 28.440485, 0.828560>
    }
    triangle {
      < -7.081613, 0.933123, 14.862221>,
      < -2.378415, 28.440485, 0.828560>,
      < -2.149614, 28.440485, 0.828560>
    }
    triangle {
      < -7.310413, 0.933123, 14.862221>,
      < -7.373259, 1.409093, 15.317392>,
      < -2.441260, 28.916454, 1.283730>
    }
    triangle {
      < -7.310413, 0.933123, 14.862221>,
      < -2.441260, 28.916454, 1.283730>,
      < -2.378415, 28.440485, 0.828560>
    }
    triangle {
      < -7.373259, 1.409093, 15.317392>,
      < -7.018765, 1.409093, 15.317392>,
      < -2.086768, 28.916454, 1.283730>
    }
    triangle {
      < -7.373259, 1.409093, 15.317392>,
      < -2.086768, 28.916454, 1.283730>,
      < -2.441260, 28.916454, 1.283730>
    }
    triangle {
      < -7.018765, 1.409093, 15.317392>,
      < -7.081613, 0.933123, 14.862221>,
      < -2.149614, 28.440485, 0.828560>
    }
    triangle {
      < -7.018765, 1.409093, 15.317392>,
      < -2.149614, 28.440485, 0.828560>,
      < -2.086768, 28.916454, 1.283730>
    }
    texture {mast2}
  }
  // keel
  union {
    triangle {
      < -38.131035, -19.181059, 0.000000>,
      < -32.243050, -19.185102, 0.000000>,
      < -32.189545, -19.209759, 1.238075>
    }
    triangle {
      < -38.131035, -19.181059, 0.000000>,
      < -32.189545, -19.209759, 1.238075>,
      < -38.073593, -19.202291, 1.238075>
    }
    triangle {
      < -32.189545, -19.209759, 1.238075>,
      < -32.243050, -19.185102, 0.000000>,
      < -24.875282, -19.187256, 0.000000>
    }
    triangle {
      < -32.189545, -19.209759, 1.238075>,
      < -24.875282, -19.187256, 0.000000>,
      < -24.875282, -19.207870, 1.238075>
    }
    triangle {
      < -24.875282, -19.207870, 1.238075>,
      < -24.875282, -19.187256, 0.000000>,
      < -21.158424, -19.188753, 0.000000>
    }
    triangle {
      < -24.875282, -19.207870, 1.238075>,
      < -21.158424, -19.188753, 0.000000>,
      < -21.158424, -19.201153, 1.238075>
    }
    triangle {
      < -21.158424, -19.201153, 1.238075>,
      < -21.158424, -19.188753, 0.000000>,
      < -17.426210, -19.186226, 0.000000>
    }
    triangle {
      < -21.158424, -19.201153, 1.238075>,
      < -17.426210, -19.186226, 0.000000>,
      < -17.426210, -19.199236, 1.238075>
    }
    triangle {
      < -17.426210, -19.199236, 1.238075>,
      < -17.426210, -19.186226, 0.000000>,
      < -10.703051, -19.187540, 0.000000>
    }
    triangle {
      < -17.426210, -19.199236, 1.238075>,
      < -10.703051, -19.187540, 0.000000>,
      < -10.703051, -19.188595, 1.238075>
    }
    triangle {
      < -10.703051, -19.188595, 1.238075>,
      < -10.703051, -19.187540, 0.000000>,
      < -6.862593, -19.191231, 0.000000>
    }
    triangle {
      < -10.703051, -19.188595, 1.238075>,
      < -6.862593, -19.191231, 0.000000>,
      < -6.862593, -19.192287, 1.238075>
    }
    triangle {
      < -6.862593, -19.192287, 1.238075>,
      < -6.862593, -19.191231, 0.000000>,
      < -2.943282, -19.188084, 0.000000>
    }
    triangle {
      < -6.862593, -19.192287, 1.238075>,
      < -2.943282, -19.188084, 0.000000>,
      < -2.943282, -19.197210, 1.238075>
    }
    triangle {
      < -2.943282, -19.197210, 1.238075>,
      < -2.943282, -19.188084, 0.000000>,
      < 2.420745, -19.183977, 0.000000>
    }
    triangle {
      < -2.943282, -19.197210, 1.238075>,
      < 2.420745, -19.183977, 0.000000>,
      < 2.420745, -19.188913, 1.238075>
    }
    triangle {
      < 12.967180, -18.306032, 1.259959>,
      < 7.603565, -19.195683, 1.238075>,
      < 7.603565, -19.183283, 0.000000>
    }
    triangle {
      < 12.967180, -18.306032, 1.259959>,
      < 7.603565, -19.183283, 0.000000>,
      < 12.980299, -18.290831, 0.000000>
    }
    triangle {
      < 12.967180, -18.306032, 1.259959>,
      < 12.980299, -18.290831, 0.000000>,
      < 16.797665, -16.055038, 0.000000>
    }
    triangle {
      < 12.967180, -18.306032, 1.259959>,
      < 16.797665, -16.055038, 0.000000>,
      < 16.730053, -16.014843, 1.259959>
    }
    triangle {
      < 16.730053, -16.014843, 1.259959>,
      < 16.797665, -16.055038, 0.000000>,
      < 19.872108, -13.242973, 0.000000>
    }
    triangle {
      < 16.730053, -16.014843, 1.259959>,
      < 19.872108, -13.242973, 0.000000>,
      < 19.381454, -13.269838, 1.259959>
    }
    triangle {
      < 19.381454, -13.269838, 1.259959>,
      < 19.872108, -13.242973, 0.000000>,
      < 22.851847, -8.316385, 0.000000>
    }
    triangle {
      < 19.381454, -13.269838, 1.259959>,
      < 22.851847, -8.316385, 0.000000>,
      < 22.486511, -8.349066, 1.259959>
    }
    triangle {
      < 22.486511, -8.349066, 1.259959>,
      < 22.851847, -8.316385, 0.000000>,
      < 24.431244, -5.094540, 0.000000>
    }
    triangle {
      < 22.486511, -8.349066, 1.259959>,
      < 24.431244, -5.094540, 0.000000>,
      < 24.247856, -5.150546, 1.259967>
    }
    triangle {
      < 24.247856, -5.150546, 1.259967>,
      < 24.431244, -5.094540, 0.000000>,
      < 26.431309, -2.898813, 0.000000>
    }
    triangle {
      < 24.247856, -5.150546, 1.259967>,
      < 26.431309, -2.898813, 0.000000>,
      < 26.552673, -2.858097, 1.259976>
    }
    triangle {
      < 26.552673, -2.858097, 1.259976>,
      < 26.431309, -2.898813, 0.000000>,
      < 29.475975, -0.580864, 0.000000>
    }
    triangle {
      < 26.552673, -2.858097, 1.259976>,
      < 29.475975, -0.580864, 0.000000>,
      < 29.468712, -0.579000, 1.259978>
    }
    triangle {
      < 29.468712, -0.579000, 1.259978>,
      < 29.475975, -0.580864, 0.000000>,
      < 30.886574, 1.483778, 0.000000>
    }
    triangle {
      < 29.468712, -0.579000, 1.259978>,
      < 30.886574, 1.483778, 0.000000>,
      < 30.889355, 1.488847, 1.259971>
    }
    texture {keel}
  }
  // hull
  union {
    triangle {
      < 30.889355, 1.488847, 1.259971>,
      < 30.886574, 1.483778, 0.000000>,
      < 30.886909, 4.257463, 0.000000>
    }
    triangle {
      < 30.889355, 1.488847, 1.259971>,
      < 30.886909, 4.257463, 0.000000>,
      < 30.887581, 4.224448, 1.259971>
    }
    triangle {
      < 30.887581, 4.224448, 1.259971>,
      < 30.886909, 4.257463, 0.000000>,
      < 29.460693, 5.099638, 0.000000>
    }
    triangle {
      < 30.887581, 4.224448, 1.259971>,
      < 29.460693, 5.099638, 0.000000>,
      < 29.521240, 5.140058, 1.259971>
    }
    triangle {
      < 29.521240, 5.140058, 1.259971>,
      < 29.460693, 5.099638, 0.000000>,
      < 27.489288, 4.497021, 0.000000>
    }
    triangle {
      < 29.521240, 5.140058, 1.259971>,
      < 27.489288, 4.497021, 0.000000>,
      < 27.605324, 4.464114, 1.605842>
    }
    triangle {
      < 27.605324, 4.464114, 1.605842>,
      < 27.489288, 4.497021, 0.000000>,
      < 27.104233, 2.554623, 0.000000>
    }
    triangle {
      < 27.605324, 4.464114, 1.605842>,
      < 27.104233, 2.554623, 0.000000>,
      < 27.217043, 2.526036, 1.605860>
    }
    texture {hull}
  }
  // keel
  union {
    triangle {
      < -32.122738, -17.475546, 1.238075>,
      < -32.189545, -19.209759, 1.238075>,
      < -24.875282, -19.207870, 1.238075>
    }
    triangle {
      < -32.122738, -17.475546, 1.238075>,
      < -24.875282, -19.207870, 1.238075>,
      < -24.875282, -17.469940, 1.238075>
    }
    triangle {
      < -24.875282, -17.469940, 1.238075>,
      < -24.875282, -19.207870, 1.238075>,
      < -21.158424, -19.201153, 1.238075>
    }
    triangle {
      < -24.875282, -17.469940, 1.238075>,
      < -21.158424, -19.201153, 1.238075>,
      < -21.158424, -17.471130, 1.238075>
    }
    triangle {
      < -21.158424, -17.471130, 1.238075>,
      < -21.158424, -19.201153, 1.238075>,
      < -17.426210, -19.199236, 1.238075>
    }
    triangle {
      < -21.158424, -17.471130, 1.238075>,
      < -17.426210, -19.199236, 1.238075>,
      < -17.426210, -17.464722, 1.238075>
    }
    triangle {
      < -17.426210, -17.464722, 1.238075>,
      < -17.426210, -19.199236, 1.238075>,
      < -10.703051, -19.188595, 1.238075>
    }
    triangle {
      < -17.426210, -17.464722, 1.238075>,
      < -10.703051, -19.188595, 1.238075>,
      < -10.703051, -17.446625, 1.238075>
    }
    triangle {
      < -10.703051, -17.446625, 1.238075>,
      < -10.703051, -19.188595, 1.238075>,
      < -6.862593, -19.192287, 1.238075>
    }
    triangle {
      < -10.703051, -17.446625, 1.238075>,
      < -6.862593, -19.192287, 1.238075>,
      < -6.862593, -17.454201, 1.238075>
    }
    triangle {
      < -6.862593, -17.454201, 1.238075>,
      < -6.862593, -19.192287, 1.238075>,
      < -2.943282, -19.197210, 1.238075>
    }
    triangle {
      < -6.862593, -17.454201, 1.238075>,
      < -2.943282, -19.197210, 1.238075>,
      < -2.943282, -17.458817, 1.238075>
    }
    triangle {
      < -2.943282, -17.458817, 1.238075>,
      < -2.943282, -19.197210, 1.238075>,
      < 2.420745, -19.188913, 1.238075>
    }
    triangle {
      < -2.943282, -17.458817, 1.238075>,
      < 2.420745, -19.188913, 1.238075>,
      < 2.420745, -17.454708, 1.238075>
    }
    triangle {
      < 2.420745, -17.454708, 1.238075>,
      < 2.420745, -19.188913, 1.238075>,
      < 7.603565, -19.195683, 1.238075>
    }
    triangle {
      < 2.420745, -17.454708, 1.238075>,
      < 7.603565, -19.195683, 1.238075>,
      < 7.603565, -17.449827, 1.238075>
    }
    triangle {
      < 7.603565, -17.449827, 1.238075>,
      < 7.603565, -19.195683, 1.238075>,
      < 12.967180, -18.306032, 1.259959>
    }
    triangle {
      < 7.603565, -17.449827, 1.238075>,
      < 12.967180, -18.306032, 1.259959>,
      < 12.879044, -16.473442, 1.238075>
    }
    triangle {
      < 12.879044, -16.473442, 1.238075>,
      < 12.967180, -18.306032, 1.259959>,
      < 16.730053, -16.014843, 1.259959>
    }
    triangle {
      < 12.879044, -16.473442, 1.238075>,
      < 16.730053, -16.014843, 1.259959>,
      < 16.405544, -14.094017, 1.238075>
    }
    triangle {
      < 16.405544, -14.094017, 1.238075>,
      < 16.730053, -16.014843, 1.259959>,
      < 19.381454, -13.269838, 1.259959>
    }
    triangle {
      < 16.405544, -14.094017, 1.238075>,
      < 19.381454, -13.269838, 1.259959>,
      < 18.244587, -11.779632, 1.238075>
    }
    triangle {
      < 18.244587, -11.779632, 1.238075>,
      < 19.381454, -13.269838, 1.259959>,
      < 22.486511, -8.349066, 1.259959>
    }
    triangle {
      < 18.244587, -11.779632, 1.238075>,
      < 22.486511, -8.349066, 1.259959>,
      < 20.710901, -7.529170, 1.281522>
    }
    triangle {
      < 20.710901, -7.529170, 1.281522>,
      < 22.486511, -8.349066, 1.259959>,
      < 24.247856, -5.150546, 1.259967>
    }
    triangle {
      < 20.710901, -7.529170, 1.281522>,
      < 24.247856, -5.150546, 1.259967>,
      < 22.502172, -2.387520, 1.780734>
    }
    triangle {
      < 22.502172, -2.387520, 1.780734>,
      < 24.247856, -5.150546, 1.259967>,
      < 26.552673, -2.858097, 1.259976>
    }
    triangle {
      < 22.502172, -2.387520, 1.780734>,
      < 26.552673, -2.858097, 1.259976>,
      < 26.162926, -1.127839, 1.911312>
    }
    triangle {
      < 26.162926, -1.127839, 1.911312>,
      < 26.552673, -2.858097, 1.259976>,
      < 29.468712, -0.579000, 1.259978>
    }
    triangle {
      < 26.162926, -1.127839, 1.911312>,
      < 29.468712, -0.579000, 1.259978>,
      < 28.999243, 0.125412, 1.881888>
    }
    triangle {
      < 29.468712, -0.579000, 1.259978>,
      < 30.889355, 1.488847, 1.259971>,
      < 28.999243, 0.125412, 1.881888>
    }
    triangle {
      < -32.122738, -17.475546, 1.238075>,
      < -38.881935, -16.109306, 1.238075>,
      < -38.073593, -19.202291, 1.238075>
    }
    triangle {
      < -32.122738, -17.475546, 1.238075>,
      < -38.073593, -19.202291, 1.238075>,
      < -32.189545, -19.209759, 1.238075>
    }
    triangle {
      < -38.881935, -16.109306, 1.238075>,
      < -32.122738, -17.475546, 1.238075>,
      < -32.122734, -13.101784, 1.238075>
    }
    triangle {
      < -38.881935, -16.109306, 1.238075>,
      < -32.122734, -13.101784, 1.238075>,
      < -38.942127, -13.100367, 1.238075>
    }
    triangle {
      < -38.942127, -13.100367, 1.238075>,
      < -32.122734, -13.101784, 1.238075>,
      < -32.122734, -10.529110, 1.238075>
    }
    triangle {
      < -38.942127, -13.100367, 1.238075>,
      < -32.122734, -10.529110, 1.238075>,
      < -38.612694, -10.520290, 1.238075>
    }
    triangle {
      < -38.612694, -10.520290, 1.238075>,
      < -32.122734, -10.529110, 1.238075>,
      < -32.122734, -7.294571, 1.238075>
    }
    triangle {
      < -38.612694, -10.520290, 1.238075>,
      < -32.122734, -7.294571, 1.238075>,
      < -35.691887, -7.364658, 1.238075>
    }
    triangle {
      < -35.691887, -7.364658, 1.238075>,
      < -32.122734, -7.294571, 1.238075>,
      < -32.122734, -2.380687, 1.238075>
    }
    triangle {
      < -35.691887, -7.364658, 1.238075>,
      < -32.122734, -2.380687, 1.238075>,
      < -34.094254, -2.453040, 1.238075>
    }
    triangle {
      < -33.722420, 3.002194, 1.266791>,
      < -34.094254, -2.453040, 1.238075>,
      < -32.122734, -2.380687, 1.238075>
    }
    triangle {
      < -33.722420, 3.002194, 1.266791>,
      < -32.122734, -2.380687, 1.238075>,
      < -32.122829, 0.590391, 1.238075>
    }
    triangle {
      < -33.722420, 3.002194, 1.266791>,
      < -32.122829, 0.590391, 1.238075>,
      < -32.122818, 3.000987, 1.238075>
    }
    texture {keel}
  }
  // hull
  union {
    triangle {
      < -32.122734, -13.101784, 1.238075>,
      < -32.122738, -17.475546, 1.238075>,
      < -32.122726, -16.693306, 4.355949>
    }
    triangle {
      < -32.122734, -13.101784, 1.238075>,
      < -32.122726, -16.693306, 4.355949>,
      < -32.122726, -13.101580, 3.815750>
    }
    triangle {
      < -32.122726, -13.101580, 3.815750>,
      < -32.122726, -16.693306, 4.355949>,
      < -32.122711, -15.201252, 8.479453>
    }
    triangle {
      < -32.122726, -13.101580, 3.815750>,
      < -32.122711, -15.201252, 8.479453>,
      < -32.122711, -13.101223, 8.479156>
    }
    triangle {
      < -32.122711, -15.201252, 8.479453>,
      < -32.122692, -13.101498, 12.252906>,
      < -32.122711, -13.101223, 8.479156>
    }
    triangle {
      < -32.122692, -13.101498, 12.252906>,
      < -32.122688, -10.525450, 13.978191>,
      < -32.122711, -10.525373, 8.478323>
    }
    triangle {
      < -32.122692, -13.101498, 12.252906>,
      < -32.122711, -10.525373, 8.478323>,
      < -32.122711, -13.101223, 8.479156>
    }
    triangle {
      < -32.122711, -13.101223, 8.479156>,
      < -32.122711, -10.525373, 8.478323>,
      < -32.122726, -10.527499, 3.815633>
    }
    triangle {
      < -32.122711, -13.101223, 8.479156>,
      < -32.122726, -10.527499, 3.815633>,
      < -32.122726, -13.101580, 3.815750>
    }
    triangle {
      < -32.122726, -13.101580, 3.815750>,
      < -32.122726, -10.527499, 3.815633>,
      < -32.122734, -10.529110, 1.238075>
    }
    triangle {
      < -32.122726, -13.101580, 3.815750>,
      < -32.122734, -10.529110, 1.238075>,
      < -32.122734, -13.101784, 1.238075>
    }
    triangle {
      < -32.122734, -7.294571, 1.238075>,
      < -32.122734, -10.529110, 1.238075>,
      < -32.122726, -10.527499, 3.815633>
    }
    triangle {
      < -32.122734, -7.294571, 1.238075>,
      < -32.122726, -10.527499, 3.815633>,
      < -32.122726, -7.294347, 3.815463>
    }
    triangle {
      < -32.122726, -7.294347, 3.815463>,
      < -32.122726, -10.527499, 3.815633>,
      < -32.122711, -10.525373, 8.478323>
    }
    triangle {
      < -32.122726, -7.294347, 3.815463>,
      < -32.122711, -10.525373, 8.478323>,
      < -32.122707, -7.294013, 8.480250>
    }
    triangle {
      < -32.122707, -7.294013, 8.480250>,
      < -32.122711, -10.525373, 8.478323>,
      < -32.122688, -10.525450, 13.978191>
    }
    triangle {
      < -32.122707, -7.294013, 8.480250>,
      < -32.122688, -10.525450, 13.978191>,
      < -32.122684, -7.293530, 14.206009>
    }
    triangle {
      < -32.122734, -2.380687, 1.238075>,
      < -32.122734, -7.294571, 1.238075>,
      < -32.122726, -7.294347, 3.815463>
    }
    triangle {
      < -32.122734, -2.380687, 1.238075>,
      < -32.122726, -7.294347, 3.815463>,
      < -32.122730, -2.380611, 2.860078>
    }
    triangle {
      < -32.122726, -7.294347, 3.815463>,
      < -32.122726, -2.380491, 4.517693>,
      < -32.122730, -2.380611, 2.860078>
    }
    triangle {
      < -32.122711, -3.604395, 7.527471>,
      < -32.122726, -2.380491, 4.517693>,
      < -32.122726, -7.294347, 3.815463>
    }
    triangle {
      < -32.122711, -3.604395, 7.527471>,
      < -32.122726, -7.294347, 3.815463>,
      < -32.122707, -7.294013, 8.480250>
    }
    triangle {
      < -32.122707, -7.294013, 8.480250>,
      < -32.122704, -3.604366, 9.285585>,
      < -32.122711, -3.604395, 7.527471>
    }
    triangle {
      < -32.122688, -3.604459, 12.926102>,
      < -32.122704, -3.604366, 9.285585>,
      < -32.122707, -7.294013, 8.480250>
    }
    triangle {
      < -32.122688, -3.604459, 12.926102>,
      < -32.122707, -7.294013, 8.480250>,
      < -32.122684, -7.293530, 14.206009>
    }
    texture {hull}
  }
  // keel
  union {
    triangle {
      < -34.094254, -2.453040, 1.238075>,
      < -34.151215, -2.453028, 0.000000>,
      < -35.631935, -7.364541, 0.000000>
    }
    triangle {
      < -34.094254, -2.453040, 1.238075>,
      < -35.631935, -7.364541, 0.000000>,
      < -35.691887, -7.364658, 1.238075>
    }
    triangle {
      < -38.612694, -10.520290, 1.238075>,
      < -38.571144, -10.520123, 0.000000>,
      < -38.914642, -13.100622, 0.000000>
    }
    triangle {
      < -38.612694, -10.520290, 1.238075>,
      < -38.914642, -13.100622, 0.000000>,
      < -38.942127, -13.100367, 1.238075>
    }
    triangle {
      < -38.942127, -13.100367, 1.238075>,
      < -38.914642, -13.100622, 0.000000>,
      < -38.943748, -16.087477, 0.000000>
    }
    triangle {
      < -38.942127, -13.100367, 1.238075>,
      < -38.943748, -16.087477, 0.000000>,
      < -38.881935, -16.109306, 1.238075>
    }
    triangle {
      < -38.881935, -16.109306, 1.238075>,
      < -38.943748, -16.087477, 0.000000>,
      < -38.131035, -19.181059, 0.000000>
    }
    triangle {
      < -38.881935, -16.109306, 1.238075>,
      < -38.131035, -19.181059, 0.000000>,
      < -38.073593, -19.202291, 1.238075>
    }
    triangle {
      < -35.691887, -7.364658, 1.238075>,
      < -35.631935, -7.364541, 0.000000>,
      < -38.571144, -10.520123, 0.000000>
    }
    triangle {
      < -35.691887, -7.364658, 1.238075>,
      < -38.571144, -10.520123, 0.000000>,
      < -38.612694, -10.520290, 1.238075>
    }
    texture {keel}
  }
  // hull
  union {
    triangle {
      < 22.927841, -2.079975, 5.293032>,
      < 22.502172, -2.387520, 1.780734>,
      < 26.162926, -1.127839, 1.911312>
    }
    triangle {
      < 22.927841, -2.079975, 5.293032>,
      < 26.162926, -1.127839, 1.911312>,
      < 26.141859, -0.943860, 5.148655>
    }
    triangle {
      < 26.141859, -0.943860, 5.148655>,
      < 26.162926, -1.127839, 1.911312>,
      < 28.999243, 0.125412, 1.881888>
    }
    triangle {
      < 26.141859, -0.943860, 5.148655>,
      < 28.999243, 0.125412, 1.881888>,
      < 29.132690, 0.554667, 5.435258>
    }
    triangle {
      < 28.999243, 0.125412, 1.881888>,
      < 30.889355, 1.488847, 1.259971>,
      < 29.132690, 0.554667, 5.435258>
    }
    triangle {
      < 29.132690, 0.554667, 5.435258>,
      < 26.222294, -0.414192, 7.186513>,
      < 26.141859, -0.943860, 5.148655>
    }
    triangle {
      < 26.141859, -0.943860, 5.148655>,
      < 26.222294, -0.414192, 7.186513>,
      < 22.642578, -2.021900, 6.338686>
    }
    triangle {
      < 26.141859, -0.943860, 5.148655>,
      < 22.642578, -2.021900, 6.338686>,
      < 22.927841, -2.079975, 5.293032>
    }
    triangle {
      < 22.192654, -1.778881, 8.919837>,
      < 22.642578, -2.021900, 6.338686>,
      < 26.222294, -0.414192, 7.186513>
    }
    triangle {
      < 22.192654, -1.778881, 8.919837>,
      < 26.222294, -0.414192, 7.186513>,
      < 23.797483, -0.793227, 9.466203>
    }
    triangle {
      < 22.192654, -1.778881, 8.919837>,
      < 23.797483, -0.793227, 9.466203>,
      < 22.778015, -0.755679, 10.499197>
    }
    triangle {
      < 22.192654, -1.778881, 8.919837>,
      < 22.778015, -0.755679, 10.499197>,
      < 21.442825, -1.464471, 9.712464>
    }
    triangle {
      < 30.889355, 1.488847, 1.259971>,
      < 29.379856, 3.334527, 1.774282>,
      < 28.136330, 2.362632, 4.761501>
    }
    triangle {
      < 30.889355, 1.488847, 1.259971>,
      < 28.136330, 2.362632, 4.761501>,
      < 29.132690, 0.554667, 5.435258>
    }
    triangle {
      < 29.132690, 0.554667, 5.435258>,
      < 28.136330, 2.362632, 4.761501>,
      < 26.016197, 1.315401, 7.589925>
    }
    triangle {
      < 29.132690, 0.554667, 5.435258>,
      < 26.016197, 1.315401, 7.589925>,
      < 26.222294, -0.414192, 7.186513>
    }
    triangle {
      < 26.222294, -0.414192, 7.186513>,
      < 26.016197, 1.315401, 7.589925>,
      < 24.328785, 1.265883, 9.340617>
    }
    triangle {
      < 26.222294, -0.414192, 7.186513>,
      < 24.328785, 1.265883, 9.340617>,
      < 23.797483, -0.793227, 9.466203>
    }
    triangle {
      < 30.889355, 1.488847, 1.259971>,
      < 30.887581, 4.224448, 1.259971>,
      < 29.379856, 3.334527, 1.774282>
    }
    triangle {
      < 30.887581, 4.224448, 1.259971>,
      < 29.521240, 5.140058, 1.259971>,
      < 29.379856, 3.334527, 1.774282>
    }
    triangle {
      < 21.442825, -1.464471, 9.712464>,
      < 22.778015, -0.755679, 10.499197>,
      < 21.705126, -0.275237, 11.014637>
    }
    triangle {
      < 21.442825, -1.464471, 9.712464>,
      < 21.705126, -0.275237, 11.014637>,
      < 20.806227, -0.763545, 10.438858>
    }
    triangle {
      < 20.806227, -0.763545, 10.438858>,
      < 21.705126, -0.275237, 11.014637>,
      < 21.436293, 0.883347, 11.366537>
    }
    triangle {
      < 20.806227, -0.763545, 10.438858>,
      < 21.436293, 0.883347, 11.366537>,
      < 20.500061, 0.752725, 10.784106>
    }
    triangle {
      < 20.500061, 0.752725, 10.784106>,
      < 21.436293, 0.883347, 11.366537>,
      < 22.121262, 1.561577, 11.206270>
    }
    triangle {
      < 20.500061, 0.752725, 10.784106>,
      < 22.121262, 1.561577, 11.206270>,
      < 21.135654, 1.550061, 10.690931>
    }
    triangle {
      < 21.934351, 1.656698, 10.462739>,
      < 22.121262, 1.561577, 11.206270>,
      < 24.328785, 1.265883, 9.340617>
    }
    triangle {
      < 21.934351, 1.656698, 10.462739>,
      < 24.328785, 1.265883, 9.340617>,
      < 24.074268, 1.416270, 8.771894>
    }
    triangle {
      < 21.436293, 0.883347, 11.366537>,
      < 21.705126, -0.275237, 11.014637>,
      < 22.778015, -0.755679, 10.499197>
    }
    triangle {
      < 21.436293, 0.883347, 11.366537>,
      < 22.778015, -0.755679, 10.499197>,
      < 23.797483, -0.793227, 9.466203>
    }
    triangle {
      < 21.436293, 0.883347, 11.366537>,
      < 23.797483, -0.793227, 9.466203>,
      < 24.328785, 1.265883, 9.340617>
    }
    triangle {
      < 21.436293, 0.883347, 11.366537>,
      < 24.328785, 1.265883, 9.340617>,
      < 22.121262, 1.561577, 11.206270>
    }
    triangle {
      < 24.074268, 1.416270, 8.771894>,
      < 24.328785, 1.265883, 9.340617>,
      < 26.016197, 1.315401, 7.589925>
    }
    triangle {
      < 24.074268, 1.416270, 8.771894>,
      < 26.016197, 1.315401, 7.589925>,
      < 25.925503, 1.399094, 7.091439>
    }
    triangle {
      < 26.016197, 1.315401, 7.589925>,
      < 28.136330, 2.362632, 4.761501>,
      < 25.925503, 1.399094, 7.091439>
    }
    triangle {
      < 17.005033, 6.662837, 9.681633>,
      < 17.983040, 6.662837, 11.152293>,
      < 21.007219, 3.249419, 9.869397>
    }
    triangle {
      < 17.005033, 6.662837, 9.681633>,
      < 21.007219, 3.249419, 9.869397>,
      < 20.477345, 3.637633, 7.988389>
    }
    triangle {
      < 20.477345, 3.637633, 7.988389>,
      < 21.007219, 3.249419, 9.869397>,
      < 23.650299, 1.840257, 8.010921>
    }
    triangle {
      < 20.477345, 3.637633, 7.988389>,
      < 23.650299, 1.840257, 8.010921>,
      < 22.595039, 2.320421, 6.663224>
    }
    triangle {
      < 22.595039, 2.320421, 6.663224>,
      < 23.650299, 1.840257, 8.010921>,
      < 25.636337, 1.698787, 6.579282>
    }
    triangle {
      < 22.595039, 2.320421, 6.663224>,
      < 25.636337, 1.698787, 6.579282>,
      < 24.421982, 1.686574, 5.242180>
    }
    triangle {
      < 24.421982, 1.686574, 5.242180>,
      < 25.636337, 1.698787, 6.579282>,
      < 27.706768, 2.015127, 4.583124>
    }
    triangle {
      < 24.421982, 1.686574, 5.242180>,
      < 27.706768, 2.015127, 4.583124>,
      < 26.100426, 1.864140, 3.405339>
    }
    triangle {
      < 28.646168, 2.885117, 3.198632>,
      < 27.605324, 4.464114, 1.605842>,
      < 27.217043, 2.526036, 1.605860>
    }
    triangle {
      < 29.521240, 5.140058, 1.259971>,
      < 27.605324, 4.464114, 1.605842>,
      < 28.646168, 2.885117, 3.198632>
    }
    triangle {
      < 29.521240, 5.140058, 1.259971>,
      < 28.646168, 2.885117, 3.198632>,
      < 29.379856, 3.334527, 1.774282>
    }
    triangle {
      < 29.379856, 3.334527, 1.774282>,
      < 28.646168, 2.885117, 3.198632>,
      < 27.706768, 2.015127, 4.583124>
    }
    triangle {
      < 29.379856, 3.334527, 1.774282>,
      < 27.706768, 2.015127, 4.583124>,
      < 28.136330, 2.362632, 4.761501>
    }
    triangle {
      < 27.706768, 2.015127, 4.583124>,
      < 28.646168, 2.885117, 3.198632>,
      < 27.217043, 2.526036, 1.605860>
    }
    triangle {
      < 27.706768, 2.015127, 4.583124>,
      < 27.217043, 2.526036, 1.605860>,
      < 26.100426, 1.864140, 3.405339>
    }
    texture {hull}
  }
  // deck
  union {
    triangle {
      < 27.427397, 1.142091, 0.000000>,
      < 27.660387, 1.772689, 0.000000>,
      < 26.333582, 1.027800, 1.582581>
    }
    triangle {
      < 26.333582, 1.027800, 1.582581>,
      < 25.659239, 1.174690, 0.000000>,
      < 23.102367, 0.608405, 0.000000>
    }
    triangle {
      < 26.333582, 1.027800, 1.582581>,
      < 23.102367, 0.608405, 0.000000>,
      < 23.720354, 0.966969, 4.569222>
    }
    triangle {
      < 21.278627, 1.400611, 1.803334>,
      < 21.179319, 1.176081, 0.000000>,
      < 16.906103, 5.316102, 0.000000>
    }
    triangle {
      < 21.278627, 1.400611, 1.803334>,
      < 16.906103, 5.316102, 0.000000>,
      < 16.906103, 5.316076, 1.586848>
    }
    triangle {
      < 16.906103, 5.316076, 1.586848>,
      < 18.888571, 1.302237, 1.623599>,
      < 21.278627, 1.400611, 1.803334>
    }
    triangle {
      < 18.888571, 1.302237, 1.623599>,
      < 19.376360, 2.471233, 7.869488>,
      < 21.060875, 1.981712, 6.729387>
    }
    triangle {
      < 16.906103, 5.316122, 8.994491>,
      < 19.376360, 2.471233, 7.869488>,
      < 18.888571, 1.302237, 1.623599>
    }
    triangle {
      < 16.906103, 5.316122, 8.994491>,
      < 18.888571, 1.302237, 1.623599>,
      < 16.906103, 5.316076, 1.586848>
    }
    triangle {
      < 6.683901, 5.316105, 9.844049>,
      < 16.906103, 5.316122, 8.994491>,
      < 16.906103, 5.316076, 1.586848>
    }
    triangle {
      < 6.683901, 5.316105, 9.844049>,
      < 16.906103, 5.316076, 1.586848>,
      < 16.906103, 5.316102, 0.000000>
    }
    triangle {
      < 6.683901, 5.316105, 9.844049>,
      < 16.906103, 5.316102, 0.000000>,
      < 6.675109, 5.316054, 0.000000>
    }
    triangle {
      < 6.683901, 5.316105, 9.844049>,
      < 6.675109, 5.316054, 0.000000>,
      < 6.683901, 5.315889, 1.586848>
    }
    texture {deck}
  }
  // hull
  union {
    triangle {
      < 26.100426, 1.864140, 3.405339>,
      < 26.333582, 1.027800, 1.582581>,
      < 23.720354, 0.966969, 4.569222>
    }
    triangle {
      < 26.100426, 1.864140, 3.405339>,
      < 23.720354, 0.966969, 4.569222>,
      < 24.421982, 1.686574, 5.242180>
    }
    triangle {
      < 21.060875, 1.981712, 6.729387>,
      < 22.595039, 2.320421, 6.663224>,
      < 24.421982, 1.686574, 5.242180>
    }
    triangle {
      < 21.060875, 1.981712, 6.729387>,
      < 24.421982, 1.686574, 5.242180>,
      < 23.720354, 0.966969, 4.569222>
    }
    triangle {
      < 21.442825, -1.464471, 9.712464>,
      < 20.806227, -0.763545, 10.438858>,
      < 18.681934, -1.983630, 11.338428>
    }
    triangle {
      < 21.442825, -1.464471, 9.712464>,
      < 18.681934, -1.983630, 11.338428>,
      < 19.400375, -3.691560, 11.374310>
    }
    triangle {
      < 19.400375, -3.691560, 11.374310>,
      < 18.681934, -1.983630, 11.338428>,
      < 16.633705, -3.074314, 12.192126>
    }
    triangle {
      < 19.400375, -3.691560, 11.374310>,
      < 16.633705, -3.074314, 12.192126>,
      < 17.373505, -5.228647, 12.646860>
    }
    triangle {
      < 17.373505, -5.228647, 12.646860>,
      < 16.633705, -3.074314, 12.192126>,
      < 14.621896, -3.523885, 13.566364>
    }
    triangle {
      < 17.373505, -5.228647, 12.646860>,
      < 14.621896, -3.523885, 13.566364>,
      < 15.075657, -6.222204, 13.865580>
    }
    triangle {
      < 12.411800, -6.757924, 14.212804>,
      < 12.255808, -3.514410, 13.771845>,
      < 7.603565, -3.490891, 14.606509>
    }
    triangle {
      < 12.411800, -6.757924, 14.212804>,
      < 7.603565, -3.490891, 14.606509>,
      < 7.603565, -7.188782, 14.846800>
    }
    triangle {
      < 7.603565, -7.188782, 14.846800>,
      < 7.603565, -3.490891, 14.606509>,
      < 2.420745, -3.480093, 14.919241>
    }
    triangle {
      < 7.603565, -7.188782, 14.846800>,
      < 2.420745, -3.480093, 14.919241>,
      < 2.420745, -7.173941, 15.276383>
    }
    triangle {
      < 2.420745, -7.173941, 15.276383>,
      < 2.420745, -3.480093, 14.919241>,
      < -2.961988, -3.473636, 15.106121>
    }
    triangle {
      < 2.420745, -7.173941, 15.276383>,
      < -2.961988, -3.473636, 15.106121>,
      < -2.943282, -7.166555, 15.589163>
    }
    triangle {
      < -2.961988, -3.473636, 15.106121>,
      < -4.439586, -3.475051, 15.065130>,
      < -2.943282, -7.166555, 15.589163>
    }
    triangle {
      < -2.943282, -7.166555, 15.589163>,
      < -4.439586, -3.475051, 15.065130>,
      < -6.464514, -3.472743, 15.131924>
    }
    triangle {
      < -2.943282, -7.166555, 15.589163>,
      < -6.464514, -3.472743, 15.131924>,
      < -6.862593, -7.149532, 15.766785>
    }
    triangle {
      < -6.464514, -3.472743, 15.131924>,
      < -8.018665, -3.474161, 15.090826>,
      < -6.862593, -7.149532, 15.766785>
    }
    triangle {
      < -6.862593, -7.149532, 15.766785>,
      < -8.018665, -3.474161, 15.090826>,
      < -9.989845, -3.475893, 15.040714>
    }
    triangle {
      < -6.862593, -7.149532, 15.766785>,
      < -9.989845, -3.475893, 15.040714>,
      < -10.703051, -7.164166, 15.766442>
    }
    triangle {
      < -9.989845, -3.475893, 15.040714>,
      < -11.494260, -3.481347, 14.882881>,
      < -10.703051, -7.164166, 15.766442>
    }
    triangle {
      < -10.703051, -7.164166, 15.766442>,
      < -11.494260, -3.481347, 14.882881>,
      < -17.426210, -3.476307, 15.028784>
    }
    triangle {
      < -10.703051, -7.164166, 15.766442>,
      < -17.426210, -3.476307, 15.028784>,
      < -17.426210, -7.163010, 15.619746>
    }
    triangle {
      < -17.426210, -7.163010, 15.619746>,
      < -17.426210, -3.476307, 15.028784>,
      < -21.158424, -3.491715, 14.582708>
    }
    triangle {
      < -17.426210, -7.163010, 15.619746>,
      < -21.158424, -3.491715, 14.582708>,
      < -21.158424, -7.158087, 15.411015>
    }
    triangle {
      < -21.158424, -7.158087, 15.411015>,
      < -21.158424, -3.491715, 14.582708>,
      < -24.875282, -3.502623, 14.266861>
    }
    triangle {
      < -21.158424, -7.158087, 15.411015>,
      < -24.875282, -3.502623, 14.266861>,
      < -24.875282, -7.172729, 15.149325>
    }
    triangle {
      < 12.411800, -6.757924, 14.212804>,
      < 15.075657, -6.222204, 13.865580>,
      < 14.621896, -3.523885, 13.566364>
    }
    triangle {
      < 12.411800, -6.757924, 14.212804>,
      < 14.621896, -3.523885, 13.566364>,
      < 12.255808, -3.514410, 13.771845>
    }
    triangle {
      < 20.806227, -0.763545, 10.438858>,
      < 20.500061, 0.752725, 10.784106>,
      < 18.104813, -0.132791, 11.438385>
    }
    triangle {
      < 20.806227, -0.763545, 10.438858>,
      < 18.104813, -0.132791, 11.438385>,
      < 18.681934, -1.983630, 11.338428>
    }
    triangle {
      < 17.807384, 1.818409, 11.514686>,
      < 18.104813, -0.132791, 11.438385>,
      < 20.500061, 0.752725, 10.784106>
    }
    triangle {
      < 17.807384, 1.818409, 11.514686>,
      < 20.500061, 0.752725, 10.784106>,
      < 21.135654, 1.550061, 10.690931>
    }
    triangle {
      < 16.633705, -3.074314, 12.192126>,
      < 18.681934, -1.983630, 11.338428>,
      < 18.104813, -0.132791, 11.438385>
    }
    triangle {
      < 16.633705, -3.074314, 12.192126>,
      < 18.104813, -0.132791, 11.438385>,
      < 16.016308, -0.209789, 12.214762>
    }
    triangle {
      < 16.016308, -0.209789, 12.214762>,
      < 18.104813, -0.132791, 11.438385>,
      < 17.807384, 1.818409, 11.514686>
    }
    triangle {
      < 16.016308, -0.209789, 12.214762>,
      < 17.807384, 1.818409, 11.514686>,
      < 15.502045, 1.959264, 11.977353>
    }
    triangle {
      < 15.502045, 1.959264, 11.977353>,
      < 17.807384, 1.818409, 11.514686>,
      < 17.344368, 4.240352, 11.840204>
    }
    triangle {
      < 15.502045, 1.959264, 11.977353>,
      < 17.344368, 4.240352, 11.840204>,
      < 15.252133, 4.364689, 12.089524>
    }
    triangle {
      < 15.502045, 1.959264, 11.977353>,
      < 13.673447, 2.077692, 12.471821>,
      < 14.041731, -0.091286, 13.220635>
    }
    triangle {
      < 15.502045, 1.959264, 11.977353>,
      < 14.041731, -0.091286, 13.220635>,
      < 16.016308, -0.209789, 12.214762>
    }
    triangle {
      < 16.016308, -0.209789, 12.214762>,
      < 14.041731, -0.091286, 13.220635>,
      < 14.621896, -3.523885, 13.566364>
    }
    triangle {
      < 16.016308, -0.209789, 12.214762>,
      < 14.621896, -3.523885, 13.566364>,
      < 16.633705, -3.074314, 12.192126>
    }
    triangle {
      < 12.255808, -3.514410, 13.771845>,
      < 14.621896, -3.523885, 13.566364>,
      < 14.041731, -0.091286, 13.220635>
    }
    triangle {
      < 12.255808, -3.514410, 13.771845>,
      < 14.041731, -0.091286, 13.220635>,
      < 11.917332, -0.092658, 13.622351>
    }
    triangle {
      < 11.917332, -0.092658, 13.622351>,
      < 14.041731, -0.091286, 13.220635>,
      < 13.673447, 2.077692, 12.471821>
    }
    triangle {
      < 11.917332, -0.092658, 13.622351>,
      < 13.673447, 2.077692, 12.471821>,
      < 11.917332, 3.738120, 12.682102>
    }
    triangle {
      < 13.673447, 2.077692, 12.471821>,
      < 13.062292, 3.738120, 12.646502>,
      < 11.917332, 3.738120, 12.682102>
    }
    triangle {
      < 13.673447, 2.077692, 12.471821>,
      < 15.502045, 1.959264, 11.977353>,
      < 15.252133, 4.364689, 12.089524>
    }
    triangle {
      < 13.673447, 2.077692, 12.471821>,
      < 15.252133, 4.364689, 12.089524>,
      < 13.062292, 3.738120, 12.646502>
    }
    triangle {
      < 15.252133, 4.364689, 12.089524>,
      < 13.062292, 4.818222, 12.265154>,
      < 13.062292, 3.738120, 12.646502>
    }
    texture {hull}
  }
  // rig
  union {
    triangle {
      < 13.062292, 3.738120, 12.646502>,
      < 13.062292, 4.818222, 12.265154>,
      < 13.062292, 4.882016, 13.297487>
    }
    triangle {
      < 13.062292, 3.738120, 12.646502>,
      < 13.062292, 4.882016, 13.297487>,
      < 13.062292, 3.738120, 13.693560>
    }
    triangle {
      < 13.062292, 4.882016, 13.297487>,
      < 13.062292, 4.818222, 12.265154>,
      < 6.935244, 4.838787, 12.860477>
    }
    triangle {
      < 13.062292, 4.882016, 13.297487>,
      < 6.935244, 4.838787, 12.860477>,
      < 6.935244, 4.877757, 13.657490>
    }
    triangle {
      < 11.917332, 3.738120, 13.693560>,
      < 13.062292, 3.738120, 13.693560>,
      < 13.062292, 4.882016, 13.297487>
    }
    triangle {
      < 11.917332, 3.738120, 13.693560>,
      < 10.851164, 3.738120, 13.693560>,
      < 10.851164, -0.092025, 13.680202>
    }
    triangle {
      < 11.917332, 3.738120, 13.693560>,
      < 10.851164, -0.092025, 13.680202>,
      < 11.917332, -0.092658, 13.622351>
    }
    triangle {
      < 10.851164, -0.092025, 13.680202>,
      < 10.851164, 3.738120, 13.693560>,
      < 10.851164, 3.738120, 13.099374>
    }
    texture {rig}
  }
  // hull
  union {
    triangle {
      < 10.851164, -0.092025, 13.680202>,
      < 10.851164, 3.738120, 13.099374>,
      < 9.059711, 3.738120, 13.247311>
    }
    triangle {
      < 10.851164, -0.092025, 13.680202>,
      < 9.059711, 3.738120, 13.247311>,
      < 9.059711, -0.082416, 13.958302>
    }
    texture {hull}
  }
  // rig
  union {
    triangle {
      < 9.059711, 3.738120, 13.693560>,
      < 9.059711, 3.738120, 13.247311>,
      < 10.851164, 3.738120, 13.099374>
    }
    triangle {
      < 9.059711, 3.738120, 13.693560>,
      < 10.851164, 3.738120, 13.099374>,
      < 10.851164, 3.738120, 13.693560>
    }
    triangle {
      < 9.059711, 3.738120, 13.693560>,
      < 9.059711, -0.082416, 13.958302>,
      < 9.059711, 3.738120, 13.247311>
    }
    triangle {
      < 7.942212, -0.088027, 13.795906>,
      < 9.059711, -0.082416, 13.958302>,
      < 9.059711, 3.738120, 13.693560>
    }
    triangle {
      < 7.942212, -0.088027, 13.795906>,
      < 9.059711, 3.738120, 13.693560>,
      < 7.942212, 3.738120, 13.693560>
    }
    triangle {
      < 7.942212, 3.738120, 13.693560>,
      < 7.942212, 3.738120, 12.994835>,
      < 7.942212, -0.088027, 13.795906>
    }
    triangle {
      < 6.935244, 3.738120, 12.932455>,
      < 7.942212, 3.738120, 12.994835>,
      < 7.942212, 3.738120, 13.693560>
    }
    triangle {
      < 6.935244, 3.738120, 12.932455>,
      < 7.942212, 3.738120, 13.693560>,
      < 6.935244, 3.738120, 13.693585>
    }
    texture {rig}
  }
  // hull
  union {
    triangle {
      < 6.935244, 3.738120, 12.932455>,
      < 7.942212, -0.088027, 13.795906>,
      < 7.942212, 3.738120, 12.994835>
    }
    triangle {
      < 7.942212, -0.088027, 13.795906>,
      < 6.935244, 3.738120, 12.932455>,
      < 2.420745, 1.569107, 13.480452>
    }
    triangle {
      < 7.942212, -0.088027, 13.795906>,
      < 2.420745, 1.569107, 13.480452>,
      < 2.420745, -0.081102, 13.996309>
    }
    texture {hull}
  }
  // rig
  union {
    triangle {
      < 11.917332, -0.092658, 13.622351>,
      < 11.917332, 3.738120, 12.682102>,
      < 11.917332, 3.738120, 13.693560>
    }
    triangle {
      < 13.062292, 3.738120, 12.646502>,
      < 13.062292, 3.738120, 13.693560>,
      < 11.917332, 3.738120, 13.693560>
    }
    triangle {
      < 13.062292, 3.738120, 12.646502>,
      < 11.917332, 3.738120, 13.693560>,
      < 11.917332, 3.738120, 12.682102>
    }
    triangle {
      < 6.935244, 4.877757, 13.657490>,
      < 6.935244, 4.838787, 12.860477>,
      < 6.935244, 3.738120, 12.932455>
    }
    triangle {
      < 6.935244, 4.877757, 13.657490>,
      < 6.935244, 3.738120, 12.932455>,
      < 6.935244, 3.738120, 13.693585>
    }
    texture {rig}
  }
  // hull
  union {
    triangle {
      < 11.917332, -0.092658, 13.622351>,
      < 10.851164, -0.092025, 13.680202>,
      < 9.059711, -0.082416, 13.958302>
    }
    triangle {
      < 11.917332, -0.092658, 13.622351>,
      < 9.059711, -0.082416, 13.958302>,
      < 7.942212, -0.088027, 13.795906>
    }
    triangle {
      < 11.917332, -0.092658, 13.622351>,
      < 7.942212, -0.088027, 13.795906>,
      < 7.603565, -3.490891, 14.606509>
    }
    triangle {
      < 11.917332, -0.092658, 13.622351>,
      < 7.603565, -3.490891, 14.606509>,
      < 12.255808, -3.514410, 13.771845>
    }
    triangle {
      < 2.420745, -0.081102, 13.996309>,
      < 2.420745, -3.480093, 14.919241>,
      < 7.603565, -3.490891, 14.606509>
    }
    triangle {
      < 2.420745, -0.081102, 13.996309>,
      < 7.603565, -3.490891, 14.606509>,
      < 7.942212, -0.088027, 13.795906>
    }
    triangle {
      < 2.420745, 3.221424, 12.616695>,
      < -1.886394, 3.221424, 12.694532>,
      < -1.898796, 1.579293, 13.775311>
    }
    triangle {
      < 2.420745, 3.221424, 12.616695>,
      < -1.898796, 1.579293, 13.775311>,
      < 2.420745, 1.569107, 13.480452>
    }
    triangle {
      < 2.420745, 1.569107, 13.480452>,
      < -1.898796, 1.579293, 13.775311>,
      < -1.898796, -0.093726, 14.123177>
    }
    triangle {
      < 2.420745, 1.569107, 13.480452>,
      < -1.898796, -0.093726, 14.123177>,
      < 2.420745, -0.081102, 13.996309>
    }
    triangle {
      < 2.420745, -0.081102, 13.996309>,
      < -1.898796, -0.093726, 14.123177>,
      < -2.961988, -3.473636, 15.106121>
    }
    triangle {
      < 2.420745, -0.081102, 13.996309>,
      < -2.961988, -3.473636, 15.106121>,
      < 2.420745, -3.480093, 14.919241>
    }
    triangle {
      < -2.961988, -3.473636, 15.106121>,
      < -1.898796, -0.093726, 14.123177>,
      < -2.961988, -0.093726, 14.123177>
    }
    texture {hull}
  }
  // rig
  union {
    triangle {
      < -2.961988, -3.473636, 15.106121>,
      < -2.961988, -0.093726, 15.846119>,
      < -4.439586, -0.093726, 15.846119>
    }
    triangle {
      < -2.961988, -3.473636, 15.106121>,
      < -4.439586, -0.093726, 15.846119>,
      < -4.439586, -3.475051, 15.065130>
    }
    triangle {
      < -6.464514, -3.472743, 15.131924>,
      < -6.464514, -0.093726, 15.846119>,
      < -8.018665, -0.093726, 15.846119>
    }
    triangle {
      < -6.464514, -3.472743, 15.131924>,
      < -8.018665, -0.093726, 15.846119>,
      < -8.018665, -3.474161, 15.090826>
    }
    triangle {
      < -9.989845, -3.475893, 15.040714>,
      < -9.989845, -0.093726, 15.846119>,
      < -11.494260, -0.093726, 15.846119>
    }
    triangle {
      < -9.989845, -3.475893, 15.040714>,
      < -11.494260, -0.093726, 15.846119>,
      < -11.494260, -3.481347, 14.882881>
    }
    texture {rig}
  }
  // hull
  union {
    triangle {
      < -6.464514, -0.093726, 14.123177>,
      < -6.464514, -3.472743, 15.131924>,
      < -4.439586, -3.475051, 15.065130>
    }
    triangle {
      < -6.464514, -0.093726, 14.123177>,
      < -4.439586, -3.475051, 15.065130>,
      < -4.439586, -0.093726, 14.123177>
    }
    triangle {
      < -9.989845, -3.475893, 15.040714>,
      < -8.018665, -3.474161, 15.090826>,
      < -8.018665, -0.093726, 14.123177>
    }
    triangle {
      < -9.989845, -3.475893, 15.040714>,
      < -8.018665, -0.093726, 14.123177>,
      < -9.989845, -0.093726, 14.123177>
    }
    triangle {
      < -11.494260, -3.481347, 14.882881>,
      < -11.494260, -0.093726, 14.123177>,
      < -12.515305, -0.093726, 14.123177>
    }
    texture {hull}
  }
  // rig
  union {
    triangle {
      < -9.989845, -0.093726, 15.846119>,
      < -12.515305, 1.643136, 15.278696>,
      < -12.515305, -0.093726, 15.846119>
    }
    triangle {
      < -9.989845, -0.093726, 15.846119>,
      < -12.515305, -0.093726, 15.846119>,
      < -11.494260, -0.093726, 15.846119>
    }
    texture {rig}
  }
  // hull
  union {
    triangle {
      < -1.898796, 1.579293, 13.775311>,
      < -1.886394, 3.221424, 12.694532>,
      < -8.522958, 3.221424, 12.703880>
    }
    triangle {
      < -1.898796, 1.579293, 13.775311>,
      < -8.522958, 3.221424, 12.703880>,
      < -12.515305, 1.580878, 13.821227>
    }
    triangle {
      < -8.522958, 3.221424, 12.703880>,
      < -10.136595, 4.386232, 12.483255>,
      < -12.515305, 1.580878, 13.821227>
    }
    triangle {
      < -10.136595, 4.386232, 12.483255>,
      < -12.771408, 4.612774, 12.141369>,
      < -12.515305, 1.580878, 13.821227>
    }
    triangle {
      < -10.136595, 4.386232, 12.483255>,
      < -13.215079, 9.087099, 12.333536>,
      < -12.771408, 4.612774, 12.141369>
    }
    texture {hull}
  }
  // rig
  union {
    triangle {
      < -2.961988, -0.093726, 14.123177>,
      < -2.961988, -0.093726, 15.846119>,
      < -2.961988, -3.473636, 15.106121>
    }
    triangle {
      < -1.898796, 1.579293, 13.775311>,
      < -1.898796, 1.623528, 15.278696>,
      < -1.898796, -0.093726, 15.846119>
    }
    triangle {
      < -1.898796, 1.579293, 13.775311>,
      < -1.898796, -0.093726, 15.846119>,
      < -1.898796, -0.093726, 14.123177>
    }
    triangle {
      < -4.439586, -3.475051, 15.065130>,
      < -4.439586, -0.093726, 15.846119>,
      < -4.439586, -0.093726, 14.123177>
    }
    triangle {
      < -6.464514, -0.093726, 15.846119>,
      < -6.464514, -0.093726, 14.123177>,
      < -4.439586, -0.093726, 14.123177>
    }
    triangle {
      < -6.464514, -0.093726, 15.846119>,
      < -4.439586, -0.093726, 14.123177>,
      < -4.439586, -0.093726, 15.846119>
    }
    triangle {
      < -6.464514, -3.472743, 15.131924>,
      < -6.464514, -0.093726, 14.123177>,
      < -6.464514, -0.093726, 15.846119>
    }
    triangle {
      < -9.989845, -0.093726, 15.846119>,
      < -9.989845, -3.475893, 15.040714>,
      < -9.989845, -0.093726, 14.123177>
    }
    triangle {
      < -8.976471, 1.636600, 15.278696>,
      < -5.437628, 1.630064, 15.278696>,
      < -1.898796, 1.623528, 15.278696>
    }
    triangle {
      < -8.976471, 1.636600, 15.278696>,
      < -1.898796, 1.623528, 15.278696>,
      < -1.898796, 1.579293, 13.775311>
    }
    triangle {
      < -8.976471, 1.636600, 15.278696>,
      < -1.898796, 1.579293, 13.775311>,
      < -12.515305, 1.580878, 13.821227>
    }
    triangle {
      < -8.976471, 1.636600, 15.278696>,
      < -12.515305, 1.580878, 13.821227>,
      < -12.515305, 1.643136, 15.278696>
    }
    triangle {
      < -11.494260, -0.093726, 14.123177>,
      < -11.494260, -3.481347, 14.882881>,
      < -11.494260, -0.093726, 15.846119>
    }
    triangle {
      < -12.515305, -0.093726, 15.846119>,
      < -12.515305, -0.093726, 14.123177>,
      < -11.494260, -0.093726, 14.123177>
    }
    triangle {
      < -12.515305, -0.093726, 15.846119>,
      < -11.494260, -0.093726, 14.123177>,
      < -11.494260, -0.093726, 15.846119>
    }
    triangle {
      < -12.515305, 1.643136, 15.278696>,
      < -12.515305, 1.580878, 13.821227>,
      < -12.515305, -0.093726, 14.123177>
    }
    triangle {
      < -12.515305, 1.643136, 15.278696>,
      < -12.515305, -0.093726, 14.123177>,
      < -12.515305, -0.093726, 15.846119>
    }
    triangle {
      < -8.018665, -3.474161, 15.090826>,
      < -8.018665, -0.093726, 15.846119>,
      < -8.018665, -0.093726, 14.123177>
    }
    triangle {
      < -9.989845, -0.093726, 15.846119>,
      < -9.989845, -0.093726, 14.123177>,
      < -8.018665, -0.093726, 14.123177>
    }
    triangle {
      < -9.989845, -0.093726, 15.846119>,
      < -8.018665, -0.093726, 14.123177>,
      < -8.018665, -0.093726, 15.846119>
    }
    texture {rig}
  }
  // hull
  union {
    triangle {
      < -11.494260, -3.481347, 14.882881>,
      < -12.515305, -0.093726, 14.123177>,
      < -17.426210, -0.085238, 13.876673>
    }
    triangle {
      < -11.494260, -3.481347, 14.882881>,
      < -17.426210, -0.085238, 13.876673>,
      < -17.426210, -3.476307, 15.028784>
    }
    triangle {
      < -17.327192, 1.568238, 13.455286>,
      < -17.426210, -0.085238, 13.876673>,
      < -12.515305, -0.093726, 14.123177>
    }
    triangle {
      < -17.327192, 1.568238, 13.455286>,
      < -12.515305, -0.093726, 14.123177>,
      < -12.515305, 1.580878, 13.821227>
    }
    triangle {
      < -17.426210, -0.085238, 13.876673>,
      < -17.327192, 1.568238, 13.455286>,
      < -18.602346, 1.558287, 13.167220>
    }
    triangle {
      < -17.426210, -0.085238, 13.876673>,
      < -18.602346, 1.558287, 13.167220>,
      < -20.301380, 1.560132, 13.220694>
    }
    triangle {
      < -17.426210, -0.085238, 13.876673>,
      < -20.301380, 1.560132, 13.220694>,
      < -21.158424, -0.093337, 13.642082>
    }
    triangle {
      < -20.301380, 1.560132, 13.220694>,
      < -21.564625, 1.545988, 12.811226>,
      < -21.158424, -0.093337, 13.642082>
    }
    triangle {
      < -21.158424, -0.093337, 13.642082>,
      < -21.564625, 1.545988, 12.811226>,
      < -24.875282, 1.535080, 12.495492>
    }
    triangle {
      < -21.158424, -0.093337, 13.642082>,
      < -24.875282, 1.535080, 12.495492>,
      < -24.875282, -0.115279, 13.006975>
    }
    triangle {
      < -21.158424, -0.093337, 13.642082>,
      < -24.875282, -0.115279, 13.006975>,
      < -24.875282, -3.502623, 14.266861>
    }
    triangle {
      < -21.158424, -0.093337, 13.642082>,
      < -24.875282, -3.502623, 14.266861>,
      < -21.158424, -3.491715, 14.582708>
    }
    triangle {
      < -21.158424, -0.093337, 13.642082>,
      < -21.158424, -3.491715, 14.582708>,
      < -17.426210, -3.476307, 15.028784>
    }
    triangle {
      < -21.158424, -0.093337, 13.642082>,
      < -17.426210, -3.476307, 15.028784>,
      < -17.426210, -0.085238, 13.876673>
    }
    texture {hull}
  }
  // rig
  union {
    triangle {
      < -18.602346, 1.558287, 13.167220>,
      < -17.327192, 1.568238, 13.455286>,
      < -17.327192, 5.420457, 13.195373>
    }
    triangle {
      < -18.602346, 1.558287, 13.167220>,
      < -17.327192, 5.420457, 13.195373>,
      < -18.602346, 5.420457, 13.195373>
    }
    triangle {
      < -17.327192, 5.420457, 13.195373>,
      < -16.144386, 5.420457, 13.195373>,
      < -16.144386, 6.964816, 13.345592>
    }
    triangle {
      < -20.301380, 5.420457, 13.195373>,
      < -21.564625, 5.420457, 13.195373>,
      < -21.564625, 1.545988, 12.811226>
    }
    triangle {
      < -20.301380, 5.420457, 13.195373>,
      < -21.564625, 1.545988, 12.811226>,
      < -20.301380, 1.560132, 13.220694>
    }
    texture {rig}
  }
  // hull
  union {
    triangle {
      < -17.327192, 1.568238, 13.455286>,
      < -16.144386, 5.420457, 11.781666>,
      < -17.327192, 5.420457, 11.781666>
    }
    triangle {
      < -12.771408, 4.612774, 12.141369>,
      < -13.215079, 9.087099, 12.333536>,
      < -16.144386, 6.916856, 11.957180>
    }
    triangle {
      < -12.771408, 4.612774, 12.141369>,
      < -16.144386, 6.916856, 11.957180>,
      < -16.144386, 5.420457, 11.781666>
    }
    triangle {
      < -18.602346, 5.420457, 11.781666>,
      < -20.301380, 5.420457, 11.781666>,
      < -20.301380, 1.560132, 13.220694>
    }
    triangle {
      < -18.602346, 5.420457, 11.781666>,
      < -20.301380, 1.560132, 13.220694>,
      < -18.602346, 1.558287, 13.167220>
    }
    triangle {
      < -16.144386, 6.916856, 11.957180>,
      < -13.215079, 9.087099, 12.333536>,
      < -19.419006, 9.058252, 11.675020>
    }
    triangle {
      < -16.144386, 6.916856, 11.957180>,
      < -19.419006, 9.058252, 11.675020>,
      < -22.943232, 6.914290, 11.882894>
    }
    triangle {
      < -19.419006, 9.058252, 11.675020>,
      < -20.785156, 10.432585, 11.266025>,
      < -22.943232, 6.914290, 11.882894>
    }
    texture {hull}
  }
  // rig
  union {
    triangle {
      < -17.327192, 5.420457, 13.195373>,
      < -17.327192, 1.568238, 13.455286>,
      < -17.327192, 5.420457, 11.781666>
    }
    triangle {
      < -20.301380, 1.560132, 13.220694>,
      < -20.301380, 5.420457, 11.781666>,
      < -20.301380, 5.420457, 13.195373>
    }
    triangle {
      < -18.602346, 5.420457, 13.195373>,
      < -18.602346, 5.420457, 11.781666>,
      < -18.602346, 1.558287, 13.167220>
    }
    triangle {
      < -18.602346, 5.420457, 11.781666>,
      < -18.602346, 5.420457, 13.195373>,
      < -20.301380, 5.420457, 13.195373>
    }
    triangle {
      < -18.602346, 5.420457, 11.781666>,
      < -20.301380, 5.420457, 13.195373>,
      < -20.301380, 5.420457, 11.781666>
    }
    triangle {
      < -16.144386, 5.420457, 11.781666>,
      < -16.144386, 5.420457, 13.195373>,
      < -17.327192, 5.420457, 13.195373>
    }
    triangle {
      < -16.144386, 5.420457, 11.781666>,
      < -17.327192, 5.420457, 13.195373>,
      < -17.327192, 5.420457, 11.781666>
    }
    triangle {
      < -16.144386, 6.916856, 11.957180>,
      < -16.144386, 6.964816, 13.345592>,
      < -16.144386, 5.420457, 13.195373>
    }
    triangle {
      < -16.144386, 6.916856, 11.957180>,
      < -16.144386, 5.420457, 13.195373>,
      < -16.144386, 5.420457, 11.781666>
    }
    triangle {
      < -16.144386, 6.964816, 13.345592>,
      < -16.144386, 6.916856, 11.957180>,
      < -22.943232, 6.914290, 11.882894>
    }
    triangle {
      < -16.144386, 6.964816, 13.345592>,
      < -22.943232, 6.914290, 11.882894>,
      < -22.943232, 6.953562, 13.019781>
    }
    triangle {
      < -22.943232, 5.420457, 11.781666>,
      < -22.943232, 5.420457, 13.195373>,
      < -22.943232, 6.953562, 13.019781>
    }
    triangle {
      < -22.943232, 5.420457, 11.781666>,
      < -22.943232, 6.953562, 13.019781>,
      < -22.943232, 6.914290, 11.882894>
    }
    triangle {
      < -21.564625, 5.420457, 13.195373>,
      < -22.943232, 5.420457, 13.195373>,
      < -22.943232, 5.420457, 11.781666>
    }
    triangle {
      < -21.564625, 5.420457, 13.195373>,
      < -22.943232, 5.420457, 11.781666>,
      < -21.564625, 5.420457, 11.781666>
    }
    triangle {
      < -21.564625, 5.420457, 13.195373>,
      < -21.564625, 5.420457, 11.781666>,
      < -21.564625, 1.545988, 12.811226>
    }
    texture {rig}
  }
  // hull
  union {
    triangle {
      < -16.144386, 5.420457, 11.781666>,
      < -17.327192, 1.568238, 13.455286>,
      < -12.515305, 1.580878, 13.821227>
    }
    triangle {
      < -16.144386, 5.420457, 11.781666>,
      < -12.515305, 1.580878, 13.821227>,
      < -12.771408, 4.612774, 12.141369>
    }
    triangle {
      < -21.564625, 5.420457, 11.781666>,
      < -22.943232, 5.420457, 11.781666>,
      < -24.875282, 1.535080, 12.495492>
    }
    triangle {
      < -21.564625, 5.420457, 11.781666>,
      < -24.875282, 1.535080, 12.495492>,
      < -21.564625, 1.545988, 12.811226>
    }
    triangle {
      < -22.943232, 6.914290, 11.882894>,
      < -24.875282, 11.097299, 11.310978>,
      < -24.875282, 1.535080, 12.495492>
    }
    triangle {
      < -22.943232, 6.914290, 11.882894>,
      < -24.875282, 1.535080, 12.495492>,
      < -22.943232, 5.420457, 11.781666>
    }
    triangle {
      < -24.875282, 11.097299, 11.310978>,
      < -22.943232, 6.914290, 11.882894>,
      < -20.785156, 10.432585, 11.266025>
    }
    triangle {
      < -24.875282, 11.097299, 11.310978>,
      < -20.785156, 10.432585, 11.266025>,
      < -22.073826, 12.809116, 11.031629>
    }
    triangle {
      < -24.875282, 11.097299, 11.310978>,
      < -22.073826, 12.809116, 11.031629>,
      < -30.324631, 13.255548, 10.468728>
    }
    triangle {
      < -24.875282, 11.097299, 11.310978>,
      < -30.324631, 13.255548, 10.468728>,
      < -30.663502, 11.097299, 10.697601>
    }
    triangle {
      < -30.324631, 13.255548, 10.468728>,
      < -22.073826, 12.809116, 11.031629>,
      < -22.617615, 13.859209, 11.521384>
    }
    triangle {
      < -30.324631, 13.255548, 10.468728>,
      < -22.617615, 13.859209, 11.521384>,
      < -30.036606, 14.678006, 10.958575>
    }
    triangle {
      < -30.036606, 14.678006, 10.958575>,
      < -22.617615, 13.859209, 11.521384>,
      < -22.549631, 13.892679, 9.395622>
    }
    triangle {
      < -30.036606, 14.678006, 10.958575>,
      < -22.549631, 13.892679, 9.395622>,
      < -32.024277, 15.183992, 8.240927>
    }
    triangle {
      < -33.987694, 15.764829, 10.182573>,
      < -33.718784, 15.003299, 10.658934>,
      < -32.024277, 15.183992, 8.240927>
    }
    triangle {
      < -30.036606, 14.678006, 10.958575>,
      < -33.718784, 15.003299, 10.658934>,
      < -33.772961, 13.609431, 10.011785>
    }
    triangle {
      < -30.036606, 14.678006, 10.958575>,
      < -33.772961, 13.609431, 10.011785>,
      < -30.324631, 13.255548, 10.468728>
    }
    triangle {
      < -30.324631, 13.255548, 10.468728>,
      < -33.772961, 13.609431, 10.011785>,
      < -33.887344, 11.097299, 10.130578>
    }
    triangle {
      < -30.324631, 13.255548, 10.468728>,
      < -33.887344, 11.097299, 10.130578>,
      < -30.663502, 11.097299, 10.697601>
    }
    triangle {
      < -33.987694, 15.764829, 10.182573>,
      < -32.024277, 15.183992, 8.240927>,
      < -32.866196, 16.196304, 7.754097>
    }
    triangle {
      < -33.987694, 15.764829, 10.182573>,
      < -32.866196, 16.196304, 7.754097>,
      < -34.301479, 16.149021, 7.782318>
    }
    triangle {
      < -34.301479, 16.149021, 7.782318>,
      < -32.866196, 16.196304, 7.754097>,
      < -33.522549, 19.528704, 4.747104>
    }
    triangle {
      < -34.301479, 16.149021, 7.782318>,
      < -33.522549, 19.528704, 4.747104>,
      < -35.090012, 19.437290, 4.864941>
    }
    triangle {
      < -35.090012, 19.437290, 4.864941>,
      < -33.522549, 19.528704, 4.747104>,
      < -34.027481, 21.557823, 2.963631>
    }
    triangle {
      < -35.090012, 19.437290, 4.864941>,
      < -34.027481, 21.557823, 2.963631>,
      < -35.784195, 21.577259, 2.965577>
    }
    triangle {
      < -35.784195, 21.577259, 2.965577>,
      < -34.027481, 21.557823, 2.963631>,
      < -34.225647, 22.404272, 1.238075>
    }
    triangle {
      < -35.784195, 21.577259, 2.965577>,
      < -34.225647, 22.404272, 1.238075>,
      < -36.012775, 22.438992, 1.238075>
    }
    triangle {
      < -36.012775, 22.438992, 1.238075>,
      < -34.225647, 22.404272, 1.238075>,
      < -34.290081, 22.667803, 0.000000>
    }
    triangle {
      < -36.012775, 22.438992, 1.238075>,
      < -34.290081, 22.667803, 0.000000>,
      < -36.034115, 22.694397, 0.000000>
    }
    triangle {
      < -36.012775, 22.438992, 1.238075>,
      < -36.034115, 22.694397, 0.000000>,
      < -35.982044, 20.292164, 0.000000>
    }
    triangle {
      < -36.012775, 22.438992, 1.238075>,
      < -35.982044, 20.292164, 0.000000>,
      < -35.784195, 21.577259, 2.965577>
    }
    triangle {
      < -35.784195, 21.577259, 2.965577>,
      < -35.982044, 20.292164, 0.000000>,
      < -35.834301, 18.574884, 0.000000>
    }
    triangle {
      < -35.784195, 21.577259, 2.965577>,
      < -35.834301, 18.574884, 0.000000>,
      < -35.525314, 19.202272, 2.929065>
    }
    triangle {
      < -35.525314, 19.202272, 2.929065>,
      < -35.834301, 18.574884, 0.000000>,
      < -35.472115, 15.759262, 0.000000>
    }
    triangle {
      < -35.525314, 19.202272, 2.929065>,
      < -35.472115, 15.759262, 0.000000>,
      < -34.960712, 15.855540, 2.964757>
    }
    triangle {
      < -34.620663, 13.597372, 2.965675>,
      < -35.266460, 13.591896, 0.000000>,
      < -35.115417, 12.681304, 0.000000>
    }
    triangle {
      < -34.620663, 13.597372, 2.965675>,
      < -35.115417, 12.681304, 0.000000>,
      < -34.500881, 12.321301, 2.967943>
    }
    triangle {
      < -34.620663, 13.597372, 2.965675>,
      < -34.500881, 12.321301, 2.967943>,
      < -33.643600, 11.097299, 7.760621>
    }
    triangle {
      < -34.620663, 13.597372, 2.965675>,
      < -33.643600, 11.097299, 7.760621>,
      < -33.745373, 13.603200, 7.767865>
    }
    triangle {
      < -33.745373, 13.603200, 7.767865>,
      < -33.643600, 11.097299, 7.760621>,
      < -33.887344, 11.097299, 10.130578>
    }
    triangle {
      < -33.745373, 13.603200, 7.767865>,
      < -33.887344, 11.097299, 10.130578>,
      < -33.772961, 13.609431, 10.011785>
    }
    triangle {
      < -34.301479, 16.149021, 7.782318>,
      < -33.745373, 13.603200, 7.767865>,
      < -33.772961, 13.609431, 10.011785>
    }
    triangle {
      < -34.301479, 16.149021, 7.782318>,
      < -33.772961, 13.609431, 10.011785>,
      < -33.718784, 15.003299, 10.658934>
    }
    triangle {
      < -34.301479, 16.149021, 7.782318>,
      < -33.718784, 15.003299, 10.658934>,
      < -33.987694, 15.764829, 10.182573>
    }
    triangle {
      < -34.960712, 15.855540, 2.964757>,
      < -34.301479, 16.149021, 7.782318>,
      < -35.090012, 19.437290, 4.864941>
    }
    triangle {
      < -34.960712, 15.855540, 2.964757>,
      < -35.090012, 19.437290, 4.864941>,
      < -35.525314, 19.202272, 2.929065>
    }
    triangle {
      < -35.090012, 19.437290, 4.864941>,
      < -35.784195, 21.577259, 2.965577>,
      < -35.525314, 19.202272, 2.929065>
    }
    triangle {
      < -24.875282, 1.535080, 12.495492>,
      < -29.725348, 1.534853, 12.693987>,
      < -29.951672, -0.553082, 12.838999>
    }
    triangle {
      < -24.875282, 1.535080, 12.495492>,
      < -29.951672, -0.553082, 12.838999>,
      < -24.875282, -0.115279, 13.006975>
    }
    triangle {
      < -24.875282, -0.115279, 13.006975>,
      < -29.951672, -0.553082, 12.838999>,
      < -29.089066, -2.256183, 13.223326>
    }
    triangle {
      < -24.875282, -0.115279, 13.006975>,
      < -29.089066, -2.256183, 13.223326>,
      < -24.875282, -3.502623, 14.266861>
    }
    triangle {
      < -29.089066, -2.256183, 13.223326>,
      < -29.440445, -3.531864, 13.420376>,
      < -24.875282, -3.502623, 14.266861>
    }
    triangle {
      < -34.960712, 15.855540, 2.964757>,
      < -35.472115, 15.759262, 0.000000>,
      < -35.266460, 13.591896, 0.000000>
    }
    triangle {
      < -34.960712, 15.855540, 2.964757>,
      < -35.266460, 13.591896, 0.000000>,
      < -34.620663, 13.597372, 2.965675>
    }
    triangle {
      < -34.620663, 13.597372, 2.965675>,
      < -33.745373, 13.603200, 7.767865>,
      < -34.301479, 16.149021, 7.782318>
    }
    triangle {
      < -34.620663, 13.597372, 2.965675>,
      < -34.301479, 16.149021, 7.782318>,
      < -34.960712, 15.855540, 2.964757>
    }
    triangle {
      < -30.977203, -3.573457, 13.137188>,
      < -32.122688, -3.604459, 12.926102>,
      < -32.122684, -7.293530, 14.206009>
    }
    triangle {
      < -30.977203, -3.573457, 13.137188>,
      < -32.122684, -7.293530, 14.206009>,
      < -29.440445, -3.531864, 13.420376>
    }
    triangle {
      < -24.875282, -7.172729, 15.149325>,
      < -24.875282, -3.502623, 14.266861>,
      < -29.440445, -3.531864, 13.420376>
    }
    triangle {
      < -24.875282, -7.172729, 15.149325>,
      < -29.440445, -3.531864, 13.420376>,
      < -32.122684, -7.293530, 14.206009>
    }
    texture {hull}
  }
  // aft
  union {
    triangle {
      < -26.469778, 9.078413, 12.638399>,
      < -24.875282, 11.097299, 11.310978>,
      < -30.663502, 11.097299, 10.697601>
    }
    triangle {
      < -26.469778, 9.078413, 12.638399>,
      < -30.663502, 11.097299, 10.697601>,
      < -30.376698, 9.078413, 12.195282>
    }
    triangle {
      < -30.376698, 9.078413, 12.195282>,
      < -30.663502, 11.097299, 10.697601>,
      < -33.887344, 11.097299, 10.130578>
    }
    triangle {
      < -30.376698, 9.078413, 12.195282>,
      < -33.887344, 11.097299, 10.130578>,
      < -34.513470, 9.078413, 11.671916>
    }
    triangle {
      < -34.513470, 9.078413, 11.671916>,
      < -33.887344, 11.097299, 10.130578>,
      < -33.643600, 11.097299, 7.760621>
    }
    triangle {
      < -34.513470, 9.078413, 11.671916>,
      < -33.643600, 11.097299, 7.760621>,
      < -35.326443, 9.078413, 8.519265>
    }
    triangle {
      < -35.326443, 9.078413, 8.519265>,
      < -33.643600, 11.097299, 7.760621>,
      < -34.500881, 12.321301, 2.967943>
    }
    triangle {
      < -35.326443, 9.078413, 8.519265>,
      < -34.500881, 12.321301, 2.967943>,
      < -36.337158, 10.302411, 4.204359>
    }
    triangle {
      < -36.824764, 10.662413, 0.000000>,
      < -38.840782, 8.738811, 0.000000>,
      < -38.226944, 8.378810, 4.931240>
    }
    triangle {
      < -36.824764, 10.662413, 0.000000>,
      < -38.226944, 8.378810, 4.931240>,
      < -36.337158, 10.302411, 4.204359>
    }
    triangle {
      < -36.337158, 10.302411, 4.204359>,
      < -38.226944, 8.378810, 4.931240>,
      < -37.265987, 7.154811, 10.030826>
    }
    triangle {
      < -36.337158, 10.302411, 4.204359>,
      < -37.265987, 7.154811, 10.030826>,
      < -35.326443, 9.078413, 8.519265>
    }
    triangle {
      < -35.326443, 9.078413, 8.519265>,
      < -37.265987, 7.154811, 10.030826>,
      < -36.054546, 7.154811, 15.249533>
    }
    triangle {
      < -35.326443, 9.078413, 8.519265>,
      < -36.054546, 7.154811, 15.249533>,
      < -34.513470, 9.078413, 11.671916>
    }
    triangle {
      < -34.513470, 9.078413, 11.671916>,
      < -36.054546, 7.154811, 15.249533>,
      < -31.044762, 7.154811, 15.397676>
    }
    triangle {
      < -34.513470, 9.078413, 11.671916>,
      < -31.044762, 7.154811, 15.397676>,
      < -30.376698, 9.078413, 12.195282>
    }
    triangle {
      < -30.376698, 9.078413, 12.195282>,
      < -31.044762, 7.154811, 15.397676>,
      < -28.175797, 7.154811, 15.624508>
    }
    triangle {
      < -30.376698, 9.078413, 12.195282>,
      < -28.175797, 7.154811, 15.624508>,
      < -26.469778, 9.078413, 12.638399>
    }
    triangle {
      < -26.469778, 9.078413, 12.638399>,
      < -28.175797, 7.154811, 15.624508>,
      < -28.182747, 3.357670, 15.498522>
    }
    triangle {
      < -26.469778, 9.078413, 12.638399>,
      < -28.182747, 3.357670, 15.498522>,
      < -26.515152, 1.792719, 14.466270>
    }
    triangle {
      < -26.469778, 9.078413, 12.638399>,
      < -26.515152, 1.792719, 14.466270>,
      < -24.875282, 1.535080, 12.495492>
    }
    triangle {
      < -26.469778, 9.078413, 12.638399>,
      < -24.875282, 1.535080, 12.495492>,
      < -24.875282, 11.097299, 11.310978>
    }
    triangle {
      < -24.875282, 1.535080, 12.495492>,
      < -26.515152, 1.792719, 14.466270>,
      < -30.193434, 1.779966, 14.420488>
    }
    triangle {
      < -24.875282, 1.535080, 12.495492>,
      < -30.193434, 1.779966, 14.420488>,
      < -29.725348, 1.534853, 12.693987>
    }
    triangle {
      < -31.038305, 3.357670, 15.387860>,
      < -30.193434, 1.779966, 14.420488>,
      < -26.515152, 1.792719, 14.466270>
    }
    triangle {
      < -31.038305, 3.357670, 15.387860>,
      < -26.515152, 1.792719, 14.466270>,
      < -28.182747, 3.357670, 15.498522>
    }
    texture {aft}
  }
  // windows
  union {
    triangle {
      < -31.038305, 3.357670, 15.387860>,
      < -28.182747, 3.357670, 15.498522>,
      < -28.175797, 7.154811, 15.624508>
    }
    triangle {
      < -31.038305, 3.357670, 15.387860>,
      < -28.175797, 7.154811, 15.624508>,
      < -31.044762, 7.154811, 15.397676>
    }
    triangle {
      < -31.038305, 3.357670, 15.387860>,
      < -31.044762, 7.154811, 15.397676>,
      < -36.054546, 7.154811, 15.249533>
    }
    triangle {
      < -31.038305, 3.357670, 15.387860>,
      < -36.054546, 7.154811, 15.249533>,
      < -35.530365, 3.357670, 15.019470>
    }
    triangle {
      < -35.530365, 3.357670, 15.019470>,
      < -36.054546, 7.154811, 15.249533>,
      < -37.265987, 7.154811, 10.030826>
    }
    triangle {
      < -35.530365, 3.357670, 15.019470>,
      < -37.265987, 7.154811, 10.030826>,
      < -36.705807, 3.357670, 10.029904>
    }
    triangle {
      < -36.705807, 3.357670, 10.029904>,
      < -37.265987, 7.154811, 10.030826>,
      < -38.226944, 8.378810, 4.931240>
    }
    triangle {
      < -36.705807, 3.357670, 10.029904>,
      < -38.226944, 8.378810, 4.931240>,
      < -37.666824, 4.581672, 4.931256>
    }
    triangle {
      < -37.666824, 4.581672, 4.931256>,
      < -38.226944, 8.378810, 4.931240>,
      < -38.840782, 8.738811, 0.000000>
    }
    triangle {
      < -37.666824, 4.581672, 4.931256>,
      < -38.840782, 8.738811, 0.000000>,
      < -38.222157, 4.941670, 0.000000>
    }
    texture {windows}
  }
  // aft
  union {
    triangle {
      < -37.666824, 4.581672, 4.931256>,
      < -38.222157, 4.941670, 0.000000>,
      < -37.202202, 3.363967, 0.000000>
    }
    triangle {
      < -37.666824, 4.581672, 4.931256>,
      < -37.202202, 3.363967, 0.000000>,
      < -36.700283, 3.003968, 2.860110>
    }
    triangle {
      < -36.700283, 3.003968, 2.860110>,
      < -36.408623, 3.003968, 4.518372>,
      < -37.666824, 4.581672, 4.931256>
    }
    triangle {
      < -37.666824, 4.581672, 4.931256>,
      < -36.408623, 3.003968, 4.518372>,
      < -35.959934, 1.779966, 7.527570>
    }
    triangle {
      < -37.666824, 4.581672, 4.931256>,
      < -35.959934, 1.779966, 7.527570>,
      < -36.705807, 3.357670, 10.029904>
    }
    triangle {
      < -35.959934, 1.779966, 7.527570>,
      < -35.191723, 1.779966, 9.285604>,
      < -36.705807, 3.357670, 10.029904>
    }
    triangle {
      < -34.204334, 1.779966, 14.226349>,
      < -30.193434, 1.779966, 14.420488>,
      < -31.038305, 3.357670, 15.387860>
    }
    triangle {
      < -34.204334, 1.779966, 14.226349>,
      < -31.038305, 3.357670, 15.387860>,
      < -35.530365, 3.357670, 15.019470>
    }
    triangle {
      < -29.725348, 1.534853, 12.693987>,
      < -30.193434, 1.779966, 14.420488>,
      < -30.329147, -0.633617, 13.908249>
    }
    triangle {
      < -29.725348, 1.534853, 12.693987>,
      < -30.329147, -0.633617, 13.908249>,
      < -29.951672, -0.553082, 12.838999>
    }
    triangle {
      < -30.329147, -0.633617, 13.908249>,
      < -30.193434, 1.779966, 14.420488>,
      < -34.204334, 1.779966, 14.226349>
    }
    triangle {
      < -30.329147, -0.633617, 13.908249>,
      < -34.204334, 1.779966, 14.226349>,
      < -32.748100, -0.633628, 13.436047>
    }
    triangle {
      < -29.538437, -2.280977, 14.046997>,
      < -30.329147, -0.633617, 13.908249>,
      < -32.748100, -0.633628, 13.436047>
    }
    triangle {
      < -29.538437, -2.280977, 14.046997>,
      < -32.748100, -0.633628, 13.436047>,
      < -30.527657, -3.185613, 13.899263>
    }
    triangle {
      < -29.538437, -2.280977, 14.046997>,
      < -30.527657, -3.185613, 13.899263>,
      < -29.785950, -3.192493, 13.980194>
    }
    triangle {
      < -29.951672, -0.553082, 12.838999>,
      < -30.329147, -0.633617, 13.908249>,
      < -29.538437, -2.280977, 14.046997>
    }
    triangle {
      < -29.951672, -0.553082, 12.838999>,
      < -29.538437, -2.280977, 14.046997>,
      < -29.089066, -2.256183, 13.223326>
    }
    triangle {
      < -29.538437, -2.280977, 14.046997>,
      < -29.785950, -3.192493, 13.980194>,
      < -29.440445, -3.531864, 13.420376>
    }
    triangle {
      < -29.538437, -2.280977, 14.046997>,
      < -29.440445, -3.531864, 13.420376>,
      < -29.089066, -2.256183, 13.223326>
    }
    texture {aft}
  }
  // hull
  union {
    triangle {
      < -32.122688, -3.604459, 12.926102>,
      < -30.977203, -3.573457, 13.137188>,
      < -33.089638, -0.885639, 12.303194>
    }
    triangle {
      < -32.122818, 1.776985, 11.058003>,
      < -32.122818, 1.776985, 9.285594>,
      < -32.122746, -0.633664, 9.285579>
    }
    triangle {
      < -32.122818, 1.776985, 11.058003>,
      < -32.122746, -0.633664, 9.285579>,
      < -32.122688, -0.633649, 11.458102>
    }
    texture {hull}
  }
  // aft
  union {
    triangle {
      < -35.191723, 1.779966, 9.285604>,
      < -35.959934, 1.779966, 7.527570>,
      < -34.248096, -0.633676, 7.527580>
    }
    triangle {
      < -35.191723, 1.779966, 9.285604>,
      < -34.248096, -0.633676, 7.527580>,
      < -34.194592, -0.633673, 9.285544>
    }
    triangle {
      < -34.194592, -0.633673, 9.285544>,
      < -34.248096, -0.633676, 7.527580>,
      < -32.122711, -3.604395, 7.527471>
    }
    triangle {
      < -34.194592, -0.633673, 9.285544>,
      < -32.122711, -3.604395, 7.527471>,
      < -32.122704, -3.604366, 9.285585>
    }
    texture {aft}
  }
  // hull
  union {
    triangle {
      < -32.122818, 1.776985, 7.526671>,
      < -32.122818, 3.000987, 4.518517>,
      < -32.122795, 0.590334, 4.518468>
    }
    triangle {
      < -32.122818, 1.776985, 7.526671>,
      < -32.122795, 0.590334, 4.518468>,
      < -32.122761, -0.633678, 7.527228>
    }
    texture {hull}
  }
  // aft
  union {
    triangle {
      < -36.408623, 3.003968, 4.518372>,
      < -36.700283, 3.003968, 2.860110>,
      < -34.417446, 0.590306, 2.860096>
    }
    triangle {
      < -36.408623, 3.003968, 4.518372>,
      < -34.417446, 0.590306, 2.860096>,
      < -33.900768, 0.590325, 4.518118>
    }
    triangle {
      < -34.204334, 1.779966, 14.226349>,
      < -34.639442, 1.779966, 11.836490>,
      < -33.089638, -0.885639, 12.303194>
    }
    triangle {
      < -34.204334, 1.779966, 14.226349>,
      < -33.089638, -0.885639, 12.303194>,
      < -32.748100, -0.633628, 13.436047>
    }
    triangle {
      < -35.530365, 3.357670, 15.019470>,
      < -34.639442, 1.779966, 11.836490>,
      < -34.204334, 1.779966, 14.226349>
    }
    triangle {
      < -35.530365, 3.357670, 15.019470>,
      < -36.705807, 3.357670, 10.029904>,
      < -35.191723, 1.779966, 9.285604>
    }
    triangle {
      < -35.530365, 3.357670, 15.019470>,
      < -35.191723, 1.779966, 9.285604>,
      < -34.639442, 1.779966, 11.836490>
    }
    triangle {
      < -33.900768, 0.590325, 4.518118>,
      < -34.417446, 0.590306, 2.860096>,
      < -32.122730, -2.380611, 2.860078>
    }
    triangle {
      < -33.900768, 0.590325, 4.518118>,
      < -32.122730, -2.380611, 2.860078>,
      < -32.122726, -2.380491, 4.517693>
    }
    triangle {
      < -35.959934, 1.779966, 7.527570>,
      < -36.408623, 3.003968, 4.518372>,
      < -32.122818, 3.000987, 4.518517>
    }
    triangle {
      < -35.959934, 1.779966, 7.527570>,
      < -32.122818, 3.000987, 4.518517>,
      < -32.122818, 1.776985, 7.526671>
    }
    triangle {
      < -36.408623, 3.003968, 4.518372>,
      < -33.900768, 0.590325, 4.518118>,
      < -32.122795, 0.590334, 4.518468>
    }
    triangle {
      < -36.408623, 3.003968, 4.518372>,
      < -32.122795, 0.590334, 4.518468>,
      < -32.122818, 3.000987, 4.518517>
    }
    triangle {
      < -32.122726, -2.380491, 4.517693>,
      < -32.122795, 0.590334, 4.518468>,
      < -33.900768, 0.590325, 4.518118>
    }
    texture {aft}
  }
  // hull
  union {
    triangle {
      < -32.122795, 0.590334, 4.518468>,
      < -32.122726, -2.380491, 4.517693>,
      < -32.122711, -3.604395, 7.527471>
    }
    triangle {
      < -32.122795, 0.590334, 4.518468>,
      < -32.122711, -3.604395, 7.527471>,
      < -32.122761, -0.633678, 7.527228>
    }
    texture {hull}
  }
  // aft
  union {
    triangle {
      < -34.248096, -0.633676, 7.527580>,
      < -35.959934, 1.779966, 7.527570>,
      < -32.122818, 1.776985, 7.526671>
    }
    triangle {
      < -34.248096, -0.633676, 7.527580>,
      < -32.122818, 1.776985, 7.526671>,
      < -32.122761, -0.633678, 7.527228>
    }
    triangle {
      < -34.194592, -0.633673, 9.285544>,
      < -32.122704, -3.604366, 9.285585>,
      < -32.122746, -0.633664, 9.285579>
    }
    triangle {
      < -32.122818, 1.776985, 9.285594>,
      < -35.191723, 1.779966, 9.285604>,
      < -34.194592, -0.633673, 9.285544>
    }
    triangle {
      < -32.122818, 1.776985, 9.285594>,
      < -34.194592, -0.633673, 9.285544>,
      < -32.122746, -0.633664, 9.285579>
    }
    triangle {
      < -34.639442, 1.779966, 11.836490>,
      < -35.191723, 1.779966, 9.285604>,
      < -32.122818, 1.776985, 9.285594>
    }
    triangle {
      < -34.639442, 1.779966, 11.836490>,
      < -32.122818, 1.776985, 9.285594>,
      < -32.122818, 1.776985, 11.058003>
    }
    texture {aft}
  }
  // hull
  union {
    triangle {
      < -32.122746, -0.633664, 9.285579>,
      < -32.122704, -3.604366, 9.285585>,
      < -32.122688, -3.604459, 12.926102>
    }
    triangle {
      < -32.122746, -0.633664, 9.285579>,
      < -32.122688, -3.604459, 12.926102>,
      < -32.122688, -0.633649, 11.458102>
    }
    triangle {
      < -32.122688, -3.604459, 12.926102>,
      < -33.089638, -0.885639, 12.303194>,
      < -32.122688, -0.633649, 11.458102>
    }
    texture {hull}
  }
  // aft
  union {
    triangle {
      < -33.089638, -0.885639, 12.303194>,
      < -34.639442, 1.779966, 11.836490>,
      < -32.122818, 1.776985, 11.058003>
    }
    triangle {
      < -33.089638, -0.885639, 12.303194>,
      < -32.122818, 1.776985, 11.058003>,
      < -32.122688, -0.633649, 11.458102>
    }
    texture {aft}
  }
  // keel
  union {
    triangle {
      < -33.722881, 3.003968, 0.000000>,
      < -34.151215, -2.453028, 0.000000>,
      < -34.094254, -2.453040, 1.238075>
    }
    triangle {
      < -33.722881, 3.003968, 0.000000>,
      < -34.094254, -2.453040, 1.238075>,
      < -33.722420, 3.002194, 1.266791>
    }
    texture {keel}
  }
  // aft
  union {
    triangle {
      < -33.722881, 3.003968, 0.000000>,
      < -33.722420, 3.002194, 1.266791>,
      < -32.122818, 3.000987, 1.238075>
    }
    triangle {
      < -33.722881, 3.003968, 0.000000>,
      < -32.122818, 3.000987, 1.238075>,
      < -36.700283, 3.003968, 2.860110>
    }
    triangle {
      < -33.722881, 3.003968, 0.000000>,
      < -36.700283, 3.003968, 2.860110>,
      < -37.202202, 3.363967, 0.000000>
    }
    triangle {
      < -32.122818, 3.000965, 2.859260>,
      < -36.700283, 3.003968, 2.860110>,
      < -32.122818, 3.000987, 1.238075>
    }
    texture {aft}
  }
  // hull
  union {
    triangle {
      < -32.122818, 3.000987, 1.238075>,
      < -32.122829, 0.590391, 1.238075>,
      < -32.122826, 0.590387, 2.859397>
    }
    triangle {
      < -32.122818, 3.000987, 1.238075>,
      < -32.122826, 0.590387, 2.859397>,
      < -32.122818, 3.000965, 2.859260>
    }
    texture {hull}
  }
  // aft
  union {
    triangle {
      < -34.417446, 0.590306, 2.860096>,
      < -32.122826, 0.590387, 2.859397>,
      < -32.122730, -2.380611, 2.860078>
    }
    texture {aft}
  }
  // hull
  union {
    triangle {
      < -32.122826, 0.590387, 2.859397>,
      < -32.122829, 0.590391, 1.238075>,
      < -32.122734, -2.380687, 1.238075>
    }
    triangle {
      < -32.122826, 0.590387, 2.859397>,
      < -32.122734, -2.380687, 1.238075>,
      < -32.122730, -2.380611, 2.860078>
    }
    triangle {
      < -34.225647, 22.404272, 1.238075>,
      < -33.910358, 21.114786, 0.000000>,
      < -34.290081, 22.667803, 0.000000>
    }
    triangle {
      < -33.910358, 21.114786, 0.000000>,
      < -34.225647, 22.404272, 1.238075>,
      < -34.027481, 21.557823, 2.963631>
    }
    triangle {
      < -33.910358, 21.114786, 0.000000>,
      < -34.027481, 21.557823, 2.963631>,
      < -33.503494, 19.450775, 0.000000>
    }
    triangle {
      < -33.503494, 19.450775, 0.000000>,
      < -34.027481, 21.557823, 2.963631>,
      < -33.522549, 19.528704, 4.747104>
    }
    triangle {
      < -33.503494, 19.450775, 0.000000>,
      < -33.522549, 19.528704, 4.747104>,
      < -32.879219, 16.897564, 0.000000>
    }
    triangle {
      < -32.879219, 16.897564, 0.000000>,
      < -33.522549, 19.528704, 4.747104>,
      < -32.866196, 16.196304, 7.754097>
    }
    triangle {
      < -32.879219, 16.897564, 0.000000>,
      < -32.866196, 16.196304, 7.754097>,
      < -32.471931, 15.231831, 0.000000>
    }
    triangle {
      < -32.471931, 15.231831, 0.000000>,
      < -32.866196, 16.196304, 7.754097>,
      < -32.024277, 15.183992, 8.240927>
    }
    triangle {
      < -32.471931, 15.231831, 0.000000>,
      < -32.024277, 15.183992, 8.240927>,
      < -32.288364, 14.311578, 0.000000>
    }
    triangle {
      < -32.288364, 14.311578, 0.000000>,
      < -32.024277, 15.183992, 8.240927>,
      < -31.478973, 12.189011, 7.300096>
    }
    triangle {
      < -32.288364, 14.311578, 0.000000>,
      < -31.478973, 12.189011, 7.300096>,
      < -31.481258, 12.189013, 0.000000>
    }
    texture {hull}
  }
  // deck
  union {
    triangle {
      < -31.481258, 12.189013, 0.000000>,
      < -31.478973, 12.189011, 7.300096>,
      < -23.230810, 12.189157, 8.507561>
    }
    triangle {
      < -31.481258, 12.189013, 0.000000>,
      < -23.230810, 12.189157, 8.507561>,
      < -23.230810, 12.189054, 5.906754>
    }
    triangle {
      < -31.481258, 12.189013, 0.000000>,
      < -23.230810, 12.189054, 5.906754>,
      < -23.230810, 12.188995, 0.000000>
    }
    triangle {
      < -23.230810, 12.189054, 5.906754>,
      < -23.230810, 12.189157, 8.507561>,
      < -19.385841, 7.391684, 8.968118>
    }
    triangle {
      < -23.230810, 12.189054, 5.906754>,
      < -19.385841, 7.391684, 8.968118>,
      < -19.385841, 7.391382, 6.580861>
    }
    triangle {
      < -19.385841, 7.391382, 6.580861>,
      < -21.167429, 7.390899, 6.153070>,
      < -23.230810, 12.189054, 5.906754>
    }
    triangle {
      < -23.230810, 12.189054, 5.906754>,
      < -21.167429, 7.390899, 6.153070>,
      < -21.167429, 7.390496, 0.000000>
    }
    triangle {
      < -23.230810, 12.189054, 5.906754>,
      < -21.167429, 7.390496, 0.000000>,
      < -23.230810, 12.188995, 0.000000>
    }
    triangle {
      < -19.385841, 7.391684, 8.968118>,
      < -13.892597, 7.391925, 9.847868>,
      < -14.133162, 7.391512, 7.171891>
    }
    triangle {
      < -19.385841, 7.391684, 8.968118>,
      < -14.133162, 7.391512, 7.171891>,
      < -19.385841, 7.391382, 6.580861>
    }
    triangle {
      < -21.167429, 7.390899, 6.153070>,
      < -19.385841, 7.391382, 6.580861>,
      < -14.133162, 7.391512, 7.171891>
    }
    triangle {
      < -21.167429, 7.390899, 6.153070>,
      < -14.133162, 7.391512, 7.171891>,
      < -14.133162, 7.391360, 0.000000>
    }
    triangle {
      < -21.167429, 7.390899, 6.153070>,
      < -14.133162, 7.391360, 0.000000>,
      < -21.167429, 7.390496, 0.000000>
    }
    texture {deck}
  }
  // hull
  union {
    triangle {
      < -22.617615, 13.859209, 11.521384>,
      < -22.073826, 12.809116, 11.031629>,
      < -21.997017, 12.885773, 9.282518>
    }
    triangle {
      < -22.617615, 13.859209, 11.521384>,
      < -21.997017, 12.885773, 9.282518>,
      < -22.549631, 13.892679, 9.395622>
    }
    triangle {
      < -21.997017, 12.885773, 9.282518>,
      < -22.073826, 12.809116, 11.031629>,
      < -20.785156, 10.432585, 11.266025>
    }
    triangle {
      < -21.997017, 12.885773, 9.282518>,
      < -20.785156, 10.432585, 11.266025>,
      < -20.622669, 10.264604, 9.549243>
    }
    triangle {
      < -20.622669, 10.264604, 9.549243>,
      < -20.785156, 10.432585, 11.266025>,
      < -19.419006, 9.058252, 11.675020>
    }
    triangle {
      < -20.622669, 10.264604, 9.549243>,
      < -19.419006, 9.058252, 11.675020>,
      < -19.292164, 9.097214, 9.702837>
    }
    triangle {
      < -19.292164, 9.097214, 9.702837>,
      < -19.419006, 9.058252, 11.675020>,
      < -13.215079, 9.087099, 12.333536>
    }
    triangle {
      < -19.292164, 9.097214, 9.702837>,
      < -13.215079, 9.087099, 12.333536>,
      < -13.192261, 9.087229, 10.726978>
    }
    triangle {
      < -13.192261, 9.087229, 10.726978>,
      < -13.215079, 9.087099, 12.333536>,
      < -10.136595, 4.386232, 12.483255>
    }
    triangle {
      < -13.192261, 9.087229, 10.726978>,
      < -10.136595, 4.386232, 12.483255>,
      < -10.064362, 4.446222, 10.991236>
    }
    triangle {
      < -10.064362, 4.446222, 10.991236>,
      < -10.136595, 4.386232, 12.483255>,
      < -8.522958, 3.221424, 12.703880>
    }
    triangle {
      < -10.064362, 4.446222, 10.991236>,
      < -8.522958, 3.221424, 12.703880>,
      < -8.351521, 3.221424, 11.058840>
    }
    triangle {
      < -1.598226, 3.221424, 11.134462>,
      < -1.886394, 3.221424, 12.694532>,
      < 2.420745, 3.221424, 12.616695>
    }
    triangle {
      < -1.598226, 3.221424, 11.134462>,
      < 2.420745, 3.221424, 12.616695>,
      < 2.452951, 3.221424, 10.998412>
    }
    triangle {
      < 2.452951, 3.221424, 10.998412>,
      < 2.420745, 3.221424, 12.616695>,
      < 4.422665, 4.063653, 12.498808>
    }
    triangle {
      < 2.452951, 3.221424, 10.998412>,
      < 4.422665, 4.063653, 12.498808>,
      < 4.365315, 4.001073, 10.953445>
    }
    triangle {
      < 4.365315, 4.001073, 10.953445>,
      < 4.422665, 4.063653, 12.498808>,
      < 5.533552, 6.171984, 12.384296>
    }
    triangle {
      < 4.365315, 4.001073, 10.953445>,
      < 5.533552, 6.171984, 12.384296>,
      < 5.530656, 6.149844, 10.682220>
    }
    triangle {
      < 17.983040, 6.662837, 11.152293>,
      < 17.005033, 6.662837, 9.681633>,
      < 7.977384, 6.662837, 10.348160>
    }
    triangle {
      < 17.983040, 6.662837, 11.152293>,
      < 7.977384, 6.662837, 10.348160>,
      < 7.360672, 6.662837, 12.189878>
    }
    triangle {
      < 17.983040, 6.662837, 11.152293>,
      < 7.360672, 6.662837, 12.189878>,
      < 12.972380, 6.662837, 11.684002>
    }
    triangle {
      < 17.983040, 6.662837, 11.152293>,
      < 12.972380, 6.662837, 11.684002>,
      < 15.594139, 6.662837, 11.461397>
    }
    texture {hull}
  }
  // deck
  union {
    triangle {
      < -13.892597, 7.391925, 9.847868>,
      < -9.777788, 1.447089, 10.415768>,
      < -9.777788, 1.447089, 7.505733>
    }
    triangle {
      < -13.892597, 7.391925, 9.847868>,
      < -9.777788, 1.447089, 7.505733>,
      < -14.133162, 7.391512, 7.171891>
    }
    triangle {
      < -9.777788, 1.447089, 7.505733>,
      < -12.005382, 1.447089, 7.353243>,
      < -14.133162, 7.391512, 7.171891>
    }
    triangle {
      < -9.777788, 1.447089, 0.000000>,
      < -12.005382, 1.447089, 0.000000>,
      < -12.005382, 1.447089, 7.353243>
    }
    triangle {
      < -9.777788, 1.447089, 0.000000>,
      < -12.005382, 1.447089, 7.353243>,
      < -9.777788, 1.447089, 7.505733>
    }
    triangle {
      < -9.777788, 1.447089, 0.000000>,
      < -9.777788, 1.447089, 7.505733>,
      < -9.777788, 1.447089, 10.415768>
    }
    triangle {
      < -9.777788, 1.447089, 0.000000>,
      < -9.777788, 1.447089, 10.415768>,
      < -1.881737, 1.447089, 10.419345>
    }
    triangle {
      < -9.777788, 1.447089, 0.000000>,
      < -1.881737, 1.447089, 10.419345>,
      < -1.954006, 1.447089, 0.000000>
    }
    triangle {
      < 3.275857, 1.447089, 0.000000>,
      < -1.954006, 1.447089, 0.000000>,
      < -1.881737, 1.447089, 10.419345>
    }
    triangle {
      < 3.275857, 1.447089, 0.000000>,
      < -1.881737, 1.447089, 10.419345>,
      < 3.275857, 1.447089, 10.142793>
    }
    triangle {
      < 3.275857, 1.447089, 0.000000>,
      < 3.275857, 1.447089, 10.142793>,
      < 3.275857, 1.447089, 1.586848>
    }
    triangle {
      < 3.275857, 1.447089, 1.586848>,
      < 3.275857, 1.447089, 10.142793>,
      < 5.568399, 1.447089, 10.053401>
    }
    triangle {
      < 3.275857, 1.447089, 1.586848>,
      < 5.568399, 1.447089, 10.053401>,
      < 5.568399, 1.447089, 1.586848>
    }
    triangle {
      < 6.683901, 5.315889, 1.586848>,
      < 3.275857, 1.447089, 1.586848>,
      < 5.568399, 1.447089, 1.586848>
    }
    triangle {
      < 3.275857, 1.447089, 0.000000>,
      < 3.275857, 1.447089, 1.586848>,
      < 6.683901, 5.315889, 1.586848>
    }
    triangle {
      < 3.275857, 1.447089, 0.000000>,
      < 6.683901, 5.315889, 1.586848>,
      < 6.675109, 5.316054, 0.000000>
    }
    triangle {
      < 18.888571, 1.302237, 1.623599>,
      < 21.060875, 1.981712, 6.729387>,
      < 21.363655, 1.139118, 5.173973>
    }
    triangle {
      < 18.888571, 1.302237, 1.623599>,
      < 21.363655, 1.139118, 5.173973>,
      < 21.278627, 1.400611, 1.803334>
    }
    triangle {
      < 21.179319, 1.176081, 0.000000>,
      < 21.278627, 1.400611, 1.803334>,
      < 21.363655, 1.139118, 5.173973>
    }
    triangle {
      < 21.179319, 1.176081, 0.000000>,
      < 21.363655, 1.139118, 5.173973>,
      < 23.720354, 0.966969, 4.569222>
    }
    triangle {
      < 21.179319, 1.176081, 0.000000>,
      < 23.720354, 0.966969, 4.569222>,
      < 23.102367, 0.608405, 0.000000>
    }
    texture {deck}
  }
  // hull
  union {
    triangle {
      < -1.886394, 3.221424, 12.694532>,
      < -1.598226, 3.221424, 11.134462>,
      < -8.351521, 3.221424, 11.058840>
    }
    triangle {
      < -1.886394, 3.221424, 12.694532>,
      < -8.351521, 3.221424, 11.058840>,
      < -8.522958, 3.221424, 12.703880>
    }
    triangle {
      < -23.230810, 12.189157, 8.507561>,
      < -22.549631, 13.892679, 9.395622>,
      < -21.997017, 12.885773, 9.282518>
    }
    triangle {
      < -21.997017, 12.885773, 9.282518>,
      < -20.622669, 10.264604, 9.549243>,
      < -19.385841, 7.391684, 8.968118>
    }
    triangle {
      < -21.997017, 12.885773, 9.282518>,
      < -19.385841, 7.391684, 8.968118>,
      < -23.230810, 12.189157, 8.507561>
    }
    triangle {
      < -19.292164, 9.097214, 9.702837>,
      < -19.385841, 7.391684, 8.968118>,
      < -20.622669, 10.264604, 9.549243>
    }
    triangle {
      < -13.192261, 9.087229, 10.726978>,
      < -13.892597, 7.391925, 9.847868>,
      < -19.385841, 7.391684, 8.968118>
    }
    triangle {
      < -13.192261, 9.087229, 10.726978>,
      < -19.385841, 7.391684, 8.968118>,
      < -19.292164, 9.097214, 9.702837>
    }
    triangle {
      < -13.892597, 7.391925, 9.847868>,
      < -13.192261, 9.087229, 10.726978>,
      < -10.064362, 4.446222, 10.991236>
    }
    triangle {
      < -13.892597, 7.391925, 9.847868>,
      < -10.064362, 4.446222, 10.991236>,
      < -9.777788, 1.447089, 10.415768>
    }
    triangle {
      < -8.351521, 3.221424, 11.058840>,
      < -9.777788, 1.447089, 10.415768>,
      < -10.064362, 4.446222, 10.991236>
    }
    triangle {
      < -22.549631, 13.892679, 9.395622>,
      < -23.230810, 12.189157, 8.507561>,
      < -31.478973, 12.189011, 7.300096>
    }
    triangle {
      < -22.549631, 13.892679, 9.395622>,
      < -31.478973, 12.189011, 7.300096>,
      < -32.024277, 15.183992, 8.240927>
    }
    texture {hull}
  }
  // deck
  union {
    triangle {
      < -12.005382, 1.447089, 7.353243>,
      < -12.005382, 1.447089, 0.000000>,
      < -14.133162, 7.391360, 0.000000>
    }
    triangle {
      < -12.005382, 1.447089, 7.353243>,
      < -14.133162, 7.391360, 0.000000>,
      < -14.133162, 7.391512, 7.171891>
    }
    texture {deck}
  }
  // hull
  union {
    triangle {
      < -1.881737, 1.447089, 10.419345>,
      < -1.598226, 3.221424, 11.134462>,
      < 2.452951, 3.221424, 10.998412>
    }
    triangle {
      < -1.881737, 1.447089, 10.419345>,
      < 2.452951, 3.221424, 10.998412>,
      < 3.275857, 1.447089, 10.142793>
    }
    triangle {
      < -9.777788, 1.447089, 10.415768>,
      < -8.351521, 3.221424, 11.058840>,
      < -1.598226, 3.221424, 11.134462>
    }
    triangle {
      < -9.777788, 1.447089, 10.415768>,
      < -1.598226, 3.221424, 11.134462>,
      < -1.881737, 1.447089, 10.419345>
    }
    triangle {
      < 2.452951, 3.221424, 10.998412>,
      < 4.365315, 4.001073, 10.953445>,
      < 5.568399, 1.447089, 10.053401>
    }
    triangle {
      < 2.452951, 3.221424, 10.998412>,
      < 5.568399, 1.447089, 10.053401>,
      < 3.275857, 1.447089, 10.142793>
    }
    triangle {
      < 7.360672, 6.662837, 12.189878>,
      < 7.977384, 6.662837, 10.348160>,
      < 5.530656, 6.149844, 10.682220>
    }
    triangle {
      < 7.360672, 6.662837, 12.189878>,
      < 5.530656, 6.149844, 10.682220>,
      < 5.533552, 6.171984, 12.384296>
    }
    triangle {
      < 5.568399, 1.447089, 10.053401>,
      < 4.365315, 4.001073, 10.953445>,
      < 5.530656, 6.149844, 10.682220>
    }
    triangle {
      < 5.568399, 1.447089, 10.053401>,
      < 5.530656, 6.149844, 10.682220>,
      < 6.683901, 5.316105, 9.844049>
    }
    texture {hull}
  }
  // deck
  union {
    triangle {
      < 6.683901, 5.315889, 1.586848>,
      < 5.568399, 1.447089, 1.586848>,
      < 5.568399, 1.447089, 10.053401>
    }
    triangle {
      < 6.683901, 5.315889, 1.586848>,
      < 5.568399, 1.447089, 10.053401>,
      < 6.683901, 5.316105, 9.844049>
    }
    texture {deck}
  }
  // hull
  union {
    triangle {
      < 7.977384, 6.662837, 10.348160>,
      < 6.683901, 5.316105, 9.844049>,
      < 5.530656, 6.149844, 10.682220>
    }
    triangle {
      < 16.906103, 5.316122, 8.994491>,
      < 6.683901, 5.316105, 9.844049>,
      < 7.977384, 6.662837, 10.348160>
    }
    triangle {
      < 16.906103, 5.316122, 8.994491>,
      < 7.977384, 6.662837, 10.348160>,
      < 17.005033, 6.662837, 9.681633>
    }
    triangle {
      < -32.122726, -16.693306, 4.355949>,
      < -32.122738, -17.475546, 1.238075>,
      < -24.875282, -17.469940, 1.238075>
    }
    triangle {
      < -32.122726, -16.693306, 4.355949>,
      < -24.875282, -17.469940, 1.238075>,
      < -24.875282, -16.438957, 5.023836>
    }
    triangle {
      < -24.875282, -16.438957, 5.023836>,
      < -24.875282, -17.469940, 1.238075>,
      < -21.158424, -17.471130, 1.238075>
    }
    triangle {
      < -24.875282, -16.438957, 5.023836>,
      < -21.158424, -17.471130, 1.238075>,
      < -21.158424, -16.432545, 5.456006>
    }
    triangle {
      < -21.158424, -16.432545, 5.456006>,
      < -21.158424, -17.471130, 1.238075>,
      < -17.426210, -17.464722, 1.238075>
    }
    triangle {
      < -21.158424, -16.432545, 5.456006>,
      < -17.426210, -17.464722, 1.238075>,
      < -17.426210, -16.414181, 5.591547>
    }
    triangle {
      < -17.426210, -16.414181, 5.591547>,
      < -17.426210, -17.464722, 1.238075>,
      < -10.703051, -17.446625, 1.238075>
    }
    triangle {
      < -17.426210, -16.414181, 5.591547>,
      < -10.703051, -17.446625, 1.238075>,
      < -10.703051, -16.404001, 5.960669>
    }
    triangle {
      < -10.703051, -16.404001, 5.960669>,
      < -10.703051, -17.446625, 1.238075>,
      < -6.862593, -17.454201, 1.238075>
    }
    triangle {
      < -10.703051, -16.404001, 5.960669>,
      < -6.862593, -17.454201, 1.238075>,
      < -6.862593, -16.404274, 6.041844>
    }
    triangle {
      < -6.862593, -16.404274, 6.041844>,
      < -6.862593, -17.454201, 1.238075>,
      < -2.943282, -17.458817, 1.238075>
    }
    triangle {
      < -6.862593, -16.404274, 6.041844>,
      < -2.943282, -17.458817, 1.238075>,
      < -2.943282, -16.405006, 6.357064>
    }
    triangle {
      < -2.943282, -16.405006, 6.357064>,
      < -2.943282, -17.458817, 1.238075>,
      < 2.420745, -17.454708, 1.238075>
    }
    triangle {
      < -2.943282, -16.405006, 6.357064>,
      < 2.420745, -17.454708, 1.238075>,
      < 2.420745, -16.404470, 6.357064>
    }
    triangle {
      < 2.420745, -16.404470, 6.357064>,
      < 2.420745, -17.454708, 1.238075>,
      < 7.603565, -17.449827, 1.238075>
    }
    triangle {
      < 2.420745, -16.404470, 6.357064>,
      < 7.603565, -17.449827, 1.238075>,
      < 7.603565, -16.380497, 6.357064>
    }
    triangle {
      < 7.603565, -16.380497, 6.357064>,
      < 7.603565, -17.449827, 1.238075>,
      < 12.879044, -16.473442, 1.238075>
    }
    triangle {
      < 7.603565, -16.380497, 6.357064>,
      < 12.879044, -16.473442, 1.238075>,
      < 12.832268, -15.500710, 6.259944>
    }
    triangle {
      < 12.832268, -15.500710, 6.259944>,
      < 12.879044, -16.473442, 1.238075>,
      < 16.405544, -14.094017, 1.238075>
    }
    triangle {
      < 12.832268, -15.500710, 6.259944>,
      < 16.405544, -14.094017, 1.238075>,
      < 16.321648, -13.597433, 5.927067>
    }
    triangle {
      < 16.321648, -13.597433, 5.927067>,
      < 16.405544, -14.094017, 1.238075>,
      < 18.244587, -11.779632, 1.238075>
    }
    triangle {
      < 16.321648, -13.597433, 5.927067>,
      < 18.244587, -11.779632, 1.238075>,
      < 18.157881, -11.652975, 5.318019>
    }
    triangle {
      < 18.157881, -11.652975, 5.318019>,
      < 18.244587, -11.779632, 1.238075>,
      < 20.710901, -7.529170, 1.281522>
    }
    triangle {
      < 18.157881, -11.652975, 5.318019>,
      < 20.710901, -7.529170, 1.281522>,
      < 20.729614, -7.361181, 4.084560>
    }
    triangle {
      < 20.710901, -7.529170, 1.281522>,
      < 22.502172, -2.387520, 1.780734>,
      < 20.729614, -7.361181, 4.084560>
    }
    triangle {
      < -32.122711, -15.201252, 8.479453>,
      < -32.122726, -16.693306, 4.355949>,
      < -24.875282, -16.438957, 5.023836>
    }
    triangle {
      < -32.122711, -15.201252, 8.479453>,
      < -24.875282, -16.438957, 5.023836>,
      < -24.875282, -15.191301, 8.889921>
    }
    triangle {
      < -24.875282, -15.191301, 8.889921>,
      < -24.875282, -16.438957, 5.023836>,
      < -21.158424, -16.432545, 5.456006>
    }
    triangle {
      < -24.875282, -15.191301, 8.889921>,
      < -21.158424, -16.432545, 5.456006>,
      < -21.158424, -15.188612, 9.238050>
    }
    triangle {
      < -21.158424, -15.188612, 9.238050>,
      < -21.158424, -16.432545, 5.456006>,
      < -17.426210, -16.414181, 5.591547>
    }
    triangle {
      < -21.158424, -15.188612, 9.238050>,
      < -17.426210, -16.414181, 5.591547>,
      < -17.426210, -15.185617, 9.648746>
    }
    triangle {
      < -17.426210, -15.185617, 9.648746>,
      < -17.426210, -16.414181, 5.591547>,
      < -10.703051, -16.404001, 5.960669>
    }
    triangle {
      < -17.426210, -15.185617, 9.648746>,
      < -10.703051, -16.404001, 5.960669>,
      < -10.703051, -15.151535, 9.959948>
    }
    triangle {
      < -10.703051, -15.151535, 9.959948>,
      < -10.703051, -16.404001, 5.960669>,
      < -6.862593, -16.404274, 6.041844>
    }
    triangle {
      < -10.703051, -15.151535, 9.959948>,
      < -6.862593, -16.404274, 6.041844>,
      < -6.862593, -15.148084, 10.122597>
    }
    triangle {
      < -6.862593, -15.148084, 10.122597>,
      < -6.862593, -16.404274, 6.041844>,
      < -2.943282, -16.405006, 6.357064>
    }
    triangle {
      < -6.862593, -15.148084, 10.122597>,
      < -2.943282, -16.405006, 6.357064>,
      < -2.943282, -15.161076, 10.404315>
    }
    triangle {
      < -2.943282, -15.161076, 10.404315>,
      < -2.943282, -16.405006, 6.357064>,
      < 2.420745, -16.404470, 6.357064>
    }
    triangle {
      < -2.943282, -15.161076, 10.404315>,
      < 2.420745, -16.404470, 6.357064>,
      < 2.420745, -15.136637, 10.490346>
    }
    triangle {
      < 2.420745, -15.136637, 10.490346>,
      < 2.420745, -16.404470, 6.357064>,
      < 7.603565, -16.380497, 6.357064>
    }
    triangle {
      < 2.420745, -15.136637, 10.490346>,
      < 7.603565, -16.380497, 6.357064>,
      < 7.603565, -15.139988, 10.384273>
    }
    triangle {
      < 7.603565, -15.139988, 10.384273>,
      < 7.603565, -16.380497, 6.357064>,
      < 12.832268, -15.500710, 6.259944>
    }
    triangle {
      < 7.603565, -15.139988, 10.384273>,
      < 12.832268, -15.500710, 6.259944>,
      < 12.742552, -13.635256, 10.271313>
    }
    triangle {
      < 12.742552, -13.635256, 10.271313>,
      < 12.832268, -15.500710, 6.259944>,
      < 16.321648, -13.597433, 5.927067>
    }
    triangle {
      < 12.742552, -13.635256, 10.271313>,
      < 16.321648, -13.597433, 5.927067>,
      < 16.052504, -12.004322, 9.672956>
    }
    triangle {
      < 16.052504, -12.004322, 9.672956>,
      < 16.321648, -13.597433, 5.927067>,
      < 18.157881, -11.652975, 5.318019>
    }
    triangle {
      < 16.052504, -12.004322, 9.672956>,
      < 18.157881, -11.652975, 5.318019>,
      < 17.738865, -10.274949, 8.849628>
    }
    triangle {
      < 17.738865, -10.274949, 8.849628>,
      < 18.157881, -11.652975, 5.318019>,
      < 20.729614, -7.361181, 4.084560>
    }
    triangle {
      < 17.738865, -10.274949, 8.849628>,
      < 20.729614, -7.361181, 4.084560>,
      < 20.423779, -6.674508, 7.563237>
    }
    triangle {
      < 20.423779, -6.674508, 7.563237>,
      < 20.729614, -7.361181, 4.084560>,
      < 22.502172, -2.387520, 1.780734>
    }
    triangle {
      < 20.423779, -6.674508, 7.563237>,
      < 22.502172, -2.387520, 1.780734>,
      < 22.927841, -2.079975, 5.293032>
    }
    triangle {
      < -32.122692, -13.101498, 12.252906>,
      < -32.122711, -15.201252, 8.479453>,
      < -24.875282, -15.191301, 8.889921>
    }
    triangle {
      < -32.122692, -13.101498, 12.252906>,
      < -24.875282, -15.191301, 8.889921>,
      < -24.875282, -13.559512, 12.869038>
    }
    triangle {
      < -24.875282, -13.559512, 12.869038>,
      < -24.875282, -15.191301, 8.889921>,
      < -21.158424, -15.188612, 9.238050>
    }
    triangle {
      < -24.875282, -13.559512, 12.869038>,
      < -21.158424, -15.188612, 9.238050>,
      < -21.158424, -13.563975, 12.793823>
    }
    triangle {
      < -21.158424, -13.563975, 12.793823>,
      < -21.158424, -15.188612, 9.238050>,
      < -17.426210, -15.185617, 9.648746>
    }
    triangle {
      < -21.158424, -13.563975, 12.793823>,
      < -17.426210, -15.185617, 9.648746>,
      < -17.426210, -13.564394, 13.015837>
    }
    triangle {
      < -17.426210, -13.564394, 13.015837>,
      < -17.426210, -15.185617, 9.648746>,
      < -10.703051, -15.151535, 9.959948>
    }
    triangle {
      < -17.426210, -13.564394, 13.015837>,
      < -10.703051, -15.151535, 9.959948>,
      < -10.703051, -13.542574, 13.359402>
    }
    triangle {
      < -10.703051, -13.542574, 13.359402>,
      < -10.703051, -15.151535, 9.959948>,
      < -6.862593, -15.148084, 10.122597>
    }
    triangle {
      < -10.703051, -13.542574, 13.359402>,
      < -6.862593, -15.148084, 10.122597>,
      < -6.862593, -13.538811, 13.468325>
    }
    triangle {
      < -6.862593, -13.538811, 13.468325>,
      < -6.862593, -15.148084, 10.122597>,
      < -2.943282, -15.161076, 10.404315>
    }
    triangle {
      < -6.862593, -13.538811, 13.468325>,
      < -2.943282, -15.161076, 10.404315>,
      < -2.943282, -13.548689, 13.506525>
    }
    triangle {
      < -2.943282, -13.548689, 13.506525>,
      < -2.943282, -15.161076, 10.404315>,
      < 2.420745, -15.136637, 10.490346>
    }
    triangle {
      < -2.943282, -13.548689, 13.506525>,
      < 2.420745, -15.136637, 10.490346>,
      < 2.420745, -13.559494, 13.319569>
    }
    triangle {
      < 2.420745, -13.559494, 13.319569>,
      < 2.420745, -15.136637, 10.490346>,
      < 7.603565, -15.139988, 10.384273>
    }
    triangle {
      < 2.420745, -13.559494, 13.319569>,
      < 7.603565, -15.139988, 10.384273>,
      < 7.603565, -13.121067, 12.955379>
    }
    triangle {
      < 7.603565, -13.121067, 12.955379>,
      < 7.603565, -15.139988, 10.384273>,
      < 12.742552, -13.635256, 10.271313>
    }
    triangle {
      < 7.603565, -13.121067, 12.955379>,
      < 12.742552, -13.635256, 10.271313>,
      < 12.651917, -11.750661, 12.163342>
    }
    triangle {
      < 12.651917, -11.750661, 12.163342>,
      < 12.742552, -13.635256, 10.271313>,
      < 16.052504, -12.004322, 9.672956>
    }
    triangle {
      < 12.651917, -11.750661, 12.163342>,
      < 16.052504, -12.004322, 9.672956>,
      < 15.776398, -10.370003, 11.428668>
    }
    triangle {
      < 15.776398, -10.370003, 11.428668>,
      < 16.052504, -12.004322, 9.672956>,
      < 17.738865, -10.274949, 8.849628>
    }
    triangle {
      < 15.776398, -10.370003, 11.428668>,
      < 17.738865, -10.274949, 8.849628>,
      < 17.823387, -8.626553, 10.201316>
    }
    triangle {
      < 17.823387, -8.626553, 10.201316>,
      < 17.738865, -10.274949, 8.849628>,
      < 20.423779, -6.674508, 7.563237>
    }
    triangle {
      < 17.823387, -8.626553, 10.201316>,
      < 20.423779, -6.674508, 7.563237>,
      < 20.243277, -5.812185, 8.599287>
    }
    triangle {
      < 20.243277, -5.812185, 8.599287>,
      < 20.423779, -6.674508, 7.563237>,
      < 22.927841, -2.079975, 5.293032>
    }
    triangle {
      < 20.243277, -5.812185, 8.599287>,
      < 22.927841, -2.079975, 5.293032>,
      < 22.642578, -2.021900, 6.338686>
    }
    triangle {
      < -32.122688, -10.525450, 13.978191>,
      < -32.122692, -13.101498, 12.252906>,
      < -24.875282, -13.559512, 12.869038>
    }
    triangle {
      < -32.122688, -10.525450, 13.978191>,
      < -24.875282, -13.559512, 12.869038>,
      < -24.875282, -10.610699, 14.971485>
    }
    triangle {
      < -24.875282, -10.610699, 14.971485>,
      < -24.875282, -13.559512, 12.869038>,
      < -21.158424, -13.563975, 12.793823>
    }
    triangle {
      < -24.875282, -10.610699, 14.971485>,
      < -21.158424, -13.563975, 12.793823>,
      < -21.158424, -10.603826, 15.170494>
    }
    triangle {
      < -21.158424, -10.603826, 15.170494>,
      < -21.158424, -13.563975, 12.793823>,
      < -17.426210, -13.564394, 13.015837>
    }
    triangle {
      < -21.158424, -10.603826, 15.170494>,
      < -17.426210, -13.564394, 13.015837>,
      < -17.426210, -10.616206, 15.433119>
    }
    triangle {
      < -17.426210, -10.616206, 15.433119>,
      < -17.426210, -13.564394, 13.015837>,
      < -10.703051, -13.542574, 13.359402>
    }
    triangle {
      < -17.426210, -10.616206, 15.433119>,
      < -10.703051, -13.542574, 13.359402>,
      < -10.703051, -10.590498, 15.556311>
    }
    triangle {
      < -10.703051, -10.590498, 15.556311>,
      < -10.703051, -13.542574, 13.359402>,
      < -6.862593, -13.538811, 13.468325>
    }
    triangle {
      < -10.703051, -10.590498, 15.556311>,
      < -6.862593, -13.538811, 13.468325>,
      < -6.862593, -10.586885, 15.660851>
    }
    triangle {
      < -6.862593, -10.586885, 15.660851>,
      < -6.862593, -13.538811, 13.468325>,
      < -2.943282, -13.548689, 13.506525>
    }
    triangle {
      < -6.862593, -10.586885, 15.660851>,
      < -2.943282, -13.548689, 13.506525>,
      < -2.943282, -10.611682, 15.249158>
    }
    triangle {
      < -2.943282, -10.611682, 15.249158>,
      < -2.943282, -13.548689, 13.506525>,
      < 2.420745, -13.559494, 13.319569>
    }
    triangle {
      < -2.943282, -10.611682, 15.249158>,
      < 2.420745, -13.559494, 13.319569>,
      < 2.420745, -10.615954, 14.819395>
    }
    triangle {
      < 2.420745, -10.615954, 14.819395>,
      < 2.420745, -13.559494, 13.319569>,
      < 7.603565, -13.121067, 12.955379>
    }
    triangle {
      < 2.420745, -10.615954, 14.819395>,
      < 7.603565, -13.121067, 12.955379>,
      < 7.603565, -10.423251, 14.270162>
    }
    triangle {
      < 7.603565, -10.423251, 14.270162>,
      < 7.603565, -13.121067, 12.955379>,
      < 12.651917, -11.750661, 12.163342>
    }
    triangle {
      < 7.603565, -10.423251, 14.270162>,
      < 12.651917, -11.750661, 12.163342>,
      < 12.555428, -9.744363, 13.830376>
    }
    triangle {
      < 12.555428, -9.744363, 13.830376>,
      < 12.651917, -11.750661, 12.163342>,
      < 15.776398, -10.370003, 11.428668>
    }
    triangle {
      < 12.555428, -9.744363, 13.830376>,
      < 15.776398, -10.370003, 11.428668>,
      < 15.481684, -8.625530, 13.248377>
    }
    triangle {
      < 15.481684, -8.625530, 13.248377>,
      < 15.776398, -10.370003, 11.428668>,
      < 17.823387, -8.626553, 10.201316>
    }
    triangle {
      < 15.481684, -8.625530, 13.248377>,
      < 17.823387, -8.626553, 10.201316>,
      < 17.762831, -6.967863, 11.940372>
    }
    triangle {
      < 17.762831, -6.967863, 11.940372>,
      < 17.823387, -8.626553, 10.201316>,
      < 20.243277, -5.812185, 8.599287>
    }
    triangle {
      < 17.762831, -6.967863, 11.940372>,
      < 20.243277, -5.812185, 8.599287>,
      < 19.731392, -4.773400, 10.782165>
    }
    triangle {
      < 19.731392, -4.773400, 10.782165>,
      < 20.243277, -5.812185, 8.599287>,
      < 22.642578, -2.021900, 6.338686>
    }
    triangle {
      < 19.731392, -4.773400, 10.782165>,
      < 22.642578, -2.021900, 6.338686>,
      < 22.192654, -1.778881, 8.919837>
    }
    triangle {
      < -32.122684, -7.293530, 14.206009>,
      < -32.122688, -10.525450, 13.978191>,
      < -24.875282, -10.610699, 14.971485>
    }
    triangle {
      < -32.122684, -7.293530, 14.206009>,
      < -24.875282, -10.610699, 14.971485>,
      < -24.875282, -7.172729, 15.149325>
    }
    triangle {
      < -24.875282, -7.172729, 15.149325>,
      < -24.875282, -10.610699, 14.971485>,
      < -21.158424, -10.603826, 15.170494>
    }
    triangle {
      < -24.875282, -7.172729, 15.149325>,
      < -21.158424, -10.603826, 15.170494>,
      < -21.158424, -7.158087, 15.411015>
    }
    triangle {
      < -21.158424, -7.158087, 15.411015>,
      < -21.158424, -10.603826, 15.170494>,
      < -17.426210, -10.616206, 15.433119>
    }
    triangle {
      < -21.158424, -7.158087, 15.411015>,
      < -17.426210, -10.616206, 15.433119>,
      < -17.426210, -7.163010, 15.619746>
    }
    triangle {
      < -17.426210, -7.163010, 15.619746>,
      < -17.426210, -10.616206, 15.433119>,
      < -10.703051, -10.590498, 15.556311>
    }
    triangle {
      < -17.426210, -7.163010, 15.619746>,
      < -10.703051, -10.590498, 15.556311>,
      < -10.703051, -7.164166, 15.766442>
    }
    triangle {
      < -10.703051, -7.164166, 15.766442>,
      < -10.703051, -10.590498, 15.556311>,
      < -6.862593, -10.586885, 15.660851>
    }
    triangle {
      < -10.703051, -7.164166, 15.766442>,
      < -6.862593, -10.586885, 15.660851>,
      < -6.862593, -7.149532, 15.766785>
    }
    triangle {
      < -6.862593, -7.149532, 15.766785>,
      < -6.862593, -10.586885, 15.660851>,
      < -2.943282, -10.611682, 15.249158>
    }
    triangle {
      < -6.862593, -7.149532, 15.766785>,
      < -2.943282, -10.611682, 15.249158>,
      < -2.943282, -7.166555, 15.589163>
    }
    triangle {
      < -2.943282, -7.166555, 15.589163>,
      < -2.943282, -10.611682, 15.249158>,
      < 2.420745, -10.615954, 14.819395>
    }
    triangle {
      < -2.943282, -7.166555, 15.589163>,
      < 2.420745, -10.615954, 14.819395>,
      < 2.420745, -7.173941, 15.276383>
    }
    triangle {
      < 2.420745, -7.173941, 15.276383>,
      < 2.420745, -10.615954, 14.819395>,
      < 7.603565, -10.423251, 14.270162>
    }
    triangle {
      < 2.420745, -7.173941, 15.276383>,
      < 7.603565, -10.423251, 14.270162>,
      < 7.603565, -7.188782, 14.846800>
    }
    triangle {
      < 7.603565, -7.188782, 14.846800>,
      < 7.603565, -10.423251, 14.270162>,
      < 12.555428, -9.744363, 13.830376>
    }
    triangle {
      < 7.603565, -7.188782, 14.846800>,
      < 12.555428, -9.744363, 13.830376>,
      < 12.411800, -6.757924, 14.212804>
    }
    triangle {
      < 12.411800, -6.757924, 14.212804>,
      < 12.555428, -9.744363, 13.830376>,
      < 15.481684, -8.625530, 13.248377>
    }
    triangle {
      < 12.411800, -6.757924, 14.212804>,
      < 15.481684, -8.625530, 13.248377>,
      < 15.075657, -6.222204, 13.865580>
    }
    triangle {
      < 15.075657, -6.222204, 13.865580>,
      < 15.481684, -8.625530, 13.248377>,
      < 17.762831, -6.967863, 11.940372>
    }
    triangle {
      < 15.075657, -6.222204, 13.865580>,
      < 17.762831, -6.967863, 11.940372>,
      < 17.373505, -5.228647, 12.646860>
    }
    triangle {
      < 17.373505, -5.228647, 12.646860>,
      < 17.762831, -6.967863, 11.940372>,
      < 19.731392, -4.773400, 10.782165>
    }
    triangle {
      < 17.373505, -5.228647, 12.646860>,
      < 19.731392, -4.773400, 10.782165>,
      < 19.400375, -3.691560, 11.374310>
    }
    triangle {
      < 19.400375, -3.691560, 11.374310>,
      < 19.731392, -4.773400, 10.782165>,
      < 22.192654, -1.778881, 8.919837>
    }
    triangle {
      < 19.400375, -3.691560, 11.374310>,
      < 22.192654, -1.778881, 8.919837>,
      < 21.442825, -1.464471, 9.712464>
    }
    triangle {
      < 6.935244, 3.738120, 12.932455>,
      < 6.935244, 4.838787, 12.860477>,
      < 5.533552, 6.171984, 12.384296>
    }
    triangle {
      < 6.935244, 3.738120, 12.932455>,
      < 5.533552, 6.171984, 12.384296>,
      < 4.422665, 4.063653, 12.498808>
    }
    triangle {
      < 15.594139, 6.662837, 11.461397>,
      < 12.972380, 6.662837, 11.684002>,
      < 13.062292, 4.818222, 12.265154>
    }
    triangle {
      < 15.594139, 6.662837, 11.461397>,
      < 13.062292, 4.818222, 12.265154>,
      < 15.252133, 4.364689, 12.089524>
    }
    triangle {
      < 17.344368, 4.240352, 11.840204>,
      < 21.007219, 3.249419, 9.869397>,
      < 17.983040, 6.662837, 11.152293>
    }
    triangle {
      < 7.360672, 6.662837, 12.189878>,
      < 6.935244, 4.838787, 12.860477>,
      < 13.062292, 4.818222, 12.265154>
    }
    triangle {
      < 7.360672, 6.662837, 12.189878>,
      < 13.062292, 4.818222, 12.265154>,
      < 12.972380, 6.662837, 11.684002>
    }
    triangle {
      < 21.007219, 3.249419, 9.869397>,
      < 17.344368, 4.240352, 11.840204>,
      < 17.807384, 1.818409, 11.514686>
    }
    triangle {
      < 21.007219, 3.249419, 9.869397>,
      < 17.807384, 1.818409, 11.514686>,
      < 21.135654, 1.550061, 10.690931>
    }
    triangle {
      < 26.333582, 1.027800, 1.582581>,
      < 26.100426, 1.864140, 3.405339>,
      < 27.217043, 2.526036, 1.605860>
    }
    triangle {
      < 26.333582, 1.027800, 1.582581>,
      < 27.217043, 2.526036, 1.605860>,
      < 27.427397, 1.142091, 0.000000>
    }
    triangle {
      < 27.660387, 1.772689, 0.000000>,
      < 27.427397, 1.142091, 0.000000>,
      < 27.217043, 2.526036, 1.605860>
    }
    triangle {
      < 27.660387, 1.772689, 0.000000>,
      < 27.217043, 2.526036, 1.605860>,
      < 27.104233, 2.554623, 0.000000>
    }
    texture {hull}
  }
  // aft
  union {
    triangle {
      < -34.500881, 12.321301, 2.967943>,
      < -35.115417, 12.681304, 0.000000>,
      < -36.824764, 10.662413, 0.000000>
    }
    triangle {
      < -34.500881, 12.321301, 2.967943>,
      < -36.824764, 10.662413, 0.000000>,
      < -36.337158, 10.302411, 4.204359>
    }
    texture {aft}
  }
  // hull
  union {
    triangle {
      < 22.121262, 1.561577, 11.206270>,
      < 21.934351, 1.656698, 10.462739>,
      < 21.135654, 1.550061, 10.690931>
    }
    triangle {
      < 4.422665, 4.063653, 12.498808>,
      < 2.420745, 3.221424, 12.616695>,
      < 2.420745, 1.569107, 13.480452>
    }
    triangle {
      < 4.422665, 4.063653, 12.498808>,
      < 2.420745, 1.569107, 13.480452>,
      < 6.935244, 3.738120, 12.932455>
    }
    texture {hull}
  }
  // keel
  union {
    triangle {
      < 2.420745, -19.188913, 1.238075>,
      < 2.420745, -19.183977, 0.000000>,
      < 7.603565, -19.183283, 0.000000>
    }
    triangle {
      < 2.420745, -19.188913, 1.238075>,
      < 7.603565, -19.183283, 0.000000>,
      < 7.603565, -19.195683, 1.238075>
    }
    texture {keel}
  }
  // aft
  union {
    triangle {
      < -34.248096, -0.633676, 7.527580>,
      < -32.122761, -0.633678, 7.527228>,
      < -32.122711, -3.604395, 7.527471>
    }
    texture {aft}
  }
  // hull
  union {
    triangle {
      < 15.594139, 6.662837, 11.461397>,
      < 15.252133, 4.364689, 12.089524>,
      < 17.344368, 4.240352, 11.840204>
    }
    triangle {
      < 15.594139, 6.662837, 11.461397>,
      < 17.344368, 4.240352, 11.840204>,
      < 17.983040, 6.662837, 11.152293>
    }
    triangle {
      < 19.376360, 2.471233, 7.869488>,
      < 20.477345, 3.637633, 7.988389>,
      < 22.595039, 2.320421, 6.663224>
    }
    triangle {
      < 19.376360, 2.471233, 7.869488>,
      < 22.595039, 2.320421, 6.663224>,
      < 21.060875, 1.981712, 6.729387>
    }
    triangle {
      < 17.005033, 6.662837, 9.681633>,
      < 20.477345, 3.637633, 7.988389>,
      < 19.376360, 2.471233, 7.869488>
    }
    triangle {
      < 17.005033, 6.662837, 9.681633>,
      < 19.376360, 2.471233, 7.869488>,
      < 16.906103, 5.316122, 8.994491>
    }
    texture {hull}
  }
  // deck
  union {
    triangle {
      < 21.060875, 1.981712, 6.729387>,
      < 23.720354, 0.966969, 4.569222>,
      < 21.363655, 1.139118, 5.173973>
    }
    texture {deck}
  }
  // hull
  union {
    triangle {
      < 7.360672, 6.662837, 12.189878>,
      < 5.533552, 6.171984, 12.384296>,
      < 6.935244, 4.838787, 12.860477>
    }
    texture {hull}
  }
  // rig
  union {
    triangle {
      < -1.898796, -0.093726, 15.846119>,
      < -1.898796, 1.623528, 15.278696>,
      < -4.439586, -0.093726, 15.846119>
    }
    triangle {
      < -1.898796, -0.093726, 15.846119>,
      < -4.439586, -0.093726, 15.846119>,
      < -2.961988, -0.093726, 15.846119>
    }
    triangle {
      < -4.439586, -0.093726, 15.846119>,
      < -1.898796, 1.623528, 15.278696>,
      < -5.437628, 1.630064, 15.278696>
    }
    triangle {
      < -4.439586, -0.093726, 15.846119>,
      < -5.437628, 1.630064, 15.278696>,
      < -6.464514, -0.093726, 15.846119>
    }
    triangle {
      < -2.961988, -0.093726, 15.846119>,
      < -2.961988, -0.093726, 14.123177>,
      < -1.898796, -0.093726, 14.123177>
    }
    triangle {
      < -2.961988, -0.093726, 15.846119>,
      < -1.898796, -0.093726, 14.123177>,
      < -1.898796, -0.093726, 15.846119>
    }
    texture {rig}
  }
  // aft
  union {
    triangle {
      < -32.122818, 3.000965, 2.859260>,
      < -32.122826, 0.590387, 2.859397>,
      < -34.417446, 0.590306, 2.860096>
    }
    triangle {
      < -32.122818, 3.000965, 2.859260>,
      < -34.417446, 0.590306, 2.860096>,
      < -36.700283, 3.003968, 2.860110>
    }
    triangle {
      < -29.440445, -3.531864, 13.420376>,
      < -29.785950, -3.192493, 13.980194>,
      < -30.527657, -3.185613, 13.899263>
    }
    triangle {
      < -29.440445, -3.531864, 13.420376>,
      < -30.527657, -3.185613, 13.899263>,
      < -30.977203, -3.573457, 13.137188>
    }
    triangle {
      < -30.527657, -3.185613, 13.899263>,
      < -32.748100, -0.633628, 13.436047>,
      < -33.089638, -0.885639, 12.303194>
    }
    triangle {
      < -30.527657, -3.185613, 13.899263>,
      < -33.089638, -0.885639, 12.303194>,
      < -30.977203, -3.573457, 13.137188>
    }
    texture {aft}
  }
  // hull
  union {
    triangle {
      < 23.650299, 1.840257, 8.010921>,
      < 21.007219, 3.249419, 9.869397>,
      < 21.934351, 1.656698, 10.462739>
    }
    triangle {
      < 23.650299, 1.840257, 8.010921>,
      < 21.934351, 1.656698, 10.462739>,
      < 24.074268, 1.416270, 8.771894>
    }
    triangle {
      < 25.636337, 1.698787, 6.579282>,
      < 23.650299, 1.840257, 8.010921>,
      < 24.074268, 1.416270, 8.771894>
    }
    triangle {
      < 25.636337, 1.698787, 6.579282>,
      < 24.074268, 1.416270, 8.771894>,
      < 25.925503, 1.399094, 7.091439>
    }
    triangle {
      < 27.706768, 2.015127, 4.583124>,
      < 25.636337, 1.698787, 6.579282>,
      < 25.925503, 1.399094, 7.091439>
    }
    triangle {
      < 27.706768, 2.015127, 4.583124>,
      < 25.925503, 1.399094, 7.091439>,
      < 28.136330, 2.362632, 4.761501>
    }
    triangle {
      < 21.007219, 3.249419, 9.869397>,
      < 21.135654, 1.550061, 10.690931>,
      < 21.934351, 1.656698, 10.462739>
    }
    triangle {
      < -30.036606, 14.678006, 10.958575>,
      < -32.024277, 15.183992, 8.240927>,
      < -33.718784, 15.003299, 10.658934>
    }
    texture {hull}
  }
  // rig
  union {
    triangle {
      < -12.515305, 1.643136, 15.278696>,
      < -9.989845, -0.093726, 15.846119>,
      < -8.018665, -0.093726, 15.846119>
    }
    triangle {
      < -12.515305, 1.643136, 15.278696>,
      < -8.018665, -0.093726, 15.846119>,
      < -8.976471, 1.636600, 15.278696>
    }
    triangle {
      < -8.976471, 1.636600, 15.278696>,
      < -8.018665, -0.093726, 15.846119>,
      < -6.464514, -0.093726, 15.846119>
    }
    triangle {
      < -8.976471, 1.636600, 15.278696>,
      < -6.464514, -0.093726, 15.846119>,
      < -5.437628, 1.630064, 15.278696>
    }
    triangle {
      < 6.935244, 3.738120, 13.693585>,
      < 7.942212, 3.738120, 13.693560>,
      < 6.935244, 4.877757, 13.657490>
    }
    triangle {
      < 6.935244, 4.877757, 13.657490>,
      < 7.942212, 3.738120, 13.693560>,
      < 9.059711, 3.738120, 13.693560>
    }
    triangle {
      < 6.935244, 4.877757, 13.657490>,
      < 9.059711, 3.738120, 13.693560>,
      < 10.851164, 3.738120, 13.693560>
    }
    triangle {
      < 6.935244, 4.877757, 13.657490>,
      < 10.851164, 3.738120, 13.693560>,
      < 11.917332, 3.738120, 13.693560>
    }
    triangle {
      < 6.935244, 4.877757, 13.657490>,
      < 11.917332, 3.738120, 13.693560>,
      < 13.062292, 4.882016, 13.297487>
    }
    triangle {
      < -22.943232, 6.953562, 13.019781>,
      < -21.564625, 5.420457, 13.195373>,
      < -20.301380, 5.420457, 13.195373>
    }
    triangle {
      < -22.943232, 6.953562, 13.019781>,
      < -20.301380, 5.420457, 13.195373>,
      < -18.602346, 5.420457, 13.195373>
    }
    triangle {
      < -22.943232, 6.953562, 13.019781>,
      < -18.602346, 5.420457, 13.195373>,
      < -17.327192, 5.420457, 13.195373>
    }
    triangle {
      < -22.943232, 6.953562, 13.019781>,
      < -17.327192, 5.420457, 13.195373>,
      < -16.144386, 6.964816, 13.345592>
    }
    triangle {
      < -22.943232, 5.420457, 13.195373>,
      < -21.564625, 5.420457, 13.195373>,
      < -22.943232, 6.953562, 13.019781>
    }
    texture {rig}
  }
  // mast1
  union {
    triangle {
      < 15.260481, 3.703158, -0.742476>,
      < 15.260481, 5.931142, -0.742476>,
      < 15.260481, 5.931142, 0.742476>
    }
    triangle {
      < 15.260481, 3.703158, -0.742476>,
      < 15.260481, 5.931142, 0.742476>,
      < 15.260481, 3.703158, 0.742476>
    }
    triangle {
      < 15.260481, 5.931142, -0.742476>,
      < 15.967709, 5.931142, -1.035419>,
      < 15.967709, 5.931142, 1.035419>
    }
    triangle {
      < 15.260481, 5.931142, -0.742476>,
      < 15.967709, 5.931142, 1.035419>,
      < 15.260481, 5.931142, 0.742476>
    }
    triangle {
      < 15.967709, 5.931142, -1.035419>,
      < 15.967709, 6.436721, -1.035419>,
      < 15.967709, 6.436721, 1.035419>
    }
    triangle {
      < 15.967709, 5.931142, -1.035419>,
      < 15.967709, 6.436721, 1.035419>,
      < 15.967709, 5.931142, 1.035419>
    }
    triangle {
      < 15.967709, 6.436721, -1.035419>,
      < 14.481710, 6.436721, -0.419898>,
      < 14.481710, 6.436721, 0.419898>
    }
    triangle {
      < 15.967709, 6.436721, -1.035419>,
      < 14.481710, 6.436721, 0.419898>,
      < 15.967709, 6.436721, 1.035419>
    }
    triangle {
      < 14.481710, 6.436721, -0.419898>,
      < 14.296546, 24.624481, -0.343200>,
      < 14.296546, 24.624481, 0.343200>
    }
    triangle {
      < 14.481710, 6.436721, -0.419898>,
      < 14.296546, 24.624481, 0.343200>,
      < 14.481710, 6.436721, 0.419898>
    }
    triangle {
      < 14.296546, 24.624481, -0.343200>,
      < 15.206884, 25.576418, -0.720276>,
      < 15.206884, 25.576418, 0.720276>
    }
    triangle {
      < 14.296546, 24.624481, -0.343200>,
      < 15.206884, 25.576418, 0.720276>,
      < 14.296546, 24.624481, 0.343200>
    }
    triangle {
      < 15.206884, 25.576418, -0.720276>,
      < 15.392050, 27.318907, -0.796974>,
      < 15.392049, 27.318907, 0.796974>
    }
    triangle {
      < 15.206884, 25.576418, -0.720276>,
      < 15.392049, 27.318907, 0.796974>,
      < 15.206884, 25.576418, 0.720276>
    }
    triangle {
      < 15.392050, 27.318907, -0.796974>,
      < 15.722405, 27.485916, -0.933812>,
      < 15.722405, 27.485916, 0.933812>
    }
    triangle {
      < 15.392050, 27.318907, -0.796974>,
      < 15.722405, 27.485916, 0.933812>,
      < 15.392049, 27.318907, 0.796974>
    }
    triangle {
      < 15.722405, 27.485916, -0.933812>,
      < 15.722405, 27.889114, -0.933812>,
      < 15.722405, 27.889114, 0.933812>
    }
    triangle {
      < 15.722405, 27.485916, -0.933812>,
      < 15.722405, 27.889114, 0.933812>,
      < 15.722405, 27.485916, 0.933812>
    }
    triangle {
      < 15.722405, 27.889114, -0.933812>,
      < 14.918887, 27.722105, -0.600984>,
      < 14.918887, 27.722105, 0.600984>
    }
    triangle {
      < 15.722405, 27.889114, -0.933812>,
      < 14.918887, 27.722105, 0.600984>,
      < 15.722405, 27.889114, 0.933812>
    }
    triangle {
      < 14.918887, 27.722105, -0.600984>,
      < 14.733723, 26.219193, -0.524286>,
      < 14.733723, 26.219193, 0.524286>
    }
    triangle {
      < 14.918887, 27.722105, -0.600984>,
      < 14.733723, 26.219193, 0.524286>,
      < 14.918887, 27.722105, 0.600984>
    }
    triangle {
      < 14.733723, 26.219193, -0.524286>,
      < 14.093153, 26.252592, -0.258952>,
      < 14.093153, 26.252592, 0.258952>
    }
    triangle {
      < 14.733723, 26.219193, -0.524286>,
      < 14.093153, 26.252592, 0.258952>,
      < 14.733723, 26.219193, 0.524286>
    }
    triangle {
      < 14.093153, 26.252592, -0.258952>,
      < 13.750921, 46.881989, -0.117197>,
      < 13.750921, 46.881989, 0.117197>
    }
    triangle {
      < 14.093153, 26.252592, -0.258952>,
      < 13.750921, 46.881989, 0.117197>,
      < 14.093153, 26.252592, 0.258952>
    }
    triangle {
      < 11.675488, 3.703158, 0.742476>,
      < 11.675488, 5.931142, 0.742476>,
      < 11.675488, 5.931142, -0.742476>
    }
    triangle {
      < 11.675488, 3.703158, 0.742476>,
      < 11.675488, 5.931142, -0.742476>,
      < 11.675488, 3.703158, -0.742476>
    }
    triangle {
      < 11.675488, 5.931142, 0.742476>,
      < 10.968261, 5.931142, 1.035419>,
      < 10.968261, 5.931142, -1.035419>
    }
    triangle {
      < 11.675488, 5.931142, 0.742476>,
      < 10.968261, 5.931142, -1.035419>,
      < 11.675488, 5.931142, -0.742476>
    }
    triangle {
      < 10.968261, 5.931142, 1.035419>,
      < 10.968261, 6.436721, 1.035419>,
      < 10.968261, 6.436721, -1.035419>
    }
    triangle {
      < 10.968261, 5.931142, 1.035419>,
      < 10.968261, 6.436721, -1.035419>,
      < 10.968261, 5.931142, -1.035419>
    }
    triangle {
      < 10.968261, 6.436721, 1.035419>,
      < 12.454259, 6.436721, 0.419898>,
      < 12.454259, 6.436721, -0.419898>
    }
    triangle {
      < 10.968261, 6.436721, 1.035419>,
      < 12.454259, 6.436721, -0.419898>,
      < 10.968261, 6.436721, -1.035419>
    }
    triangle {
      < 12.454259, 6.436721, 0.419898>,
      < 12.639424, 24.624481, 0.343200>,
      < 12.639424, 24.624481, -0.343200>
    }
    triangle {
      < 12.454259, 6.436721, 0.419898>,
      < 12.639424, 24.624481, -0.343200>,
      < 12.454259, 6.436721, -0.419898>
    }
    triangle {
      < 12.639424, 24.624481, 0.343200>,
      < 11.729083, 25.576418, 0.720276>,
      < 11.729083, 25.576418, -0.720276>
    }
    triangle {
      < 12.639424, 24.624481, 0.343200>,
      < 11.729083, 25.576418, -0.720276>,
      < 12.639424, 24.624481, -0.343200>
    }
    triangle {
      < 11.729083, 25.576418, 0.720276>,
      < 11.543920, 27.318907, 0.796974>,
      < 11.543920, 27.318907, -0.796974>
    }
    triangle {
      < 11.729083, 25.576418, 0.720276>,
      < 11.543920, 27.318907, -0.796974>,
      < 11.729083, 25.576418, -0.720276>
    }
    triangle {
      < 11.543920, 27.318907, 0.796974>,
      < 11.213565, 27.485916, 0.933812>,
      < 11.213565, 27.485916, -0.933812>
    }
    triangle {
      < 11.543920, 27.318907, 0.796974>,
      < 11.213565, 27.485916, -0.933812>,
      < 11.543920, 27.318907, -0.796974>
    }
    triangle {
      < 11.213565, 27.485916, 0.933812>,
      < 11.213565, 27.889114, 0.933812>,
      < 11.213565, 27.889114, -0.933812>
    }
    triangle {
      < 11.213565, 27.485916, 0.933812>,
      < 11.213565, 27.889114, -0.933812>,
      < 11.213565, 27.485916, -0.933812>
    }
    triangle {
      < 11.213565, 27.889114, 0.933812>,
      < 12.017083, 27.722105, 0.600984>,
      < 12.017083, 27.722105, -0.600984>
    }
    triangle {
      < 11.213565, 27.889114, 0.933812>,
      < 12.017083, 27.722105, -0.600984>,
      < 11.213565, 27.889114, -0.933812>
    }
    triangle {
      < 12.017083, 27.722105, 0.600984>,
      < 12.202246, 26.219193, 0.524286>,
      < 12.202246, 26.219193, -0.524286>
    }
    triangle {
      < 12.017083, 27.722105, 0.600984>,
      < 12.202246, 26.219193, -0.524286>,
      < 12.017083, 27.722105, -0.600984>
    }
    triangle {
      < 12.202246, 26.219193, 0.524286>,
      < 12.842817, 26.252592, 0.258952>,
      < 12.842817, 26.252592, -0.258952>
    }
    triangle {
      < 12.202246, 26.219193, 0.524286>,
      < 12.842817, 26.252592, -0.258952>,
      < 12.202246, 26.219193, -0.524286>
    }
    triangle {
      < 12.842817, 26.252592, 0.258952>,
      < 13.185047, 46.881989, 0.117197>,
      < 13.185047, 46.881989, -0.117197>
    }
    triangle {
      < 12.842817, 26.252592, 0.258952>,
      < 13.185047, 46.881989, -0.117197>,
      < 12.842817, 26.252592, -0.258952>
    }
    triangle {
      < 12.725510, 3.703158, 1.792495>,
      < 12.725510, 5.931142, 1.792495>,
      < 11.675488, 5.931142, 0.742476>
    }
    triangle {
      < 12.725510, 3.703158, 1.792495>,
      < 11.675488, 5.931142, 0.742476>,
      < 11.675488, 3.703158, 0.742476>
    }
    triangle {
      < 12.725510, 5.931142, 1.792495>,
      < 12.432567, 5.931142, 2.499723>,
      < 10.968261, 5.931142, 1.035419>
    }
    triangle {
      < 12.725510, 5.931142, 1.792495>,
      < 10.968261, 5.931142, 1.035419>,
      < 11.675488, 5.931142, 0.742476>
    }
    triangle {
      < 12.432567, 5.931142, 2.499723>,
      < 12.432567, 6.436721, 2.499723>,
      < 10.968261, 6.436721, 1.035419>
    }
    triangle {
      < 12.432567, 5.931142, 2.499723>,
      < 10.968261, 6.436721, 1.035419>,
      < 10.968261, 5.931142, 1.035419>
    }
    triangle {
      < 12.432567, 6.436721, 2.499723>,
      < 13.048086, 6.436721, 1.013724>,
      < 12.454259, 6.436721, 0.419898>
    }
    triangle {
      < 12.432567, 6.436721, 2.499723>,
      < 12.454259, 6.436721, 0.419898>,
      < 10.968261, 6.436721, 1.035419>
    }
    triangle {
      < 13.048086, 6.436721, 1.013724>,
      < 13.124784, 24.624481, 0.828560>,
      < 12.639424, 24.624481, 0.343200>
    }
    triangle {
      < 13.048086, 6.436721, 1.013724>,
      < 12.639424, 24.624481, 0.343200>,
      < 12.454259, 6.436721, 0.419898>
    }
    triangle {
      < 13.124784, 24.624481, 0.828560>,
      < 12.936247, 25.100452, 1.283730>,
      < 12.747708, 25.576418, 1.738900>
    }
    triangle {
      < 13.124784, 24.624481, 0.828560>,
      < 12.747708, 25.576418, 1.738900>,
      < 11.729083, 25.576418, 0.720276>
    }
    triangle {
      < 13.124784, 24.624481, 0.828560>,
      < 11.729083, 25.576418, 0.720276>,
      < 12.639424, 24.624481, 0.343200>
    }
    triangle {
      < 12.747708, 25.576418, 1.738900>,
      < 12.671010, 27.318907, 1.924065>,
      < 11.543920, 27.318907, 0.796974>
    }
    triangle {
      < 12.747708, 25.576418, 1.738900>,
      < 11.543920, 27.318907, 0.796974>,
      < 11.729083, 25.576418, 0.720276>
    }
    triangle {
      < 12.671010, 27.318907, 1.924065>,
      < 12.534173, 27.485916, 2.254421>,
      < 11.213565, 27.485916, 0.933812>
    }
    triangle {
      < 12.671010, 27.318907, 1.924065>,
      < 11.213565, 27.485916, 0.933812>,
      < 11.543920, 27.318907, 0.796974>
    }
    triangle {
      < 12.534173, 27.485916, 2.254421>,
      < 12.534173, 27.889114, 2.254421>,
      < 11.213565, 27.889114, 0.933812>
    }
    triangle {
      < 12.534173, 27.485916, 2.254421>,
      < 11.213565, 27.889114, 0.933812>,
      < 11.213565, 27.485916, 0.933812>
    }
    triangle {
      < 12.534173, 27.889114, 2.254421>,
      < 12.867002, 27.722105, 1.450902>,
      < 12.017083, 27.722105, 0.600984>
    }
    triangle {
      < 12.534173, 27.889114, 2.254421>,
      < 12.017083, 27.722105, 0.600984>,
      < 11.213565, 27.889114, 0.933812>
    }
    triangle {
      < 12.867002, 27.722105, 1.450902>,
      < 12.943699, 26.219193, 1.265738>,
      < 12.202246, 26.219193, 0.524286>
    }
    triangle {
      < 12.867002, 27.722105, 1.450902>,
      < 12.202246, 26.219193, 0.524286>,
      < 12.017083, 27.722105, 0.600984>
    }
    triangle {
      < 12.943699, 26.219193, 1.265738>,
      < 13.209031, 26.252592, 0.625167>,
      < 12.842817, 26.252592, 0.258952>
    }
    triangle {
      < 12.943699, 26.219193, 1.265738>,
      < 12.842817, 26.252592, 0.258952>,
      < 12.202246, 26.219193, 0.524286>
    }
    triangle {
      < 13.209031, 26.252592, 0.625167>,
      < 13.350788, 46.881989, 0.282936>,
      < 13.185047, 46.881989, 0.117197>
    }
    triangle {
      < 13.209031, 26.252592, 0.625167>,
      < 13.185047, 46.881989, 0.117197>,
      < 12.842817, 26.252592, 0.258952>
    }
    triangle {
      < 14.210463, 3.703158, 1.792497>,
      < 14.210463, 5.931142, 1.792497>,
      < 12.725510, 5.931142, 1.792495>
    }
    triangle {
      < 14.210463, 3.703158, 1.792497>,
      < 12.725510, 5.931142, 1.792495>,
      < 12.725510, 3.703158, 1.792495>
    }
    triangle {
      < 14.210463, 5.931142, 1.792497>,
      < 14.503405, 5.931142, 2.499723>,
      < 12.432567, 5.931142, 2.499723>
    }
    triangle {
      < 14.210463, 5.931142, 1.792497>,
      < 12.432567, 5.931142, 2.499723>,
      < 12.725510, 5.931142, 1.792495>
    }
    triangle {
      < 14.503405, 5.931142, 2.499723>,
      < 14.503405, 6.436721, 2.499723>,
      < 12.432567, 6.436721, 2.499723>
    }
    triangle {
      < 14.503405, 5.931142, 2.499723>,
      < 12.432567, 6.436721, 2.499723>,
      < 12.432567, 5.931142, 2.499723>
    }
    triangle {
      < 14.503405, 6.436721, 2.499723>,
      < 13.887884, 6.436721, 1.013724>,
      < 13.048086, 6.436721, 1.013724>
    }
    triangle {
      < 14.503405, 6.436721, 2.499723>,
      < 13.048086, 6.436721, 1.013724>,
      < 12.432567, 6.436721, 2.499723>
    }
    triangle {
      < 13.887884, 6.436721, 1.013724>,
      < 13.811186, 24.624481, 0.828560>,
      < 13.467985, 24.624481, 0.828560>
    }
    triangle {
      < 13.887884, 6.436721, 1.013724>,
      < 13.467985, 24.624481, 0.828560>,
      < 13.124784, 24.624481, 0.828560>
    }
    triangle {
      < 13.887884, 6.436721, 1.013724>,
      < 13.124784, 24.624481, 0.828560>,
      < 13.048086, 6.436721, 1.013724>
    }
    triangle {
      < 13.999723, 25.100452, 1.283730>,
      < 14.188262, 25.576418, 1.738900>,
      < 12.747708, 25.576418, 1.738900>
    }
    triangle {
      < 13.999723, 25.100452, 1.283730>,
      < 12.747708, 25.576418, 1.738900>,
      < 12.936247, 25.100452, 1.283730>
    }
    triangle {
      < 13.999723, 25.100452, 1.283730>,
      < 12.936247, 25.100452, 1.283730>,
      < 13.467985, 25.100452, 1.283730>
    }
    triangle {
      < 14.188262, 25.576418, 1.738900>,
      < 14.264960, 27.318907, 1.924065>,
      < 12.671010, 27.318907, 1.924065>
    }
    triangle {
      < 14.188262, 25.576418, 1.738900>,
      < 12.671010, 27.318907, 1.924065>,
      < 12.747708, 25.576418, 1.738900>
    }
    triangle {
      < 14.264960, 27.318907, 1.924065>,
      < 14.401797, 27.485916, 2.254421>,
      < 12.534173, 27.485916, 2.254421>
    }
    triangle {
      < 14.264960, 27.318907, 1.924065>,
      < 12.534173, 27.485916, 2.254421>,
      < 12.671010, 27.318907, 1.924065>
    }
    triangle {
      < 14.401797, 27.485916, 2.254421>,
      < 14.401797, 27.889114, 2.254421>,
      < 12.534173, 27.889114, 2.254421>
    }
    triangle {
      < 14.401797, 27.485916, 2.254421>,
      < 12.534173, 27.889114, 2.254421>,
      < 12.534173, 27.485916, 2.254421>
    }
    triangle {
      < 14.401797, 27.889114, 2.254421>,
      < 14.068970, 27.722105, 1.450902>,
      < 12.867002, 27.722105, 1.450902>
    }
    triangle {
      < 14.401797, 27.889114, 2.254421>,
      < 12.867002, 27.722105, 1.450902>,
      < 12.534173, 27.889114, 2.254421>
    }
    triangle {
      < 14.068970, 27.722105, 1.450902>,
      < 13.992271, 26.219193, 1.265738>,
      < 12.943699, 26.219193, 1.265738>
    }
    triangle {
      < 14.068970, 27.722105, 1.450902>,
      < 12.943699, 26.219193, 1.265738>,
      < 12.867002, 27.722105, 1.450902>
    }
    triangle {
      < 13.992271, 26.219193, 1.265738>,
      < 13.726938, 26.252592, 0.625167>,
      < 13.209031, 26.252592, 0.625167>
    }
    triangle {
      < 13.992271, 26.219193, 1.265738>,
      < 13.209031, 26.252592, 0.625167>,
      < 12.943699, 26.219193, 1.265738>
    }
    triangle {
      < 13.726938, 26.252592, 0.625167>,
      < 13.585180, 46.881989, 0.282936>,
      < 13.350788, 46.881989, 0.282936>
    }
    triangle {
      < 13.726938, 26.252592, 0.625167>,
      < 13.350788, 46.881989, 0.282936>,
      < 13.209031, 26.252592, 0.625167>
    }
    triangle {
      < 15.260481, 3.703158, 0.742476>,
      < 15.260481, 5.931142, 0.742476>,
      < 14.210463, 5.931142, 1.792497>
    }
    triangle {
      < 15.260481, 3.703158, 0.742476>,
      < 14.210463, 5.931142, 1.792497>,
      < 14.210463, 3.703158, 1.792497>
    }
    triangle {
      < 15.260481, 5.931142, 0.742476>,
      < 15.967709, 5.931142, 1.035419>,
      < 14.503405, 5.931142, 2.499723>
    }
    triangle {
      < 15.260481, 5.931142, 0.742476>,
      < 14.503405, 5.931142, 2.499723>,
      < 14.210463, 5.931142, 1.792497>
    }
    triangle {
      < 15.967709, 5.931142, 1.035419>,
      < 15.967709, 6.436721, 1.035419>,
      < 14.503405, 6.436721, 2.499723>
    }
    triangle {
      < 15.967709, 5.931142, 1.035419>,
      < 14.503405, 6.436721, 2.499723>,
      < 14.503405, 5.931142, 2.499723>
    }
    triangle {
      < 15.967709, 6.436721, 1.035419>,
      < 14.481710, 6.436721, 0.419898>,
      < 13.887884, 6.436721, 1.013724>
    }
    triangle {
      < 15.967709, 6.436721, 1.035419>,
      < 13.887884, 6.436721, 1.013724>,
      < 14.503405, 6.436721, 2.499723>
    }
    triangle {
      < 14.481710, 6.436721, 0.419898>,
      < 14.296546, 24.624481, 0.343200>,
      < 13.811186, 24.624481, 0.828560>
    }
    triangle {
      < 14.481710, 6.436721, 0.419898>,
      < 13.811186, 24.624481, 0.828560>,
      < 13.887884, 6.436721, 1.013724>
    }
    triangle {
      < 14.296546, 24.624481, 0.343200>,
      < 15.206884, 25.576418, 0.720276>,
      < 14.188262, 25.576418, 1.738900>
    }
    triangle {
      < 14.296546, 24.624481, 0.343200>,
      < 14.188262, 25.576418, 1.738900>,
      < 13.999723, 25.100452, 1.283730>
    }
    triangle {
      < 14.296546, 24.624481, 0.343200>,
      < 13.999723, 25.100452, 1.283730>,
      < 13.811186, 24.624481, 0.828560>
    }
    triangle {
      < 15.206884, 25.576418, 0.720276>,
      < 15.392049, 27.318907, 0.796974>,
      < 14.264960, 27.318907, 1.924065>
    }
    triangle {
      < 15.206884, 25.576418, 0.720276>,
      < 14.264960, 27.318907, 1.924065>,
      < 14.188262, 25.576418, 1.738900>
    }
    triangle {
      < 15.392049, 27.318907, 0.796974>,
      < 15.722405, 27.485916, 0.933812>,
      < 14.401797, 27.485916, 2.254421>
    }
    triangle {
      < 15.392049, 27.318907, 0.796974>,
      < 14.401797, 27.485916, 2.254421>,
      < 14.264960, 27.318907, 1.924065>
    }
    triangle {
      < 15.722405, 27.485916, 0.933812>,
      < 15.722405, 27.889114, 0.933812>,
      < 14.401797, 27.889114, 2.254421>
    }
    triangle {
      < 15.722405, 27.485916, 0.933812>,
      < 14.401797, 27.889114, 2.254421>,
      < 14.401797, 27.485916, 2.254421>
    }
    triangle {
      < 15.722405, 27.889114, 0.933812>,
      < 14.918887, 27.722105, 0.600984>,
      < 14.068970, 27.722105, 1.450902>
    }
    triangle {
      < 15.722405, 27.889114, 0.933812>,
      < 14.068970, 27.722105, 1.450902>,
      < 14.401797, 27.889114, 2.254421>
    }
    triangle {
      < 14.918887, 27.722105, 0.600984>,
      < 14.733723, 26.219193, 0.524286>,
      < 13.992271, 26.219193, 1.265738>
    }
    triangle {
      < 14.918887, 27.722105, 0.600984>,
      < 13.992271, 26.219193, 1.265738>,
      < 14.068970, 27.722105, 1.450902>
    }
    triangle {
      < 14.733723, 26.219193, 0.524286>,
      < 14.093153, 26.252592, 0.258952>,
      < 13.726938, 26.252592, 0.625167>
    }
    triangle {
      < 14.733723, 26.219193, 0.524286>,
      < 13.726938, 26.252592, 0.625167>,
      < 13.992271, 26.219193, 1.265738>
    }
    triangle {
      < 14.093153, 26.252592, 0.258952>,
      < 13.750921, 46.881989, 0.117197>,
      < 13.585180, 46.881989, 0.282936>
    }
    triangle {
      < 14.093153, 26.252592, 0.258952>,
      < 13.585180, 46.881989, 0.282936>,
      < 13.726938, 26.252592, 0.625167>
    }
    triangle {
      < 12.725510, 3.703158, 1.792495>,
      < 11.675488, 3.703158, 0.742476>,
      < 11.675488, 3.703158, -0.742476>
    }
    triangle {
      < 12.725510, 3.703158, 1.792495>,
      < 11.675488, 3.703158, -0.742476>,
      < 12.725510, 3.703158, -1.792497>
    }
    triangle {
      < 12.725510, 3.703158, 1.792495>,
      < 12.725510, 3.703158, -1.792497>,
      < 14.210463, 3.703158, -1.792495>
    }
    triangle {
      < 12.725510, 3.703158, 1.792495>,
      < 14.210463, 3.703158, -1.792495>,
      < 15.260481, 3.703158, -0.742476>
    }
    triangle {
      < 12.725510, 3.703158, 1.792495>,
      < 15.260481, 3.703158, -0.742476>,
      < 15.260481, 3.703158, 0.742476>
    }
    triangle {
      < 12.725510, 3.703158, 1.792495>,
      < 15.260481, 3.703158, 0.742476>,
      < 14.210463, 3.703158, 1.792497>
    }
    triangle {
      < 13.585180, 46.881989, -0.282936>,
      < 13.350788, 46.881989, -0.282936>,
      < 13.185047, 46.881989, -0.117197>
    }
    triangle {
      < 13.585180, 46.881989, -0.282936>,
      < 13.185047, 46.881989, -0.117197>,
      < 13.185047, 46.881989, 0.117197>
    }
    triangle {
      < 13.585180, 46.881989, -0.282936>,
      < 13.185047, 46.881989, 0.117197>,
      < 13.350788, 46.881989, 0.282936>
    }
    triangle {
      < 13.585180, 46.881989, -0.282936>,
      < 13.350788, 46.881989, 0.282936>,
      < 13.585180, 46.881989, 0.282936>
    }
    triangle {
      < 13.585180, 46.881989, -0.282936>,
      < 13.585180, 46.881989, 0.282936>,
      < 13.750921, 46.881989, 0.117197>
    }
    triangle {
      < 13.585180, 46.881989, -0.282936>,
      < 13.750921, 46.881989, 0.117197>,
      < 13.750921, 46.881989, -0.117197>
    }
    triangle {
      < 8.292243, 4.554726, 13.105604>,
      < 8.480783, 4.078758, 12.650431>,
      < 8.823982, 4.078758, 12.650431>
    }
    triangle {
      < 8.292243, 4.554726, 13.105604>,
      < 8.823982, 4.078758, 12.650431>,
      < 8.823982, 4.554726, 13.105604>
    }
    triangle {
      < 11.451985, 4.078778, 12.650445>,
      < 11.795187, 4.078778, 12.650445>,
      < 11.983724, 4.554746, 13.105617>
    }
    triangle {
      < 11.451985, 4.078778, 12.650445>,
      < 11.983724, 4.554746, 13.105617>,
      < 11.451985, 4.554746, 13.105617>
    }
    triangle {
      < 11.795187, 4.078778, 12.650445>,
      < 11.451985, 4.078778, 12.650445>,
      < 13.467985, 24.624481, 0.828560>
    }
    triangle {
      < 11.795187, 4.078778, 12.650445>,
      < 13.467985, 24.624481, 0.828560>,
      < 13.811186, 24.624481, 0.828560>
    }
    triangle {
      < 11.451985, 4.078778, 12.650445>,
      < 11.451985, 4.554746, 13.105617>,
      < 13.467985, 25.100452, 1.283730>
    }
    triangle {
      < 11.451985, 4.078778, 12.650445>,
      < 13.467985, 25.100452, 1.283730>,
      < 13.467985, 24.624481, 0.828560>
    }
    triangle {
      < 11.451985, 4.554746, 13.105617>,
      < 11.983724, 4.554746, 13.105617>,
      < 13.999723, 25.100452, 1.283730>
    }
    triangle {
      < 11.451985, 4.554746, 13.105617>,
      < 13.999723, 25.100452, 1.283730>,
      < 13.467985, 25.100452, 1.283730>
    }
    triangle {
      < 11.983724, 4.554746, 13.105617>,
      < 11.795187, 4.078778, 12.650445>,
      < 13.811186, 24.624481, 0.828560>
    }
    triangle {
      < 11.983724, 4.554746, 13.105617>,
      < 13.811186, 24.624481, 0.828560>,
      < 13.999723, 25.100452, 1.283730>
    }
    triangle {
      < 8.480783, 4.078758, 12.650431>,
      < 8.292243, 4.554726, 13.105604>,
      < 12.936247, 25.100452, 1.283730>
    }
    triangle {
      < 8.480783, 4.078758, 12.650431>,
      < 12.936247, 25.100452, 1.283730>,
      < 13.124784, 24.624481, 0.828560>
    }
    triangle {
      < 8.292243, 4.554726, 13.105604>,
      < 8.823982, 4.554726, 13.105604>,
      < 13.467985, 25.100452, 1.283730>
    }
    triangle {
      < 8.292243, 4.554726, 13.105604>,
      < 13.467985, 25.100452, 1.283730>,
      < 12.936247, 25.100452, 1.283730>
    }
    triangle {
      < 8.823982, 4.554726, 13.105604>,
      < 8.823982, 4.078758, 12.650431>,
      < 13.467985, 24.624481, 0.828560>
    }
    triangle {
      < 8.823982, 4.554726, 13.105604>,
      < 13.467985, 24.624481, 0.828560>,
      < 13.467985, 25.100452, 1.283730>
    }
    triangle {
      < 8.823982, 4.078758, 12.650431>,
      < 8.480783, 4.078758, 12.650431>,
      < 13.124784, 24.624481, 0.828560>
    }
    triangle {
      < 8.823982, 4.078758, 12.650431>,
      < 13.124784, 24.624481, 0.828560>,
      < 13.467985, 24.624481, 0.828560>
    }
    texture {mast1}
  }
  // mast3
  union {
    triangle {
      < -16.707516, 6.115158, -0.742476>,
      < -16.707516, 8.343143, -0.742476>,
      < -16.707516, 8.343143, 0.742476>
    }
    triangle {
      < -16.707516, 6.115158, -0.742476>,
      < -16.707516, 8.343143, 0.742476>,
      < -16.707516, 6.115158, 0.742476>
    }
    triangle {
      < -16.707516, 8.343143, -0.742476>,
      < -16.000288, 8.343143, -1.035419>,
      < -16.000288, 8.343143, 1.035419>
    }
    triangle {
      < -16.707516, 8.343143, -0.742476>,
      < -16.000288, 8.343143, 1.035419>,
      < -16.707516, 8.343143, 0.742476>
    }
    triangle {
      < -16.000288, 8.343143, -1.035419>,
      < -16.000288, 8.848721, -1.035419>,
      < -16.000288, 8.848721, 1.035419>
    }
    triangle {
      < -16.000288, 8.343143, -1.035419>,
      < -16.000288, 8.848721, 1.035419>,
      < -16.000288, 8.343143, 1.035419>
    }
    triangle {
      < -16.000288, 8.848721, -1.035419>,
      < -17.486286, 8.848721, -0.419898>,
      < -17.486286, 8.848721, 0.419898>
    }
    triangle {
      < -16.000288, 8.848721, -1.035419>,
      < -17.486286, 8.848721, 0.419898>,
      < -16.000288, 8.848721, 1.035419>
    }
    triangle {
      < -17.486286, 8.848721, -0.419898>,
      < -17.671450, 27.036480, -0.343200>,
      < -17.671450, 27.036480, 0.343200>
    }
    triangle {
      < -17.486286, 8.848721, -0.419898>,
      < -17.671450, 27.036480, 0.343200>,
      < -17.486286, 8.848721, 0.419898>
    }
    triangle {
      < -17.671450, 27.036480, -0.343200>,
      < -16.761112, 27.988419, -0.720276>,
      < -16.761112, 27.988419, 0.720276>
    }
    triangle {
      < -17.671450, 27.036480, -0.343200>,
      < -16.761112, 27.988419, 0.720276>,
      < -17.671450, 27.036480, 0.343200>
    }
    triangle {
      < -16.761112, 27.988419, -0.720276>,
      < -16.575947, 29.730904, -0.796974>,
      < -16.575949, 29.730904, 0.796974>
    }
    triangle {
      < -16.761112, 27.988419, -0.720276>,
      < -16.575949, 29.730904, 0.796974>,
      < -16.761112, 27.988419, 0.720276>
    }
    triangle {
      < -16.575947, 29.730904, -0.796974>,
      < -16.245590, 29.897915, -0.933812>,
      < -16.245590, 29.897915, 0.933812>
    }
    triangle {
      < -16.575947, 29.730904, -0.796974>,
      < -16.245590, 29.897915, 0.933812>,
      < -16.575949, 29.730904, 0.796974>
    }
    triangle {
      < -16.245590, 29.897915, -0.933812>,
      < -16.245590, 30.301113, -0.933812>,
      < -16.245590, 30.301113, 0.933812>
    }
    triangle {
      < -16.245590, 29.897915, -0.933812>,
      < -16.245590, 30.301113, 0.933812>,
      < -16.245590, 29.897915, 0.933812>
    }
    triangle {
      < -16.245590, 30.301113, -0.933812>,
      < -17.049109, 30.134102, -0.600984>,
      < -17.049109, 30.134102, 0.600984>
    }
    triangle {
      < -16.245590, 30.301113, -0.933812>,
      < -17.049109, 30.134102, 0.600984>,
      < -16.245590, 30.301113, 0.933812>
    }
    triangle {
      < -17.049109, 30.134102, -0.600984>,
      < -17.234274, 28.631191, -0.524286>,
      < -17.234274, 28.631191, 0.524286>
    }
    triangle {
      < -17.049109, 30.134102, -0.600984>,
      < -17.234274, 28.631191, 0.524286>,
      < -17.049109, 30.134102, 0.600984>
    }
    triangle {
      < -17.234274, 28.631191, -0.524286>,
      < -17.874844, 28.664593, -0.258952>,
      < -17.874844, 28.664593, 0.258952>
    }
    triangle {
      < -17.234274, 28.631191, -0.524286>,
      < -17.874844, 28.664593, 0.258952>,
      < -17.234274, 28.631191, 0.524286>
    }
    triangle {
      < -17.874844, 28.664593, -0.258952>,
      < -18.217075, 49.293991, -0.117197>,
      < -18.217075, 49.293991, 0.117197>
    }
    triangle {
      < -17.874844, 28.664593, -0.258952>,
      < -18.217075, 49.293991, 0.117197>,
      < -17.874844, 28.664593, 0.258952>
    }
    triangle {
      < -20.292509, 6.115158, 0.742476>,
      < -20.292509, 8.343143, 0.742476>,
      < -20.292507, 8.343143, -0.742476>
    }
    triangle {
      < -20.292509, 6.115158, 0.742476>,
      < -20.292507, 8.343143, -0.742476>,
      < -20.292507, 6.115158, -0.742476>
    }
    triangle {
      < -20.292509, 8.343143, 0.742476>,
      < -20.999735, 8.343143, 1.035419>,
      < -20.999735, 8.343143, -1.035419>
    }
    triangle {
      < -20.292509, 8.343143, 0.742476>,
      < -20.999735, 8.343143, -1.035419>,
      < -20.292507, 8.343143, -0.742476>
    }
    triangle {
      < -20.999735, 8.343143, 1.035419>,
      < -20.999735, 8.848721, 1.035419>,
      < -20.999735, 8.848721, -1.035419>
    }
    triangle {
      < -20.999735, 8.343143, 1.035419>,
      < -20.999735, 8.848721, -1.035419>,
      < -20.999735, 8.343143, -1.035419>
    }
    triangle {
      < -20.999735, 8.848721, 1.035419>,
      < -19.513737, 8.848721, 0.419898>,
      < -19.513737, 8.848721, -0.419898>
    }
    triangle {
      < -20.999735, 8.848721, 1.035419>,
      < -19.513737, 8.848721, -0.419898>,
      < -20.999735, 8.848721, -1.035419>
    }
    triangle {
      < -19.513737, 8.848721, 0.419898>,
      < -19.328571, 27.036480, 0.343200>,
      < -19.328571, 27.036480, -0.343200>
    }
    triangle {
      < -19.513737, 8.848721, 0.419898>,
      < -19.328571, 27.036480, -0.343200>,
      < -19.513737, 8.848721, -0.419898>
    }
    triangle {
      < -19.328571, 27.036480, 0.343200>,
      < -20.238913, 27.988419, 0.720276>,
      < -20.238913, 27.988419, -0.720276>
    }
    triangle {
      < -19.328571, 27.036480, 0.343200>,
      < -20.238913, 27.988419, -0.720276>,
      < -19.328571, 27.036480, -0.343200>
    }
    triangle {
      < -20.238913, 27.988419, 0.720276>,
      < -20.424078, 29.730904, 0.796974>,
      < -20.424078, 29.730904, -0.796974>
    }
    triangle {
      < -20.238913, 27.988419, 0.720276>,
      < -20.424078, 29.730904, -0.796974>,
      < -20.238913, 27.988419, -0.720276>
    }
    triangle {
      < -20.424078, 29.730904, 0.796974>,
      < -20.754433, 29.897915, 0.933812>,
      < -20.754433, 29.897915, -0.933812>
    }
    triangle {
      < -20.424078, 29.730904, 0.796974>,
      < -20.754433, 29.897915, -0.933812>,
      < -20.424078, 29.730904, -0.796974>
    }
    triangle {
      < -20.754433, 29.897915, 0.933812>,
      < -20.754433, 30.301113, 0.933812>,
      < -20.754433, 30.301113, -0.933812>
    }
    triangle {
      < -20.754433, 29.897915, 0.933812>,
      < -20.754433, 30.301113, -0.933812>,
      < -20.754433, 29.897915, -0.933812>
    }
    triangle {
      < -20.754433, 30.301113, 0.933812>,
      < -19.950914, 30.134102, 0.600984>,
      < -19.950914, 30.134102, -0.600984>
    }
    triangle {
      < -20.754433, 30.301113, 0.933812>,
      < -19.950914, 30.134102, -0.600984>,
      < -20.754433, 30.301113, -0.933812>
    }
    triangle {
      < -19.950914, 30.134102, 0.600984>,
      < -19.765751, 28.631191, 0.524286>,
      < -19.765751, 28.631191, -0.524286>
    }
    triangle {
      < -19.950914, 30.134102, 0.600984>,
      < -19.765751, 28.631191, -0.524286>,
      < -19.950914, 30.134102, -0.600984>
    }
    triangle {
      < -19.765751, 28.631191, 0.524286>,
      < -19.125179, 28.664593, 0.258952>,
      < -19.125179, 28.664593, -0.258952>
    }
    triangle {
      < -19.765751, 28.631191, 0.524286>,
      < -19.125179, 28.664593, -0.258952>,
      < -19.765751, 28.631191, -0.524286>
    }
    triangle {
      < -19.125179, 28.664593, 0.258952>,
      < -18.782949, 49.293991, 0.117197>,
      < -18.782949, 49.293991, -0.117197>
    }
    triangle {
      < -19.125179, 28.664593, 0.258952>,
      < -18.782949, 49.293991, -0.117197>,
      < -19.125179, 28.664593, -0.258952>
    }
    triangle {
      < -19.242489, 6.115158, 1.792495>,
      < -19.242489, 8.343143, 1.792495>,
      < -20.292509, 8.343143, 0.742476>
    }
    triangle {
      < -19.242489, 6.115158, 1.792495>,
      < -20.292509, 8.343143, 0.742476>,
      < -20.292509, 6.115158, 0.742476>
    }
    triangle {
      < -19.242489, 8.343143, 1.792495>,
      < -19.535431, 8.343143, 2.499723>,
      < -20.999735, 8.343143, 1.035419>
    }
    triangle {
      < -19.242489, 8.343143, 1.792495>,
      < -20.999735, 8.343143, 1.035419>,
      < -20.292509, 8.343143, 0.742476>
    }
    triangle {
      < -19.535431, 8.343143, 2.499723>,
      < -19.535431, 8.848721, 2.499723>,
      < -20.999735, 8.848721, 1.035419>
    }
    triangle {
      < -19.535431, 8.343143, 2.499723>,
      < -20.999735, 8.848721, 1.035419>,
      < -20.999735, 8.343143, 1.035419>
    }
    triangle {
      < -19.535431, 8.848721, 2.499723>,
      < -18.919910, 8.848721, 1.013724>,
      < -19.513737, 8.848721, 0.419898>
    }
    triangle {
      < -19.535431, 8.848721, 2.499723>,
      < -19.513737, 8.848721, 0.419898>,
      < -20.999735, 8.848721, 1.035419>
    }
    triangle {
      < -18.919910, 8.848721, 1.013724>,
      < -18.843212, 27.036480, 0.828560>,
      < -19.328571, 27.036480, 0.343200>
    }
    triangle {
      < -18.919910, 8.848721, 1.013724>,
      < -19.328571, 27.036480, 0.343200>,
      < -19.513737, 8.848721, 0.419898>
    }
    triangle {
      < -18.843212, 27.036480, 0.828560>,
      < -19.031750, 27.512449, 1.283730>,
      < -19.220287, 27.988419, 1.738900>
    }
    triangle {
      < -18.843212, 27.036480, 0.828560>,
      < -19.220287, 27.988419, 1.738900>,
      < -20.238913, 27.988419, 0.720276>
    }
    triangle {
      < -18.843212, 27.036480, 0.828560>,
      < -20.238913, 27.988419, 0.720276>,
      < -19.328571, 27.036480, 0.343200>
    }
    triangle {
      < -19.220287, 27.988419, 1.738900>,
      < -19.296986, 29.730904, 1.924065>,
      < -20.424078, 29.730904, 0.796974>
    }
    triangle {
      < -19.220287, 27.988419, 1.738900>,
      < -20.424078, 29.730904, 0.796974>,
      < -20.238913, 27.988419, 0.720276>
    }
    triangle {
      < -19.296986, 29.730904, 1.924065>,
      < -19.433825, 29.897915, 2.254421>,
      < -20.754433, 29.897915, 0.933812>
    }
    triangle {
      < -19.296986, 29.730904, 1.924065>,
      < -20.754433, 29.897915, 0.933812>,
      < -20.424078, 29.730904, 0.796974>
    }
    triangle {
      < -19.433825, 29.897915, 2.254421>,
      < -19.433825, 30.301113, 2.254421>,
      < -20.754433, 30.301113, 0.933812>
    }
    triangle {
      < -19.433825, 29.897915, 2.254421>,
      < -20.754433, 30.301113, 0.933812>,
      < -20.754433, 29.897915, 0.933812>
    }
    triangle {
      < -19.433825, 30.301113, 2.254421>,
      < -19.100996, 30.134102, 1.450902>,
      < -19.950914, 30.134102, 0.600984>
    }
    triangle {
      < -19.433825, 30.301113, 2.254421>,
      < -19.950914, 30.134102, 0.600984>,
      < -20.754433, 30.301113, 0.933812>
    }
    triangle {
      < -19.100996, 30.134102, 1.450902>,
      < -19.024298, 28.631191, 1.265738>,
      < -19.765751, 28.631191, 0.524286>
    }
    triangle {
      < -19.100996, 30.134102, 1.450902>,
      < -19.765751, 28.631191, 0.524286>,
      < -19.950914, 30.134102, 0.600984>
    }
    triangle {
      < -19.024298, 28.631191, 1.265738>,
      < -18.758965, 28.664593, 0.625167>,
      < -19.125179, 28.664593, 0.258952>
    }
    triangle {
      < -19.024298, 28.631191, 1.265738>,
      < -19.125179, 28.664593, 0.258952>,
      < -19.765751, 28.631191, 0.524286>
    }
    triangle {
      < -18.758965, 28.664593, 0.625167>,
      < -18.617208, 49.293991, 0.282936>,
      < -18.782949, 49.293991, 0.117197>
    }
    triangle {
      < -18.758965, 28.664593, 0.625167>,
      < -18.782949, 49.293991, 0.117197>,
      < -19.125179, 28.664593, 0.258952>
    }
    triangle {
      < -17.757534, 6.115158, 1.792497>,
      < -17.757534, 8.343143, 1.792497>,
      < -19.242489, 8.343143, 1.792495>
    }
    triangle {
      < -17.757534, 6.115158, 1.792497>,
      < -19.242489, 8.343143, 1.792495>,
      < -19.242489, 6.115158, 1.792495>
    }
    triangle {
      < -17.757534, 8.343143, 1.792497>,
      < -17.464592, 8.343143, 2.499723>,
      < -19.535431, 8.343143, 2.499723>
    }
    triangle {
      < -17.757534, 8.343143, 1.792497>,
      < -19.535431, 8.343143, 2.499723>,
      < -19.242489, 8.343143, 1.792495>
    }
    triangle {
      < -17.464592, 8.343143, 2.499723>,
      < -17.464592, 8.848721, 2.499723>,
      < -19.535431, 8.848721, 2.499723>
    }
    triangle {
      < -17.464592, 8.343143, 2.499723>,
      < -19.535431, 8.848721, 2.499723>,
      < -19.535431, 8.343143, 2.499723>
    }
    triangle {
      < -17.464592, 8.848721, 2.499723>,
      < -18.080112, 8.848721, 1.013724>,
      < -18.919910, 8.848721, 1.013724>
    }
    triangle {
      < -17.464592, 8.848721, 2.499723>,
      < -18.919910, 8.848721, 1.013724>,
      < -19.535431, 8.848721, 2.499723>
    }
    triangle {
      < -18.080112, 8.848721, 1.013724>,
      < -18.156811, 27.036480, 0.828560>,
      < -18.500011, 27.036480, 0.828560>
    }
    triangle {
      < -18.080112, 8.848721, 1.013724>,
      < -18.500011, 27.036480, 0.828560>,
      < -18.843212, 27.036480, 0.828560>
    }
    triangle {
      < -18.080112, 8.848721, 1.013724>,
      < -18.843212, 27.036480, 0.828560>,
      < -18.919910, 8.848721, 1.013724>
    }
    triangle {
      < -17.968273, 27.512449, 1.283730>,
      < -17.779734, 27.988419, 1.738900>,
      < -19.220287, 27.988419, 1.738900>
    }
    triangle {
      < -17.968273, 27.512449, 1.283730>,
      < -19.220287, 27.988419, 1.738900>,
      < -19.031750, 27.512449, 1.283730>
    }
    triangle {
      < -17.968273, 27.512449, 1.283730>,
      < -19.031750, 27.512449, 1.283730>,
      < -18.500011, 27.512449, 1.283730>
    }
    triangle {
      < -17.779734, 27.988419, 1.738900>,
      < -17.703035, 29.730904, 1.924065>,
      < -19.296986, 29.730904, 1.924065>
    }
    triangle {
      < -17.779734, 27.988419, 1.738900>,
      < -19.296986, 29.730904, 1.924065>,
      < -19.220287, 27.988419, 1.738900>
    }
    triangle {
      < -17.703035, 29.730904, 1.924065>,
      < -17.566198, 29.897915, 2.254421>,
      < -19.433825, 29.897915, 2.254421>
    }
    triangle {
      < -17.703035, 29.730904, 1.924065>,
      < -19.433825, 29.897915, 2.254421>,
      < -19.296986, 29.730904, 1.924065>
    }
    triangle {
      < -17.566198, 29.897915, 2.254421>,
      < -17.566198, 30.301113, 2.254421>,
      < -19.433825, 30.301113, 2.254421>
    }
    triangle {
      < -17.566198, 29.897915, 2.254421>,
      < -19.433825, 30.301113, 2.254421>,
      < -19.433825, 29.897915, 2.254421>
    }
    triangle {
      < -17.566198, 30.301113, 2.254421>,
      < -17.899027, 30.134102, 1.450902>,
      < -19.100996, 30.134102, 1.450902>
    }
    triangle {
      < -17.566198, 30.301113, 2.254421>,
      < -19.100996, 30.134102, 1.450902>,
      < -19.433825, 30.301113, 2.254421>
    }
    triangle {
      < -17.899027, 30.134102, 1.450902>,
      < -17.975723, 28.631191, 1.265738>,
      < -19.024298, 28.631191, 1.265738>
    }
    triangle {
      < -17.899027, 30.134102, 1.450902>,
      < -19.024298, 28.631191, 1.265738>,
      < -19.100996, 30.134102, 1.450902>
    }
    triangle {
      < -17.975723, 28.631191, 1.265738>,
      < -18.241058, 28.664593, 0.625167>,
      < -18.758965, 28.664593, 0.625167>
    }
    triangle {
      < -17.975723, 28.631191, 1.265738>,
      < -18.758965, 28.664593, 0.625167>,
      < -19.024298, 28.631191, 1.265738>
    }
    triangle {
      < -18.241058, 28.664593, 0.625167>,
      < -18.382814, 49.293991, 0.282936>,
      < -18.617208, 49.293991, 0.282936>
    }
    triangle {
      < -18.241058, 28.664593, 0.625167>,
      < -18.617208, 49.293991, 0.282936>,
      < -18.758965, 28.664593, 0.625167>
    }
    triangle {
      < -16.707516, 6.115158, 0.742476>,
      < -16.707516, 8.343143, 0.742476>,
      < -17.757534, 8.343143, 1.792497>
    }
    triangle {
      < -16.707516, 6.115158, 0.742476>,
      < -17.757534, 8.343143, 1.792497>,
      < -17.757534, 6.115158, 1.792497>
    }
    triangle {
      < -16.707516, 8.343143, 0.742476>,
      < -16.000288, 8.343143, 1.035419>,
      < -17.464592, 8.343143, 2.499723>
    }
    triangle {
      < -16.707516, 8.343143, 0.742476>,
      < -17.464592, 8.343143, 2.499723>,
      < -17.757534, 8.343143, 1.792497>
    }
    triangle {
      < -16.000288, 8.343143, 1.035419>,
      < -16.000288, 8.848721, 1.035419>,
      < -17.464592, 8.848721, 2.499723>
    }
    triangle {
      < -16.000288, 8.343143, 1.035419>,
      < -17.464592, 8.848721, 2.499723>,
      < -17.464592, 8.343143, 2.499723>
    }
    triangle {
      < -16.000288, 8.848721, 1.035419>,
      < -17.486286, 8.848721, 0.419898>,
      < -18.080112, 8.848721, 1.013724>
    }
    triangle {
      < -16.000288, 8.848721, 1.035419>,
      < -18.080112, 8.848721, 1.013724>,
      < -17.464592, 8.848721, 2.499723>
    }
    triangle {
      < -17.486286, 8.848721, 0.419898>,
      < -17.671450, 27.036480, 0.343200>,
      < -18.156811, 27.036480, 0.828560>
    }
    triangle {
      < -17.486286, 8.848721, 0.419898>,
      < -18.156811, 27.036480, 0.828560>,
      < -18.080112, 8.848721, 1.013724>
    }
    triangle {
      < -17.671450, 27.036480, 0.343200>,
      < -16.761112, 27.988419, 0.720276>,
      < -17.779734, 27.988419, 1.738900>
    }
    triangle {
      < -17.671450, 27.036480, 0.343200>,
      < -17.779734, 27.988419, 1.738900>,
      < -17.968273, 27.512449, 1.283730>
    }
    triangle {
      < -17.671450, 27.036480, 0.343200>,
      < -17.968273, 27.512449, 1.283730>,
      < -18.156811, 27.036480, 0.828560>
    }
    triangle {
      < -16.761112, 27.988419, 0.720276>,
      < -16.575949, 29.730904, 0.796974>,
      < -17.703035, 29.730904, 1.924065>
    }
    triangle {
      < -16.761112, 27.988419, 0.720276>,
      < -17.703035, 29.730904, 1.924065>,
      < -17.779734, 27.988419, 1.738900>
    }
    triangle {
      < -16.575949, 29.730904, 0.796974>,
      < -16.245590, 29.897915, 0.933812>,
      < -17.566198, 29.897915, 2.254421>
    }
    triangle {
      < -16.575949, 29.730904, 0.796974>,
      < -17.566198, 29.897915, 2.254421>,
      < -17.703035, 29.730904, 1.924065>
    }
    triangle {
      < -16.245590, 29.897915, 0.933812>,
      < -16.245590, 30.301113, 0.933812>,
      < -17.566198, 30.301113, 2.254421>
    }
    triangle {
      < -16.245590, 29.897915, 0.933812>,
      < -17.566198, 30.301113, 2.254421>,
      < -17.566198, 29.897915, 2.254421>
    }
    triangle {
      < -16.245590, 30.301113, 0.933812>,
      < -17.049109, 30.134102, 0.600984>,
      < -17.899027, 30.134102, 1.450902>
    }
    triangle {
      < -16.245590, 30.301113, 0.933812>,
      < -17.899027, 30.134102, 1.450902>,
      < -17.566198, 30.301113, 2.254421>
    }
    triangle {
      < -17.049109, 30.134102, 0.600984>,
      < -17.234274, 28.631191, 0.524286>,
      < -17.975723, 28.631191, 1.265738>
    }
    triangle {
      < -17.049109, 30.134102, 0.600984>,
      < -17.975723, 28.631191, 1.265738>,
      < -17.899027, 30.134102, 1.450902>
    }
    triangle {
      < -17.234274, 28.631191, 0.524286>,
      < -17.874844, 28.664593, 0.258952>,
      < -18.241058, 28.664593, 0.625167>
    }
    triangle {
      < -17.234274, 28.631191, 0.524286>,
      < -18.241058, 28.664593, 0.625167>,
      < -17.975723, 28.631191, 1.265738>
    }
    triangle {
      < -17.874844, 28.664593, 0.258952>,
      < -18.217075, 49.293991, 0.117197>,
      < -18.382814, 49.293991, 0.282936>
    }
    triangle {
      < -17.874844, 28.664593, 0.258952>,
      < -18.382814, 49.293991, 0.282936>,
      < -18.241058, 28.664593, 0.625167>
    }
    triangle {
      < -19.242489, 6.115158, 1.792495>,
      < -20.292509, 6.115158, 0.742476>,
      < -20.292507, 6.115158, -0.742476>
    }
    triangle {
      < -19.242489, 6.115158, 1.792495>,
      < -20.292507, 6.115158, -0.742476>,
      < -19.242489, 6.115158, -1.792497>
    }
    triangle {
      < -19.242489, 6.115158, 1.792495>,
      < -19.242489, 6.115158, -1.792497>,
      < -17.757534, 6.115158, -1.792495>
    }
    triangle {
      < -19.242489, 6.115158, 1.792495>,
      < -17.757534, 6.115158, -1.792495>,
      < -16.707516, 6.115158, -0.742476>
    }
    triangle {
      < -19.242489, 6.115158, 1.792495>,
      < -16.707516, 6.115158, -0.742476>,
      < -16.707516, 6.115158, 0.742476>
    }
    triangle {
      < -19.242489, 6.115158, 1.792495>,
      < -16.707516, 6.115158, 0.742476>,
      < -17.757534, 6.115158, 1.792497>
    }
    triangle {
      < -18.382814, 49.293991, -0.282936>,
      < -18.617208, 49.293991, -0.282936>,
      < -18.782949, 49.293991, -0.117197>
    }
    triangle {
      < -18.382814, 49.293991, -0.282936>,
      < -18.782949, 49.293991, -0.117197>,
      < -18.782949, 49.293991, 0.117197>
    }
    triangle {
      < -18.382814, 49.293991, -0.282936>,
      < -18.782949, 49.293991, 0.117197>,
      < -18.617208, 49.293991, 0.282936>
    }
    triangle {
      < -18.382814, 49.293991, -0.282936>,
      < -18.617208, 49.293991, 0.282936>,
      < -18.382814, 49.293991, 0.282936>
    }
    triangle {
      < -18.382814, 49.293991, -0.282936>,
      < -18.382814, 49.293991, 0.282936>,
      < -18.217075, 49.293991, 0.117197>
    }
    triangle {
      < -18.382814, 49.293991, -0.282936>,
      < -18.217075, 49.293991, 0.117197>,
      < -18.217075, 49.293991, -0.117197>
    }
    triangle {
      < -21.299751, 6.534726, 13.105604>,
      < -21.111214, 6.058758, 12.650431>,
      < -20.768013, 6.058758, 12.650431>
    }
    triangle {
      < -21.299751, 6.534726, 13.105604>,
      < -20.768013, 6.058758, 12.650431>,
      < -20.768013, 6.534726, 13.105604>
    }
    triangle {
      < -18.140011, 6.058776, 12.650445>,
      < -17.796808, 6.058776, 12.650445>,
      < -17.608273, 6.534745, 13.105617>
    }
    triangle {
      < -18.140011, 6.058776, 12.650445>,
      < -17.608273, 6.534745, 13.105617>,
      < -18.140011, 6.534745, 13.105617>
    }
    triangle {
      < -17.796808, 6.058776, 12.650445>,
      < -18.140011, 6.058776, 12.650445>,
      < -18.500011, 27.036480, 0.828560>
    }
    triangle {
      < -17.796808, 6.058776, 12.650445>,
      < -18.500011, 27.036480, 0.828560>,
      < -18.156811, 27.036480, 0.828560>
    }
    triangle {
      < -18.140011, 6.058776, 12.650445>,
      < -18.140011, 6.534745, 13.105617>,
      < -18.500011, 27.512449, 1.283730>
    }
    triangle {
      < -18.140011, 6.058776, 12.650445>,
      < -18.500011, 27.512449, 1.283730>,
      < -18.500011, 27.036480, 0.828560>
    }
    triangle {
      < -18.140011, 6.534745, 13.105617>,
      < -17.608273, 6.534745, 13.105617>,
      < -17.968273, 27.512449, 1.283730>
    }
    triangle {
      < -18.140011, 6.534745, 13.105617>,
      < -17.968273, 27.512449, 1.283730>,
      < -18.500011, 27.512449, 1.283730>
    }
    triangle {
      < -17.608273, 6.534745, 13.105617>,
      < -17.796808, 6.058776, 12.650445>,
      < -18.156811, 27.036480, 0.828560>
    }
    triangle {
      < -17.608273, 6.534745, 13.105617>,
      < -18.156811, 27.036480, 0.828560>,
      < -17.968273, 27.512449, 1.283730>
    }
    triangle {
      < -21.111214, 6.058758, 12.650431>,
      < -21.299751, 6.534726, 13.105604>,
      < -19.031750, 27.512449, 1.283730>
    }
    triangle {
      < -21.111214, 6.058758, 12.650431>,
      < -19.031750, 27.512449, 1.283730>,
      < -18.843212, 27.036480, 0.828560>
    }
    triangle {
      < -21.299751, 6.534726, 13.105604>,
      < -20.768013, 6.534726, 13.105604>,
      < -18.500011, 27.512449, 1.283730>
    }
    triangle {
      < -21.299751, 6.534726, 13.105604>,
      < -18.500011, 27.512449, 1.283730>,
      < -19.031750, 27.512449, 1.283730>
    }
    triangle {
      < -20.768013, 6.534726, 13.105604>,
      < -20.768013, 6.058758, 12.650431>,
      < -18.500011, 27.036480, 0.828560>
    }
    triangle {
      < -20.768013, 6.534726, 13.105604>,
      < -18.500011, 27.036480, 0.828560>,
      < -18.500011, 27.512449, 1.283730>
    }
    triangle {
      < -20.768013, 6.058758, 12.650431>,
      < -21.111214, 6.058758, 12.650431>,
      < -18.843212, 27.036480, 0.828560>
    }
    triangle {
      < -20.768013, 6.058758, 12.650431>,
      < -18.843212, 27.036480, 0.828560>,
      < -18.500011, 27.036480, 0.828560>
    }
    texture {mast3}
  }
  // lamp
  union {
    triangle {
      < -34.818378, 21.015203, -0.198465>,
      < -34.985210, 23.326622, -0.198465>,
      < -34.903202, 23.332542, 0.000000>
    }
    triangle {
      < -34.818378, 21.015203, -0.198465>,
      < -34.903202, 23.332542, 0.000000>,
      < -34.736378, 21.021118, 0.000000>
    }
    triangle {
      < -34.985210, 23.326622, -0.198465>,
      < -34.743275, 23.344069, -0.441034>,
      < -34.561050, 23.357229, 0.000000>
    }
    triangle {
      < -34.985210, 23.326622, -0.198465>,
      < -34.561050, 23.357229, 0.000000>,
      < -34.903202, 23.332542, 0.000000>
    }
    triangle {
      < -34.743275, 23.344069, -0.441034>,
      < -34.765717, 23.655121, -0.441034>,
      < -34.583500, 23.668274, 0.000000>
    }
    triangle {
      < -34.743275, 23.344069, -0.441034>,
      < -34.583500, 23.668274, 0.000000>,
      < -34.561050, 23.357229, 0.000000>
    }
    triangle {
      < -34.765717, 23.655121, -0.441034>,
      < -34.499660, 24.870266, -0.793862>,
      < -34.171692, 24.893951, 0.000000>
    }
    triangle {
      < -34.765717, 23.655121, -0.441034>,
      < -34.171692, 24.893951, 0.000000>,
      < -34.583500, 23.668274, 0.000000>
    }
    triangle {
      < -34.499660, 24.870266, -0.793862>,
      < -34.367695, 24.879795, -0.926172>,
      < -33.985054, 24.907419, 0.000000>
    }
    triangle {
      < -34.499660, 24.870266, -0.793862>,
      < -33.985054, 24.907419, 0.000000>,
      < -34.171692, 24.893951, 0.000000>
    }
    triangle {
      < -34.367695, 24.879795, -0.926172>,
      < -34.387901, 25.159744, -0.926172>,
      < -34.005249, 25.187370, 0.000000>
    }
    triangle {
      < -34.367695, 24.879795, -0.926172>,
      < -34.005249, 25.187370, 0.000000>,
      < -33.985054, 24.907419, 0.000000>
    }
    triangle {
      < -34.387901, 25.159744, -0.926172>,
      < -35.138412, 25.449520, -0.198465>,
      < -35.056408, 25.455433, 0.000000>
    }
    triangle {
      < -34.387901, 25.159744, -0.926172>,
      < -35.056408, 25.455433, 0.000000>,
      < -34.005249, 25.187370, 0.000000>
    }
    triangle {
      < -35.138412, 25.449520, -0.198465>,
      < -34.921173, 25.809122, -0.441034>,
      < -34.738964, 25.822281, 0.000000>
    }
    triangle {
      < -35.138412, 25.449520, -0.198465>,
      < -34.738964, 25.822281, 0.000000>,
      < -35.056408, 25.455433, 0.000000>
    }
    triangle {
      < -34.921173, 25.809122, -0.441034>,
      < -35.181068, 26.040510, -0.198465>,
      < -35.099068, 26.046429, 0.000000>
    }
    triangle {
      < -34.921173, 25.809122, -0.441034>,
      < -35.099068, 26.046429, 0.000000>,
      < -34.738964, 25.822281, 0.000000>
    }
    triangle {
      < -35.181068, 26.040510, -0.198465>,
      < -35.773300, 31.489208, 0.000000>,
      < -35.099068, 26.046429, 0.000000>
    }
    triangle {
      < -35.016331, 21.000908, -0.280672>,
      < -35.183147, 23.312332, -0.280672>,
      < -34.985210, 23.326622, -0.198465>
    }
    triangle {
      < -35.016331, 21.000908, -0.280672>,
      < -34.985210, 23.326622, -0.198465>,
      < -34.818378, 21.015203, -0.198465>
    }
    triangle {
      < -35.183147, 23.312332, -0.280672>,
      < -35.183147, 23.312332, -0.623716>,
      < -34.743275, 23.344069, -0.441034>
    }
    triangle {
      < -35.183147, 23.312332, -0.280672>,
      < -34.743275, 23.344069, -0.441034>,
      < -34.985210, 23.326622, -0.198465>
    }
    triangle {
      < -35.183147, 23.312332, -0.623716>,
      < -35.205605, 23.623371, -0.623716>,
      < -34.765717, 23.655121, -0.441034>
    }
    triangle {
      < -35.183147, 23.312332, -0.623716>,
      < -34.765717, 23.655121, -0.441034>,
      < -34.743275, 23.344069, -0.441034>
    }
    triangle {
      < -35.205605, 23.623371, -0.623716>,
      < -35.291466, 24.813129, -1.122690>,
      < -34.499660, 24.870266, -0.793862>
    }
    triangle {
      < -35.205605, 23.623371, -0.623716>,
      < -34.499660, 24.870266, -0.793862>,
      < -34.765717, 23.655121, -0.441034>
    }
    triangle {
      < -35.291466, 24.813129, -1.122690>,
      < -35.291466, 24.813129, -1.309804>,
      < -34.367695, 24.879795, -0.926172>
    }
    triangle {
      < -35.291466, 24.813129, -1.122690>,
      < -34.367695, 24.879795, -0.926172>,
      < -34.499660, 24.870266, -0.793862>
    }
    triangle {
      < -35.291466, 24.813129, -1.309804>,
      < -35.311668, 25.093071, -1.309804>,
      < -34.387901, 25.159744, -0.926172>
    }
    triangle {
      < -35.291466, 24.813129, -1.309804>,
      < -34.387901, 25.159744, -0.926172>,
      < -34.367695, 24.879795, -0.926172>
    }
    triangle {
      < -35.311668, 25.093071, -1.309804>,
      < -35.336365, 25.435234, -0.280672>,
      < -35.138412, 25.449520, -0.198465>
    }
    triangle {
      < -35.311668, 25.093071, -1.309804>,
      < -35.138412, 25.449520, -0.198465>,
      < -34.387901, 25.159744, -0.926172>
    }
    triangle {
      < -35.336365, 25.435234, -0.280672>,
      < -35.361061, 25.777367, -0.623716>,
      < -34.921173, 25.809122, -0.441034>
    }
    triangle {
      < -35.336365, 25.435234, -0.280672>,
      < -34.921173, 25.809122, -0.441034>,
      < -35.138412, 25.449520, -0.198465>
    }
    triangle {
      < -35.361061, 25.777367, -0.623716>,
      < -35.379028, 26.026230, -0.280672>,
      < -35.181068, 26.040510, -0.198465>
    }
    triangle {
      < -35.361061, 25.777367, -0.623716>,
      < -35.181068, 26.040510, -0.198465>,
      < -34.921173, 25.809122, -0.441034>
    }
    triangle {
      < -35.379028, 26.026230, -0.280672>,
      < -35.773300, 31.489208, 0.000000>,
      < -35.181068, 26.040510, -0.198465>
    }
    triangle {
      < -35.214291, 20.986626, -0.198465>,
      < -35.381107, 23.298044, -0.198465>,
      < -35.183147, 23.312332, -0.280672>
    }
    triangle {
      < -35.214291, 20.986626, -0.198465>,
      < -35.183147, 23.312332, -0.280672>,
      < -35.016331, 21.000908, -0.280672>
    }
    triangle {
      < -35.381107, 23.298044, -0.198465>,
      < -35.623047, 23.280582, -0.441034>,
      < -35.183147, 23.312332, -0.623716>
    }
    triangle {
      < -35.381107, 23.298044, -0.198465>,
      < -35.183147, 23.312332, -0.623716>,
      < -35.183147, 23.312332, -0.280672>
    }
    triangle {
      < -35.623047, 23.280582, -0.441034>,
      < -35.645496, 23.591629, -0.441034>,
      < -35.205605, 23.623371, -0.623716>
    }
    triangle {
      < -35.623047, 23.280582, -0.441034>,
      < -35.205605, 23.623371, -0.623716>,
      < -35.183147, 23.312332, -0.623716>
    }
    triangle {
      < -35.645496, 23.591629, -0.441034>,
      < -36.083260, 24.755985, -0.793862>,
      < -35.291466, 24.813129, -1.122690>
    }
    triangle {
      < -35.645496, 23.591629, -0.441034>,
      < -35.291466, 24.813129, -1.122690>,
      < -35.205605, 23.623371, -0.623716>
    }
    triangle {
      < -36.083260, 24.755985, -0.793862>,
      < -36.215240, 24.746449, -0.926172>,
      < -35.291466, 24.813129, -1.309804>
    }
    triangle {
      < -36.083260, 24.755985, -0.793862>,
      < -35.291466, 24.813129, -1.309804>,
      < -35.291466, 24.813129, -1.122690>
    }
    triangle {
      < -36.215240, 24.746449, -0.926172>,
      < -36.235443, 25.026409, -0.926172>,
      < -35.311668, 25.093071, -1.309804>
    }
    triangle {
      < -36.215240, 24.746449, -0.926172>,
      < -35.311668, 25.093071, -1.309804>,
      < -35.291466, 24.813129, -1.309804>
    }
    triangle {
      < -36.235443, 25.026409, -0.926172>,
      < -35.534321, 25.420948, -0.198465>,
      < -35.336365, 25.435234, -0.280672>
    }
    triangle {
      < -36.235443, 25.026409, -0.926172>,
      < -35.336365, 25.435234, -0.280672>,
      < -35.311668, 25.093071, -1.309804>
    }
    triangle {
      < -35.534321, 25.420948, -0.198465>,
      < -35.800957, 25.745636, -0.441034>,
      < -35.361061, 25.777367, -0.623716>
    }
    triangle {
      < -35.534321, 25.420948, -0.198465>,
      < -35.361061, 25.777367, -0.623716>,
      < -35.336365, 25.435234, -0.280672>
    }
    triangle {
      < -35.800957, 25.745636, -0.441034>,
      < -35.576973, 26.011936, -0.198465>,
      < -35.379028, 26.026230, -0.280672>
    }
    triangle {
      < -35.800957, 25.745636, -0.441034>,
      < -35.379028, 26.026230, -0.280672>,
      < -35.361061, 25.777367, -0.623716>
    }
    triangle {
      < -35.576973, 26.011936, -0.198465>,
      < -35.773300, 31.489208, 0.000000>,
      < -35.379028, 26.026230, -0.280672>
    }
    triangle {
      < -35.296280, 20.980709, 0.000000>,
      < -35.463108, 23.292116, 0.000000>,
      < -35.381107, 23.298044, -0.198465>
    }
    triangle {
      < -35.296280, 20.980709, 0.000000>,
      < -35.381107, 23.298044, -0.198465>,
      < -35.214291, 20.986626, -0.198465>
    }
    triangle {
      < -35.463108, 23.292116, 0.000000>,
      < -35.805252, 23.267427, 0.000000>,
      < -35.623047, 23.280582, -0.441034>
    }
    triangle {
      < -35.463108, 23.292116, 0.000000>,
      < -35.623047, 23.280582, -0.441034>,
      < -35.381107, 23.298044, -0.198465>
    }
    triangle {
      < -35.805252, 23.267427, 0.000000>,
      < -35.827702, 23.578472, 0.000000>,
      < -35.645496, 23.591629, -0.441034>
    }
    triangle {
      < -35.805252, 23.267427, 0.000000>,
      < -35.645496, 23.591629, -0.441034>,
      < -35.623047, 23.280582, -0.441034>
    }
    triangle {
      < -35.827702, 23.578472, 0.000000>,
      < -36.411251, 24.732311, 0.000000>,
      < -36.083260, 24.755985, -0.793862>
    }
    triangle {
      < -35.827702, 23.578472, 0.000000>,
      < -36.083260, 24.755985, -0.793862>,
      < -35.645496, 23.591629, -0.441034>
    }
    triangle {
      < -36.411251, 24.732311, 0.000000>,
      < -36.597878, 24.718842, 0.000000>,
      < -36.215240, 24.746449, -0.926172>
    }
    triangle {
      < -36.411251, 24.732311, 0.000000>,
      < -36.215240, 24.746449, -0.926172>,
      < -36.083260, 24.755985, -0.793862>
    }
    triangle {
      < -36.597878, 24.718842, 0.000000>,
      < -36.618084, 24.998800, 0.000000>,
      < -36.235443, 25.026409, -0.926172>
    }
    triangle {
      < -36.597878, 24.718842, 0.000000>,
      < -36.235443, 25.026409, -0.926172>,
      < -36.215240, 24.746449, -0.926172>
    }
    triangle {
      < -36.618084, 24.998800, 0.000000>,
      < -35.616310, 25.415024, 0.000000>,
      < -35.534321, 25.420948, -0.198465>
    }
    triangle {
      < -36.618084, 24.998800, 0.000000>,
      < -35.534321, 25.420948, -0.198465>,
      < -36.235443, 25.026409, -0.926172>
    }
    triangle {
      < -35.616310, 25.415024, 0.000000>,
      < -35.983170, 25.732475, 0.000000>,
      < -35.800957, 25.745636, -0.441034>
    }
    triangle {
      < -35.616310, 25.415024, 0.000000>,
      < -35.800957, 25.745636, -0.441034>,
      < -35.534321, 25.420948, -0.198465>
    }
    triangle {
      < -35.983170, 25.732475, 0.000000>,
      < -35.658962, 26.006020, 0.000000>,
      < -35.576973, 26.011936, -0.198465>
    }
    triangle {
      < -35.983170, 25.732475, 0.000000>,
      < -35.576973, 26.011936, -0.198465>,
      < -35.800957, 25.745636, -0.441034>
    }
    triangle {
      < -35.658962, 26.006020, 0.000000>,
      < -35.773300, 31.489208, 0.000000>,
      < -35.576973, 26.011936, -0.198465>
    }
    triangle {
      < -35.214291, 20.986626, 0.198465>,
      < -35.381107, 23.298044, 0.198465>,
      < -35.463108, 23.292116, 0.000000>
    }
    triangle {
      < -35.214291, 20.986626, 0.198465>,
      < -35.463108, 23.292116, 0.000000>,
      < -35.296280, 20.980709, 0.000000>
    }
    triangle {
      < -35.381107, 23.298044, 0.198465>,
      < -35.623047, 23.280582, 0.441034>,
      < -35.805252, 23.267427, 0.000000>
    }
    triangle {
      < -35.381107, 23.298044, 0.198465>,
      < -35.805252, 23.267427, 0.000000>,
      < -35.463108, 23.292116, 0.000000>
    }
    triangle {
      < -35.623047, 23.280582, 0.441034>,
      < -35.645496, 23.591629, 0.441034>,
      < -35.827702, 23.578472, 0.000000>
    }
    triangle {
      < -35.623047, 23.280582, 0.441034>,
      < -35.827702, 23.578472, 0.000000>,
      < -35.805252, 23.267427, 0.000000>
    }
    triangle {
      < -35.645496, 23.591629, 0.441034>,
      < -36.083260, 24.755985, 0.793862>,
      < -36.411251, 24.732311, 0.000000>
    }
    triangle {
      < -35.645496, 23.591629, 0.441034>,
      < -36.411251, 24.732311, 0.000000>,
      < -35.827702, 23.578472, 0.000000>
    }
    triangle {
      < -36.083260, 24.755985, 0.793862>,
      < -36.215240, 24.746449, 0.926172>,
      < -36.597878, 24.718842, 0.000000>
    }
    triangle {
      < -36.083260, 24.755985, 0.793862>,
      < -36.597878, 24.718842, 0.000000>,
      < -36.411251, 24.732311, 0.000000>
    }
    triangle {
      < -36.215240, 24.746449, 0.926172>,
      < -36.235443, 25.026409, 0.926172>,
      < -36.618084, 24.998800, 0.000000>
    }
    triangle {
      < -36.215240, 24.746449, 0.926172>,
      < -36.618084, 24.998800, 0.000000>,
      < -36.597878, 24.718842, 0.000000>
    }
    triangle {
      < -36.235443, 25.026409, 0.926172>,
      < -35.534321, 25.420948, 0.198465>,
      < -35.616310, 25.415024, 0.000000>
    }
    triangle {
      < -36.235443, 25.026409, 0.926172>,
      < -35.616310, 25.415024, 0.000000>,
      < -36.618084, 24.998800, 0.000000>
    }
    triangle {
      < -35.534321, 25.420948, 0.198465>,
      < -35.800957, 25.745636, 0.441034>,
      < -35.983170, 25.732475, 0.000000>
    }
    triangle {
      < -35.534321, 25.420948, 0.198465>,
      < -35.983170, 25.732475, 0.000000>,
      < -35.616310, 25.415024, 0.000000>
    }
    triangle {
      < -35.800957, 25.745636, 0.441034>,
      < -35.576973, 26.011936, 0.198465>,
      < -35.658962, 26.006020, 0.000000>
    }
    triangle {
      < -35.800957, 25.745636, 0.441034>,
      < -35.658962, 26.006020, 0.000000>,
      < -35.983170, 25.732475, 0.000000>
    }
    triangle {
      < -35.576973, 26.011936, 0.198465>,
      < -35.773300, 31.489208, 0.000000>,
      < -35.658962, 26.006020, 0.000000>
    }
    triangle {
      < -35.016331, 21.000908, 0.280672>,
      < -35.183147, 23.312332, 0.280672>,
      < -35.381107, 23.298044, 0.198465>
    }
    triangle {
      < -35.016331, 21.000908, 0.280672>,
      < -35.381107, 23.298044, 0.198465>,
      < -35.214291, 20.986626, 0.198465>
    }
    triangle {
      < -35.183147, 23.312332, 0.280672>,
      < -35.183147, 23.312332, 0.623716>,
      < -35.623047, 23.280582, 0.441034>
    }
    triangle {
      < -35.183147, 23.312332, 0.280672>,
      < -35.623047, 23.280582, 0.441034>,
      < -35.381107, 23.298044, 0.198465>
    }
    triangle {
      < -35.183147, 23.312332, 0.623716>,
      < -35.205605, 23.623371, 0.623716>,
      < -35.645496, 23.591629, 0.441034>
    }
    triangle {
      < -35.183147, 23.312332, 0.623716>,
      < -35.645496, 23.591629, 0.441034>,
      < -35.623047, 23.280582, 0.441034>
    }
    triangle {
      < -35.205605, 23.623371, 0.623716>,
      < -35.291466, 24.813129, 1.122690>,
      < -36.083260, 24.755985, 0.793862>
    }
    triangle {
      < -35.205605, 23.623371, 0.623716>,
      < -36.083260, 24.755985, 0.793862>,
      < -35.645496, 23.591629, 0.441034>
    }
    triangle {
      < -35.291466, 24.813129, 1.122690>,
      < -35.291466, 24.813129, 1.309804>,
      < -36.215240, 24.746449, 0.926172>
    }
    triangle {
      < -35.291466, 24.813129, 1.122690>,
      < -36.215240, 24.746449, 0.926172>,
      < -36.083260, 24.755985, 0.793862>
    }
    triangle {
      < -35.291466, 24.813129, 1.309804>,
      < -35.311668, 25.093071, 1.309804>,
      < -36.235443, 25.026409, 0.926172>
    }
    triangle {
      < -35.291466, 24.813129, 1.309804>,
      < -36.235443, 25.026409, 0.926172>,
      < -36.215240, 24.746449, 0.926172>
    }
    triangle {
      < -35.311668, 25.093071, 1.309804>,
      < -35.336365, 25.435234, 0.280672>,
      < -35.534321, 25.420948, 0.198465>
    }
    triangle {
      < -35.311668, 25.093071, 1.309804>,
      < -35.534321, 25.420948, 0.198465>,
      < -36.235443, 25.026409, 0.926172>
    }
    triangle {
      < -35.336365, 25.435234, 0.280672>,
      < -35.361061, 25.777367, 0.623716>,
      < -35.800957, 25.745636, 0.441034>
    }
    triangle {
      < -35.336365, 25.435234, 0.280672>,
      < -35.800957, 25.745636, 0.441034>,
      < -35.534321, 25.420948, 0.198465>
    }
    triangle {
      < -35.361061, 25.777367, 0.623716>,
      < -35.379028, 26.026230, 0.280672>,
      < -35.576973, 26.011936, 0.198465>
    }
    triangle {
      < -35.361061, 25.777367, 0.623716>,
      < -35.576973, 26.011936, 0.198465>,
      < -35.800957, 25.745636, 0.441034>
    }
    triangle {
      < -35.379028, 26.026230, 0.280672>,
      < -35.773300, 31.489208, 0.000000>,
      < -35.576973, 26.011936, 0.198465>
    }
    triangle {
      < -34.818378, 21.015203, 0.198465>,
      < -34.985210, 23.326622, 0.198465>,
      < -35.183147, 23.312332, 0.280672>
    }
    triangle {
      < -34.818378, 21.015203, 0.198465>,
      < -35.183147, 23.312332, 0.280672>,
      < -35.016331, 21.000908, 0.280672>
    }
    triangle {
      < -34.985210, 23.326622, 0.198465>,
      < -34.743275, 23.344069, 0.441034>,
      < -35.183147, 23.312332, 0.623716>
    }
    triangle {
      < -34.985210, 23.326622, 0.198465>,
      < -35.183147, 23.312332, 0.623716>,
      < -35.183147, 23.312332, 0.280672>
    }
    triangle {
      < -34.743275, 23.344069, 0.441034>,
      < -34.765717, 23.655121, 0.441034>,
      < -35.205605, 23.623371, 0.623716>
    }
    triangle {
      < -34.743275, 23.344069, 0.441034>,
      < -35.205605, 23.623371, 0.623716>,
      < -35.183147, 23.312332, 0.623716>
    }
    triangle {
      < -34.765717, 23.655121, 0.441034>,
      < -34.499660, 24.870266, 0.793862>,
      < -35.291466, 24.813129, 1.122690>
    }
    triangle {
      < -34.765717, 23.655121, 0.441034>,
      < -35.291466, 24.813129, 1.122690>,
      < -35.205605, 23.623371, 0.623716>
    }
    triangle {
      < -34.499660, 24.870266, 0.793862>,
      < -34.367695, 24.879795, 0.926172>,
      < -35.291466, 24.813129, 1.309804>
    }
    triangle {
      < -34.499660, 24.870266, 0.793862>,
      < -35.291466, 24.813129, 1.309804>,
      < -35.291466, 24.813129, 1.122690>
    }
    triangle {
      < -34.367695, 24.879795, 0.926172>,
      < -34.387901, 25.159744, 0.926172>,
      < -35.311668, 25.093071, 1.309804>
    }
    triangle {
      < -34.367695, 24.879795, 0.926172>,
      < -35.311668, 25.093071, 1.309804>,
      < -35.291466, 24.813129, 1.309804>
    }
    triangle {
      < -34.387901, 25.159744, 0.926172>,
      < -35.138412, 25.449520, 0.198465>,
      < -35.336365, 25.435234, 0.280672>
    }
    triangle {
      < -34.387901, 25.159744, 0.926172>,
      < -35.336365, 25.435234, 0.280672>,
      < -35.311668, 25.093071, 1.309804>
    }
    triangle {
      < -35.138412, 25.449520, 0.198465>,
      < -34.921173, 25.809122, 0.441034>,
      < -35.361061, 25.777367, 0.623716>
    }
    triangle {
      < -35.138412, 25.449520, 0.198465>,
      < -35.361061, 25.777367, 0.623716>,
      < -35.336365, 25.435234, 0.280672>
    }
    triangle {
      < -34.921173, 25.809122, 0.441034>,
      < -35.181068, 26.040510, 0.198465>,
      < -35.379028, 26.026230, 0.280672>
    }
    triangle {
      < -34.921173, 25.809122, 0.441034>,
      < -35.379028, 26.026230, 0.280672>,
      < -35.361061, 25.777367, 0.623716>
    }
    triangle {
      < -35.181068, 26.040510, 0.198465>,
      < -35.773300, 31.489208, 0.000000>,
      < -35.379028, 26.026230, 0.280672>
    }
    triangle {
      < -34.736378, 21.021118, 0.000000>,
      < -34.903202, 23.332542, 0.000000>,
      < -34.985210, 23.326622, 0.198465>
    }
    triangle {
      < -34.736378, 21.021118, 0.000000>,
      < -34.985210, 23.326622, 0.198465>,
      < -34.818378, 21.015203, 0.198465>
    }
    triangle {
      < -34.903202, 23.332542, 0.000000>,
      < -34.561050, 23.357229, 0.000000>,
      < -34.743275, 23.344069, 0.441034>
    }
    triangle {
      < -34.903202, 23.332542, 0.000000>,
      < -34.743275, 23.344069, 0.441034>,
      < -34.985210, 23.326622, 0.198465>
    }
    triangle {
      < -34.561050, 23.357229, 0.000000>,
      < -34.583500, 23.668274, 0.000000>,
      < -34.765717, 23.655121, 0.441034>
    }
    triangle {
      < -34.561050, 23.357229, 0.000000>,
      < -34.765717, 23.655121, 0.441034>,
      < -34.743275, 23.344069, 0.441034>
    }
    triangle {
      < -34.583500, 23.668274, 0.000000>,
      < -34.171692, 24.893951, 0.000000>,
      < -34.499660, 24.870266, 0.793862>
    }
    triangle {
      < -34.583500, 23.668274, 0.000000>,
      < -34.499660, 24.870266, 0.793862>,
      < -34.765717, 23.655121, 0.441034>
    }
    triangle {
      < -34.171692, 24.893951, 0.000000>,
      < -33.985054, 24.907419, 0.000000>,
      < -34.367695, 24.879795, 0.926172>
    }
    triangle {
      < -34.171692, 24.893951, 0.000000>,
      < -34.367695, 24.879795, 0.926172>,
      < -34.499660, 24.870266, 0.793862>
    }
    triangle {
      < -33.985054, 24.907419, 0.000000>,
      < -34.005249, 25.187370, 0.000000>,
      < -34.387901, 25.159744, 0.926172>
    }
    triangle {
      < -33.985054, 24.907419, 0.000000>,
      < -34.387901, 25.159744, 0.926172>,
      < -34.367695, 24.879795, 0.926172>
    }
    triangle {
      < -34.005249, 25.187370, 0.000000>,
      < -35.056408, 25.455433, 0.000000>,
      < -35.138412, 25.449520, 0.198465>
    }
    triangle {
      < -34.005249, 25.187370, 0.000000>,
      < -35.138412, 25.449520, 0.198465>,
      < -34.387901, 25.159744, 0.926172>
    }
    triangle {
      < -35.056408, 25.455433, 0.000000>,
      < -34.738964, 25.822281, 0.000000>,
      < -34.921173, 25.809122, 0.441034>
    }
    triangle {
      < -35.056408, 25.455433, 0.000000>,
      < -34.921173, 25.809122, 0.441034>,
      < -35.138412, 25.449520, 0.198465>
    }
    triangle {
      < -34.738964, 25.822281, 0.000000>,
      < -35.099068, 26.046429, 0.000000>,
      < -35.181068, 26.040510, 0.198465>
    }
    triangle {
      < -34.738964, 25.822281, 0.000000>,
      < -35.181068, 26.040510, 0.198465>,
      < -34.921173, 25.809122, 0.441034>
    }
    triangle {
      < -35.099068, 26.046429, 0.000000>,
      < -35.773300, 31.489208, 0.000000>,
      < -35.181068, 26.040510, 0.198465>
    }
    triangle {
      < -35.016331, 21.000908, 0.280672>,
      < -35.214291, 20.986626, 0.198465>,
      < -35.296280, 20.980709, 0.000000>
    }
    triangle {
      < -35.016331, 21.000908, 0.280672>,
      < -35.296280, 20.980709, 0.000000>,
      < -35.214291, 20.986626, -0.198465>
    }
    triangle {
      < -35.016331, 21.000908, 0.280672>,
      < -35.214291, 20.986626, -0.198465>,
      < -35.016331, 21.000908, -0.280672>
    }
    triangle {
      < -35.016331, 21.000908, 0.280672>,
      < -35.016331, 21.000908, -0.280672>,
      < -34.818378, 21.015203, -0.198465>
    }
    triangle {
      < -35.016331, 21.000908, 0.280672>,
      < -34.818378, 21.015203, -0.198465>,
      < -34.736378, 21.021118, 0.000000>
    }
    triangle {
      < -35.016331, 21.000908, 0.280672>,
      < -34.736378, 21.021118, 0.000000>,
      < -34.818378, 21.015203, 0.198465>
    }
    texture {lamp}
  }
  // foremast
  union {
    triangle {
      < 20.312319, -0.643831, 0.581170>,
      < 41.677841, 14.150139, 0.289265>,
      < 41.515854, 14.389792, 0.409083>
    }
    triangle {
      < 20.312319, -0.643831, 0.581170>,
      < 41.515854, 14.389792, 0.409083>,
      < 19.986862, -0.162336, 0.821899>
    }
    triangle {
      < 20.447128, -0.843273, 0.000000>,
      < 41.744942, 14.050873, 0.000000>,
      < 41.677841, 14.150139, 0.289265>
    }
    triangle {
      < 20.447128, -0.843273, 0.000000>,
      < 41.677841, 14.150139, 0.289265>,
      < 20.312319, -0.643831, 0.581170>
    }
    triangle {
      < 20.312319, -0.643831, -0.581170>,
      < 41.677841, 14.150139, -0.289265>,
      < 41.744942, 14.050873, 0.000000>
    }
    triangle {
      < 20.312319, -0.643831, -0.581170>,
      < 41.744942, 14.050873, 0.000000>,
      < 20.447128, -0.843273, 0.000000>
    }
    triangle {
      < 19.986862, -0.162336, -0.821899>,
      < 41.515854, 14.389792, -0.409081>,
      < 41.677841, 14.150139, -0.289265>
    }
    triangle {
      < 19.986862, -0.162336, -0.821899>,
      < 41.677841, 14.150139, -0.289265>,
      < 20.312319, -0.643831, -0.581170>
    }
    triangle {
      < 19.661402, 0.319160, -0.581170>,
      < 41.353859, 14.629446, -0.289265>,
      < 41.515854, 14.389792, -0.409081>
    }
    triangle {
      < 19.661402, 0.319160, -0.581170>,
      < 41.515854, 14.389792, -0.409081>,
      < 19.986862, -0.162336, -0.821899>
    }
    triangle {
      < 19.526598, 0.518598, 0.000000>,
      < 41.286762, 14.728712, 0.000000>,
      < 41.353859, 14.629446, -0.289265>
    }
    triangle {
      < 19.526598, 0.518598, 0.000000>,
      < 41.353859, 14.629446, -0.289265>,
      < 19.661402, 0.319160, -0.581170>
    }
    triangle {
      < 19.661402, 0.319160, 0.581170>,
      < 41.353859, 14.629446, 0.289265>,
      < 41.286762, 14.728712, 0.000000>
    }
    triangle {
      < 19.661402, 0.319160, 0.581170>,
      < 41.286762, 14.728712, 0.000000>,
      < 19.526598, 0.518598, 0.000000>
    }
    triangle {
      < 19.986862, -0.162336, 0.821899>,
      < 41.515854, 14.389792, 0.409083>,
      < 41.353859, 14.629446, 0.289265>
    }
    triangle {
      < 19.986862, -0.162336, 0.821899>,
      < 41.353859, 14.629446, 0.289265>,
      < 19.661402, 0.319160, 0.581170>
    }
    triangle {
      < 41.677841, 14.150139, 0.289265>,
      < 41.744942, 14.050873, 0.000000>,
      < 41.677841, 14.150139, -0.289265>
    }
    triangle {
      < 41.677841, 14.150139, 0.289265>,
      < 41.677841, 14.150139, -0.289265>,
      < 41.515854, 14.389792, -0.409081>
    }
    triangle {
      < 41.677841, 14.150139, 0.289265>,
      < 41.515854, 14.389792, -0.409081>,
      < 41.353859, 14.629446, -0.289265>
    }
    triangle {
      < 41.677841, 14.150139, 0.289265>,
      < 41.353859, 14.629446, -0.289265>,
      < 41.286762, 14.728712, 0.000000>
    }
    triangle {
      < 41.677841, 14.150139, 0.289265>,
      < 41.286762, 14.728712, 0.000000>,
      < 41.353859, 14.629446, 0.289265>
    }
    triangle {
      < 41.677841, 14.150139, 0.289265>,
      < 41.353859, 14.629446, 0.289265>,
      < 41.515854, 14.389792, 0.409083>
    }
    triangle {
      < 19.661402, 0.319160, 0.581170>,
      < 19.526598, 0.518598, 0.000000>,
      < 19.661402, 0.319160, -0.581170>
    }
    triangle {
      < 19.661402, 0.319160, 0.581170>,
      < 19.661402, 0.319160, -0.581170>,
      < 19.986862, -0.162336, -0.821899>
    }
    triangle {
      < 19.661402, 0.319160, 0.581170>,
      < 19.986862, -0.162336, -0.821899>,
      < 20.312319, -0.643831, -0.581170>
    }
    triangle {
      < 19.661402, 0.319160, 0.581170>,
      < 20.312319, -0.643831, -0.581170>,
      < 20.447128, -0.843273, 0.000000>
    }
    triangle {
      < 19.661402, 0.319160, 0.581170>,
      < 20.447128, -0.843273, 0.000000>,
      < 20.312319, -0.643831, 0.581170>
    }
    triangle {
      < 19.661402, 0.319160, 0.581170>,
      < 20.312319, -0.643831, 0.581170>,
      < 19.986862, -0.162336, 0.821899>
    }
    texture {foremast}
  }
  // keel
  union {
    triangle {
      < -38.073593, -19.202291, -1.238075>,
      < -32.189545, -19.209759, -1.238075>,
      < -32.243050, -19.185102, 0.000000>
    }
    triangle {
      < -38.073593, -19.202291, -1.238075>,
      < -32.243050, -19.185102, 0.000000>,
      < -38.131035, -19.181059, 0.000000>
    }
    triangle {
      < -24.875282, -19.207870, -1.238075>,
      < -24.875282, -19.187256, 0.000000>,
      < -32.243050, -19.185102, 0.000000>
    }
    triangle {
      < -24.875282, -19.207870, -1.238075>,
      < -32.243050, -19.185102, 0.000000>,
      < -32.189545, -19.209759, -1.238075>
    }
    triangle {
      < -21.158424, -19.201153, -1.238075>,
      < -21.158424, -19.188753, 0.000000>,
      < -24.875282, -19.187256, 0.000000>
    }
    triangle {
      < -21.158424, -19.201153, -1.238075>,
      < -24.875282, -19.187256, 0.000000>,
      < -24.875282, -19.207870, -1.238075>
    }
    triangle {
      < -17.426210, -19.199236, -1.238075>,
      < -17.426210, -19.186226, 0.000000>,
      < -21.158424, -19.188753, 0.000000>
    }
    triangle {
      < -17.426210, -19.199236, -1.238075>,
      < -21.158424, -19.188753, 0.000000>,
      < -21.158424, -19.201153, -1.238075>
    }
    triangle {
      < -10.703051, -19.188595, -1.238075>,
      < -10.703051, -19.187540, 0.000000>,
      < -17.426210, -19.186226, 0.000000>
    }
    triangle {
      < -10.703051, -19.188595, -1.238075>,
      < -17.426210, -19.186226, 0.000000>,
      < -17.426210, -19.199236, -1.238075>
    }
    triangle {
      < -6.862593, -19.192287, -1.238075>,
      < -6.862593, -19.191231, 0.000000>,
      < -10.703051, -19.187540, 0.000000>
    }
    triangle {
      < -6.862593, -19.192287, -1.238075>,
      < -10.703051, -19.187540, 0.000000>,
      < -10.703051, -19.188595, -1.238075>
    }
    triangle {
      < -2.943282, -19.197210, -1.238075>,
      < -2.943282, -19.188084, 0.000000>,
      < -6.862593, -19.191231, 0.000000>
    }
    triangle {
      < -2.943282, -19.197210, -1.238075>,
      < -6.862593, -19.191231, 0.000000>,
      < -6.862593, -19.192287, -1.238075>
    }
    triangle {
      < 2.420745, -19.188913, -1.238075>,
      < 2.420745, -19.183977, 0.000000>,
      < -2.943282, -19.188084, 0.000000>
    }
    triangle {
      < 2.420745, -19.188913, -1.238075>,
      < -2.943282, -19.188084, 0.000000>,
      < -2.943282, -19.197210, -1.238075>
    }
    triangle {
      < 12.980299, -18.290831, 0.000000>,
      < 7.603565, -19.183283, 0.000000>,
      < 7.603565, -19.195683, -1.238075>
    }
    triangle {
      < 12.980299, -18.290831, 0.000000>,
      < 7.603565, -19.195683, -1.238075>,
      < 12.967180, -18.306032, -1.259959>
    }
    triangle {
      < 16.730053, -16.014843, -1.259959>,
      < 16.797665, -16.055038, 0.000000>,
      < 12.980299, -18.290831, 0.000000>
    }
    triangle {
      < 16.730053, -16.014843, -1.259959>,
      < 12.980299, -18.290831, 0.000000>,
      < 12.967180, -18.306032, -1.259959>
    }
    triangle {
      < 19.381454, -13.269838, -1.259959>,
      < 19.872108, -13.242973, 0.000000>,
      < 16.797665, -16.055038, 0.000000>
    }
    triangle {
      < 19.381454, -13.269838, -1.259959>,
      < 16.797665, -16.055038, 0.000000>,
      < 16.730053, -16.014843, -1.259959>
    }
    triangle {
      < 22.486511, -8.349066, -1.259959>,
      < 22.851847, -8.316385, 0.000000>,
      < 19.872108, -13.242973, 0.000000>
    }
    triangle {
      < 22.486511, -8.349066, -1.259959>,
      < 19.872108, -13.242973, 0.000000>,
      < 19.381454, -13.269838, -1.259959>
    }
    triangle {
      < 24.247856, -5.150546, -1.259967>,
      < 24.431244, -5.094540, 0.000000>,
      < 22.851847, -8.316385, 0.000000>
    }
    triangle {
      < 24.247856, -5.150546, -1.259967>,
      < 22.851847, -8.316385, 0.000000>,
      < 22.486511, -8.349066, -1.259959>
    }
    triangle {
      < 26.552673, -2.858097, -1.259976>,
      < 26.431309, -2.898813, 0.000000>,
      < 24.431244, -5.094540, 0.000000>
    }
    triangle {
      < 26.552673, -2.858097, -1.259976>,
      < 24.431244, -5.094540, 0.000000>,
      < 24.247856, -5.150546, -1.259967>
    }
    triangle {
      < 29.468712, -0.579000, -1.259978>,
      < 29.475975, -0.580864, 0.000000>,
      < 26.431309, -2.898813, 0.000000>
    }
    triangle {
      < 29.468712, -0.579000, -1.259978>,
      < 26.431309, -2.898813, 0.000000>,
      < 26.552673, -2.858097, -1.259976>
    }
    triangle {
      < 30.889355, 1.488847, -1.259971>,
      < 30.886574, 1.483778, 0.000000>,
      < 29.475975, -0.580864, 0.000000>
    }
    triangle {
      < 30.889355, 1.488847, -1.259971>,
      < 29.475975, -0.580864, 0.000000>,
      < 29.468712, -0.579000, -1.259978>
    }
    texture {keel}
  }
  // hull
  union {
    triangle {
      < 30.887581, 4.224448, -1.259971>,
      < 30.886909, 4.257463, 0.000000>,
      < 30.886574, 1.483778, 0.000000>
    }
    triangle {
      < 30.887581, 4.224448, -1.259971>,
      < 30.886574, 1.483778, 0.000000>,
      < 30.889355, 1.488847, -1.259971>
    }
    triangle {
      < 29.521240, 5.140058, -1.259971>,
      < 29.460693, 5.099638, 0.000000>,
      < 30.886909, 4.257463, 0.000000>
    }
    triangle {
      < 29.521240, 5.140058, -1.259971>,
      < 30.886909, 4.257463, 0.000000>,
      < 30.887581, 4.224448, -1.259971>
    }
    triangle {
      < 27.605324, 4.464114, -1.605842>,
      < 27.489288, 4.497021, 0.000000>,
      < 29.460693, 5.099638, 0.000000>
    }
    triangle {
      < 27.605324, 4.464114, -1.605842>,
      < 29.460693, 5.099638, 0.000000>,
      < 29.521240, 5.140058, -1.259971>
    }
    triangle {
      < 27.217043, 2.526036, -1.605860>,
      < 27.104233, 2.554623, 0.000000>,
      < 27.489288, 4.497021, 0.000000>
    }
    triangle {
      < 27.217043, 2.526036, -1.605860>,
      < 27.489288, 4.497021, 0.000000>,
      < 27.605324, 4.464114, -1.605842>
    }
    texture {hull}
  }
  // keel
  union {
    triangle {
      < -24.875282, -17.469940, -1.238075>,
      < -24.875282, -19.207870, -1.238075>,
      < -32.189545, -19.209759, -1.238075>
    }
    triangle {
      < -24.875282, -17.469940, -1.238075>,
      < -32.189545, -19.209759, -1.238075>,
      < -32.122738, -17.475546, -1.238075>
    }
    triangle {
      < -21.158424, -17.471130, -1.238075>,
      < -21.158424, -19.201153, -1.238075>,
      < -24.875282, -19.207870, -1.238075>
    }
    triangle {
      < -21.158424, -17.471130, -1.238075>,
      < -24.875282, -19.207870, -1.238075>,
      < -24.875282, -17.469940, -1.238075>
    }
    triangle {
      < -17.426210, -17.464722, -1.238075>,
      < -17.426210, -19.199236, -1.238075>,
      < -21.158424, -19.201153, -1.238075>
    }
    triangle {
      < -17.426210, -17.464722, -1.238075>,
      < -21.158424, -19.201153, -1.238075>,
      < -21.158424, -17.471130, -1.238075>
    }
    triangle {
      < -10.703051, -17.446625, -1.238075>,
      < -10.703051, -19.188595, -1.238075>,
      < -17.426210, -19.199236, -1.238075>
    }
    triangle {
      < -10.703051, -17.446625, -1.238075>,
      < -17.426210, -19.199236, -1.238075>,
      < -17.426210, -17.464722, -1.238075>
    }
    triangle {
      < -6.862593, -17.454201, -1.238075>,
      < -6.862593, -19.192287, -1.238075>,
      < -10.703051, -19.188595, -1.238075>
    }
    triangle {
      < -6.862593, -17.454201, -1.238075>,
      < -10.703051, -19.188595, -1.238075>,
      < -10.703051, -17.446625, -1.238075>
    }
    triangle {
      < -2.943282, -17.458817, -1.238075>,
      < -2.943282, -19.197210, -1.238075>,
      < -6.862593, -19.192287, -1.238075>
    }
    triangle {
      < -2.943282, -17.458817, -1.238075>,
      < -6.862593, -19.192287, -1.238075>,
      < -6.862593, -17.454201, -1.238075>
    }
    triangle {
      < 2.420745, -17.454708, -1.238075>,
      < 2.420745, -19.188913, -1.238075>,
      < -2.943282, -19.197210, -1.238075>
    }
    triangle {
      < 2.420745, -17.454708, -1.238075>,
      < -2.943282, -19.197210, -1.238075>,
      < -2.943282, -17.458817, -1.238075>
    }
    triangle {
      < 7.603565, -17.449827, -1.238075>,
      < 7.603565, -19.195683, -1.238075>,
      < 2.420745, -19.188913, -1.238075>
    }
    triangle {
      < 7.603565, -17.449827, -1.238075>,
      < 2.420745, -19.188913, -1.238075>,
      < 2.420745, -17.454708, -1.238075>
    }
    triangle {
      < 12.879044, -16.473442, -1.238075>,
      < 12.967180, -18.306032, -1.259959>,
      < 7.603565, -19.195683, -1.238075>
    }
    triangle {
      < 12.879044, -16.473442, -1.238075>,
      < 7.603565, -19.195683, -1.238075>,
      < 7.603565, -17.449827, -1.238075>
    }
    triangle {
      < 16.405544, -14.094017, -1.238075>,
      < 16.730053, -16.014843, -1.259959>,
      < 12.967180, -18.306032, -1.259959>
    }
    triangle {
      < 16.405544, -14.094017, -1.238075>,
      < 12.967180, -18.306032, -1.259959>,
      < 12.879044, -16.473442, -1.238075>
    }
    triangle {
      < 18.244587, -11.779632, -1.238075>,
      < 19.381454, -13.269838, -1.259959>,
      < 16.730053, -16.014843, -1.259959>
    }
    triangle {
      < 18.244587, -11.779632, -1.238075>,
      < 16.730053, -16.014843, -1.259959>,
      < 16.405544, -14.094017, -1.238075>
    }
    triangle {
      < 20.710901, -7.529170, -1.281522>,
      < 22.486511, -8.349066, -1.259959>,
      < 19.381454, -13.269838, -1.259959>
    }
    triangle {
      < 20.710901, -7.529170, -1.281522>,
      < 19.381454, -13.269838, -1.259959>,
      < 18.244587, -11.779632, -1.238075>
    }
    triangle {
      < 22.502172, -2.387520, -1.780734>,
      < 24.247856, -5.150546, -1.259967>,
      < 22.486511, -8.349066, -1.259959>
    }
    triangle {
      < 22.502172, -2.387520, -1.780734>,
      < 22.486511, -8.349066, -1.259959>,
      < 20.710901, -7.529170, -1.281522>
    }
    triangle {
      < 26.162926, -1.127839, -1.911312>,
      < 26.552673, -2.858097, -1.259976>,
      < 24.247856, -5.150546, -1.259967>
    }
    triangle {
      < 26.162926, -1.127839, -1.911312>,
      < 24.247856, -5.150546, -1.259967>,
      < 22.502172, -2.387520, -1.780734>
    }
    triangle {
      < 28.999243, 0.125412, -1.881888>,
      < 29.468712, -0.579000, -1.259978>,
      < 26.552673, -2.858097, -1.259976>
    }
    triangle {
      < 28.999243, 0.125412, -1.881888>,
      < 26.552673, -2.858097, -1.259976>,
      < 26.162926, -1.127839, -1.911312>
    }
    triangle {
      < 28.999243, 0.125412, -1.881888>,
      < 30.889355, 1.488847, -1.259971>,
      < 29.468712, -0.579000, -1.259978>
    }
    triangle {
      < -32.189545, -19.209759, -1.238075>,
      < -38.073593, -19.202291, -1.238075>,
      < -38.881935, -16.109306, -1.238075>
    }
    triangle {
      < -32.189545, -19.209759, -1.238075>,
      < -38.881935, -16.109306, -1.238075>,
      < -32.122738, -17.475546, -1.238075>
    }
    triangle {
      < -38.942127, -13.100367, -1.238075>,
      < -32.122734, -13.101784, -1.238075>,
      < -32.122738, -17.475546, -1.238075>
    }
    triangle {
      < -38.942127, -13.100367, -1.238075>,
      < -32.122738, -17.475546, -1.238075>,
      < -38.881935, -16.109306, -1.238075>
    }
    triangle {
      < -38.612694, -10.520290, -1.238075>,
      < -32.122734, -10.529110, -1.238075>,
      < -32.122734, -13.101784, -1.238075>
    }
    triangle {
      < -38.612694, -10.520290, -1.238075>,
      < -32.122734, -13.101784, -1.238075>,
      < -38.942127, -13.100367, -1.238075>
    }
    triangle {
      < -35.691887, -7.364658, -1.238075>,
      < -32.122734, -7.294571, -1.238075>,
      < -32.122734, -10.529110, -1.238075>
    }
    triangle {
      < -35.691887, -7.364658, -1.238075>,
      < -32.122734, -10.529110, -1.238075>,
      < -38.612694, -10.520290, -1.238075>
    }
    triangle {
      < -34.094254, -2.453040, -1.238075>,
      < -32.122734, -2.380687, -1.238075>,
      < -32.122734, -7.294571, -1.238075>
    }
    triangle {
      < -34.094254, -2.453040, -1.238075>,
      < -32.122734, -7.294571, -1.238075>,
      < -35.691887, -7.364658, -1.238075>
    }
    triangle {
      < -32.122818, 3.000987, -1.238075>,
      < -32.122829, 0.590391, -1.238075>,
      < -32.122734, -2.380687, -1.238075>
    }
    triangle {
      < -32.122818, 3.000987, -1.238075>,
      < -32.122734, -2.380687, -1.238075>,
      < -34.094254, -2.453040, -1.238075>
    }
    triangle {
      < -32.122818, 3.000987, -1.238075>,
      < -34.094254, -2.453040, -1.238075>,
      < -33.722420, 3.002194, -1.266791>
    }
    texture {keel}
  }
  // hull
  union {
    triangle {
      < -32.122726, -13.101580, -3.815750>,
      < -32.122726, -16.693306, -4.355949>,
      < -32.122738, -17.475546, -1.238075>
    }
    triangle {
      < -32.122726, -13.101580, -3.815750>,
      < -32.122738, -17.475546, -1.238075>,
      < -32.122734, -13.101784, -1.238075>
    }
    triangle {
      < -32.122711, -13.101223, -8.479156>,
      < -32.122711, -15.201252, -8.479453>,
      < -32.122726, -16.693306, -4.355949>
    }
    triangle {
      < -32.122711, -13.101223, -8.479156>,
      < -32.122726, -16.693306, -4.355949>,
      < -32.122726, -13.101580, -3.815750>
    }
    triangle {
      < -32.122711, -13.101223, -8.479156>,
      < -32.122692, -13.101498, -12.252906>,
      < -32.122711, -15.201252, -8.479453>
    }
    triangle {
      < -32.122711, -13.101223, -8.479156>,
      < -32.122711, -10.525373, -8.478323>,
      < -32.122688, -10.525450, -13.978191>
    }
    triangle {
      < -32.122711, -13.101223, -8.479156>,
      < -32.122688, -10.525450, -13.978191>,
      < -32.122692, -13.101498, -12.252906>
    }
    triangle {
      < -32.122726, -13.101580, -3.815750>,
      < -32.122726, -10.527499, -3.815633>,
      < -32.122711, -10.525373, -8.478323>
    }
    triangle {
      < -32.122726, -13.101580, -3.815750>,
      < -32.122711, -10.525373, -8.478323>,
      < -32.122711, -13.101223, -8.479156>
    }
    triangle {
      < -32.122734, -13.101784, -1.238075>,
      < -32.122734, -10.529110, -1.238075>,
      < -32.122726, -10.527499, -3.815633>
    }
    triangle {
      < -32.122734, -13.101784, -1.238075>,
      < -32.122726, -10.527499, -3.815633>,
      < -32.122726, -13.101580, -3.815750>
    }
    triangle {
      < -32.122726, -7.294347, -3.815463>,
      < -32.122726, -10.527499, -3.815633>,
      < -32.122734, -10.529110, -1.238075>
    }
    triangle {
      < -32.122726, -7.294347, -3.815463>,
      < -32.122734, -10.529110, -1.238075>,
      < -32.122734, -7.294571, -1.238075>
    }
    triangle {
      < -32.122707, -7.294013, -8.480250>,
      < -32.122711, -10.525373, -8.478323>,
      < -32.122726, -10.527499, -3.815633>
    }
    triangle {
      < -32.122707, -7.294013, -8.480250>,
      < -32.122726, -10.527499, -3.815633>,
      < -32.122726, -7.294347, -3.815463>
    }
    triangle {
      < -32.122684, -7.293530, -14.206009>,
      < -32.122688, -10.525450, -13.978191>,
      < -32.122711, -10.525373, -8.478323>
    }
    triangle {
      < -32.122684, -7.293530, -14.206009>,
      < -32.122711, -10.525373, -8.478323>,
      < -32.122707, -7.294013, -8.480250>
    }
    triangle {
      < -32.122730, -2.380611, -2.860078>,
      < -32.122726, -7.294347, -3.815463>,
      < -32.122734, -7.294571, -1.238075>
    }
    triangle {
      < -32.122730, -2.380611, -2.860078>,
      < -32.122734, -7.294571, -1.238075>,
      < -32.122734, -2.380687, -1.238075>
    }
    triangle {
      < -32.122730, -2.380611, -2.860078>,
      < -32.122726, -2.380491, -4.517693>,
      < -32.122726, -7.294347, -3.815463>
    }
    triangle {
      < -32.122707, -7.294013, -8.480250>,
      < -32.122726, -7.294347, -3.815463>,
      < -32.122726, -2.380491, -4.517693>
    }
    triangle {
      < -32.122707, -7.294013, -8.480250>,
      < -32.122726, -2.380491, -4.517693>,
      < -32.122711, -3.604395, -7.527471>
    }
    triangle {
      < -32.122711, -3.604395, -7.527471>,
      < -32.122704, -3.604366, -9.285585>,
      < -32.122707, -7.294013, -8.480250>
    }
    triangle {
      < -32.122684, -7.293530, -14.206009>,
      < -32.122707, -7.294013, -8.480250>,
      < -32.122704, -3.604366, -9.285585>
    }
    triangle {
      < -32.122684, -7.293530, -14.206009>,
      < -32.122704, -3.604366, -9.285585>,
      < -32.122688, -3.604459, -12.926102>
    }
    texture {hull}
  }
  // keel
  union {
    triangle {
      < -35.691887, -7.364658, -1.238075>,
      < -35.631935, -7.364541, 0.000000>,
      < -34.151215, -2.453028, 0.000000>
    }
    triangle {
      < -35.691887, -7.364658, -1.238075>,
      < -34.151215, -2.453028, 0.000000>,
      < -34.094254, -2.453040, -1.238075>
    }
    triangle {
      < -38.942127, -13.100367, -1.238075>,
      < -38.914642, -13.100622, 0.000000>,
      < -38.571144, -10.520123, 0.000000>
    }
    triangle {
      < -38.942127, -13.100367, -1.238075>,
      < -38.571144, -10.520123, 0.000000>,
      < -38.612694, -10.520290, -1.238075>
    }
    triangle {
      < -38.881935, -16.109306, -1.238075>,
      < -38.943748, -16.087477, 0.000000>,
      < -38.914642, -13.100622, 0.000000>
    }
    triangle {
      < -38.881935, -16.109306, -1.238075>,
      < -38.914642, -13.100622, 0.000000>,
      < -38.942127, -13.100367, -1.238075>
    }
    triangle {
      < -38.073593, -19.202291, -1.238075>,
      < -38.131035, -19.181059, 0.000000>,
      < -38.943748, -16.087477, 0.000000>
    }
    triangle {
      < -38.073593, -19.202291, -1.238075>,
      < -38.943748, -16.087477, 0.000000>,
      < -38.881935, -16.109306, -1.238075>
    }
    triangle {
      < -38.612694, -10.520290, -1.238075>,
      < -38.571144, -10.520123, 0.000000>,
      < -35.631935, -7.364541, 0.000000>
    }
    triangle {
      < -38.612694, -10.520290, -1.238075>,
      < -35.631935, -7.364541, 0.000000>,
      < -35.691887, -7.364658, -1.238075>
    }
    texture {keel}
  }
  // hull
  union {
    triangle {
      < 26.141859, -0.943860, -5.148655>,
      < 26.162926, -1.127839, -1.911312>,
      < 22.502172, -2.387520, -1.780734>
    }
    triangle {
      < 26.141859, -0.943860, -5.148655>,
      < 22.502172, -2.387520, -1.780734>,
      < 22.927841, -2.079975, -5.293032>
    }
    triangle {
      < 29.132690, 0.554667, -5.435258>,
      < 28.999243, 0.125412, -1.881888>,
      < 26.162926, -1.127839, -1.911312>
    }
    triangle {
      < 29.132690, 0.554667, -5.435258>,
      < 26.162926, -1.127839, -1.911312>,
      < 26.141859, -0.943860, -5.148655>
    }
    triangle {
      < 29.132690, 0.554667, -5.435258>,
      < 30.889355, 1.488847, -1.259971>,
      < 28.999243, 0.125412, -1.881888>
    }
    triangle {
      < 26.141859, -0.943860, -5.148655>,
      < 26.222294, -0.414192, -7.186513>,
      < 29.132690, 0.554667, -5.435258>
    }
    triangle {
      < 22.927841, -2.079975, -5.293032>,
      < 22.642578, -2.021900, -6.338686>,
      < 26.222294, -0.414192, -7.186513>
    }
    triangle {
      < 22.927841, -2.079975, -5.293032>,
      < 26.222294, -0.414192, -7.186513>,
      < 26.141859, -0.943860, -5.148655>
    }
    triangle {
      < 23.797483, -0.793227, -9.466203>,
      < 26.222294, -0.414192, -7.186513>,
      < 22.642578, -2.021900, -6.338686>
    }
    triangle {
      < 23.797483, -0.793227, -9.466203>,
      < 22.642578, -2.021900, -6.338686>,
      < 22.192654, -1.778881, -8.919837>
    }
    triangle {
      < 21.442825, -1.464471, -9.712464>,
      < 22.778015, -0.755679, -10.499197>,
      < 23.797483, -0.793227, -9.466203>
    }
    triangle {
      < 21.442825, -1.464471, -9.712464>,
      < 23.797483, -0.793227, -9.466203>,
      < 22.192654, -1.778881, -8.919837>
    }
    triangle {
      < 29.132690, 0.554667, -5.435258>,
      < 28.136330, 2.362632, -4.761501>,
      < 29.379856, 3.334527, -1.774282>
    }
    triangle {
      < 29.132690, 0.554667, -5.435258>,
      < 29.379856, 3.334527, -1.774282>,
      < 30.889355, 1.488847, -1.259971>
    }
    triangle {
      < 26.222294, -0.414192, -7.186513>,
      < 26.016197, 1.315401, -7.589925>,
      < 28.136330, 2.362632, -4.761501>
    }
    triangle {
      < 26.222294, -0.414192, -7.186513>,
      < 28.136330, 2.362632, -4.761501>,
      < 29.132690, 0.554667, -5.435258>
    }
    triangle {
      < 23.797483, -0.793227, -9.466203>,
      < 24.328785, 1.265883, -9.340617>,
      < 26.016197, 1.315401, -7.589925>
    }
    triangle {
      < 23.797483, -0.793227, -9.466203>,
      < 26.016197, 1.315401, -7.589925>,
      < 26.222294, -0.414192, -7.186513>
    }
    triangle {
      < 29.379856, 3.334527, -1.774282>,
      < 30.887581, 4.224448, -1.259971>,
      < 30.889355, 1.488847, -1.259971>
    }
    triangle {
      < 29.379856, 3.334527, -1.774282>,
      < 29.521240, 5.140058, -1.259971>,
      < 30.887581, 4.224448, -1.259971>
    }
    triangle {
      < 20.806227, -0.763545, -10.438858>,
      < 21.705126, -0.275237, -11.014637>,
      < 22.778015, -0.755679, -10.499197>
    }
    triangle {
      < 20.806227, -0.763545, -10.438858>,
      < 22.778015, -0.755679, -10.499197>,
      < 21.442825, -1.464471, -9.712464>
    }
    triangle {
      < 20.500061, 0.752725, -10.784106>,
      < 21.436293, 0.883347, -11.366537>,
      < 21.705126, -0.275237, -11.014637>
    }
    triangle {
      < 20.500061, 0.752725, -10.784106>,
      < 21.705126, -0.275237, -11.014637>,
      < 20.806227, -0.763545, -10.438858>
    }
    triangle {
      < 21.135654, 1.550061, -10.690931>,
      < 22.121262, 1.561577, -11.206270>,
      < 21.436293, 0.883347, -11.366537>
    }
    triangle {
      < 21.135654, 1.550061, -10.690931>,
      < 21.436293, 0.883347, -11.366537>,
      < 20.500061, 0.752725, -10.784106>
    }
    triangle {
      < 24.074268, 1.416270, -8.771894>,
      < 24.328785, 1.265883, -9.340617>,
      < 22.121262, 1.561577, -11.206270>
    }
    triangle {
      < 24.074268, 1.416270, -8.771894>,
      < 22.121262, 1.561577, -11.206270>,
      < 21.934351, 1.656698, -10.462739>
    }
    triangle {
      < 22.121262, 1.561577, -11.206270>,
      < 24.328785, 1.265883, -9.340617>,
      < 23.797483, -0.793227, -9.466203>
    }
    triangle {
      < 22.121262, 1.561577, -11.206270>,
      < 23.797483, -0.793227, -9.466203>,
      < 22.778015, -0.755679, -10.499197>
    }
    triangle {
      < 22.121262, 1.561577, -11.206270>,
      < 22.778015, -0.755679, -10.499197>,
      < 21.705126, -0.275237, -11.014637>
    }
    triangle {
      < 22.121262, 1.561577, -11.206270>,
      < 21.705126, -0.275237, -11.014637>,
      < 21.436293, 0.883347, -11.366537>
    }
    triangle {
      < 25.925503, 1.399094, -7.091439>,
      < 26.016197, 1.315401, -7.589925>,
      < 24.328785, 1.265883, -9.340617>
    }
    triangle {
      < 25.925503, 1.399094, -7.091439>,
      < 24.328785, 1.265883, -9.340617>,
      < 24.074268, 1.416270, -8.771894>
    }
    triangle {
      < 25.925503, 1.399094, -7.091439>,
      < 28.136330, 2.362632, -4.761501>,
      < 26.016197, 1.315401, -7.589925>
    }
    triangle {
      < 20.477345, 3.637633, -7.988389>,
      < 21.007219, 3.249419, -9.869397>,
      < 17.983040, 6.662837, -11.152293>
    }
    triangle {
      < 20.477345, 3.637633, -7.988389>,
      < 17.983040, 6.662837, -11.152293>,
      < 17.005033, 6.662837, -9.681633>
    }
    triangle {
      < 22.595039, 2.320421, -6.663224>,
      < 23.650299, 1.840257, -8.010921>,
      < 21.007219, 3.249419, -9.869397>
    }
    triangle {
      < 22.595039, 2.320421, -6.663224>,
      < 21.007219, 3.249419, -9.869397>,
      < 20.477345, 3.637633, -7.988389>
    }
    triangle {
      < 24.421982, 1.686574, -5.242180>,
      < 25.636337, 1.698787, -6.579282>,
      < 23.650299, 1.840257, -8.010921>
    }
    triangle {
      < 24.421982, 1.686574, -5.242180>,
      < 23.650299, 1.840257, -8.010921>,
      < 22.595039, 2.320421, -6.663224>
    }
    triangle {
      < 26.100426, 1.864140, -3.405339>,
      < 27.706768, 2.015127, -4.583124>,
      < 25.636337, 1.698787, -6.579282>
    }
    triangle {
      < 26.100426, 1.864140, -3.405339>,
      < 25.636337, 1.698787, -6.579282>,
      < 24.421982, 1.686574, -5.242180>
    }
    triangle {
      < 27.217043, 2.526036, -1.605860>,
      < 27.605324, 4.464114, -1.605842>,
      < 28.646168, 2.885117, -3.198632>
    }
    triangle {
      < 29.379856, 3.334527, -1.774282>,
      < 28.646168, 2.885117, -3.198632>,
      < 27.605324, 4.464114, -1.605842>
    }
    triangle {
      < 29.379856, 3.334527, -1.774282>,
      < 27.605324, 4.464114, -1.605842>,
      < 29.521240, 5.140058, -1.259971>
    }
    triangle {
      < 28.136330, 2.362632, -4.761501>,
      < 27.706768, 2.015127, -4.583124>,
      < 28.646168, 2.885117, -3.198632>
    }
    triangle {
      < 28.136330, 2.362632, -4.761501>,
      < 28.646168, 2.885117, -3.198632>,
      < 29.379856, 3.334527, -1.774282>
    }
    triangle {
      < 26.100426, 1.864140, -3.405339>,
      < 27.217043, 2.526036, -1.605860>,
      < 28.646168, 2.885117, -3.198632>
    }
    triangle {
      < 26.100426, 1.864140, -3.405339>,
      < 28.646168, 2.885117, -3.198632>,
      < 27.706768, 2.015127, -4.583124>
    }
    texture {hull}
  }
  // deck
  union {
    triangle {
      < 26.333582, 1.027800, -1.582581>,
      < 27.660387, 1.772689, 0.000000>,
      < 27.427397, 1.142091, 0.000000>
    }
    triangle {
      < 23.720354, 0.966969, -4.569222>,
      < 23.102367, 0.608405, 0.000000>,
      < 25.659239, 1.174690, 0.000000>
    }
    triangle {
      < 23.720354, 0.966969, -4.569222>,
      < 25.659239, 1.174690, 0.000000>,
      < 26.333582, 1.027800, -1.582581>
    }
    triangle {
      < 16.906103, 5.316076, -1.586848>,
      < 16.906103, 5.316102, 0.000000>,
      < 21.179319, 1.176081, 0.000000>
    }
    triangle {
      < 16.906103, 5.316076, -1.586848>,
      < 21.179319, 1.176081, 0.000000>,
      < 21.278627, 1.400611, -1.803334>
    }
    triangle {
      < 21.278627, 1.400611, -1.803334>,
      < 18.888571, 1.302237, -1.623599>,
      < 16.906103, 5.316076, -1.586848>
    }
    triangle {
      < 21.060875, 1.981712, -6.729387>,
      < 19.376360, 2.471233, -7.869488>,
      < 18.888571, 1.302237, -1.623599>
    }
    triangle {
      < 16.906103, 5.316076, -1.586848>,
      < 18.888571, 1.302237, -1.623599>,
      < 19.376360, 2.471233, -7.869488>
    }
    triangle {
      < 16.906103, 5.316076, -1.586848>,
      < 19.376360, 2.471233, -7.869488>,
      < 16.906103, 5.316122, -8.994491>
    }
    triangle {
      < 6.683901, 5.315889, -1.586848>,
      < 6.675109, 5.316054, 0.000000>,
      < 16.906103, 5.316102, 0.000000>
    }
    triangle {
      < 6.683901, 5.315889, -1.586848>,
      < 16.906103, 5.316102, 0.000000>,
      < 16.906103, 5.316076, -1.586848>
    }
    triangle {
      < 6.683901, 5.315889, -1.586848>,
      < 16.906103, 5.316076, -1.586848>,
      < 16.906103, 5.316122, -8.994491>
    }
    triangle {
      < 6.683901, 5.315889, -1.586848>,
      < 16.906103, 5.316122, -8.994491>,
      < 6.683901, 5.316105, -9.844049>
    }
    texture {deck}
  }
  // hull
  union {
    triangle {
      < 24.421982, 1.686574, -5.242180>,
      < 23.720354, 0.966969, -4.569222>,
      < 26.333582, 1.027800, -1.582581>
    }
    triangle {
      < 24.421982, 1.686574, -5.242180>,
      < 26.333582, 1.027800, -1.582581>,
      < 26.100426, 1.864140, -3.405339>
    }
    triangle {
      < 23.720354, 0.966969, -4.569222>,
      < 24.421982, 1.686574, -5.242180>,
      < 22.595039, 2.320421, -6.663224>
    }
    triangle {
      < 23.720354, 0.966969, -4.569222>,
      < 22.595039, 2.320421, -6.663224>,
      < 21.060875, 1.981712, -6.729387>
    }
    triangle {
      < 19.400375, -3.691560, -11.374310>,
      < 18.681934, -1.983630, -11.338428>,
      < 20.806227, -0.763545, -10.438858>
    }
    triangle {
      < 19.400375, -3.691560, -11.374310>,
      < 20.806227, -0.763545, -10.438858>,
      < 21.442825, -1.464471, -9.712464>
    }
    triangle {
      < 17.373505, -5.228647, -12.646860>,
      < 16.633705, -3.074314, -12.192126>,
      < 18.681934, -1.983630, -11.338428>
    }
    triangle {
      < 17.373505, -5.228647, -12.646860>,
      < 18.681934, -1.983630, -11.338428>,
      < 19.400375, -3.691560, -11.374310>
    }
    triangle {
      < 15.075657, -6.222204, -13.865580>,
      < 14.621896, -3.523885, -13.566364>,
      < 16.633705, -3.074314, -12.192126>
    }
    triangle {
      < 15.075657, -6.222204, -13.865580>,
      < 16.633705, -3.074314, -12.192126>,
      < 17.373505, -5.228647, -12.646860>
    }
    triangle {
      < 7.603565, -7.188782, -14.846800>,
      < 7.603565, -3.490891, -14.606509>,
      < 12.255808, -3.514410, -13.771845>
    }
    triangle {
      < 7.603565, -7.188782, -14.846800>,
      < 12.255808, -3.514410, -13.771845>,
      < 12.411800, -6.757924, -14.212804>
    }
    triangle {
      < 2.420745, -7.173941, -15.276383>,
      < 2.420745, -3.480093, -14.919241>,
      < 7.603565, -3.490891, -14.606509>
    }
    triangle {
      < 2.420745, -7.173941, -15.276383>,
      < 7.603565, -3.490891, -14.606509>,
      < 7.603565, -7.188782, -14.846800>
    }
    triangle {
      < -2.943282, -7.166555, -15.589163>,
      < -2.961988, -3.473636, -15.106121>,
      < 2.420745, -3.480093, -14.919241>
    }
    triangle {
      < -2.943282, -7.166555, -15.589163>,
      < 2.420745, -3.480093, -14.919241>,
      < 2.420745, -7.173941, -15.276383>
    }
    triangle {
      < -2.943282, -7.166555, -15.589163>,
      < -4.439586, -3.475051, -15.065130>,
      < -2.961988, -3.473636, -15.106121>
    }
    triangle {
      < -6.862593, -7.149532, -15.766785>,
      < -6.464514, -3.472743, -15.131924>,
      < -4.439586, -3.475051, -15.065130>
    }
    triangle {
      < -6.862593, -7.149532, -15.766785>,
      < -4.439586, -3.475051, -15.065130>,
      < -2.943282, -7.166555, -15.589163>
    }
    triangle {
      < -6.862593, -7.149532, -15.766785>,
      < -8.018665, -3.474161, -15.090826>,
      < -6.464514, -3.472743, -15.131924>
    }
    triangle {
      < -10.703051, -7.164166, -15.766442>,
      < -9.989845, -3.475893, -15.040714>,
      < -8.018665, -3.474161, -15.090826>
    }
    triangle {
      < -10.703051, -7.164166, -15.766442>,
      < -8.018665, -3.474161, -15.090826>,
      < -6.862593, -7.149532, -15.766785>
    }
    triangle {
      < -10.703051, -7.164166, -15.766442>,
      < -11.494260, -3.481347, -14.882881>,
      < -9.989845, -3.475893, -15.040714>
    }
    triangle {
      < -17.426210, -7.163010, -15.619746>,
      < -17.426210, -3.476307, -15.028784>,
      < -11.494260, -3.481347, -14.882881>
    }
    triangle {
      < -17.426210, -7.163010, -15.619746>,
      < -11.494260, -3.481347, -14.882881>,
      < -10.703051, -7.164166, -15.766442>
    }
    triangle {
      < -21.158424, -7.158087, -15.411015>,
      < -21.158424, -3.491715, -14.582708>,
      < -17.426210, -3.476307, -15.028784>
    }
    triangle {
      < -21.158424, -7.158087, -15.411015>,
      < -17.426210, -3.476307, -15.028784>,
      < -17.426210, -7.163010, -15.619746>
    }
    triangle {
      < -24.875282, -7.172729, -15.149325>,
      < -24.875282, -3.502623, -14.266861>,
      < -21.158424, -3.491715, -14.582708>
    }
    triangle {
      < -24.875282, -7.172729, -15.149325>,
      < -21.158424, -3.491715, -14.582708>,
      < -21.158424, -7.158087, -15.411015>
    }
    triangle {
      < 12.255808, -3.514410, -13.771845>,
      < 14.621896, -3.523885, -13.566364>,
      < 15.075657, -6.222204, -13.865580>
    }
    triangle {
      < 12.255808, -3.514410, -13.771845>,
      < 15.075657, -6.222204, -13.865580>,
      < 12.411800, -6.757924, -14.212804>
    }
    triangle {
      < 18.681934, -1.983630, -11.338428>,
      < 18.104813, -0.132791, -11.438385>,
      < 20.500061, 0.752725, -10.784106>
    }
    triangle {
      < 18.681934, -1.983630, -11.338428>,
      < 20.500061, 0.752725, -10.784106>,
      < 20.806227, -0.763545, -10.438858>
    }
    triangle {
      < 21.135654, 1.550061, -10.690931>,
      < 20.500061, 0.752725, -10.784106>,
      < 18.104813, -0.132791, -11.438385>
    }
    triangle {
      < 21.135654, 1.550061, -10.690931>,
      < 18.104813, -0.132791, -11.438385>,
      < 17.807384, 1.818409, -11.514686>
    }
    triangle {
      < 16.016308, -0.209789, -12.214762>,
      < 18.104813, -0.132791, -11.438385>,
      < 18.681934, -1.983630, -11.338428>
    }
    triangle {
      < 16.016308, -0.209789, -12.214762>,
      < 18.681934, -1.983630, -11.338428>,
      < 16.633705, -3.074314, -12.192126>
    }
    triangle {
      < 15.502045, 1.959264, -11.977353>,
      < 17.807384, 1.818409, -11.514686>,
      < 18.104813, -0.132791, -11.438385>
    }
    triangle {
      < 15.502045, 1.959264, -11.977353>,
      < 18.104813, -0.132791, -11.438385>,
      < 16.016308, -0.209789, -12.214762>
    }
    triangle {
      < 15.252133, 4.364689, -12.089524>,
      < 17.344368, 4.240352, -11.840204>,
      < 17.807384, 1.818409, -11.514686>
    }
    triangle {
      < 15.252133, 4.364689, -12.089524>,
      < 17.807384, 1.818409, -11.514686>,
      < 15.502045, 1.959264, -11.977353>
    }
    triangle {
      < 16.016308, -0.209789, -12.214762>,
      < 14.041731, -0.091286, -13.220635>,
      < 13.673447, 2.077692, -12.471821>
    }
    triangle {
      < 16.016308, -0.209789, -12.214762>,
      < 13.673447, 2.077692, -12.471821>,
      < 15.502045, 1.959264, -11.977353>
    }
    triangle {
      < 16.633705, -3.074314, -12.192126>,
      < 14.621896, -3.523885, -13.566364>,
      < 14.041731, -0.091286, -13.220635>
    }
    triangle {
      < 16.633705, -3.074314, -12.192126>,
      < 14.041731, -0.091286, -13.220635>,
      < 16.016308, -0.209789, -12.214762>
    }
    triangle {
      < 11.917332, -0.092658, -13.622351>,
      < 14.041731, -0.091286, -13.220635>,
      < 14.621896, -3.523885, -13.566364>
    }
    triangle {
      < 11.917332, -0.092658, -13.622351>,
      < 14.621896, -3.523885, -13.566364>,
      < 12.255808, -3.514410, -13.771845>
    }
    triangle {
      < 11.917332, 3.738120, -12.682102>,
      < 13.673447, 2.077692, -12.471821>,
      < 14.041731, -0.091286, -13.220635>
    }
    triangle {
      < 11.917332, 3.738120, -12.682102>,
      < 14.041731, -0.091286, -13.220635>,
      < 11.917332, -0.092658, -13.622351>
    }
    triangle {
      < 11.917332, 3.738120, -12.682102>,
      < 13.062292, 3.738120, -12.646502>,
      < 13.673447, 2.077692, -12.471821>
    }
    triangle {
      < 13.062292, 3.738120, -12.646502>,
      < 15.252133, 4.364689, -12.089524>,
      < 15.502045, 1.959264, -11.977353>
    }
    triangle {
      < 13.062292, 3.738120, -12.646502>,
      < 15.502045, 1.959264, -11.977353>,
      < 13.673447, 2.077692, -12.471821>
    }
    triangle {
      < 13.062292, 3.738120, -12.646502>,
      < 13.062292, 4.818222, -12.265154>,
      < 15.252133, 4.364689, -12.089524>
    }
    texture {hull}
  }
  // rig
  union {
    triangle {
      < 13.062292, 3.738120, -13.693560>,
      < 13.062292, 4.882016, -13.297487>,
      < 13.062292, 4.818222, -12.265154>
    }
    triangle {
      < 13.062292, 3.738120, -13.693560>,
      < 13.062292, 4.818222, -12.265154>,
      < 13.062292, 3.738120, -12.646502>
    }
    triangle {
      < 6.935244, 4.877757, -13.657490>,
      < 6.935244, 4.838787, -12.860477>,
      < 13.062292, 4.818222, -12.265154>
    }
    triangle {
      < 6.935244, 4.877757, -13.657490>,
      < 13.062292, 4.818222, -12.265154>,
      < 13.062292, 4.882016, -13.297487>
    }
    triangle {
      < 13.062292, 4.882016, -13.297487>,
      < 13.062292, 3.738120, -13.693560>,
      < 11.917332, 3.738120, -13.693560>
    }
    triangle {
      < 11.917332, -0.092658, -13.622351>,
      < 10.851164, -0.092025, -13.680202>,
      < 10.851164, 3.738120, -13.693560>
    }
    triangle {
      < 11.917332, -0.092658, -13.622351>,
      < 10.851164, 3.738120, -13.693560>,
      < 11.917332, 3.738120, -13.693560>
    }
    triangle {
      < 10.851164, 3.738120, -13.099374>,
      < 10.851164, 3.738120, -13.693560>,
      < 10.851164, -0.092025, -13.680202>
    }
    texture {rig}
  }
  // hull
  union {
    triangle {
      < 9.059711, -0.082416, -13.958302>,
      < 9.059711, 3.738120, -13.247311>,
      < 10.851164, 3.738120, -13.099374>
    }
    triangle {
      < 9.059711, -0.082416, -13.958302>,
      < 10.851164, 3.738120, -13.099374>,
      < 10.851164, -0.092025, -13.680202>
    }
    texture {hull}
  }
  // rig
  union {
    triangle {
      < 10.851164, 3.738120, -13.693560>,
      < 10.851164, 3.738120, -13.099374>,
      < 9.059711, 3.738120, -13.247311>
    }
    triangle {
      < 10.851164, 3.738120, -13.693560>,
      < 9.059711, 3.738120, -13.247311>,
      < 9.059711, 3.738120, -13.693560>
    }
    triangle {
      < 9.059711, 3.738120, -13.247311>,
      < 9.059711, -0.082416, -13.958302>,
      < 9.059711, 3.738120, -13.693560>
    }
    triangle {
      < 7.942212, 3.738120, -13.693560>,
      < 9.059711, 3.738120, -13.693560>,
      < 9.059711, -0.082416, -13.958302>
    }
    triangle {
      < 7.942212, 3.738120, -13.693560>,
      < 9.059711, -0.082416, -13.958302>,
      < 7.942212, -0.088027, -13.795906>
    }
    triangle {
      < 7.942212, -0.088027, -13.795906>,
      < 7.942212, 3.738120, -12.994835>,
      < 7.942212, 3.738120, -13.693560>
    }
    triangle {
      < 6.935244, 3.738120, -13.693585>,
      < 7.942212, 3.738120, -13.693560>,
      < 7.942212, 3.738120, -12.994835>
    }
    triangle {
      < 6.935244, 3.738120, -13.693585>,
      < 7.942212, 3.738120, -12.994835>,
      < 6.935244, 3.738120, -12.932455>
    }
    texture {rig}
  }
  // hull
  union {
    triangle {
      < 7.942212, 3.738120, -12.994835>,
      < 7.942212, -0.088027, -13.795906>,
      < 6.935244, 3.738120, -12.932455>
    }
    triangle {
      < 2.420745, -0.081102, -13.996309>,
      < 2.420745, 1.569107, -13.480452>,
      < 6.935244, 3.738120, -12.932455>
    }
    triangle {
      < 2.420745, -0.081102, -13.996309>,
      < 6.935244, 3.738120, -12.932455>,
      < 7.942212, -0.088027, -13.795906>
    }
    texture {hull}
  }
  // rig
  union {
    triangle {
      < 11.917332, 3.738120, -13.693560>,
      < 11.917332, 3.738120, -12.682102>,
      < 11.917332, -0.092658, -13.622351>
    }
    triangle {
      < 11.917332, 3.738120, -12.682102>,
      < 11.917332, 3.738120, -13.693560>,
      < 13.062292, 3.738120, -13.693560>
    }
    triangle {
      < 11.917332, 3.738120, -12.682102>,
      < 13.062292, 3.738120, -13.693560>,
      < 13.062292, 3.738120, -12.646502>
    }
    triangle {
      < 6.935244, 3.738120, -13.693585>,
      < 6.935244, 3.738120, -12.932455>,
      < 6.935244, 4.838787, -12.860477>
    }
    triangle {
      < 6.935244, 3.738120, -13.693585>,
      < 6.935244, 4.838787, -12.860477>,
      < 6.935244, 4.877757, -13.657490>
    }
    texture {rig}
  }
  // hull
  union {
    triangle {
      < 12.255808, -3.514410, -13.771845>,
      < 7.603565, -3.490891, -14.606509>,
      < 7.942212, -0.088027, -13.795906>
    }
    triangle {
      < 12.255808, -3.514410, -13.771845>,
      < 7.942212, -0.088027, -13.795906>,
      < 9.059711, -0.082416, -13.958302>
    }
    triangle {
      < 12.255808, -3.514410, -13.771845>,
      < 9.059711, -0.082416, -13.958302>,
      < 10.851164, -0.092025, -13.680202>
    }
    triangle {
      < 12.255808, -3.514410, -13.771845>,
      < 10.851164, -0.092025, -13.680202>,
      < 11.917332, -0.092658, -13.622351>
    }
    triangle {
      < 7.942212, -0.088027, -13.795906>,
      < 7.603565, -3.490891, -14.606509>,
      < 2.420745, -3.480093, -14.919241>
    }
    triangle {
      < 7.942212, -0.088027, -13.795906>,
      < 2.420745, -3.480093, -14.919241>,
      < 2.420745, -0.081102, -13.996309>
    }
    triangle {
      < 2.420745, 1.569107, -13.480452>,
      < -1.898796, 1.579293, -13.775311>,
      < -1.886394, 3.221424, -12.694532>
    }
    triangle {
      < 2.420745, 1.569107, -13.480452>,
      < -1.886394, 3.221424, -12.694532>,
      < 2.420745, 3.221424, -12.616695>
    }
    triangle {
      < 2.420745, -0.081102, -13.996309>,
      < -1.898796, -0.093726, -14.123177>,
      < -1.898796, 1.579293, -13.775311>
    }
    triangle {
      < 2.420745, -0.081102, -13.996309>,
      < -1.898796, 1.579293, -13.775311>,
      < 2.420745, 1.569107, -13.480452>
    }
    triangle {
      < 2.420745, -3.480093, -14.919241>,
      < -2.961988, -3.473636, -15.106121>,
      < -1.898796, -0.093726, -14.123177>
    }
    triangle {
      < 2.420745, -3.480093, -14.919241>,
      < -1.898796, -0.093726, -14.123177>,
      < 2.420745, -0.081102, -13.996309>
    }
    triangle {
      < -2.961988, -0.093726, -14.123177>,
      < -1.898796, -0.093726, -14.123177>,
      < -2.961988, -3.473636, -15.106121>
    }
    texture {hull}
  }
  // rig
  union {
    triangle {
      < -4.439586, -3.475051, -15.065130>,
      < -4.439586, -0.093726, -15.846119>,
      < -2.961988, -0.093726, -15.846119>
    }
    triangle {
      < -4.439586, -3.475051, -15.065130>,
      < -2.961988, -0.093726, -15.846119>,
      < -2.961988, -3.473636, -15.106121>
    }
    triangle {
      < -8.018665, -3.474161, -15.090826>,
      < -8.018665, -0.093726, -15.846119>,
      < -6.464514, -0.093726, -15.846119>
    }
    triangle {
      < -8.018665, -3.474161, -15.090826>,
      < -6.464514, -0.093726, -15.846119>,
      < -6.464514, -3.472743, -15.131924>
    }
    triangle {
      < -11.494260, -3.481347, -14.882881>,
      < -11.494260, -0.093726, -15.846119>,
      < -9.989845, -0.093726, -15.846119>
    }
    triangle {
      < -11.494260, -3.481347, -14.882881>,
      < -9.989845, -0.093726, -15.846119>,
      < -9.989845, -3.475893, -15.040714>
    }
    texture {rig}
  }
  // hull
  union {
    triangle {
      < -4.439586, -0.093726, -14.123177>,
      < -4.439586, -3.475051, -15.065130>,
      < -6.464514, -3.472743, -15.131924>
    }
    triangle {
      < -4.439586, -0.093726, -14.123177>,
      < -6.464514, -3.472743, -15.131924>,
      < -6.464514, -0.093726, -14.123177>
    }
    triangle {
      < -9.989845, -0.093726, -14.123177>,
      < -8.018665, -0.093726, -14.123177>,
      < -8.018665, -3.474161, -15.090826>
    }
    triangle {
      < -9.989845, -0.093726, -14.123177>,
      < -8.018665, -3.474161, -15.090826>,
      < -9.989845, -3.475893, -15.040714>
    }
    triangle {
      < -12.515305, -0.093726, -14.123177>,
      < -11.494260, -0.093726, -14.123177>,
      < -11.494260, -3.481347, -14.882881>
    }
    texture {hull}
  }
  // rig
  union {
    triangle {
      < -11.494260, -0.093726, -15.846119>,
      < -12.515305, -0.093726, -15.846119>,
      < -12.515305, 1.643136, -15.278696>
    }
    triangle {
      < -11.494260, -0.093726, -15.846119>,
      < -12.515305, 1.643136, -15.278696>,
      < -9.989845, -0.093726, -15.846119>
    }
    texture {rig}
  }
  // hull
  union {
    triangle {
      < -12.515305, 1.580878, -13.821227>,
      < -8.522958, 3.221424, -12.703880>,
      < -1.886394, 3.221424, -12.694532>
    }
    triangle {
      < -12.515305, 1.580878, -13.821227>,
      < -1.886394, 3.221424, -12.694532>,
      < -1.898796, 1.579293, -13.775311>
    }
    triangle {
      < -12.515305, 1.580878, -13.821227>,
      < -10.136595, 4.386232, -12.483255>,
      < -8.522958, 3.221424, -12.703880>
    }
    triangle {
      < -12.515305, 1.580878, -13.821227>,
      < -12.771408, 4.612774, -12.141369>,
      < -10.136595, 4.386232, -12.483255>
    }
    triangle {
      < -12.771408, 4.612774, -12.141369>,
      < -13.215079, 9.087099, -12.333536>,
      < -10.136595, 4.386232, -12.483255>
    }
    texture {hull}
  }
  // rig
  union {
    triangle {
      < -2.961988, -3.473636, -15.106121>,
      < -2.961988, -0.093726, -15.846119>,
      < -2.961988, -0.093726, -14.123177>
    }
    triangle {
      < -1.898796, -0.093726, -14.123177>,
      < -1.898796, -0.093726, -15.846119>,
      < -1.898796, 1.623528, -15.278696>
    }
    triangle {
      < -1.898796, -0.093726, -14.123177>,
      < -1.898796, 1.623528, -15.278696>,
      < -1.898796, 1.579293, -13.775311>
    }
    triangle {
      < -4.439586, -0.093726, -14.123177>,
      < -4.439586, -0.093726, -15.846119>,
      < -4.439586, -3.475051, -15.065130>
    }
    triangle {
      < -4.439586, -0.093726, -15.846119>,
      < -4.439586, -0.093726, -14.123177>,
      < -6.464514, -0.093726, -14.123177>
    }
    triangle {
      < -4.439586, -0.093726, -15.846119>,
      < -6.464514, -0.093726, -14.123177>,
      < -6.464514, -0.093726, -15.846119>
    }
    triangle {
      < -6.464514, -0.093726, -15.846119>,
      < -6.464514, -0.093726, -14.123177>,
      < -6.464514, -3.472743, -15.131924>
    }
    triangle {
      < -9.989845, -0.093726, -14.123177>,
      < -9.989845, -3.475893, -15.040714>,
      < -9.989845, -0.093726, -15.846119>
    }
    triangle {
      < -12.515305, 1.643136, -15.278696>,
      < -12.515305, 1.580878, -13.821227>,
      < -1.898796, 1.579293, -13.775311>
    }
    triangle {
      < -12.515305, 1.643136, -15.278696>,
      < -1.898796, 1.579293, -13.775311>,
      < -1.898796, 1.623528, -15.278696>
    }
    triangle {
      < -12.515305, 1.643136, -15.278696>,
      < -1.898796, 1.623528, -15.278696>,
      < -5.437628, 1.630064, -15.278696>
    }
    triangle {
      < -12.515305, 1.643136, -15.278696>,
      < -5.437628, 1.630064, -15.278696>,
      < -8.976471, 1.636600, -15.278696>
    }
    triangle {
      < -11.494260, -0.093726, -15.846119>,
      < -11.494260, -3.481347, -14.882881>,
      < -11.494260, -0.093726, -14.123177>
    }
    triangle {
      < -11.494260, -0.093726, -15.846119>,
      < -11.494260, -0.093726, -14.123177>,
      < -12.515305, -0.093726, -14.123177>
    }
    triangle {
      < -11.494260, -0.093726, -15.846119>,
      < -12.515305, -0.093726, -14.123177>,
      < -12.515305, -0.093726, -15.846119>
    }
    triangle {
      < -12.515305, -0.093726, -15.846119>,
      < -12.515305, -0.093726, -14.123177>,
      < -12.515305, 1.580878, -13.821227>
    }
    triangle {
      < -12.515305, -0.093726, -15.846119>,
      < -12.515305, 1.580878, -13.821227>,
      < -12.515305, 1.643136, -15.278696>
    }
    triangle {
      < -8.018665, -0.093726, -14.123177>,
      < -8.018665, -0.093726, -15.846119>,
      < -8.018665, -3.474161, -15.090826>
    }
    triangle {
      < -8.018665, -0.093726, -15.846119>,
      < -8.018665, -0.093726, -14.123177>,
      < -9.989845, -0.093726, -14.123177>
    }
    triangle {
      < -8.018665, -0.093726, -15.846119>,
      < -9.989845, -0.093726, -14.123177>,
      < -9.989845, -0.093726, -15.846119>
    }
    texture {rig}
  }
  // hull
  union {
    triangle {
      < -17.426210, -3.476307, -15.028784>,
      < -17.426210, -0.085238, -13.876673>,
      < -12.515305, -0.093726, -14.123177>
    }
    triangle {
      < -17.426210, -3.476307, -15.028784>,
      < -12.515305, -0.093726, -14.123177>,
      < -11.494260, -3.481347, -14.882881>
    }
    triangle {
      < -12.515305, 1.580878, -13.821227>,
      < -12.515305, -0.093726, -14.123177>,
      < -17.426210, -0.085238, -13.876673>
    }
    triangle {
      < -12.515305, 1.580878, -13.821227>,
      < -17.426210, -0.085238, -13.876673>,
      < -17.327192, 1.568238, -13.455286>
    }
    triangle {
      < -18.602346, 1.558287, -13.167220>,
      < -17.327192, 1.568238, -13.455286>,
      < -17.426210, -0.085238, -13.876673>
    }
    triangle {
      < -21.158424, -0.093337, -13.642082>,
      < -20.301380, 1.560132, -13.220694>,
      < -18.602346, 1.558287, -13.167220>
    }
    triangle {
      < -21.158424, -0.093337, -13.642082>,
      < -18.602346, 1.558287, -13.167220>,
      < -17.426210, -0.085238, -13.876673>
    }
    triangle {
      < -21.158424, -0.093337, -13.642082>,
      < -21.564625, 1.545988, -12.811226>,
      < -20.301380, 1.560132, -13.220694>
    }
    triangle {
      < -24.875282, -0.115279, -13.006975>,
      < -24.875282, 1.535080, -12.495492>,
      < -21.564625, 1.545988, -12.811226>
    }
    triangle {
      < -24.875282, -0.115279, -13.006975>,
      < -21.564625, 1.545988, -12.811226>,
      < -21.158424, -0.093337, -13.642082>
    }
    triangle {
      < -21.158424, -3.491715, -14.582708>,
      < -24.875282, -3.502623, -14.266861>,
      < -24.875282, -0.115279, -13.006975>
    }
    triangle {
      < -21.158424, -3.491715, -14.582708>,
      < -24.875282, -0.115279, -13.006975>,
      < -21.158424, -0.093337, -13.642082>
    }
    triangle {
      < -17.426210, -0.085238, -13.876673>,
      < -17.426210, -3.476307, -15.028784>,
      < -21.158424, -3.491715, -14.582708>
    }
    triangle {
      < -17.426210, -0.085238, -13.876673>,
      < -21.158424, -3.491715, -14.582708>,
      < -21.158424, -0.093337, -13.642082>
    }
    texture {hull}
  }
  // rig
  union {
    triangle {
      < -18.602346, 5.420457, -13.195373>,
      < -17.327192, 5.420457, -13.195373>,
      < -17.327192, 1.568238, -13.455286>
    }
    triangle {
      < -18.602346, 5.420457, -13.195373>,
      < -17.327192, 1.568238, -13.455286>,
      < -18.602346, 1.558287, -13.167220>
    }
    triangle {
      < -16.144386, 6.964816, -13.345592>,
      < -16.144386, 5.420457, -13.195373>,
      < -17.327192, 5.420457, -13.195373>
    }
    triangle {
      < -20.301380, 1.560132, -13.220694>,
      < -21.564625, 1.545988, -12.811226>,
      < -21.564625, 5.420457, -13.195373>
    }
    triangle {
      < -20.301380, 1.560132, -13.220694>,
      < -21.564625, 5.420457, -13.195373>,
      < -20.301380, 5.420457, -13.195373>
    }
    texture {rig}
  }
  // hull
  union {
    triangle {
      < -17.327192, 5.420457, -11.781666>,
      < -16.144386, 5.420457, -11.781666>,
      < -17.327192, 1.568238, -13.455286>
    }
    triangle {
      < -16.144386, 5.420457, -11.781666>,
      < -16.144386, 6.916856, -11.957180>,
      < -13.215079, 9.087099, -12.333536>
    }
    triangle {
      < -16.144386, 5.420457, -11.781666>,
      < -13.215079, 9.087099, -12.333536>,
      < -12.771408, 4.612774, -12.141369>
    }
    triangle {
      < -18.602346, 1.558287, -13.167220>,
      < -20.301380, 1.560132, -13.220694>,
      < -20.301380, 5.420457, -11.781666>
    }
    triangle {
      < -18.602346, 1.558287, -13.167220>,
      < -20.301380, 5.420457, -11.781666>,
      < -18.602346, 5.420457, -11.781666>
    }
    triangle {
      < -22.943232, 6.914290, -11.882894>,
      < -19.419006, 9.058252, -11.675020>,
      < -13.215079, 9.087099, -12.333536>
    }
    triangle {
      < -22.943232, 6.914290, -11.882894>,
      < -13.215079, 9.087099, -12.333536>,
      < -16.144386, 6.916856, -11.957180>
    }
    triangle {
      < -22.943232, 6.914290, -11.882894>,
      < -20.785156, 10.432585, -11.266025>,
      < -19.419006, 9.058252, -11.675020>
    }
    texture {hull}
  }
  // rig
  union {
    triangle {
      < -17.327192, 5.420457, -11.781666>,
      < -17.327192, 1.568238, -13.455286>,
      < -17.327192, 5.420457, -13.195373>
    }
    triangle {
      < -20.301380, 5.420457, -13.195373>,
      < -20.301380, 5.420457, -11.781666>,
      < -20.301380, 1.560132, -13.220694>
    }
    triangle {
      < -18.602346, 1.558287, -13.167220>,
      < -18.602346, 5.420457, -11.781666>,
      < -18.602346, 5.420457, -13.195373>
    }
    triangle {
      < -20.301380, 5.420457, -11.781666>,
      < -20.301380, 5.420457, -13.195373>,
      < -18.602346, 5.420457, -13.195373>
    }
    triangle {
      < -20.301380, 5.420457, -11.781666>,
      < -18.602346, 5.420457, -13.195373>,
      < -18.602346, 5.420457, -11.781666>
    }
    triangle {
      < -17.327192, 5.420457, -11.781666>,
      < -17.327192, 5.420457, -13.195373>,
      < -16.144386, 5.420457, -13.195373>
    }
    triangle {
      < -17.327192, 5.420457, -11.781666>,
      < -16.144386, 5.420457, -13.195373>,
      < -16.144386, 5.420457, -11.781666>
    }
    triangle {
      < -16.144386, 5.420457, -11.781666>,
      < -16.144386, 5.420457, -13.195373>,
      < -16.144386, 6.964816, -13.345592>
    }
    triangle {
      < -16.144386, 5.420457, -11.781666>,
      < -16.144386, 6.964816, -13.345592>,
      < -16.144386, 6.916856, -11.957180>
    }
    triangle {
      < -22.943232, 6.953562, -13.019781>,
      < -22.943232, 6.914290, -11.882894>,
      < -16.144386, 6.916856, -11.957180>
    }
    triangle {
      < -22.943232, 6.953562, -13.019781>,
      < -16.144386, 6.916856, -11.957180>,
      < -16.144386, 6.964816, -13.345592>
    }
    triangle {
      < -22.943232, 6.914290, -11.882894>,
      < -22.943232, 6.953562, -13.019781>,
      < -22.943232, 5.420457, -13.195373>
    }
    triangle {
      < -22.943232, 6.914290, -11.882894>,
      < -22.943232, 5.420457, -13.195373>,
      < -22.943232, 5.420457, -11.781666>
    }
    triangle {
      < -21.564625, 5.420457, -11.781666>,
      < -22.943232, 5.420457, -11.781666>,
      < -22.943232, 5.420457, -13.195373>
    }
    triangle {
      < -21.564625, 5.420457, -11.781666>,
      < -22.943232, 5.420457, -13.195373>,
      < -21.564625, 5.420457, -13.195373>
    }
    triangle {
      < -21.564625, 1.545988, -12.811226>,
      < -21.564625, 5.420457, -11.781666>,
      < -21.564625, 5.420457, -13.195373>
    }
    texture {rig}
  }
  // hull
  union {
    triangle {
      < -12.771408, 4.612774, -12.141369>,
      < -12.515305, 1.580878, -13.821227>,
      < -17.327192, 1.568238, -13.455286>
    }
    triangle {
      < -12.771408, 4.612774, -12.141369>,
      < -17.327192, 1.568238, -13.455286>,
      < -16.144386, 5.420457, -11.781666>
    }
    triangle {
      < -21.564625, 1.545988, -12.811226>,
      < -24.875282, 1.535080, -12.495492>,
      < -22.943232, 5.420457, -11.781666>
    }
    triangle {
      < -21.564625, 1.545988, -12.811226>,
      < -22.943232, 5.420457, -11.781666>,
      < -21.564625, 5.420457, -11.781666>
    }
    triangle {
      < -22.943232, 5.420457, -11.781666>,
      < -24.875282, 1.535080, -12.495492>,
      < -24.875282, 11.097299, -11.310978>
    }
    triangle {
      < -22.943232, 5.420457, -11.781666>,
      < -24.875282, 11.097299, -11.310978>,
      < -22.943232, 6.914290, -11.882894>
    }
    triangle {
      < -22.073826, 12.809116, -11.031629>,
      < -20.785156, 10.432585, -11.266025>,
      < -22.943232, 6.914290, -11.882894>
    }
    triangle {
      < -22.073826, 12.809116, -11.031629>,
      < -22.943232, 6.914290, -11.882894>,
      < -24.875282, 11.097299, -11.310978>
    }
    triangle {
      < -30.663502, 11.097299, -10.697601>,
      < -30.324631, 13.255548, -10.468728>,
      < -22.073826, 12.809116, -11.031629>
    }
    triangle {
      < -30.663502, 11.097299, -10.697601>,
      < -22.073826, 12.809116, -11.031629>,
      < -24.875282, 11.097299, -11.310978>
    }
    triangle {
      < -30.036606, 14.678006, -10.958575>,
      < -22.617615, 13.859209, -11.521384>,
      < -22.073826, 12.809116, -11.031629>
    }
    triangle {
      < -30.036606, 14.678006, -10.958575>,
      < -22.073826, 12.809116, -11.031629>,
      < -30.324631, 13.255548, -10.468728>
    }
    triangle {
      < -32.024277, 15.183992, -8.240927>,
      < -22.549631, 13.892679, -9.395622>,
      < -22.617615, 13.859209, -11.521384>
    }
    triangle {
      < -32.024277, 15.183992, -8.240927>,
      < -22.617615, 13.859209, -11.521384>,
      < -30.036606, 14.678006, -10.958575>
    }
    triangle {
      < -32.024277, 15.183992, -8.240927>,
      < -33.718784, 15.003299, -10.658934>,
      < -33.987694, 15.764829, -10.182573>
    }
    triangle {
      < -30.324631, 13.255548, -10.468728>,
      < -33.772961, 13.609431, -10.011785>,
      < -33.718784, 15.003299, -10.658934>
    }
    triangle {
      < -30.324631, 13.255548, -10.468728>,
      < -33.718784, 15.003299, -10.658934>,
      < -30.036606, 14.678006, -10.958575>
    }
    triangle {
      < -30.663502, 11.097299, -10.697601>,
      < -33.887344, 11.097299, -10.130578>,
      < -33.772961, 13.609431, -10.011785>
    }
    triangle {
      < -30.663502, 11.097299, -10.697601>,
      < -33.772961, 13.609431, -10.011785>,
      < -30.324631, 13.255548, -10.468728>
    }
    triangle {
      < -34.301479, 16.149021, -7.782318>,
      < -32.866196, 16.196304, -7.754097>,
      < -32.024277, 15.183992, -8.240927>
    }
    triangle {
      < -34.301479, 16.149021, -7.782318>,
      < -32.024277, 15.183992, -8.240927>,
      < -33.987694, 15.764829, -10.182573>
    }
    triangle {
      < -35.090012, 19.437290, -4.864941>,
      < -33.522549, 19.528704, -4.747104>,
      < -32.866196, 16.196304, -7.754097>
    }
    triangle {
      < -35.090012, 19.437290, -4.864941>,
      < -32.866196, 16.196304, -7.754097>,
      < -34.301479, 16.149021, -7.782318>
    }
    triangle {
      < -35.784195, 21.577259, -2.965577>,
      < -34.027481, 21.557823, -2.963631>,
      < -33.522549, 19.528704, -4.747104>
    }
    triangle {
      < -35.784195, 21.577259, -2.965577>,
      < -33.522549, 19.528704, -4.747104>,
      < -35.090012, 19.437290, -4.864941>
    }
    triangle {
      < -36.012775, 22.438992, -1.238075>,
      < -34.225647, 22.404272, -1.238075>,
      < -34.027481, 21.557823, -2.963631>
    }
    triangle {
      < -36.012775, 22.438992, -1.238075>,
      < -34.027481, 21.557823, -2.963631>,
      < -35.784195, 21.577259, -2.965577>
    }
    triangle {
      < -36.034115, 22.694397, 0.000000>,
      < -34.290081, 22.667803, 0.000000>,
      < -34.225647, 22.404272, -1.238075>
    }
    triangle {
      < -36.034115, 22.694397, 0.000000>,
      < -34.225647, 22.404272, -1.238075>,
      < -36.012775, 22.438992, -1.238075>
    }
    triangle {
      < -35.784195, 21.577259, -2.965577>,
      < -35.982044, 20.292164, 0.000000>,
      < -36.034115, 22.694397, 0.000000>
    }
    triangle {
      < -35.784195, 21.577259, -2.965577>,
      < -36.034115, 22.694397, 0.000000>,
      < -36.012775, 22.438992, -1.238075>
    }
    triangle {
      < -35.525314, 19.202272, -2.929065>,
      < -35.834301, 18.574884, 0.000000>,
      < -35.982044, 20.292164, 0.000000>
    }
    triangle {
      < -35.525314, 19.202272, -2.929065>,
      < -35.982044, 20.292164, 0.000000>,
      < -35.784195, 21.577259, -2.965577>
    }
    triangle {
      < -34.960712, 15.855540, -2.964757>,
      < -35.472115, 15.759262, 0.000000>,
      < -35.834301, 18.574884, 0.000000>
    }
    triangle {
      < -34.960712, 15.855540, -2.964757>,
      < -35.834301, 18.574884, 0.000000>,
      < -35.525314, 19.202272, -2.929065>
    }
    triangle {
      < -34.500881, 12.321301, -2.967943>,
      < -35.115417, 12.681304, 0.000000>,
      < -35.266460, 13.591896, 0.000000>
    }
    triangle {
      < -34.500881, 12.321301, -2.967943>,
      < -35.266460, 13.591896, 0.000000>,
      < -34.620663, 13.597372, -2.965675>
    }
    triangle {
      < -33.745373, 13.603200, -7.767865>,
      < -33.643600, 11.097299, -7.760621>,
      < -34.500881, 12.321301, -2.967943>
    }
    triangle {
      < -33.745373, 13.603200, -7.767865>,
      < -34.500881, 12.321301, -2.967943>,
      < -34.620663, 13.597372, -2.965675>
    }
    triangle {
      < -33.772961, 13.609431, -10.011785>,
      < -33.887344, 11.097299, -10.130578>,
      < -33.643600, 11.097299, -7.760621>
    }
    triangle {
      < -33.772961, 13.609431, -10.011785>,
      < -33.643600, 11.097299, -7.760621>,
      < -33.745373, 13.603200, -7.767865>
    }
    triangle {
      < -33.987694, 15.764829, -10.182573>,
      < -33.718784, 15.003299, -10.658934>,
      < -33.772961, 13.609431, -10.011785>
    }
    triangle {
      < -33.987694, 15.764829, -10.182573>,
      < -33.772961, 13.609431, -10.011785>,
      < -33.745373, 13.603200, -7.767865>
    }
    triangle {
      < -33.987694, 15.764829, -10.182573>,
      < -33.745373, 13.603200, -7.767865>,
      < -34.301479, 16.149021, -7.782318>
    }
    triangle {
      < -35.525314, 19.202272, -2.929065>,
      < -35.090012, 19.437290, -4.864941>,
      < -34.301479, 16.149021, -7.782318>
    }
    triangle {
      < -35.525314, 19.202272, -2.929065>,
      < -34.301479, 16.149021, -7.782318>,
      < -34.960712, 15.855540, -2.964757>
    }
    triangle {
      < -35.525314, 19.202272, -2.929065>,
      < -35.784195, 21.577259, -2.965577>,
      < -35.090012, 19.437290, -4.864941>
    }
    triangle {
      < -24.875282, -0.115279, -13.006975>,
      < -29.951672, -0.553082, -12.838999>,
      < -29.725348, 1.534853, -12.693987>
    }
    triangle {
      < -24.875282, -0.115279, -13.006975>,
      < -29.725348, 1.534853, -12.693987>,
      < -24.875282, 1.535080, -12.495492>
    }
    triangle {
      < -24.875282, -3.502623, -14.266861>,
      < -29.089066, -2.256183, -13.223326>,
      < -29.951672, -0.553082, -12.838999>
    }
    triangle {
      < -24.875282, -3.502623, -14.266861>,
      < -29.951672, -0.553082, -12.838999>,
      < -24.875282, -0.115279, -13.006975>
    }
    triangle {
      < -24.875282, -3.502623, -14.266861>,
      < -29.440445, -3.531864, -13.420376>,
      < -29.089066, -2.256183, -13.223326>
    }
    triangle {
      < -34.620663, 13.597372, -2.965675>,
      < -35.266460, 13.591896, 0.000000>,
      < -35.472115, 15.759262, 0.000000>
    }
    triangle {
      < -34.620663, 13.597372, -2.965675>,
      < -35.472115, 15.759262, 0.000000>,
      < -34.960712, 15.855540, -2.964757>
    }
    triangle {
      < -34.960712, 15.855540, -2.964757>,
      < -34.301479, 16.149021, -7.782318>,
      < -33.745373, 13.603200, -7.767865>
    }
    triangle {
      < -34.960712, 15.855540, -2.964757>,
      < -33.745373, 13.603200, -7.767865>,
      < -34.620663, 13.597372, -2.965675>
    }
    triangle {
      < -29.440445, -3.531864, -13.420376>,
      < -32.122684, -7.293530, -14.206009>,
      < -32.122688, -3.604459, -12.926102>
    }
    triangle {
      < -29.440445, -3.531864, -13.420376>,
      < -32.122688, -3.604459, -12.926102>,
      < -30.977203, -3.573457, -13.137188>
    }
    triangle {
      < -32.122684, -7.293530, -14.206009>,
      < -29.440445, -3.531864, -13.420376>,
      < -24.875282, -3.502623, -14.266861>
    }
    triangle {
      < -32.122684, -7.293530, -14.206009>,
      < -24.875282, -3.502623, -14.266861>,
      < -24.875282, -7.172729, -15.149325>
    }
    texture {hull}
  }
  // aft
  union {
    triangle {
      < -30.376698, 9.078413, -12.195282>,
      < -30.663502, 11.097299, -10.697601>,
      < -24.875282, 11.097299, -11.310978>
    }
    triangle {
      < -30.376698, 9.078413, -12.195282>,
      < -24.875282, 11.097299, -11.310978>,
      < -26.469778, 9.078413, -12.638399>
    }
    triangle {
      < -34.513470, 9.078413, -11.671916>,
      < -33.887344, 11.097299, -10.130578>,
      < -30.663502, 11.097299, -10.697601>
    }
    triangle {
      < -34.513470, 9.078413, -11.671916>,
      < -30.663502, 11.097299, -10.697601>,
      < -30.376698, 9.078413, -12.195282>
    }
    triangle {
      < -35.326443, 9.078413, -8.519265>,
      < -33.643600, 11.097299, -7.760621>,
      < -33.887344, 11.097299, -10.130578>
    }
    triangle {
      < -35.326443, 9.078413, -8.519265>,
      < -33.887344, 11.097299, -10.130578>,
      < -34.513470, 9.078413, -11.671916>
    }
    triangle {
      < -36.337158, 10.302411, -4.204359>,
      < -34.500881, 12.321301, -2.967943>,
      < -33.643600, 11.097299, -7.760621>
    }
    triangle {
      < -36.337158, 10.302411, -4.204359>,
      < -33.643600, 11.097299, -7.760621>,
      < -35.326443, 9.078413, -8.519265>
    }
    triangle {
      < -36.337158, 10.302411, -4.204359>,
      < -38.226944, 8.378810, -4.931240>,
      < -38.840782, 8.738811, 0.000000>
    }
    triangle {
      < -36.337158, 10.302411, -4.204359>,
      < -38.840782, 8.738811, 0.000000>,
      < -36.824764, 10.662413, 0.000000>
    }
    triangle {
      < -35.326443, 9.078413, -8.519265>,
      < -37.265987, 7.154811, -10.030826>,
      < -38.226944, 8.378810, -4.931240>
    }
    triangle {
      < -35.326443, 9.078413, -8.519265>,
      < -38.226944, 8.378810, -4.931240>,
      < -36.337158, 10.302411, -4.204359>
    }
    triangle {
      < -34.513470, 9.078413, -11.671916>,
      < -36.054546, 7.154811, -15.249533>,
      < -37.265987, 7.154811, -10.030826>
    }
    triangle {
      < -34.513470, 9.078413, -11.671916>,
      < -37.265987, 7.154811, -10.030826>,
      < -35.326443, 9.078413, -8.519265>
    }
    triangle {
      < -30.376698, 9.078413, -12.195282>,
      < -31.044762, 7.154811, -15.397676>,
      < -36.054546, 7.154811, -15.249533>
    }
    triangle {
      < -30.376698, 9.078413, -12.195282>,
      < -36.054546, 7.154811, -15.249533>,
      < -34.513470, 9.078413, -11.671916>
    }
    triangle {
      < -26.469778, 9.078413, -12.638399>,
      < -28.175797, 7.154811, -15.624508>,
      < -31.044762, 7.154811, -15.397676>
    }
    triangle {
      < -26.469778, 9.078413, -12.638399>,
      < -31.044762, 7.154811, -15.397676>,
      < -30.376698, 9.078413, -12.195282>
    }
    triangle {
      < -26.515152, 1.792719, -14.466270>,
      < -28.182747, 3.357670, -15.498522>,
      < -28.175797, 7.154811, -15.624508>
    }
    triangle {
      < -26.515152, 1.792719, -14.466270>,
      < -28.175797, 7.154811, -15.624508>,
      < -26.469778, 9.078413, -12.638399>
    }
    triangle {
      < -24.875282, 11.097299, -11.310978>,
      < -24.875282, 1.535080, -12.495492>,
      < -26.515152, 1.792719, -14.466270>
    }
    triangle {
      < -24.875282, 11.097299, -11.310978>,
      < -26.515152, 1.792719, -14.466270>,
      < -26.469778, 9.078413, -12.638399>
    }
    triangle {
      < -29.725348, 1.534853, -12.693987>,
      < -30.193434, 1.779966, -14.420488>,
      < -26.515152, 1.792719, -14.466270>
    }
    triangle {
      < -29.725348, 1.534853, -12.693987>,
      < -26.515152, 1.792719, -14.466270>,
      < -24.875282, 1.535080, -12.495492>
    }
    triangle {
      < -28.182747, 3.357670, -15.498522>,
      < -26.515152, 1.792719, -14.466270>,
      < -30.193434, 1.779966, -14.420488>
    }
    triangle {
      < -28.182747, 3.357670, -15.498522>,
      < -30.193434, 1.779966, -14.420488>,
      < -31.038305, 3.357670, -15.387860>
    }
    texture {aft}
  }
  // windows
  union {
    triangle {
      < -31.044762, 7.154811, -15.397676>,
      < -28.175797, 7.154811, -15.624508>,
      < -28.182747, 3.357670, -15.498522>
    }
    triangle {
      < -31.044762, 7.154811, -15.397676>,
      < -28.182747, 3.357670, -15.498522>,
      < -31.038305, 3.357670, -15.387860>
    }
    triangle {
      < -35.530365, 3.357670, -15.019470>,
      < -36.054546, 7.154811, -15.249533>,
      < -31.044762, 7.154811, -15.397676>
    }
    triangle {
      < -35.530365, 3.357670, -15.019470>,
      < -31.044762, 7.154811, -15.397676>,
      < -31.038305, 3.357670, -15.387860>
    }
    triangle {
      < -36.705807, 3.357670, -10.029904>,
      < -37.265987, 7.154811, -10.030826>,
      < -36.054546, 7.154811, -15.249533>
    }
    triangle {
      < -36.705807, 3.357670, -10.029904>,
      < -36.054546, 7.154811, -15.249533>,
      < -35.530365, 3.357670, -15.019470>
    }
    triangle {
      < -37.666824, 4.581672, -4.931256>,
      < -38.226944, 8.378810, -4.931240>,
      < -37.265987, 7.154811, -10.030826>
    }
    triangle {
      < -37.666824, 4.581672, -4.931256>,
      < -37.265987, 7.154811, -10.030826>,
      < -36.705807, 3.357670, -10.029904>
    }
    triangle {
      < -38.222157, 4.941670, 0.000000>,
      < -38.840782, 8.738811, 0.000000>,
      < -38.226944, 8.378810, -4.931240>
    }
    triangle {
      < -38.222157, 4.941670, 0.000000>,
      < -38.226944, 8.378810, -4.931240>,
      < -37.666824, 4.581672, -4.931256>
    }
    texture {windows}
  }
  // aft
  union {
    triangle {
      < -36.700283, 3.003968, -2.860110>,
      < -37.202202, 3.363967, 0.000000>,
      < -38.222157, 4.941670, 0.000000>
    }
    triangle {
      < -36.700283, 3.003968, -2.860110>,
      < -38.222157, 4.941670, 0.000000>,
      < -37.666824, 4.581672, -4.931256>
    }
    triangle {
      < -37.666824, 4.581672, -4.931256>,
      < -36.408623, 3.003968, -4.518372>,
      < -36.700283, 3.003968, -2.860110>
    }
    triangle {
      < -36.705807, 3.357670, -10.029904>,
      < -35.959934, 1.779966, -7.527570>,
      < -36.408623, 3.003968, -4.518372>
    }
    triangle {
      < -36.705807, 3.357670, -10.029904>,
      < -36.408623, 3.003968, -4.518372>,
      < -37.666824, 4.581672, -4.931256>
    }
    triangle {
      < -36.705807, 3.357670, -10.029904>,
      < -35.191723, 1.779966, -9.285604>,
      < -35.959934, 1.779966, -7.527570>
    }
    triangle {
      < -35.530365, 3.357670, -15.019470>,
      < -31.038305, 3.357670, -15.387860>,
      < -30.193434, 1.779966, -14.420488>
    }
    triangle {
      < -35.530365, 3.357670, -15.019470>,
      < -30.193434, 1.779966, -14.420488>,
      < -34.204334, 1.779966, -14.226349>
    }
    triangle {
      < -29.951672, -0.553082, -12.838999>,
      < -30.329147, -0.633617, -13.908249>,
      < -30.193434, 1.779966, -14.420488>
    }
    triangle {
      < -29.951672, -0.553082, -12.838999>,
      < -30.193434, 1.779966, -14.420488>,
      < -29.725348, 1.534853, -12.693987>
    }
    triangle {
      < -32.748100, -0.633628, -13.436047>,
      < -34.204334, 1.779966, -14.226349>,
      < -30.193434, 1.779966, -14.420488>
    }
    triangle {
      < -32.748100, -0.633628, -13.436047>,
      < -30.193434, 1.779966, -14.420488>,
      < -30.329147, -0.633617, -13.908249>
    }
    triangle {
      < -29.785950, -3.192493, -13.980194>,
      < -30.527657, -3.185613, -13.899263>,
      < -32.748100, -0.633628, -13.436047>
    }
    triangle {
      < -29.785950, -3.192493, -13.980194>,
      < -32.748100, -0.633628, -13.436047>,
      < -30.329147, -0.633617, -13.908249>
    }
    triangle {
      < -29.785950, -3.192493, -13.980194>,
      < -30.329147, -0.633617, -13.908249>,
      < -29.538437, -2.280977, -14.046997>
    }
    triangle {
      < -29.089066, -2.256183, -13.223326>,
      < -29.538437, -2.280977, -14.046997>,
      < -30.329147, -0.633617, -13.908249>
    }
    triangle {
      < -29.089066, -2.256183, -13.223326>,
      < -30.329147, -0.633617, -13.908249>,
      < -29.951672, -0.553082, -12.838999>
    }
    triangle {
      < -29.089066, -2.256183, -13.223326>,
      < -29.440445, -3.531864, -13.420376>,
      < -29.785950, -3.192493, -13.980194>
    }
    triangle {
      < -29.089066, -2.256183, -13.223326>,
      < -29.785950, -3.192493, -13.980194>,
      < -29.538437, -2.280977, -14.046997>
    }
    texture {aft}
  }
  // hull
  union {
    triangle {
      < -33.089638, -0.885639, -12.303194>,
      < -30.977203, -3.573457, -13.137188>,
      < -32.122688, -3.604459, -12.926102>
    }
    triangle {
      < -32.122688, -0.633649, -11.458102>,
      < -32.122746, -0.633664, -9.285579>,
      < -32.122818, 1.776985, -9.285594>
    }
    triangle {
      < -32.122688, -0.633649, -11.458102>,
      < -32.122818, 1.776985, -9.285594>,
      < -32.122818, 1.776985, -11.058003>
    }
    texture {hull}
  }
  // aft
  union {
    triangle {
      < -34.194592, -0.633673, -9.285544>,
      < -34.248096, -0.633676, -7.527580>,
      < -35.959934, 1.779966, -7.527570>
    }
    triangle {
      < -34.194592, -0.633673, -9.285544>,
      < -35.959934, 1.779966, -7.527570>,
      < -35.191723, 1.779966, -9.285604>
    }
    triangle {
      < -32.122704, -3.604366, -9.285585>,
      < -32.122711, -3.604395, -7.527471>,
      < -34.248096, -0.633676, -7.527580>
    }
    triangle {
      < -32.122704, -3.604366, -9.285585>,
      < -34.248096, -0.633676, -7.527580>,
      < -34.194592, -0.633673, -9.285544>
    }
    texture {aft}
  }
  // hull
  union {
    triangle {
      < -32.122761, -0.633678, -7.527228>,
      < -32.122795, 0.590334, -4.518468>,
      < -32.122818, 3.000987, -4.518517>
    }
    triangle {
      < -32.122761, -0.633678, -7.527228>,
      < -32.122818, 3.000987, -4.518517>,
      < -32.122818, 1.776985, -7.526671>
    }
    texture {hull}
  }
  // aft
  union {
    triangle {
      < -33.900768, 0.590325, -4.518118>,
      < -34.417446, 0.590306, -2.860096>,
      < -36.700283, 3.003968, -2.860110>
    }
    triangle {
      < -33.900768, 0.590325, -4.518118>,
      < -36.700283, 3.003968, -2.860110>,
      < -36.408623, 3.003968, -4.518372>
    }
    triangle {
      < -32.748100, -0.633628, -13.436047>,
      < -33.089638, -0.885639, -12.303194>,
      < -34.639442, 1.779966, -11.836490>
    }
    triangle {
      < -32.748100, -0.633628, -13.436047>,
      < -34.639442, 1.779966, -11.836490>,
      < -34.204334, 1.779966, -14.226349>
    }
    triangle {
      < -34.204334, 1.779966, -14.226349>,
      < -34.639442, 1.779966, -11.836490>,
      < -35.530365, 3.357670, -15.019470>
    }
    triangle {
      < -34.639442, 1.779966, -11.836490>,
      < -35.191723, 1.779966, -9.285604>,
      < -36.705807, 3.357670, -10.029904>
    }
    triangle {
      < -34.639442, 1.779966, -11.836490>,
      < -36.705807, 3.357670, -10.029904>,
      < -35.530365, 3.357670, -15.019470>
    }
    triangle {
      < -32.122726, -2.380491, -4.517693>,
      < -32.122730, -2.380611, -2.860078>,
      < -34.417446, 0.590306, -2.860096>
    }
    triangle {
      < -32.122726, -2.380491, -4.517693>,
      < -34.417446, 0.590306, -2.860096>,
      < -33.900768, 0.590325, -4.518118>
    }
    triangle {
      < -32.122818, 1.776985, -7.526671>,
      < -32.122818, 3.000987, -4.518517>,
      < -36.408623, 3.003968, -4.518372>
    }
    triangle {
      < -32.122818, 1.776985, -7.526671>,
      < -36.408623, 3.003968, -4.518372>,
      < -35.959934, 1.779966, -7.527570>
    }
    triangle {
      < -32.122818, 3.000987, -4.518517>,
      < -32.122795, 0.590334, -4.518468>,
      < -33.900768, 0.590325, -4.518118>
    }
    triangle {
      < -32.122818, 3.000987, -4.518517>,
      < -33.900768, 0.590325, -4.518118>,
      < -36.408623, 3.003968, -4.518372>
    }
    triangle {
      < -33.900768, 0.590325, -4.518118>,
      < -32.122795, 0.590334, -4.518468>,
      < -32.122726, -2.380491, -4.517693>
    }
    texture {aft}
  }
  // hull
  union {
    triangle {
      < -32.122761, -0.633678, -7.527228>,
      < -32.122711, -3.604395, -7.527471>,
      < -32.122726, -2.380491, -4.517693>
    }
    triangle {
      < -32.122761, -0.633678, -7.527228>,
      < -32.122726, -2.380491, -4.517693>,
      < -32.122795, 0.590334, -4.518468>
    }
    texture {hull}
  }
  // aft
  union {
    triangle {
      < -32.122761, -0.633678, -7.527228>,
      < -32.122818, 1.776985, -7.526671>,
      < -35.959934, 1.779966, -7.527570>
    }
    triangle {
      < -32.122761, -0.633678, -7.527228>,
      < -35.959934, 1.779966, -7.527570>,
      < -34.248096, -0.633676, -7.527580>
    }
    triangle {
      < -32.122746, -0.633664, -9.285579>,
      < -32.122704, -3.604366, -9.285585>,
      < -34.194592, -0.633673, -9.285544>
    }
    triangle {
      < -32.122746, -0.633664, -9.285579>,
      < -34.194592, -0.633673, -9.285544>,
      < -35.191723, 1.779966, -9.285604>
    }
    triangle {
      < -32.122746, -0.633664, -9.285579>,
      < -35.191723, 1.779966, -9.285604>,
      < -32.122818, 1.776985, -9.285594>
    }
    triangle {
      < -32.122818, 1.776985, -11.058003>,
      < -32.122818, 1.776985, -9.285594>,
      < -35.191723, 1.779966, -9.285604>
    }
    triangle {
      < -32.122818, 1.776985, -11.058003>,
      < -35.191723, 1.779966, -9.285604>,
      < -34.639442, 1.779966, -11.836490>
    }
    texture {aft}
  }
  // hull
  union {
    triangle {
      < -32.122688, -0.633649, -11.458102>,
      < -32.122688, -3.604459, -12.926102>,
      < -32.122704, -3.604366, -9.285585>
    }
    triangle {
      < -32.122688, -0.633649, -11.458102>,
      < -32.122704, -3.604366, -9.285585>,
      < -32.122746, -0.633664, -9.285579>
    }
    triangle {
      < -32.122688, -0.633649, -11.458102>,
      < -33.089638, -0.885639, -12.303194>,
      < -32.122688, -3.604459, -12.926102>
    }
    texture {hull}
  }
  // aft
  union {
    triangle {
      < -32.122688, -0.633649, -11.458102>,
      < -32.122818, 1.776985, -11.058003>,
      < -34.639442, 1.779966, -11.836490>
    }
    triangle {
      < -32.122688, -0.633649, -11.458102>,
      < -34.639442, 1.779966, -11.836490>,
      < -33.089638, -0.885639, -12.303194>
    }
    texture {aft}
  }
  // keel
  union {
    triangle {
      < -33.722420, 3.002194, -1.266791>,
      < -34.094254, -2.453040, -1.238075>,
      < -34.151215, -2.453028, 0.000000>
    }
    triangle {
      < -33.722420, 3.002194, -1.266791>,
      < -34.151215, -2.453028, 0.000000>,
      < -33.722881, 3.003968, 0.000000>
    }
    texture {keel}
  }
  // aft
  union {
    triangle {
      < -37.202202, 3.363967, 0.000000>,
      < -36.700283, 3.003968, -2.860110>,
      < -32.122818, 3.000987, -1.238075>
    }
    triangle {
      < -37.202202, 3.363967, 0.000000>,
      < -32.122818, 3.000987, -1.238075>,
      < -33.722420, 3.002194, -1.266791>
    }
    triangle {
      < -37.202202, 3.363967, 0.000000>,
      < -33.722420, 3.002194, -1.266791>,
      < -33.722881, 3.003968, 0.000000>
    }
    triangle {
      < -32.122818, 3.000987, -1.238075>,
      < -36.700283, 3.003968, -2.860110>,
      < -32.122818, 3.000965, -2.859260>
    }
    texture {aft}
  }
  // hull
  union {
    triangle {
      < -32.122818, 3.000965, -2.859260>,
      < -32.122826, 0.590387, -2.859397>,
      < -32.122829, 0.590391, -1.238075>
    }
    triangle {
      < -32.122818, 3.000965, -2.859260>,
      < -32.122829, 0.590391, -1.238075>,
      < -32.122818, 3.000987, -1.238075>
    }
    texture {hull}
  }
  // aft
  union {
    triangle {
      < -32.122730, -2.380611, -2.860078>,
      < -32.122826, 0.590387, -2.859397>,
      < -34.417446, 0.590306, -2.860096>
    }
    texture {aft}
  }
  // hull
  union {
    triangle {
      < -32.122730, -2.380611, -2.860078>,
      < -32.122734, -2.380687, -1.238075>,
      < -32.122829, 0.590391, -1.238075>
    }
    triangle {
      < -32.122730, -2.380611, -2.860078>,
      < -32.122829, 0.590391, -1.238075>,
      < -32.122826, 0.590387, -2.859397>
    }
    triangle {
      < -34.290081, 22.667803, 0.000000>,
      < -33.910358, 21.114786, 0.000000>,
      < -34.225647, 22.404272, -1.238075>
    }
    triangle {
      < -33.503494, 19.450775, 0.000000>,
      < -34.027481, 21.557823, -2.963631>,
      < -34.225647, 22.404272, -1.238075>
    }
    triangle {
      < -33.503494, 19.450775, 0.000000>,
      < -34.225647, 22.404272, -1.238075>,
      < -33.910358, 21.114786, 0.000000>
    }
    triangle {
      < -32.879219, 16.897564, 0.000000>,
      < -33.522549, 19.528704, -4.747104>,
      < -34.027481, 21.557823, -2.963631>
    }
    triangle {
      < -32.879219, 16.897564, 0.000000>,
      < -34.027481, 21.557823, -2.963631>,
      < -33.503494, 19.450775, 0.000000>
    }
    triangle {
      < -32.471931, 15.231831, 0.000000>,
      < -32.866196, 16.196304, -7.754097>,
      < -33.522549, 19.528704, -4.747104>
    }
    triangle {
      < -32.471931, 15.231831, 0.000000>,
      < -33.522549, 19.528704, -4.747104>,
      < -32.879219, 16.897564, 0.000000>
    }
    triangle {
      < -32.288364, 14.311578, 0.000000>,
      < -32.024277, 15.183992, -8.240927>,
      < -32.866196, 16.196304, -7.754097>
    }
    triangle {
      < -32.288364, 14.311578, 0.000000>,
      < -32.866196, 16.196304, -7.754097>,
      < -32.471931, 15.231831, 0.000000>
    }
    triangle {
      < -31.481258, 12.189013, 0.000000>,
      < -31.478973, 12.189011, -7.300096>,
      < -32.024277, 15.183992, -8.240927>
    }
    triangle {
      < -31.481258, 12.189013, 0.000000>,
      < -32.024277, 15.183992, -8.240927>,
      < -32.288364, 14.311578, 0.000000>
    }
    texture {hull}
  }
  // deck
  union {
    triangle {
      < -23.230810, 12.188995, 0.000000>,
      < -23.230810, 12.189054, -5.906754>,
      < -23.230810, 12.189157, -8.507561>
    }
    triangle {
      < -23.230810, 12.188995, 0.000000>,
      < -23.230810, 12.189157, -8.507561>,
      < -31.478973, 12.189011, -7.300096>
    }
    triangle {
      < -23.230810, 12.188995, 0.000000>,
      < -31.478973, 12.189011, -7.300096>,
      < -31.481258, 12.189013, 0.000000>
    }
    triangle {
      < -19.385841, 7.391382, -6.580861>,
      < -19.385841, 7.391684, -8.968118>,
      < -23.230810, 12.189157, -8.507561>
    }
    triangle {
      < -19.385841, 7.391382, -6.580861>,
      < -23.230810, 12.189157, -8.507561>,
      < -23.230810, 12.189054, -5.906754>
    }
    triangle {
      < -23.230810, 12.189054, -5.906754>,
      < -21.167429, 7.390899, -6.153070>,
      < -19.385841, 7.391382, -6.580861>
    }
    triangle {
      < -23.230810, 12.188995, 0.000000>,
      < -21.167429, 7.390496, 0.000000>,
      < -21.167429, 7.390899, -6.153070>
    }
    triangle {
      < -23.230810, 12.188995, 0.000000>,
      < -21.167429, 7.390899, -6.153070>,
      < -23.230810, 12.189054, -5.906754>
    }
    triangle {
      < -19.385841, 7.391382, -6.580861>,
      < -14.133162, 7.391512, -7.171891>,
      < -13.892597, 7.391925, -9.847868>
    }
    triangle {
      < -19.385841, 7.391382, -6.580861>,
      < -13.892597, 7.391925, -9.847868>,
      < -19.385841, 7.391684, -8.968118>
    }
    triangle {
      < -21.167429, 7.390496, 0.000000>,
      < -14.133162, 7.391360, 0.000000>,
      < -14.133162, 7.391512, -7.171891>
    }
    triangle {
      < -21.167429, 7.390496, 0.000000>,
      < -14.133162, 7.391512, -7.171891>,
      < -19.385841, 7.391382, -6.580861>
    }
    triangle {
      < -21.167429, 7.390496, 0.000000>,
      < -19.385841, 7.391382, -6.580861>,
      < -21.167429, 7.390899, -6.153070>
    }
    texture {deck}
  }
  // hull
  union {
    triangle {
      < -22.549631, 13.892679, -9.395622>,
      < -21.997017, 12.885773, -9.282518>,
      < -22.073826, 12.809116, -11.031629>
    }
    triangle {
      < -22.549631, 13.892679, -9.395622>,
      < -22.073826, 12.809116, -11.031629>,
      < -22.617615, 13.859209, -11.521384>
    }
    triangle {
      < -20.622669, 10.264604, -9.549243>,
      < -20.785156, 10.432585, -11.266025>,
      < -22.073826, 12.809116, -11.031629>
    }
    triangle {
      < -20.622669, 10.264604, -9.549243>,
      < -22.073826, 12.809116, -11.031629>,
      < -21.997017, 12.885773, -9.282518>
    }
    triangle {
      < -19.292164, 9.097214, -9.702837>,
      < -19.419006, 9.058252, -11.675020>,
      < -20.785156, 10.432585, -11.266025>
    }
    triangle {
      < -19.292164, 9.097214, -9.702837>,
      < -20.785156, 10.432585, -11.266025>,
      < -20.622669, 10.264604, -9.549243>
    }
    triangle {
      < -13.192261, 9.087229, -10.726978>,
      < -13.215079, 9.087099, -12.333536>,
      < -19.419006, 9.058252, -11.675020>
    }
    triangle {
      < -13.192261, 9.087229, -10.726978>,
      < -19.419006, 9.058252, -11.675020>,
      < -19.292164, 9.097214, -9.702837>
    }
    triangle {
      < -10.064362, 4.446222, -10.991236>,
      < -10.136595, 4.386232, -12.483255>,
      < -13.215079, 9.087099, -12.333536>
    }
    triangle {
      < -10.064362, 4.446222, -10.991236>,
      < -13.215079, 9.087099, -12.333536>,
      < -13.192261, 9.087229, -10.726978>
    }
    triangle {
      < -8.351521, 3.221424, -11.058840>,
      < -8.522958, 3.221424, -12.703880>,
      < -10.136595, 4.386232, -12.483255>
    }
    triangle {
      < -8.351521, 3.221424, -11.058840>,
      < -10.136595, 4.386232, -12.483255>,
      < -10.064362, 4.446222, -10.991236>
    }
    triangle {
      < 2.452951, 3.221424, -10.998412>,
      < 2.420745, 3.221424, -12.616695>,
      < -1.886394, 3.221424, -12.694532>
    }
    triangle {
      < 2.452951, 3.221424, -10.998412>,
      < -1.886394, 3.221424, -12.694532>,
      < -1.598226, 3.221424, -11.134462>
    }
    triangle {
      < 4.365315, 4.001073, -10.953445>,
      < 4.422665, 4.063653, -12.498808>,
      < 2.420745, 3.221424, -12.616695>
    }
    triangle {
      < 4.365315, 4.001073, -10.953445>,
      < 2.420745, 3.221424, -12.616695>,
      < 2.452951, 3.221424, -10.998412>
    }
    triangle {
      < 5.530656, 6.149844, -10.682220>,
      < 5.533552, 6.171984, -12.384296>,
      < 4.422665, 4.063653, -12.498808>
    }
    triangle {
      < 5.530656, 6.149844, -10.682220>,
      < 4.422665, 4.063653, -12.498808>,
      < 4.365315, 4.001073, -10.953445>
    }
    triangle {
      < 15.594139, 6.662837, -11.461397>,
      < 12.972380, 6.662837, -11.684002>,
      < 7.360672, 6.662837, -12.189878>
    }
    triangle {
      < 15.594139, 6.662837, -11.461397>,
      < 7.360672, 6.662837, -12.189878>,
      < 7.977384, 6.662837, -10.348160>
    }
    triangle {
      < 15.594139, 6.662837, -11.461397>,
      < 7.977384, 6.662837, -10.348160>,
      < 17.005033, 6.662837, -9.681633>
    }
    triangle {
      < 15.594139, 6.662837, -11.461397>,
      < 17.005033, 6.662837, -9.681633>,
      < 17.983040, 6.662837, -11.152293>
    }
    texture {hull}
  }
  // deck
  union {
    triangle {
      < -14.133162, 7.391512, -7.171891>,
      < -9.777788, 1.447089, -7.505733>,
      < -9.777788, 1.447089, -10.415768>
    }
    triangle {
      < -14.133162, 7.391512, -7.171891>,
      < -9.777788, 1.447089, -10.415768>,
      < -13.892597, 7.391925, -9.847868>
    }
    triangle {
      < -14.133162, 7.391512, -7.171891>,
      < -12.005382, 1.447089, -7.353243>,
      < -9.777788, 1.447089, -7.505733>
    }
    triangle {
      < -9.777788, 1.447089, -7.505733>,
      < -12.005382, 1.447089, -7.353243>,
      < -12.005382, 1.447089, 0.000000>
    }
    triangle {
      < -9.777788, 1.447089, -7.505733>,
      < -12.005382, 1.447089, 0.000000>,
      < -9.777788, 1.447089, 0.000000>
    }
    triangle {
      < -1.954006, 1.447089, 0.000000>,
      < -1.881737, 1.447089, -10.419345>,
      < -9.777788, 1.447089, -10.415768>
    }
    triangle {
      < -1.954006, 1.447089, 0.000000>,
      < -9.777788, 1.447089, -10.415768>,
      < -9.777788, 1.447089, -7.505733>
    }
    triangle {
      < -1.954006, 1.447089, 0.000000>,
      < -9.777788, 1.447089, -7.505733>,
      < -9.777788, 1.447089, 0.000000>
    }
    triangle {
      < 3.275857, 1.447089, -1.586848>,
      < 3.275857, 1.447089, -10.142793>,
      < -1.881737, 1.447089, -10.419345>
    }
    triangle {
      < 3.275857, 1.447089, -1.586848>,
      < -1.881737, 1.447089, -10.419345>,
      < -1.954006, 1.447089, 0.000000>
    }
    triangle {
      < 3.275857, 1.447089, -1.586848>,
      < -1.954006, 1.447089, 0.000000>,
      < 3.275857, 1.447089, 0.000000>
    }
    triangle {
      < 5.568399, 1.447089, -1.586848>,
      < 5.568399, 1.447089, -10.053401>,
      < 3.275857, 1.447089, -10.142793>
    }
    triangle {
      < 5.568399, 1.447089, -1.586848>,
      < 3.275857, 1.447089, -10.142793>,
      < 3.275857, 1.447089, -1.586848>
    }
    triangle {
      < 5.568399, 1.447089, -1.586848>,
      < 3.275857, 1.447089, -1.586848>,
      < 6.683901, 5.315889, -1.586848>
    }
    triangle {
      < 6.675109, 5.316054, 0.000000>,
      < 6.683901, 5.315889, -1.586848>,
      < 3.275857, 1.447089, -1.586848>
    }
    triangle {
      < 6.675109, 5.316054, 0.000000>,
      < 3.275857, 1.447089, -1.586848>,
      < 3.275857, 1.447089, 0.000000>
    }
    triangle {
      < 21.278627, 1.400611, -1.803334>,
      < 21.363655, 1.139118, -5.173973>,
      < 21.060875, 1.981712, -6.729387>
    }
    triangle {
      < 21.278627, 1.400611, -1.803334>,
      < 21.060875, 1.981712, -6.729387>,
      < 18.888571, 1.302237, -1.623599>
    }
    triangle {
      < 23.102367, 0.608405, 0.000000>,
      < 23.720354, 0.966969, -4.569222>,
      < 21.363655, 1.139118, -5.173973>
    }
    triangle {
      < 23.102367, 0.608405, 0.000000>,
      < 21.363655, 1.139118, -5.173973>,
      < 21.278627, 1.400611, -1.803334>
    }
    triangle {
      < 23.102367, 0.608405, 0.000000>,
      < 21.278627, 1.400611, -1.803334>,
      < 21.179319, 1.176081, 0.000000>
    }
    texture {deck}
  }
  // hull
  union {
    triangle {
      < -8.522958, 3.221424, -12.703880>,
      < -8.351521, 3.221424, -11.058840>,
      < -1.598226, 3.221424, -11.134462>
    }
    triangle {
      < -8.522958, 3.221424, -12.703880>,
      < -1.598226, 3.221424, -11.134462>,
      < -1.886394, 3.221424, -12.694532>
    }
    triangle {
      < -21.997017, 12.885773, -9.282518>,
      < -22.549631, 13.892679, -9.395622>,
      < -23.230810, 12.189157, -8.507561>
    }
    triangle {
      < -23.230810, 12.189157, -8.507561>,
      < -19.385841, 7.391684, -8.968118>,
      < -20.622669, 10.264604, -9.549243>
    }
    triangle {
      < -23.230810, 12.189157, -8.507561>,
      < -20.622669, 10.264604, -9.549243>,
      < -21.997017, 12.885773, -9.282518>
    }
    triangle {
      < -20.622669, 10.264604, -9.549243>,
      < -19.385841, 7.391684, -8.968118>,
      < -19.292164, 9.097214, -9.702837>
    }
    triangle {
      < -19.292164, 9.097214, -9.702837>,
      < -19.385841, 7.391684, -8.968118>,
      < -13.892597, 7.391925, -9.847868>
    }
    triangle {
      < -19.292164, 9.097214, -9.702837>,
      < -13.892597, 7.391925, -9.847868>,
      < -13.192261, 9.087229, -10.726978>
    }
    triangle {
      < -9.777788, 1.447089, -10.415768>,
      < -10.064362, 4.446222, -10.991236>,
      < -13.192261, 9.087229, -10.726978>
    }
    triangle {
      < -9.777788, 1.447089, -10.415768>,
      < -13.192261, 9.087229, -10.726978>,
      < -13.892597, 7.391925, -9.847868>
    }
    triangle {
      < -10.064362, 4.446222, -10.991236>,
      < -9.777788, 1.447089, -10.415768>,
      < -8.351521, 3.221424, -11.058840>
    }
    triangle {
      < -32.024277, 15.183992, -8.240927>,
      < -31.478973, 12.189011, -7.300096>,
      < -23.230810, 12.189157, -8.507561>
    }
    triangle {
      < -32.024277, 15.183992, -8.240927>,
      < -23.230810, 12.189157, -8.507561>,
      < -22.549631, 13.892679, -9.395622>
    }
    texture {hull}
  }
  // deck
  union {
    triangle {
      < -14.133162, 7.391512, -7.171891>,
      < -14.133162, 7.391360, 0.000000>,
      < -12.005382, 1.447089, 0.000000>
    }
    triangle {
      < -14.133162, 7.391512, -7.171891>,
      < -12.005382, 1.447089, 0.000000>,
      < -12.005382, 1.447089, -7.353243>
    }
    texture {deck}
  }
  // hull
  union {
    triangle {
      < 3.275857, 1.447089, -10.142793>,
      < 2.452951, 3.221424, -10.998412>,
      < -1.598226, 3.221424, -11.134462>
    }
    triangle {
      < 3.275857, 1.447089, -10.142793>,
      < -1.598226, 3.221424, -11.134462>,
      < -1.881737, 1.447089, -10.419345>
    }
    triangle {
      < -1.881737, 1.447089, -10.419345>,
      < -1.598226, 3.221424, -11.134462>,
      < -8.351521, 3.221424, -11.058840>
    }
    triangle {
      < -1.881737, 1.447089, -10.419345>,
      < -8.351521, 3.221424, -11.058840>,
      < -9.777788, 1.447089, -10.415768>
    }
    triangle {
      < 3.275857, 1.447089, -10.142793>,
      < 5.568399, 1.447089, -10.053401>,
      < 4.365315, 4.001073, -10.953445>
    }
    triangle {
      < 3.275857, 1.447089, -10.142793>,
      < 4.365315, 4.001073, -10.953445>,
      < 2.452951, 3.221424, -10.998412>
    }
    triangle {
      < 5.533552, 6.171984, -12.384296>,
      < 5.530656, 6.149844, -10.682220>,
      < 7.977384, 6.662837, -10.348160>
    }
    triangle {
      < 5.533552, 6.171984, -12.384296>,
      < 7.977384, 6.662837, -10.348160>,
      < 7.360672, 6.662837, -12.189878>
    }
    triangle {
      < 6.683901, 5.316105, -9.844049>,
      < 5.530656, 6.149844, -10.682220>,
      < 4.365315, 4.001073, -10.953445>
    }
    triangle {
      < 6.683901, 5.316105, -9.844049>,
      < 4.365315, 4.001073, -10.953445>,
      < 5.568399, 1.447089, -10.053401>
    }
    texture {hull}
  }
  // deck
  union {
    triangle {
      < 6.683901, 5.316105, -9.844049>,
      < 5.568399, 1.447089, -10.053401>,
      < 5.568399, 1.447089, -1.586848>
    }
    triangle {
      < 6.683901, 5.316105, -9.844049>,
      < 5.568399, 1.447089, -1.586848>,
      < 6.683901, 5.315889, -1.586848>
    }
    texture {deck}
  }
  // hull
  union {
    triangle {
      < 5.530656, 6.149844, -10.682220>,
      < 6.683901, 5.316105, -9.844049>,
      < 7.977384, 6.662837, -10.348160>
    }
    triangle {
      < 17.005033, 6.662837, -9.681633>,
      < 7.977384, 6.662837, -10.348160>,
      < 6.683901, 5.316105, -9.844049>
    }
    triangle {
      < 17.005033, 6.662837, -9.681633>,
      < 6.683901, 5.316105, -9.844049>,
      < 16.906103, 5.316122, -8.994491>
    }
    triangle {
      < -24.875282, -16.438957, -5.023836>,
      < -24.875282, -17.469940, -1.238075>,
      < -32.122738, -17.475546, -1.238075>
    }
    triangle {
      < -24.875282, -16.438957, -5.023836>,
      < -32.122738, -17.475546, -1.238075>,
      < -32.122726, -16.693306, -4.355949>
    }
    triangle {
      < -21.158424, -16.432545, -5.456006>,
      < -21.158424, -17.471130, -1.238075>,
      < -24.875282, -17.469940, -1.238075>
    }
    triangle {
      < -21.158424, -16.432545, -5.456006>,
      < -24.875282, -17.469940, -1.238075>,
      < -24.875282, -16.438957, -5.023836>
    }
    triangle {
      < -17.426210, -16.414181, -5.591547>,
      < -17.426210, -17.464722, -1.238075>,
      < -21.158424, -17.471130, -1.238075>
    }
    triangle {
      < -17.426210, -16.414181, -5.591547>,
      < -21.158424, -17.471130, -1.238075>,
      < -21.158424, -16.432545, -5.456006>
    }
    triangle {
      < -10.703051, -16.404001, -5.960669>,
      < -10.703051, -17.446625, -1.238075>,
      < -17.426210, -17.464722, -1.238075>
    }
    triangle {
      < -10.703051, -16.404001, -5.960669>,
      < -17.426210, -17.464722, -1.238075>,
      < -17.426210, -16.414181, -5.591547>
    }
    triangle {
      < -6.862593, -16.404274, -6.041844>,
      < -6.862593, -17.454201, -1.238075>,
      < -10.703051, -17.446625, -1.238075>
    }
    triangle {
      < -6.862593, -16.404274, -6.041844>,
      < -10.703051, -17.446625, -1.238075>,
      < -10.703051, -16.404001, -5.960669>
    }
    triangle {
      < -2.943282, -16.405006, -6.357064>,
      < -2.943282, -17.458817, -1.238075>,
      < -6.862593, -17.454201, -1.238075>
    }
    triangle {
      < -2.943282, -16.405006, -6.357064>,
      < -6.862593, -17.454201, -1.238075>,
      < -6.862593, -16.404274, -6.041844>
    }
    triangle {
      < 2.420745, -16.404470, -6.357064>,
      < 2.420745, -17.454708, -1.238075>,
      < -2.943282, -17.458817, -1.238075>
    }
    triangle {
      < 2.420745, -16.404470, -6.357064>,
      < -2.943282, -17.458817, -1.238075>,
      < -2.943282, -16.405006, -6.357064>
    }
    triangle {
      < 7.603565, -16.380497, -6.357064>,
      < 7.603565, -17.449827, -1.238075>,
      < 2.420745, -17.454708, -1.238075>
    }
    triangle {
      < 7.603565, -16.380497, -6.357064>,
      < 2.420745, -17.454708, -1.238075>,
      < 2.420745, -16.404470, -6.357064>
    }
    triangle {
      < 12.832268, -15.500710, -6.259944>,
      < 12.879044, -16.473442, -1.238075>,
      < 7.603565, -17.449827, -1.238075>
    }
    triangle {
      < 12.832268, -15.500710, -6.259944>,
      < 7.603565, -17.449827, -1.238075>,
      < 7.603565, -16.380497, -6.357064>
    }
    triangle {
      < 16.321648, -13.597433, -5.927067>,
      < 16.405544, -14.094017, -1.238075>,
      < 12.879044, -16.473442, -1.238075>
    }
    triangle {
      < 16.321648, -13.597433, -5.927067>,
      < 12.879044, -16.473442, -1.238075>,
      < 12.832268, -15.500710, -6.259944>
    }
    triangle {
      < 18.157881, -11.652975, -5.318019>,
      < 18.244587, -11.779632, -1.238075>,
      < 16.405544, -14.094017, -1.238075>
    }
    triangle {
      < 18.157881, -11.652975, -5.318019>,
      < 16.405544, -14.094017, -1.238075>,
      < 16.321648, -13.597433, -5.927067>
    }
    triangle {
      < 20.729614, -7.361181, -4.084560>,
      < 20.710901, -7.529170, -1.281522>,
      < 18.244587, -11.779632, -1.238075>
    }
    triangle {
      < 20.729614, -7.361181, -4.084560>,
      < 18.244587, -11.779632, -1.238075>,
      < 18.157881, -11.652975, -5.318019>
    }
    triangle {
      < 20.729614, -7.361181, -4.084560>,
      < 22.502172, -2.387520, -1.780734>,
      < 20.710901, -7.529170, -1.281522>
    }
    triangle {
      < -24.875282, -15.191301, -8.889921>,
      < -24.875282, -16.438957, -5.023836>,
      < -32.122726, -16.693306, -4.355949>
    }
    triangle {
      < -24.875282, -15.191301, -8.889921>,
      < -32.122726, -16.693306, -4.355949>,
      < -32.122711, -15.201252, -8.479453>
    }
    triangle {
      < -21.158424, -15.188612, -9.238050>,
      < -21.158424, -16.432545, -5.456006>,
      < -24.875282, -16.438957, -5.023836>
    }
    triangle {
      < -21.158424, -15.188612, -9.238050>,
      < -24.875282, -16.438957, -5.023836>,
      < -24.875282, -15.191301, -8.889921>
    }
    triangle {
      < -17.426210, -15.185617, -9.648746>,
      < -17.426210, -16.414181, -5.591547>,
      < -21.158424, -16.432545, -5.456006>
    }
    triangle {
      < -17.426210, -15.185617, -9.648746>,
      < -21.158424, -16.432545, -5.456006>,
      < -21.158424, -15.188612, -9.238050>
    }
    triangle {
      < -10.703051, -15.151535, -9.959948>,
      < -10.703051, -16.404001, -5.960669>,
      < -17.426210, -16.414181, -5.591547>
    }
    triangle {
      < -10.703051, -15.151535, -9.959948>,
      < -17.426210, -16.414181, -5.591547>,
      < -17.426210, -15.185617, -9.648746>
    }
    triangle {
      < -6.862593, -15.148084, -10.122597>,
      < -6.862593, -16.404274, -6.041844>,
      < -10.703051, -16.404001, -5.960669>
    }
    triangle {
      < -6.862593, -15.148084, -10.122597>,
      < -10.703051, -16.404001, -5.960669>,
      < -10.703051, -15.151535, -9.959948>
    }
    triangle {
      < -2.943282, -15.161076, -10.404315>,
      < -2.943282, -16.405006, -6.357064>,
      < -6.862593, -16.404274, -6.041844>
    }
    triangle {
      < -2.943282, -15.161076, -10.404315>,
      < -6.862593, -16.404274, -6.041844>,
      < -6.862593, -15.148084, -10.122597>
    }
    triangle {
      < 2.420745, -15.136637, -10.490346>,
      < 2.420745, -16.404470, -6.357064>,
      < -2.943282, -16.405006, -6.357064>
    }
    triangle {
      < 2.420745, -15.136637, -10.490346>,
      < -2.943282, -16.405006, -6.357064>,
      < -2.943282, -15.161076, -10.404315>
    }
    triangle {
      < 7.603565, -15.139988, -10.384273>,
      < 7.603565, -16.380497, -6.357064>,
      < 2.420745, -16.404470, -6.357064>
    }
    triangle {
      < 7.603565, -15.139988, -10.384273>,
      < 2.420745, -16.404470, -6.357064>,
      < 2.420745, -15.136637, -10.490346>
    }
    triangle {
      < 12.742552, -13.635256, -10.271313>,
      < 12.832268, -15.500710, -6.259944>,
      < 7.603565, -16.380497, -6.357064>
    }
    triangle {
      < 12.742552, -13.635256, -10.271313>,
      < 7.603565, -16.380497, -6.357064>,
      < 7.603565, -15.139988, -10.384273>
    }
    triangle {
      < 16.052504, -12.004322, -9.672956>,
      < 16.321648, -13.597433, -5.927067>,
      < 12.832268, -15.500710, -6.259944>
    }
    triangle {
      < 16.052504, -12.004322, -9.672956>,
      < 12.832268, -15.500710, -6.259944>,
      < 12.742552, -13.635256, -10.271313>
    }
    triangle {
      < 17.738865, -10.274949, -8.849628>,
      < 18.157881, -11.652975, -5.318019>,
      < 16.321648, -13.597433, -5.927067>
    }
    triangle {
      < 17.738865, -10.274949, -8.849628>,
      < 16.321648, -13.597433, -5.927067>,
      < 16.052504, -12.004322, -9.672956>
    }
    triangle {
      < 20.423779, -6.674508, -7.563237>,
      < 20.729614, -7.361181, -4.084560>,
      < 18.157881, -11.652975, -5.318019>
    }
    triangle {
      < 20.423779, -6.674508, -7.563237>,
      < 18.157881, -11.652975, -5.318019>,
      < 17.738865, -10.274949, -8.849628>
    }
    triangle {
      < 22.927841, -2.079975, -5.293032>,
      < 22.502172, -2.387520, -1.780734>,
      < 20.729614, -7.361181, -4.084560>
    }
    triangle {
      < 22.927841, -2.079975, -5.293032>,
      < 20.729614, -7.361181, -4.084560>,
      < 20.423779, -6.674508, -7.563237>
    }
    triangle {
      < -24.875282, -13.559512, -12.869038>,
      < -24.875282, -15.191301, -8.889921>,
      < -32.122711, -15.201252, -8.479453>
    }
    triangle {
      < -24.875282, -13.559512, -12.869038>,
      < -32.122711, -15.201252, -8.479453>,
      < -32.122692, -13.101498, -12.252906>
    }
    triangle {
      < -21.158424, -13.563975, -12.793823>,
      < -21.158424, -15.188612, -9.238050>,
      < -24.875282, -15.191301, -8.889921>
    }
    triangle {
      < -21.158424, -13.563975, -12.793823>,
      < -24.875282, -15.191301, -8.889921>,
      < -24.875282, -13.559512, -12.869038>
    }
    triangle {
      < -17.426210, -13.564394, -13.015837>,
      < -17.426210, -15.185617, -9.648746>,
      < -21.158424, -15.188612, -9.238050>
    }
    triangle {
      < -17.426210, -13.564394, -13.015837>,
      < -21.158424, -15.188612, -9.238050>,
      < -21.158424, -13.563975, -12.793823>
    }
    triangle {
      < -10.703051, -13.542574, -13.359402>,
      < -10.703051, -15.151535, -9.959948>,
      < -17.426210, -15.185617, -9.648746>
    }
    triangle {
      < -10.703051, -13.542574, -13.359402>,
      < -17.426210, -15.185617, -9.648746>,
      < -17.426210, -13.564394, -13.015837>
    }
    triangle {
      < -6.862593, -13.538811, -13.468325>,
      < -6.862593, -15.148084, -10.122597>,
      < -10.703051, -15.151535, -9.959948>
    }
    triangle {
      < -6.862593, -13.538811, -13.468325>,
      < -10.703051, -15.151535, -9.959948>,
      < -10.703051, -13.542574, -13.359402>
    }
    triangle {
      < -2.943282, -13.548689, -13.506525>,
      < -2.943282, -15.161076, -10.404315>,
      < -6.862593, -15.148084, -10.122597>
    }
    triangle {
      < -2.943282, -13.548689, -13.506525>,
      < -6.862593, -15.148084, -10.122597>,
      < -6.862593, -13.538811, -13.468325>
    }
    triangle {
      < 2.420745, -13.559494, -13.319569>,
      < 2.420745, -15.136637, -10.490346>,
      < -2.943282, -15.161076, -10.404315>
    }
    triangle {
      < 2.420745, -13.559494, -13.319569>,
      < -2.943282, -15.161076, -10.404315>,
      < -2.943282, -13.548689, -13.506525>
    }
    triangle {
      < 7.603565, -13.121067, -12.955379>,
      < 7.603565, -15.139988, -10.384273>,
      < 2.420745, -15.136637, -10.490346>
    }
    triangle {
      < 7.603565, -13.121067, -12.955379>,
      < 2.420745, -15.136637, -10.490346>,
      < 2.420745, -13.559494, -13.319569>
    }
    triangle {
      < 12.651917, -11.750661, -12.163342>,
      < 12.742552, -13.635256, -10.271313>,
      < 7.603565, -15.139988, -10.384273>
    }
    triangle {
      < 12.651917, -11.750661, -12.163342>,
      < 7.603565, -15.139988, -10.384273>,
      < 7.603565, -13.121067, -12.955379>
    }
    triangle {
      < 15.776398, -10.370003, -11.428668>,
      < 16.052504, -12.004322, -9.672956>,
      < 12.742552, -13.635256, -10.271313>
    }
    triangle {
      < 15.776398, -10.370003, -11.428668>,
      < 12.742552, -13.635256, -10.271313>,
      < 12.651917, -11.750661, -12.163342>
    }
    triangle {
      < 17.823387, -8.626553, -10.201316>,
      < 17.738865, -10.274949, -8.849628>,
      < 16.052504, -12.004322, -9.672956>
    }
    triangle {
      < 17.823387, -8.626553, -10.201316>,
      < 16.052504, -12.004322, -9.672956>,
      < 15.776398, -10.370003, -11.428668>
    }
    triangle {
      < 20.243277, -5.812185, -8.599287>,
      < 20.423779, -6.674508, -7.563237>,
      < 17.738865, -10.274949, -8.849628>
    }
    triangle {
      < 20.243277, -5.812185, -8.599287>,
      < 17.738865, -10.274949, -8.849628>,
      < 17.823387, -8.626553, -10.201316>
    }
    triangle {
      < 22.642578, -2.021900, -6.338686>,
      < 22.927841, -2.079975, -5.293032>,
      < 20.423779, -6.674508, -7.563237>
    }
    triangle {
      < 22.642578, -2.021900, -6.338686>,
      < 20.423779, -6.674508, -7.563237>,
      < 20.243277, -5.812185, -8.599287>
    }
    triangle {
      < -24.875282, -10.610699, -14.971485>,
      < -24.875282, -13.559512, -12.869038>,
      < -32.122692, -13.101498, -12.252906>
    }
    triangle {
      < -24.875282, -10.610699, -14.971485>,
      < -32.122692, -13.101498, -12.252906>,
      < -32.122688, -10.525450, -13.978191>
    }
    triangle {
      < -21.158424, -10.603826, -15.170494>,
      < -21.158424, -13.563975, -12.793823>,
      < -24.875282, -13.559512, -12.869038>
    }
    triangle {
      < -21.158424, -10.603826, -15.170494>,
      < -24.875282, -13.559512, -12.869038>,
      < -24.875282, -10.610699, -14.971485>
    }
    triangle {
      < -17.426210, -10.616206, -15.433119>,
      < -17.426210, -13.564394, -13.015837>,
      < -21.158424, -13.563975, -12.793823>
    }
    triangle {
      < -17.426210, -10.616206, -15.433119>,
      < -21.158424, -13.563975, -12.793823>,
      < -21.158424, -10.603826, -15.170494>
    }
    triangle {
      < -10.703051, -10.590498, -15.556311>,
      < -10.703051, -13.542574, -13.359402>,
      < -17.426210, -13.564394, -13.015837>
    }
    triangle {
      < -10.703051, -10.590498, -15.556311>,
      < -17.426210, -13.564394, -13.015837>,
      < -17.426210, -10.616206, -15.433119>
    }
    triangle {
      < -6.862593, -10.586885, -15.660851>,
      < -6.862593, -13.538811, -13.468325>,
      < -10.703051, -13.542574, -13.359402>
    }
    triangle {
      < -6.862593, -10.586885, -15.660851>,
      < -10.703051, -13.542574, -13.359402>,
      < -10.703051, -10.590498, -15.556311>
    }
    triangle {
      < -2.943282, -10.611682, -15.249158>,
      < -2.943282, -13.548689, -13.506525>,
      < -6.862593, -13.538811, -13.468325>
    }
    triangle {
      < -2.943282, -10.611682, -15.249158>,
      < -6.862593, -13.538811, -13.468325>,
      < -6.862593, -10.586885, -15.660851>
    }
    triangle {
      < 2.420745, -10.615954, -14.819395>,
      < 2.420745, -13.559494, -13.319569>,
      < -2.943282, -13.548689, -13.506525>
    }
    triangle {
      < 2.420745, -10.615954, -14.819395>,
      < -2.943282, -13.548689, -13.506525>,
      < -2.943282, -10.611682, -15.249158>
    }
    triangle {
      < 7.603565, -10.423251, -14.270162>,
      < 7.603565, -13.121067, -12.955379>,
      < 2.420745, -13.559494, -13.319569>
    }
    triangle {
      < 7.603565, -10.423251, -14.270162>,
      < 2.420745, -13.559494, -13.319569>,
      < 2.420745, -10.615954, -14.819395>
    }
    triangle {
      < 12.555428, -9.744363, -13.830376>,
      < 12.651917, -11.750661, -12.163342>,
      < 7.603565, -13.121067, -12.955379>
    }
    triangle {
      < 12.555428, -9.744363, -13.830376>,
      < 7.603565, -13.121067, -12.955379>,
      < 7.603565, -10.423251, -14.270162>
    }
    triangle {
      < 15.481684, -8.625530, -13.248377>,
      < 15.776398, -10.370003, -11.428668>,
      < 12.651917, -11.750661, -12.163342>
    }
    triangle {
      < 15.481684, -8.625530, -13.248377>,
      < 12.651917, -11.750661, -12.163342>,
      < 12.555428, -9.744363, -13.830376>
    }
    triangle {
      < 17.762831, -6.967863, -11.940372>,
      < 17.823387, -8.626553, -10.201316>,
      < 15.776398, -10.370003, -11.428668>
    }
    triangle {
      < 17.762831, -6.967863, -11.940372>,
      < 15.776398, -10.370003, -11.428668>,
      < 15.481684, -8.625530, -13.248377>
    }
    triangle {
      < 19.731392, -4.773400, -10.782165>,
      < 20.243277, -5.812185, -8.599287>,
      < 17.823387, -8.626553, -10.201316>
    }
    triangle {
      < 19.731392, -4.773400, -10.782165>,
      < 17.823387, -8.626553, -10.201316>,
      < 17.762831, -6.967863, -11.940372>
    }
    triangle {
      < 22.192654, -1.778881, -8.919837>,
      < 22.642578, -2.021900, -6.338686>,
      < 20.243277, -5.812185, -8.599287>
    }
    triangle {
      < 22.192654, -1.778881, -8.919837>,
      < 20.243277, -5.812185, -8.599287>,
      < 19.731392, -4.773400, -10.782165>
    }
    triangle {
      < -24.875282, -7.172729, -15.149325>,
      < -24.875282, -10.610699, -14.971485>,
      < -32.122688, -10.525450, -13.978191>
    }
    triangle {
      < -24.875282, -7.172729, -15.149325>,
      < -32.122688, -10.525450, -13.978191>,
      < -32.122684, -7.293530, -14.206009>
    }
    triangle {
      < -21.158424, -7.158087, -15.411015>,
      < -21.158424, -10.603826, -15.170494>,
      < -24.875282, -10.610699, -14.971485>
    }
    triangle {
      < -21.158424, -7.158087, -15.411015>,
      < -24.875282, -10.610699, -14.971485>,
      < -24.875282, -7.172729, -15.149325>
    }
    triangle {
      < -17.426210, -7.163010, -15.619746>,
      < -17.426210, -10.616206, -15.433119>,
      < -21.158424, -10.603826, -15.170494>
    }
    triangle {
      < -17.426210, -7.163010, -15.619746>,
      < -21.158424, -10.603826, -15.170494>,
      < -21.158424, -7.158087, -15.411015>
    }
    triangle {
      < -10.703051, -7.164166, -15.766442>,
      < -10.703051, -10.590498, -15.556311>,
      < -17.426210, -10.616206, -15.433119>
    }
    triangle {
      < -10.703051, -7.164166, -15.766442>,
      < -17.426210, -10.616206, -15.433119>,
      < -17.426210, -7.163010, -15.619746>
    }
    triangle {
      < -6.862593, -7.149532, -15.766785>,
      < -6.862593, -10.586885, -15.660851>,
      < -10.703051, -10.590498, -15.556311>
    }
    triangle {
      < -6.862593, -7.149532, -15.766785>,
      < -10.703051, -10.590498, -15.556311>,
      < -10.703051, -7.164166, -15.766442>
    }
    triangle {
      < -2.943282, -7.166555, -15.589163>,
      < -2.943282, -10.611682, -15.249158>,
      < -6.862593, -10.586885, -15.660851>
    }
    triangle {
      < -2.943282, -7.166555, -15.589163>,
      < -6.862593, -10.586885, -15.660851>,
      < -6.862593, -7.149532, -15.766785>
    }
    triangle {
      < 2.420745, -7.173941, -15.276383>,
      < 2.420745, -10.615954, -14.819395>,
      < -2.943282, -10.611682, -15.249158>
    }
    triangle {
      < 2.420745, -7.173941, -15.276383>,
      < -2.943282, -10.611682, -15.249158>,
      < -2.943282, -7.166555, -15.589163>
    }
    triangle {
      < 7.603565, -7.188782, -14.846800>,
      < 7.603565, -10.423251, -14.270162>,
      < 2.420745, -10.615954, -14.819395>
    }
    triangle {
      < 7.603565, -7.188782, -14.846800>,
      < 2.420745, -10.615954, -14.819395>,
      < 2.420745, -7.173941, -15.276383>
    }
    triangle {
      < 12.411800, -6.757924, -14.212804>,
      < 12.555428, -9.744363, -13.830376>,
      < 7.603565, -10.423251, -14.270162>
    }
    triangle {
      < 12.411800, -6.757924, -14.212804>,
      < 7.603565, -10.423251, -14.270162>,
      < 7.603565, -7.188782, -14.846800>
    }
    triangle {
      < 15.075657, -6.222204, -13.865580>,
      < 15.481684, -8.625530, -13.248377>,
      < 12.555428, -9.744363, -13.830376>
    }
    triangle {
      < 15.075657, -6.222204, -13.865580>,
      < 12.555428, -9.744363, -13.830376>,
      < 12.411800, -6.757924, -14.212804>
    }
    triangle {
      < 17.373505, -5.228647, -12.646860>,
      < 17.762831, -6.967863, -11.940372>,
      < 15.481684, -8.625530, -13.248377>
    }
    triangle {
      < 17.373505, -5.228647, -12.646860>,
      < 15.481684, -8.625530, -13.248377>,
      < 15.075657, -6.222204, -13.865580>
    }
    triangle {
      < 19.400375, -3.691560, -11.374310>,
      < 19.731392, -4.773400, -10.782165>,
      < 17.762831, -6.967863, -11.940372>
    }
    triangle {
      < 19.400375, -3.691560, -11.374310>,
      < 17.762831, -6.967863, -11.940372>,
      < 17.373505, -5.228647, -12.646860>
    }
    triangle {
      < 21.442825, -1.464471, -9.712464>,
      < 22.192654, -1.778881, -8.919837>,
      < 19.731392, -4.773400, -10.782165>
    }
    triangle {
      < 21.442825, -1.464471, -9.712464>,
      < 19.731392, -4.773400, -10.782165>,
      < 19.400375, -3.691560, -11.374310>
    }
    triangle {
      < 4.422665, 4.063653, -12.498808>,
      < 5.533552, 6.171984, -12.384296>,
      < 6.935244, 4.838787, -12.860477>
    }
    triangle {
      < 4.422665, 4.063653, -12.498808>,
      < 6.935244, 4.838787, -12.860477>,
      < 6.935244, 3.738120, -12.932455>
    }
    triangle {
      < 15.252133, 4.364689, -12.089524>,
      < 13.062292, 4.818222, -12.265154>,
      < 12.972380, 6.662837, -11.684002>
    }
    triangle {
      < 15.252133, 4.364689, -12.089524>,
      < 12.972380, 6.662837, -11.684002>,
      < 15.594139, 6.662837, -11.461397>
    }
    triangle {
      < 17.983040, 6.662837, -11.152293>,
      < 21.007219, 3.249419, -9.869397>,
      < 17.344368, 4.240352, -11.840204>
    }
    triangle {
      < 12.972380, 6.662837, -11.684002>,
      < 13.062292, 4.818222, -12.265154>,
      < 6.935244, 4.838787, -12.860477>
    }
    triangle {
      < 12.972380, 6.662837, -11.684002>,
      < 6.935244, 4.838787, -12.860477>,
      < 7.360672, 6.662837, -12.189878>
    }
    triangle {
      < 21.135654, 1.550061, -10.690931>,
      < 17.807384, 1.818409, -11.514686>,
      < 17.344368, 4.240352, -11.840204>
    }
    triangle {
      < 21.135654, 1.550061, -10.690931>,
      < 17.344368, 4.240352, -11.840204>,
      < 21.007219, 3.249419, -9.869397>
    }
    triangle {
      < 27.427397, 1.142091, 0.000000>,
      < 27.217043, 2.526036, -1.605860>,
      < 26.100426, 1.864140, -3.405339>
    }
    triangle {
      < 27.427397, 1.142091, 0.000000>,
      < 26.100426, 1.864140, -3.405339>,
      < 26.333582, 1.027800, -1.582581>
    }
    triangle {
      < 27.104233, 2.554623, 0.000000>,
      < 27.217043, 2.526036, -1.605860>,
      < 27.427397, 1.142091, 0.000000>
    }
    triangle {
      < 27.104233, 2.554623, 0.000000>,
      < 27.427397, 1.142091, 0.000000>,
      < 27.660387, 1.772689, 0.000000>
    }
    texture {hull}
  }
  // aft
  union {
    triangle {
      < -36.337158, 10.302411, -4.204359>,
      < -36.824764, 10.662413, 0.000000>,
      < -35.115417, 12.681304, 0.000000>
    }
    triangle {
      < -36.337158, 10.302411, -4.204359>,
      < -35.115417, 12.681304, 0.000000>,
      < -34.500881, 12.321301, -2.967943>
    }
    texture {aft}
  }
  // hull
  union {
    triangle {
      < 21.135654, 1.550061, -10.690931>,
      < 21.934351, 1.656698, -10.462739>,
      < 22.121262, 1.561577, -11.206270>
    }
    triangle {
      < 6.935244, 3.738120, -12.932455>,
      < 2.420745, 1.569107, -13.480452>,
      < 2.420745, 3.221424, -12.616695>
    }
    triangle {
      < 6.935244, 3.738120, -12.932455>,
      < 2.420745, 3.221424, -12.616695>,
      < 4.422665, 4.063653, -12.498808>
    }
    texture {hull}
  }
  // keel
  union {
    triangle {
      < 7.603565, -19.195683, -1.238075>,
      < 7.603565, -19.183283, 0.000000>,
      < 2.420745, -19.183977, 0.000000>
    }
    triangle {
      < 7.603565, -19.195683, -1.238075>,
      < 2.420745, -19.183977, 0.000000>,
      < 2.420745, -19.188913, -1.238075>
    }
    texture {keel}
  }
  // aft
  union {
    triangle {
      < -32.122711, -3.604395, -7.527471>,
      < -32.122761, -0.633678, -7.527228>,
      < -34.248096, -0.633676, -7.527580>
    }
    texture {aft}
  }
  // hull
  union {
    triangle {
      < 17.983040, 6.662837, -11.152293>,
      < 17.344368, 4.240352, -11.840204>,
      < 15.252133, 4.364689, -12.089524>
    }
    triangle {
      < 17.983040, 6.662837, -11.152293>,
      < 15.252133, 4.364689, -12.089524>,
      < 15.594139, 6.662837, -11.461397>
    }
    triangle {
      < 21.060875, 1.981712, -6.729387>,
      < 22.595039, 2.320421, -6.663224>,
      < 20.477345, 3.637633, -7.988389>
    }
    triangle {
      < 21.060875, 1.981712, -6.729387>,
      < 20.477345, 3.637633, -7.988389>,
      < 19.376360, 2.471233, -7.869488>
    }
    triangle {
      < 16.906103, 5.316122, -8.994491>,
      < 19.376360, 2.471233, -7.869488>,
      < 20.477345, 3.637633, -7.988389>
    }
    triangle {
      < 16.906103, 5.316122, -8.994491>,
      < 20.477345, 3.637633, -7.988389>,
      < 17.005033, 6.662837, -9.681633>
    }
    texture {hull}
  }
  // deck
  union {
    triangle {
      < 21.363655, 1.139118, -5.173973>,
      < 23.720354, 0.966969, -4.569222>,
      < 21.060875, 1.981712, -6.729387>
    }
    texture {deck}
  }
  // hull
  union {
    triangle {
      < 6.935244, 4.838787, -12.860477>,
      < 5.533552, 6.171984, -12.384296>,
      < 7.360672, 6.662837, -12.189878>
    }
    texture {hull}
  }
  // rig
  union {
    triangle {
      < -2.961988, -0.093726, -15.846119>,
      < -4.439586, -0.093726, -15.846119>,
      < -1.898796, 1.623528, -15.278696>
    }
    triangle {
      < -2.961988, -0.093726, -15.846119>,
      < -1.898796, 1.623528, -15.278696>,
      < -1.898796, -0.093726, -15.846119>
    }
    triangle {
      < -6.464514, -0.093726, -15.846119>,
      < -5.437628, 1.630064, -15.278696>,
      < -1.898796, 1.623528, -15.278696>
    }
    triangle {
      < -6.464514, -0.093726, -15.846119>,
      < -1.898796, 1.623528, -15.278696>,
      < -4.439586, -0.093726, -15.846119>
    }
    triangle {
      < -1.898796, -0.093726, -15.846119>,
      < -1.898796, -0.093726, -14.123177>,
      < -2.961988, -0.093726, -14.123177>
    }
    triangle {
      < -1.898796, -0.093726, -15.846119>,
      < -2.961988, -0.093726, -14.123177>,
      < -2.961988, -0.093726, -15.846119>
    }
    texture {rig}
  }
  // aft
  union {
    triangle {
      < -36.700283, 3.003968, -2.860110>,
      < -34.417446, 0.590306, -2.860096>,
      < -32.122826, 0.590387, -2.859397>
    }
    triangle {
      < -36.700283, 3.003968, -2.860110>,
      < -32.122826, 0.590387, -2.859397>,
      < -32.122818, 3.000965, -2.859260>
    }
    triangle {
      < -30.977203, -3.573457, -13.137188>,
      < -30.527657, -3.185613, -13.899263>,
      < -29.785950, -3.192493, -13.980194>
    }
    triangle {
      < -30.977203, -3.573457, -13.137188>,
      < -29.785950, -3.192493, -13.980194>,
      < -29.440445, -3.531864, -13.420376>
    }
    triangle {
      < -30.977203, -3.573457, -13.137188>,
      < -33.089638, -0.885639, -12.303194>,
      < -32.748100, -0.633628, -13.436047>
    }
    triangle {
      < -30.977203, -3.573457, -13.137188>,
      < -32.748100, -0.633628, -13.436047>,
      < -30.527657, -3.185613, -13.899263>
    }
    texture {aft}
  }
  // hull
  union {
    triangle {
      < 24.074268, 1.416270, -8.771894>,
      < 21.934351, 1.656698, -10.462739>,
      < 21.007219, 3.249419, -9.869397>
    }
    triangle {
      < 24.074268, 1.416270, -8.771894>,
      < 21.007219, 3.249419, -9.869397>,
      < 23.650299, 1.840257, -8.010921>
    }
    triangle {
      < 25.925503, 1.399094, -7.091439>,
      < 24.074268, 1.416270, -8.771894>,
      < 23.650299, 1.840257, -8.010921>
    }
    triangle {
      < 25.925503, 1.399094, -7.091439>,
      < 23.650299, 1.840257, -8.010921>,
      < 25.636337, 1.698787, -6.579282>
    }
    triangle {
      < 28.136330, 2.362632, -4.761501>,
      < 25.925503, 1.399094, -7.091439>,
      < 25.636337, 1.698787, -6.579282>
    }
    triangle {
      < 28.136330, 2.362632, -4.761501>,
      < 25.636337, 1.698787, -6.579282>,
      < 27.706768, 2.015127, -4.583124>
    }
    triangle {
      < 21.934351, 1.656698, -10.462739>,
      < 21.135654, 1.550061, -10.690931>,
      < 21.007219, 3.249419, -9.869397>
    }
    triangle {
      < -33.718784, 15.003299, -10.658934>,
      < -32.024277, 15.183992, -8.240927>,
      < -30.036606, 14.678006, -10.958575>
    }
    texture {hull}
  }
  // rig
  union {
    triangle {
      < -8.976471, 1.636600, -15.278696>,
      < -8.018665, -0.093726, -15.846119>,
      < -9.989845, -0.093726, -15.846119>
    }
    triangle {
      < -8.976471, 1.636600, -15.278696>,
      < -9.989845, -0.093726, -15.846119>,
      < -12.515305, 1.643136, -15.278696>
    }
    triangle {
      < -5.437628, 1.630064, -15.278696>,
      < -6.464514, -0.093726, -15.846119>,
      < -8.018665, -0.093726, -15.846119>
    }
    triangle {
      < -5.437628, 1.630064, -15.278696>,
      < -8.018665, -0.093726, -15.846119>,
      < -8.976471, 1.636600, -15.278696>
    }
    triangle {
      < 6.935244, 4.877757, -13.657490>,
      < 7.942212, 3.738120, -13.693560>,
      < 6.935244, 3.738120, -13.693585>
    }
    triangle {
      < 13.062292, 4.882016, -13.297487>,
      < 11.917332, 3.738120, -13.693560>,
      < 10.851164, 3.738120, -13.693560>
    }
    triangle {
      < 13.062292, 4.882016, -13.297487>,
      < 10.851164, 3.738120, -13.693560>,
      < 9.059711, 3.738120, -13.693560>
    }
    triangle {
      < 13.062292, 4.882016, -13.297487>,
      < 9.059711, 3.738120, -13.693560>,
      < 7.942212, 3.738120, -13.693560>
    }
    triangle {
      < 13.062292, 4.882016, -13.297487>,
      < 7.942212, 3.738120, -13.693560>,
      < 6.935244, 4.877757, -13.657490>
    }
    triangle {
      < -16.144386, 6.964816, -13.345592>,
      < -17.327192, 5.420457, -13.195373>,
      < -18.602346, 5.420457, -13.195373>
    }
    triangle {
      < -16.144386, 6.964816, -13.345592>,
      < -18.602346, 5.420457, -13.195373>,
      < -20.301380, 5.420457, -13.195373>
    }
    triangle {
      < -16.144386, 6.964816, -13.345592>,
      < -20.301380, 5.420457, -13.195373>,
      < -21.564625, 5.420457, -13.195373>
    }
    triangle {
      < -16.144386, 6.964816, -13.345592>,
      < -21.564625, 5.420457, -13.195373>,
      < -22.943232, 6.953562, -13.019781>
    }
    triangle {
      < -22.943232, 6.953562, -13.019781>,
      < -21.564625, 5.420457, -13.195373>,
      < -22.943232, 5.420457, -13.195373>
    }
    texture {rig}
  }
  // sail2
  union {
    triangle {
      < -0.450849, 27.977892, 18.749996>,
      < -0.609948, 27.840916, 22.499998>,
      < -0.566015, 27.749599, 22.499998>
    }
    triangle {
      < -0.450849, 27.977892, 18.749996>,
      < -0.566015, 27.749599, 22.499998>,
      < -0.341015, 27.749599, 18.749996>
    }
    triangle {
      < -0.216015, 27.749599, 12.499996>,
      < -0.153515, 27.749599, 9.374997>,
      < -0.091014, 27.749599, 6.249998>
    }
    triangle {
      < -0.216015, 27.749599, 12.499996>,
      < -0.091014, 27.749599, 6.249998>,
      < -0.028515, 27.749599, 3.124998>
    }
    triangle {
      < -0.216015, 27.749599, 12.499996>,
      < -0.028515, 27.749599, 3.124998>,
      < 0.033985, 27.749599, 0.000000>
    }
    triangle {
      < -0.216015, 27.749599, 12.499996>,
      < 0.033985, 27.749599, 0.000000>,
      < -0.185685, 28.206188, 0.000000>
    }
    triangle {
      < -0.216015, 27.749599, 12.499996>,
      < -0.185685, 28.206188, 0.000000>,
      < -0.450849, 27.977892, 18.749996>
    }
    triangle {
      < -0.216015, 27.749599, 12.499996>,
      < -0.450849, 27.977892, 18.749996>,
      < -0.341015, 27.749599, 18.749996>
    }
    triangle {
      < -0.216015, 27.749599, 12.499996>,
      < -0.341015, 27.749599, 18.749996>,
      < -0.278514, 27.749599, 15.624996>
    }
    triangle {
      < -0.716015, 28.072454, 18.749996>,
      < -0.716015, 27.878740, 22.499998>,
      < -0.609948, 27.840916, 22.499998>
    }
    triangle {
      < -0.716015, 28.072454, 18.749996>,
      < -0.609948, 27.840916, 22.499998>,
      < -0.450849, 27.977892, 18.749996>
    }
    triangle {
      < -0.716015, 28.395309, 0.000000>,
      < -0.716015, 28.072454, 18.749996>,
      < -0.450849, 27.977892, 18.749996>
    }
    triangle {
      < -0.716015, 28.395309, 0.000000>,
      < -0.450849, 27.977892, 18.749996>,
      < -0.185685, 28.206188, 0.000000>
    }
    triangle {
      < -0.981179, 27.977892, 18.749996>,
      < -0.822080, 27.840916, 22.499998>,
      < -0.716015, 27.878740, 22.499998>
    }
    triangle {
      < -0.981179, 27.977892, 18.749996>,
      < -0.716015, 27.878740, 22.499998>,
      < -0.716015, 28.072454, 18.749996>
    }
    triangle {
      < -1.246344, 28.206188, 0.000000>,
      < -0.981179, 27.977892, 18.749996>,
      < -0.716015, 28.072454, 18.749996>
    }
    triangle {
      < -1.246344, 28.206188, 0.000000>,
      < -0.716015, 28.072454, 18.749996>,
      < -0.716015, 28.395309, 0.000000>
    }
    triangle {
      < -1.091015, 27.749599, 18.749996>,
      < -0.866014, 27.749599, 22.499998>,
      < -0.822080, 27.840916, 22.499998>
    }
    triangle {
      < -1.091015, 27.749599, 18.749996>,
      < -0.822080, 27.840916, 22.499998>,
      < -0.981179, 27.977892, 18.749996>
    }
    triangle {
      < -1.466015, 27.749599, 0.000000>,
      < -1.091015, 27.749599, 18.749996>,
      < -0.981179, 27.977892, 18.749996>
    }
    triangle {
      < -1.466015, 27.749599, 0.000000>,
      < -0.981179, 27.977892, 18.749996>,
      < -1.246344, 28.206188, 0.000000>
    }
    triangle {
      < -0.981179, 27.521307, 18.749996>,
      < -0.822080, 27.658281, 22.499998>,
      < -0.866014, 27.749599, 22.499998>
    }
    triangle {
      < -0.981179, 27.521307, 18.749996>,
      < -0.866014, 27.749599, 22.499998>,
      < -1.091015, 27.749599, 18.749996>
    }
    triangle {
      < -1.246344, 27.293011, 0.000000>,
      < -0.981179, 27.521307, 18.749996>,
      < -1.091015, 27.749599, 18.749996>
    }
    triangle {
      < -1.246344, 27.293011, 0.000000>,
      < -1.091015, 27.749599, 18.749996>,
      < -1.466015, 27.749599, 0.000000>
    }
    triangle {
      < -0.716015, 27.426743, 18.749996>,
      < -0.716015, 27.620457, 22.499998>,
      < -0.822080, 27.658281, 22.499998>
    }
    triangle {
      < -0.716015, 27.426743, 18.749996>,
      < -0.822080, 27.658281, 22.499998>,
      < -0.981179, 27.521307, 18.749996>
    }
    triangle {
      < -0.629040, 27.103886, 0.000000>,
      < -0.716015, 27.426743, 18.749996>,
      < -0.981179, 27.521307, 18.749996>
    }
    triangle {
      < -0.629040, 27.103886, 0.000000>,
      < -0.981179, 27.521307, 18.749996>,
      < -1.246344, 27.293011, 0.000000>
    }
    triangle {
      < -0.450849, 27.521307, 18.749996>,
      < -0.609948, 27.658281, 22.499998>,
      < -0.716015, 27.620457, 22.499998>
    }
    triangle {
      < -0.450849, 27.521307, 18.749996>,
      < -0.716015, 27.620457, 22.499998>,
      < -0.716015, 27.426743, 18.749996>
    }
    triangle {
      < -0.185685, 27.293011, 0.000000>,
      < -0.229878, 27.331060, 3.124998>,
      < -0.274072, 27.369110, 6.249998>
    }
    triangle {
      < -0.185685, 27.293011, 0.000000>,
      < -0.274072, 27.369110, 6.249998>,
      < -0.318267, 27.407154, 9.374997>
    }
    triangle {
      < -0.185685, 27.293011, 0.000000>,
      < -0.318267, 27.407154, 9.374997>,
      < -0.362462, 27.445206, 12.499996>
    }
    triangle {
      < -0.185685, 27.293011, 0.000000>,
      < -0.362462, 27.445206, 12.499996>,
      < -0.406654, 27.483257, 15.624996>
    }
    triangle {
      < -0.185685, 27.293011, 0.000000>,
      < -0.406654, 27.483257, 15.624996>,
      < -0.450849, 27.521307, 18.749996>
    }
    triangle {
      < -0.185685, 27.293011, 0.000000>,
      < -0.450849, 27.521307, 18.749996>,
      < -0.716015, 27.426743, 18.749996>
    }
    triangle {
      < -0.185685, 27.293011, 0.000000>,
      < -0.716015, 27.426743, 18.749996>,
      < -0.629040, 27.103886, 0.000000>
    }
    triangle {
      < -0.341015, 27.749599, 18.749996>,
      < -0.566015, 27.749599, 22.499998>,
      < -0.609948, 27.658281, 22.499998>
    }
    triangle {
      < -0.341015, 27.749599, 18.749996>,
      < -0.609948, 27.658281, 22.499998>,
      < -0.450849, 27.521307, 18.749996>
    }
    triangle {
      < -0.609948, 27.840916, 22.499998>,
      < -0.716015, 27.878740, 22.499998>,
      < -0.822080, 27.840916, 22.499998>
    }
    triangle {
      < -0.609948, 27.840916, 22.499998>,
      < -0.822080, 27.840916, 22.499998>,
      < -0.866014, 27.749599, 22.499998>
    }
    triangle {
      < -0.609948, 27.840916, 22.499998>,
      < -0.866014, 27.749599, 22.499998>,
      < -0.822080, 27.658281, 22.499998>
    }
    triangle {
      < -0.609948, 27.840916, 22.499998>,
      < -0.822080, 27.658281, 22.499998>,
      < -0.716015, 27.620457, 22.499998>
    }
    triangle {
      < -0.609948, 27.840916, 22.499998>,
      < -0.716015, 27.620457, 22.499998>,
      < -0.609948, 27.658281, 22.499998>
    }
    triangle {
      < -0.609948, 27.840916, 22.499998>,
      < -0.609948, 27.658281, 22.499998>,
      < -0.566015, 27.749599, 22.499998>
    }
    triangle {
      < 2.349486, 25.376209, 15.522077>,
      < -0.278514, 27.749599, 15.624996>,
      < -0.341015, 27.749599, 18.749996>
    }
    triangle {
      < 2.349486, 25.376209, 15.522077>,
      < 2.411985, 25.523190, 12.499996>,
      < -0.216015, 27.749599, 12.499996>
    }
    triangle {
      < 2.349486, 25.376209, 15.522077>,
      < -0.216015, 27.749599, 12.499996>,
      < -0.278514, 27.749599, 15.624996>
    }
    triangle {
      < 2.411985, 25.523190, 12.499996>,
      < 2.474485, 25.523190, 9.374997>,
      < -0.153515, 27.749599, 9.374997>
    }
    triangle {
      < 2.411985, 25.523190, 12.499996>,
      < -0.153515, 27.749599, 9.374997>,
      < -0.216015, 27.749599, 12.499996>
    }
    triangle {
      < 2.474485, 25.523190, 9.374997>,
      < 2.536986, 25.523190, 6.249998>,
      < -0.091014, 27.749599, 6.249998>
    }
    triangle {
      < 2.474485, 25.523190, 9.374997>,
      < -0.091014, 27.749599, 6.249998>,
      < -0.153515, 27.749599, 9.374997>
    }
    triangle {
      < 2.536986, 25.523190, 6.249998>,
      < 2.599485, 25.523190, 3.124998>,
      < -0.028515, 27.749599, 3.124998>
    }
    triangle {
      < 2.536986, 25.523190, 6.249998>,
      < -0.028515, 27.749599, 3.124998>,
      < -0.091014, 27.749599, 6.249998>
    }
    triangle {
      < 2.599485, 25.523190, 3.124998>,
      < 2.661985, 25.523190, 0.000000>,
      < 0.033985, 27.749599, 0.000000>
    }
    triangle {
      < 2.599485, 25.523190, 3.124998>,
      < 0.033985, 27.749599, 0.000000>,
      < -0.028515, 27.749599, 3.124998>
    }
    triangle {
      < 4.919668, 22.289122, 12.150613>,
      < 4.982167, 22.515976, 9.184464>,
      < 2.411985, 25.523190, 12.499996>
    }
    triangle {
      < 4.982167, 22.515976, 9.184464>,
      < 5.044668, 22.800421, 6.258644>,
      < 2.536986, 25.523190, 6.249998>
    }
    triangle {
      < 4.982167, 22.515976, 9.184464>,
      < 2.536986, 25.523190, 6.249998>,
      < 2.474485, 25.523190, 9.374997>
    }
    triangle {
      < 5.044668, 22.800421, 6.258644>,
      < 5.107168, 22.800417, 3.133644>,
      < 2.599485, 25.523190, 3.124998>
    }
    triangle {
      < 5.044668, 22.800421, 6.258644>,
      < 2.599485, 25.523190, 3.124998>,
      < 2.536986, 25.523190, 6.249998>
    }
    triangle {
      < 5.107168, 22.800417, 3.133644>,
      < 5.169741, 22.800392, 0.000000>,
      < 2.661985, 25.523190, 0.000000>
    }
    triangle {
      < 5.107168, 22.800417, 3.133644>,
      < 2.661985, 25.523190, 0.000000>,
      < 2.599485, 25.523190, 3.124998>
    }
    triangle {
      < 6.853204, 19.809378, 6.116760>,
      < 7.224073, 20.021494, 3.140291>,
      < 5.107168, 22.800417, 3.133644>
    }
    triangle {
      < 6.853204, 19.809378, 6.116760>,
      < 5.107168, 22.800417, 3.133644>,
      < 5.044668, 22.800421, 6.258644>
    }
    triangle {
      < 7.224073, 20.021494, 3.140291>,
      < 7.286703, 20.021448, 0.000000>,
      < 5.169741, 22.800392, 0.000000>
    }
    triangle {
      < 7.224073, 20.021494, 3.140291>,
      < 5.169741, 22.800392, 0.000000>,
      < 5.107168, 22.800417, 3.133644>
    }
    triangle {
      < 0.774985, 25.158726, 18.494785>,
      < 2.349486, 25.376209, 15.522077>,
      < -0.341015, 27.749599, 18.749996>
    }
    triangle {
      < 2.411985, 25.523190, 12.499996>,
      < 2.349486, 25.376209, 15.522077>,
      < 4.919668, 22.289122, 12.150613>
    }
    triangle {
      < 2.474485, 25.523190, 9.374997>,
      < 2.411985, 25.523190, 12.499996>,
      < 4.982167, 22.515976, 9.184464>
    }
    triangle {
      < 1.446666, 21.829916, 18.079060>,
      < 3.021168, 22.067556, 15.120463>,
      < 2.349486, 25.376209, 15.522077>
    }
    triangle {
      < 1.446666, 21.829916, 18.079060>,
      < 2.349486, 25.376209, 15.522077>,
      < 0.774985, 25.158726, 18.494785>
    }
    triangle {
      < 3.021168, 22.067556, 15.120463>,
      < 4.919668, 22.289122, 12.150613>,
      < 2.349486, 25.376209, 15.522077>
    }
    triangle {
      < 1.779205, 18.367237, 17.606915>,
      < 4.073708, 18.633253, 14.668193>,
      < 3.021168, 22.067556, 15.120463>
    }
    triangle {
      < 1.779205, 18.367237, 17.606915>,
      < 3.021168, 22.067556, 15.120463>,
      < 1.446666, 21.829916, 18.079060>
    }
    triangle {
      < 4.073708, 18.633253, 14.668193>,
      < 5.324208, 18.882090, 11.717439>,
      < 4.919668, 22.289122, 12.150613>
    }
    triangle {
      < 4.073708, 18.633253, 14.668193>,
      < 4.919668, 22.289122, 12.150613>,
      < 3.021168, 22.067556, 15.120463>
    }
    triangle {
      < 5.324208, 18.882090, 11.717439>,
      < 6.173600, 19.237459, 8.841279>,
      < 4.919668, 22.289122, 12.150613>
    }
    triangle {
      < 6.173600, 19.237459, 8.841279>,
      < 6.853204, 19.809378, 6.116760>,
      < 5.044668, 22.800421, 6.258644>
    }
    triangle {
      < 6.173600, 19.237459, 8.841279>,
      < 5.044668, 22.800421, 6.258644>,
      < 4.982167, 22.515976, 9.184464>
    }
    triangle {
      < 1.779205, 14.151859, 16.952080>,
      < 4.073708, 14.472324, 14.051481>,
      < 4.073708, 18.633253, 14.668193>
    }
    triangle {
      < 1.779205, 14.151859, 16.952080>,
      < 4.073708, 18.633253, 14.668193>,
      < 1.779205, 18.367237, 17.606915>
    }
    triangle {
      < 4.073708, 14.472324, 14.051481>,
      < 6.008208, 14.914806, 11.236322>,
      < 5.324208, 18.882090, 11.717439>
    }
    triangle {
      < 4.073708, 14.472324, 14.051481>,
      < 5.324208, 18.882090, 11.717439>,
      < 4.073708, 18.633253, 14.668193>
    }
    triangle {
      < 6.008208, 14.914806, 11.236322>,
      < 7.006708, 15.599648, 8.590876>,
      < 6.173600, 19.237459, 8.841279>
    }
    triangle {
      < 6.008208, 14.914806, 11.236322>,
      < 6.173600, 19.237459, 8.841279>,
      < 5.324208, 18.882090, 11.717439>
    }
    triangle {
      < 7.006708, 15.599648, 8.590876>,
      < 7.753209, 16.206085, 5.890527>,
      < 6.853204, 19.809378, 6.116760>
    }
    triangle {
      < 7.006708, 15.599648, 8.590876>,
      < 6.853204, 19.809378, 6.116760>,
      < 6.173600, 19.237459, 8.841279>
    }
    triangle {
      < 7.753209, 16.206085, 5.890527>,
      < 8.093493, 16.741280, 3.140291>,
      < 7.224073, 20.021494, 3.140291>
    }
    triangle {
      < 7.753209, 16.206085, 5.890527>,
      < 7.224073, 20.021494, 3.140291>,
      < 6.853204, 19.809378, 6.116760>
    }
    triangle {
      < 8.093493, 16.741280, 3.140291>,
      < 7.878340, 16.741234, 0.000000>,
      < 7.286703, 20.021448, 0.000000>
    }
    triangle {
      < 8.093493, 16.741280, 3.140291>,
      < 7.286703, 20.021448, 0.000000>,
      < 7.224073, 20.021494, 3.140291>
    }
    triangle {
      < 0.519207, 9.711632, 16.052975>,
      < 2.813706, 9.944913, 13.395174>,
      < 4.073708, 14.472324, 14.051481>
    }
    triangle {
      < 0.519207, 9.711632, 16.052975>,
      < 4.073708, 14.472324, 14.051481>,
      < 1.779205, 14.151859, 16.952080>
    }
    triangle {
      < 2.813706, 9.944913, 13.395174>,
      < 4.532208, 11.295698, 10.912201>,
      < 6.008208, 14.914806, 11.236322>
    }
    triangle {
      < 2.813706, 9.944913, 13.395174>,
      < 6.008208, 14.914806, 11.236322>,
      < 4.073708, 14.472324, 14.051481>
    }
    triangle {
      < 4.532208, 11.295698, 10.912201>,
      < 5.638709, 12.572056, 8.312004>,
      < 7.006708, 15.599648, 8.590876>
    }
    triangle {
      < 4.532208, 11.295698, 10.912201>,
      < 7.006708, 15.599648, 8.590876>,
      < 6.008208, 14.914806, 11.236322>
    }
    triangle {
      < 5.638709, 12.572056, 8.312004>,
      < 5.953207, 13.221888, 5.642037>,
      < 7.753209, 16.206085, 5.890527>
    }
    triangle {
      < 5.638709, 12.572056, 8.312004>,
      < 7.753209, 16.206085, 5.890527>,
      < 7.006708, 15.599648, 8.590876>
    }
    triangle {
      < 5.953207, 13.221888, 5.642037>,
      < 6.293493, 13.555683, 2.924403>,
      < 8.093493, 16.741280, 3.140291>
    }
    triangle {
      < 5.953207, 13.221888, 5.642037>,
      < 8.093493, 16.741280, 3.140291>,
      < 7.753209, 16.206085, 5.890527>
    }
    triangle {
      < 6.293493, 13.555683, 2.924403>,
      < 6.510341, 13.584993, 0.000000>,
      < 7.878340, 16.741234, 0.000000>
    }
    triangle {
      < 6.293493, 13.555683, 2.924403>,
      < 7.878340, 16.741234, 0.000000>,
      < 8.093493, 16.741280, 3.140291>
    }
    triangle {
      < -1.712795, 4.539915, 14.229296>,
      < 0.005706, 6.721300, 12.935635>,
      < 2.813706, 9.944913, 13.395174>
    }
    triangle {
      < -1.712795, 4.539915, 14.229296>,
      < 2.813706, 9.944913, 13.395174>,
      < 0.519207, 9.711632, 16.052975>
    }
    triangle {
      < 0.005706, 6.721300, 12.935635>,
      < 1.796206, 8.238514, 10.569201>,
      < 4.532208, 11.295698, 10.912201>
    }
    triangle {
      < 0.005706, 6.721300, 12.935635>,
      < 4.532208, 11.295698, 10.912201>,
      < 2.813706, 9.944913, 13.395174>
    }
    triangle {
      < 1.796206, 8.238514, 10.569201>,
      < 3.514707, 9.596653, 8.026267>,
      < 5.638709, 12.572056, 8.312004>
    }
    triangle {
      < 1.796206, 8.238514, 10.569201>,
      < 5.638709, 12.572056, 8.312004>,
      < 4.532208, 11.295698, 10.912201>
    }
    triangle {
      < 3.514707, 9.596653, 8.026267>,
      < 4.153206, 10.297425, 5.391975>,
      < 5.953207, 13.221888, 5.642037>
    }
    triangle {
      < 3.514707, 9.596653, 8.026267>,
      < 5.953207, 13.221888, 5.642037>,
      < 5.638709, 12.572056, 8.312004>
    }
    triangle {
      < 4.153206, 10.297425, 5.391975>,
      < 4.215707, 10.666860, 2.699292>,
      < 6.293493, 13.555683, 2.924403>
    }
    triangle {
      < 4.153206, 10.297425, 5.391975>,
      < 6.293493, 13.555683, 2.924403>,
      < 5.953207, 13.221888, 5.642037>
    }
    triangle {
      < 4.215707, 10.666860, 2.699292>,
      < 4.278336, 10.920532, -0.034037>,
      < 6.510341, 13.584993, 0.000000>
    }
    triangle {
      < 4.215707, 10.666860, 2.699292>,
      < 6.510341, 13.584993, 0.000000>,
      < 6.293493, 13.555683, 2.924403>
    }
    triangle {
      < 4.982167, 22.515976, 9.184464>,
      < 4.919668, 22.289122, 12.150613>,
      < 6.173600, 19.237459, 8.841279>
    }
    triangle {
      < 1.810253, 25.282806, 12.499996>,
      < 4.380435, 22.275593, 9.184464>,
      < 4.317936, 22.048738, 12.150613>
    }
    triangle {
      < 1.872753, 25.282806, 9.374997>,
      < 1.935254, 25.282806, 6.249998>,
      < 4.442935, 22.560038, 6.258644>
    }
    triangle {
      < 1.872753, 25.282806, 9.374997>,
      < 4.442935, 22.560038, 6.258644>,
      < 4.380435, 22.275593, 9.184464>
    }
    triangle {
      < 1.935254, 25.282806, 6.249998>,
      < 1.997753, 25.282806, 3.124998>,
      < 4.505436, 22.560034, 3.133644>
    }
    triangle {
      < 1.935254, 25.282806, 6.249998>,
      < 4.505436, 22.560034, 3.133644>,
      < 4.442935, 22.560038, 6.258644>
    }
    triangle {
      < 1.997753, 25.282806, 3.124998>,
      < 2.060253, 25.282806, 0.000000>,
      < 4.568008, 22.560009, 0.000000>
    }
    triangle {
      < 1.997753, 25.282806, 3.124998>,
      < 4.568008, 22.560009, 0.000000>,
      < 4.505436, 22.560034, 3.133644>
    }
    triangle {
      < 4.442935, 22.560038, 6.258644>,
      < 4.505436, 22.560034, 3.133644>,
      < 6.622341, 19.781109, 3.140291>
    }
    triangle {
      < 4.442935, 22.560038, 6.258644>,
      < 6.622341, 19.781109, 3.140291>,
      < 6.251471, 19.568995, 6.116760>
    }
    triangle {
      < 4.505436, 22.560034, 3.133644>,
      < 4.568008, 22.560009, 0.000000>,
      < 6.684969, 19.781065, 0.000000>
    }
    triangle {
      < 4.505436, 22.560034, 3.133644>,
      < 6.684969, 19.781065, 0.000000>,
      < 6.622341, 19.781109, 3.140291>
    }
    triangle {
      < 4.317936, 22.048738, 12.150613>,
      < 1.747754, 25.135826, 15.522077>,
      < 1.810253, 25.282806, 12.499996>
    }
    triangle {
      < 4.380435, 22.275593, 9.184464>,
      < 1.810253, 25.282806, 12.499996>,
      < 1.872753, 25.282806, 9.374997>
    }
    triangle {
      < 0.774985, 25.158726, 18.494785>,
      < 1.747754, 25.135826, 15.522077>,
      < 2.419436, 21.827173, 15.120463>
    }
    triangle {
      < 0.774985, 25.158726, 18.494785>,
      < 2.419436, 21.827173, 15.120463>,
      < 1.446666, 21.829916, 18.079060>
    }
    triangle {
      < 1.747754, 25.135826, 15.522077>,
      < 4.317936, 22.048738, 12.150613>,
      < 2.419436, 21.827173, 15.120463>
    }
    triangle {
      < 1.446666, 21.829916, 18.079060>,
      < 2.419436, 21.827173, 15.120463>,
      < 3.471975, 18.392870, 14.668193>
    }
    triangle {
      < 1.446666, 21.829916, 18.079060>,
      < 3.471975, 18.392870, 14.668193>,
      < 1.779205, 18.367237, 17.606915>
    }
    triangle {
      < 2.419436, 21.827173, 15.120463>,
      < 4.317936, 22.048738, 12.150613>,
      < 4.722476, 18.641706, 11.717439>
    }
    triangle {
      < 2.419436, 21.827173, 15.120463>,
      < 4.722476, 18.641706, 11.717439>,
      < 3.471975, 18.392870, 14.668193>
    }
    triangle {
      < 4.317936, 22.048738, 12.150613>,
      < 5.571867, 18.997076, 8.841279>,
      < 4.722476, 18.641706, 11.717439>
    }
    triangle {
      < 4.380435, 22.275593, 9.184464>,
      < 4.442935, 22.560038, 6.258644>,
      < 6.251471, 19.568995, 6.116760>
    }
    triangle {
      < 4.380435, 22.275593, 9.184464>,
      < 6.251471, 19.568995, 6.116760>,
      < 5.571867, 18.997076, 8.841279>
    }
    triangle {
      < 1.779205, 18.367237, 17.606915>,
      < 3.471975, 18.392870, 14.668193>,
      < 3.471975, 14.231941, 14.051481>
    }
    triangle {
      < 1.779205, 18.367237, 17.606915>,
      < 3.471975, 14.231941, 14.051481>,
      < 1.779205, 14.151859, 16.952080>
    }
    triangle {
      < 3.471975, 18.392870, 14.668193>,
      < 4.722476, 18.641706, 11.717439>,
      < 5.406476, 14.674421, 11.236322>
    }
    triangle {
      < 3.471975, 18.392870, 14.668193>,
      < 5.406476, 14.674421, 11.236322>,
      < 3.471975, 14.231941, 14.051481>
    }
    triangle {
      < 4.722476, 18.641706, 11.717439>,
      < 5.571867, 18.997076, 8.841279>,
      < 6.404974, 15.359264, 8.590876>
    }
    triangle {
      < 4.722476, 18.641706, 11.717439>,
      < 6.404974, 15.359264, 8.590876>,
      < 5.406476, 14.674421, 11.236322>
    }
    triangle {
      < 5.571867, 18.997076, 8.841279>,
      < 6.251471, 19.568995, 6.116760>,
      < 7.151477, 15.965701, 5.890527>
    }
    triangle {
      < 5.571867, 18.997076, 8.841279>,
      < 7.151477, 15.965701, 5.890527>,
      < 6.404974, 15.359264, 8.590876>
    }
    triangle {
      < 6.251471, 19.568995, 6.116760>,
      < 6.622341, 19.781109, 3.140291>,
      < 7.491759, 16.500896, 3.140291>
    }
    triangle {
      < 6.251471, 19.568995, 6.116760>,
      < 7.491759, 16.500896, 3.140291>,
      < 7.151477, 15.965701, 5.890527>
    }
    triangle {
      < 6.622341, 19.781109, 3.140291>,
      < 6.684969, 19.781065, 0.000000>,
      < 7.276607, 16.500849, 0.000000>
    }
    triangle {
      < 6.622341, 19.781109, 3.140291>,
      < 7.276607, 16.500849, 0.000000>,
      < 7.491759, 16.500896, 3.140291>
    }
    triangle {
      < 1.779205, 14.151859, 16.952080>,
      < 3.471975, 14.231941, 14.051481>,
      < 2.211973, 9.704529, 13.395174>
    }
    triangle {
      < 1.779205, 14.151859, 16.952080>,
      < 2.211973, 9.704529, 13.395174>,
      < 0.519207, 9.711632, 16.052975>
    }
    triangle {
      < 3.471975, 14.231941, 14.051481>,
      < 5.406476, 14.674421, 11.236322>,
      < 3.930475, 11.055314, 10.912201>
    }
    triangle {
      < 3.471975, 14.231941, 14.051481>,
      < 3.930475, 11.055314, 10.912201>,
      < 2.211973, 9.704529, 13.395174>
    }
    triangle {
      < 5.406476, 14.674421, 11.236322>,
      < 6.404974, 15.359264, 8.590876>,
      < 5.036976, 12.331673, 8.312004>
    }
    triangle {
      < 5.406476, 14.674421, 11.236322>,
      < 5.036976, 12.331673, 8.312004>,
      < 3.930475, 11.055314, 10.912201>
    }
    triangle {
      < 6.404974, 15.359264, 8.590876>,
      < 7.151477, 15.965701, 5.890527>,
      < 5.351475, 12.981504, 5.642037>
    }
    triangle {
      < 6.404974, 15.359264, 8.590876>,
      < 5.351475, 12.981504, 5.642037>,
      < 5.036976, 12.331673, 8.312004>
    }
    triangle {
      < 7.151477, 15.965701, 5.890527>,
      < 7.491759, 16.500896, 3.140291>,
      < 5.691761, 13.315300, 2.924403>
    }
    triangle {
      < 7.151477, 15.965701, 5.890527>,
      < 5.691761, 13.315300, 2.924403>,
      < 5.351475, 12.981504, 5.642037>
    }
    triangle {
      < 7.491759, 16.500896, 3.140291>,
      < 7.276607, 16.500849, 0.000000>,
      < 5.908608, 13.344610, 0.000000>
    }
    triangle {
      < 7.491759, 16.500896, 3.140291>,
      < 5.908608, 13.344610, 0.000000>,
      < 5.691761, 13.315300, 2.924403>
    }
    triangle {
      < 0.519207, 9.711632, 16.052975>,
      < 2.211973, 9.704529, 13.395174>,
      < 0.005706, 6.721300, 12.935635>
    }
    triangle {
      < 0.519207, 9.711632, 16.052975>,
      < 0.005706, 6.721300, 12.935635>,
      < -1.712795, 4.539915, 14.229296>
    }
    triangle {
      < 2.211973, 9.704529, 13.395174>,
      < 3.930475, 11.055314, 10.912201>,
      < 1.796206, 8.238514, 10.569201>
    }
    triangle {
      < 2.211973, 9.704529, 13.395174>,
      < 1.796206, 8.238514, 10.569201>,
      < 0.005706, 6.721300, 12.935635>
    }
    triangle {
      < 3.930475, 11.055314, 10.912201>,
      < 5.036976, 12.331673, 8.312004>,
      < 3.514707, 9.596653, 8.026267>
    }
    triangle {
      < 3.930475, 11.055314, 10.912201>,
      < 3.514707, 9.596653, 8.026267>,
      < 1.796206, 8.238514, 10.569201>
    }
    triangle {
      < 5.036976, 12.331673, 8.312004>,
      < 5.351475, 12.981504, 5.642037>,
      < 4.153206, 10.297425, 5.391975>
    }
    triangle {
      < 5.036976, 12.331673, 8.312004>,
      < 4.153206, 10.297425, 5.391975>,
      < 3.514707, 9.596653, 8.026267>
    }
    triangle {
      < 5.351475, 12.981504, 5.642037>,
      < 5.691761, 13.315300, 2.924403>,
      < 4.215707, 10.666860, 2.699292>
    }
    triangle {
      < 5.351475, 12.981504, 5.642037>,
      < 4.215707, 10.666860, 2.699292>,
      < 4.153206, 10.297425, 5.391975>
    }
    triangle {
      < 5.691761, 13.315300, 2.924403>,
      < 5.908608, 13.344610, 0.000000>,
      < 4.278336, 10.920532, -0.034037>
    }
    triangle {
      < 5.691761, 13.315300, 2.924403>,
      < 4.278336, 10.920532, -0.034037>,
      < 4.215707, 10.666860, 2.699292>
    }
    triangle {
      < 5.571867, 18.997076, 8.841279>,
      < 4.317936, 22.048738, 12.150613>,
      < 4.380435, 22.275593, 9.184464>
    }
    triangle {
      < 2.060253, 25.282806, 0.000000>,
      < 1.997753, 25.282806, 3.124998>,
      < -0.229878, 27.331060, 3.124998>
    }
    triangle {
      < 2.060253, 25.282806, 0.000000>,
      < -0.229878, 27.331060, 3.124998>,
      < -0.185685, 27.293011, 0.000000>
    }
    triangle {
      < 0.774985, 25.158726, 18.494785>,
      < -0.341015, 27.749599, 18.749996>,
      < -0.450849, 27.521307, 18.749996>
    }
    triangle {
      < 1.747754, 25.135826, 15.522077>,
      < 0.774985, 25.158726, 18.494785>,
      < -0.450849, 27.521307, 18.749996>
    }
    triangle {
      < 1.747754, 25.135826, 15.522077>,
      < -0.450849, 27.521307, 18.749996>,
      < -0.406654, 27.483257, 15.624996>
    }
    triangle {
      < 1.810253, 25.282806, 12.499996>,
      < 1.747754, 25.135826, 15.522077>,
      < -0.406654, 27.483257, 15.624996>
    }
    triangle {
      < 1.810253, 25.282806, 12.499996>,
      < -0.406654, 27.483257, 15.624996>,
      < -0.362462, 27.445206, 12.499996>
    }
    triangle {
      < 1.872753, 25.282806, 9.374997>,
      < 1.810253, 25.282806, 12.499996>,
      < -0.362462, 27.445206, 12.499996>
    }
    triangle {
      < 1.872753, 25.282806, 9.374997>,
      < -0.362462, 27.445206, 12.499996>,
      < -0.318267, 27.407154, 9.374997>
    }
    triangle {
      < 1.935254, 25.282806, 6.249998>,
      < 1.872753, 25.282806, 9.374997>,
      < -0.318267, 27.407154, 9.374997>
    }
    triangle {
      < 1.935254, 25.282806, 6.249998>,
      < -0.318267, 27.407154, 9.374997>,
      < -0.274072, 27.369110, 6.249998>
    }
    triangle {
      < 1.997753, 25.282806, 3.124998>,
      < 1.935254, 25.282806, 6.249998>,
      < -0.274072, 27.369110, 6.249998>
    }
    triangle {
      < 1.997753, 25.282806, 3.124998>,
      < -0.274072, 27.369110, 6.249998>,
      < -0.229878, 27.331060, 3.124998>
    }
    triangle {
      < -0.341015, 27.749599, -18.749996>,
      < -0.566015, 27.749599, -22.499998>,
      < -0.609948, 27.840916, -22.499998>
    }
    triangle {
      < -0.341015, 27.749599, -18.749996>,
      < -0.609948, 27.840916, -22.499998>,
      < -0.450849, 27.977892, -18.749996>
    }
    triangle {
      < -0.278514, 27.749599, -15.624996>,
      < -0.341015, 27.749599, -18.749996>,
      < -0.450849, 27.977892, -18.749996>
    }
    triangle {
      < -0.278514, 27.749599, -15.624996>,
      < -0.450849, 27.977892, -18.749996>,
      < -0.185685, 28.206188, 0.000000>
    }
    triangle {
      < -0.278514, 27.749599, -15.624996>,
      < -0.185685, 28.206188, 0.000000>,
      < 0.033985, 27.749599, 0.000000>
    }
    triangle {
      < -0.278514, 27.749599, -15.624996>,
      < 0.033985, 27.749599, 0.000000>,
      < -0.028515, 27.749599, -3.124998>
    }
    triangle {
      < -0.278514, 27.749599, -15.624996>,
      < -0.028515, 27.749599, -3.124998>,
      < -0.091014, 27.749599, -6.249998>
    }
    triangle {
      < -0.278514, 27.749599, -15.624996>,
      < -0.091014, 27.749599, -6.249998>,
      < -0.153515, 27.749599, -9.374997>
    }
    triangle {
      < -0.278514, 27.749599, -15.624996>,
      < -0.153515, 27.749599, -9.374997>,
      < -0.216015, 27.749599, -12.499996>
    }
    triangle {
      < -0.450849, 27.977892, -18.749996>,
      < -0.609948, 27.840916, -22.499998>,
      < -0.716015, 27.878740, -22.499998>
    }
    triangle {
      < -0.450849, 27.977892, -18.749996>,
      < -0.716015, 27.878740, -22.499998>,
      < -0.716015, 28.072454, -18.749996>
    }
    triangle {
      < -0.185685, 28.206188, 0.000000>,
      < -0.450849, 27.977892, -18.749996>,
      < -0.716015, 28.072454, -18.749996>
    }
    triangle {
      < -0.185685, 28.206188, 0.000000>,
      < -0.716015, 28.072454, -18.749996>,
      < -0.716015, 28.395309, 0.000000>
    }
    triangle {
      < -0.716015, 28.072454, -18.749996>,
      < -0.716015, 27.878740, -22.499998>,
      < -0.822080, 27.840916, -22.499998>
    }
    triangle {
      < -0.716015, 28.072454, -18.749996>,
      < -0.822080, 27.840916, -22.499998>,
      < -0.981179, 27.977892, -18.749996>
    }
    triangle {
      < -0.716015, 28.395309, 0.000000>,
      < -0.716015, 28.072454, -18.749996>,
      < -0.981179, 27.977892, -18.749996>
    }
    triangle {
      < -0.716015, 28.395309, 0.000000>,
      < -0.981179, 27.977892, -18.749996>,
      < -1.246344, 28.206188, 0.000000>
    }
    triangle {
      < -0.981179, 27.977892, -18.749996>,
      < -0.822080, 27.840916, -22.499998>,
      < -0.866014, 27.749599, -22.499998>
    }
    triangle {
      < -0.981179, 27.977892, -18.749996>,
      < -0.866014, 27.749599, -22.499998>,
      < -1.091015, 27.749599, -18.749996>
    }
    triangle {
      < -1.246344, 28.206188, 0.000000>,
      < -0.981179, 27.977892, -18.749996>,
      < -1.091015, 27.749599, -18.749996>
    }
    triangle {
      < -1.246344, 28.206188, 0.000000>,
      < -1.091015, 27.749599, -18.749996>,
      < -1.466015, 27.749599, 0.000000>
    }
    triangle {
      < -1.091015, 27.749599, -18.749996>,
      < -0.866014, 27.749599, -22.499998>,
      < -0.822080, 27.658281, -22.499998>
    }
    triangle {
      < -1.091015, 27.749599, -18.749996>,
      < -0.822080, 27.658281, -22.499998>,
      < -0.981179, 27.521307, -18.749996>
    }
    triangle {
      < -1.466015, 27.749599, 0.000000>,
      < -1.091015, 27.749599, -18.749996>,
      < -0.981179, 27.521307, -18.749996>
    }
    triangle {
      < -1.466015, 27.749599, 0.000000>,
      < -0.981179, 27.521307, -18.749996>,
      < -1.246344, 27.293011, 0.000000>
    }
    triangle {
      < -0.981179, 27.521307, -18.749996>,
      < -0.822080, 27.658281, -22.499998>,
      < -0.716015, 27.620457, -22.499998>
    }
    triangle {
      < -0.981179, 27.521307, -18.749996>,
      < -0.716015, 27.620457, -22.499998>,
      < -0.716015, 27.426743, -18.749996>
    }
    triangle {
      < -1.246344, 27.293011, 0.000000>,
      < -0.981179, 27.521307, -18.749996>,
      < -0.716015, 27.426743, -18.749996>
    }
    triangle {
      < -1.246344, 27.293011, 0.000000>,
      < -0.716015, 27.426743, -18.749996>,
      < -0.629040, 27.103886, 0.000000>
    }
    triangle {
      < -0.716015, 27.426743, -18.749996>,
      < -0.716015, 27.620457, -22.499998>,
      < -0.609948, 27.658281, -22.499998>
    }
    triangle {
      < -0.716015, 27.426743, -18.749996>,
      < -0.609948, 27.658281, -22.499998>,
      < -0.450849, 27.521307, -18.749996>
    }
    triangle {
      < -0.629040, 27.103886, 0.000000>,
      < -0.716015, 27.426743, -18.749996>,
      < -0.450849, 27.521307, -18.749996>
    }
    triangle {
      < -0.629040, 27.103886, 0.000000>,
      < -0.450849, 27.521307, -18.749996>,
      < -0.406654, 27.483257, -15.624996>
    }
    triangle {
      < -0.629040, 27.103886, 0.000000>,
      < -0.406654, 27.483257, -15.624996>,
      < -0.362462, 27.445206, -12.499996>
    }
    triangle {
      < -0.629040, 27.103886, 0.000000>,
      < -0.362462, 27.445206, -12.499996>,
      < -0.318267, 27.407154, -9.374997>
    }
    triangle {
      < -0.629040, 27.103886, 0.000000>,
      < -0.318267, 27.407154, -9.374997>,
      < -0.274072, 27.369110, -6.249998>
    }
    triangle {
      < -0.629040, 27.103886, 0.000000>,
      < -0.274072, 27.369110, -6.249998>,
      < -0.229878, 27.331060, -3.124998>
    }
    triangle {
      < -0.629040, 27.103886, 0.000000>,
      < -0.229878, 27.331060, -3.124998>,
      < -0.185685, 27.293011, 0.000000>
    }
    triangle {
      < -0.450849, 27.521307, -18.749996>,
      < -0.609948, 27.658281, -22.499998>,
      < -0.566015, 27.749599, -22.499998>
    }
    triangle {
      < -0.450849, 27.521307, -18.749996>,
      < -0.566015, 27.749599, -22.499998>,
      < -0.341015, 27.749599, -18.749996>
    }
    triangle {
      < -0.566015, 27.749599, -22.499998>,
      < -0.609948, 27.658281, -22.499998>,
      < -0.716015, 27.620457, -22.499998>
    }
    triangle {
      < -0.566015, 27.749599, -22.499998>,
      < -0.716015, 27.620457, -22.499998>,
      < -0.822080, 27.658281, -22.499998>
    }
    triangle {
      < -0.566015, 27.749599, -22.499998>,
      < -0.822080, 27.658281, -22.499998>,
      < -0.866014, 27.749599, -22.499998>
    }
    triangle {
      < -0.566015, 27.749599, -22.499998>,
      < -0.866014, 27.749599, -22.499998>,
      < -0.822080, 27.840916, -22.499998>
    }
    triangle {
      < -0.566015, 27.749599, -22.499998>,
      < -0.822080, 27.840916, -22.499998>,
      < -0.716015, 27.878740, -22.499998>
    }
    triangle {
      < -0.566015, 27.749599, -22.499998>,
      < -0.716015, 27.878740, -22.499998>,
      < -0.609948, 27.840916, -22.499998>
    }
    triangle {
      < -0.341015, 27.749599, -18.749996>,
      < -0.278514, 27.749599, -15.624996>,
      < 2.349486, 25.376209, -15.522077>
    }
    triangle {
      < -0.278514, 27.749599, -15.624996>,
      < -0.216015, 27.749599, -12.499996>,
      < 2.411985, 25.523190, -12.499996>
    }
    triangle {
      < -0.278514, 27.749599, -15.624996>,
      < 2.411985, 25.523190, -12.499996>,
      < 2.349486, 25.376209, -15.522077>
    }
    triangle {
      < -0.216015, 27.749599, -12.499996>,
      < -0.153515, 27.749599, -9.374997>,
      < 2.474485, 25.523190, -9.374997>
    }
    triangle {
      < -0.216015, 27.749599, -12.499996>,
      < 2.474485, 25.523190, -9.374997>,
      < 2.411985, 25.523190, -12.499996>
    }
    triangle {
      < -0.153515, 27.749599, -9.374997>,
      < -0.091014, 27.749599, -6.249998>,
      < 2.536986, 25.523190, -6.249998>
    }
    triangle {
      < -0.153515, 27.749599, -9.374997>,
      < 2.536986, 25.523190, -6.249998>,
      < 2.474485, 25.523190, -9.374997>
    }
    triangle {
      < -0.091014, 27.749599, -6.249998>,
      < -0.028515, 27.749599, -3.124998>,
      < 2.599485, 25.523190, -3.124998>
    }
    triangle {
      < -0.091014, 27.749599, -6.249998>,
      < 2.599485, 25.523190, -3.124998>,
      < 2.536986, 25.523190, -6.249998>
    }
    triangle {
      < -0.028515, 27.749599, -3.124998>,
      < 0.033985, 27.749599, 0.000000>,
      < 2.661985, 25.523190, 0.000000>
    }
    triangle {
      < -0.028515, 27.749599, -3.124998>,
      < 2.661985, 25.523190, 0.000000>,
      < 2.599485, 25.523190, -3.124998>
    }
    triangle {
      < 2.411985, 25.523190, -12.499996>,
      < 4.982167, 22.515976, -9.184464>,
      < 4.919668, 22.289122, -12.150613>
    }
    triangle {
      < 2.474485, 25.523190, -9.374997>,
      < 2.536986, 25.523190, -6.249998>,
      < 5.044668, 22.800421, -6.258644>
    }
    triangle {
      < 2.474485, 25.523190, -9.374997>,
      < 5.044668, 22.800421, -6.258644>,
      < 4.982167, 22.515976, -9.184464>
    }
    triangle {
      < 2.536986, 25.523190, -6.249998>,
      < 2.599485, 25.523190, -3.124998>,
      < 5.107168, 22.800417, -3.133644>
    }
    triangle {
      < 2.536986, 25.523190, -6.249998>,
      < 5.107168, 22.800417, -3.133644>,
      < 5.044668, 22.800421, -6.258644>
    }
    triangle {
      < 2.599485, 25.523190, -3.124998>,
      < 2.661985, 25.523190, 0.000000>,
      < 5.169741, 22.800392, 0.000000>
    }
    triangle {
      < 2.599485, 25.523190, -3.124998>,
      < 5.169741, 22.800392, 0.000000>,
      < 5.107168, 22.800417, -3.133644>
    }
    triangle {
      < 5.044668, 22.800421, -6.258644>,
      < 5.107168, 22.800417, -3.133644>,
      < 7.224073, 20.021494, -3.140291>
    }
    triangle {
      < 5.044668, 22.800421, -6.258644>,
      < 7.224073, 20.021494, -3.140291>,
      < 6.853204, 19.809378, -6.116760>
    }
    triangle {
      < 5.107168, 22.800417, -3.133644>,
      < 5.169741, 22.800392, 0.000000>,
      < 7.286703, 20.021448, 0.000000>
    }
    triangle {
      < 5.107168, 22.800417, -3.133644>,
      < 7.286703, 20.021448, 0.000000>,
      < 7.224073, 20.021494, -3.140291>
    }
    triangle {
      < -0.341015, 27.749599, -18.749996>,
      < 2.349486, 25.376209, -15.522077>,
      < 0.774985, 25.158726, -18.494785>
    }
    triangle {
      < 4.919668, 22.289122, -12.150613>,
      < 2.349486, 25.376209, -15.522077>,
      < 2.411985, 25.523190, -12.499996>
    }
    triangle {
      < 4.982167, 22.515976, -9.184464>,
      < 2.411985, 25.523190, -12.499996>,
      < 2.474485, 25.523190, -9.374997>
    }
    triangle {
      < 0.774985, 25.158726, -18.494785>,
      < 2.349486, 25.376209, -15.522077>,
      < 3.021168, 22.067556, -15.120463>
    }
    triangle {
      < 0.774985, 25.158726, -18.494785>,
      < 3.021168, 22.067556, -15.120463>,
      < 1.446666, 21.829916, -18.079060>
    }
    triangle {
      < 2.349486, 25.376209, -15.522077>,
      < 4.919668, 22.289122, -12.150613>,
      < 3.021168, 22.067556, -15.120463>
    }
    triangle {
      < 1.446666, 21.829916, -18.079060>,
      < 3.021168, 22.067556, -15.120463>,
      < 4.073708, 18.633253, -14.668193>
    }
    triangle {
      < 1.446666, 21.829916, -18.079060>,
      < 4.073708, 18.633253, -14.668193>,
      < 1.779205, 18.367237, -17.606915>
    }
    triangle {
      < 3.021168, 22.067556, -15.120463>,
      < 4.919668, 22.289122, -12.150613>,
      < 5.324208, 18.882090, -11.717439>
    }
    triangle {
      < 3.021168, 22.067556, -15.120463>,
      < 5.324208, 18.882090, -11.717439>,
      < 4.073708, 18.633253, -14.668193>
    }
    triangle {
      < 4.919668, 22.289122, -12.150613>,
      < 6.173600, 19.237459, -8.841279>,
      < 5.324208, 18.882090, -11.717439>
    }
    triangle {
      < 4.982167, 22.515976, -9.184464>,
      < 5.044668, 22.800421, -6.258644>,
      < 6.853204, 19.809378, -6.116760>
    }
    triangle {
      < 4.982167, 22.515976, -9.184464>,
      < 6.853204, 19.809378, -6.116760>,
      < 6.173600, 19.237459, -8.841279>
    }
    triangle {
      < 1.779205, 18.367237, -17.606915>,
      < 4.073708, 18.633253, -14.668193>,
      < 4.073708, 14.472324, -14.051481>
    }
    triangle {
      < 1.779205, 18.367237, -17.606915>,
      < 4.073708, 14.472324, -14.051481>,
      < 1.779205, 14.151859, -16.952080>
    }
    triangle {
      < 4.073708, 18.633253, -14.668193>,
      < 5.324208, 18.882090, -11.717439>,
      < 6.008208, 14.914806, -11.236322>
    }
    triangle {
      < 4.073708, 18.633253, -14.668193>,
      < 6.008208, 14.914806, -11.236322>,
      < 4.073708, 14.472324, -14.051481>
    }
    triangle {
      < 5.324208, 18.882090, -11.717439>,
      < 6.173600, 19.237459, -8.841279>,
      < 7.006708, 15.599648, -8.590876>
    }
    triangle {
      < 5.324208, 18.882090, -11.717439>,
      < 7.006708, 15.599648, -8.590876>,
      < 6.008208, 14.914806, -11.236322>
    }
    triangle {
      < 6.173600, 19.237459, -8.841279>,
      < 6.853204, 19.809378, -6.116760>,
      < 7.753209, 16.206085, -5.890527>
    }
    triangle {
      < 6.173600, 19.237459, -8.841279>,
      < 7.753209, 16.206085, -5.890527>,
      < 7.006708, 15.599648, -8.590876>
    }
    triangle {
      < 6.853204, 19.809378, -6.116760>,
      < 7.224073, 20.021494, -3.140291>,
      < 8.093493, 16.741280, -3.140291>
    }
    triangle {
      < 6.853204, 19.809378, -6.116760>,
      < 8.093493, 16.741280, -3.140291>,
      < 7.753209, 16.206085, -5.890527>
    }
    triangle {
      < 7.224073, 20.021494, -3.140291>,
      < 7.286703, 20.021448, 0.000000>,
      < 7.878340, 16.741234, 0.000000>
    }
    triangle {
      < 7.224073, 20.021494, -3.140291>,
      < 7.878340, 16.741234, 0.000000>,
      < 8.093493, 16.741280, -3.140291>
    }
    triangle {
      < 1.779205, 14.151859, -16.952080>,
      < 4.073708, 14.472324, -14.051481>,
      < 2.813706, 9.944913, -13.395174>
    }
    triangle {
      < 1.779205, 14.151859, -16.952080>,
      < 2.813706, 9.944913, -13.395174>,
      < 0.519207, 9.711632, -16.052975>
    }
    triangle {
      < 4.073708, 14.472324, -14.051481>,
      < 6.008208, 14.914806, -11.236322>,
      < 4.532208, 11.295698, -10.912201>
    }
    triangle {
      < 4.073708, 14.472324, -14.051481>,
      < 4.532208, 11.295698, -10.912201>,
      < 2.813706, 9.944913, -13.395174>
    }
    triangle {
      < 6.008208, 14.914806, -11.236322>,
      < 7.006708, 15.599648, -8.590876>,
      < 5.638709, 12.572056, -8.312004>
    }
    triangle {
      < 6.008208, 14.914806, -11.236322>,
      < 5.638709, 12.572056, -8.312004>,
      < 4.532208, 11.295698, -10.912201>
    }
    triangle {
      < 7.006708, 15.599648, -8.590876>,
      < 7.753209, 16.206085, -5.890527>,
      < 5.953207, 13.221888, -5.642037>
    }
    triangle {
      < 7.006708, 15.599648, -8.590876>,
      < 5.953207, 13.221888, -5.642037>,
      < 5.638709, 12.572056, -8.312004>
    }
    triangle {
      < 7.753209, 16.206085, -5.890527>,
      < 8.093493, 16.741280, -3.140291>,
      < 6.293493, 13.555683, -2.924403>
    }
    triangle {
      < 7.753209, 16.206085, -5.890527>,
      < 6.293493, 13.555683, -2.924403>,
      < 5.953207, 13.221888, -5.642037>
    }
    triangle {
      < 8.093493, 16.741280, -3.140291>,
      < 7.878340, 16.741234, 0.000000>,
      < 6.510341, 13.584993, 0.000000>
    }
    triangle {
      < 8.093493, 16.741280, -3.140291>,
      < 6.510341, 13.584993, 0.000000>,
      < 6.293493, 13.555683, -2.924403>
    }
    triangle {
      < 0.519207, 9.711632, -16.052975>,
      < 2.813706, 9.944913, -13.395174>,
      < 0.005706, 6.721300, -12.935635>
    }
    triangle {
      < 0.519207, 9.711632, -16.052975>,
      < 0.005706, 6.721300, -12.935635>,
      < -1.712795, 4.539915, -14.229296>
    }
    triangle {
      < 2.813706, 9.944913, -13.395174>,
      < 4.532208, 11.295698, -10.912201>,
      < 1.796206, 8.238514, -10.569201>
    }
    triangle {
      < 2.813706, 9.944913, -13.395174>,
      < 1.796206, 8.238514, -10.569201>,
      < 0.005706, 6.721300, -12.935635>
    }
    triangle {
      < 4.532208, 11.295698, -10.912201>,
      < 5.638709, 12.572056, -8.312004>,
      < 3.514707, 9.596653, -8.026267>
    }
    triangle {
      < 4.532208, 11.295698, -10.912201>,
      < 3.514707, 9.596653, -8.026267>,
      < 1.796206, 8.238514, -10.569201>
    }
    triangle {
      < 5.638709, 12.572056, -8.312004>,
      < 5.953207, 13.221888, -5.642037>,
      < 4.153206, 10.297425, -5.391975>
    }
    triangle {
      < 5.638709, 12.572056, -8.312004>,
      < 4.153206, 10.297425, -5.391975>,
      < 3.514707, 9.596653, -8.026267>
    }
    triangle {
      < 5.953207, 13.221888, -5.642037>,
      < 6.293493, 13.555683, -2.924403>,
      < 4.215707, 10.666860, -2.699292>
    }
    triangle {
      < 5.953207, 13.221888, -5.642037>,
      < 4.215707, 10.666860, -2.699292>,
      < 4.153206, 10.297425, -5.391975>
    }
    triangle {
      < 6.293493, 13.555683, -2.924403>,
      < 6.510341, 13.584993, 0.000000>,
      < 4.278336, 10.920532, -0.034037>
    }
    triangle {
      < 6.293493, 13.555683, -2.924403>,
      < 4.278336, 10.920532, -0.034037>,
      < 4.215707, 10.666860, -2.699292>
    }
    triangle {
      < 6.173600, 19.237459, -8.841279>,
      < 4.919668, 22.289122, -12.150613>,
      < 4.982167, 22.515976, -9.184464>
    }
    triangle {
      < 4.317936, 22.048738, -12.150613>,
      < 4.380435, 22.275593, -9.184464>,
      < 1.810253, 25.282806, -12.499996>
    }
    triangle {
      < 4.380435, 22.275593, -9.184464>,
      < 4.442935, 22.560038, -6.258644>,
      < 1.935254, 25.282806, -6.249998>
    }
    triangle {
      < 4.380435, 22.275593, -9.184464>,
      < 1.935254, 25.282806, -6.249998>,
      < 1.872753, 25.282806, -9.374997>
    }
    triangle {
      < 4.442935, 22.560038, -6.258644>,
      < 4.505436, 22.560034, -3.133644>,
      < 1.997753, 25.282806, -3.124998>
    }
    triangle {
      < 4.442935, 22.560038, -6.258644>,
      < 1.997753, 25.282806, -3.124998>,
      < 1.935254, 25.282806, -6.249998>
    }
    triangle {
      < 4.505436, 22.560034, -3.133644>,
      < 4.568008, 22.560009, 0.000000>,
      < 2.060253, 25.282806, 0.000000>
    }
    triangle {
      < 4.505436, 22.560034, -3.133644>,
      < 2.060253, 25.282806, 0.000000>,
      < 1.997753, 25.282806, -3.124998>
    }
    triangle {
      < 6.251471, 19.568995, -6.116760>,
      < 6.622341, 19.781109, -3.140291>,
      < 4.505436, 22.560034, -3.133644>
    }
    triangle {
      < 6.251471, 19.568995, -6.116760>,
      < 4.505436, 22.560034, -3.133644>,
      < 4.442935, 22.560038, -6.258644>
    }
    triangle {
      < 6.622341, 19.781109, -3.140291>,
      < 6.684969, 19.781065, 0.000000>,
      < 4.568008, 22.560009, 0.000000>
    }
    triangle {
      < 6.622341, 19.781109, -3.140291>,
      < 4.568008, 22.560009, 0.000000>,
      < 4.505436, 22.560034, -3.133644>
    }
    triangle {
      < 1.810253, 25.282806, -12.499996>,
      < 1.747754, 25.135826, -15.522077>,
      < 4.317936, 22.048738, -12.150613>
    }
    triangle {
      < 1.872753, 25.282806, -9.374997>,
      < 1.810253, 25.282806, -12.499996>,
      < 4.380435, 22.275593, -9.184464>
    }
    triangle {
      < 1.446666, 21.829916, -18.079060>,
      < 2.419436, 21.827173, -15.120463>,
      < 1.747754, 25.135826, -15.522077>
    }
    triangle {
      < 1.446666, 21.829916, -18.079060>,
      < 1.747754, 25.135826, -15.522077>,
      < 0.774985, 25.158726, -18.494785>
    }
    triangle {
      < 2.419436, 21.827173, -15.120463>,
      < 4.317936, 22.048738, -12.150613>,
      < 1.747754, 25.135826, -15.522077>
    }
    triangle {
      < 1.779205, 18.367237, -17.606915>,
      < 3.471975, 18.392870, -14.668193>,
      < 2.419436, 21.827173, -15.120463>
    }
    triangle {
      < 1.779205, 18.367237, -17.606915>,
      < 2.419436, 21.827173, -15.120463>,
      < 1.446666, 21.829916, -18.079060>
    }
    triangle {
      < 3.471975, 18.392870, -14.668193>,
      < 4.722476, 18.641706, -11.717439>,
      < 4.317936, 22.048738, -12.150613>
    }
    triangle {
      < 3.471975, 18.392870, -14.668193>,
      < 4.317936, 22.048738, -12.150613>,
      < 2.419436, 21.827173, -15.120463>
    }
    triangle {
      < 4.722476, 18.641706, -11.717439>,
      < 5.571867, 18.997076, -8.841279>,
      < 4.317936, 22.048738, -12.150613>
    }
    triangle {
      < 5.571867, 18.997076, -8.841279>,
      < 6.251471, 19.568995, -6.116760>,
      < 4.442935, 22.560038, -6.258644>
    }
    triangle {
      < 5.571867, 18.997076, -8.841279>,
      < 4.442935, 22.560038, -6.258644>,
      < 4.380435, 22.275593, -9.184464>
    }
    triangle {
      < 1.779205, 14.151859, -16.952080>,
      < 3.471975, 14.231941, -14.051481>,
      < 3.471975, 18.392870, -14.668193>
    }
    triangle {
      < 1.779205, 14.151859, -16.952080>,
      < 3.471975, 18.392870, -14.668193>,
      < 1.779205, 18.367237, -17.606915>
    }
    triangle {
      < 3.471975, 14.231941, -14.051481>,
      < 5.406476, 14.674421, -11.236322>,
      < 4.722476, 18.641706, -11.717439>
    }
    triangle {
      < 3.471975, 14.231941, -14.051481>,
      < 4.722476, 18.641706, -11.717439>,
      < 3.471975, 18.392870, -14.668193>
    }
    triangle {
      < 5.406476, 14.674421, -11.236322>,
      < 6.404974, 15.359264, -8.590876>,
      < 5.571867, 18.997076, -8.841279>
    }
    triangle {
      < 5.406476, 14.674421, -11.236322>,
      < 5.571867, 18.997076, -8.841279>,
      < 4.722476, 18.641706, -11.717439>
    }
    triangle {
      < 6.404974, 15.359264, -8.590876>,
      < 7.151477, 15.965701, -5.890527>,
      < 6.251471, 19.568995, -6.116760>
    }
    triangle {
      < 6.404974, 15.359264, -8.590876>,
      < 6.251471, 19.568995, -6.116760>,
      < 5.571867, 18.997076, -8.841279>
    }
    triangle {
      < 7.151477, 15.965701, -5.890527>,
      < 7.491759, 16.500896, -3.140291>,
      < 6.622341, 19.781109, -3.140291>
    }
    triangle {
      < 7.151477, 15.965701, -5.890527>,
      < 6.622341, 19.781109, -3.140291>,
      < 6.251471, 19.568995, -6.116760>
    }
    triangle {
      < 7.491759, 16.500896, -3.140291>,
      < 7.276607, 16.500849, 0.000000>,
      < 6.684969, 19.781065, 0.000000>
    }
    triangle {
      < 7.491759, 16.500896, -3.140291>,
      < 6.684969, 19.781065, 0.000000>,
      < 6.622341, 19.781109, -3.140291>
    }
    triangle {
      < 0.519207, 9.711632, -16.052975>,
      < 2.211973, 9.704529, -13.395174>,
      < 3.471975, 14.231941, -14.051481>
    }
    triangle {
      < 0.519207, 9.711632, -16.052975>,
      < 3.471975, 14.231941, -14.051481>,
      < 1.779205, 14.151859, -16.952080>
    }
    triangle {
      < 2.211973, 9.704529, -13.395174>,
      < 3.930475, 11.055314, -10.912201>,
      < 5.406476, 14.674421, -11.236322>
    }
    triangle {
      < 2.211973, 9.704529, -13.395174>,
      < 5.406476, 14.674421, -11.236322>,
      < 3.471975, 14.231941, -14.051481>
    }
    triangle {
      < 3.930475, 11.055314, -10.912201>,
      < 5.036976, 12.331673, -8.312004>,
      < 6.404974, 15.359264, -8.590876>
    }
    triangle {
      < 3.930475, 11.055314, -10.912201>,
      < 6.404974, 15.359264, -8.590876>,
      < 5.406476, 14.674421, -11.236322>
    }
    triangle {
      < 5.036976, 12.331673, -8.312004>,
      < 5.351475, 12.981504, -5.642037>,
      < 7.151477, 15.965701, -5.890527>
    }
    triangle {
      < 5.036976, 12.331673, -8.312004>,
      < 7.151477, 15.965701, -5.890527>,
      < 6.404974, 15.359264, -8.590876>
    }
    triangle {
      < 5.351475, 12.981504, -5.642037>,
      < 5.691761, 13.315300, -2.924403>,
      < 7.491759, 16.500896, -3.140291>
    }
    triangle {
      < 5.351475, 12.981504, -5.642037>,
      < 7.491759, 16.500896, -3.140291>,
      < 7.151477, 15.965701, -5.890527>
    }
    triangle {
      < 5.691761, 13.315300, -2.924403>,
      < 5.908608, 13.344610, 0.000000>,
      < 7.276607, 16.500849, 0.000000>
    }
    triangle {
      < 5.691761, 13.315300, -2.924403>,
      < 7.276607, 16.500849, 0.000000>,
      < 7.491759, 16.500896, -3.140291>
    }
    triangle {
      < -1.712795, 4.539915, -14.229296>,
      < 0.005706, 6.721300, -12.935635>,
      < 2.211973, 9.704529, -13.395174>
    }
    triangle {
      < -1.712795, 4.539915, -14.229296>,
      < 2.211973, 9.704529, -13.395174>,
      < 0.519207, 9.711632, -16.052975>
    }
    triangle {
      < 0.005706, 6.721300, -12.935635>,
      < 1.796206, 8.238514, -10.569201>,
      < 3.930475, 11.055314, -10.912201>
    }
    triangle {
      < 0.005706, 6.721300, -12.935635>,
      < 3.930475, 11.055314, -10.912201>,
      < 2.211973, 9.704529, -13.395174>
    }
    triangle {
      < 1.796206, 8.238514, -10.569201>,
      < 3.514707, 9.596653, -8.026267>,
      < 5.036976, 12.331673, -8.312004>
    }
    triangle {
      < 1.796206, 8.238514, -10.569201>,
      < 5.036976, 12.331673, -8.312004>,
      < 3.930475, 11.055314, -10.912201>
    }
    triangle {
      < 3.514707, 9.596653, -8.026267>,
      < 4.153206, 10.297425, -5.391975>,
      < 5.351475, 12.981504, -5.642037>
    }
    triangle {
      < 3.514707, 9.596653, -8.026267>,
      < 5.351475, 12.981504, -5.642037>,
      < 5.036976, 12.331673, -8.312004>
    }
    triangle {
      < 4.153206, 10.297425, -5.391975>,
      < 4.215707, 10.666860, -2.699292>,
      < 5.691761, 13.315300, -2.924403>
    }
    triangle {
      < 4.153206, 10.297425, -5.391975>,
      < 5.691761, 13.315300, -2.924403>,
      < 5.351475, 12.981504, -5.642037>
    }
    triangle {
      < 4.215707, 10.666860, -2.699292>,
      < 4.278336, 10.920532, -0.034037>,
      < 5.908608, 13.344610, 0.000000>
    }
    triangle {
      < 4.215707, 10.666860, -2.699292>,
      < 5.908608, 13.344610, 0.000000>,
      < 5.691761, 13.315300, -2.924403>
    }
    triangle {
      < 4.380435, 22.275593, -9.184464>,
      < 4.317936, 22.048738, -12.150613>,
      < 5.571867, 18.997076, -8.841279>
    }
    triangle {
      < -0.185685, 27.293011, 0.000000>,
      < -0.229878, 27.331060, -3.124998>,
      < 1.997753, 25.282806, -3.124998>
    }
    triangle {
      < -0.185685, 27.293011, 0.000000>,
      < 1.997753, 25.282806, -3.124998>,
      < 2.060253, 25.282806, 0.000000>
    }
    triangle {
      < -0.450849, 27.521307, -18.749996>,
      < -0.341015, 27.749599, -18.749996>,
      < 0.774985, 25.158726, -18.494785>
    }
    triangle {
      < -0.406654, 27.483257, -15.624996>,
      < -0.450849, 27.521307, -18.749996>,
      < 0.774985, 25.158726, -18.494785>
    }
    triangle {
      < -0.406654, 27.483257, -15.624996>,
      < 0.774985, 25.158726, -18.494785>,
      < 1.747754, 25.135826, -15.522077>
    }
    triangle {
      < -0.362462, 27.445206, -12.499996>,
      < -0.406654, 27.483257, -15.624996>,
      < 1.747754, 25.135826, -15.522077>
    }
    triangle {
      < -0.362462, 27.445206, -12.499996>,
      < 1.747754, 25.135826, -15.522077>,
      < 1.810253, 25.282806, -12.499996>
    }
    triangle {
      < -0.318267, 27.407154, -9.374997>,
      < -0.362462, 27.445206, -12.499996>,
      < 1.810253, 25.282806, -12.499996>
    }
    triangle {
      < -0.318267, 27.407154, -9.374997>,
      < 1.810253, 25.282806, -12.499996>,
      < 1.872753, 25.282806, -9.374997>
    }
    triangle {
      < -0.274072, 27.369110, -6.249998>,
      < -0.318267, 27.407154, -9.374997>,
      < 1.872753, 25.282806, -9.374997>
    }
    triangle {
      < -0.274072, 27.369110, -6.249998>,
      < 1.872753, 25.282806, -9.374997>,
      < 1.935254, 25.282806, -6.249998>
    }
    triangle {
      < -0.229878, 27.331060, -3.124998>,
      < -0.274072, 27.369110, -6.249998>,
      < 1.935254, 25.282806, -6.249998>
    }
    triangle {
      < -0.229878, 27.331060, -3.124998>,
      < 1.935254, 25.282806, -6.249998>,
      < 1.997753, 25.282806, -3.124998>
    }
    texture {sail2}
  }
  // sail1
  union {
    triangle {
      < -0.566216, 47.520119, -4.673156>,
      < -0.628715, 47.520119, -7.008858>,
      < -0.691215, 47.520119, -9.344559>
    }
    triangle {
      < -0.566216, 47.520119, -4.673156>,
      < -0.691215, 47.520119, -9.344559>,
      < -0.753716, 47.520119, -11.680260>
    }
    triangle {
      < -0.566216, 47.520119, -4.673156>,
      < -0.753716, 47.520119, -11.680260>,
      < -0.816215, 47.520119, -14.015965>
    }
    triangle {
      < -0.566216, 47.520119, -4.673156>,
      < -0.816215, 47.520119, -14.015965>,
      < -0.926051, 47.710224, -14.015965>
    }
    triangle {
      < -0.566216, 47.520119, -4.673156>,
      < -0.926051, 47.710224, -14.015965>,
      < -0.660885, 47.900337, 0.000000>
    }
    triangle {
      < -0.566216, 47.520119, -4.673156>,
      < -0.660885, 47.900337, 0.000000>,
      < -0.441215, 47.520119, 0.000000>
    }
    triangle {
      < -0.566216, 47.520119, -4.673156>,
      < -0.441215, 47.520119, 0.000000>,
      < -0.503715, 47.520119, -2.337453>
    }
    triangle {
      < -1.085148, 47.596161, -16.818804>,
      < -0.926051, 47.710224, -14.015965>,
      < -0.816215, 47.520119, -14.015965>
    }
    triangle {
      < -1.085148, 47.596161, -16.818804>,
      < -0.816215, 47.520119, -14.015965>,
      < -1.041214, 47.520119, -16.818804>
    }
    triangle {
      < -1.191215, 47.788982, -14.015965>,
      < -1.191215, 48.057846, 0.000000>,
      < -0.660885, 47.900337, 0.000000>
    }
    triangle {
      < -1.191215, 47.788982, -14.015965>,
      < -0.660885, 47.900337, 0.000000>,
      < -0.926051, 47.710224, -14.015965>
    }
    triangle {
      < -1.191215, 47.627666, -16.818804>,
      < -1.191215, 47.788982, -14.015965>,
      < -0.926051, 47.710224, -14.015965>
    }
    triangle {
      < -1.191215, 47.627666, -16.818804>,
      < -0.926051, 47.710224, -14.015965>,
      < -1.085148, 47.596161, -16.818804>
    }
    triangle {
      < -1.456378, 47.710224, -14.015965>,
      < -1.721544, 47.900337, 0.000000>,
      < -1.191215, 48.057846, 0.000000>
    }
    triangle {
      < -1.456378, 47.710224, -14.015965>,
      < -1.191215, 48.057846, 0.000000>,
      < -1.191215, 47.788982, -14.015965>
    }
    triangle {
      < -1.297281, 47.596161, -16.818804>,
      < -1.456378, 47.710224, -14.015965>,
      < -1.191215, 47.788982, -14.015965>
    }
    triangle {
      < -1.297281, 47.596161, -16.818804>,
      < -1.191215, 47.788982, -14.015965>,
      < -1.191215, 47.627666, -16.818804>
    }
    triangle {
      < -1.566214, 47.520119, -14.015965>,
      < -1.941214, 47.520119, 0.000000>,
      < -1.721544, 47.900337, 0.000000>
    }
    triangle {
      < -1.566214, 47.520119, -14.015965>,
      < -1.721544, 47.900337, 0.000000>,
      < -1.456378, 47.710224, -14.015965>
    }
    triangle {
      < -1.341214, 47.520119, -16.818804>,
      < -1.566214, 47.520119, -14.015965>,
      < -1.456378, 47.710224, -14.015965>
    }
    triangle {
      < -1.341214, 47.520119, -16.818804>,
      < -1.456378, 47.710224, -14.015965>,
      < -1.297281, 47.596161, -16.818804>
    }
    triangle {
      < -1.456378, 47.330002, -14.015965>,
      < -1.721544, 47.139870, 0.000000>,
      < -1.941214, 47.520119, 0.000000>
    }
    triangle {
      < -1.456378, 47.330002, -14.015965>,
      < -1.941214, 47.520119, 0.000000>,
      < -1.566214, 47.520119, -14.015965>
    }
    triangle {
      < -1.297281, 47.444061, -16.818804>,
      < -1.456378, 47.330002, -14.015965>,
      < -1.566214, 47.520119, -14.015965>
    }
    triangle {
      < -1.297281, 47.444061, -16.818804>,
      < -1.566214, 47.520119, -14.015965>,
      < -1.341214, 47.520119, -16.818804>
    }
    triangle {
      < -1.147212, 47.251244, -14.015965>,
      < -1.147212, 46.982380, 0.000000>,
      < -1.721544, 47.139870, 0.000000>
    }
    triangle {
      < -1.147212, 47.251244, -14.015965>,
      < -1.721544, 47.139870, 0.000000>,
      < -1.456378, 47.330002, -14.015965>
    }
    triangle {
      < -1.191215, 47.412563, -16.818804>,
      < -1.147212, 47.251244, -14.015965>,
      < -1.456378, 47.330002, -14.015965>
    }
    triangle {
      < -1.191215, 47.412563, -16.818804>,
      < -1.456378, 47.330002, -14.015965>,
      < -1.297281, 47.444061, -16.818804>
    }
    triangle {
      < -0.926051, 47.330002, -14.015965>,
      < -0.881855, 47.298306, -11.680260>,
      < -0.837662, 47.266632, -9.344559>
    }
    triangle {
      < -0.926051, 47.330002, -14.015965>,
      < -0.837662, 47.266632, -9.344559>,
      < -0.793467, 47.234909, -7.008858>
    }
    triangle {
      < -0.926051, 47.330002, -14.015965>,
      < -0.793467, 47.234909, -7.008858>,
      < -0.749272, 47.203262, -4.673156>
    }
    triangle {
      < -0.926051, 47.330002, -14.015965>,
      < -0.749272, 47.203262, -4.673156>,
      < -0.705079, 47.171555, -2.337453>
    }
    triangle {
      < -0.926051, 47.330002, -14.015965>,
      < -0.705079, 47.171555, -2.337453>,
      < -0.660885, 47.139870, 0.000000>
    }
    triangle {
      < -0.926051, 47.330002, -14.015965>,
      < -0.660885, 47.139870, 0.000000>,
      < -1.147212, 46.982380, 0.000000>
    }
    triangle {
      < -0.926051, 47.330002, -14.015965>,
      < -1.147212, 46.982380, 0.000000>,
      < -1.147212, 47.251244, -14.015965>
    }
    triangle {
      < -1.085148, 47.444061, -16.818804>,
      < -0.926051, 47.330002, -14.015965>,
      < -1.147212, 47.251244, -14.015965>
    }
    triangle {
      < -1.085148, 47.444061, -16.818804>,
      < -1.147212, 47.251244, -14.015965>,
      < -1.191215, 47.412563, -16.818804>
    }
    triangle {
      < -1.041214, 47.520119, -16.818804>,
      < -0.816215, 47.520119, -14.015965>,
      < -0.926051, 47.330002, -14.015965>
    }
    triangle {
      < -1.041214, 47.520119, -16.818804>,
      < -0.926051, 47.330002, -14.015965>,
      < -1.085148, 47.444061, -16.818804>
    }
    triangle {
      < -1.085148, 47.444061, -16.818804>,
      < -1.191215, 47.412563, -16.818804>,
      < -1.297281, 47.444061, -16.818804>
    }
    triangle {
      < -1.085148, 47.444061, -16.818804>,
      < -1.297281, 47.444061, -16.818804>,
      < -1.341214, 47.520119, -16.818804>
    }
    triangle {
      < -1.085148, 47.444061, -16.818804>,
      < -1.341214, 47.520119, -16.818804>,
      < -1.297281, 47.596161, -16.818804>
    }
    triangle {
      < -1.085148, 47.444061, -16.818804>,
      < -1.297281, 47.596161, -16.818804>,
      < -1.191215, 47.627666, -16.818804>
    }
    triangle {
      < -1.085148, 47.444061, -16.818804>,
      < -1.191215, 47.627666, -16.818804>,
      < -1.085148, 47.596161, -16.818804>
    }
    triangle {
      < -1.085148, 47.444061, -16.818804>,
      < -1.085148, 47.596161, -16.818804>,
      < -1.041214, 47.520119, -16.818804>
    }
    triangle {
      < 2.186784, 45.666019, 0.000000>,
      < 2.124283, 45.666019, -2.337453>,
      < -0.503715, 47.520119, -2.337453>
    }
    triangle {
      < 2.186784, 45.666019, 0.000000>,
      < -0.503715, 47.520119, -2.337453>,
      < -0.441215, 47.520119, 0.000000>
    }
    triangle {
      < 2.124283, 45.666019, -2.337453>,
      < 2.061785, 45.666019, -4.673156>,
      < -0.566216, 47.520119, -4.673156>
    }
    triangle {
      < 2.124283, 45.666019, -2.337453>,
      < -0.566216, 47.520119, -4.673156>,
      < -0.503715, 47.520119, -2.337453>
    }
    triangle {
      < 2.061785, 45.666019, -4.673156>,
      < 1.999284, 45.666019, -7.008858>,
      < -0.628715, 47.520119, -7.008858>
    }
    triangle {
      < 2.061785, 45.666019, -4.673156>,
      < -0.628715, 47.520119, -7.008858>,
      < -0.566216, 47.520119, -4.673156>
    }
    triangle {
      < 1.999284, 45.666019, -7.008858>,
      < 1.936783, 45.666019, -9.344559>,
      < -0.691215, 47.520119, -9.344559>
    }
    triangle {
      < 1.999284, 45.666019, -7.008858>,
      < -0.691215, 47.520119, -9.344559>,
      < -0.628715, 47.520119, -7.008858>
    }
    triangle {
      < 1.936783, 45.666019, -9.344559>,
      < 1.874285, 45.580280, -11.580549>,
      < -0.753716, 47.520119, -11.680260>
    }
    triangle {
      < 1.936783, 45.666019, -9.344559>,
      < -0.753716, 47.520119, -11.680260>,
      < -0.691215, 47.520119, -9.344559>
    }
    triangle {
      < 0.299784, 45.386532, -13.903419>,
      < -0.816215, 47.520119, -14.015965>,
      < 1.874285, 45.580280, -11.580549>
    }
    triangle {
      < 4.694541, 43.398529, 0.000000>,
      < 4.631968, 43.398544, -2.343915>,
      < 2.124283, 45.666019, -2.337453>
    }
    triangle {
      < 4.694541, 43.398529, 0.000000>,
      < 2.124283, 45.666019, -2.337453>,
      < 2.186784, 45.666019, 0.000000>
    }
    triangle {
      < 4.631968, 43.398544, -2.343915>,
      < 4.569468, 43.403488, -4.796154>,
      < 2.061785, 45.666019, -4.673156>
    }
    triangle {
      < 4.631968, 43.398544, -2.343915>,
      < 2.061785, 45.666019, -4.673156>,
      < 2.124283, 45.666019, -2.337453>
    }
    triangle {
      < 4.569468, 43.403488, -4.796154>,
      < 4.506968, 43.190250, -7.144563>,
      < 1.999284, 45.666019, -7.008858>
    }
    triangle {
      < 4.569468, 43.403488, -4.796154>,
      < 1.999284, 45.666019, -7.008858>,
      < 2.061785, 45.666019, -4.673156>
    }
    triangle {
      < 4.506968, 43.190250, -7.144563>,
      < 1.936783, 45.666019, -9.344559>,
      < 1.999284, 45.666019, -7.008858>
    }
    triangle {
      < 3.544468, 42.994743, -9.666407>,
      < 1.874285, 45.580280, -11.580549>,
      < 1.936783, 45.666019, -9.344559>
    }
    triangle {
      < 2.545968, 42.799408, -11.660814>,
      < 0.971465, 42.588673, -13.968838>,
      < 0.299784, 45.386532, -13.903419>
    }
    triangle {
      < 2.545968, 42.799408, -11.660814>,
      < 0.299784, 45.386532, -13.903419>,
      < 1.874285, 45.580280, -11.580549>
    }
    triangle {
      < 6.503135, 41.087234, 0.000000>,
      < 6.440504, 41.095375, -2.609166>,
      < 4.631968, 43.398544, -2.343915>
    }
    triangle {
      < 6.503135, 41.087234, 0.000000>,
      < 4.631968, 43.398544, -2.343915>,
      < 4.694541, 43.398529, 0.000000>
    }
    triangle {
      < 6.440504, 41.095375, -2.609166>,
      < 6.378005, 40.956799, -5.189175>,
      < 4.569468, 43.403488, -4.796154>
    }
    triangle {
      < 6.440504, 41.095375, -2.609166>,
      < 4.569468, 43.403488, -4.796154>,
      < 4.631968, 43.398544, -2.343915>
    }
    triangle {
      < 6.378005, 40.956799, -5.189175>,
      < 5.650746, 40.443047, -7.502493>,
      < 4.506968, 43.190250, -7.144563>
    }
    triangle {
      < 6.378005, 40.956799, -5.189175>,
      < 4.506968, 43.190250, -7.144563>,
      < 4.569468, 43.403488, -4.796154>
    }
    triangle {
      < 5.650746, 40.443047, -7.502493>,
      < 3.544468, 42.994743, -9.666407>,
      < 4.506968, 43.190250, -7.144563>
    }
    triangle {
      < 4.926439, 40.128944, -9.945014>,
      < 3.598507, 39.908993, -11.913838>,
      < 2.545968, 42.799408, -11.660814>
    }
    triangle {
      < 4.926439, 40.128944, -9.945014>,
      < 2.545968, 42.799408, -11.660814>,
      < 3.544468, 42.994743, -9.666407>
    }
    triangle {
      < 3.598507, 39.908993, -11.913838>,
      < 1.304004, 39.676033, -14.292400>,
      < 0.971465, 42.588673, -13.968838>
    }
    triangle {
      < 3.598507, 39.908993, -11.913838>,
      < 0.971465, 42.588673, -13.968838>,
      < 2.545968, 42.799408, -11.660814>
    }
    triangle {
      < 7.403139, 38.374527, 0.000000>,
      < 7.340509, 38.387520, -3.171366>,
      < 6.440504, 41.095375, -2.609166>
    }
    triangle {
      < 7.403139, 38.374527, 0.000000>,
      < 6.440504, 41.095375, -2.609166>,
      < 6.503135, 41.087234, 0.000000>
    }
    triangle {
      < 7.340509, 38.387520, -3.171366>,
      < 7.278009, 37.949181, -5.513334>,
      < 6.378005, 40.956799, -5.189175>
    }
    triangle {
      < 7.340509, 38.387520, -3.171366>,
      < 6.378005, 40.956799, -5.189175>,
      < 6.440504, 41.095375, -2.609166>
    }
    triangle {
      < 7.278009, 37.949181, -5.513334>,
      < 6.531507, 37.409622, -7.948401>,
      < 5.650746, 40.443047, -7.502493>
    }
    triangle {
      < 7.278009, 37.949181, -5.513334>,
      < 5.650746, 40.443047, -7.502493>,
      < 6.378005, 40.956799, -5.189175>
    }
    triangle {
      < 6.531507, 37.409622, -7.948401>,
      < 5.533008, 36.794739, -10.264465>,
      < 4.926439, 40.128944, -9.945014>
    }
    triangle {
      < 6.531507, 37.409622, -7.948401>,
      < 4.926439, 40.128944, -9.945014>,
      < 5.650746, 40.443047, -7.502493>
    }
    triangle {
      < 5.533008, 36.794739, -10.264465>,
      < 3.598507, 36.403469, -12.462982>,
      < 3.598507, 39.908993, -11.913838>
    }
    triangle {
      < 5.533008, 36.794739, -10.264465>,
      < 3.598507, 39.908993, -11.913838>,
      < 4.926439, 40.128944, -9.945014>
    }
    triangle {
      < 3.598507, 36.403469, -12.462982>,
      < 1.304004, 36.126175, -14.981808>,
      < 1.304004, 39.676033, -14.292400>
    }
    triangle {
      < 3.598507, 36.403469, -12.462982>,
      < 1.304004, 39.676033, -14.292400>,
      < 3.598507, 39.908993, -11.913838>
    }
    triangle {
      < 6.035139, 35.763321, 0.000000>,
      < 5.972509, 35.771698, -3.283163>,
      < 7.340509, 38.387520, -3.171366>
    }
    triangle {
      < 6.035139, 35.763321, 0.000000>,
      < 7.340509, 38.387520, -3.171366>,
      < 7.403139, 38.374527, 0.000000>
    }
    triangle {
      < 5.972509, 35.771698, -3.283163>,
      < 5.910010, 35.459286, -5.936440>,
      < 7.278009, 37.949181, -5.513334>
    }
    triangle {
      < 5.972509, 35.771698, -3.283163>,
      < 7.278009, 37.949181, -5.513334>,
      < 7.340509, 38.387520, -3.171366>
    }
    triangle {
      < 5.910010, 35.459286, -5.936440>,
      < 5.847510, 34.875942, -8.256088>,
      < 6.531507, 37.409622, -7.948401>
    }
    triangle {
      < 5.910010, 35.459286, -5.936440>,
      < 6.531507, 37.409622, -7.948401>,
      < 7.278009, 37.949181, -5.513334>
    }
    triangle {
      < 5.847510, 34.875942, -8.256088>,
      < 4.057008, 33.780102, -10.944506>,
      < 5.533008, 36.794739, -10.264465>
    }
    triangle {
      < 5.847510, 34.875942, -8.256088>,
      < 5.533008, 36.794739, -10.264465>,
      < 6.531507, 37.409622, -7.948401>
    }
    triangle {
      < 4.057008, 33.780102, -10.944506>,
      < 2.338505, 32.605881, -13.808851>,
      < 3.598507, 36.403469, -12.462982>
    }
    triangle {
      < 4.057008, 33.780102, -10.944506>,
      < 3.598507, 36.403469, -12.462982>,
      < 5.533008, 36.794739, -10.264465>
    }
    triangle {
      < 2.338505, 32.605881, -13.808851>,
      < 0.044005, 32.376560, -16.380838>,
      < 1.304004, 36.126175, -14.981808>
    }
    triangle {
      < 2.338505, 32.605881, -13.808851>,
      < 1.304004, 36.126175, -14.981808>,
      < 3.598507, 36.403469, -12.462982>
    }
    triangle {
      < 3.803136, 33.562889, 0.000000>,
      < 3.740506, 33.359436, -3.333341>,
      < 5.972509, 35.771698, -3.283163>
    }
    triangle {
      < 3.803136, 33.562889, 0.000000>,
      < 5.972509, 35.771698, -3.283163>,
      < 6.035139, 35.763321, 0.000000>
    }
    triangle {
      < 3.740506, 33.359436, -3.333341>,
      < 3.678006, 33.020260, -6.361779>,
      < 5.910010, 35.459286, -5.936440>
    }
    triangle {
      < 3.740506, 33.359436, -3.333341>,
      < 5.910010, 35.459286, -5.936440>,
      < 5.972509, 35.771698, -3.283163>
    }
    triangle {
      < 3.678006, 33.020260, -6.361779>,
      < 3.039505, 32.401882, -8.960025>,
      < 5.847510, 34.875942, -8.256088>
    }
    triangle {
      < 3.678006, 33.020260, -6.361779>,
      < 5.847510, 34.875942, -8.256088>,
      < 5.910010, 35.459286, -5.936440>
    }
    triangle {
      < 3.039505, 32.401882, -8.960025>,
      < 1.321005, 31.238838, -11.792484>,
      < 4.057008, 33.780102, -10.944506>
    }
    triangle {
      < 3.039505, 32.401882, -8.960025>,
      < 4.057008, 33.780102, -10.944506>,
      < 5.847510, 34.875942, -8.256088>
    }
    triangle {
      < 1.321005, 31.238838, -11.792484>,
      < -0.181494, 29.931759, -14.732271>,
      < 2.338505, 32.605881, -13.808851>
    }
    triangle {
      < 1.321005, 31.238838, -11.792484>,
      < 2.338505, 32.605881, -13.808851>,
      < 4.057008, 33.780102, -10.944506>
    }
    triangle {
      < -0.181494, 29.931759, -14.732271>,
      < -2.187994, 28.006685, -18.449085>,
      < 2.338505, 32.605881, -13.808851>
    }
    triangle {
      < -0.753716, 47.520119, -11.680260>,
      < 1.874285, 45.580280, -11.580549>,
      < -0.816215, 47.520119, -14.015965>
    }
    triangle {
      < 2.545968, 42.799408, -11.660814>,
      < 1.874285, 45.580280, -11.580549>,
      < 3.544468, 42.994743, -9.666407>
    }
    triangle {
      < 3.544468, 42.994743, -9.666407>,
      < 1.936783, 45.666019, -9.344559>,
      < 4.506968, 43.190250, -7.144563>
    }
    triangle {
      < 4.926439, 40.128944, -9.945014>,
      < 3.544468, 42.994743, -9.666407>,
      < 5.650746, 40.443047, -7.502493>
    }
    triangle {
      < -2.187994, 28.006685, -18.449085>,
      < 0.044005, 32.376560, -16.380838>,
      < 2.338505, 32.605881, -13.808851>
    }
    triangle {
      < 1.578847, 45.485867, 0.000000>,
      < 1.516346, 45.485867, -2.337453>,
      < 4.024032, 43.218391, -2.343915>
    }
    triangle {
      < 1.578847, 45.485867, 0.000000>,
      < 4.024032, 43.218391, -2.343915>,
      < 4.086603, 43.218376, 0.000000>
    }
    triangle {
      < 1.516346, 45.485867, -2.337453>,
      < 1.453848, 45.485867, -4.673156>,
      < 3.961532, 43.223335, -4.796154>
    }
    triangle {
      < 1.516346, 45.485867, -2.337453>,
      < 3.961532, 43.223335, -4.796154>,
      < 4.024032, 43.218391, -2.343915>
    }
    triangle {
      < 1.453848, 45.485867, -4.673156>,
      < 1.391347, 45.485867, -7.008858>,
      < 3.899031, 43.010098, -7.144563>
    }
    triangle {
      < 1.453848, 45.485867, -4.673156>,
      < 3.899031, 43.010098, -7.144563>,
      < 3.961532, 43.223335, -4.796154>
    }
    triangle {
      < 1.391347, 45.485867, -7.008858>,
      < 1.328846, 45.485867, -9.344559>,
      < 3.899031, 43.010098, -7.144563>
    }
    triangle {
      < 1.328846, 45.485867, -9.344559>,
      < 1.266348, 45.400127, -11.580549>,
      < 2.936531, 42.814590, -9.666407>
    }
    triangle {
      < 1.266348, 45.400127, -11.580549>,
      < 0.299784, 45.386532, -13.903419>,
      < 0.971465, 42.588673, -13.968838>
    }
    triangle {
      < 1.266348, 45.400127, -11.580549>,
      < 0.971465, 42.588673, -13.968838>,
      < 1.938032, 42.619255, -11.660814>
    }
    triangle {
      < 4.086603, 43.218376, 0.000000>,
      < 4.024032, 43.218391, -2.343915>,
      < 5.832567, 40.915222, -2.609166>
    }
    triangle {
      < 4.086603, 43.218376, 0.000000>,
      < 5.832567, 40.915222, -2.609166>,
      < 5.895196, 40.907082, 0.000000>
    }
    triangle {
      < 4.024032, 43.218391, -2.343915>,
      < 3.961532, 43.223335, -4.796154>,
      < 5.770068, 40.776646, -5.189175>
    }
    triangle {
      < 4.024032, 43.218391, -2.343915>,
      < 5.770068, 40.776646, -5.189175>,
      < 5.832567, 40.915222, -2.609166>
    }
    triangle {
      < 3.961532, 43.223335, -4.796154>,
      < 3.899031, 43.010098, -7.144563>,
      < 5.042808, 40.262894, -7.502493>
    }
    triangle {
      < 3.961532, 43.223335, -4.796154>,
      < 5.042808, 40.262894, -7.502493>,
      < 5.770068, 40.776646, -5.189175>
    }
    triangle {
      < 3.899031, 43.010098, -7.144563>,
      < 2.936531, 42.814590, -9.666407>,
      < 5.042808, 40.262894, -7.502493>
    }
    triangle {
      < 2.936531, 42.814590, -9.666407>,
      < 1.938032, 42.619255, -11.660814>,
      < 2.990570, 39.728840, -11.913838>
    }
    triangle {
      < 2.936531, 42.814590, -9.666407>,
      < 2.990570, 39.728840, -11.913838>,
      < 4.318501, 39.948792, -9.945014>
    }
    triangle {
      < 1.938032, 42.619255, -11.660814>,
      < 0.971465, 42.588673, -13.968838>,
      < 1.304004, 39.676033, -14.292400>
    }
    triangle {
      < 1.938032, 42.619255, -11.660814>,
      < 1.304004, 39.676033, -14.292400>,
      < 2.990570, 39.728840, -11.913838>
    }
    triangle {
      < 5.895196, 40.907082, 0.000000>,
      < 5.832567, 40.915222, -2.609166>,
      < 6.732572, 38.207367, -3.171366>
    }
    triangle {
      < 5.895196, 40.907082, 0.000000>,
      < 6.732572, 38.207367, -3.171366>,
      < 6.795203, 38.194374, 0.000000>
    }
    triangle {
      < 5.832567, 40.915222, -2.609166>,
      < 5.770068, 40.776646, -5.189175>,
      < 6.670071, 37.769028, -5.513334>
    }
    triangle {
      < 5.832567, 40.915222, -2.609166>,
      < 6.670071, 37.769028, -5.513334>,
      < 6.732572, 38.207367, -3.171366>
    }
    triangle {
      < 5.770068, 40.776646, -5.189175>,
      < 5.042808, 40.262894, -7.502493>,
      < 5.923571, 37.229469, -7.948401>
    }
    triangle {
      < 5.770068, 40.776646, -5.189175>,
      < 5.923571, 37.229469, -7.948401>,
      < 6.670071, 37.769028, -5.513334>
    }
    triangle {
      < 5.042808, 40.262894, -7.502493>,
      < 4.318501, 39.948792, -9.945014>,
      < 4.925072, 36.614586, -10.264465>
    }
    triangle {
      < 5.042808, 40.262894, -7.502493>,
      < 4.925072, 36.614586, -10.264465>,
      < 5.923571, 37.229469, -7.948401>
    }
    triangle {
      < 4.318501, 39.948792, -9.945014>,
      < 2.990570, 39.728840, -11.913838>,
      < 2.990570, 36.223316, -12.462982>
    }
    triangle {
      < 4.318501, 39.948792, -9.945014>,
      < 2.990570, 36.223316, -12.462982>,
      < 4.925072, 36.614586, -10.264465>
    }
    triangle {
      < 2.990570, 39.728840, -11.913838>,
      < 1.304004, 39.676033, -14.292400>,
      < 1.304004, 36.126175, -14.981808>
    }
    triangle {
      < 2.990570, 39.728840, -11.913838>,
      < 1.304004, 36.126175, -14.981808>,
      < 2.990570, 36.223316, -12.462982>
    }
    triangle {
      < 6.795203, 38.194374, 0.000000>,
      < 6.732572, 38.207367, -3.171366>,
      < 5.364572, 35.591545, -3.283163>
    }
    triangle {
      < 6.795203, 38.194374, 0.000000>,
      < 5.364572, 35.591545, -3.283163>,
      < 5.427201, 35.583168, 0.000000>
    }
    triangle {
      < 6.732572, 38.207367, -3.171366>,
      < 6.670071, 37.769028, -5.513334>,
      < 5.302073, 35.279133, -5.936440>
    }
    triangle {
      < 6.732572, 38.207367, -3.171366>,
      < 5.302073, 35.279133, -5.936440>,
      < 5.364572, 35.591545, -3.283163>
    }
    triangle {
      < 6.670071, 37.769028, -5.513334>,
      < 5.923571, 37.229469, -7.948401>,
      < 5.239572, 34.695789, -8.256088>
    }
    triangle {
      < 6.670071, 37.769028, -5.513334>,
      < 5.239572, 34.695789, -8.256088>,
      < 5.302073, 35.279133, -5.936440>
    }
    triangle {
      < 5.923571, 37.229469, -7.948401>,
      < 4.925072, 36.614586, -10.264465>,
      < 3.449071, 33.599949, -10.944506>
    }
    triangle {
      < 5.923571, 37.229469, -7.948401>,
      < 3.449071, 33.599949, -10.944506>,
      < 5.239572, 34.695789, -8.256088>
    }
    triangle {
      < 4.925072, 36.614586, -10.264465>,
      < 2.990570, 36.223316, -12.462982>,
      < 1.730568, 32.425728, -13.808851>
    }
    triangle {
      < 4.925072, 36.614586, -10.264465>,
      < 1.730568, 32.425728, -13.808851>,
      < 3.449071, 33.599949, -10.944506>
    }
    triangle {
      < 2.990570, 36.223316, -12.462982>,
      < 1.304004, 36.126175, -14.981808>,
      < 0.044005, 32.376560, -16.380838>
    }
    triangle {
      < 2.990570, 36.223316, -12.462982>,
      < 0.044005, 32.376560, -16.380838>,
      < 1.730568, 32.425728, -13.808851>
    }
    triangle {
      < 5.427201, 35.583168, 0.000000>,
      < 5.364572, 35.591545, -3.283163>,
      < 3.740506, 33.359436, -3.333341>
    }
    triangle {
      < 5.427201, 35.583168, 0.000000>,
      < 3.740506, 33.359436, -3.333341>,
      < 3.803136, 33.562889, 0.000000>
    }
    triangle {
      < 5.364572, 35.591545, -3.283163>,
      < 5.302073, 35.279133, -5.936440>,
      < 3.678006, 33.020260, -6.361779>
    }
    triangle {
      < 5.364572, 35.591545, -3.283163>,
      < 3.678006, 33.020260, -6.361779>,
      < 3.740506, 33.359436, -3.333341>
    }
    triangle {
      < 5.302073, 35.279133, -5.936440>,
      < 5.239572, 34.695789, -8.256088>,
      < 3.039505, 32.401882, -8.960025>
    }
    triangle {
      < 5.302073, 35.279133, -5.936440>,
      < 3.039505, 32.401882, -8.960025>,
      < 3.678006, 33.020260, -6.361779>
    }
    triangle {
      < 5.239572, 34.695789, -8.256088>,
      < 3.449071, 33.599949, -10.944506>,
      < 1.321005, 31.238838, -11.792484>
    }
    triangle {
      < 5.239572, 34.695789, -8.256088>,
      < 1.321005, 31.238838, -11.792484>,
      < 3.039505, 32.401882, -8.960025>
    }
    triangle {
      < 3.449071, 33.599949, -10.944506>,
      < 1.730568, 32.425728, -13.808851>,
      < -0.181494, 29.931759, -14.732271>
    }
    triangle {
      < 3.449071, 33.599949, -10.944506>,
      < -0.181494, 29.931759, -14.732271>,
      < 1.321005, 31.238838, -11.792484>
    }
    triangle {
      < 1.730568, 32.425728, -13.808851>,
      < -2.187994, 28.006685, -18.449085>,
      < -0.181494, 29.931759, -14.732271>
    }
    triangle {
      < 2.936531, 42.814590, -9.666407>,
      < 1.266348, 45.400127, -11.580549>,
      < 1.938032, 42.619255, -11.660814>
    }
    triangle {
      < 3.899031, 43.010098, -7.144563>,
      < 1.328846, 45.485867, -9.344559>,
      < 2.936531, 42.814590, -9.666407>
    }
    triangle {
      < 5.042808, 40.262894, -7.502493>,
      < 2.936531, 42.814590, -9.666407>,
      < 4.318501, 39.948792, -9.945014>
    }
    triangle {
      < 1.730568, 32.425728, -13.808851>,
      < 0.044005, 32.376560, -16.380838>,
      < -2.187994, 28.006685, -18.449085>
    }
    triangle {
      < -0.926051, 47.330002, -14.015965>,
      < 0.299784, 45.386532, -13.903419>,
      < 1.266348, 45.400127, -11.580549>
    }
    triangle {
      < -0.926051, 47.330002, -14.015965>,
      < 1.266348, 45.400127, -11.580549>,
      < -0.881855, 47.298306, -11.680260>
    }
    triangle {
      < 1.516346, 45.485867, -2.337453>,
      < 1.578847, 45.485867, 0.000000>,
      < -0.660885, 47.139870, 0.000000>
    }
    triangle {
      < 1.516346, 45.485867, -2.337453>,
      < -0.660885, 47.139870, 0.000000>,
      < -0.705079, 47.171555, -2.337453>
    }
    triangle {
      < 1.453848, 45.485867, -4.673156>,
      < 1.516346, 45.485867, -2.337453>,
      < -0.705079, 47.171555, -2.337453>
    }
    triangle {
      < 1.453848, 45.485867, -4.673156>,
      < -0.705079, 47.171555, -2.337453>,
      < -0.749272, 47.203262, -4.673156>
    }
    triangle {
      < 1.391347, 45.485867, -7.008858>,
      < 1.453848, 45.485867, -4.673156>,
      < -0.749272, 47.203262, -4.673156>
    }
    triangle {
      < 1.391347, 45.485867, -7.008858>,
      < -0.749272, 47.203262, -4.673156>,
      < -0.793467, 47.234909, -7.008858>
    }
    triangle {
      < 1.328846, 45.485867, -9.344559>,
      < 1.391347, 45.485867, -7.008858>,
      < -0.793467, 47.234909, -7.008858>
    }
    triangle {
      < 1.328846, 45.485867, -9.344559>,
      < -0.793467, 47.234909, -7.008858>,
      < -0.837662, 47.266632, -9.344559>
    }
    triangle {
      < 1.266348, 45.400127, -11.580549>,
      < 1.328846, 45.485867, -9.344559>,
      < -0.837662, 47.266632, -9.344559>
    }
    triangle {
      < 1.266348, 45.400127, -11.580549>,
      < -0.837662, 47.266632, -9.344559>,
      < -0.881855, 47.298306, -11.680260>
    }
    triangle {
      < -0.926051, 47.330002, -14.015965>,
      < -0.816215, 47.520119, -14.015965>,
      < 0.299784, 45.386532, -13.903419>
    }
    triangle {
      < -0.503715, 47.520119, 2.337453>,
      < -0.441215, 47.520119, 0.000000>,
      < -0.660885, 47.900337, 0.000000>
    }
    triangle {
      < -0.503715, 47.520119, 2.337453>,
      < -0.660885, 47.900337, 0.000000>,
      < -0.926051, 47.710224, 14.015965>
    }
    triangle {
      < -0.503715, 47.520119, 2.337453>,
      < -0.926051, 47.710224, 14.015965>,
      < -0.816215, 47.520119, 14.015965>
    }
    triangle {
      < -0.503715, 47.520119, 2.337453>,
      < -0.816215, 47.520119, 14.015965>,
      < -0.753716, 47.520119, 11.680260>
    }
    triangle {
      < -0.503715, 47.520119, 2.337453>,
      < -0.753716, 47.520119, 11.680260>,
      < -0.691215, 47.520119, 9.344559>
    }
    triangle {
      < -0.503715, 47.520119, 2.337453>,
      < -0.691215, 47.520119, 9.344559>,
      < -0.628715, 47.520119, 7.008858>
    }
    triangle {
      < -0.503715, 47.520119, 2.337453>,
      < -0.628715, 47.520119, 7.008858>,
      < -0.566216, 47.520119, 4.673156>
    }
    triangle {
      < -1.041214, 47.520119, 16.818804>,
      < -0.816215, 47.520119, 14.015965>,
      < -0.926051, 47.710224, 14.015965>
    }
    triangle {
      < -1.041214, 47.520119, 16.818804>,
      < -0.926051, 47.710224, 14.015965>,
      < -1.085148, 47.596161, 16.818804>
    }
    triangle {
      < -0.926051, 47.710224, 14.015965>,
      < -0.660885, 47.900337, 0.000000>,
      < -1.191215, 48.057846, 0.000000>
    }
    triangle {
      < -0.926051, 47.710224, 14.015965>,
      < -1.191215, 48.057846, 0.000000>,
      < -1.191215, 47.788982, 14.015965>
    }
    triangle {
      < -1.085148, 47.596161, 16.818804>,
      < -0.926051, 47.710224, 14.015965>,
      < -1.191215, 47.788982, 14.015965>
    }
    triangle {
      < -1.085148, 47.596161, 16.818804>,
      < -1.191215, 47.788982, 14.015965>,
      < -1.191215, 47.627666, 16.818804>
    }
    triangle {
      < -1.191215, 47.788982, 14.015965>,
      < -1.191215, 48.057846, 0.000000>,
      < -1.721544, 47.900337, 0.000000>
    }
    triangle {
      < -1.191215, 47.788982, 14.015965>,
      < -1.721544, 47.900337, 0.000000>,
      < -1.456378, 47.710224, 14.015965>
    }
    triangle {
      < -1.191215, 47.627666, 16.818804>,
      < -1.191215, 47.788982, 14.015965>,
      < -1.456378, 47.710224, 14.015965>
    }
    triangle {
      < -1.191215, 47.627666, 16.818804>,
      < -1.456378, 47.710224, 14.015965>,
      < -1.297281, 47.596161, 16.818804>
    }
    triangle {
      < -1.456378, 47.710224, 14.015965>,
      < -1.721544, 47.900337, 0.000000>,
      < -1.941214, 47.520119, 0.000000>
    }
    triangle {
      < -1.456378, 47.710224, 14.015965>,
      < -1.941214, 47.520119, 0.000000>,
      < -1.566214, 47.520119, 14.015965>
    }
    triangle {
      < -1.297281, 47.596161, 16.818804>,
      < -1.456378, 47.710224, 14.015965>,
      < -1.566214, 47.520119, 14.015965>
    }
    triangle {
      < -1.297281, 47.596161, 16.818804>,
      < -1.566214, 47.520119, 14.015965>,
      < -1.341214, 47.520119, 16.818804>
    }
    triangle {
      < -1.566214, 47.520119, 14.015965>,
      < -1.941214, 47.520119, 0.000000>,
      < -1.721544, 47.139870, 0.000000>
    }
    triangle {
      < -1.566214, 47.520119, 14.015965>,
      < -1.721544, 47.139870, 0.000000>,
      < -1.456378, 47.330002, 14.015965>
    }
    triangle {
      < -1.341214, 47.520119, 16.818804>,
      < -1.566214, 47.520119, 14.015965>,
      < -1.456378, 47.330002, 14.015965>
    }
    triangle {
      < -1.341214, 47.520119, 16.818804>,
      < -1.456378, 47.330002, 14.015965>,
      < -1.297281, 47.444061, 16.818804>
    }
    triangle {
      < -1.456378, 47.330002, 14.015965>,
      < -1.721544, 47.139870, 0.000000>,
      < -1.147212, 46.982380, 0.000000>
    }
    triangle {
      < -1.456378, 47.330002, 14.015965>,
      < -1.147212, 46.982380, 0.000000>,
      < -1.147212, 47.251244, 14.015965>
    }
    triangle {
      < -1.297281, 47.444061, 16.818804>,
      < -1.456378, 47.330002, 14.015965>,
      < -1.147212, 47.251244, 14.015965>
    }
    triangle {
      < -1.297281, 47.444061, 16.818804>,
      < -1.147212, 47.251244, 14.015965>,
      < -1.191215, 47.412563, 16.818804>
    }
    triangle {
      < -1.147212, 47.251244, 14.015965>,
      < -1.147212, 46.982380, 0.000000>,
      < -0.660885, 47.139870, 0.000000>
    }
    triangle {
      < -1.147212, 47.251244, 14.015965>,
      < -0.660885, 47.139870, 0.000000>,
      < -0.705079, 47.171555, 2.337453>
    }
    triangle {
      < -1.147212, 47.251244, 14.015965>,
      < -0.705079, 47.171555, 2.337453>,
      < -0.749272, 47.203262, 4.673156>
    }
    triangle {
      < -1.147212, 47.251244, 14.015965>,
      < -0.749272, 47.203262, 4.673156>,
      < -0.793467, 47.234909, 7.008858>
    }
    triangle {
      < -1.147212, 47.251244, 14.015965>,
      < -0.793467, 47.234909, 7.008858>,
      < -0.837662, 47.266632, 9.344559>
    }
    triangle {
      < -1.147212, 47.251244, 14.015965>,
      < -0.837662, 47.266632, 9.344559>,
      < -0.881855, 47.298306, 11.680260>
    }
    triangle {
      < -1.147212, 47.251244, 14.015965>,
      < -0.881855, 47.298306, 11.680260>,
      < -0.926051, 47.330002, 14.015965>
    }
    triangle {
      < -1.191215, 47.412563, 16.818804>,
      < -1.147212, 47.251244, 14.015965>,
      < -0.926051, 47.330002, 14.015965>
    }
    triangle {
      < -1.191215, 47.412563, 16.818804>,
      < -0.926051, 47.330002, 14.015965>,
      < -1.085148, 47.444061, 16.818804>
    }
    triangle {
      < -1.085148, 47.444061, 16.818804>,
      < -0.926051, 47.330002, 14.015965>,
      < -0.816215, 47.520119, 14.015965>
    }
    triangle {
      < -1.085148, 47.444061, 16.818804>,
      < -0.816215, 47.520119, 14.015965>,
      < -1.041214, 47.520119, 16.818804>
    }
    triangle {
      < -1.041214, 47.520119, 16.818804>,
      < -1.085148, 47.596161, 16.818804>,
      < -1.191215, 47.627666, 16.818804>
    }
    triangle {
      < -1.041214, 47.520119, 16.818804>,
      < -1.191215, 47.627666, 16.818804>,
      < -1.297281, 47.596161, 16.818804>
    }
    triangle {
      < -1.041214, 47.520119, 16.818804>,
      < -1.297281, 47.596161, 16.818804>,
      < -1.341214, 47.520119, 16.818804>
    }
    triangle {
      < -1.041214, 47.520119, 16.818804>,
      < -1.341214, 47.520119, 16.818804>,
      < -1.297281, 47.444061, 16.818804>
    }
    triangle {
      < -1.041214, 47.520119, 16.818804>,
      < -1.297281, 47.444061, 16.818804>,
      < -1.191215, 47.412563, 16.818804>
    }
    triangle {
      < -1.041214, 47.520119, 16.818804>,
      < -1.191215, 47.412563, 16.818804>,
      < -1.085148, 47.444061, 16.818804>
    }
    triangle {
      < -0.441215, 47.520119, 0.000000>,
      < -0.503715, 47.520119, 2.337453>,
      < 2.124283, 45.666019, 2.337453>
    }
    triangle {
      < -0.441215, 47.520119, 0.000000>,
      < 2.124283, 45.666019, 2.337453>,
      < 2.186784, 45.666019, 0.000000>
    }
    triangle {
      < -0.503715, 47.520119, 2.337453>,
      < -0.566216, 47.520119, 4.673156>,
      < 2.061785, 45.666019, 4.673156>
    }
    triangle {
      < -0.503715, 47.520119, 2.337453>,
      < 2.061785, 45.666019, 4.673156>,
      < 2.124283, 45.666019, 2.337453>
    }
    triangle {
      < -0.566216, 47.520119, 4.673156>,
      < -0.628715, 47.520119, 7.008858>,
      < 1.999284, 45.666019, 7.008858>
    }
    triangle {
      < -0.566216, 47.520119, 4.673156>,
      < 1.999284, 45.666019, 7.008858>,
      < 2.061785, 45.666019, 4.673156>
    }
    triangle {
      < -0.628715, 47.520119, 7.008858>,
      < -0.691215, 47.520119, 9.344559>,
      < 1.936783, 45.666019, 9.344559>
    }
    triangle {
      < -0.628715, 47.520119, 7.008858>,
      < 1.936783, 45.666019, 9.344559>,
      < 1.999284, 45.666019, 7.008858>
    }
    triangle {
      < -0.691215, 47.520119, 9.344559>,
      < -0.753716, 47.520119, 11.680260>,
      < 1.874285, 45.580280, 11.580549>
    }
    triangle {
      < -0.691215, 47.520119, 9.344559>,
      < 1.874285, 45.580280, 11.580549>,
      < 1.936783, 45.666019, 9.344559>
    }
    triangle {
      < 1.874285, 45.580280, 11.580549>,
      < -0.816215, 47.520119, 14.015965>,
      < 0.299784, 45.386532, 13.903419>
    }
    triangle {
      < 2.186784, 45.666019, 0.000000>,
      < 2.124283, 45.666019, 2.337453>,
      < 4.631968, 43.398544, 2.343915>
    }
    triangle {
      < 2.186784, 45.666019, 0.000000>,
      < 4.631968, 43.398544, 2.343915>,
      < 4.694541, 43.398529, 0.000000>
    }
    triangle {
      < 2.124283, 45.666019, 2.337453>,
      < 2.061785, 45.666019, 4.673156>,
      < 4.569468, 43.403488, 4.796154>
    }
    triangle {
      < 2.124283, 45.666019, 2.337453>,
      < 4.569468, 43.403488, 4.796154>,
      < 4.631968, 43.398544, 2.343915>
    }
    triangle {
      < 2.061785, 45.666019, 4.673156>,
      < 1.999284, 45.666019, 7.008858>,
      < 4.506968, 43.190250, 7.144563>
    }
    triangle {
      < 2.061785, 45.666019, 4.673156>,
      < 4.506968, 43.190250, 7.144563>,
      < 4.569468, 43.403488, 4.796154>
    }
    triangle {
      < 1.999284, 45.666019, 7.008858>,
      < 1.936783, 45.666019, 9.344559>,
      < 4.506968, 43.190250, 7.144563>
    }
    triangle {
      < 1.936783, 45.666019, 9.344559>,
      < 1.874285, 45.580280, 11.580549>,
      < 3.544468, 42.994743, 9.666407>
    }
    triangle {
      < 1.874285, 45.580280, 11.580549>,
      < 0.299784, 45.386532, 13.903419>,
      < 0.971465, 42.588673, 13.968838>
    }
    triangle {
      < 1.874285, 45.580280, 11.580549>,
      < 0.971465, 42.588673, 13.968838>,
      < 2.545968, 42.799408, 11.660814>
    }
    triangle {
      < 4.694541, 43.398529, 0.000000>,
      < 4.631968, 43.398544, 2.343915>,
      < 6.440504, 41.095375, 2.609166>
    }
    triangle {
      < 4.694541, 43.398529, 0.000000>,
      < 6.440504, 41.095375, 2.609166>,
      < 6.503135, 41.087234, 0.000000>
    }
    triangle {
      < 4.631968, 43.398544, 2.343915>,
      < 4.569468, 43.403488, 4.796154>,
      < 6.378005, 40.956799, 5.189175>
    }
    triangle {
      < 4.631968, 43.398544, 2.343915>,
      < 6.378005, 40.956799, 5.189175>,
      < 6.440504, 41.095375, 2.609166>
    }
    triangle {
      < 4.569468, 43.403488, 4.796154>,
      < 4.506968, 43.190250, 7.144563>,
      < 5.650746, 40.443047, 7.502493>
    }
    triangle {
      < 4.569468, 43.403488, 4.796154>,
      < 5.650746, 40.443047, 7.502493>,
      < 6.378005, 40.956799, 5.189175>
    }
    triangle {
      < 4.506968, 43.190250, 7.144563>,
      < 3.544468, 42.994743, 9.666407>,
      < 5.650746, 40.443047, 7.502493>
    }
    triangle {
      < 3.544468, 42.994743, 9.666407>,
      < 2.545968, 42.799408, 11.660814>,
      < 3.598507, 39.908993, 11.913838>
    }
    triangle {
      < 3.544468, 42.994743, 9.666407>,
      < 3.598507, 39.908993, 11.913838>,
      < 4.926439, 40.128944, 9.945014>
    }
    triangle {
      < 2.545968, 42.799408, 11.660814>,
      < 0.971465, 42.588673, 13.968838>,
      < 1.304004, 39.676033, 14.292400>
    }
    triangle {
      < 2.545968, 42.799408, 11.660814>,
      < 1.304004, 39.676033, 14.292400>,
      < 3.598507, 39.908993, 11.913838>
    }
    triangle {
      < 6.503135, 41.087234, 0.000000>,
      < 6.440504, 41.095375, 2.609166>,
      < 7.340509, 38.387520, 3.171366>
    }
    triangle {
      < 6.503135, 41.087234, 0.000000>,
      < 7.340509, 38.387520, 3.171366>,
      < 7.403139, 38.374527, 0.000000>
    }
    triangle {
      < 6.440504, 41.095375, 2.609166>,
      < 6.378005, 40.956799, 5.189175>,
      < 7.278009, 37.949181, 5.513334>
    }
    triangle {
      < 6.440504, 41.095375, 2.609166>,
      < 7.278009, 37.949181, 5.513334>,
      < 7.340509, 38.387520, 3.171366>
    }
    triangle {
      < 6.378005, 40.956799, 5.189175>,
      < 5.650746, 40.443047, 7.502493>,
      < 6.531507, 37.409622, 7.948401>
    }
    triangle {
      < 6.378005, 40.956799, 5.189175>,
      < 6.531507, 37.409622, 7.948401>,
      < 7.278009, 37.949181, 5.513334>
    }
    triangle {
      < 5.650746, 40.443047, 7.502493>,
      < 4.926439, 40.128944, 9.945014>,
      < 5.533008, 36.794739, 10.264465>
    }
    triangle {
      < 5.650746, 40.443047, 7.502493>,
      < 5.533008, 36.794739, 10.264465>,
      < 6.531507, 37.409622, 7.948401>
    }
    triangle {
      < 4.926439, 40.128944, 9.945014>,
      < 3.598507, 39.908993, 11.913838>,
      < 3.598507, 36.403469, 12.462982>
    }
    triangle {
      < 4.926439, 40.128944, 9.945014>,
      < 3.598507, 36.403469, 12.462982>,
      < 5.533008, 36.794739, 10.264465>
    }
    triangle {
      < 3.598507, 39.908993, 11.913838>,
      < 1.304004, 39.676033, 14.292400>,
      < 1.304004, 36.126175, 14.981808>
    }
    triangle {
      < 3.598507, 39.908993, 11.913838>,
      < 1.304004, 36.126175, 14.981808>,
      < 3.598507, 36.403469, 12.462982>
    }
    triangle {
      < 7.403139, 38.374527, 0.000000>,
      < 7.340509, 38.387520, 3.171366>,
      < 5.972509, 35.771698, 3.283163>
    }
    triangle {
      < 7.403139, 38.374527, 0.000000>,
      < 5.972509, 35.771698, 3.283163>,
      < 6.035139, 35.763321, 0.000000>
    }
    triangle {
      < 7.340509, 38.387520, 3.171366>,
      < 7.278009, 37.949181, 5.513334>,
      < 5.910010, 35.459286, 5.936440>
    }
    triangle {
      < 7.340509, 38.387520, 3.171366>,
      < 5.910010, 35.459286, 5.936440>,
      < 5.972509, 35.771698, 3.283163>
    }
    triangle {
      < 7.278009, 37.949181, 5.513334>,
      < 6.531507, 37.409622, 7.948401>,
      < 5.847510, 34.875942, 8.256088>
    }
    triangle {
      < 7.278009, 37.949181, 5.513334>,
      < 5.847510, 34.875942, 8.256088>,
      < 5.910010, 35.459286, 5.936440>
    }
    triangle {
      < 6.531507, 37.409622, 7.948401>,
      < 5.533008, 36.794739, 10.264465>,
      < 4.057008, 33.780102, 10.944506>
    }
    triangle {
      < 6.531507, 37.409622, 7.948401>,
      < 4.057008, 33.780102, 10.944506>,
      < 5.847510, 34.875942, 8.256088>
    }
    triangle {
      < 5.533008, 36.794739, 10.264465>,
      < 3.598507, 36.403469, 12.462982>,
      < 2.338505, 32.605881, 13.808851>
    }
    triangle {
      < 5.533008, 36.794739, 10.264465>,
      < 2.338505, 32.605881, 13.808851>,
      < 4.057008, 33.780102, 10.944506>
    }
    triangle {
      < 3.598507, 36.403469, 12.462982>,
      < 1.304004, 36.126175, 14.981808>,
      < 0.044005, 32.376560, 16.380838>
    }
    triangle {
      < 3.598507, 36.403469, 12.462982>,
      < 0.044005, 32.376560, 16.380838>,
      < 2.338505, 32.605881, 13.808851>
    }
    triangle {
      < 6.035139, 35.763321, 0.000000>,
      < 5.972509, 35.771698, 3.283163>,
      < 3.740506, 33.359436, 3.333341>
    }
    triangle {
      < 6.035139, 35.763321, 0.000000>,
      < 3.740506, 33.359436, 3.333341>,
      < 3.803136, 33.562889, 0.000000>
    }
    triangle {
      < 5.972509, 35.771698, 3.283163>,
      < 5.910010, 35.459286, 5.936440>,
      < 3.678006, 33.020260, 6.361779>
    }
    triangle {
      < 5.972509, 35.771698, 3.283163>,
      < 3.678006, 33.020260, 6.361779>,
      < 3.740506, 33.359436, 3.333341>
    }
    triangle {
      < 5.910010, 35.459286, 5.936440>,
      < 5.847510, 34.875942, 8.256088>,
      < 3.039505, 32.401882, 8.960025>
    }
    triangle {
      < 5.910010, 35.459286, 5.936440>,
      < 3.039505, 32.401882, 8.960025>,
      < 3.678006, 33.020260, 6.361779>
    }
    triangle {
      < 5.847510, 34.875942, 8.256088>,
      < 4.057008, 33.780102, 10.944506>,
      < 1.321005, 31.238838, 11.792484>
    }
    triangle {
      < 5.847510, 34.875942, 8.256088>,
      < 1.321005, 31.238838, 11.792484>,
      < 3.039505, 32.401882, 8.960025>
    }
    triangle {
      < 4.057008, 33.780102, 10.944506>,
      < 2.338505, 32.605881, 13.808851>,
      < -0.181494, 29.931759, 14.732271>
    }
    triangle {
      < 4.057008, 33.780102, 10.944506>,
      < -0.181494, 29.931759, 14.732271>,
      < 1.321005, 31.238838, 11.792484>
    }
    triangle {
      < 2.338505, 32.605881, 13.808851>,
      < -2.187994, 28.006685, 18.449085>,
      < -0.181494, 29.931759, 14.732271>
    }
    triangle {
      < -0.816215, 47.520119, 14.015965>,
      < 1.874285, 45.580280, 11.580549>,
      < -0.753716, 47.520119, 11.680260>
    }
    triangle {
      < 3.544468, 42.994743, 9.666407>,
      < 1.874285, 45.580280, 11.580549>,
      < 2.545968, 42.799408, 11.660814>
    }
    triangle {
      < 4.506968, 43.190250, 7.144563>,
      < 1.936783, 45.666019, 9.344559>,
      < 3.544468, 42.994743, 9.666407>
    }
    triangle {
      < 5.650746, 40.443047, 7.502493>,
      < 3.544468, 42.994743, 9.666407>,
      < 4.926439, 40.128944, 9.945014>
    }
    triangle {
      < 2.338505, 32.605881, 13.808851>,
      < 0.044005, 32.376560, 16.380838>,
      < -2.187994, 28.006685, 18.449085>
    }
    triangle {
      < 4.086603, 43.218376, 0.000000>,
      < 4.024032, 43.218391, 2.343915>,
      < 1.516346, 45.485867, 2.337453>
    }
    triangle {
      < 4.086603, 43.218376, 0.000000>,
      < 1.516346, 45.485867, 2.337453>,
      < 1.578847, 45.485867, 0.000000>
    }
    triangle {
      < 4.024032, 43.218391, 2.343915>,
      < 3.961532, 43.223335, 4.796154>,
      < 1.453848, 45.485867, 4.673156>
    }
    triangle {
      < 4.024032, 43.218391, 2.343915>,
      < 1.453848, 45.485867, 4.673156>,
      < 1.516346, 45.485867, 2.337453>
    }
    triangle {
      < 3.961532, 43.223335, 4.796154>,
      < 3.899031, 43.010098, 7.144563>,
      < 1.391347, 45.485867, 7.008858>
    }
    triangle {
      < 3.961532, 43.223335, 4.796154>,
      < 1.391347, 45.485867, 7.008858>,
      < 1.453848, 45.485867, 4.673156>
    }
    triangle {
      < 3.899031, 43.010098, 7.144563>,
      < 1.328846, 45.485867, 9.344559>,
      < 1.391347, 45.485867, 7.008858>
    }
    triangle {
      < 2.936531, 42.814590, 9.666407>,
      < 1.266348, 45.400127, 11.580549>,
      < 1.328846, 45.485867, 9.344559>
    }
    triangle {
      < 1.938032, 42.619255, 11.660814>,
      < 0.971465, 42.588673, 13.968838>,
      < 0.299784, 45.386532, 13.903419>
    }
    triangle {
      < 1.938032, 42.619255, 11.660814>,
      < 0.299784, 45.386532, 13.903419>,
      < 1.266348, 45.400127, 11.580549>
    }
    triangle {
      < 5.895196, 40.907082, 0.000000>,
      < 5.832567, 40.915222, 2.609166>,
      < 4.024032, 43.218391, 2.343915>
    }
    triangle {
      < 5.895196, 40.907082, 0.000000>,
      < 4.024032, 43.218391, 2.343915>,
      < 4.086603, 43.218376, 0.000000>
    }
    triangle {
      < 5.832567, 40.915222, 2.609166>,
      < 5.770068, 40.776646, 5.189175>,
      < 3.961532, 43.223335, 4.796154>
    }
    triangle {
      < 5.832567, 40.915222, 2.609166>,
      < 3.961532, 43.223335, 4.796154>,
      < 4.024032, 43.218391, 2.343915>
    }
    triangle {
      < 5.770068, 40.776646, 5.189175>,
      < 5.042808, 40.262894, 7.502493>,
      < 3.899031, 43.010098, 7.144563>
    }
    triangle {
      < 5.770068, 40.776646, 5.189175>,
      < 3.899031, 43.010098, 7.144563>,
      < 3.961532, 43.223335, 4.796154>
    }
    triangle {
      < 5.042808, 40.262894, 7.502493>,
      < 2.936531, 42.814590, 9.666407>,
      < 3.899031, 43.010098, 7.144563>
    }
    triangle {
      < 4.318501, 39.948792, 9.945014>,
      < 2.990570, 39.728840, 11.913838>,
      < 1.938032, 42.619255, 11.660814>
    }
    triangle {
      < 4.318501, 39.948792, 9.945014>,
      < 1.938032, 42.619255, 11.660814>,
      < 2.936531, 42.814590, 9.666407>
    }
    triangle {
      < 2.990570, 39.728840, 11.913838>,
      < 1.304004, 39.676033, 14.292400>,
      < 0.971465, 42.588673, 13.968838>
    }
    triangle {
      < 2.990570, 39.728840, 11.913838>,
      < 0.971465, 42.588673, 13.968838>,
      < 1.938032, 42.619255, 11.660814>
    }
    triangle {
      < 6.795203, 38.194374, 0.000000>,
      < 6.732572, 38.207367, 3.171366>,
      < 5.832567, 40.915222, 2.609166>
    }
    triangle {
      < 6.795203, 38.194374, 0.000000>,
      < 5.832567, 40.915222, 2.609166>,
      < 5.895196, 40.907082, 0.000000>
    }
    triangle {
      < 6.732572, 38.207367, 3.171366>,
      < 6.670071, 37.769028, 5.513334>,
      < 5.770068, 40.776646, 5.189175>
    }
    triangle {
      < 6.732572, 38.207367, 3.171366>,
      < 5.770068, 40.776646, 5.189175>,
      < 5.832567, 40.915222, 2.609166>
    }
    triangle {
      < 6.670071, 37.769028, 5.513334>,
      < 5.923571, 37.229469, 7.948401>,
      < 5.042808, 40.262894, 7.502493>
    }
    triangle {
      < 6.670071, 37.769028, 5.513334>,
      < 5.042808, 40.262894, 7.502493>,
      < 5.770068, 40.776646, 5.189175>
    }
    triangle {
      < 5.923571, 37.229469, 7.948401>,
      < 4.925072, 36.614586, 10.264465>,
      < 4.318501, 39.948792, 9.945014>
    }
    triangle {
      < 5.923571, 37.229469, 7.948401>,
      < 4.318501, 39.948792, 9.945014>,
      < 5.042808, 40.262894, 7.502493>
    }
    triangle {
      < 4.925072, 36.614586, 10.264465>,
      < 2.990570, 36.223316, 12.462982>,
      < 2.990570, 39.728840, 11.913838>
    }
    triangle {
      < 4.925072, 36.614586, 10.264465>,
      < 2.990570, 39.728840, 11.913838>,
      < 4.318501, 39.948792, 9.945014>
    }
    triangle {
      < 2.990570, 36.223316, 12.462982>,
      < 1.304004, 36.126175, 14.981808>,
      < 1.304004, 39.676033, 14.292400>
    }
    triangle {
      < 2.990570, 36.223316, 12.462982>,
      < 1.304004, 39.676033, 14.292400>,
      < 2.990570, 39.728840, 11.913838>
    }
    triangle {
      < 5.427201, 35.583168, 0.000000>,
      < 5.364572, 35.591545, 3.283163>,
      < 6.732572, 38.207367, 3.171366>
    }
    triangle {
      < 5.427201, 35.583168, 0.000000>,
      < 6.732572, 38.207367, 3.171366>,
      < 6.795203, 38.194374, 0.000000>
    }
    triangle {
      < 5.364572, 35.591545, 3.283163>,
      < 5.302073, 35.279133, 5.936440>,
      < 6.670071, 37.769028, 5.513334>
    }
    triangle {
      < 5.364572, 35.591545, 3.283163>,
      < 6.670071, 37.769028, 5.513334>,
      < 6.732572, 38.207367, 3.171366>
    }
    triangle {
      < 5.302073, 35.279133, 5.936440>,
      < 5.239572, 34.695789, 8.256088>,
      < 5.923571, 37.229469, 7.948401>
    }
    triangle {
      < 5.302073, 35.279133, 5.936440>,
      < 5.923571, 37.229469, 7.948401>,
      < 6.670071, 37.769028, 5.513334>
    }
    triangle {
      < 5.239572, 34.695789, 8.256088>,
      < 3.449071, 33.599949, 10.944506>,
      < 4.925072, 36.614586, 10.264465>
    }
    triangle {
      < 5.239572, 34.695789, 8.256088>,
      < 4.925072, 36.614586, 10.264465>,
      < 5.923571, 37.229469, 7.948401>
    }
    triangle {
      < 3.449071, 33.599949, 10.944506>,
      < 1.730568, 32.425728, 13.808851>,
      < 2.990570, 36.223316, 12.462982>
    }
    triangle {
      < 3.449071, 33.599949, 10.944506>,
      < 2.990570, 36.223316, 12.462982>,
      < 4.925072, 36.614586, 10.264465>
    }
    triangle {
      < 1.730568, 32.425728, 13.808851>,
      < 0.044005, 32.376560, 16.380838>,
      < 1.304004, 36.126175, 14.981808>
    }
    triangle {
      < 1.730568, 32.425728, 13.808851>,
      < 1.304004, 36.126175, 14.981808>,
      < 2.990570, 36.223316, 12.462982>
    }
    triangle {
      < 3.803136, 33.562889, 0.000000>,
      < 3.740506, 33.359436, 3.333341>,
      < 5.364572, 35.591545, 3.283163>
    }
    triangle {
      < 3.803136, 33.562889, 0.000000>,
      < 5.364572, 35.591545, 3.283163>,
      < 5.427201, 35.583168, 0.000000>
    }
    triangle {
      < 3.740506, 33.359436, 3.333341>,
      < 3.678006, 33.020260, 6.361779>,
      < 5.302073, 35.279133, 5.936440>
    }
    triangle {
      < 3.740506, 33.359436, 3.333341>,
      < 5.302073, 35.279133, 5.936440>,
      < 5.364572, 35.591545, 3.283163>
    }
    triangle {
      < 3.678006, 33.020260, 6.361779>,
      < 3.039505, 32.401882, 8.960025>,
      < 5.239572, 34.695789, 8.256088>
    }
    triangle {
      < 3.678006, 33.020260, 6.361779>,
      < 5.239572, 34.695789, 8.256088>,
      < 5.302073, 35.279133, 5.936440>
    }
    triangle {
      < 3.039505, 32.401882, 8.960025>,
      < 1.321005, 31.238838, 11.792484>,
      < 3.449071, 33.599949, 10.944506>
    }
    triangle {
      < 3.039505, 32.401882, 8.960025>,
      < 3.449071, 33.599949, 10.944506>,
      < 5.239572, 34.695789, 8.256088>
    }
    triangle {
      < 1.321005, 31.238838, 11.792484>,
      < -0.181494, 29.931759, 14.732271>,
      < 1.730568, 32.425728, 13.808851>
    }
    triangle {
      < 1.321005, 31.238838, 11.792484>,
      < 1.730568, 32.425728, 13.808851>,
      < 3.449071, 33.599949, 10.944506>
    }
    triangle {
      < -0.181494, 29.931759, 14.732271>,
      < -2.187994, 28.006685, 18.449085>,
      < 1.730568, 32.425728, 13.808851>
    }
    triangle {
      < 1.938032, 42.619255, 11.660814>,
      < 1.266348, 45.400127, 11.580549>,
      < 2.936531, 42.814590, 9.666407>
    }
    triangle {
      < 2.936531, 42.814590, 9.666407>,
      < 1.328846, 45.485867, 9.344559>,
      < 3.899031, 43.010098, 7.144563>
    }
    triangle {
      < 4.318501, 39.948792, 9.945014>,
      < 2.936531, 42.814590, 9.666407>,
      < 5.042808, 40.262894, 7.502493>
    }
    triangle {
      < -2.187994, 28.006685, 18.449085>,
      < 0.044005, 32.376560, 16.380838>,
      < 1.730568, 32.425728, 13.808851>
    }
    triangle {
      < -0.881855, 47.298306, 11.680260>,
      < 1.266348, 45.400127, 11.580549>,
      < 0.299784, 45.386532, 13.903419>
    }
    triangle {
      < -0.881855, 47.298306, 11.680260>,
      < 0.299784, 45.386532, 13.903419>,
      < -0.926051, 47.330002, 14.015965>
    }
    triangle {
      < -0.705079, 47.171555, 2.337453>,
      < -0.660885, 47.139870, 0.000000>,
      < 1.578847, 45.485867, 0.000000>
    }
    triangle {
      < -0.705079, 47.171555, 2.337453>,
      < 1.578847, 45.485867, 0.000000>,
      < 1.516346, 45.485867, 2.337453>
    }
    triangle {
      < -0.749272, 47.203262, 4.673156>,
      < -0.705079, 47.171555, 2.337453>,
      < 1.516346, 45.485867, 2.337453>
    }
    triangle {
      < -0.749272, 47.203262, 4.673156>,
      < 1.516346, 45.485867, 2.337453>,
      < 1.453848, 45.485867, 4.673156>
    }
    triangle {
      < -0.793467, 47.234909, 7.008858>,
      < -0.749272, 47.203262, 4.673156>,
      < 1.453848, 45.485867, 4.673156>
    }
    triangle {
      < -0.793467, 47.234909, 7.008858>,
      < 1.453848, 45.485867, 4.673156>,
      < 1.391347, 45.485867, 7.008858>
    }
    triangle {
      < -0.837662, 47.266632, 9.344559>,
      < -0.793467, 47.234909, 7.008858>,
      < 1.391347, 45.485867, 7.008858>
    }
    triangle {
      < -0.837662, 47.266632, 9.344559>,
      < 1.391347, 45.485867, 7.008858>,
      < 1.328846, 45.485867, 9.344559>
    }
    triangle {
      < -0.881855, 47.298306, 11.680260>,
      < -0.837662, 47.266632, 9.344559>,
      < 1.328846, 45.485867, 9.344559>
    }
    triangle {
      < -0.881855, 47.298306, 11.680260>,
      < 1.328846, 45.485867, 9.344559>,
      < 1.266348, 45.400127, 11.580549>
    }
    triangle {
      < 0.299784, 45.386532, 13.903419>,
      < -0.816215, 47.520119, 14.015965>,
      < -0.926051, 47.330002, 14.015965>
    }
    texture {sail1}
  }
  // sail5
  union {
    triangle {
      < 15.300512, 24.443750, 16.840515>,
      < 15.161510, 24.324074, 20.208620>,
      < 15.199894, 24.244293, 20.208620>
    }
    triangle {
      < 15.300512, 24.443750, 16.840515>,
      < 15.199894, 24.244293, 20.208620>,
      < 15.396472, 24.244293, 16.840515>
    }
    triangle {
      < 15.505682, 24.244293, 11.227010>,
      < 15.560287, 24.244293, 8.420256>,
      < 15.614893, 24.244293, 5.613504>
    }
    triangle {
      < 15.505682, 24.244293, 11.227010>,
      < 15.614893, 24.244293, 5.613504>,
      < 15.669498, 24.244293, 2.806750>
    }
    triangle {
      < 15.505682, 24.244293, 11.227010>,
      < 15.669498, 24.244293, 2.806750>,
      < 15.724104, 24.244293, 0.000000>
    }
    triangle {
      < 15.505682, 24.244293, 11.227010>,
      < 15.724104, 24.244293, 0.000000>,
      < 15.532181, 24.643208, 0.000000>
    }
    triangle {
      < 15.505682, 24.244293, 11.227010>,
      < 15.532181, 24.643208, 0.000000>,
      < 15.300512, 24.443750, 16.840515>
    }
    triangle {
      < 15.505682, 24.244293, 11.227010>,
      < 15.300512, 24.443750, 16.840515>,
      < 15.396472, 24.244293, 16.840515>
    }
    triangle {
      < 15.505682, 24.244293, 11.227010>,
      < 15.396472, 24.244293, 16.840515>,
      < 15.451077, 24.244293, 14.033761>
    }
    triangle {
      < 15.068842, 24.526367, 16.840515>,
      < 15.068842, 24.357121, 20.208620>,
      < 15.161510, 24.324074, 20.208620>
    }
    triangle {
      < 15.068842, 24.526367, 16.840515>,
      < 15.161510, 24.324074, 20.208620>,
      < 15.300512, 24.443750, 16.840515>
    }
    triangle {
      < 15.068842, 24.808439, 0.000000>,
      < 15.068842, 24.526367, 16.840515>,
      < 15.300512, 24.443750, 16.840515>
    }
    triangle {
      < 15.068842, 24.808439, 0.000000>,
      < 15.300512, 24.443750, 16.840515>,
      < 15.532181, 24.643208, 0.000000>
    }
    triangle {
      < 14.837173, 24.443750, 16.840515>,
      < 14.976175, 24.324074, 20.208620>,
      < 15.068842, 24.357121, 20.208620>
    }
    triangle {
      < 14.837173, 24.443750, 16.840515>,
      < 15.068842, 24.357121, 20.208620>,
      < 15.068842, 24.526367, 16.840515>
    }
    triangle {
      < 14.605503, 24.643208, 0.000000>,
      < 14.837173, 24.443750, 16.840515>,
      < 15.068842, 24.526367, 16.840515>
    }
    triangle {
      < 14.605503, 24.643208, 0.000000>,
      < 15.068842, 24.526367, 16.840515>,
      < 15.068842, 24.808439, 0.000000>
    }
    triangle {
      < 14.741212, 24.244293, 16.840515>,
      < 14.937790, 24.244293, 20.208620>,
      < 14.976175, 24.324074, 20.208620>
    }
    triangle {
      < 14.741212, 24.244293, 16.840515>,
      < 14.976175, 24.324074, 20.208620>,
      < 14.837173, 24.443750, 16.840515>
    }
    triangle {
      < 14.413582, 24.244293, 0.000000>,
      < 14.741212, 24.244293, 16.840515>,
      < 14.837173, 24.443750, 16.840515>
    }
    triangle {
      < 14.413582, 24.244293, 0.000000>,
      < 14.837173, 24.443750, 16.840515>,
      < 14.605503, 24.643208, 0.000000>
    }
    triangle {
      < 14.837173, 24.044842, 16.840515>,
      < 14.976175, 24.164513, 20.208620>,
      < 14.937790, 24.244293, 20.208620>
    }
    triangle {
      < 14.837173, 24.044842, 16.840515>,
      < 14.937790, 24.244293, 20.208620>,
      < 14.741212, 24.244293, 16.840515>
    }
    triangle {
      < 14.605503, 23.845383, 0.000000>,
      < 14.837173, 24.044842, 16.840515>,
      < 14.741212, 24.244293, 16.840515>
    }
    triangle {
      < 14.605503, 23.845383, 0.000000>,
      < 14.741212, 24.244293, 16.840515>,
      < 14.413582, 24.244293, 0.000000>
    }
    triangle {
      < 15.068842, 23.962219, 16.840515>,
      < 15.068842, 24.131464, 20.208620>,
      < 14.976175, 24.164513, 20.208620>
    }
    triangle {
      < 15.068842, 23.962219, 16.840515>,
      < 14.976175, 24.164513, 20.208620>,
      < 14.837173, 24.044842, 16.840515>
    }
    triangle {
      < 15.144831, 23.680147, 0.000000>,
      < 15.068842, 23.962219, 16.840515>,
      < 14.837173, 24.044842, 16.840515>
    }
    triangle {
      < 15.144831, 23.680147, 0.000000>,
      < 14.837173, 24.044842, 16.840515>,
      < 14.605503, 23.845383, 0.000000>
    }
    triangle {
      < 15.300512, 24.044842, 16.840515>,
      < 15.161510, 24.164513, 20.208620>,
      < 15.068842, 24.131464, 20.208620>
    }
    triangle {
      < 15.300512, 24.044842, 16.840515>,
      < 15.068842, 24.131464, 20.208620>,
      < 15.068842, 23.962219, 16.840515>
    }
    triangle {
      < 15.532181, 23.845383, 0.000000>,
      < 15.493570, 23.878626, 2.806750>,
      < 15.454958, 23.911867, 5.613504>
    }
    triangle {
      < 15.532181, 23.845383, 0.000000>,
      < 15.454958, 23.911867, 5.613504>,
      < 15.416346, 23.945107, 8.420256>
    }
    triangle {
      < 15.532181, 23.845383, 0.000000>,
      < 15.416346, 23.945107, 8.420256>,
      < 15.377735, 23.978352, 11.227010>
    }
    triangle {
      < 15.532181, 23.845383, 0.000000>,
      < 15.377735, 23.978352, 11.227010>,
      < 15.339125, 24.011599, 14.033761>
    }
    triangle {
      < 15.532181, 23.845383, 0.000000>,
      < 15.339125, 24.011599, 14.033761>,
      < 15.300512, 24.044842, 16.840515>
    }
    triangle {
      < 15.532181, 23.845383, 0.000000>,
      < 15.300512, 24.044842, 16.840515>,
      < 15.068842, 23.962219, 16.840515>
    }
    triangle {
      < 15.532181, 23.845383, 0.000000>,
      < 15.068842, 23.962219, 16.840515>,
      < 15.144831, 23.680147, 0.000000>
    }
    triangle {
      < 15.396472, 24.244293, 16.840515>,
      < 15.199894, 24.244293, 20.208620>,
      < 15.161510, 24.164513, 20.208620>
    }
    triangle {
      < 15.396472, 24.244293, 16.840515>,
      < 15.161510, 24.164513, 20.208620>,
      < 15.300512, 24.044842, 16.840515>
    }
    triangle {
      < 15.161510, 24.324074, 20.208620>,
      < 15.068842, 24.357121, 20.208620>,
      < 14.976175, 24.324074, 20.208620>
    }
    triangle {
      < 15.161510, 24.324074, 20.208620>,
      < 14.976175, 24.324074, 20.208620>,
      < 14.937790, 24.244293, 20.208620>
    }
    triangle {
      < 15.161510, 24.324074, 20.208620>,
      < 14.937790, 24.244293, 20.208620>,
      < 14.976175, 24.164513, 20.208620>
    }
    triangle {
      < 15.161510, 24.324074, 20.208620>,
      < 14.976175, 24.164513, 20.208620>,
      < 15.068842, 24.131464, 20.208620>
    }
    triangle {
      < 15.161510, 24.324074, 20.208620>,
      < 15.068842, 24.131464, 20.208620>,
      < 15.161510, 24.164513, 20.208620>
    }
    triangle {
      < 15.161510, 24.324074, 20.208620>,
      < 15.161510, 24.164513, 20.208620>,
      < 15.199894, 24.244293, 20.208620>
    }
    triangle {
      < 17.747112, 22.170710, 13.941322>,
      < 15.451077, 24.244293, 14.033761>,
      < 15.396472, 24.244293, 16.840515>
    }
    triangle {
      < 17.747112, 22.170710, 13.941322>,
      < 17.801716, 22.299122, 11.227010>,
      < 15.505682, 24.244293, 11.227010>
    }
    triangle {
      < 17.747112, 22.170710, 13.941322>,
      < 15.505682, 24.244293, 11.227010>,
      < 15.451077, 24.244293, 14.033761>
    }
    triangle {
      < 17.801716, 22.299122, 11.227010>,
      < 17.856321, 22.299122, 8.420256>,
      < 15.560287, 24.244293, 8.420256>
    }
    triangle {
      < 17.801716, 22.299122, 11.227010>,
      < 15.560287, 24.244293, 8.420256>,
      < 15.505682, 24.244293, 11.227010>
    }
    triangle {
      < 17.856321, 22.299122, 8.420256>,
      < 17.910927, 22.299122, 5.613504>,
      < 15.614893, 24.244293, 5.613504>
    }
    triangle {
      < 17.856321, 22.299122, 8.420256>,
      < 15.614893, 24.244293, 5.613504>,
      < 15.560287, 24.244293, 8.420256>
    }
    triangle {
      < 17.910927, 22.299122, 5.613504>,
      < 17.965530, 22.299122, 2.806750>,
      < 15.669498, 24.244293, 2.806750>
    }
    triangle {
      < 17.910927, 22.299122, 5.613504>,
      < 15.669498, 24.244293, 2.806750>,
      < 15.614893, 24.244293, 5.613504>
    }
    triangle {
      < 17.965530, 22.299122, 2.806750>,
      < 18.020136, 22.299122, 0.000000>,
      < 15.724104, 24.244293, 0.000000>
    }
    triangle {
      < 17.965530, 22.299122, 2.806750>,
      < 15.724104, 24.244293, 0.000000>,
      < 15.669498, 24.244293, 2.806750>
    }
    triangle {
      < 19.992630, 19.473579, 10.913207>,
      < 20.047235, 19.671778, 8.249126>,
      < 17.801716, 22.299122, 11.227010>
    }
    triangle {
      < 20.047235, 19.671778, 8.249126>,
      < 20.101841, 19.920292, 5.621270>,
      < 17.910927, 22.299122, 5.613504>
    }
    triangle {
      < 20.047235, 19.671778, 8.249126>,
      < 17.910927, 22.299122, 5.613504>,
      < 17.856321, 22.299122, 8.420256>
    }
    triangle {
      < 20.101841, 19.920292, 5.621270>,
      < 20.156446, 19.920288, 2.814516>,
      < 17.965530, 22.299122, 2.806750>
    }
    triangle {
      < 20.101841, 19.920292, 5.621270>,
      < 17.965530, 22.299122, 2.806750>,
      < 17.910927, 22.299122, 5.613504>
    }
    triangle {
      < 20.156446, 19.920288, 2.814516>,
      < 20.211115, 19.920267, 0.000000>,
      < 18.020136, 22.299122, 0.000000>
    }
    triangle {
      < 20.156446, 19.920288, 2.814516>,
      < 18.020136, 22.299122, 0.000000>,
      < 17.965530, 22.299122, 2.806750>
    }
    triangle {
      < 21.681923, 17.307076, 5.493834>,
      < 22.005945, 17.492397, 2.820486>,
      < 20.156446, 19.920288, 2.814516>
    }
    triangle {
      < 21.681923, 17.307076, 5.493834>,
      < 20.156446, 19.920288, 2.814516>,
      < 20.101841, 19.920292, 5.621270>
    }
    triangle {
      < 22.005945, 17.492397, 2.820486>,
      < 22.060665, 17.492359, 0.000000>,
      < 20.211115, 19.920267, 0.000000>
    }
    triangle {
      < 22.005945, 17.492397, 2.820486>,
      < 20.211115, 19.920267, 0.000000>,
      < 20.156446, 19.920288, 2.814516>
    }
    triangle {
      < 16.371500, 21.980698, 16.611292>,
      < 17.747112, 22.170710, 13.941322>,
      < 15.396472, 24.244293, 16.840515>
    }
    triangle {
      < 17.801716, 22.299122, 11.227010>,
      < 17.747112, 22.170710, 13.941322>,
      < 19.992630, 19.473579, 10.913207>
    }
    triangle {
      < 17.856321, 22.299122, 8.420256>,
      < 17.801716, 22.299122, 11.227010>,
      < 20.047235, 19.671778, 8.249126>
    }
    triangle {
      < 16.958334, 19.072380, 16.237904>,
      < 18.333946, 19.280003, 13.580609>,
      < 17.747112, 22.170710, 13.941322>
    }
    triangle {
      < 16.958334, 19.072380, 16.237904>,
      < 17.747112, 22.170710, 13.941322>,
      < 16.371500, 21.980698, 16.611292>
    }
    triangle {
      < 18.333946, 19.280003, 13.580609>,
      < 19.992630, 19.473579, 10.913207>,
      < 17.747112, 22.170710, 13.941322>
    }
    triangle {
      < 17.248869, 16.047104, 15.813843>,
      < 19.253532, 16.279516, 13.174398>,
      < 18.333946, 19.280003, 13.580609>
    }
    triangle {
      < 17.248869, 16.047104, 15.813843>,
      < 18.333946, 19.280003, 13.580609>,
      < 16.958334, 19.072380, 16.237904>
    }
    triangle {
      < 19.253532, 16.279516, 13.174398>,
      < 20.346069, 16.496920, 10.524145>,
      < 19.992630, 19.473579, 10.913207>
    }
    triangle {
      < 19.253532, 16.279516, 13.174398>,
      < 19.992630, 19.473579, 10.913207>,
      < 18.333946, 19.280003, 13.580609>
    }
    triangle {
      < 20.346069, 16.496920, 10.524145>,
      < 21.088167, 16.807402, 7.940892>,
      < 19.992630, 19.473579, 10.913207>
    }
    triangle {
      < 21.088167, 16.807402, 7.940892>,
      < 21.681923, 17.307076, 5.493834>,
      < 20.101841, 19.920292, 5.621270>
    }
    triangle {
      < 21.088167, 16.807402, 7.940892>,
      < 20.101841, 19.920292, 5.621270>,
      < 20.047235, 19.671778, 8.249126>
    }
    triangle {
      < 17.248869, 12.364210, 15.225695>,
      < 19.253532, 12.644194, 12.620491>,
      < 19.253532, 16.279516, 13.174398>
    }
    triangle {
      < 17.248869, 12.364210, 15.225695>,
      < 19.253532, 16.279516, 13.174398>,
      < 17.248869, 16.047104, 15.813843>
    }
    triangle {
      < 19.253532, 12.644194, 12.620491>,
      < 20.943666, 13.030781, 10.092027>,
      < 20.346069, 16.496920, 10.524145>
    }
    triangle {
      < 19.253532, 12.644194, 12.620491>,
      < 20.346069, 16.496920, 10.524145>,
      < 19.253532, 16.279516, 13.174398>
    }
    triangle {
      < 20.943666, 13.030781, 10.092027>,
      < 21.816038, 13.629114, 7.715988>,
      < 21.088167, 16.807402, 7.940892>
    }
    triangle {
      < 20.943666, 13.030781, 10.092027>,
      < 21.088167, 16.807402, 7.940892>,
      < 20.346069, 16.496920, 10.524145>
    }
    triangle {
      < 21.816038, 13.629114, 7.715988>,
      < 22.468241, 14.158947, 5.290641>,
      < 21.681923, 17.307076, 5.493834>
    }
    triangle {
      < 21.816038, 13.629114, 7.715988>,
      < 21.681923, 17.307076, 5.493834>,
      < 21.088167, 16.807402, 7.940892>
    }
    triangle {
      < 22.468241, 14.158947, 5.290641>,
      < 22.765541, 14.626535, 2.820486>,
      < 22.005945, 17.492397, 2.820486>
    }
    triangle {
      < 22.468241, 14.158947, 5.290641>,
      < 22.005945, 17.492397, 2.820486>,
      < 21.681923, 17.307076, 5.493834>
    }
    triangle {
      < 22.765541, 14.626535, 2.820486>,
      < 22.577564, 14.626495, 0.000000>,
      < 22.060665, 17.492359, 0.000000>
    }
    triangle {
      < 22.765541, 14.626535, 2.820486>,
      < 22.060665, 17.492359, 0.000000>,
      < 22.005945, 17.492397, 2.820486>
    }
    triangle {
      < 16.148031, 8.484867, 14.418156>,
      < 18.152691, 8.688681, 12.031022>,
      < 19.253532, 12.644194, 12.620491>
    }
    triangle {
      < 16.148031, 8.484867, 14.418156>,
      < 19.253532, 12.644194, 12.620491>,
      < 17.248869, 12.364210, 15.225695>
    }
    triangle {
      < 18.152691, 8.688681, 12.031022>,
      < 19.654114, 9.868836, 9.800913>,
      < 20.943666, 13.030781, 10.092027>
    }
    triangle {
      < 18.152691, 8.688681, 12.031022>,
      < 20.943666, 13.030781, 10.092027>,
      < 19.253532, 12.644194, 12.620491>
    }
    triangle {
      < 19.654114, 9.868836, 9.800913>,
      < 20.620842, 10.983964, 7.465518>,
      < 21.816038, 13.629114, 7.715988>
    }
    triangle {
      < 19.654114, 9.868836, 9.800913>,
      < 21.816038, 13.629114, 7.715988>,
      < 20.943666, 13.030781, 10.092027>
    }
    triangle {
      < 20.620842, 10.983964, 7.465518>,
      < 20.895615, 11.551710, 5.067457>,
      < 22.468241, 14.158947, 5.290641>
    }
    triangle {
      < 20.620842, 10.983964, 7.465518>,
      < 22.468241, 14.158947, 5.290641>,
      < 21.816038, 13.629114, 7.715988>
    }
    triangle {
      < 20.895615, 11.551710, 5.067457>,
      < 21.192915, 11.843342, 2.626584>,
      < 22.765541, 14.626535, 2.820486>
    }
    triangle {
      < 20.895615, 11.551710, 5.067457>,
      < 22.765541, 14.626535, 2.820486>,
      < 22.468241, 14.158947, 5.290641>
    }
    triangle {
      < 21.192915, 11.843342, 2.626584>,
      < 21.382370, 11.868950, 0.000000>,
      < 22.577564, 14.626495, 0.000000>
    }
    triangle {
      < 21.192915, 11.843342, 2.626584>,
      < 22.577564, 14.626495, 0.000000>,
      < 22.765541, 14.626535, 2.820486>
    }
    triangle {
      < 14.197975, 3.966436, 12.780198>,
      < 15.699396, 5.872272, 11.618281>,
      < 18.152691, 8.688681, 12.031022>
    }
    triangle {
      < 14.197975, 3.966436, 12.780198>,
      < 18.152691, 8.688681, 12.031022>,
      < 16.148031, 8.484867, 14.418156>
    }
    triangle {
      < 15.699396, 5.872272, 11.618281>,
      < 17.263721, 7.197832, 9.492843>,
      < 19.654114, 9.868836, 9.800913>
    }
    triangle {
      < 15.699396, 5.872272, 11.618281>,
      < 19.654114, 9.868836, 9.800913>,
      < 18.152691, 8.688681, 12.031022>
    }
    triangle {
      < 17.263721, 7.197832, 9.492843>,
      < 18.765144, 8.384414, 7.208880>,
      < 20.620842, 10.983964, 7.465518>
    }
    triangle {
      < 17.263721, 7.197832, 9.492843>,
      < 20.620842, 10.983964, 7.465518>,
      < 19.654114, 9.868836, 9.800913>
    }
    triangle {
      < 18.765144, 8.384414, 7.208880>,
      < 19.322987, 8.996664, 4.842861>,
      < 20.895615, 11.551710, 5.067457>
    }
    triangle {
      < 18.765144, 8.384414, 7.208880>,
      < 20.895615, 11.551710, 5.067457>,
      < 20.620842, 10.983964, 7.465518>
    }
    triangle {
      < 19.322987, 8.996664, 4.842861>,
      < 19.377592, 9.319432, 2.424399>,
      < 21.192915, 11.843342, 2.626584>
    }
    triangle {
      < 19.322987, 8.996664, 4.842861>,
      < 21.192915, 11.843342, 2.626584>,
      < 20.895615, 11.551710, 5.067457>
    }
    triangle {
      < 19.377592, 9.319432, 2.424399>,
      < 19.432312, 9.541060, -0.030570>,
      < 21.382370, 11.868950, 0.000000>
    }
    triangle {
      < 19.377592, 9.319432, 2.424399>,
      < 21.382370, 11.868950, 0.000000>,
      < 21.192915, 11.843342, 2.626584>
    }
    triangle {
      < 20.047235, 19.671778, 8.249126>,
      < 19.992630, 19.473579, 10.913207>,
      < 21.088167, 16.807402, 7.940892>
    }
    triangle {
      < 17.275993, 22.089104, 11.227010>,
      < 19.521511, 19.461760, 8.249126>,
      < 19.466908, 19.263561, 10.913207>
    }
    triangle {
      < 17.330599, 22.089104, 8.420256>,
      < 17.385204, 22.089104, 5.613504>,
      < 19.576118, 19.710272, 5.621270>
    }
    triangle {
      < 17.330599, 22.089104, 8.420256>,
      < 19.576118, 19.710272, 5.621270>,
      < 19.521511, 19.461760, 8.249126>
    }
    triangle {
      < 17.385204, 22.089104, 5.613504>,
      < 17.439808, 22.089104, 2.806750>,
      < 19.630722, 19.710270, 2.814516>
    }
    triangle {
      < 17.385204, 22.089104, 5.613504>,
      < 19.630722, 19.710270, 2.814516>,
      < 19.576118, 19.710272, 5.621270>
    }
    triangle {
      < 17.439808, 22.089104, 2.806750>,
      < 17.494415, 22.089104, 0.000000>,
      < 19.685390, 19.710247, 0.000000>
    }
    triangle {
      < 17.439808, 22.089104, 2.806750>,
      < 19.685390, 19.710247, 0.000000>,
      < 19.630722, 19.710270, 2.814516>
    }
    triangle {
      < 19.576118, 19.710272, 5.621270>,
      < 19.630722, 19.710270, 2.814516>,
      < 21.480223, 17.282379, 2.820486>
    }
    triangle {
      < 19.576118, 19.710272, 5.621270>,
      < 21.480223, 17.282379, 2.820486>,
      < 21.156200, 17.097057, 5.493834>
    }
    triangle {
      < 19.630722, 19.710270, 2.814516>,
      < 19.685390, 19.710247, 0.000000>,
      < 21.534941, 17.282339, 0.000000>
    }
    triangle {
      < 19.630722, 19.710270, 2.814516>,
      < 21.534941, 17.282339, 0.000000>,
      < 21.480223, 17.282379, 2.820486>
    }
    triangle {
      < 19.466908, 19.263561, 10.913207>,
      < 17.221392, 21.960691, 13.941322>,
      < 17.275993, 22.089104, 11.227010>
    }
    triangle {
      < 19.521511, 19.461760, 8.249126>,
      < 17.275993, 22.089104, 11.227010>,
      < 17.330599, 22.089104, 8.420256>
    }
    triangle {
      < 16.371500, 21.980698, 16.611292>,
      < 17.221392, 21.960691, 13.941322>,
      < 17.808226, 19.069984, 13.580609>
    }
    triangle {
      < 16.371500, 21.980698, 16.611292>,
      < 17.808226, 19.069984, 13.580609>,
      < 16.958334, 19.072380, 16.237904>
    }
    triangle {
      < 17.221392, 21.960691, 13.941322>,
      < 19.466908, 19.263561, 10.913207>,
      < 17.808226, 19.069984, 13.580609>
    }
    triangle {
      < 16.958334, 19.072380, 16.237904>,
      < 17.808226, 19.069984, 13.580609>,
      < 18.727808, 16.069500, 13.174398>
    }
    triangle {
      < 16.958334, 19.072380, 16.237904>,
      < 18.727808, 16.069500, 13.174398>,
      < 17.248869, 16.047104, 15.813843>
    }
    triangle {
      < 17.808226, 19.069984, 13.580609>,
      < 19.466908, 19.263561, 10.913207>,
      < 19.820347, 16.286903, 10.524145>
    }
    triangle {
      < 17.808226, 19.069984, 13.580609>,
      < 19.820347, 16.286903, 10.524145>,
      < 18.727808, 16.069500, 13.174398>
    }
    triangle {
      < 19.466908, 19.263561, 10.913207>,
      < 20.562443, 16.597382, 7.940892>,
      < 19.820347, 16.286903, 10.524145>
    }
    triangle {
      < 19.521511, 19.461760, 8.249126>,
      < 19.576118, 19.710272, 5.621270>,
      < 21.156200, 17.097057, 5.493834>
    }
    triangle {
      < 19.521511, 19.461760, 8.249126>,
      < 21.156200, 17.097057, 5.493834>,
      < 20.562443, 16.597382, 7.940892>
    }
    triangle {
      < 17.248869, 16.047104, 15.813843>,
      < 18.727808, 16.069500, 13.174398>,
      < 18.727808, 12.434175, 12.620491>
    }
    triangle {
      < 17.248869, 16.047104, 15.813843>,
      < 18.727808, 12.434175, 12.620491>,
      < 17.248869, 12.364210, 15.225695>
    }
    triangle {
      < 18.727808, 16.069500, 13.174398>,
      < 19.820347, 16.286903, 10.524145>,
      < 20.417946, 12.820762, 10.092027>
    }
    triangle {
      < 18.727808, 16.069500, 13.174398>,
      < 20.417946, 12.820762, 10.092027>,
      < 18.727808, 12.434175, 12.620491>
    }
    triangle {
      < 19.820347, 16.286903, 10.524145>,
      < 20.562443, 16.597382, 7.940892>,
      < 21.290312, 13.419096, 7.715988>
    }
    triangle {
      < 19.820347, 16.286903, 10.524145>,
      < 21.290312, 13.419096, 7.715988>,
      < 20.417946, 12.820762, 10.092027>
    }
    triangle {
      < 20.562443, 16.597382, 7.940892>,
      < 21.156200, 17.097057, 5.493834>,
      < 21.942516, 13.948927, 5.290641>
    }
    triangle {
      < 20.562443, 16.597382, 7.940892>,
      < 21.942516, 13.948927, 5.290641>,
      < 21.290312, 13.419096, 7.715988>
    }
    triangle {
      < 21.156200, 17.097057, 5.493834>,
      < 21.480223, 17.282379, 2.820486>,
      < 22.239817, 14.416519, 2.820486>
    }
    triangle {
      < 21.156200, 17.097057, 5.493834>,
      < 22.239817, 14.416519, 2.820486>,
      < 21.942516, 13.948927, 5.290641>
    }
    triangle {
      < 21.480223, 17.282379, 2.820486>,
      < 21.534941, 17.282339, 0.000000>,
      < 22.051842, 14.416475, 0.000000>
    }
    triangle {
      < 21.480223, 17.282379, 2.820486>,
      < 22.051842, 14.416475, 0.000000>,
      < 22.239817, 14.416519, 2.820486>
    }
    triangle {
      < 17.248869, 12.364210, 15.225695>,
      < 18.727808, 12.434175, 12.620491>,
      < 17.626970, 8.478662, 12.031022>
    }
    triangle {
      < 17.248869, 12.364210, 15.225695>,
      < 17.626970, 8.478662, 12.031022>,
      < 16.148031, 8.484867, 14.418156>
    }
    triangle {
      < 18.727808, 12.434175, 12.620491>,
      < 20.417946, 12.820762, 10.092027>,
      < 19.128391, 9.658816, 9.800913>
    }
    triangle {
      < 18.727808, 12.434175, 12.620491>,
      < 19.128391, 9.658816, 9.800913>,
      < 17.626970, 8.478662, 12.031022>
    }
    triangle {
      < 20.417946, 12.820762, 10.092027>,
      < 21.290312, 13.419096, 7.715988>,
      < 20.095119, 10.773947, 7.465518>
    }
    triangle {
      < 20.417946, 12.820762, 10.092027>,
      < 20.095119, 10.773947, 7.465518>,
      < 19.128391, 9.658816, 9.800913>
    }
    triangle {
      < 21.290312, 13.419096, 7.715988>,
      < 21.942516, 13.948927, 5.290641>,
      < 20.369892, 11.341692, 5.067457>
    }
    triangle {
      < 21.290312, 13.419096, 7.715988>,
      < 20.369892, 11.341692, 5.067457>,
      < 20.095119, 10.773947, 7.465518>
    }
    triangle {
      < 21.942516, 13.948927, 5.290641>,
      < 22.239817, 14.416519, 2.820486>,
      < 20.667192, 11.633322, 2.626584>
    }
    triangle {
      < 21.942516, 13.948927, 5.290641>,
      < 20.667192, 11.633322, 2.626584>,
      < 20.369892, 11.341692, 5.067457>
    }
    triangle {
      < 22.239817, 14.416519, 2.820486>,
      < 22.051842, 14.416475, 0.000000>,
      < 20.856647, 11.658932, 0.000000>
    }
    triangle {
      < 22.239817, 14.416519, 2.820486>,
      < 20.856647, 11.658932, 0.000000>,
      < 20.667192, 11.633322, 2.626584>
    }
    triangle {
      < 16.148031, 8.484867, 14.418156>,
      < 17.626970, 8.478662, 12.031022>,
      < 15.699396, 5.872272, 11.618281>
    }
    triangle {
      < 16.148031, 8.484867, 14.418156>,
      < 15.699396, 5.872272, 11.618281>,
      < 14.197975, 3.966436, 12.780198>
    }
    triangle {
      < 17.626970, 8.478662, 12.031022>,
      < 19.128391, 9.658816, 9.800913>,
      < 17.263721, 7.197832, 9.492843>
    }
    triangle {
      < 17.626970, 8.478662, 12.031022>,
      < 17.263721, 7.197832, 9.492843>,
      < 15.699396, 5.872272, 11.618281>
    }
    triangle {
      < 19.128391, 9.658816, 9.800913>,
      < 20.095119, 10.773947, 7.465518>,
      < 18.765144, 8.384414, 7.208880>
    }
    triangle {
      < 19.128391, 9.658816, 9.800913>,
      < 18.765144, 8.384414, 7.208880>,
      < 17.263721, 7.197832, 9.492843>
    }
    triangle {
      < 20.095119, 10.773947, 7.465518>,
      < 20.369892, 11.341692, 5.067457>,
      < 19.322987, 8.996664, 4.842861>
    }
    triangle {
      < 20.095119, 10.773947, 7.465518>,
      < 19.322987, 8.996664, 4.842861>,
      < 18.765144, 8.384414, 7.208880>
    }
    triangle {
      < 20.369892, 11.341692, 5.067457>,
      < 20.667192, 11.633322, 2.626584>,
      < 19.377592, 9.319432, 2.424399>
    }
    triangle {
      < 20.369892, 11.341692, 5.067457>,
      < 19.377592, 9.319432, 2.424399>,
      < 19.322987, 8.996664, 4.842861>
    }
    triangle {
      < 20.667192, 11.633322, 2.626584>,
      < 20.856647, 11.658932, 0.000000>,
      < 19.432312, 9.541060, -0.030570>
    }
    triangle {
      < 20.667192, 11.633322, 2.626584>,
      < 19.432312, 9.541060, -0.030570>,
      < 19.377592, 9.319432, 2.424399>
    }
    triangle {
      < 20.562443, 16.597382, 7.940892>,
      < 19.466908, 19.263561, 10.913207>,
      < 19.521511, 19.461760, 8.249126>
    }
    triangle {
      < 17.494415, 22.089104, 0.000000>,
      < 17.439808, 22.089104, 2.806750>,
      < 15.493570, 23.878626, 2.806750>
    }
    triangle {
      < 17.494415, 22.089104, 0.000000>,
      < 15.493570, 23.878626, 2.806750>,
      < 15.532181, 23.845383, 0.000000>
    }
    triangle {
      < 16.371500, 21.980698, 16.611292>,
      < 15.396472, 24.244293, 16.840515>,
      < 15.300512, 24.044842, 16.840515>
    }
    triangle {
      < 17.221392, 21.960691, 13.941322>,
      < 16.371500, 21.980698, 16.611292>,
      < 15.300512, 24.044842, 16.840515>
    }
    triangle {
      < 17.221392, 21.960691, 13.941322>,
      < 15.300512, 24.044842, 16.840515>,
      < 15.339125, 24.011599, 14.033761>
    }
    triangle {
      < 17.275993, 22.089104, 11.227010>,
      < 17.221392, 21.960691, 13.941322>,
      < 15.339125, 24.011599, 14.033761>
    }
    triangle {
      < 17.275993, 22.089104, 11.227010>,
      < 15.339125, 24.011599, 14.033761>,
      < 15.377735, 23.978352, 11.227010>
    }
    triangle {
      < 17.330599, 22.089104, 8.420256>,
      < 17.275993, 22.089104, 11.227010>,
      < 15.377735, 23.978352, 11.227010>
    }
    triangle {
      < 17.330599, 22.089104, 8.420256>,
      < 15.377735, 23.978352, 11.227010>,
      < 15.416346, 23.945107, 8.420256>
    }
    triangle {
      < 17.385204, 22.089104, 5.613504>,
      < 17.330599, 22.089104, 8.420256>,
      < 15.416346, 23.945107, 8.420256>
    }
    triangle {
      < 17.385204, 22.089104, 5.613504>,
      < 15.416346, 23.945107, 8.420256>,
      < 15.454958, 23.911867, 5.613504>
    }
    triangle {
      < 17.439808, 22.089104, 2.806750>,
      < 17.385204, 22.089104, 5.613504>,
      < 15.454958, 23.911867, 5.613504>
    }
    triangle {
      < 17.439808, 22.089104, 2.806750>,
      < 15.454958, 23.911867, 5.613504>,
      < 15.493570, 23.878626, 2.806750>
    }
    triangle {
      < 15.396472, 24.244293, -16.840515>,
      < 15.199894, 24.244293, -20.208620>,
      < 15.161510, 24.324074, -20.208620>
    }
    triangle {
      < 15.396472, 24.244293, -16.840515>,
      < 15.161510, 24.324074, -20.208620>,
      < 15.300512, 24.443750, -16.840515>
    }
    triangle {
      < 15.451077, 24.244293, -14.033761>,
      < 15.396472, 24.244293, -16.840515>,
      < 15.300512, 24.443750, -16.840515>
    }
    triangle {
      < 15.451077, 24.244293, -14.033761>,
      < 15.300512, 24.443750, -16.840515>,
      < 15.532181, 24.643208, 0.000000>
    }
    triangle {
      < 15.451077, 24.244293, -14.033761>,
      < 15.532181, 24.643208, 0.000000>,
      < 15.724104, 24.244293, 0.000000>
    }
    triangle {
      < 15.451077, 24.244293, -14.033761>,
      < 15.724104, 24.244293, 0.000000>,
      < 15.669498, 24.244293, -2.806750>
    }
    triangle {
      < 15.451077, 24.244293, -14.033761>,
      < 15.669498, 24.244293, -2.806750>,
      < 15.614893, 24.244293, -5.613504>
    }
    triangle {
      < 15.451077, 24.244293, -14.033761>,
      < 15.614893, 24.244293, -5.613504>,
      < 15.560287, 24.244293, -8.420256>
    }
    triangle {
      < 15.451077, 24.244293, -14.033761>,
      < 15.560287, 24.244293, -8.420256>,
      < 15.505682, 24.244293, -11.227010>
    }
    triangle {
      < 15.300512, 24.443750, -16.840515>,
      < 15.161510, 24.324074, -20.208620>,
      < 15.068842, 24.357121, -20.208620>
    }
    triangle {
      < 15.300512, 24.443750, -16.840515>,
      < 15.068842, 24.357121, -20.208620>,
      < 15.068842, 24.526367, -16.840515>
    }
    triangle {
      < 15.532181, 24.643208, 0.000000>,
      < 15.300512, 24.443750, -16.840515>,
      < 15.068842, 24.526367, -16.840515>
    }
    triangle {
      < 15.532181, 24.643208, 0.000000>,
      < 15.068842, 24.526367, -16.840515>,
      < 15.068842, 24.808439, 0.000000>
    }
    triangle {
      < 15.068842, 24.526367, -16.840515>,
      < 15.068842, 24.357121, -20.208620>,
      < 14.976175, 24.324074, -20.208620>
    }
    triangle {
      < 15.068842, 24.526367, -16.840515>,
      < 14.976175, 24.324074, -20.208620>,
      < 14.837173, 24.443750, -16.840515>
    }
    triangle {
      < 15.068842, 24.808439, 0.000000>,
      < 15.068842, 24.526367, -16.840515>,
      < 14.837173, 24.443750, -16.840515>
    }
    triangle {
      < 15.068842, 24.808439, 0.000000>,
      < 14.837173, 24.443750, -16.840515>,
      < 14.605503, 24.643208, 0.000000>
    }
    triangle {
      < 14.837173, 24.443750, -16.840515>,
      < 14.976175, 24.324074, -20.208620>,
      < 14.937790, 24.244293, -20.208620>
    }
    triangle {
      < 14.837173, 24.443750, -16.840515>,
      < 14.937790, 24.244293, -20.208620>,
      < 14.741212, 24.244293, -16.840515>
    }
    triangle {
      < 14.605503, 24.643208, 0.000000>,
      < 14.837173, 24.443750, -16.840515>,
      < 14.741212, 24.244293, -16.840515>
    }
    triangle {
      < 14.605503, 24.643208, 0.000000>,
      < 14.741212, 24.244293, -16.840515>,
      < 14.413582, 24.244293, 0.000000>
    }
    triangle {
      < 14.741212, 24.244293, -16.840515>,
      < 14.937790, 24.244293, -20.208620>,
      < 14.976175, 24.164513, -20.208620>
    }
    triangle {
      < 14.741212, 24.244293, -16.840515>,
      < 14.976175, 24.164513, -20.208620>,
      < 14.837173, 24.044842, -16.840515>
    }
    triangle {
      < 14.413582, 24.244293, 0.000000>,
      < 14.741212, 24.244293, -16.840515>,
      < 14.837173, 24.044842, -16.840515>
    }
    triangle {
      < 14.413582, 24.244293, 0.000000>,
      < 14.837173, 24.044842, -16.840515>,
      < 14.605503, 23.845383, 0.000000>
    }
    triangle {
      < 14.837173, 24.044842, -16.840515>,
      < 14.976175, 24.164513, -20.208620>,
      < 15.068842, 24.131464, -20.208620>
    }
    triangle {
      < 14.837173, 24.044842, -16.840515>,
      < 15.068842, 24.131464, -20.208620>,
      < 15.068842, 23.962219, -16.840515>
    }
    triangle {
      < 14.605503, 23.845383, 0.000000>,
      < 14.837173, 24.044842, -16.840515>,
      < 15.068842, 23.962219, -16.840515>
    }
    triangle {
      < 14.605503, 23.845383, 0.000000>,
      < 15.068842, 23.962219, -16.840515>,
      < 15.144831, 23.680147, 0.000000>
    }
    triangle {
      < 15.068842, 23.962219, -16.840515>,
      < 15.068842, 24.131464, -20.208620>,
      < 15.161510, 24.164513, -20.208620>
    }
    triangle {
      < 15.068842, 23.962219, -16.840515>,
      < 15.161510, 24.164513, -20.208620>,
      < 15.300512, 24.044842, -16.840515>
    }
    triangle {
      < 15.144831, 23.680147, 0.000000>,
      < 15.068842, 23.962219, -16.840515>,
      < 15.300512, 24.044842, -16.840515>
    }
    triangle {
      < 15.144831, 23.680147, 0.000000>,
      < 15.300512, 24.044842, -16.840515>,
      < 15.339125, 24.011599, -14.033761>
    }
    triangle {
      < 15.144831, 23.680147, 0.000000>,
      < 15.339125, 24.011599, -14.033761>,
      < 15.377735, 23.978352, -11.227010>
    }
    triangle {
      < 15.144831, 23.680147, 0.000000>,
      < 15.377735, 23.978352, -11.227010>,
      < 15.416346, 23.945107, -8.420256>
    }
    triangle {
      < 15.144831, 23.680147, 0.000000>,
      < 15.416346, 23.945107, -8.420256>,
      < 15.454958, 23.911867, -5.613504>
    }
    triangle {
      < 15.144831, 23.680147, 0.000000>,
      < 15.454958, 23.911867, -5.613504>,
      < 15.493570, 23.878626, -2.806750>
    }
    triangle {
      < 15.144831, 23.680147, 0.000000>,
      < 15.493570, 23.878626, -2.806750>,
      < 15.532181, 23.845383, 0.000000>
    }
    triangle {
      < 15.300512, 24.044842, -16.840515>,
      < 15.161510, 24.164513, -20.208620>,
      < 15.199894, 24.244293, -20.208620>
    }
    triangle {
      < 15.300512, 24.044842, -16.840515>,
      < 15.199894, 24.244293, -20.208620>,
      < 15.396472, 24.244293, -16.840515>
    }
    triangle {
      < 15.199894, 24.244293, -20.208620>,
      < 15.161510, 24.164513, -20.208620>,
      < 15.068842, 24.131464, -20.208620>
    }
    triangle {
      < 15.199894, 24.244293, -20.208620>,
      < 15.068842, 24.131464, -20.208620>,
      < 14.976175, 24.164513, -20.208620>
    }
    triangle {
      < 15.199894, 24.244293, -20.208620>,
      < 14.976175, 24.164513, -20.208620>,
      < 14.937790, 24.244293, -20.208620>
    }
    triangle {
      < 15.199894, 24.244293, -20.208620>,
      < 14.937790, 24.244293, -20.208620>,
      < 14.976175, 24.324074, -20.208620>
    }
    triangle {
      < 15.199894, 24.244293, -20.208620>,
      < 14.976175, 24.324074, -20.208620>,
      < 15.068842, 24.357121, -20.208620>
    }
    triangle {
      < 15.199894, 24.244293, -20.208620>,
      < 15.068842, 24.357121, -20.208620>,
      < 15.161510, 24.324074, -20.208620>
    }
    triangle {
      < 15.396472, 24.244293, -16.840515>,
      < 15.451077, 24.244293, -14.033761>,
      < 17.747112, 22.170710, -13.941322>
    }
    triangle {
      < 15.451077, 24.244293, -14.033761>,
      < 15.505682, 24.244293, -11.227010>,
      < 17.801716, 22.299122, -11.227010>
    }
    triangle {
      < 15.451077, 24.244293, -14.033761>,
      < 17.801716, 22.299122, -11.227010>,
      < 17.747112, 22.170710, -13.941322>
    }
    triangle {
      < 15.505682, 24.244293, -11.227010>,
      < 15.560287, 24.244293, -8.420256>,
      < 17.856321, 22.299122, -8.420256>
    }
    triangle {
      < 15.505682, 24.244293, -11.227010>,
      < 17.856321, 22.299122, -8.420256>,
      < 17.801716, 22.299122, -11.227010>
    }
    triangle {
      < 15.560287, 24.244293, -8.420256>,
      < 15.614893, 24.244293, -5.613504>,
      < 17.910927, 22.299122, -5.613504>
    }
    triangle {
      < 15.560287, 24.244293, -8.420256>,
      < 17.910927, 22.299122, -5.613504>,
      < 17.856321, 22.299122, -8.420256>
    }
    triangle {
      < 15.614893, 24.244293, -5.613504>,
      < 15.669498, 24.244293, -2.806750>,
      < 17.965530, 22.299122, -2.806750>
    }
    triangle {
      < 15.614893, 24.244293, -5.613504>,
      < 17.965530, 22.299122, -2.806750>,
      < 17.910927, 22.299122, -5.613504>
    }
    triangle {
      < 15.669498, 24.244293, -2.806750>,
      < 15.724104, 24.244293, 0.000000>,
      < 18.020136, 22.299122, 0.000000>
    }
    triangle {
      < 15.669498, 24.244293, -2.806750>,
      < 18.020136, 22.299122, 0.000000>,
      < 17.965530, 22.299122, -2.806750>
    }
    triangle {
      < 17.801716, 22.299122, -11.227010>,
      < 20.047235, 19.671778, -8.249126>,
      < 19.992630, 19.473579, -10.913207>
    }
    triangle {
      < 17.856321, 22.299122, -8.420256>,
      < 17.910927, 22.299122, -5.613504>,
      < 20.101841, 19.920292, -5.621270>
    }
    triangle {
      < 17.856321, 22.299122, -8.420256>,
      < 20.101841, 19.920292, -5.621270>,
      < 20.047235, 19.671778, -8.249126>
    }
    triangle {
      < 17.910927, 22.299122, -5.613504>,
      < 17.965530, 22.299122, -2.806750>,
      < 20.156446, 19.920288, -2.814516>
    }
    triangle {
      < 17.910927, 22.299122, -5.613504>,
      < 20.156446, 19.920288, -2.814516>,
      < 20.101841, 19.920292, -5.621270>
    }
    triangle {
      < 17.965530, 22.299122, -2.806750>,
      < 18.020136, 22.299122, 0.000000>,
      < 20.211115, 19.920267, 0.000000>
    }
    triangle {
      < 17.965530, 22.299122, -2.806750>,
      < 20.211115, 19.920267, 0.000000>,
      < 20.156446, 19.920288, -2.814516>
    }
    triangle {
      < 20.101841, 19.920292, -5.621270>,
      < 20.156446, 19.920288, -2.814516>,
      < 22.005945, 17.492397, -2.820486>
    }
    triangle {
      < 20.101841, 19.920292, -5.621270>,
      < 22.005945, 17.492397, -2.820486>,
      < 21.681923, 17.307076, -5.493834>
    }
    triangle {
      < 20.156446, 19.920288, -2.814516>,
      < 20.211115, 19.920267, 0.000000>,
      < 22.060665, 17.492359, 0.000000>
    }
    triangle {
      < 20.156446, 19.920288, -2.814516>,
      < 22.060665, 17.492359, 0.000000>,
      < 22.005945, 17.492397, -2.820486>
    }
    triangle {
      < 15.396472, 24.244293, -16.840515>,
      < 17.747112, 22.170710, -13.941322>,
      < 16.371500, 21.980698, -16.611292>
    }
    triangle {
      < 19.992630, 19.473579, -10.913207>,
      < 17.747112, 22.170710, -13.941322>,
      < 17.801716, 22.299122, -11.227010>
    }
    triangle {
      < 20.047235, 19.671778, -8.249126>,
      < 17.801716, 22.299122, -11.227010>,
      < 17.856321, 22.299122, -8.420256>
    }
    triangle {
      < 16.371500, 21.980698, -16.611292>,
      < 17.747112, 22.170710, -13.941322>,
      < 18.333946, 19.280003, -13.580609>
    }
    triangle {
      < 16.371500, 21.980698, -16.611292>,
      < 18.333946, 19.280003, -13.580609>,
      < 16.958334, 19.072380, -16.237904>
    }
    triangle {
      < 17.747112, 22.170710, -13.941322>,
      < 19.992630, 19.473579, -10.913207>,
      < 18.333946, 19.280003, -13.580609>
    }
    triangle {
      < 16.958334, 19.072380, -16.237904>,
      < 18.333946, 19.280003, -13.580609>,
      < 19.253532, 16.279516, -13.174398>
    }
    triangle {
      < 16.958334, 19.072380, -16.237904>,
      < 19.253532, 16.279516, -13.174398>,
      < 17.248869, 16.047104, -15.813843>
    }
    triangle {
      < 18.333946, 19.280003, -13.580609>,
      < 19.992630, 19.473579, -10.913207>,
      < 20.346069, 16.496920, -10.524145>
    }
    triangle {
      < 18.333946, 19.280003, -13.580609>,
      < 20.346069, 16.496920, -10.524145>,
      < 19.253532, 16.279516, -13.174398>
    }
    triangle {
      < 19.992630, 19.473579, -10.913207>,
      < 21.088167, 16.807402, -7.940892>,
      < 20.346069, 16.496920, -10.524145>
    }
    triangle {
      < 20.047235, 19.671778, -8.249126>,
      < 20.101841, 19.920292, -5.621270>,
      < 21.681923, 17.307076, -5.493834>
    }
    triangle {
      < 20.047235, 19.671778, -8.249126>,
      < 21.681923, 17.307076, -5.493834>,
      < 21.088167, 16.807402, -7.940892>
    }
    triangle {
      < 17.248869, 16.047104, -15.813843>,
      < 19.253532, 16.279516, -13.174398>,
      < 19.253532, 12.644194, -12.620491>
    }
    triangle {
      < 17.248869, 16.047104, -15.813843>,
      < 19.253532, 12.644194, -12.620491>,
      < 17.248869, 12.364210, -15.225695>
    }
    triangle {
      < 19.253532, 16.279516, -13.174398>,
      < 20.346069, 16.496920, -10.524145>,
      < 20.943666, 13.030781, -10.092027>
    }
    triangle {
      < 19.253532, 16.279516, -13.174398>,
      < 20.943666, 13.030781, -10.092027>,
      < 19.253532, 12.644194, -12.620491>
    }
    triangle {
      < 20.346069, 16.496920, -10.524145>,
      < 21.088167, 16.807402, -7.940892>,
      < 21.816038, 13.629114, -7.715988>
    }
    triangle {
      < 20.346069, 16.496920, -10.524145>,
      < 21.816038, 13.629114, -7.715988>,
      < 20.943666, 13.030781, -10.092027>
    }
    triangle {
      < 21.088167, 16.807402, -7.940892>,
      < 21.681923, 17.307076, -5.493834>,
      < 22.468241, 14.158947, -5.290641>
    }
    triangle {
      < 21.088167, 16.807402, -7.940892>,
      < 22.468241, 14.158947, -5.290641>,
      < 21.816038, 13.629114, -7.715988>
    }
    triangle {
      < 21.681923, 17.307076, -5.493834>,
      < 22.005945, 17.492397, -2.820486>,
      < 22.765541, 14.626535, -2.820486>
    }
    triangle {
      < 21.681923, 17.307076, -5.493834>,
      < 22.765541, 14.626535, -2.820486>,
      < 22.468241, 14.158947, -5.290641>
    }
    triangle {
      < 22.005945, 17.492397, -2.820486>,
      < 22.060665, 17.492359, 0.000000>,
      < 22.577564, 14.626495, 0.000000>
    }
    triangle {
      < 22.005945, 17.492397, -2.820486>,
      < 22.577564, 14.626495, 0.000000>,
      < 22.765541, 14.626535, -2.820486>
    }
    triangle {
      < 17.248869, 12.364210, -15.225695>,
      < 19.253532, 12.644194, -12.620491>,
      < 18.152691, 8.688681, -12.031022>
    }
    triangle {
      < 17.248869, 12.364210, -15.225695>,
      < 18.152691, 8.688681, -12.031022>,
      < 16.148031, 8.484867, -14.418156>
    }
    triangle {
      < 19.253532, 12.644194, -12.620491>,
      < 20.943666, 13.030781, -10.092027>,
      < 19.654114, 9.868836, -9.800913>
    }
    triangle {
      < 19.253532, 12.644194, -12.620491>,
      < 19.654114, 9.868836, -9.800913>,
      < 18.152691, 8.688681, -12.031022>
    }
    triangle {
      < 20.943666, 13.030781, -10.092027>,
      < 21.816038, 13.629114, -7.715988>,
      < 20.620842, 10.983964, -7.465518>
    }
    triangle {
      < 20.943666, 13.030781, -10.092027>,
      < 20.620842, 10.983964, -7.465518>,
      < 19.654114, 9.868836, -9.800913>
    }
    triangle {
      < 21.816038, 13.629114, -7.715988>,
      < 22.468241, 14.158947, -5.290641>,
      < 20.895615, 11.551710, -5.067457>
    }
    triangle {
      < 21.816038, 13.629114, -7.715988>,
      < 20.895615, 11.551710, -5.067457>,
      < 20.620842, 10.983964, -7.465518>
    }
    triangle {
      < 22.468241, 14.158947, -5.290641>,
      < 22.765541, 14.626535, -2.820486>,
      < 21.192915, 11.843342, -2.626584>
    }
    triangle {
      < 22.468241, 14.158947, -5.290641>,
      < 21.192915, 11.843342, -2.626584>,
      < 20.895615, 11.551710, -5.067457>
    }
    triangle {
      < 22.765541, 14.626535, -2.820486>,
      < 22.577564, 14.626495, 0.000000>,
      < 21.382370, 11.868950, 0.000000>
    }
    triangle {
      < 22.765541, 14.626535, -2.820486>,
      < 21.382370, 11.868950, 0.000000>,
      < 21.192915, 11.843342, -2.626584>
    }
    triangle {
      < 16.148031, 8.484867, -14.418156>,
      < 18.152691, 8.688681, -12.031022>,
      < 15.699396, 5.872272, -11.618281>
    }
    triangle {
      < 16.148031, 8.484867, -14.418156>,
      < 15.699396, 5.872272, -11.618281>,
      < 14.197975, 3.966436, -12.780198>
    }
    triangle {
      < 18.152691, 8.688681, -12.031022>,
      < 19.654114, 9.868836, -9.800913>,
      < 17.263721, 7.197832, -9.492843>
    }
    triangle {
      < 18.152691, 8.688681, -12.031022>,
      < 17.263721, 7.197832, -9.492843>,
      < 15.699396, 5.872272, -11.618281>
    }
    triangle {
      < 19.654114, 9.868836, -9.800913>,
      < 20.620842, 10.983964, -7.465518>,
      < 18.765144, 8.384414, -7.208880>
    }
    triangle {
      < 19.654114, 9.868836, -9.800913>,
      < 18.765144, 8.384414, -7.208880>,
      < 17.263721, 7.197832, -9.492843>
    }
    triangle {
      < 20.620842, 10.983964, -7.465518>,
      < 20.895615, 11.551710, -5.067457>,
      < 19.322987, 8.996664, -4.842861>
    }
    triangle {
      < 20.620842, 10.983964, -7.465518>,
      < 19.322987, 8.996664, -4.842861>,
      < 18.765144, 8.384414, -7.208880>
    }
    triangle {
      < 20.895615, 11.551710, -5.067457>,
      < 21.192915, 11.843342, -2.626584>,
      < 19.377592, 9.319432, -2.424399>
    }
    triangle {
      < 20.895615, 11.551710, -5.067457>,
      < 19.377592, 9.319432, -2.424399>,
      < 19.322987, 8.996664, -4.842861>
    }
    triangle {
      < 21.192915, 11.843342, -2.626584>,
      < 21.382370, 11.868950, 0.000000>,
      < 19.432312, 9.541060, -0.030570>
    }
    triangle {
      < 21.192915, 11.843342, -2.626584>,
      < 19.432312, 9.541060, -0.030570>,
      < 19.377592, 9.319432, -2.424399>
    }
    triangle {
      < 21.088167, 16.807402, -7.940892>,
      < 19.992630, 19.473579, -10.913207>,
      < 20.047235, 19.671778, -8.249126>
    }
    triangle {
      < 19.466908, 19.263561, -10.913207>,
      < 19.521511, 19.461760, -8.249126>,
      < 17.275993, 22.089104, -11.227010>
    }
    triangle {
      < 19.521511, 19.461760, -8.249126>,
      < 19.576118, 19.710272, -5.621270>,
      < 17.385204, 22.089104, -5.613504>
    }
    triangle {
      < 19.521511, 19.461760, -8.249126>,
      < 17.385204, 22.089104, -5.613504>,
      < 17.330599, 22.089104, -8.420256>
    }
    triangle {
      < 19.576118, 19.710272, -5.621270>,
      < 19.630722, 19.710270, -2.814516>,
      < 17.439808, 22.089104, -2.806750>
    }
    triangle {
      < 19.576118, 19.710272, -5.621270>,
      < 17.439808, 22.089104, -2.806750>,
      < 17.385204, 22.089104, -5.613504>
    }
    triangle {
      < 19.630722, 19.710270, -2.814516>,
      < 19.685390, 19.710247, 0.000000>,
      < 17.494415, 22.089104, 0.000000>
    }
    triangle {
      < 19.630722, 19.710270, -2.814516>,
      < 17.494415, 22.089104, 0.000000>,
      < 17.439808, 22.089104, -2.806750>
    }
    triangle {
      < 21.156200, 17.097057, -5.493834>,
      < 21.480223, 17.282379, -2.820486>,
      < 19.630722, 19.710270, -2.814516>
    }
    triangle {
      < 21.156200, 17.097057, -5.493834>,
      < 19.630722, 19.710270, -2.814516>,
      < 19.576118, 19.710272, -5.621270>
    }
    triangle {
      < 21.480223, 17.282379, -2.820486>,
      < 21.534941, 17.282339, 0.000000>,
      < 19.685390, 19.710247, 0.000000>
    }
    triangle {
      < 21.480223, 17.282379, -2.820486>,
      < 19.685390, 19.710247, 0.000000>,
      < 19.630722, 19.710270, -2.814516>
    }
    triangle {
      < 17.275993, 22.089104, -11.227010>,
      < 17.221392, 21.960691, -13.941322>,
      < 19.466908, 19.263561, -10.913207>
    }
    triangle {
      < 17.330599, 22.089104, -8.420256>,
      < 17.275993, 22.089104, -11.227010>,
      < 19.521511, 19.461760, -8.249126>
    }
    triangle {
      < 16.958334, 19.072380, -16.237904>,
      < 17.808226, 19.069984, -13.580609>,
      < 17.221392, 21.960691, -13.941322>
    }
    triangle {
      < 16.958334, 19.072380, -16.237904>,
      < 17.221392, 21.960691, -13.941322>,
      < 16.371500, 21.980698, -16.611292>
    }
    triangle {
      < 17.808226, 19.069984, -13.580609>,
      < 19.466908, 19.263561, -10.913207>,
      < 17.221392, 21.960691, -13.941322>
    }
    triangle {
      < 17.248869, 16.047104, -15.813843>,
      < 18.727808, 16.069500, -13.174398>,
      < 17.808226, 19.069984, -13.580609>
    }
    triangle {
      < 17.248869, 16.047104, -15.813843>,
      < 17.808226, 19.069984, -13.580609>,
      < 16.958334, 19.072380, -16.237904>
    }
    triangle {
      < 18.727808, 16.069500, -13.174398>,
      < 19.820347, 16.286903, -10.524145>,
      < 19.466908, 19.263561, -10.913207>
    }
    triangle {
      < 18.727808, 16.069500, -13.174398>,
      < 19.466908, 19.263561, -10.913207>,
      < 17.808226, 19.069984, -13.580609>
    }
    triangle {
      < 19.820347, 16.286903, -10.524145>,
      < 20.562443, 16.597382, -7.940892>,
      < 19.466908, 19.263561, -10.913207>
    }
    triangle {
      < 20.562443, 16.597382, -7.940892>,
      < 21.156200, 17.097057, -5.493834>,
      < 19.576118, 19.710272, -5.621270>
    }
    triangle {
      < 20.562443, 16.597382, -7.940892>,
      < 19.576118, 19.710272, -5.621270>,
      < 19.521511, 19.461760, -8.249126>
    }
    triangle {
      < 17.248869, 12.364210, -15.225695>,
      < 18.727808, 12.434175, -12.620491>,
      < 18.727808, 16.069500, -13.174398>
    }
    triangle {
      < 17.248869, 12.364210, -15.225695>,
      < 18.727808, 16.069500, -13.174398>,
      < 17.248869, 16.047104, -15.813843>
    }
    triangle {
      < 18.727808, 12.434175, -12.620491>,
      < 20.417946, 12.820762, -10.092027>,
      < 19.820347, 16.286903, -10.524145>
    }
    triangle {
      < 18.727808, 12.434175, -12.620491>,
      < 19.820347, 16.286903, -10.524145>,
      < 18.727808, 16.069500, -13.174398>
    }
    triangle {
      < 20.417946, 12.820762, -10.092027>,
      < 21.290312, 13.419096, -7.715988>,
      < 20.562443, 16.597382, -7.940892>
    }
    triangle {
      < 20.417946, 12.820762, -10.092027>,
      < 20.562443, 16.597382, -7.940892>,
      < 19.820347, 16.286903, -10.524145>
    }
    triangle {
      < 21.290312, 13.419096, -7.715988>,
      < 21.942516, 13.948927, -5.290641>,
      < 21.156200, 17.097057, -5.493834>
    }
    triangle {
      < 21.290312, 13.419096, -7.715988>,
      < 21.156200, 17.097057, -5.493834>,
      < 20.562443, 16.597382, -7.940892>
    }
    triangle {
      < 21.942516, 13.948927, -5.290641>,
      < 22.239817, 14.416519, -2.820486>,
      < 21.480223, 17.282379, -2.820486>
    }
    triangle {
      < 21.942516, 13.948927, -5.290641>,
      < 21.480223, 17.282379, -2.820486>,
      < 21.156200, 17.097057, -5.493834>
    }
    triangle {
      < 22.239817, 14.416519, -2.820486>,
      < 22.051842, 14.416475, 0.000000>,
      < 21.534941, 17.282339, 0.000000>
    }
    triangle {
      < 22.239817, 14.416519, -2.820486>,
      < 21.534941, 17.282339, 0.000000>,
      < 21.480223, 17.282379, -2.820486>
    }
    triangle {
      < 16.148031, 8.484867, -14.418156>,
      < 17.626970, 8.478662, -12.031022>,
      < 18.727808, 12.434175, -12.620491>
    }
    triangle {
      < 16.148031, 8.484867, -14.418156>,
      < 18.727808, 12.434175, -12.620491>,
      < 17.248869, 12.364210, -15.225695>
    }
    triangle {
      < 17.626970, 8.478662, -12.031022>,
      < 19.128391, 9.658816, -9.800913>,
      < 20.417946, 12.820762, -10.092027>
    }
    triangle {
      < 17.626970, 8.478662, -12.031022>,
      < 20.417946, 12.820762, -10.092027>,
      < 18.727808, 12.434175, -12.620491>
    }
    triangle {
      < 19.128391, 9.658816, -9.800913>,
      < 20.095119, 10.773947, -7.465518>,
      < 21.290312, 13.419096, -7.715988>
    }
    triangle {
      < 19.128391, 9.658816, -9.800913>,
      < 21.290312, 13.419096, -7.715988>,
      < 20.417946, 12.820762, -10.092027>
    }
    triangle {
      < 20.095119, 10.773947, -7.465518>,
      < 20.369892, 11.341692, -5.067457>,
      < 21.942516, 13.948927, -5.290641>
    }
    triangle {
      < 20.095119, 10.773947, -7.465518>,
      < 21.942516, 13.948927, -5.290641>,
      < 21.290312, 13.419096, -7.715988>
    }
    triangle {
      < 20.369892, 11.341692, -5.067457>,
      < 20.667192, 11.633322, -2.626584>,
      < 22.239817, 14.416519, -2.820486>
    }
    triangle {
      < 20.369892, 11.341692, -5.067457>,
      < 22.239817, 14.416519, -2.820486>,
      < 21.942516, 13.948927, -5.290641>
    }
    triangle {
      < 20.667192, 11.633322, -2.626584>,
      < 20.856647, 11.658932, 0.000000>,
      < 22.051842, 14.416475, 0.000000>
    }
    triangle {
      < 20.667192, 11.633322, -2.626584>,
      < 22.051842, 14.416475, 0.000000>,
      < 22.239817, 14.416519, -2.820486>
    }
    triangle {
      < 14.197975, 3.966436, -12.780198>,
      < 15.699396, 5.872272, -11.618281>,
      < 17.626970, 8.478662, -12.031022>
    }
    triangle {
      < 14.197975, 3.966436, -12.780198>,
      < 17.626970, 8.478662, -12.031022>,
      < 16.148031, 8.484867, -14.418156>
    }
    triangle {
      < 15.699396, 5.872272, -11.618281>,
      < 17.263721, 7.197832, -9.492843>,
      < 19.128391, 9.658816, -9.800913>
    }
    triangle {
      < 15.699396, 5.872272, -11.618281>,
      < 19.128391, 9.658816, -9.800913>,
      < 17.626970, 8.478662, -12.031022>
    }
    triangle {
      < 17.263721, 7.197832, -9.492843>,
      < 18.765144, 8.384414, -7.208880>,
      < 20.095119, 10.773947, -7.465518>
    }
    triangle {
      < 17.263721, 7.197832, -9.492843>,
      < 20.095119, 10.773947, -7.465518>,
      < 19.128391, 9.658816, -9.800913>
    }
    triangle {
      < 18.765144, 8.384414, -7.208880>,
      < 19.322987, 8.996664, -4.842861>,
      < 20.369892, 11.341692, -5.067457>
    }
    triangle {
      < 18.765144, 8.384414, -7.208880>,
      < 20.369892, 11.341692, -5.067457>,
      < 20.095119, 10.773947, -7.465518>
    }
    triangle {
      < 19.322987, 8.996664, -4.842861>,
      < 19.377592, 9.319432, -2.424399>,
      < 20.667192, 11.633322, -2.626584>
    }
    triangle {
      < 19.322987, 8.996664, -4.842861>,
      < 20.667192, 11.633322, -2.626584>,
      < 20.369892, 11.341692, -5.067457>
    }
    triangle {
      < 19.377592, 9.319432, -2.424399>,
      < 19.432312, 9.541060, -0.030570>,
      < 20.856647, 11.658932, 0.000000>
    }
    triangle {
      < 19.377592, 9.319432, -2.424399>,
      < 20.856647, 11.658932, 0.000000>,
      < 20.667192, 11.633322, -2.626584>
    }
    triangle {
      < 19.521511, 19.461760, -8.249126>,
      < 19.466908, 19.263561, -10.913207>,
      < 20.562443, 16.597382, -7.940892>
    }
    triangle {
      < 15.532181, 23.845383, 0.000000>,
      < 15.493570, 23.878626, -2.806750>,
      < 17.439808, 22.089104, -2.806750>
    }
    triangle {
      < 15.532181, 23.845383, 0.000000>,
      < 17.439808, 22.089104, -2.806750>,
      < 17.494415, 22.089104, 0.000000>
    }
    triangle {
      < 15.300512, 24.044842, -16.840515>,
      < 15.396472, 24.244293, -16.840515>,
      < 16.371500, 21.980698, -16.611292>
    }
    triangle {
      < 15.339125, 24.011599, -14.033761>,
      < 15.300512, 24.044842, -16.840515>,
      < 16.371500, 21.980698, -16.611292>
    }
    triangle {
      < 15.339125, 24.011599, -14.033761>,
      < 16.371500, 21.980698, -16.611292>,
      < 17.221392, 21.960691, -13.941322>
    }
    triangle {
      < 15.377735, 23.978352, -11.227010>,
      < 15.339125, 24.011599, -14.033761>,
      < 17.221392, 21.960691, -13.941322>
    }
    triangle {
      < 15.377735, 23.978352, -11.227010>,
      < 17.221392, 21.960691, -13.941322>,
      < 17.275993, 22.089104, -11.227010>
    }
    triangle {
      < 15.416346, 23.945107, -8.420256>,
      < 15.377735, 23.978352, -11.227010>,
      < 17.275993, 22.089104, -11.227010>
    }
    triangle {
      < 15.416346, 23.945107, -8.420256>,
      < 17.275993, 22.089104, -11.227010>,
      < 17.330599, 22.089104, -8.420256>
    }
    triangle {
      < 15.454958, 23.911867, -5.613504>,
      < 15.416346, 23.945107, -8.420256>,
      < 17.330599, 22.089104, -8.420256>
    }
    triangle {
      < 15.454958, 23.911867, -5.613504>,
      < 17.330599, 22.089104, -8.420256>,
      < 17.385204, 22.089104, -5.613504>
    }
    triangle {
      < 15.493570, 23.878626, -2.806750>,
      < 15.454958, 23.911867, -5.613504>,
      < 17.385204, 22.089104, -5.613504>
    }
    triangle {
      < 15.493570, 23.878626, -2.806750>,
      < 17.385204, 22.089104, -5.613504>,
      < 17.439808, 22.089104, -2.806750>
    }
    texture {sail5}
  }
  // sail4
  union {
    triangle {
      < 15.199718, 41.517422, -4.197246>,
      < 15.145114, 41.517422, -6.295083>,
      < 15.090508, 41.517422, -8.392917>
    }
    triangle {
      < 15.199718, 41.517422, -4.197246>,
      < 15.090508, 41.517422, -8.392917>,
      < 15.035903, 41.517422, -10.490752>
    }
    triangle {
      < 15.199718, 41.517422, -4.197246>,
      < 15.035903, 41.517422, -10.490752>,
      < 14.981298, 41.517422, -12.588591>
    }
    triangle {
      < 15.199718, 41.517422, -4.197246>,
      < 14.981298, 41.517422, -12.588591>,
      < 14.885338, 41.683510, -12.588591>
    }
    triangle {
      < 15.199718, 41.517422, -4.197246>,
      < 14.885338, 41.683510, -12.588591>,
      < 15.117007, 41.849609, 0.000000>
    }
    triangle {
      < 15.199718, 41.517422, -4.197246>,
      < 15.117007, 41.849609, 0.000000>,
      < 15.308929, 41.517422, 0.000000>
    }
    triangle {
      < 15.199718, 41.517422, -4.197246>,
      < 15.308929, 41.517422, 0.000000>,
      < 15.254324, 41.517422, -2.099409>
    }
    triangle {
      < 14.746338, 41.583855, -15.105992>,
      < 14.885338, 41.683510, -12.588591>,
      < 14.981298, 41.517422, -12.588591>
    }
    triangle {
      < 14.746338, 41.583855, -15.105992>,
      < 14.981298, 41.517422, -12.588591>,
      < 14.784721, 41.517422, -15.105992>
    }
    triangle {
      < 14.653669, 41.752319, -12.588591>,
      < 14.653669, 41.987221, 0.000000>,
      < 15.117007, 41.849609, 0.000000>
    }
    triangle {
      < 14.653669, 41.752319, -12.588591>,
      < 15.117007, 41.849609, 0.000000>,
      < 14.885338, 41.683510, -12.588591>
    }
    triangle {
      < 14.653669, 41.611382, -15.105992>,
      < 14.653669, 41.752319, -12.588591>,
      < 14.885338, 41.683510, -12.588591>
    }
    triangle {
      < 14.653669, 41.611382, -15.105992>,
      < 14.885338, 41.683510, -12.588591>,
      < 14.746338, 41.583855, -15.105992>
    }
    triangle {
      < 14.422001, 41.683510, -12.588591>,
      < 14.190331, 41.849609, 0.000000>,
      < 14.653669, 41.987221, 0.000000>
    }
    triangle {
      < 14.422001, 41.683510, -12.588591>,
      < 14.653669, 41.987221, 0.000000>,
      < 14.653669, 41.752319, -12.588591>
    }
    triangle {
      < 14.561001, 41.583855, -15.105992>,
      < 14.422001, 41.683510, -12.588591>,
      < 14.653669, 41.752319, -12.588591>
    }
    triangle {
      < 14.561001, 41.583855, -15.105992>,
      < 14.653669, 41.752319, -12.588591>,
      < 14.653669, 41.611382, -15.105992>
    }
    triangle {
      < 14.326038, 41.517422, -12.588591>,
      < 13.998409, 41.517422, 0.000000>,
      < 14.190331, 41.849609, 0.000000>
    }
    triangle {
      < 14.326038, 41.517422, -12.588591>,
      < 14.190331, 41.849609, 0.000000>,
      < 14.422001, 41.683510, -12.588591>
    }
    triangle {
      < 14.522617, 41.517422, -15.105992>,
      < 14.326038, 41.517422, -12.588591>,
      < 14.422001, 41.683510, -12.588591>
    }
    triangle {
      < 14.522617, 41.517422, -15.105992>,
      < 14.422001, 41.683510, -12.588591>,
      < 14.561001, 41.583855, -15.105992>
    }
    triangle {
      < 14.422001, 41.351318, -12.588591>,
      < 14.190331, 41.185200, 0.000000>,
      < 13.998409, 41.517422, 0.000000>
    }
    triangle {
      < 14.422001, 41.351318, -12.588591>,
      < 13.998409, 41.517422, 0.000000>,
      < 14.326038, 41.517422, -12.588591>
    }
    triangle {
      < 14.561001, 41.450974, -15.105992>,
      < 14.422001, 41.351318, -12.588591>,
      < 14.326038, 41.517422, -12.588591>
    }
    triangle {
      < 14.561001, 41.450974, -15.105992>,
      < 14.326038, 41.517422, -12.588591>,
      < 14.522617, 41.517422, -15.105992>
    }
    triangle {
      < 14.692114, 41.282509, -12.588591>,
      < 14.692114, 41.047607, 0.000000>,
      < 14.190331, 41.185200, 0.000000>
    }
    triangle {
      < 14.692114, 41.282509, -12.588591>,
      < 14.190331, 41.185200, 0.000000>,
      < 14.422001, 41.351318, -12.588591>
    }
    triangle {
      < 14.653669, 41.423450, -15.105992>,
      < 14.692114, 41.282509, -12.588591>,
      < 14.422001, 41.351318, -12.588591>
    }
    triangle {
      < 14.653669, 41.423450, -15.105992>,
      < 14.422001, 41.351318, -12.588591>,
      < 14.561001, 41.450974, -15.105992>
    }
    triangle {
      < 14.885338, 41.351318, -12.588591>,
      < 14.923951, 41.323624, -10.490752>,
      < 14.962563, 41.295952, -8.392917>
    }
    triangle {
      < 14.885338, 41.351318, -12.588591>,
      < 14.962563, 41.295952, -8.392917>,
      < 15.001173, 41.268238, -6.295083>
    }
    triangle {
      < 14.885338, 41.351318, -12.588591>,
      < 15.001173, 41.268238, -6.295083>,
      < 15.039785, 41.240585, -4.197246>
    }
    triangle {
      < 14.885338, 41.351318, -12.588591>,
      < 15.039785, 41.240585, -4.197246>,
      < 15.078396, 41.212887, -2.099409>
    }
    triangle {
      < 14.885338, 41.351318, -12.588591>,
      < 15.078396, 41.212887, -2.099409>,
      < 15.117007, 41.185200, 0.000000>
    }
    triangle {
      < 14.885338, 41.351318, -12.588591>,
      < 15.117007, 41.185200, 0.000000>,
      < 14.692114, 41.047607, 0.000000>
    }
    triangle {
      < 14.885338, 41.351318, -12.588591>,
      < 14.692114, 41.047607, 0.000000>,
      < 14.692114, 41.282509, -12.588591>
    }
    triangle {
      < 14.746338, 41.450974, -15.105992>,
      < 14.885338, 41.351318, -12.588591>,
      < 14.692114, 41.282509, -12.588591>
    }
    triangle {
      < 14.746338, 41.450974, -15.105992>,
      < 14.692114, 41.282509, -12.588591>,
      < 14.653669, 41.423450, -15.105992>
    }
    triangle {
      < 14.784721, 41.517422, -15.105992>,
      < 14.981298, 41.517422, -12.588591>,
      < 14.885338, 41.351318, -12.588591>
    }
    triangle {
      < 14.784721, 41.517422, -15.105992>,
      < 14.885338, 41.351318, -12.588591>,
      < 14.746338, 41.450974, -15.105992>
    }
    triangle {
      < 14.746338, 41.450974, -15.105992>,
      < 14.653669, 41.423450, -15.105992>,
      < 14.561001, 41.450974, -15.105992>
    }
    triangle {
      < 14.746338, 41.450974, -15.105992>,
      < 14.561001, 41.450974, -15.105992>,
      < 14.522617, 41.517422, -15.105992>
    }
    triangle {
      < 14.746338, 41.450974, -15.105992>,
      < 14.522617, 41.517422, -15.105992>,
      < 14.561001, 41.583855, -15.105992>
    }
    triangle {
      < 14.746338, 41.450974, -15.105992>,
      < 14.561001, 41.583855, -15.105992>,
      < 14.653669, 41.611382, -15.105992>
    }
    triangle {
      < 14.746338, 41.450974, -15.105992>,
      < 14.653669, 41.611382, -15.105992>,
      < 14.746338, 41.583855, -15.105992>
    }
    triangle {
      < 14.746338, 41.450974, -15.105992>,
      < 14.746338, 41.583855, -15.105992>,
      < 14.784721, 41.517422, -15.105992>
    }
    triangle {
      < 17.604961, 39.897530, 0.000000>,
      < 17.550356, 39.897530, -2.099409>,
      < 15.254324, 41.517422, -2.099409>
    }
    triangle {
      < 17.604961, 39.897530, 0.000000>,
      < 15.254324, 41.517422, -2.099409>,
      < 15.308929, 41.517422, 0.000000>
    }
    triangle {
      < 17.550356, 39.897530, -2.099409>,
      < 17.495752, 39.897530, -4.197246>,
      < 15.199718, 41.517422, -4.197246>
    }
    triangle {
      < 17.550356, 39.897530, -2.099409>,
      < 15.199718, 41.517422, -4.197246>,
      < 15.254324, 41.517422, -2.099409>
    }
    triangle {
      < 17.495752, 39.897530, -4.197246>,
      < 17.441147, 39.897530, -6.295083>,
      < 15.145114, 41.517422, -6.295083>
    }
    triangle {
      < 17.495752, 39.897530, -4.197246>,
      < 15.145114, 41.517422, -6.295083>,
      < 15.199718, 41.517422, -4.197246>
    }
    triangle {
      < 17.441147, 39.897530, -6.295083>,
      < 17.386541, 39.897530, -8.392917>,
      < 15.090508, 41.517422, -8.392917>
    }
    triangle {
      < 17.441147, 39.897530, -6.295083>,
      < 15.090508, 41.517422, -8.392917>,
      < 15.145114, 41.517422, -6.295083>
    }
    triangle {
      < 17.386541, 39.897530, -8.392917>,
      < 17.331936, 39.822620, -10.401196>,
      < 15.035903, 41.517422, -10.490752>
    }
    triangle {
      < 17.386541, 39.897530, -8.392917>,
      < 15.035903, 41.517422, -10.490752>,
      < 15.090508, 41.517422, -8.392917>
    }
    triangle {
      < 15.956326, 39.653347, -12.487507>,
      < 14.981298, 41.517422, -12.588591>,
      < 17.331936, 39.822620, -10.401196>
    }
    triangle {
      < 19.795940, 37.916466, 0.000000>,
      < 19.741272, 37.916477, -2.105213>,
      < 17.550356, 39.897530, -2.099409>
    }
    triangle {
      < 19.795940, 37.916466, 0.000000>,
      < 17.550356, 39.897530, -2.099409>,
      < 17.604961, 39.897530, 0.000000>
    }
    triangle {
      < 19.741272, 37.916477, -2.105213>,
      < 19.686668, 37.920795, -4.307718>,
      < 17.495752, 39.897530, -4.197246>
    }
    triangle {
      < 19.741272, 37.916477, -2.105213>,
      < 17.495752, 39.897530, -4.197246>,
      < 17.550356, 39.897530, -2.099409>
    }
    triangle {
      < 19.686668, 37.920795, -4.307718>,
      < 19.632061, 37.734497, -6.416967>,
      < 17.441147, 39.897530, -6.295083>
    }
    triangle {
      < 19.686668, 37.920795, -4.307718>,
      < 17.441147, 39.897530, -6.295083>,
      < 17.495752, 39.897530, -4.197246>
    }
    triangle {
      < 19.632061, 37.734497, -6.416967>,
      < 17.386541, 39.897530, -8.392917>,
      < 17.441147, 39.897530, -6.295083>
    }
    triangle {
      < 18.791145, 37.563686, -8.681988>,
      < 17.331936, 39.822620, -10.401196>,
      < 17.386541, 39.897530, -8.392917>
    }
    triangle {
      < 17.918774, 37.393028, -10.473288>,
      < 16.543159, 37.208908, -12.546264>,
      < 15.956326, 39.653347, -12.487507>
    }
    triangle {
      < 17.918774, 37.393028, -10.473288>,
      < 15.956326, 39.653347, -12.487507>,
      < 17.331936, 39.822620, -10.401196>
    }
    triangle {
      < 21.376074, 35.897133, 0.000000>,
      < 21.321356, 35.904243, -2.343451>,
      < 19.741272, 37.916477, -2.105213>
    }
    triangle {
      < 21.376074, 35.897133, 0.000000>,
      < 19.741272, 37.916477, -2.105213>,
      < 19.795940, 37.916466, 0.000000>
    }
    triangle {
      < 21.321356, 35.904243, -2.343451>,
      < 21.266750, 35.783173, -4.660714>,
      < 19.686668, 37.920795, -4.307718>
    }
    triangle {
      < 21.321356, 35.904243, -2.343451>,
      < 19.686668, 37.920795, -4.307718>,
      < 19.741272, 37.916477, -2.105213>
    }
    triangle {
      < 21.266750, 35.783173, -4.660714>,
      < 20.631359, 35.334316, -6.738446>,
      < 19.632061, 37.734497, -6.416967>
    }
    triangle {
      < 21.266750, 35.783173, -4.660714>,
      < 19.632061, 37.734497, -6.416967>,
      < 19.686668, 37.920795, -4.307718>
    }
    triangle {
      < 20.631359, 35.334316, -6.738446>,
      < 18.791145, 37.563686, -8.681988>,
      < 19.632061, 37.734497, -6.416967>
    }
    triangle {
      < 19.998547, 35.059895, -8.932222>,
      < 18.838356, 34.867725, -10.700544>,
      < 17.918774, 37.393028, -10.473288>
    }
    triangle {
      < 19.998547, 35.059895, -8.932222>,
      < 17.918774, 37.393028, -10.473288>,
      < 18.791145, 37.563686, -8.681988>
    }
    triangle {
      < 18.838356, 34.867725, -10.700544>,
      < 16.833694, 34.664192, -12.836876>,
      < 16.543159, 37.208908, -12.546264>
    }
    triangle {
      < 18.838356, 34.867725, -10.700544>,
      < 16.543159, 37.208908, -12.546264>,
      < 17.918774, 37.393028, -10.473288>
    }
    triangle {
      < 22.162392, 33.527092, 0.000000>,
      < 22.107674, 33.538445, -2.848397>,
      < 21.321356, 35.904243, -2.343451>
    }
    triangle {
      < 22.162392, 33.527092, 0.000000>,
      < 21.321356, 35.904243, -2.343451>,
      < 21.376074, 35.897133, 0.000000>
    }
    triangle {
      < 22.107674, 33.538445, -2.848397>,
      < 22.053068, 33.155472, -4.951861>,
      < 21.266750, 35.783173, -4.660714>
    }
    triangle {
      < 22.107674, 33.538445, -2.848397>,
      < 21.266750, 35.783173, -4.660714>,
      < 21.321356, 35.904243, -2.343451>
    }
    triangle {
      < 22.053068, 33.155472, -4.951861>,
      < 21.400864, 32.684071, -7.138943>,
      < 20.631359, 35.334316, -6.738446>
    }
    triangle {
      < 22.053068, 33.155472, -4.951861>,
      < 20.631359, 35.334316, -6.738446>,
      < 21.266750, 35.783173, -4.660714>
    }
    triangle {
      < 21.400864, 32.684071, -7.138943>,
      < 20.528494, 32.146858, -9.219141>,
      < 19.998547, 35.059895, -8.932222>
    }
    triangle {
      < 21.400864, 32.684071, -7.138943>,
      < 19.998547, 35.059895, -8.932222>,
      < 20.631359, 35.334316, -6.738446>
    }
    triangle {
      < 20.528494, 32.146858, -9.219141>,
      < 18.838356, 31.805016, -11.193764>,
      < 18.838356, 34.867725, -10.700544>
    }
    triangle {
      < 20.528494, 32.146858, -9.219141>,
      < 18.838356, 34.867725, -10.700544>,
      < 19.998547, 35.059895, -8.932222>
    }
    triangle {
      < 18.838356, 31.805016, -11.193764>,
      < 16.833694, 31.562752, -13.456076>,
      < 16.833694, 34.664192, -12.836876>
    }
    triangle {
      < 18.838356, 31.805016, -11.193764>,
      < 16.833694, 34.664192, -12.836876>,
      < 18.838356, 34.867725, -10.700544>
    }
    triangle {
      < 20.967196, 31.245729, 0.000000>,
      < 20.912479, 31.253052, -2.948808>,
      < 22.107674, 33.538445, -2.848397>
    }
    triangle {
      < 20.967196, 31.245729, 0.000000>,
      < 22.107674, 33.538445, -2.848397>,
      < 22.162392, 33.527092, 0.000000>
    }
    triangle {
      < 20.912479, 31.253052, -2.948808>,
      < 20.857872, 30.980101, -5.331879>,
      < 22.053068, 33.155472, -4.951861>
    }
    triangle {
      < 20.912479, 31.253052, -2.948808>,
      < 22.053068, 33.155472, -4.951861>,
      < 22.107674, 33.538445, -2.848397>
    }
    triangle {
      < 20.857872, 30.980101, -5.331879>,
      < 20.803268, 30.470444, -7.415297>,
      < 21.400864, 32.684071, -7.138943>
    }
    triangle {
      < 20.857872, 30.980101, -5.331879>,
      < 21.400864, 32.684071, -7.138943>,
      < 22.053068, 33.155472, -4.951861>
    }
    triangle {
      < 20.803268, 30.470444, -7.415297>,
      < 19.238941, 29.513027, -9.829927>,
      < 20.528494, 32.146858, -9.219141>
    }
    triangle {
      < 20.803268, 30.470444, -7.415297>,
      < 20.528494, 32.146858, -9.219141>,
      < 21.400864, 32.684071, -7.138943>
    }
    triangle {
      < 19.238941, 29.513027, -9.829927>,
      < 17.737516, 28.487133, -12.402572>,
      < 18.838356, 31.805016, -11.193764>
    }
    triangle {
      < 19.238941, 29.513027, -9.829927>,
      < 18.838356, 31.805016, -11.193764>,
      < 20.528494, 32.146858, -9.219141>
    }
    triangle {
      < 17.737516, 28.487133, -12.402572>,
      < 15.732857, 28.286781, -14.712629>,
      < 16.833694, 31.562752, -13.456076>
    }
    triangle {
      < 17.737516, 28.487133, -12.402572>,
      < 16.833694, 31.562752, -13.456076>,
      < 18.838356, 31.805016, -11.193764>
    }
    triangle {
      < 19.017138, 29.323254, 0.000000>,
      < 18.962420, 29.145500, -2.993877>,
      < 20.912479, 31.253052, -2.948808>
    }
    triangle {
      < 19.017138, 29.323254, 0.000000>,
      < 20.912479, 31.253052, -2.948808>,
      < 20.967196, 31.245729, 0.000000>
    }
    triangle {
      < 18.962420, 29.145500, -2.993877>,
      < 18.907814, 28.849167, -5.713902>,
      < 20.857872, 30.980101, -5.331879>
    }
    triangle {
      < 18.962420, 29.145500, -2.993877>,
      < 20.857872, 30.980101, -5.331879>,
      < 20.912479, 31.253052, -2.948808>
    }
    triangle {
      < 18.907814, 28.849167, -5.713902>,
      < 18.349968, 28.308907, -8.047544>,
      < 20.803268, 30.470444, -7.415297>
    }
    triangle {
      < 18.907814, 28.849167, -5.713902>,
      < 20.803268, 30.470444, -7.415297>,
      < 20.857872, 30.980101, -5.331879>
    }
    triangle {
      < 18.349968, 28.308907, -8.047544>,
      < 16.848547, 27.292774, -10.591549>,
      < 19.238941, 29.513027, -9.829927>
    }
    triangle {
      < 18.349968, 28.308907, -8.047544>,
      < 19.238941, 29.513027, -9.829927>,
      < 20.803268, 30.470444, -7.415297>
    }
    triangle {
      < 16.848547, 27.292774, -10.591549>,
      < 15.535843, 26.150806, -13.231953>,
      < 17.737516, 28.487133, -12.402572>
    }
    triangle {
      < 16.848547, 27.292774, -10.591549>,
      < 17.737516, 28.487133, -12.402572>,
      < 19.238941, 29.513027, -9.829927>
    }
    triangle {
      < 15.535843, 26.150806, -13.231953>,
      < 13.782801, 24.468904, -16.570248>,
      < 17.737516, 28.487133, -12.402572>
    }
    triangle {
      < 15.035903, 41.517422, -10.490752>,
      < 17.331936, 39.822620, -10.401196>,
      < 14.981298, 41.517422, -12.588591>
    }
    triangle {
      < 17.918774, 37.393028, -10.473288>,
      < 17.331936, 39.822620, -10.401196>,
      < 18.791145, 37.563686, -8.681988>
    }
    triangle {
      < 18.791145, 37.563686, -8.681988>,
      < 17.386541, 39.897530, -8.392917>,
      < 19.632061, 37.734497, -6.416967>
    }
    triangle {
      < 19.998547, 35.059895, -8.932222>,
      < 18.791145, 37.563686, -8.681988>,
      < 20.631359, 35.334316, -6.738446>
    }
    triangle {
      < 13.782801, 24.468904, -16.570248>,
      < 15.732857, 28.286781, -14.712629>,
      < 17.737516, 28.487133, -12.402572>
    }
    triangle {
      < 17.073820, 39.740131, 0.000000>,
      < 17.019213, 39.740131, -2.099409>,
      < 19.210129, 37.759079, -2.105213>
    }
    triangle {
      < 17.073820, 39.740131, 0.000000>,
      < 19.210129, 37.759079, -2.105213>,
      < 19.264797, 37.759071, 0.000000>
    }
    triangle {
      < 17.019213, 39.740131, -2.099409>,
      < 16.964611, 39.740131, -4.197246>,
      < 19.155525, 37.763401, -4.307718>
    }
    triangle {
      < 17.019213, 39.740131, -2.099409>,
      < 19.155525, 37.763401, -4.307718>,
      < 19.210129, 37.759079, -2.105213>
    }
    triangle {
      < 16.964611, 39.740131, -4.197246>,
      < 16.910004, 39.740131, -6.295083>,
      < 19.100918, 37.577103, -6.416967>
    }
    triangle {
      < 16.964611, 39.740131, -4.197246>,
      < 19.100918, 37.577103, -6.416967>,
      < 19.155525, 37.763401, -4.307718>
    }
    triangle {
      < 16.910004, 39.740131, -6.295083>,
      < 16.855398, 39.740131, -8.392917>,
      < 19.100918, 37.577103, -6.416967>
    }
    triangle {
      < 16.855398, 39.740131, -8.392917>,
      < 16.800793, 39.665226, -10.401196>,
      < 18.260002, 37.406288, -8.681988>
    }
    triangle {
      < 16.800793, 39.665226, -10.401196>,
      < 15.956326, 39.653347, -12.487507>,
      < 16.543159, 37.208908, -12.546264>
    }
    triangle {
      < 16.800793, 39.665226, -10.401196>,
      < 16.543159, 37.208908, -12.546264>,
      < 17.387630, 37.235630, -10.473288>
    }
    triangle {
      < 19.264797, 37.759071, 0.000000>,
      < 19.210129, 37.759079, -2.105213>,
      < 20.790213, 35.746845, -2.343451>
    }
    triangle {
      < 19.264797, 37.759071, 0.000000>,
      < 20.790213, 35.746845, -2.343451>,
      < 20.844931, 35.739735, 0.000000>
    }
    triangle {
      < 19.210129, 37.759079, -2.105213>,
      < 19.155525, 37.763401, -4.307718>,
      < 20.735609, 35.625778, -4.660714>
    }
    triangle {
      < 19.210129, 37.759079, -2.105213>,
      < 20.735609, 35.625778, -4.660714>,
      < 20.790213, 35.746845, -2.343451>
    }
    triangle {
      < 19.155525, 37.763401, -4.307718>,
      < 19.100918, 37.577103, -6.416967>,
      < 20.100216, 35.176926, -6.738446>
    }
    triangle {
      < 19.155525, 37.763401, -4.307718>,
      < 20.100216, 35.176926, -6.738446>,
      < 20.735609, 35.625778, -4.660714>
    }
    triangle {
      < 19.100918, 37.577103, -6.416967>,
      < 18.260002, 37.406288, -8.681988>,
      < 20.100216, 35.176926, -6.738446>
    }
    triangle {
      < 18.260002, 37.406288, -8.681988>,
      < 17.387630, 37.235630, -10.473288>,
      < 18.307213, 34.710327, -10.700544>
    }
    triangle {
      < 18.260002, 37.406288, -8.681988>,
      < 18.307213, 34.710327, -10.700544>,
      < 19.467403, 34.902496, -8.932222>
    }
    triangle {
      < 17.387630, 37.235630, -10.473288>,
      < 16.543159, 37.208908, -12.546264>,
      < 16.833694, 34.664192, -12.836876>
    }
    triangle {
      < 17.387630, 37.235630, -10.473288>,
      < 16.833694, 34.664192, -12.836876>,
      < 18.307213, 34.710327, -10.700544>
    }
    triangle {
      < 20.844931, 35.739735, 0.000000>,
      < 20.790213, 35.746845, -2.343451>,
      < 21.576529, 33.381050, -2.848397>
    }
    triangle {
      < 20.844931, 35.739735, 0.000000>,
      < 21.576529, 33.381050, -2.848397>,
      < 21.631248, 33.369698, 0.000000>
    }
    triangle {
      < 20.790213, 35.746845, -2.343451>,
      < 20.735609, 35.625778, -4.660714>,
      < 21.521923, 32.998077, -4.951861>
    }
    triangle {
      < 20.790213, 35.746845, -2.343451>,
      < 21.521923, 32.998077, -4.951861>,
      < 21.576529, 33.381050, -2.848397>
    }
    triangle {
      < 20.735609, 35.625778, -4.660714>,
      < 20.100216, 35.176926, -6.738446>,
      < 20.869720, 32.526680, -7.138943>
    }
    triangle {
      < 20.735609, 35.625778, -4.660714>,
      < 20.869720, 32.526680, -7.138943>,
      < 21.521923, 32.998077, -4.951861>
    }
    triangle {
      < 20.100216, 35.176926, -6.738446>,
      < 19.467403, 34.902496, -8.932222>,
      < 19.997353, 31.989464, -9.219141>
    }
    triangle {
      < 20.100216, 35.176926, -6.738446>,
      < 19.997353, 31.989464, -9.219141>,
      < 20.869720, 32.526680, -7.138943>
    }
    triangle {
      < 19.467403, 34.902496, -8.932222>,
      < 18.307213, 34.710327, -10.700544>,
      < 18.307213, 31.647621, -11.193764>
    }
    triangle {
      < 19.467403, 34.902496, -8.932222>,
      < 18.307213, 31.647621, -11.193764>,
      < 19.997353, 31.989464, -9.219141>
    }
    triangle {
      < 18.307213, 34.710327, -10.700544>,
      < 16.833694, 34.664192, -12.836876>,
      < 16.833694, 31.562752, -13.456076>
    }
    triangle {
      < 18.307213, 34.710327, -10.700544>,
      < 16.833694, 31.562752, -13.456076>,
      < 18.307213, 31.647621, -11.193764>
    }
    triangle {
      < 21.631248, 33.369698, 0.000000>,
      < 21.576529, 33.381050, -2.848397>,
      < 20.381334, 31.095654, -2.948808>
    }
    triangle {
      < 21.631248, 33.369698, 0.000000>,
      < 20.381334, 31.095654, -2.948808>,
      < 20.436052, 31.088337, 0.000000>
    }
    triangle {
      < 21.576529, 33.381050, -2.848397>,
      < 21.521923, 32.998077, -4.951861>,
      < 20.326729, 30.822704, -5.331879>
    }
    triangle {
      < 21.576529, 33.381050, -2.848397>,
      < 20.326729, 30.822704, -5.331879>,
      < 20.381334, 31.095654, -2.948808>
    }
    triangle {
      < 21.521923, 32.998077, -4.951861>,
      < 20.869720, 32.526680, -7.138943>,
      < 20.272125, 30.313047, -7.415297>
    }
    triangle {
      < 21.521923, 32.998077, -4.951861>,
      < 20.272125, 30.313047, -7.415297>,
      < 20.326729, 30.822704, -5.331879>
    }
    triangle {
      < 20.869720, 32.526680, -7.138943>,
      < 19.997353, 31.989464, -9.219141>,
      < 18.707798, 29.355633, -9.829927>
    }
    triangle {
      < 20.869720, 32.526680, -7.138943>,
      < 18.707798, 29.355633, -9.829927>,
      < 20.272125, 30.313047, -7.415297>
    }
    triangle {
      < 19.997353, 31.989464, -9.219141>,
      < 18.307213, 31.647621, -11.193764>,
      < 17.206375, 28.329739, -12.402572>
    }
    triangle {
      < 19.997353, 31.989464, -9.219141>,
      < 17.206375, 28.329739, -12.402572>,
      < 18.707798, 29.355633, -9.829927>
    }
    triangle {
      < 18.307213, 31.647621, -11.193764>,
      < 16.833694, 31.562752, -13.456076>,
      < 15.732857, 28.286781, -14.712629>
    }
    triangle {
      < 18.307213, 31.647621, -11.193764>,
      < 15.732857, 28.286781, -14.712629>,
      < 17.206375, 28.329739, -12.402572>
    }
    triangle {
      < 20.436052, 31.088337, 0.000000>,
      < 20.381334, 31.095654, -2.948808>,
      < 18.962420, 29.145500, -2.993877>
    }
    triangle {
      < 20.436052, 31.088337, 0.000000>,
      < 18.962420, 29.145500, -2.993877>,
      < 19.017138, 29.323254, 0.000000>
    }
    triangle {
      < 20.381334, 31.095654, -2.948808>,
      < 20.326729, 30.822704, -5.331879>,
      < 18.907814, 28.849167, -5.713902>
    }
    triangle {
      < 20.381334, 31.095654, -2.948808>,
      < 18.907814, 28.849167, -5.713902>,
      < 18.962420, 29.145500, -2.993877>
    }
    triangle {
      < 20.326729, 30.822704, -5.331879>,
      < 20.272125, 30.313047, -7.415297>,
      < 18.349968, 28.308907, -8.047544>
    }
    triangle {
      < 20.326729, 30.822704, -5.331879>,
      < 18.349968, 28.308907, -8.047544>,
      < 18.907814, 28.849167, -5.713902>
    }
    triangle {
      < 20.272125, 30.313047, -7.415297>,
      < 18.707798, 29.355633, -9.829927>,
      < 16.848547, 27.292774, -10.591549>
    }
    triangle {
      < 20.272125, 30.313047, -7.415297>,
      < 16.848547, 27.292774, -10.591549>,
      < 18.349968, 28.308907, -8.047544>
    }
    triangle {
      < 18.707798, 29.355633, -9.829927>,
      < 17.206375, 28.329739, -12.402572>,
      < 15.535843, 26.150806, -13.231953>
    }
    triangle {
      < 18.707798, 29.355633, -9.829927>,
      < 15.535843, 26.150806, -13.231953>,
      < 16.848547, 27.292774, -10.591549>
    }
    triangle {
      < 17.206375, 28.329739, -12.402572>,
      < 13.782801, 24.468904, -16.570248>,
      < 15.535843, 26.150806, -13.231953>
    }
    triangle {
      < 18.260002, 37.406288, -8.681988>,
      < 16.800793, 39.665226, -10.401196>,
      < 17.387630, 37.235630, -10.473288>
    }
    triangle {
      < 19.100918, 37.577103, -6.416967>,
      < 16.855398, 39.740131, -8.392917>,
      < 18.260002, 37.406288, -8.681988>
    }
    triangle {
      < 20.100216, 35.176926, -6.738446>,
      < 18.260002, 37.406288, -8.681988>,
      < 19.467403, 34.902496, -8.932222>
    }
    triangle {
      < 17.206375, 28.329739, -12.402572>,
      < 15.732857, 28.286781, -14.712629>,
      < 13.782801, 24.468904, -16.570248>
    }
    triangle {
      < 14.885338, 41.351318, -12.588591>,
      < 15.956326, 39.653347, -12.487507>,
      < 16.800793, 39.665226, -10.401196>
    }
    triangle {
      < 14.885338, 41.351318, -12.588591>,
      < 16.800793, 39.665226, -10.401196>,
      < 14.923951, 41.323624, -10.490752>
    }
    triangle {
      < 17.019213, 39.740131, -2.099409>,
      < 17.073820, 39.740131, 0.000000>,
      < 15.117007, 41.185200, 0.000000>
    }
    triangle {
      < 17.019213, 39.740131, -2.099409>,
      < 15.117007, 41.185200, 0.000000>,
      < 15.078396, 41.212887, -2.099409>
    }
    triangle {
      < 16.964611, 39.740131, -4.197246>,
      < 17.019213, 39.740131, -2.099409>,
      < 15.078396, 41.212887, -2.099409>
    }
    triangle {
      < 16.964611, 39.740131, -4.197246>,
      < 15.078396, 41.212887, -2.099409>,
      < 15.039785, 41.240585, -4.197246>
    }
    triangle {
      < 16.910004, 39.740131, -6.295083>,
      < 16.964611, 39.740131, -4.197246>,
      < 15.039785, 41.240585, -4.197246>
    }
    triangle {
      < 16.910004, 39.740131, -6.295083>,
      < 15.039785, 41.240585, -4.197246>,
      < 15.001173, 41.268238, -6.295083>
    }
    triangle {
      < 16.855398, 39.740131, -8.392917>,
      < 16.910004, 39.740131, -6.295083>,
      < 15.001173, 41.268238, -6.295083>
    }
    triangle {
      < 16.855398, 39.740131, -8.392917>,
      < 15.001173, 41.268238, -6.295083>,
      < 14.962563, 41.295952, -8.392917>
    }
    triangle {
      < 16.800793, 39.665226, -10.401196>,
      < 16.855398, 39.740131, -8.392917>,
      < 14.962563, 41.295952, -8.392917>
    }
    triangle {
      < 16.800793, 39.665226, -10.401196>,
      < 14.962563, 41.295952, -8.392917>,
      < 14.923951, 41.323624, -10.490752>
    }
    triangle {
      < 14.885338, 41.351318, -12.588591>,
      < 14.981298, 41.517422, -12.588591>,
      < 15.956326, 39.653347, -12.487507>
    }
    triangle {
      < 15.254324, 41.517422, 2.099409>,
      < 15.308929, 41.517422, 0.000000>,
      < 15.117007, 41.849609, 0.000000>
    }
    triangle {
      < 15.254324, 41.517422, 2.099409>,
      < 15.117007, 41.849609, 0.000000>,
      < 14.885338, 41.683510, 12.588591>
    }
    triangle {
      < 15.254324, 41.517422, 2.099409>,
      < 14.885338, 41.683510, 12.588591>,
      < 14.981298, 41.517422, 12.588591>
    }
    triangle {
      < 15.254324, 41.517422, 2.099409>,
      < 14.981298, 41.517422, 12.588591>,
      < 15.035903, 41.517422, 10.490752>
    }
    triangle {
      < 15.254324, 41.517422, 2.099409>,
      < 15.035903, 41.517422, 10.490752>,
      < 15.090508, 41.517422, 8.392917>
    }
    triangle {
      < 15.254324, 41.517422, 2.099409>,
      < 15.090508, 41.517422, 8.392917>,
      < 15.145114, 41.517422, 6.295083>
    }
    triangle {
      < 15.254324, 41.517422, 2.099409>,
      < 15.145114, 41.517422, 6.295083>,
      < 15.199718, 41.517422, 4.197246>
    }
    triangle {
      < 14.784721, 41.517422, 15.105992>,
      < 14.981298, 41.517422, 12.588591>,
      < 14.885338, 41.683510, 12.588591>
    }
    triangle {
      < 14.784721, 41.517422, 15.105992>,
      < 14.885338, 41.683510, 12.588591>,
      < 14.746338, 41.583855, 15.105992>
    }
    triangle {
      < 14.885338, 41.683510, 12.588591>,
      < 15.117007, 41.849609, 0.000000>,
      < 14.653669, 41.987221, 0.000000>
    }
    triangle {
      < 14.885338, 41.683510, 12.588591>,
      < 14.653669, 41.987221, 0.000000>,
      < 14.653669, 41.752319, 12.588591>
    }
    triangle {
      < 14.746338, 41.583855, 15.105992>,
      < 14.885338, 41.683510, 12.588591>,
      < 14.653669, 41.752319, 12.588591>
    }
    triangle {
      < 14.746338, 41.583855, 15.105992>,
      < 14.653669, 41.752319, 12.588591>,
      < 14.653669, 41.611382, 15.105992>
    }
    triangle {
      < 14.653669, 41.752319, 12.588591>,
      < 14.653669, 41.987221, 0.000000>,
      < 14.190331, 41.849609, 0.000000>
    }
    triangle {
      < 14.653669, 41.752319, 12.588591>,
      < 14.190331, 41.849609, 0.000000>,
      < 14.422001, 41.683510, 12.588591>
    }
    triangle {
      < 14.653669, 41.611382, 15.105992>,
      < 14.653669, 41.752319, 12.588591>,
      < 14.422001, 41.683510, 12.588591>
    }
    triangle {
      < 14.653669, 41.611382, 15.105992>,
      < 14.422001, 41.683510, 12.588591>,
      < 14.561001, 41.583855, 15.105992>
    }
    triangle {
      < 14.422001, 41.683510, 12.588591>,
      < 14.190331, 41.849609, 0.000000>,
      < 13.998409, 41.517422, 0.000000>
    }
    triangle {
      < 14.422001, 41.683510, 12.588591>,
      < 13.998409, 41.517422, 0.000000>,
      < 14.326038, 41.517422, 12.588591>
    }
    triangle {
      < 14.561001, 41.583855, 15.105992>,
      < 14.422001, 41.683510, 12.588591>,
      < 14.326038, 41.517422, 12.588591>
    }
    triangle {
      < 14.561001, 41.583855, 15.105992>,
      < 14.326038, 41.517422, 12.588591>,
      < 14.522617, 41.517422, 15.105992>
    }
    triangle {
      < 14.326038, 41.517422, 12.588591>,
      < 13.998409, 41.517422, 0.000000>,
      < 14.190331, 41.185200, 0.000000>
    }
    triangle {
      < 14.326038, 41.517422, 12.588591>,
      < 14.190331, 41.185200, 0.000000>,
      < 14.422001, 41.351318, 12.588591>
    }
    triangle {
      < 14.522617, 41.517422, 15.105992>,
      < 14.326038, 41.517422, 12.588591>,
      < 14.422001, 41.351318, 12.588591>
    }
    triangle {
      < 14.522617, 41.517422, 15.105992>,
      < 14.422001, 41.351318, 12.588591>,
      < 14.561001, 41.450974, 15.105992>
    }
    triangle {
      < 14.422001, 41.351318, 12.588591>,
      < 14.190331, 41.185200, 0.000000>,
      < 14.692114, 41.047607, 0.000000>
    }
    triangle {
      < 14.422001, 41.351318, 12.588591>,
      < 14.692114, 41.047607, 0.000000>,
      < 14.692114, 41.282509, 12.588591>
    }
    triangle {
      < 14.561001, 41.450974, 15.105992>,
      < 14.422001, 41.351318, 12.588591>,
      < 14.692114, 41.282509, 12.588591>
    }
    triangle {
      < 14.561001, 41.450974, 15.105992>,
      < 14.692114, 41.282509, 12.588591>,
      < 14.653669, 41.423450, 15.105992>
    }
    triangle {
      < 14.692114, 41.282509, 12.588591>,
      < 14.692114, 41.047607, 0.000000>,
      < 15.117007, 41.185200, 0.000000>
    }
    triangle {
      < 14.692114, 41.282509, 12.588591>,
      < 15.117007, 41.185200, 0.000000>,
      < 15.078396, 41.212887, 2.099409>
    }
    triangle {
      < 14.692114, 41.282509, 12.588591>,
      < 15.078396, 41.212887, 2.099409>,
      < 15.039785, 41.240585, 4.197246>
    }
    triangle {
      < 14.692114, 41.282509, 12.588591>,
      < 15.039785, 41.240585, 4.197246>,
      < 15.001173, 41.268238, 6.295083>
    }
    triangle {
      < 14.692114, 41.282509, 12.588591>,
      < 15.001173, 41.268238, 6.295083>,
      < 14.962563, 41.295952, 8.392917>
    }
    triangle {
      < 14.692114, 41.282509, 12.588591>,
      < 14.962563, 41.295952, 8.392917>,
      < 14.923951, 41.323624, 10.490752>
    }
    triangle {
      < 14.692114, 41.282509, 12.588591>,
      < 14.923951, 41.323624, 10.490752>,
      < 14.885338, 41.351318, 12.588591>
    }
    triangle {
      < 14.653669, 41.423450, 15.105992>,
      < 14.692114, 41.282509, 12.588591>,
      < 14.885338, 41.351318, 12.588591>
    }
    triangle {
      < 14.653669, 41.423450, 15.105992>,
      < 14.885338, 41.351318, 12.588591>,
      < 14.746338, 41.450974, 15.105992>
    }
    triangle {
      < 14.746338, 41.450974, 15.105992>,
      < 14.885338, 41.351318, 12.588591>,
      < 14.981298, 41.517422, 12.588591>
    }
    triangle {
      < 14.746338, 41.450974, 15.105992>,
      < 14.981298, 41.517422, 12.588591>,
      < 14.784721, 41.517422, 15.105992>
    }
    triangle {
      < 14.784721, 41.517422, 15.105992>,
      < 14.746338, 41.583855, 15.105992>,
      < 14.653669, 41.611382, 15.105992>
    }
    triangle {
      < 14.784721, 41.517422, 15.105992>,
      < 14.653669, 41.611382, 15.105992>,
      < 14.561001, 41.583855, 15.105992>
    }
    triangle {
      < 14.784721, 41.517422, 15.105992>,
      < 14.561001, 41.583855, 15.105992>,
      < 14.522617, 41.517422, 15.105992>
    }
    triangle {
      < 14.784721, 41.517422, 15.105992>,
      < 14.522617, 41.517422, 15.105992>,
      < 14.561001, 41.450974, 15.105992>
    }
    triangle {
      < 14.784721, 41.517422, 15.105992>,
      < 14.561001, 41.450974, 15.105992>,
      < 14.653669, 41.423450, 15.105992>
    }
    triangle {
      < 14.784721, 41.517422, 15.105992>,
      < 14.653669, 41.423450, 15.105992>,
      < 14.746338, 41.450974, 15.105992>
    }
    triangle {
      < 15.308929, 41.517422, 0.000000>,
      < 15.254324, 41.517422, 2.099409>,
      < 17.550356, 39.897530, 2.099409>
    }
    triangle {
      < 15.308929, 41.517422, 0.000000>,
      < 17.550356, 39.897530, 2.099409>,
      < 17.604961, 39.897530, 0.000000>
    }
    triangle {
      < 15.254324, 41.517422, 2.099409>,
      < 15.199718, 41.517422, 4.197246>,
      < 17.495752, 39.897530, 4.197246>
    }
    triangle {
      < 15.254324, 41.517422, 2.099409>,
      < 17.495752, 39.897530, 4.197246>,
      < 17.550356, 39.897530, 2.099409>
    }
    triangle {
      < 15.199718, 41.517422, 4.197246>,
      < 15.145114, 41.517422, 6.295083>,
      < 17.441147, 39.897530, 6.295083>
    }
    triangle {
      < 15.199718, 41.517422, 4.197246>,
      < 17.441147, 39.897530, 6.295083>,
      < 17.495752, 39.897530, 4.197246>
    }
    triangle {
      < 15.145114, 41.517422, 6.295083>,
      < 15.090508, 41.517422, 8.392917>,
      < 17.386541, 39.897530, 8.392917>
    }
    triangle {
      < 15.145114, 41.517422, 6.295083>,
      < 17.386541, 39.897530, 8.392917>,
      < 17.441147, 39.897530, 6.295083>
    }
    triangle {
      < 15.090508, 41.517422, 8.392917>,
      < 15.035903, 41.517422, 10.490752>,
      < 17.331936, 39.822620, 10.401196>
    }
    triangle {
      < 15.090508, 41.517422, 8.392917>,
      < 17.331936, 39.822620, 10.401196>,
      < 17.386541, 39.897530, 8.392917>
    }
    triangle {
      < 17.331936, 39.822620, 10.401196>,
      < 14.981298, 41.517422, 12.588591>,
      < 15.956326, 39.653347, 12.487507>
    }
    triangle {
      < 17.604961, 39.897530, 0.000000>,
      < 17.550356, 39.897530, 2.099409>,
      < 19.741272, 37.916477, 2.105213>
    }
    triangle {
      < 17.604961, 39.897530, 0.000000>,
      < 19.741272, 37.916477, 2.105213>,
      < 19.795940, 37.916466, 0.000000>
    }
    triangle {
      < 17.550356, 39.897530, 2.099409>,
      < 17.495752, 39.897530, 4.197246>,
      < 19.686668, 37.920795, 4.307718>
    }
    triangle {
      < 17.550356, 39.897530, 2.099409>,
      < 19.686668, 37.920795, 4.307718>,
      < 19.741272, 37.916477, 2.105213>
    }
    triangle {
      < 17.495752, 39.897530, 4.197246>,
      < 17.441147, 39.897530, 6.295083>,
      < 19.632061, 37.734497, 6.416967>
    }
    triangle {
      < 17.495752, 39.897530, 4.197246>,
      < 19.632061, 37.734497, 6.416967>,
      < 19.686668, 37.920795, 4.307718>
    }
    triangle {
      < 17.441147, 39.897530, 6.295083>,
      < 17.386541, 39.897530, 8.392917>,
      < 19.632061, 37.734497, 6.416967>
    }
    triangle {
      < 17.386541, 39.897530, 8.392917>,
      < 17.331936, 39.822620, 10.401196>,
      < 18.791145, 37.563686, 8.681988>
    }
    triangle {
      < 17.331936, 39.822620, 10.401196>,
      < 15.956326, 39.653347, 12.487507>,
      < 16.543159, 37.208908, 12.546264>
    }
    triangle {
      < 17.331936, 39.822620, 10.401196>,
      < 16.543159, 37.208908, 12.546264>,
      < 17.918774, 37.393028, 10.473288>
    }
    triangle {
      < 19.795940, 37.916466, 0.000000>,
      < 19.741272, 37.916477, 2.105213>,
      < 21.321356, 35.904243, 2.343451>
    }
    triangle {
      < 19.795940, 37.916466, 0.000000>,
      < 21.321356, 35.904243, 2.343451>,
      < 21.376074, 35.897133, 0.000000>
    }
    triangle {
      < 19.741272, 37.916477, 2.105213>,
      < 19.686668, 37.920795, 4.307718>,
      < 21.266750, 35.783173, 4.660714>
    }
    triangle {
      < 19.741272, 37.916477, 2.105213>,
      < 21.266750, 35.783173, 4.660714>,
      < 21.321356, 35.904243, 2.343451>
    }
    triangle {
      < 19.686668, 37.920795, 4.307718>,
      < 19.632061, 37.734497, 6.416967>,
      < 20.631359, 35.334316, 6.738446>
    }
    triangle {
      < 19.686668, 37.920795, 4.307718>,
      < 20.631359, 35.334316, 6.738446>,
      < 21.266750, 35.783173, 4.660714>
    }
    triangle {
      < 19.632061, 37.734497, 6.416967>,
      < 18.791145, 37.563686, 8.681988>,
      < 20.631359, 35.334316, 6.738446>
    }
    triangle {
      < 18.791145, 37.563686, 8.681988>,
      < 17.918774, 37.393028, 10.473288>,
      < 18.838356, 34.867725, 10.700544>
    }
    triangle {
      < 18.791145, 37.563686, 8.681988>,
      < 18.838356, 34.867725, 10.700544>,
      < 19.998547, 35.059895, 8.932222>
    }
    triangle {
      < 17.918774, 37.393028, 10.473288>,
      < 16.543159, 37.208908, 12.546264>,
      < 16.833694, 34.664192, 12.836876>
    }
    triangle {
      < 17.918774, 37.393028, 10.473288>,
      < 16.833694, 34.664192, 12.836876>,
      < 18.838356, 34.867725, 10.700544>
    }
    triangle {
      < 21.376074, 35.897133, 0.000000>,
      < 21.321356, 35.904243, 2.343451>,
      < 22.107674, 33.538445, 2.848397>
    }
    triangle {
      < 21.376074, 35.897133, 0.000000>,
      < 22.107674, 33.538445, 2.848397>,
      < 22.162392, 33.527092, 0.000000>
    }
    triangle {
      < 21.321356, 35.904243, 2.343451>,
      < 21.266750, 35.783173, 4.660714>,
      < 22.053068, 33.155472, 4.951861>
    }
    triangle {
      < 21.321356, 35.904243, 2.343451>,
      < 22.053068, 33.155472, 4.951861>,
      < 22.107674, 33.538445, 2.848397>
    }
    triangle {
      < 21.266750, 35.783173, 4.660714>,
      < 20.631359, 35.334316, 6.738446>,
      < 21.400864, 32.684071, 7.138943>
    }
    triangle {
      < 21.266750, 35.783173, 4.660714>,
      < 21.400864, 32.684071, 7.138943>,
      < 22.053068, 33.155472, 4.951861>
    }
    triangle {
      < 20.631359, 35.334316, 6.738446>,
      < 19.998547, 35.059895, 8.932222>,
      < 20.528494, 32.146858, 9.219141>
    }
    triangle {
      < 20.631359, 35.334316, 6.738446>,
      < 20.528494, 32.146858, 9.219141>,
      < 21.400864, 32.684071, 7.138943>
    }
    triangle {
      < 19.998547, 35.059895, 8.932222>,
      < 18.838356, 34.867725, 10.700544>,
      < 18.838356, 31.805016, 11.193764>
    }
    triangle {
      < 19.998547, 35.059895, 8.932222>,
      < 18.838356, 31.805016, 11.193764>,
      < 20.528494, 32.146858, 9.219141>
    }
    triangle {
      < 18.838356, 34.867725, 10.700544>,
      < 16.833694, 34.664192, 12.836876>,
      < 16.833694, 31.562752, 13.456076>
    }
    triangle {
      < 18.838356, 34.867725, 10.700544>,
      < 16.833694, 31.562752, 13.456076>,
      < 18.838356, 31.805016, 11.193764>
    }
    triangle {
      < 22.162392, 33.527092, 0.000000>,
      < 22.107674, 33.538445, 2.848397>,
      < 20.912479, 31.253052, 2.948808>
    }
    triangle {
      < 22.162392, 33.527092, 0.000000>,
      < 20.912479, 31.253052, 2.948808>,
      < 20.967196, 31.245729, 0.000000>
    }
    triangle {
      < 22.107674, 33.538445, 2.848397>,
      < 22.053068, 33.155472, 4.951861>,
      < 20.857872, 30.980101, 5.331879>
    }
    triangle {
      < 22.107674, 33.538445, 2.848397>,
      < 20.857872, 30.980101, 5.331879>,
      < 20.912479, 31.253052, 2.948808>
    }
    triangle {
      < 22.053068, 33.155472, 4.951861>,
      < 21.400864, 32.684071, 7.138943>,
      < 20.803268, 30.470444, 7.415297>
    }
    triangle {
      < 22.053068, 33.155472, 4.951861>,
      < 20.803268, 30.470444, 7.415297>,
      < 20.857872, 30.980101, 5.331879>
    }
    triangle {
      < 21.400864, 32.684071, 7.138943>,
      < 20.528494, 32.146858, 9.219141>,
      < 19.238941, 29.513027, 9.829927>
    }
    triangle {
      < 21.400864, 32.684071, 7.138943>,
      < 19.238941, 29.513027, 9.829927>,
      < 20.803268, 30.470444, 7.415297>
    }
    triangle {
      < 20.528494, 32.146858, 9.219141>,
      < 18.838356, 31.805016, 11.193764>,
      < 17.737516, 28.487133, 12.402572>
    }
    triangle {
      < 20.528494, 32.146858, 9.219141>,
      < 17.737516, 28.487133, 12.402572>,
      < 19.238941, 29.513027, 9.829927>
    }
    triangle {
      < 18.838356, 31.805016, 11.193764>,
      < 16.833694, 31.562752, 13.456076>,
      < 15.732857, 28.286781, 14.712629>
    }
    triangle {
      < 18.838356, 31.805016, 11.193764>,
      < 15.732857, 28.286781, 14.712629>,
      < 17.737516, 28.487133, 12.402572>
    }
    triangle {
      < 20.967196, 31.245729, 0.000000>,
      < 20.912479, 31.253052, 2.948808>,
      < 18.962420, 29.145500, 2.993877>
    }
    triangle {
      < 20.967196, 31.245729, 0.000000>,
      < 18.962420, 29.145500, 2.993877>,
      < 19.017138, 29.323254, 0.000000>
    }
    triangle {
      < 20.912479, 31.253052, 2.948808>,
      < 20.857872, 30.980101, 5.331879>,
      < 18.907814, 28.849167, 5.713902>
    }
    triangle {
      < 20.912479, 31.253052, 2.948808>,
      < 18.907814, 28.849167, 5.713902>,
      < 18.962420, 29.145500, 2.993877>
    }
    triangle {
      < 20.857872, 30.980101, 5.331879>,
      < 20.803268, 30.470444, 7.415297>,
      < 18.349968, 28.308907, 8.047544>
    }
    triangle {
      < 20.857872, 30.980101, 5.331879>,
      < 18.349968, 28.308907, 8.047544>,
      < 18.907814, 28.849167, 5.713902>
    }
    triangle {
      < 20.803268, 30.470444, 7.415297>,
      < 19.238941, 29.513027, 9.829927>,
      < 16.848547, 27.292774, 10.591549>
    }
    triangle {
      < 20.803268, 30.470444, 7.415297>,
      < 16.848547, 27.292774, 10.591549>,
      < 18.349968, 28.308907, 8.047544>
    }
    triangle {
      < 19.238941, 29.513027, 9.829927>,
      < 17.737516, 28.487133, 12.402572>,
      < 15.535843, 26.150806, 13.231953>
    }
    triangle {
      < 19.238941, 29.513027, 9.829927>,
      < 15.535843, 26.150806, 13.231953>,
      < 16.848547, 27.292774, 10.591549>
    }
    triangle {
      < 17.737516, 28.487133, 12.402572>,
      < 13.782801, 24.468904, 16.570248>,
      < 15.535843, 26.150806, 13.231953>
    }
    triangle {
      < 14.981298, 41.517422, 12.588591>,
      < 17.331936, 39.822620, 10.401196>,
      < 15.035903, 41.517422, 10.490752>
    }
    triangle {
      < 18.791145, 37.563686, 8.681988>,
      < 17.331936, 39.822620, 10.401196>,
      < 17.918774, 37.393028, 10.473288>
    }
    triangle {
      < 19.632061, 37.734497, 6.416967>,
      < 17.386541, 39.897530, 8.392917>,
      < 18.791145, 37.563686, 8.681988>
    }
    triangle {
      < 20.631359, 35.334316, 6.738446>,
      < 18.791145, 37.563686, 8.681988>,
      < 19.998547, 35.059895, 8.932222>
    }
    triangle {
      < 17.737516, 28.487133, 12.402572>,
      < 15.732857, 28.286781, 14.712629>,
      < 13.782801, 24.468904, 16.570248>
    }
    triangle {
      < 19.264797, 37.759071, 0.000000>,
      < 19.210129, 37.759079, 2.105213>,
      < 17.019213, 39.740131, 2.099409>
    }
    triangle {
      < 19.264797, 37.759071, 0.000000>,
      < 17.019213, 39.740131, 2.099409>,
      < 17.073820, 39.740131, 0.000000>
    }
    triangle {
      < 19.210129, 37.759079, 2.105213>,
      < 19.155525, 37.763401, 4.307718>,
      < 16.964611, 39.740131, 4.197246>
    }
    triangle {
      < 19.210129, 37.759079, 2.105213>,
      < 16.964611, 39.740131, 4.197246>,
      < 17.019213, 39.740131, 2.099409>
    }
    triangle {
      < 19.155525, 37.763401, 4.307718>,
      < 19.100918, 37.577103, 6.416967>,
      < 16.910004, 39.740131, 6.295083>
    }
    triangle {
      < 19.155525, 37.763401, 4.307718>,
      < 16.910004, 39.740131, 6.295083>,
      < 16.964611, 39.740131, 4.197246>
    }
    triangle {
      < 19.100918, 37.577103, 6.416967>,
      < 16.855398, 39.740131, 8.392917>,
      < 16.910004, 39.740131, 6.295083>
    }
    triangle {
      < 18.260002, 37.406288, 8.681988>,
      < 16.800793, 39.665226, 10.401196>,
      < 16.855398, 39.740131, 8.392917>
    }
    triangle {
      < 17.387630, 37.235630, 10.473288>,
      < 16.543159, 37.208908, 12.546264>,
      < 15.956326, 39.653347, 12.487507>
    }
    triangle {
      < 17.387630, 37.235630, 10.473288>,
      < 15.956326, 39.653347, 12.487507>,
      < 16.800793, 39.665226, 10.401196>
    }
    triangle {
      < 20.844931, 35.739735, 0.000000>,
      < 20.790213, 35.746845, 2.343451>,
      < 19.210129, 37.759079, 2.105213>
    }
    triangle {
      < 20.844931, 35.739735, 0.000000>,
      < 19.210129, 37.759079, 2.105213>,
      < 19.264797, 37.759071, 0.000000>
    }
    triangle {
      < 20.790213, 35.746845, 2.343451>,
      < 20.735609, 35.625778, 4.660714>,
      < 19.155525, 37.763401, 4.307718>
    }
    triangle {
      < 20.790213, 35.746845, 2.343451>,
      < 19.155525, 37.763401, 4.307718>,
      < 19.210129, 37.759079, 2.105213>
    }
    triangle {
      < 20.735609, 35.625778, 4.660714>,
      < 20.100216, 35.176926, 6.738446>,
      < 19.100918, 37.577103, 6.416967>
    }
    triangle {
      < 20.735609, 35.625778, 4.660714>,
      < 19.100918, 37.577103, 6.416967>,
      < 19.155525, 37.763401, 4.307718>
    }
    triangle {
      < 20.100216, 35.176926, 6.738446>,
      < 18.260002, 37.406288, 8.681988>,
      < 19.100918, 37.577103, 6.416967>
    }
    triangle {
      < 19.467403, 34.902496, 8.932222>,
      < 18.307213, 34.710327, 10.700544>,
      < 17.387630, 37.235630, 10.473288>
    }
    triangle {
      < 19.467403, 34.902496, 8.932222>,
      < 17.387630, 37.235630, 10.473288>,
      < 18.260002, 37.406288, 8.681988>
    }
    triangle {
      < 18.307213, 34.710327, 10.700544>,
      < 16.833694, 34.664192, 12.836876>,
      < 16.543159, 37.208908, 12.546264>
    }
    triangle {
      < 18.307213, 34.710327, 10.700544>,
      < 16.543159, 37.208908, 12.546264>,
      < 17.387630, 37.235630, 10.473288>
    }
    triangle {
      < 21.631248, 33.369698, 0.000000>,
      < 21.576529, 33.381050, 2.848397>,
      < 20.790213, 35.746845, 2.343451>
    }
    triangle {
      < 21.631248, 33.369698, 0.000000>,
      < 20.790213, 35.746845, 2.343451>,
      < 20.844931, 35.739735, 0.000000>
    }
    triangle {
      < 21.576529, 33.381050, 2.848397>,
      < 21.521923, 32.998077, 4.951861>,
      < 20.735609, 35.625778, 4.660714>
    }
    triangle {
      < 21.576529, 33.381050, 2.848397>,
      < 20.735609, 35.625778, 4.660714>,
      < 20.790213, 35.746845, 2.343451>
    }
    triangle {
      < 21.521923, 32.998077, 4.951861>,
      < 20.869720, 32.526680, 7.138943>,
      < 20.100216, 35.176926, 6.738446>
    }
    triangle {
      < 21.521923, 32.998077, 4.951861>,
      < 20.100216, 35.176926, 6.738446>,
      < 20.735609, 35.625778, 4.660714>
    }
    triangle {
      < 20.869720, 32.526680, 7.138943>,
      < 19.997353, 31.989464, 9.219141>,
      < 19.467403, 34.902496, 8.932222>
    }
    triangle {
      < 20.869720, 32.526680, 7.138943>,
      < 19.467403, 34.902496, 8.932222>,
      < 20.100216, 35.176926, 6.738446>
    }
    triangle {
      < 19.997353, 31.989464, 9.219141>,
      < 18.307213, 31.647621, 11.193764>,
      < 18.307213, 34.710327, 10.700544>
    }
    triangle {
      < 19.997353, 31.989464, 9.219141>,
      < 18.307213, 34.710327, 10.700544>,
      < 19.467403, 34.902496, 8.932222>
    }
    triangle {
      < 18.307213, 31.647621, 11.193764>,
      < 16.833694, 31.562752, 13.456076>,
      < 16.833694, 34.664192, 12.836876>
    }
    triangle {
      < 18.307213, 31.647621, 11.193764>,
      < 16.833694, 34.664192, 12.836876>,
      < 18.307213, 34.710327, 10.700544>
    }
    triangle {
      < 20.436052, 31.088337, 0.000000>,
      < 20.381334, 31.095654, 2.948808>,
      < 21.576529, 33.381050, 2.848397>
    }
    triangle {
      < 20.436052, 31.088337, 0.000000>,
      < 21.576529, 33.381050, 2.848397>,
      < 21.631248, 33.369698, 0.000000>
    }
    triangle {
      < 20.381334, 31.095654, 2.948808>,
      < 20.326729, 30.822704, 5.331879>,
      < 21.521923, 32.998077, 4.951861>
    }
    triangle {
      < 20.381334, 31.095654, 2.948808>,
      < 21.521923, 32.998077, 4.951861>,
      < 21.576529, 33.381050, 2.848397>
    }
    triangle {
      < 20.326729, 30.822704, 5.331879>,
      < 20.272125, 30.313047, 7.415297>,
      < 20.869720, 32.526680, 7.138943>
    }
    triangle {
      < 20.326729, 30.822704, 5.331879>,
      < 20.869720, 32.526680, 7.138943>,
      < 21.521923, 32.998077, 4.951861>
    }
    triangle {
      < 20.272125, 30.313047, 7.415297>,
      < 18.707798, 29.355633, 9.829927>,
      < 19.997353, 31.989464, 9.219141>
    }
    triangle {
      < 20.272125, 30.313047, 7.415297>,
      < 19.997353, 31.989464, 9.219141>,
      < 20.869720, 32.526680, 7.138943>
    }
    triangle {
      < 18.707798, 29.355633, 9.829927>,
      < 17.206375, 28.329739, 12.402572>,
      < 18.307213, 31.647621, 11.193764>
    }
    triangle {
      < 18.707798, 29.355633, 9.829927>,
      < 18.307213, 31.647621, 11.193764>,
      < 19.997353, 31.989464, 9.219141>
    }
    triangle {
      < 17.206375, 28.329739, 12.402572>,
      < 15.732857, 28.286781, 14.712629>,
      < 16.833694, 31.562752, 13.456076>
    }
    triangle {
      < 17.206375, 28.329739, 12.402572>,
      < 16.833694, 31.562752, 13.456076>,
      < 18.307213, 31.647621, 11.193764>
    }
    triangle {
      < 19.017138, 29.323254, 0.000000>,
      < 18.962420, 29.145500, 2.993877>,
      < 20.381334, 31.095654, 2.948808>
    }
    triangle {
      < 19.017138, 29.323254, 0.000000>,
      < 20.381334, 31.095654, 2.948808>,
      < 20.436052, 31.088337, 0.000000>
    }
    triangle {
      < 18.962420, 29.145500, 2.993877>,
      < 18.907814, 28.849167, 5.713902>,
      < 20.326729, 30.822704, 5.331879>
    }
    triangle {
      < 18.962420, 29.145500, 2.993877>,
      < 20.326729, 30.822704, 5.331879>,
      < 20.381334, 31.095654, 2.948808>
    }
    triangle {
      < 18.907814, 28.849167, 5.713902>,
      < 18.349968, 28.308907, 8.047544>,
      < 20.272125, 30.313047, 7.415297>
    }
    triangle {
      < 18.907814, 28.849167, 5.713902>,
      < 20.272125, 30.313047, 7.415297>,
      < 20.326729, 30.822704, 5.331879>
    }
    triangle {
      < 18.349968, 28.308907, 8.047544>,
      < 16.848547, 27.292774, 10.591549>,
      < 18.707798, 29.355633, 9.829927>
    }
    triangle {
      < 18.349968, 28.308907, 8.047544>,
      < 18.707798, 29.355633, 9.829927>,
      < 20.272125, 30.313047, 7.415297>
    }
    triangle {
      < 16.848547, 27.292774, 10.591549>,
      < 15.535843, 26.150806, 13.231953>,
      < 17.206375, 28.329739, 12.402572>
    }
    triangle {
      < 16.848547, 27.292774, 10.591549>,
      < 17.206375, 28.329739, 12.402572>,
      < 18.707798, 29.355633, 9.829927>
    }
    triangle {
      < 15.535843, 26.150806, 13.231953>,
      < 13.782801, 24.468904, 16.570248>,
      < 17.206375, 28.329739, 12.402572>
    }
    triangle {
      < 17.387630, 37.235630, 10.473288>,
      < 16.800793, 39.665226, 10.401196>,
      < 18.260002, 37.406288, 8.681988>
    }
    triangle {
      < 18.260002, 37.406288, 8.681988>,
      < 16.855398, 39.740131, 8.392917>,
      < 19.100918, 37.577103, 6.416967>
    }
    triangle {
      < 19.467403, 34.902496, 8.932222>,
      < 18.260002, 37.406288, 8.681988>,
      < 20.100216, 35.176926, 6.738446>
    }
    triangle {
      < 13.782801, 24.468904, 16.570248>,
      < 15.732857, 28.286781, 14.712629>,
      < 17.206375, 28.329739, 12.402572>
    }
    triangle {
      < 14.923951, 41.323624, 10.490752>,
      < 16.800793, 39.665226, 10.401196>,
      < 15.956326, 39.653347, 12.487507>
    }
    triangle {
      < 14.923951, 41.323624, 10.490752>,
      < 15.956326, 39.653347, 12.487507>,
      < 14.885338, 41.351318, 12.588591>
    }
    triangle {
      < 15.078396, 41.212887, 2.099409>,
      < 15.117007, 41.185200, 0.000000>,
      < 17.073820, 39.740131, 0.000000>
    }
    triangle {
      < 15.078396, 41.212887, 2.099409>,
      < 17.073820, 39.740131, 0.000000>,
      < 17.019213, 39.740131, 2.099409>
    }
    triangle {
      < 15.039785, 41.240585, 4.197246>,
      < 15.078396, 41.212887, 2.099409>,
      < 17.019213, 39.740131, 2.099409>
    }
    triangle {
      < 15.039785, 41.240585, 4.197246>,
      < 17.019213, 39.740131, 2.099409>,
      < 16.964611, 39.740131, 4.197246>
    }
    triangle {
      < 15.001173, 41.268238, 6.295083>,
      < 15.039785, 41.240585, 4.197246>,
      < 16.964611, 39.740131, 4.197246>
    }
    triangle {
      < 15.001173, 41.268238, 6.295083>,
      < 16.964611, 39.740131, 4.197246>,
      < 16.910004, 39.740131, 6.295083>
    }
    triangle {
      < 14.962563, 41.295952, 8.392917>,
      < 15.001173, 41.268238, 6.295083>,
      < 16.910004, 39.740131, 6.295083>
    }
    triangle {
      < 14.962563, 41.295952, 8.392917>,
      < 16.910004, 39.740131, 6.295083>,
      < 16.855398, 39.740131, 8.392917>
    }
    triangle {
      < 14.923951, 41.323624, 10.490752>,
      < 14.962563, 41.295952, 8.392917>,
      < 16.855398, 39.740131, 8.392917>
    }
    triangle {
      < 14.923951, 41.323624, 10.490752>,
      < 16.855398, 39.740131, 8.392917>,
      < 16.800793, 39.665226, 10.401196>
    }
    triangle {
      < 15.956326, 39.653347, 12.487507>,
      < 14.981298, 41.517422, 12.588591>,
      < 14.885338, 41.351318, 12.588591>
    }
    texture {sail4}
  }
  // sail6
  union {
    triangle {
      < 37.183197, 9.436539, 12.125172>,
      < 36.948586, 9.445372, 14.550205>,
      < 36.915100, 9.337111, 14.550205>
    }
    triangle {
      < 37.183197, 9.436539, 12.125172>,
      < 36.915100, 9.337111, 14.550205>,
      < 37.099464, 9.165879, 12.125172>
    }
    triangle {
      < 37.201889, 9.070754, 8.083447>,
      < 37.253113, 9.023188, 6.062584>,
      < 37.304321, 8.975623, 4.041723>
    }
    triangle {
      < 37.201889, 9.070754, 8.083447>,
      < 37.304321, 8.975623, 4.041723>,
      < 37.355537, 8.928061, 2.020860>
    }
    triangle {
      < 37.201889, 9.070754, 8.083447>,
      < 37.355537, 8.928061, 2.020860>,
      < 37.406761, 8.880497, 0.000000>
    }
    triangle {
      < 37.201889, 9.070754, 8.083447>,
      < 37.406761, 8.880497, 0.000000>,
      < 37.574219, 9.421815, 0.000000>
    }
    triangle {
      < 37.201889, 9.070754, 8.083447>,
      < 37.574219, 9.421815, 0.000000>,
      < 37.183197, 9.436539, 12.125172>
    }
    triangle {
      < 37.201889, 9.070754, 8.083447>,
      < 37.183197, 9.436539, 12.125172>,
      < 37.099464, 9.165879, 12.125172>
    }
    triangle {
      < 37.201889, 9.070754, 8.083447>,
      < 37.099464, 9.165879, 12.125172>,
      < 37.150681, 9.118316, 10.104307>
    }
    triangle {
      < 37.037880, 9.715820, 12.125172>,
      < 36.890457, 9.557086, 14.550205>,
      < 36.948586, 9.445372, 14.550205>
    }
    triangle {
      < 37.037880, 9.715820, 12.125172>,
      < 36.948586, 9.445372, 14.550205>,
      < 37.183197, 9.436539, 12.125172>
    }
    triangle {
      < 37.283577, 9.980377, 0.000000>,
      < 37.037880, 9.715820, 12.125172>,
      < 37.183197, 9.436539, 12.125172>
    }
    triangle {
      < 37.283577, 9.980377, 0.000000>,
      < 37.183197, 9.436539, 12.125172>,
      < 37.574219, 9.421815, 0.000000>
    }
    triangle {
      < 36.748634, 9.840131, 12.125172>,
      < 36.774757, 9.606809, 14.550205>,
      < 36.890457, 9.557086, 14.550205>
    }
    triangle {
      < 36.748634, 9.840131, 12.125172>,
      < 36.890457, 9.557086, 14.550205>,
      < 37.037880, 9.715820, 12.125172>
    }
    triangle {
      < 36.705086, 10.229001, 0.000000>,
      < 36.748634, 9.840131, 12.125172>,
      < 37.037880, 9.715820, 12.125172>
    }
    triangle {
      < 36.705086, 10.229001, 0.000000>,
      < 37.037880, 9.715820, 12.125172>,
      < 37.283577, 9.980377, 0.000000>
    }
    triangle {
      < 36.484894, 9.736646, 12.125172>,
      < 36.669266, 9.565416, 14.550205>,
      < 36.774757, 9.606809, 14.550205>
    }
    triangle {
      < 36.484894, 9.736646, 12.125172>,
      < 36.774757, 9.606809, 14.550205>,
      < 36.748634, 9.840131, 12.125172>
    }
    triangle {
      < 36.177612, 10.022031, 0.000000>,
      < 36.484894, 9.736646, 12.125172>,
      < 36.748634, 9.840131, 12.125172>
    }
    triangle {
      < 36.177612, 10.022031, 0.000000>,
      < 36.748634, 9.840131, 12.125172>,
      < 36.705086, 10.229001, 0.000000>
    }
    triangle {
      < 36.401161, 9.465988, 12.125172>,
      < 36.635773, 9.457152, 14.550205>,
      < 36.669266, 9.565416, 14.550205>
    }
    triangle {
      < 36.401161, 9.465988, 12.125172>,
      < 36.669266, 9.565416, 14.550205>,
      < 36.484894, 9.736646, 12.125172>
    }
    triangle {
      < 36.010139, 9.480717, 0.000000>,
      < 36.401161, 9.465988, 12.125172>,
      < 36.484894, 9.736646, 12.125172>
    }
    triangle {
      < 36.010139, 9.480717, 0.000000>,
      < 36.484894, 9.736646, 12.125172>,
      < 36.177612, 10.022031, 0.000000>
    }
    triangle {
      < 36.546486, 9.186706, 12.125172>,
      < 36.693893, 9.345439, 14.550205>,
      < 36.635773, 9.457152, 14.550205>
    }
    triangle {
      < 36.546486, 9.186706, 12.125172>,
      < 36.635773, 9.457152, 14.550205>,
      < 36.401161, 9.465988, 12.125172>
    }
    triangle {
      < 36.372047, 8.855958, 0.000000>,
      < 36.546486, 9.186706, 12.125172>,
      < 36.401161, 9.465988, 12.125172>
    }
    triangle {
      < 36.372047, 8.855958, 0.000000>,
      < 36.401161, 9.465988, 12.125172>,
      < 36.010139, 9.480717, 0.000000>
    }
    triangle {
      < 36.835732, 9.062397, 12.125172>,
      < 36.809601, 9.295714, 14.550205>,
      < 36.693893, 9.345439, 14.550205>
    }
    triangle {
      < 36.835732, 9.062397, 12.125172>,
      < 36.693893, 9.345439, 14.550205>,
      < 36.546486, 9.186706, 12.125172>
    }
    triangle {
      < 36.879280, 8.673531, 0.000000>,
      < 36.872025, 8.738340, 2.020860>,
      < 36.864754, 8.803152, 4.041723>
    }
    triangle {
      < 36.879280, 8.673531, 0.000000>,
      < 36.864754, 8.803152, 4.041723>,
      < 36.857498, 8.867962, 6.062584>
    }
    triangle {
      < 36.879280, 8.673531, 0.000000>,
      < 36.857498, 8.867962, 6.062584>,
      < 36.850243, 8.932775, 8.083447>
    }
    triangle {
      < 36.879280, 8.673531, 0.000000>,
      < 36.850243, 8.932775, 8.083447>,
      < 36.842987, 8.997587, 10.104307>
    }
    triangle {
      < 36.879280, 8.673531, 0.000000>,
      < 36.842987, 8.997587, 10.104307>,
      < 36.835732, 9.062397, 12.125172>
    }
    triangle {
      < 36.879280, 8.673531, 0.000000>,
      < 36.835732, 9.062397, 12.125172>,
      < 36.546486, 9.186706, 12.125172>
    }
    triangle {
      < 36.879280, 8.673531, 0.000000>,
      < 36.546486, 9.186706, 12.125172>,
      < 36.372047, 8.855958, 0.000000>
    }
    triangle {
      < 37.099464, 9.165879, 12.125172>,
      < 36.915100, 9.337111, 14.550205>,
      < 36.809601, 9.295714, 14.550205>
    }
    triangle {
      < 37.099464, 9.165879, 12.125172>,
      < 36.809601, 9.295714, 14.550205>,
      < 36.835732, 9.062397, 12.125172>
    }
    triangle {
      < 36.948586, 9.445372, 14.550205>,
      < 36.890457, 9.557086, 14.550205>,
      < 36.774757, 9.606809, 14.550205>
    }
    triangle {
      < 36.948586, 9.445372, 14.550205>,
      < 36.774757, 9.606809, 14.550205>,
      < 36.669266, 9.565416, 14.550205>
    }
    triangle {
      < 36.948586, 9.445372, 14.550205>,
      < 36.669266, 9.565416, 14.550205>,
      < 36.635773, 9.457152, 14.550205>
    }
    triangle {
      < 36.948586, 9.445372, 14.550205>,
      < 36.635773, 9.457152, 14.550205>,
      < 36.693893, 9.345439, 14.550205>
    }
    triangle {
      < 36.948586, 9.445372, 14.550205>,
      < 36.693893, 9.345439, 14.550205>,
      < 36.809601, 9.295714, 14.550205>
    }
    triangle {
      < 36.948586, 9.445372, 14.550205>,
      < 36.809601, 9.295714, 14.550205>,
      < 36.915100, 9.337111, 14.550205>
    }
    triangle {
      < 37.233280, 7.108510, 10.037751>,
      < 37.150681, 9.118316, 10.104307>,
      < 37.099464, 9.165879, 12.125172>
    }
    triangle {
      < 37.233280, 7.108510, 10.037751>,
      < 37.335197, 7.154058, 8.083447>,
      < 37.201889, 9.070754, 8.083447>
    }
    triangle {
      < 37.233280, 7.108510, 10.037751>,
      < 37.201889, 9.070754, 8.083447>,
      < 37.150681, 9.118316, 10.104307>
    }
    triangle {
      < 37.335197, 7.154058, 8.083447>,
      < 37.367207, 7.124331, 6.062584>,
      < 37.253113, 9.023188, 6.062584>
    }
    triangle {
      < 37.335197, 7.154058, 8.083447>,
      < 37.253113, 9.023188, 6.062584>,
      < 37.201889, 9.070754, 8.083447>
    }
    triangle {
      < 37.367207, 7.124331, 6.062584>,
      < 37.399216, 7.094601, 4.041723>,
      < 37.304321, 8.975623, 4.041723>
    }
    triangle {
      < 37.367207, 7.124331, 6.062584>,
      < 37.304321, 8.975623, 4.041723>,
      < 37.253113, 9.023188, 6.062584>
    }
    triangle {
      < 37.399216, 7.094601, 4.041723>,
      < 37.431225, 7.064876, 2.020860>,
      < 37.355537, 8.928061, 2.020860>
    }
    triangle {
      < 37.399216, 7.094601, 4.041723>,
      < 37.355537, 8.928061, 2.020860>,
      < 37.304321, 8.975623, 4.041723>
    }
    triangle {
      < 37.431225, 7.064876, 2.020860>,
      < 37.463234, 7.035147, 0.000000>,
      < 37.406761, 8.880497, 0.000000>
    }
    triangle {
      < 37.431225, 7.064876, 2.020860>,
      < 37.406761, 8.880497, 0.000000>,
      < 37.355537, 8.928061, 2.020860>
    }
    triangle {
      < 37.081245, 4.304998, 7.857507>,
      < 37.221157, 4.391452, 5.939371>,
      < 37.335197, 7.154058, 8.083447>
    }
    triangle {
      < 37.221157, 4.391452, 5.939371>,
      < 37.388454, 4.507402, 4.047314>,
      < 37.399216, 7.094601, 4.041723>
    }
    triangle {
      < 37.221157, 4.391452, 5.939371>,
      < 37.399216, 7.094601, 4.041723>,
      < 37.367207, 7.124331, 6.062584>
    }
    triangle {
      < 37.388454, 4.507402, 4.047314>,
      < 37.420464, 4.477671, 2.026452>,
      < 37.431225, 7.064876, 2.020860>
    }
    triangle {
      < 37.388454, 4.507402, 4.047314>,
      < 37.431225, 7.064876, 2.020860>,
      < 37.399216, 7.094601, 4.041723>
    }
    triangle {
      < 37.420464, 4.477671, 2.026452>,
      < 37.452499, 4.447899, 0.000000>,
      < 37.463234, 7.035147, 0.000000>
    }
    triangle {
      < 37.420464, 4.477671, 2.026452>,
      < 37.463234, 7.035147, 0.000000>,
      < 37.431225, 7.064876, 2.020860>
    }
    triangle {
      < 36.892029, 2.115348, 3.955562>,
      < 37.182858, 2.047582, 2.030749>,
      < 37.420464, 4.477671, 2.026452>
    }
    triangle {
      < 36.892029, 2.115348, 3.955562>,
      < 37.420464, 4.477671, 2.026452>,
      < 37.388454, 4.507402, 4.047314>
    }
    triangle {
      < 37.182858, 2.047582, 2.030749>,
      < 37.214912, 2.017770, 0.000000>,
      < 37.452499, 4.447899, 0.000000>
    }
    triangle {
      < 37.182858, 2.047582, 2.030749>,
      < 37.452499, 4.447899, 0.000000>,
      < 37.420464, 4.477671, 2.026452>
    }
    triangle {
      < 36.323467, 7.746022, 11.960131>,
      < 37.233280, 7.108510, 10.037751>,
      < 37.099464, 9.165879, 12.125172>
    }
    triangle {
      < 37.335197, 7.154058, 8.083447>,
      < 37.233280, 7.108510, 10.037751>,
      < 37.081245, 4.304998, 7.857507>
    }
    triangle {
      < 37.367207, 7.124331, 6.062584>,
      < 37.335197, 7.154058, 8.083447>,
      < 37.221157, 4.391452, 5.939371>
    }
    triangle {
      < 35.084148, 5.721714, 11.691292>,
      < 36.003555, 5.094525, 9.778038>,
      < 37.233280, 7.108510, 10.037751>
    }
    triangle {
      < 35.084148, 5.721714, 11.691292>,
      < 37.233280, 7.108510, 10.037751>,
      < 36.323467, 7.746022, 11.960131>
    }
    triangle {
      < 36.003555, 5.094525, 9.778038>,
      < 37.081245, 4.304998, 7.857507>,
      < 37.233280, 7.108510, 10.037751>
    }
    triangle {
      < 33.607471, 3.790157, 11.385965>,
      < 34.909115, 2.835039, 9.485566>,
      < 36.003555, 5.094525, 9.778038>
    }
    triangle {
      < 33.607471, 3.790157, 11.385965>,
      < 36.003555, 5.094525, 9.778038>,
      < 35.084148, 5.721714, 11.691292>
    }
    triangle {
      < 34.909115, 2.835039, 9.485566>,
      < 35.667908, 2.367693, 7.577384>,
      < 37.081245, 4.304998, 7.857507>
    }
    triangle {
      < 34.909115, 2.835039, 9.485566>,
      < 37.081245, 4.304998, 7.857507>,
      < 36.003555, 5.094525, 9.778038>
    }
    triangle {
      < 35.667908, 2.367693, 7.577384>,
      < 36.271950, 2.145690, 5.717442>,
      < 37.081245, 4.304998, 7.857507>
    }
    triangle {
      < 36.271950, 2.145690, 5.717442>,
      < 36.892029, 2.115348, 3.955562>,
      < 37.388454, 4.507402, 4.047314>
    }
    triangle {
      < 36.271950, 2.145690, 5.717442>,
      < 37.388454, 4.507402, 4.047314>,
      < 37.221157, 4.391452, 5.939371>
    }
    triangle {
      < 31.602478, 1.631277, 10.962500>,
      < 32.930016, 0.704046, 9.086754>,
      < 34.909115, 2.835039, 9.485566>
    }
    triangle {
      < 31.602478, 1.631277, 10.962500>,
      < 34.909115, 2.835039, 9.485566>,
      < 33.607471, 3.790157, 11.385965>
    }
    triangle {
      < 32.930016, 0.704046, 9.086754>,
      < 34.131218, 0.010538, 7.266258>,
      < 35.667908, 2.367693, 7.577384>
    }
    triangle {
      < 32.930016, 0.704046, 9.086754>,
      < 35.667908, 2.367693, 7.577384>,
      < 34.909115, 2.835039, 9.485566>
    }
    triangle {
      < 34.131218, 0.010538, 7.266258>,
      < 34.968334, -0.113652, 5.555511>,
      < 36.271950, 2.145690, 5.717442>
    }
    triangle {
      < 34.131218, 0.010538, 7.266258>,
      < 36.271950, 2.145690, 5.717442>,
      < 35.667908, 2.367693, 7.577384>
    }
    triangle {
      < 34.968334, -0.113652, 5.555511>,
      < 35.639095, -0.158133, 3.809260>,
      < 36.892029, 2.115348, 3.955562>
    }
    triangle {
      < 34.968334, -0.113652, 5.555511>,
      < 36.892029, 2.115348, 3.955562>,
      < 36.271950, 2.145690, 5.717442>
    }
    triangle {
      < 35.639095, -0.158133, 3.809260>,
      < 36.067928, -0.045890, 2.030749>,
      < 37.182858, 2.047582, 2.030749>
    }
    triangle {
      < 35.639095, -0.158133, 3.809260>,
      < 37.182858, 2.047582, 2.030749>,
      < 36.892029, 2.115348, 3.955562>
    }
    triangle {
      < 36.067928, -0.045890, 2.030749>,
      < 35.957718, 0.056421, 0.000000>,
      < 37.214912, 2.017770, 0.000000>
    }
    triangle {
      < 36.067928, -0.045890, 2.030749>,
      < 37.214912, 2.017770, 0.000000>,
      < 37.182858, 2.047582, 2.030749>
    }
    triangle {
      < 28.845230, -0.043453, 10.381071>,
      < 30.131302, -1.015334, 8.662334>,
      < 32.930016, 0.704046, 9.086754>
    }
    triangle {
      < 28.845230, -0.043453, 10.381071>,
      < 32.930016, 0.704046, 9.086754>,
      < 31.602478, 1.631277, 10.962500>
    }
    triangle {
      < 30.131302, -1.015334, 8.662334>,
      < 31.653908, -1.140924, 7.056657>,
      < 34.131218, 0.010538, 7.266258>
    }
    triangle {
      < 30.131302, -1.015334, 8.662334>,
      < 34.131218, 0.010538, 7.266258>,
      < 32.930016, 0.704046, 9.086754>
    }
    triangle {
      < 31.653908, -1.140924, 7.056657>,
      < 32.827682, -1.013539, 5.375172>,
      < 34.968334, -0.113652, 5.555511>
    }
    triangle {
      < 31.653908, -1.140924, 7.056657>,
      < 34.968334, -0.113652, 5.555511>,
      < 34.131218, 0.010538, 7.266258>
    }
    triangle {
      < 32.827682, -1.013539, 5.375172>,
      < 33.297836, -0.830322, 3.648569>,
      < 35.639095, -0.158133, 3.809260>
    }
    triangle {
      < 32.827682, -1.013539, 5.375172>,
      < 35.639095, -0.158133, 3.809260>,
      < 34.968334, -0.113652, 5.555511>
    }
    triangle {
      < 33.297836, -0.830322, 3.648569>,
      < 33.630875, -0.821223, 1.891142>,
      < 36.067928, -0.045890, 2.030749>
    }
    triangle {
      < 33.297836, -0.830322, 3.648569>,
      < 36.067928, -0.045890, 2.030749>,
      < 35.639095, -0.158133, 3.809260>
    }
    triangle {
      < 33.630875, -0.821223, 1.891142>,
      < 33.755875, -0.909353, 0.000000>,
      < 35.957718, 0.056421, 0.000000>
    }
    triangle {
      < 33.630875, -0.821223, 1.891142>,
      < 35.957718, 0.056421, 0.000000>,
      < 36.067928, -0.045890, 2.030749>
    }
    triangle {
      < 25.242256, -1.630489, 9.201742>,
      < 27.159927, -1.330692, 8.365163>,
      < 30.131302, -1.015334, 8.662334>
    }
    triangle {
      < 25.242256, -1.630489, 9.201742>,
      < 30.131302, -1.015334, 8.662334>,
      < 28.845230, -0.043453, 10.381071>
    }
    triangle {
      < 27.159927, -1.330692, 8.365163>,
      < 28.798569, -1.405293, 6.834847>,
      < 31.653908, -1.140924, 7.056657>
    }
    triangle {
      < 27.159927, -1.330692, 8.365163>,
      < 31.653908, -1.140924, 7.056657>,
      < 30.131302, -1.015334, 8.662334>
    }
    triangle {
      < 28.798569, -1.405293, 6.834847>,
      < 30.324669, -1.527117, 5.190393>,
      < 32.827682, -1.013539, 5.375172>
    }
    triangle {
      < 28.798569, -1.405293, 6.834847>,
      < 32.827682, -1.013539, 5.375172>,
      < 31.653908, -1.140924, 7.056657>
    }
    triangle {
      < 30.324669, -1.527117, 5.190393>,
      < 30.984987, -1.471915, 3.486860>,
      < 33.297836, -0.830322, 3.648569>
    }
    triangle {
      < 30.324669, -1.527117, 5.190393>,
      < 33.297836, -0.830322, 3.648569>,
      < 32.827682, -1.013539, 5.375172>
    }
    triangle {
      < 30.984987, -1.471915, 3.486860>,
      < 31.192715, -1.312438, 1.745566>,
      < 33.630875, -0.821223, 1.891142>
    }
    triangle {
      < 30.984987, -1.471915, 3.486860>,
      < 33.630875, -0.821223, 1.891142>,
      < 33.297836, -0.830322, 3.648569>
    }
    triangle {
      < 31.192715, -1.312438, 1.745566>,
      < 31.345444, -1.212310, -0.022011>,
      < 33.755875, -0.909353, 0.000000>
    }
    triangle {
      < 31.192715, -1.312438, 1.745566>,
      < 33.755875, -0.909353, 0.000000>,
      < 33.630875, -0.821223, 1.891142>
    }
    triangle {
      < 37.221157, 4.391452, 5.939371>,
      < 37.081245, 4.304998, 7.857507>,
      < 36.271950, 2.145690, 5.717442>
    }
    triangle {
      < 36.912689, 7.317153, 8.083447>,
      < 36.798645, 4.554550, 5.939371>,
      < 36.658737, 4.468093, 7.857507>
    }
    triangle {
      < 36.944698, 7.287426, 6.062584>,
      < 36.976711, 7.257699, 4.041723>,
      < 36.965946, 4.670499, 4.047314>
    }
    triangle {
      < 36.944698, 7.287426, 6.062584>,
      < 36.965946, 4.670499, 4.047314>,
      < 36.798645, 4.554550, 5.939371>
    }
    triangle {
      < 36.976711, 7.257699, 4.041723>,
      < 37.008717, 7.227970, 2.020860>,
      < 36.997955, 4.640769, 2.026452>
    }
    triangle {
      < 36.976711, 7.257699, 4.041723>,
      < 36.997955, 4.640769, 2.026452>,
      < 36.965946, 4.670499, 4.047314>
    }
    triangle {
      < 37.008717, 7.227970, 2.020860>,
      < 37.040730, 7.198245, 0.000000>,
      < 37.029991, 4.610995, 0.000000>
    }
    triangle {
      < 37.008717, 7.227970, 2.020860>,
      < 37.029991, 4.610995, 0.000000>,
      < 36.997955, 4.640769, 2.026452>
    }
    triangle {
      < 36.965946, 4.670499, 4.047314>,
      < 36.997955, 4.640769, 2.026452>,
      < 36.760353, 2.210679, 2.030749>
    }
    triangle {
      < 36.965946, 4.670499, 4.047314>,
      < 36.760353, 2.210679, 2.030749>,
      < 36.469521, 2.278445, 3.955562>
    }
    triangle {
      < 36.997955, 4.640769, 2.026452>,
      < 37.029991, 4.610995, 0.000000>,
      < 36.792404, 2.180868, 0.000000>
    }
    triangle {
      < 36.997955, 4.640769, 2.026452>,
      < 36.792404, 2.180868, 0.000000>,
      < 36.760353, 2.210679, 2.030749>
    }
    triangle {
      < 36.658737, 4.468093, 7.857507>,
      < 36.810776, 7.271606, 10.037751>,
      < 36.912689, 7.317153, 8.083447>
    }
    triangle {
      < 36.798645, 4.554550, 5.939371>,
      < 36.912689, 7.317153, 8.083447>,
      < 36.944698, 7.287426, 6.062584>
    }
    triangle {
      < 36.323467, 7.746022, 11.960131>,
      < 36.810776, 7.271606, 10.037751>,
      < 35.581047, 5.257621, 9.778038>
    }
    triangle {
      < 36.323467, 7.746022, 11.960131>,
      < 35.581047, 5.257621, 9.778038>,
      < 35.084148, 5.721714, 11.691292>
    }
    triangle {
      < 36.810776, 7.271606, 10.037751>,
      < 36.658737, 4.468093, 7.857507>,
      < 35.581047, 5.257621, 9.778038>
    }
    triangle {
      < 35.084148, 5.721714, 11.691292>,
      < 35.581047, 5.257621, 9.778038>,
      < 34.486607, 2.998137, 9.485566>
    }
    triangle {
      < 35.084148, 5.721714, 11.691292>,
      < 34.486607, 2.998137, 9.485566>,
      < 33.607471, 3.790157, 11.385965>
    }
    triangle {
      < 35.581047, 5.257621, 9.778038>,
      < 36.658737, 4.468093, 7.857507>,
      < 35.245403, 2.530790, 7.577384>
    }
    triangle {
      < 35.581047, 5.257621, 9.778038>,
      < 35.245403, 2.530790, 7.577384>,
      < 34.486607, 2.998137, 9.485566>
    }
    triangle {
      < 36.658737, 4.468093, 7.857507>,
      < 35.849438, 2.308786, 5.717442>,
      < 35.245403, 2.530790, 7.577384>
    }
    triangle {
      < 36.798645, 4.554550, 5.939371>,
      < 36.965946, 4.670499, 4.047314>,
      < 36.469521, 2.278445, 3.955562>
    }
    triangle {
      < 36.798645, 4.554550, 5.939371>,
      < 36.469521, 2.278445, 3.955562>,
      < 35.849438, 2.308786, 5.717442>
    }
    triangle {
      < 33.607471, 3.790157, 11.385965>,
      < 34.486607, 2.998137, 9.485566>,
      < 32.507507, 0.867143, 9.086754>
    }
    triangle {
      < 33.607471, 3.790157, 11.385965>,
      < 32.507507, 0.867143, 9.086754>,
      < 31.602478, 1.631277, 10.962500>
    }
    triangle {
      < 34.486607, 2.998137, 9.485566>,
      < 35.245403, 2.530790, 7.577384>,
      < 33.708714, 0.173633, 7.266258>
    }
    triangle {
      < 34.486607, 2.998137, 9.485566>,
      < 33.708714, 0.173633, 7.266258>,
      < 32.507507, 0.867143, 9.086754>
    }
    triangle {
      < 35.245403, 2.530790, 7.577384>,
      < 35.849438, 2.308786, 5.717442>,
      < 34.545826, 0.049446, 5.555511>
    }
    triangle {
      < 35.245403, 2.530790, 7.577384>,
      < 34.545826, 0.049446, 5.555511>,
      < 33.708714, 0.173633, 7.266258>
    }
    triangle {
      < 35.849438, 2.308786, 5.717442>,
      < 36.469521, 2.278445, 3.955562>,
      < 35.216587, 0.004963, 3.809260>
    }
    triangle {
      < 35.849438, 2.308786, 5.717442>,
      < 35.216587, 0.004963, 3.809260>,
      < 34.545826, 0.049446, 5.555511>
    }
    triangle {
      < 36.469521, 2.278445, 3.955562>,
      < 36.760353, 2.210679, 2.030749>,
      < 35.645420, 0.117208, 2.030749>
    }
    triangle {
      < 36.469521, 2.278445, 3.955562>,
      < 35.645420, 0.117208, 2.030749>,
      < 35.216587, 0.004963, 3.809260>
    }
    triangle {
      < 36.760353, 2.210679, 2.030749>,
      < 36.792404, 2.180868, 0.000000>,
      < 35.535206, 0.219519, 0.000000>
    }
    triangle {
      < 36.760353, 2.210679, 2.030749>,
      < 35.535206, 0.219519, 0.000000>,
      < 35.645420, 0.117208, 2.030749>
    }
    triangle {
      < 31.602478, 1.631277, 10.962500>,
      < 32.507507, 0.867143, 9.086754>,
      < 29.708790, -0.852237, 8.662334>
    }
    triangle {
      < 31.602478, 1.631277, 10.962500>,
      < 29.708790, -0.852237, 8.662334>,
      < 28.845230, -0.043453, 10.381071>
    }
    triangle {
      < 32.507507, 0.867143, 9.086754>,
      < 33.708714, 0.173633, 7.266258>,
      < 31.231400, -0.977827, 7.056657>
    }
    triangle {
      < 32.507507, 0.867143, 9.086754>,
      < 31.231400, -0.977827, 7.056657>,
      < 29.708790, -0.852237, 8.662334>
    }
    triangle {
      < 33.708714, 0.173633, 7.266258>,
      < 34.545826, 0.049446, 5.555511>,
      < 32.405174, -0.850443, 5.375172>
    }
    triangle {
      < 33.708714, 0.173633, 7.266258>,
      < 32.405174, -0.850443, 5.375172>,
      < 31.231400, -0.977827, 7.056657>
    }
    triangle {
      < 34.545826, 0.049446, 5.555511>,
      < 35.216587, 0.004963, 3.809260>,
      < 32.875324, -0.667224, 3.648569>
    }
    triangle {
      < 34.545826, 0.049446, 5.555511>,
      < 32.875324, -0.667224, 3.648569>,
      < 32.405174, -0.850443, 5.375172>
    }
    triangle {
      < 35.216587, 0.004963, 3.809260>,
      < 35.645420, 0.117208, 2.030749>,
      < 33.208366, -0.658127, 1.891142>
    }
    triangle {
      < 35.216587, 0.004963, 3.809260>,
      < 33.208366, -0.658127, 1.891142>,
      < 32.875324, -0.667224, 3.648569>
    }
    triangle {
      < 35.645420, 0.117208, 2.030749>,
      < 35.535206, 0.219519, 0.000000>,
      < 33.333366, -0.746256, 0.000000>
    }
    triangle {
      < 35.645420, 0.117208, 2.030749>,
      < 33.333366, -0.746256, 0.000000>,
      < 33.208366, -0.658127, 1.891142>
    }
    triangle {
      < 28.845230, -0.043453, 10.381071>,
      < 29.708790, -0.852237, 8.662334>,
      < 27.159927, -1.330692, 8.365163>
    }
    triangle {
      < 28.845230, -0.043453, 10.381071>,
      < 27.159927, -1.330692, 8.365163>,
      < 25.242256, -1.630489, 9.201742>
    }
    triangle {
      < 29.708790, -0.852237, 8.662334>,
      < 31.231400, -0.977827, 7.056657>,
      < 28.798569, -1.405293, 6.834847>
    }
    triangle {
      < 29.708790, -0.852237, 8.662334>,
      < 28.798569, -1.405293, 6.834847>,
      < 27.159927, -1.330692, 8.365163>
    }
    triangle {
      < 31.231400, -0.977827, 7.056657>,
      < 32.405174, -0.850443, 5.375172>,
      < 30.324669, -1.527117, 5.190393>
    }
    triangle {
      < 31.231400, -0.977827, 7.056657>,
      < 30.324669, -1.527117, 5.190393>,
      < 28.798569, -1.405293, 6.834847>
    }
    triangle {
      < 32.405174, -0.850443, 5.375172>,
      < 32.875324, -0.667224, 3.648569>,
      < 30.984987, -1.471915, 3.486860>
    }
    triangle {
      < 32.405174, -0.850443, 5.375172>,
      < 30.984987, -1.471915, 3.486860>,
      < 30.324669, -1.527117, 5.190393>
    }
    triangle {
      < 32.875324, -0.667224, 3.648569>,
      < 33.208366, -0.658127, 1.891142>,
      < 31.192715, -1.312438, 1.745566>
    }
    triangle {
      < 32.875324, -0.667224, 3.648569>,
      < 31.192715, -1.312438, 1.745566>,
      < 30.984987, -1.471915, 3.486860>
    }
    triangle {
      < 33.208366, -0.658127, 1.891142>,
      < 33.333366, -0.746256, 0.000000>,
      < 31.345444, -1.212310, -0.022011>
    }
    triangle {
      < 33.208366, -0.658127, 1.891142>,
      < 31.345444, -1.212310, -0.022011>,
      < 31.192715, -1.312438, 1.745566>
    }
    triangle {
      < 35.849438, 2.308786, 5.717442>,
      < 36.658737, 4.468093, 7.857507>,
      < 36.798645, 4.554550, 5.939371>
    }
    triangle {
      < 37.040730, 7.198245, 0.000000>,
      < 37.008717, 7.227970, 2.020860>,
      < 36.872025, 8.738340, 2.020860>
    }
    triangle {
      < 37.040730, 7.198245, 0.000000>,
      < 36.872025, 8.738340, 2.020860>,
      < 36.879280, 8.673531, 0.000000>
    }
    triangle {
      < 36.323467, 7.746022, 11.960131>,
      < 37.099464, 9.165879, 12.125172>,
      < 36.835732, 9.062397, 12.125172>
    }
    triangle {
      < 36.810776, 7.271606, 10.037751>,
      < 36.323467, 7.746022, 11.960131>,
      < 36.835732, 9.062397, 12.125172>
    }
    triangle {
      < 36.810776, 7.271606, 10.037751>,
      < 36.835732, 9.062397, 12.125172>,
      < 36.842987, 8.997587, 10.104307>
    }
    triangle {
      < 36.912689, 7.317153, 8.083447>,
      < 36.810776, 7.271606, 10.037751>,
      < 36.842987, 8.997587, 10.104307>
    }
    triangle {
      < 36.912689, 7.317153, 8.083447>,
      < 36.842987, 8.997587, 10.104307>,
      < 36.850243, 8.932775, 8.083447>
    }
    triangle {
      < 36.944698, 7.287426, 6.062584>,
      < 36.912689, 7.317153, 8.083447>,
      < 36.850243, 8.932775, 8.083447>
    }
    triangle {
      < 36.944698, 7.287426, 6.062584>,
      < 36.850243, 8.932775, 8.083447>,
      < 36.857498, 8.867962, 6.062584>
    }
    triangle {
      < 36.976711, 7.257699, 4.041723>,
      < 36.944698, 7.287426, 6.062584>,
      < 36.857498, 8.867962, 6.062584>
    }
    triangle {
      < 36.976711, 7.257699, 4.041723>,
      < 36.857498, 8.867962, 6.062584>,
      < 36.864754, 8.803152, 4.041723>
    }
    triangle {
      < 37.008717, 7.227970, 2.020860>,
      < 36.976711, 7.257699, 4.041723>,
      < 36.864754, 8.803152, 4.041723>
    }
    triangle {
      < 37.008717, 7.227970, 2.020860>,
      < 36.864754, 8.803152, 4.041723>,
      < 36.872025, 8.738340, 2.020860>
    }
    triangle {
      < 37.099464, 9.165879, -12.125172>,
      < 36.915100, 9.337111, -14.550205>,
      < 36.948586, 9.445372, -14.550205>
    }
    triangle {
      < 37.099464, 9.165879, -12.125172>,
      < 36.948586, 9.445372, -14.550205>,
      < 37.183197, 9.436539, -12.125172>
    }
    triangle {
      < 37.150681, 9.118316, -10.104307>,
      < 37.099464, 9.165879, -12.125172>,
      < 37.183197, 9.436539, -12.125172>
    }
    triangle {
      < 37.150681, 9.118316, -10.104307>,
      < 37.183197, 9.436539, -12.125172>,
      < 37.574219, 9.421815, 0.000000>
    }
    triangle {
      < 37.150681, 9.118316, -10.104307>,
      < 37.574219, 9.421815, 0.000000>,
      < 37.406761, 8.880497, 0.000000>
    }
    triangle {
      < 37.150681, 9.118316, -10.104307>,
      < 37.406761, 8.880497, 0.000000>,
      < 37.355537, 8.928061, -2.020860>
    }
    triangle {
      < 37.150681, 9.118316, -10.104307>,
      < 37.355537, 8.928061, -2.020860>,
      < 37.304321, 8.975623, -4.041723>
    }
    triangle {
      < 37.150681, 9.118316, -10.104307>,
      < 37.304321, 8.975623, -4.041723>,
      < 37.253113, 9.023188, -6.062584>
    }
    triangle {
      < 37.150681, 9.118316, -10.104307>,
      < 37.253113, 9.023188, -6.062584>,
      < 37.201889, 9.070754, -8.083447>
    }
    triangle {
      < 37.183197, 9.436539, -12.125172>,
      < 36.948586, 9.445372, -14.550205>,
      < 36.890457, 9.557086, -14.550205>
    }
    triangle {
      < 37.183197, 9.436539, -12.125172>,
      < 36.890457, 9.557086, -14.550205>,
      < 37.037880, 9.715820, -12.125172>
    }
    triangle {
      < 37.574219, 9.421815, 0.000000>,
      < 37.183197, 9.436539, -12.125172>,
      < 37.037880, 9.715820, -12.125172>
    }
    triangle {
      < 37.574219, 9.421815, 0.000000>,
      < 37.037880, 9.715820, -12.125172>,
      < 37.283577, 9.980377, 0.000000>
    }
    triangle {
      < 37.037880, 9.715820, -12.125172>,
      < 36.890457, 9.557086, -14.550205>,
      < 36.774757, 9.606809, -14.550205>
    }
    triangle {
      < 37.037880, 9.715820, -12.125172>,
      < 36.774757, 9.606809, -14.550205>,
      < 36.748634, 9.840131, -12.125172>
    }
    triangle {
      < 37.283577, 9.980377, 0.000000>,
      < 37.037880, 9.715820, -12.125172>,
      < 36.748634, 9.840131, -12.125172>
    }
    triangle {
      < 37.283577, 9.980377, 0.000000>,
      < 36.748634, 9.840131, -12.125172>,
      < 36.705086, 10.229001, 0.000000>
    }
    triangle {
      < 36.748634, 9.840131, -12.125172>,
      < 36.774757, 9.606809, -14.550205>,
      < 36.669266, 9.565416, -14.550205>
    }
    triangle {
      < 36.748634, 9.840131, -12.125172>,
      < 36.669266, 9.565416, -14.550205>,
      < 36.484894, 9.736646, -12.125172>
    }
    triangle {
      < 36.705086, 10.229001, 0.000000>,
      < 36.748634, 9.840131, -12.125172>,
      < 36.484894, 9.736646, -12.125172>
    }
    triangle {
      < 36.705086, 10.229001, 0.000000>,
      < 36.484894, 9.736646, -12.125172>,
      < 36.177612, 10.022031, 0.000000>
    }
    triangle {
      < 36.484894, 9.736646, -12.125172>,
      < 36.669266, 9.565416, -14.550205>,
      < 36.635773, 9.457152, -14.550205>
    }
    triangle {
      < 36.484894, 9.736646, -12.125172>,
      < 36.635773, 9.457152, -14.550205>,
      < 36.401161, 9.465988, -12.125172>
    }
    triangle {
      < 36.177612, 10.022031, 0.000000>,
      < 36.484894, 9.736646, -12.125172>,
      < 36.401161, 9.465988, -12.125172>
    }
    triangle {
      < 36.177612, 10.022031, 0.000000>,
      < 36.401161, 9.465988, -12.125172>,
      < 36.010139, 9.480717, 0.000000>
    }
    triangle {
      < 36.401161, 9.465988, -12.125172>,
      < 36.635773, 9.457152, -14.550205>,
      < 36.693893, 9.345439, -14.550205>
    }
    triangle {
      < 36.401161, 9.465988, -12.125172>,
      < 36.693893, 9.345439, -14.550205>,
      < 36.546486, 9.186706, -12.125172>
    }
    triangle {
      < 36.010139, 9.480717, 0.000000>,
      < 36.401161, 9.465988, -12.125172>,
      < 36.546486, 9.186706, -12.125172>
    }
    triangle {
      < 36.010139, 9.480717, 0.000000>,
      < 36.546486, 9.186706, -12.125172>,
      < 36.372047, 8.855958, 0.000000>
    }
    triangle {
      < 36.546486, 9.186706, -12.125172>,
      < 36.693893, 9.345439, -14.550205>,
      < 36.809601, 9.295714, -14.550205>
    }
    triangle {
      < 36.546486, 9.186706, -12.125172>,
      < 36.809601, 9.295714, -14.550205>,
      < 36.835732, 9.062397, -12.125172>
    }
    triangle {
      < 36.372047, 8.855958, 0.000000>,
      < 36.546486, 9.186706, -12.125172>,
      < 36.835732, 9.062397, -12.125172>
    }
    triangle {
      < 36.372047, 8.855958, 0.000000>,
      < 36.835732, 9.062397, -12.125172>,
      < 36.842987, 8.997587, -10.104307>
    }
    triangle {
      < 36.372047, 8.855958, 0.000000>,
      < 36.842987, 8.997587, -10.104307>,
      < 36.850243, 8.932775, -8.083447>
    }
    triangle {
      < 36.372047, 8.855958, 0.000000>,
      < 36.850243, 8.932775, -8.083447>,
      < 36.857498, 8.867962, -6.062584>
    }
    triangle {
      < 36.372047, 8.855958, 0.000000>,
      < 36.857498, 8.867962, -6.062584>,
      < 36.864754, 8.803152, -4.041723>
    }
    triangle {
      < 36.372047, 8.855958, 0.000000>,
      < 36.864754, 8.803152, -4.041723>,
      < 36.872025, 8.738340, -2.020860>
    }
    triangle {
      < 36.372047, 8.855958, 0.000000>,
      < 36.872025, 8.738340, -2.020860>,
      < 36.879280, 8.673531, 0.000000>
    }
    triangle {
      < 36.835732, 9.062397, -12.125172>,
      < 36.809601, 9.295714, -14.550205>,
      < 36.915100, 9.337111, -14.550205>
    }
    triangle {
      < 36.835732, 9.062397, -12.125172>,
      < 36.915100, 9.337111, -14.550205>,
      < 37.099464, 9.165879, -12.125172>
    }
    triangle {
      < 36.915100, 9.337111, -14.550205>,
      < 36.809601, 9.295714, -14.550205>,
      < 36.693893, 9.345439, -14.550205>
    }
    triangle {
      < 36.915100, 9.337111, -14.550205>,
      < 36.693893, 9.345439, -14.550205>,
      < 36.635773, 9.457152, -14.550205>
    }
    triangle {
      < 36.915100, 9.337111, -14.550205>,
      < 36.635773, 9.457152, -14.550205>,
      < 36.669266, 9.565416, -14.550205>
    }
    triangle {
      < 36.915100, 9.337111, -14.550205>,
      < 36.669266, 9.565416, -14.550205>,
      < 36.774757, 9.606809, -14.550205>
    }
    triangle {
      < 36.915100, 9.337111, -14.550205>,
      < 36.774757, 9.606809, -14.550205>,
      < 36.890457, 9.557086, -14.550205>
    }
    triangle {
      < 36.915100, 9.337111, -14.550205>,
      < 36.890457, 9.557086, -14.550205>,
      < 36.948586, 9.445372, -14.550205>
    }
    triangle {
      < 37.099464, 9.165879, -12.125172>,
      < 37.150681, 9.118316, -10.104307>,
      < 37.233280, 7.108510, -10.037751>
    }
    triangle {
      < 37.150681, 9.118316, -10.104307>,
      < 37.201889, 9.070754, -8.083447>,
      < 37.335197, 7.154058, -8.083447>
    }
    triangle {
      < 37.150681, 9.118316, -10.104307>,
      < 37.335197, 7.154058, -8.083447>,
      < 37.233280, 7.108510, -10.037751>
    }
    triangle {
      < 37.201889, 9.070754, -8.083447>,
      < 37.253113, 9.023188, -6.062584>,
      < 37.367207, 7.124331, -6.062584>
    }
    triangle {
      < 37.201889, 9.070754, -8.083447>,
      < 37.367207, 7.124331, -6.062584>,
      < 37.335197, 7.154058, -8.083447>
    }
    triangle {
      < 37.253113, 9.023188, -6.062584>,
      < 37.304321, 8.975623, -4.041723>,
      < 37.399216, 7.094601, -4.041723>
    }
    triangle {
      < 37.253113, 9.023188, -6.062584>,
      < 37.399216, 7.094601, -4.041723>,
      < 37.367207, 7.124331, -6.062584>
    }
    triangle {
      < 37.304321, 8.975623, -4.041723>,
      < 37.355537, 8.928061, -2.020860>,
      < 37.431225, 7.064876, -2.020860>
    }
    triangle {
      < 37.304321, 8.975623, -4.041723>,
      < 37.431225, 7.064876, -2.020860>,
      < 37.399216, 7.094601, -4.041723>
    }
    triangle {
      < 37.355537, 8.928061, -2.020860>,
      < 37.406761, 8.880497, 0.000000>,
      < 37.463234, 7.035147, 0.000000>
    }
    triangle {
      < 37.355537, 8.928061, -2.020860>,
      < 37.463234, 7.035147, 0.000000>,
      < 37.431225, 7.064876, -2.020860>
    }
    triangle {
      < 37.335197, 7.154058, -8.083447>,
      < 37.221157, 4.391452, -5.939371>,
      < 37.081245, 4.304998, -7.857507>
    }
    triangle {
      < 37.367207, 7.124331, -6.062584>,
      < 37.399216, 7.094601, -4.041723>,
      < 37.388454, 4.507402, -4.047314>
    }
    triangle {
      < 37.367207, 7.124331, -6.062584>,
      < 37.388454, 4.507402, -4.047314>,
      < 37.221157, 4.391452, -5.939371>
    }
    triangle {
      < 37.399216, 7.094601, -4.041723>,
      < 37.431225, 7.064876, -2.020860>,
      < 37.420464, 4.477671, -2.026452>
    }
    triangle {
      < 37.399216, 7.094601, -4.041723>,
      < 37.420464, 4.477671, -2.026452>,
      < 37.388454, 4.507402, -4.047314>
    }
    triangle {
      < 37.431225, 7.064876, -2.020860>,
      < 37.463234, 7.035147, 0.000000>,
      < 37.452499, 4.447899, 0.000000>
    }
    triangle {
      < 37.431225, 7.064876, -2.020860>,
      < 37.452499, 4.447899, 0.000000>,
      < 37.420464, 4.477671, -2.026452>
    }
    triangle {
      < 37.388454, 4.507402, -4.047314>,
      < 37.420464, 4.477671, -2.026452>,
      < 37.182858, 2.047582, -2.030749>
    }
    triangle {
      < 37.388454, 4.507402, -4.047314>,
      < 37.182858, 2.047582, -2.030749>,
      < 36.892029, 2.115348, -3.955562>
    }
    triangle {
      < 37.420464, 4.477671, -2.026452>,
      < 37.452499, 4.447899, 0.000000>,
      < 37.214912, 2.017770, 0.000000>
    }
    triangle {
      < 37.420464, 4.477671, -2.026452>,
      < 37.214912, 2.017770, 0.000000>,
      < 37.182858, 2.047582, -2.030749>
    }
    triangle {
      < 37.099464, 9.165879, -12.125172>,
      < 37.233280, 7.108510, -10.037751>,
      < 36.323467, 7.746022, -11.960131>
    }
    triangle {
      < 37.081245, 4.304998, -7.857507>,
      < 37.233280, 7.108510, -10.037751>,
      < 37.335197, 7.154058, -8.083447>
    }
    triangle {
      < 37.221157, 4.391452, -5.939371>,
      < 37.335197, 7.154058, -8.083447>,
      < 37.367207, 7.124331, -6.062584>
    }
    triangle {
      < 36.323467, 7.746022, -11.960131>,
      < 37.233280, 7.108510, -10.037751>,
      < 36.003555, 5.094525, -9.778038>
    }
    triangle {
      < 36.323467, 7.746022, -11.960131>,
      < 36.003555, 5.094525, -9.778038>,
      < 35.084148, 5.721714, -11.691292>
    }
    triangle {
      < 37.233280, 7.108510, -10.037751>,
      < 37.081245, 4.304998, -7.857507>,
      < 36.003555, 5.094525, -9.778038>
    }
    triangle {
      < 35.084148, 5.721714, -11.691292>,
      < 36.003555, 5.094525, -9.778038>,
      < 34.909115, 2.835039, -9.485566>
    }
    triangle {
      < 35.084148, 5.721714, -11.691292>,
      < 34.909115, 2.835039, -9.485566>,
      < 33.607471, 3.790157, -11.385965>
    }
    triangle {
      < 36.003555, 5.094525, -9.778038>,
      < 37.081245, 4.304998, -7.857507>,
      < 35.667908, 2.367693, -7.577384>
    }
    triangle {
      < 36.003555, 5.094525, -9.778038>,
      < 35.667908, 2.367693, -7.577384>,
      < 34.909115, 2.835039, -9.485566>
    }
    triangle {
      < 37.081245, 4.304998, -7.857507>,
      < 36.271950, 2.145690, -5.717442>,
      < 35.667908, 2.367693, -7.577384>
    }
    triangle {
      < 37.221157, 4.391452, -5.939371>,
      < 37.388454, 4.507402, -4.047314>,
      < 36.892029, 2.115348, -3.955562>
    }
    triangle {
      < 37.221157, 4.391452, -5.939371>,
      < 36.892029, 2.115348, -3.955562>,
      < 36.271950, 2.145690, -5.717442>
    }
    triangle {
      < 33.607471, 3.790157, -11.385965>,
      < 34.909115, 2.835039, -9.485566>,
      < 32.930016, 0.704046, -9.086754>
    }
    triangle {
      < 33.607471, 3.790157, -11.385965>,
      < 32.930016, 0.704046, -9.086754>,
      < 31.602478, 1.631277, -10.962500>
    }
    triangle {
      < 34.909115, 2.835039, -9.485566>,
      < 35.667908, 2.367693, -7.577384>,
      < 34.131218, 0.010538, -7.266258>
    }
    triangle {
      < 34.909115, 2.835039, -9.485566>,
      < 34.131218, 0.010538, -7.266258>,
      < 32.930016, 0.704046, -9.086754>
    }
    triangle {
      < 35.667908, 2.367693, -7.577384>,
      < 36.271950, 2.145690, -5.717442>,
      < 34.968334, -0.113652, -5.555511>
    }
    triangle {
      < 35.667908, 2.367693, -7.577384>,
      < 34.968334, -0.113652, -5.555511>,
      < 34.131218, 0.010538, -7.266258>
    }
    triangle {
      < 36.271950, 2.145690, -5.717442>,
      < 36.892029, 2.115348, -3.955562>,
      < 35.639095, -0.158133, -3.809260>
    }
    triangle {
      < 36.271950, 2.145690, -5.717442>,
      < 35.639095, -0.158133, -3.809260>,
      < 34.968334, -0.113652, -5.555511>
    }
    triangle {
      < 36.892029, 2.115348, -3.955562>,
      < 37.182858, 2.047582, -2.030749>,
      < 36.067928, -0.045890, -2.030749>
    }
    triangle {
      < 36.892029, 2.115348, -3.955562>,
      < 36.067928, -0.045890, -2.030749>,
      < 35.639095, -0.158133, -3.809260>
    }
    triangle {
      < 37.182858, 2.047582, -2.030749>,
      < 37.214912, 2.017770, 0.000000>,
      < 35.957718, 0.056421, 0.000000>
    }
    triangle {
      < 37.182858, 2.047582, -2.030749>,
      < 35.957718, 0.056421, 0.000000>,
      < 36.067928, -0.045890, -2.030749>
    }
    triangle {
      < 31.602478, 1.631277, -10.962500>,
      < 32.930016, 0.704046, -9.086754>,
      < 30.131302, -1.015334, -8.662334>
    }
    triangle {
      < 31.602478, 1.631277, -10.962500>,
      < 30.131302, -1.015334, -8.662334>,
      < 28.845230, -0.043453, -10.381071>
    }
    triangle {
      < 32.930016, 0.704046, -9.086754>,
      < 34.131218, 0.010538, -7.266258>,
      < 31.653908, -1.140924, -7.056657>
    }
    triangle {
      < 32.930016, 0.704046, -9.086754>,
      < 31.653908, -1.140924, -7.056657>,
      < 30.131302, -1.015334, -8.662334>
    }
    triangle {
      < 34.131218, 0.010538, -7.266258>,
      < 34.968334, -0.113652, -5.555511>,
      < 32.827682, -1.013539, -5.375172>
    }
    triangle {
      < 34.131218, 0.010538, -7.266258>,
      < 32.827682, -1.013539, -5.375172>,
      < 31.653908, -1.140924, -7.056657>
    }
    triangle {
      < 34.968334, -0.113652, -5.555511>,
      < 35.639095, -0.158133, -3.809260>,
      < 33.297836, -0.830322, -3.648569>
    }
    triangle {
      < 34.968334, -0.113652, -5.555511>,
      < 33.297836, -0.830322, -3.648569>,
      < 32.827682, -1.013539, -5.375172>
    }
    triangle {
      < 35.639095, -0.158133, -3.809260>,
      < 36.067928, -0.045890, -2.030749>,
      < 33.630875, -0.821223, -1.891142>
    }
    triangle {
      < 35.639095, -0.158133, -3.809260>,
      < 33.630875, -0.821223, -1.891142>,
      < 33.297836, -0.830322, -3.648569>
    }
    triangle {
      < 36.067928, -0.045890, -2.030749>,
      < 35.957718, 0.056421, 0.000000>,
      < 33.755875, -0.909353, 0.000000>
    }
    triangle {
      < 36.067928, -0.045890, -2.030749>,
      < 33.755875, -0.909353, 0.000000>,
      < 33.630875, -0.821223, -1.891142>
    }
    triangle {
      < 28.845230, -0.043453, -10.381071>,
      < 30.131302, -1.015334, -8.662334>,
      < 27.159927, -1.330692, -8.365163>
    }
    triangle {
      < 28.845230, -0.043453, -10.381071>,
      < 27.159927, -1.330692, -8.365163>,
      < 25.242256, -1.630489, -9.201742>
    }
    triangle {
      < 30.131302, -1.015334, -8.662334>,
      < 31.653908, -1.140924, -7.056657>,
      < 28.798569, -1.405293, -6.834847>
    }
    triangle {
      < 30.131302, -1.015334, -8.662334>,
      < 28.798569, -1.405293, -6.834847>,
      < 27.159927, -1.330692, -8.365163>
    }
    triangle {
      < 31.653908, -1.140924, -7.056657>,
      < 32.827682, -1.013539, -5.375172>,
      < 30.324669, -1.527117, -5.190393>
    }
    triangle {
      < 31.653908, -1.140924, -7.056657>,
      < 30.324669, -1.527117, -5.190393>,
      < 28.798569, -1.405293, -6.834847>
    }
    triangle {
      < 32.827682, -1.013539, -5.375172>,
      < 33.297836, -0.830322, -3.648569>,
      < 30.984987, -1.471915, -3.486860>
    }
    triangle {
      < 32.827682, -1.013539, -5.375172>,
      < 30.984987, -1.471915, -3.486860>,
      < 30.324669, -1.527117, -5.190393>
    }
    triangle {
      < 33.297836, -0.830322, -3.648569>,
      < 33.630875, -0.821223, -1.891142>,
      < 31.192715, -1.312438, -1.745566>
    }
    triangle {
      < 33.297836, -0.830322, -3.648569>,
      < 31.192715, -1.312438, -1.745566>,
      < 30.984987, -1.471915, -3.486860>
    }
    triangle {
      < 33.630875, -0.821223, -1.891142>,
      < 33.755875, -0.909353, 0.000000>,
      < 31.345444, -1.212310, -0.022011>
    }
    triangle {
      < 33.630875, -0.821223, -1.891142>,
      < 31.345444, -1.212310, -0.022011>,
      < 31.192715, -1.312438, -1.745566>
    }
    triangle {
      < 36.271950, 2.145690, -5.717442>,
      < 37.081245, 4.304998, -7.857507>,
      < 37.221157, 4.391452, -5.939371>
    }
    triangle {
      < 36.658737, 4.468093, -7.857507>,
      < 36.798645, 4.554550, -5.939371>,
      < 36.912689, 7.317153, -8.083447>
    }
    triangle {
      < 36.798645, 4.554550, -5.939371>,
      < 36.965946, 4.670499, -4.047314>,
      < 36.976711, 7.257699, -4.041723>
    }
    triangle {
      < 36.798645, 4.554550, -5.939371>,
      < 36.976711, 7.257699, -4.041723>,
      < 36.944698, 7.287426, -6.062584>
    }
    triangle {
      < 36.965946, 4.670499, -4.047314>,
      < 36.997955, 4.640769, -2.026452>,
      < 37.008717, 7.227970, -2.020860>
    }
    triangle {
      < 36.965946, 4.670499, -4.047314>,
      < 37.008717, 7.227970, -2.020860>,
      < 36.976711, 7.257699, -4.041723>
    }
    triangle {
      < 36.997955, 4.640769, -2.026452>,
      < 37.029991, 4.610995, 0.000000>,
      < 37.040730, 7.198245, 0.000000>
    }
    triangle {
      < 36.997955, 4.640769, -2.026452>,
      < 37.040730, 7.198245, 0.000000>,
      < 37.008717, 7.227970, -2.020860>
    }
    triangle {
      < 36.469521, 2.278445, -3.955562>,
      < 36.760353, 2.210679, -2.030749>,
      < 36.997955, 4.640769, -2.026452>
    }
    triangle {
      < 36.469521, 2.278445, -3.955562>,
      < 36.997955, 4.640769, -2.026452>,
      < 36.965946, 4.670499, -4.047314>
    }
    triangle {
      < 36.760353, 2.210679, -2.030749>,
      < 36.792404, 2.180868, 0.000000>,
      < 37.029991, 4.610995, 0.000000>
    }
    triangle {
      < 36.760353, 2.210679, -2.030749>,
      < 37.029991, 4.610995, 0.000000>,
      < 36.997955, 4.640769, -2.026452>
    }
    triangle {
      < 36.912689, 7.317153, -8.083447>,
      < 36.810776, 7.271606, -10.037751>,
      < 36.658737, 4.468093, -7.857507>
    }
    triangle {
      < 36.944698, 7.287426, -6.062584>,
      < 36.912689, 7.317153, -8.083447>,
      < 36.798645, 4.554550, -5.939371>
    }
    triangle {
      < 35.084148, 5.721714, -11.691292>,
      < 35.581047, 5.257621, -9.778038>,
      < 36.810776, 7.271606, -10.037751>
    }
    triangle {
      < 35.084148, 5.721714, -11.691292>,
      < 36.810776, 7.271606, -10.037751>,
      < 36.323467, 7.746022, -11.960131>
    }
    triangle {
      < 35.581047, 5.257621, -9.778038>,
      < 36.658737, 4.468093, -7.857507>,
      < 36.810776, 7.271606, -10.037751>
    }
    triangle {
      < 33.607471, 3.790157, -11.385965>,
      < 34.486607, 2.998137, -9.485566>,
      < 35.581047, 5.257621, -9.778038>
    }
    triangle {
      < 33.607471, 3.790157, -11.385965>,
      < 35.581047, 5.257621, -9.778038>,
      < 35.084148, 5.721714, -11.691292>
    }
    triangle {
      < 34.486607, 2.998137, -9.485566>,
      < 35.245403, 2.530790, -7.577384>,
      < 36.658737, 4.468093, -7.857507>
    }
    triangle {
      < 34.486607, 2.998137, -9.485566>,
      < 36.658737, 4.468093, -7.857507>,
      < 35.581047, 5.257621, -9.778038>
    }
    triangle {
      < 35.245403, 2.530790, -7.577384>,
      < 35.849438, 2.308786, -5.717442>,
      < 36.658737, 4.468093, -7.857507>
    }
    triangle {
      < 35.849438, 2.308786, -5.717442>,
      < 36.469521, 2.278445, -3.955562>,
      < 36.965946, 4.670499, -4.047314>
    }
    triangle {
      < 35.849438, 2.308786, -5.717442>,
      < 36.965946, 4.670499, -4.047314>,
      < 36.798645, 4.554550, -5.939371>
    }
    triangle {
      < 31.602478, 1.631277, -10.962500>,
      < 32.507507, 0.867143, -9.086754>,
      < 34.486607, 2.998137, -9.485566>
    }
    triangle {
      < 31.602478, 1.631277, -10.962500>,
      < 34.486607, 2.998137, -9.485566>,
      < 33.607471, 3.790157, -11.385965>
    }
    triangle {
      < 32.507507, 0.867143, -9.086754>,
      < 33.708714, 0.173633, -7.266258>,
      < 35.245403, 2.530790, -7.577384>
    }
    triangle {
      < 32.507507, 0.867143, -9.086754>,
      < 35.245403, 2.530790, -7.577384>,
      < 34.486607, 2.998137, -9.485566>
    }
    triangle {
      < 33.708714, 0.173633, -7.266258>,
      < 34.545826, 0.049446, -5.555511>,
      < 35.849438, 2.308786, -5.717442>
    }
    triangle {
      < 33.708714, 0.173633, -7.266258>,
      < 35.849438, 2.308786, -5.717442>,
      < 35.245403, 2.530790, -7.577384>
    }
    triangle {
      < 34.545826, 0.049446, -5.555511>,
      < 35.216587, 0.004963, -3.809260>,
      < 36.469521, 2.278445, -3.955562>
    }
    triangle {
      < 34.545826, 0.049446, -5.555511>,
      < 36.469521, 2.278445, -3.955562>,
      < 35.849438, 2.308786, -5.717442>
    }
    triangle {
      < 35.216587, 0.004963, -3.809260>,
      < 35.645420, 0.117208, -2.030749>,
      < 36.760353, 2.210679, -2.030749>
    }
    triangle {
      < 35.216587, 0.004963, -3.809260>,
      < 36.760353, 2.210679, -2.030749>,
      < 36.469521, 2.278445, -3.955562>
    }
    triangle {
      < 35.645420, 0.117208, -2.030749>,
      < 35.535206, 0.219519, 0.000000>,
      < 36.792404, 2.180868, 0.000000>
    }
    triangle {
      < 35.645420, 0.117208, -2.030749>,
      < 36.792404, 2.180868, 0.000000>,
      < 36.760353, 2.210679, -2.030749>
    }
    triangle {
      < 28.845230, -0.043453, -10.381071>,
      < 29.708790, -0.852237, -8.662334>,
      < 32.507507, 0.867143, -9.086754>
    }
    triangle {
      < 28.845230, -0.043453, -10.381071>,
      < 32.507507, 0.867143, -9.086754>,
      < 31.602478, 1.631277, -10.962500>
    }
    triangle {
      < 29.708790, -0.852237, -8.662334>,
      < 31.231400, -0.977827, -7.056657>,
      < 33.708714, 0.173633, -7.266258>
    }
    triangle {
      < 29.708790, -0.852237, -8.662334>,
      < 33.708714, 0.173633, -7.266258>,
      < 32.507507, 0.867143, -9.086754>
    }
    triangle {
      < 31.231400, -0.977827, -7.056657>,
      < 32.405174, -0.850443, -5.375172>,
      < 34.545826, 0.049446, -5.555511>
    }
    triangle {
      < 31.231400, -0.977827, -7.056657>,
      < 34.545826, 0.049446, -5.555511>,
      < 33.708714, 0.173633, -7.266258>
    }
    triangle {
      < 32.405174, -0.850443, -5.375172>,
      < 32.875324, -0.667224, -3.648569>,
      < 35.216587, 0.004963, -3.809260>
    }
    triangle {
      < 32.405174, -0.850443, -5.375172>,
      < 35.216587, 0.004963, -3.809260>,
      < 34.545826, 0.049446, -5.555511>
    }
    triangle {
      < 32.875324, -0.667224, -3.648569>,
      < 33.208366, -0.658127, -1.891142>,
      < 35.645420, 0.117208, -2.030749>
    }
    triangle {
      < 32.875324, -0.667224, -3.648569>,
      < 35.645420, 0.117208, -2.030749>,
      < 35.216587, 0.004963, -3.809260>
    }
    triangle {
      < 33.208366, -0.658127, -1.891142>,
      < 33.333366, -0.746256, 0.000000>,
      < 35.535206, 0.219519, 0.000000>
    }
    triangle {
      < 33.208366, -0.658127, -1.891142>,
      < 35.535206, 0.219519, 0.000000>,
      < 35.645420, 0.117208, -2.030749>
    }
    triangle {
      < 25.242256, -1.630489, -9.201742>,
      < 27.159927, -1.330692, -8.365163>,
      < 29.708790, -0.852237, -8.662334>
    }
    triangle {
      < 25.242256, -1.630489, -9.201742>,
      < 29.708790, -0.852237, -8.662334>,
      < 28.845230, -0.043453, -10.381071>
    }
    triangle {
      < 27.159927, -1.330692, -8.365163>,
      < 28.798569, -1.405293, -6.834847>,
      < 31.231400, -0.977827, -7.056657>
    }
    triangle {
      < 27.159927, -1.330692, -8.365163>,
      < 31.231400, -0.977827, -7.056657>,
      < 29.708790, -0.852237, -8.662334>
    }
    triangle {
      < 28.798569, -1.405293, -6.834847>,
      < 30.324669, -1.527117, -5.190393>,
      < 32.405174, -0.850443, -5.375172>
    }
    triangle {
      < 28.798569, -1.405293, -6.834847>,
      < 32.405174, -0.850443, -5.375172>,
      < 31.231400, -0.977827, -7.056657>
    }
    triangle {
      < 30.324669, -1.527117, -5.190393>,
      < 30.984987, -1.471915, -3.486860>,
      < 32.875324, -0.667224, -3.648569>
    }
    triangle {
      < 30.324669, -1.527117, -5.190393>,
      < 32.875324, -0.667224, -3.648569>,
      < 32.405174, -0.850443, -5.375172>
    }
    triangle {
      < 30.984987, -1.471915, -3.486860>,
      < 31.192715, -1.312438, -1.745566>,
      < 33.208366, -0.658127, -1.891142>
    }
    triangle {
      < 30.984987, -1.471915, -3.486860>,
      < 33.208366, -0.658127, -1.891142>,
      < 32.875324, -0.667224, -3.648569>
    }
    triangle {
      < 31.192715, -1.312438, -1.745566>,
      < 31.345444, -1.212310, -0.022011>,
      < 33.333366, -0.746256, 0.000000>
    }
    triangle {
      < 31.192715, -1.312438, -1.745566>,
      < 33.333366, -0.746256, 0.000000>,
      < 33.208366, -0.658127, -1.891142>
    }
    triangle {
      < 36.798645, 4.554550, -5.939371>,
      < 36.658737, 4.468093, -7.857507>,
      < 35.849438, 2.308786, -5.717442>
    }
    triangle {
      < 36.879280, 8.673531, 0.000000>,
      < 36.872025, 8.738340, -2.020860>,
      < 37.008717, 7.227970, -2.020860>
    }
    triangle {
      < 36.879280, 8.673531, 0.000000>,
      < 37.008717, 7.227970, -2.020860>,
      < 37.040730, 7.198245, 0.000000>
    }
    triangle {
      < 36.835732, 9.062397, -12.125172>,
      < 37.099464, 9.165879, -12.125172>,
      < 36.323467, 7.746022, -11.960131>
    }
    triangle {
      < 36.842987, 8.997587, -10.104307>,
      < 36.835732, 9.062397, -12.125172>,
      < 36.323467, 7.746022, -11.960131>
    }
    triangle {
      < 36.842987, 8.997587, -10.104307>,
      < 36.323467, 7.746022, -11.960131>,
      < 36.810776, 7.271606, -10.037751>
    }
    triangle {
      < 36.850243, 8.932775, -8.083447>,
      < 36.842987, 8.997587, -10.104307>,
      < 36.810776, 7.271606, -10.037751>
    }
    triangle {
      < 36.850243, 8.932775, -8.083447>,
      < 36.810776, 7.271606, -10.037751>,
      < 36.912689, 7.317153, -8.083447>
    }
    triangle {
      < 36.857498, 8.867962, -6.062584>,
      < 36.850243, 8.932775, -8.083447>,
      < 36.912689, 7.317153, -8.083447>
    }
    triangle {
      < 36.857498, 8.867962, -6.062584>,
      < 36.912689, 7.317153, -8.083447>,
      < 36.944698, 7.287426, -6.062584>
    }
    triangle {
      < 36.864754, 8.803152, -4.041723>,
      < 36.857498, 8.867962, -6.062584>,
      < 36.944698, 7.287426, -6.062584>
    }
    triangle {
      < 36.864754, 8.803152, -4.041723>,
      < 36.944698, 7.287426, -6.062584>,
      < 36.976711, 7.257699, -4.041723>
    }
    triangle {
      < 36.872025, 8.738340, -2.020860>,
      < 36.864754, 8.803152, -4.041723>,
      < 36.976711, 7.257699, -4.041723>
    }
    triangle {
      < 36.872025, 8.738340, -2.020860>,
      < 36.976711, 7.257699, -4.041723>,
      < 37.008717, 7.227970, -2.020860>
    }
    texture {sail6}
  }
  // sail3
  union {
    triangle {
      < -25.434660, 38.855247, 12.764452>,
      < -26.837248, 41.324783, 15.223574>,
      < -26.800455, 41.402733, 15.170297>
    }
    triangle {
      < -25.434660, 38.855247, 12.764452>,
      < -26.800455, 41.402733, 15.170297>,
      < -25.342682, 39.050133, 12.631252>
    }
    triangle {
      < -7.567755, 12.574083, -13.535497>,
      < -9.376750, 14.896337, -11.201438>,
      < -9.284773, 15.091215, -11.334633>
    }
    triangle {
      < -7.567755, 12.574083, -13.535497>,
      < -9.284773, 15.091215, -11.334633>,
      < -7.530965, 12.652036, -13.588774>
    }
    triangle {
      < -25.342682, 39.050133, 12.631252>,
      < -26.800455, 41.402733, 15.170297>,
      < -26.705860, 41.463783, 15.172644>
    }
    triangle {
      < -25.342682, 39.050133, 12.631252>,
      < -26.705860, 41.463783, 15.172644>,
      < -25.106192, 39.202751, 12.637131>
    }
    triangle {
      < -17.560419, 27.142822, 0.410891>,
      < -25.342682, 39.050133, 12.631252>,
      < -25.106192, 39.202751, 12.637131>
    }
    triangle {
      < -17.560419, 27.142822, 0.410891>,
      < -25.106192, 39.202751, 12.637131>,
      < -17.087444, 27.448063, 0.422648>
    }
    triangle {
      < -9.284773, 15.091215, -11.334633>,
      < -17.560419, 27.142822, 0.410891>,
      < -17.087444, 27.448063, 0.422648>
    }
    triangle {
      < -9.284773, 15.091215, -11.334633>,
      < -17.087444, 27.448063, 0.422648>,
      < -9.048284, 15.243841, -11.328759>
    }
    triangle {
      < -7.530965, 12.652036, -13.588774>,
      < -9.284773, 15.091215, -11.334633>,
      < -9.048284, 15.243841, -11.328759>
    }
    triangle {
      < -7.530965, 12.652036, -13.588774>,
      < -9.048284, 15.243841, -11.328759>,
      < -7.436370, 12.713083, -13.586423>
    }
    triangle {
      < -25.106192, 39.202751, 12.637131>,
      < -26.705860, 41.463783, 15.172644>,
      < -26.608875, 41.472164, 15.229251>
    }
    triangle {
      < -25.106192, 39.202751, 12.637131>,
      < -26.608875, 41.472164, 15.229251>,
      < -24.863726, 39.223705, 12.778642>
    }
    triangle {
      < -17.087444, 27.448063, 0.422648>,
      < -25.106192, 39.202751, 12.637131>,
      < -24.863726, 39.223705, 12.778642>
    }
    triangle {
      < -17.087444, 27.448063, 0.422648>,
      < -24.863726, 39.223705, 12.778642>,
      < -16.602512, 27.489975, 0.705667>
    }
    triangle {
      < -9.048284, 15.243841, -11.328759>,
      < -17.087444, 27.448063, 0.422648>,
      < -16.602512, 27.489975, 0.705667>
    }
    triangle {
      < -9.048284, 15.243841, -11.328759>,
      < -16.602512, 27.489975, 0.705667>,
      < -8.805818, 15.264791, -11.187246>
    }
    triangle {
      < -7.436370, 12.713083, -13.586423>,
      < -9.048284, 15.243841, -11.328759>,
      < -8.805818, 15.264791, -11.187246>
    }
    triangle {
      < -7.436370, 12.713083, -13.586423>,
      < -8.805818, 15.264791, -11.187246>,
      < -7.339383, 12.721467, -13.529819>
    }
    triangle {
      < -24.863726, 39.223705, 12.778642>,
      < -26.608875, 41.472164, 15.229251>,
      < -26.566311, 41.422974, 15.306951>
    }
    triangle {
      < -24.863726, 39.223705, 12.778642>,
      < -26.566311, 41.422974, 15.306951>,
      < -24.757313, 39.100723, 12.972888>
    }
    triangle {
      < -16.602512, 27.489975, 0.705667>,
      < -24.863726, 39.223705, 12.778642>,
      < -24.757313, 39.100723, 12.972888>
    }
    triangle {
      < -16.602512, 27.489975, 0.705667>,
      < -24.757313, 39.100723, 12.972888>,
      < -16.389688, 27.244003, 1.094167>
    }
    triangle {
      < -8.805818, 15.264791, -11.187246>,
      < -16.602512, 27.489975, 0.705667>,
      < -16.389688, 27.244003, 1.094167>
    }
    triangle {
      < -8.805818, 15.264791, -11.187246>,
      < -16.389688, 27.244003, 1.094167>,
      < -8.699405, 15.141807, -10.992999>
    }
    triangle {
      < -7.339383, 12.721467, -13.529819>,
      < -8.805818, 15.264791, -11.187246>,
      < -8.699405, 15.141807, -10.992999>
    }
    triangle {
      < -7.339383, 12.721467, -13.529819>,
      < -8.699405, 15.141807, -10.992999>,
      < -7.296819, 12.672277, -13.452118>
    }
    triangle {
      < -24.757313, 39.100723, 12.972888>,
      < -26.566311, 41.422974, 15.306951>,
      < -26.603102, 41.345016, 15.360229>
    }
    triangle {
      < -24.757313, 39.100723, 12.972888>,
      < -26.603102, 41.345016, 15.360229>,
      < -24.849295, 38.905838, 13.106089>
    }
    triangle {
      < -16.389688, 27.244003, 1.094167>,
      < -24.757313, 39.100723, 12.972888>,
      < -24.849295, 38.905838, 13.106089>
    }
    triangle {
      < -16.389688, 27.244003, 1.094167>,
      < -24.849295, 38.905838, 13.106089>,
      < -16.573647, 26.854233, 1.360564>
    }
    triangle {
      < -8.699405, 15.141807, -10.992999>,
      < -16.389688, 27.244003, 1.094167>,
      < -16.573647, 26.854233, 1.360564>
    }
    triangle {
      < -8.699405, 15.141807, -10.992999>,
      < -16.573647, 26.854233, 1.360564>,
      < -8.791386, 14.946925, -10.859798>
    }
    triangle {
      < -7.296819, 12.672277, -13.452118>,
      < -8.699405, 15.141807, -10.992999>,
      < -8.791386, 14.946925, -10.859798>
    }
    triangle {
      < -7.296819, 12.672277, -13.452118>,
      < -8.791386, 14.946925, -10.859798>,
      < -7.333611, 12.594320, -13.398837>
    }
    triangle {
      < -24.849295, 38.905838, 13.106089>,
      < -26.603102, 41.345016, 15.360229>,
      < -26.697697, 41.283970, 15.357880>
    }
    triangle {
      < -24.849295, 38.905838, 13.106089>,
      < -26.697697, 41.283970, 15.357880>,
      < -25.085781, 38.753212, 13.100214>
    }
    triangle {
      < -7.333611, 12.594320, -13.398837>,
      < -8.791386, 14.946925, -10.859798>,
      < -9.106422, 14.765837, -10.889849>
    }
    triangle {
      < -7.333611, 12.594320, -13.398837>,
      < -9.106422, 14.765837, -10.889849>,
      < -7.428205, 12.533272, -13.401189>
    }
    triangle {
      < -25.085781, 38.753212, 13.100214>,
      < -26.697697, 41.283970, 15.357880>,
      < -26.794685, 41.275585, 15.301274>
    }
    triangle {
      < -25.085781, 38.753212, 13.100214>,
      < -26.794685, 41.275585, 15.301274>,
      < -25.328247, 38.732258, 12.958700>
    }
    triangle {
      < -7.428205, 12.533272, -13.401189>,
      < -9.106422, 14.765837, -10.889849>,
      < -9.270339, 14.773350, -11.007191>
    }
    triangle {
      < -7.428205, 12.533272, -13.401189>,
      < -9.270339, 14.773350, -11.007191>,
      < -7.525191, 12.524889, -13.457792>
    }
    triangle {
      < -25.328247, 38.732258, 12.958700>,
      < -26.794685, 41.275585, 15.301274>,
      < -26.837248, 41.324783, 15.223574>
    }
    triangle {
      < -25.328247, 38.732258, 12.958700>,
      < -26.837248, 41.324783, 15.223574>,
      < -25.434660, 38.855247, 12.764452>
    }
    triangle {
      < -7.525191, 12.524889, -13.457792>,
      < -9.270339, 14.773350, -11.007191>,
      < -9.376750, 14.896337, -11.201438>
    }
    triangle {
      < -7.525191, 12.524889, -13.457792>,
      < -9.376750, 14.896337, -11.201438>,
      < -7.567755, 12.574083, -13.535497>
    }
    triangle {
      < -26.837248, 41.324783, 15.223574>,
      < -26.794685, 41.275585, 15.301274>,
      < -26.697697, 41.283970, 15.357880>
    }
    triangle {
      < -26.837248, 41.324783, 15.223574>,
      < -26.697697, 41.283970, 15.357880>,
      < -26.603102, 41.345016, 15.360229>
    }
    triangle {
      < -26.837248, 41.324783, 15.223574>,
      < -26.603102, 41.345016, 15.360229>,
      < -26.566311, 41.422974, 15.306951>
    }
    triangle {
      < -26.837248, 41.324783, 15.223574>,
      < -26.566311, 41.422974, 15.306951>,
      < -26.608875, 41.472164, 15.229251>
    }
    triangle {
      < -26.837248, 41.324783, 15.223574>,
      < -26.608875, 41.472164, 15.229251>,
      < -26.705860, 41.463783, 15.172644>
    }
    triangle {
      < -26.837248, 41.324783, 15.223574>,
      < -26.705860, 41.463783, 15.172644>,
      < -26.800455, 41.402733, 15.170297>
    }
    triangle {
      < -7.567755, 12.574083, -13.535497>,
      < -7.530965, 12.652036, -13.588774>,
      < -7.436370, 12.713083, -13.586423>
    }
    triangle {
      < -7.567755, 12.574083, -13.535497>,
      < -7.436370, 12.713083, -13.586423>,
      < -7.339383, 12.721467, -13.529819>
    }
    triangle {
      < -7.567755, 12.574083, -13.535497>,
      < -7.339383, 12.721467, -13.529819>,
      < -7.296819, 12.672277, -13.452118>
    }
    triangle {
      < -7.567755, 12.574083, -13.535497>,
      < -7.296819, 12.672277, -13.452118>,
      < -7.333611, 12.594320, -13.398837>
    }
    triangle {
      < -7.567755, 12.574083, -13.535497>,
      < -7.333611, 12.594320, -13.398837>,
      < -7.428205, 12.533272, -13.401189>
    }
    triangle {
      < -7.567755, 12.574083, -13.535497>,
      < -7.428205, 12.533272, -13.401189>,
      < -7.525191, 12.524889, -13.457792>
    }
    triangle {
      < -25.328247, 38.732258, 12.958700>,
      < -25.434660, 38.855247, 12.764452>,
      < -17.744377, 26.753054, 0.677289>
    }
    triangle {
      < -25.328247, 38.732258, 12.958700>,
      < -17.744377, 26.753054, 0.677289>,
      < -17.531553, 26.507080, 1.065789>
    }
    triangle {
      < -17.744377, 26.753054, 0.677289>,
      < -9.376750, 14.896337, -11.201438>,
      < -9.270339, 14.773350, -11.007191>
    }
    triangle {
      < -17.744377, 26.753054, 0.677289>,
      < -9.270339, 14.773350, -11.007191>,
      < -17.531553, 26.507080, 1.065789>
    }
    triangle {
      < -15.242205, 10.728598, 14.661383>,
      < -13.958706, 13.246996, 10.484770>,
      < -12.855085, 9.611444, 10.086077>
    }
    triangle {
      < -15.242205, 10.728598, 14.661383>,
      < -12.855085, 9.611444, 10.086077>,
      < -14.838583, 7.725491, 16.392136>
    }
    triangle {
      < -15.242205, 10.728598, 14.661383>,
      < -15.971910, 15.023872, 13.064692>,
      < -15.075603, 15.880554, 10.990260>
    }
    triangle {
      < -15.242205, 10.728598, 14.661383>,
      < -15.075603, 15.880554, 10.990260>,
      < -13.958706, 13.246996, 10.484770>
    }
    triangle {
      < -15.075603, 15.880554, 10.990260>,
      < -15.971910, 15.023872, 13.064692>,
      < -16.675705, 19.308691, 11.771263>
    }
    triangle {
      < -16.675705, 19.308691, 11.771263>,
      < -17.850927, 23.415936, 11.145543>,
      < -16.833500, 24.401178, 9.291769>
    }
    triangle {
      < -16.675705, 19.308691, 11.771263>,
      < -16.833500, 24.401178, 9.291769>,
      < -14.729614, 21.266827, 7.743087>
    }
    triangle {
      < -14.729614, 21.266827, 7.743087>,
      < -13.219246, 18.188381, 6.546744>,
      < -15.075603, 15.880554, 10.990260>
    }
    triangle {
      < -14.729614, 21.266827, 7.743087>,
      < -15.075603, 15.880554, 10.990260>,
      < -16.675705, 19.308691, 11.771263>
    }
    triangle {
      < -15.075603, 15.880554, 10.990260>,
      < -13.219246, 18.188381, 6.546744>,
      < -12.059523, 15.670089, 5.786165>
    }
    triangle {
      < -15.075603, 15.880554, 10.990260>,
      < -12.059523, 15.670089, 5.786165>,
      < -13.958706, 13.246996, 10.484770>
    }
    triangle {
      < -12.855085, 9.611444, 10.086077>,
      < -13.958706, 13.246996, 10.484770>,
      < -12.059523, 15.670089, 5.786165>
    }
    triangle {
      < -12.855085, 9.611444, 10.086077>,
      < -12.059523, 15.670089, 5.786165>,
      < -11.429826, 11.979118, 4.484833>
    }
    triangle {
      < -11.429826, 11.979118, 4.484833>,
      < -12.059523, 15.670089, 5.786165>,
      < -11.113446, 17.269522, -0.589503>
    }
    triangle {
      < -11.429826, 11.979118, 4.484833>,
      < -11.113446, 17.269522, -0.589503>,
      < -10.146607, 13.783422, -3.108587>
    }
    triangle {
      < -11.113446, 17.269522, -0.589503>,
      < -12.059523, 15.670089, 5.786165>,
      < -13.219246, 18.188381, 6.546744>
    }
    triangle {
      < -11.113446, 17.269522, -0.589503>,
      < -13.219246, 18.188381, 6.546744>,
      < -12.173586, 19.546953, 1.645432>
    }
    triangle {
      < -12.173586, 19.546953, 1.645432>,
      < -13.219246, 18.188381, 6.546744>,
      < -14.729614, 21.266827, 7.743087>
    }
    triangle {
      < -12.173586, 19.546953, 1.645432>,
      < -14.729614, 21.266827, 7.743087>,
      < -14.496117, 22.736921, 3.615596>
    }
    triangle {
      < -14.496117, 22.736921, 3.615596>,
      < -14.729614, 21.266827, 7.743087>,
      < -16.833500, 24.401178, 9.291769>
    }
    triangle {
      < -14.496117, 22.736921, 3.615596>,
      < -16.833500, 24.401178, 9.291769>,
      < -16.618717, 25.814238, 5.499027>
    }
    triangle {
      < -18.831337, 28.858936, 7.356281>,
      < -19.020594, 27.498768, 10.741400>,
      < -20.878242, 31.325497, 10.889566>
    }
    triangle {
      < -18.831337, 28.858936, 7.356281>,
      < -20.878242, 31.325497, 10.889566>,
      < -20.830013, 31.984983, 9.160530>
    }
    triangle {
      < -20.830013, 31.984983, 9.160530>,
      < -20.878242, 31.325497, 10.889566>,
      < -22.710337, 35.141632, 11.368248>
    }
    triangle {
      < -22.710337, 35.141632, 11.368248>,
      < -25.085781, 38.753212, 13.100214>,
      < -23.095627, 35.695042, 10.156319>
    }
    triangle {
      < -23.095627, 35.695042, 10.156319>,
      < -21.105474, 32.636868, 7.212426>,
      < -20.830013, 31.984983, 9.160530>
    }
    triangle {
      < -23.095627, 35.695042, 10.156319>,
      < -20.830013, 31.984983, 9.160530>,
      < -22.710337, 35.141632, 11.368248>
    }
    triangle {
      < -21.105474, 32.636868, 7.212426>,
      < -19.115322, 29.578697, 4.268532>,
      < -18.831337, 28.858936, 7.356281>
    }
    triangle {
      < -21.105474, 32.636868, 7.212426>,
      < -18.831337, 28.858936, 7.356281>,
      < -20.830013, 31.984983, 9.160530>
    }
    triangle {
      < -18.831337, 28.858936, 7.356281>,
      < -19.115322, 29.578697, 4.268532>,
      < -17.125172, 26.520523, 1.324638>
    }
    triangle {
      < -18.831337, 28.858936, 7.356281>,
      < -17.125172, 26.520523, 1.324638>,
      < -16.618717, 25.814238, 5.499027>
    }
    triangle {
      < -16.618717, 25.814238, 5.499027>,
      < -17.125172, 26.520523, 1.324638>,
      < -15.120483, 23.581854, -1.728984>
    }
    triangle {
      < -16.618717, 25.814238, 5.499027>,
      < -15.120483, 23.581854, -1.728984>,
      < -14.496117, 22.736921, 3.615596>
    }
    triangle {
      < -14.496117, 22.736921, 3.615596>,
      < -15.120483, 23.581854, -1.728984>,
      < -13.115796, 20.643181, -4.782604>
    }
    triangle {
      < -14.496117, 22.736921, 3.615596>,
      < -13.115796, 20.643181, -4.782604>,
      < -12.173586, 19.546953, 1.645432>
    }
    triangle {
      < -12.173586, 19.546953, 1.645432>,
      < -13.115796, 20.643181, -4.782604>,
      < -11.111109, 17.704510, -7.836226>
    }
    triangle {
      < -12.173586, 19.546953, 1.645432>,
      < -11.111109, 17.704510, -7.836226>,
      < -11.113446, 17.269522, -0.589503>
    }
    triangle {
      < -11.113446, 17.269522, -0.589503>,
      < -11.111109, 17.704510, -7.836226>,
      < -9.106422, 14.765837, -10.889849>
    }
    triangle {
      < -11.113446, 17.269522, -0.589503>,
      < -9.106422, 14.765837, -10.889849>,
      < -10.146607, 13.783422, -3.108587>
    }
    triangle {
      < -16.833500, 24.401178, 9.291769>,
      < -17.850927, 23.415936, 11.145543>,
      < -19.020594, 27.498768, 10.741400>
    }
    triangle {
      < -19.020594, 27.498768, 10.741400>,
      < -18.831337, 28.858936, 7.356281>,
      < -16.618717, 25.814238, 5.499027>
    }
    triangle {
      < -19.020594, 27.498768, 10.741400>,
      < -16.618717, 25.814238, 5.499027>,
      < -16.833500, 24.401178, 9.291769>
    }
    triangle {
      < -14.838583, 7.725491, 16.392136>,
      < -12.855085, 9.611444, 10.086077>,
      < -12.997808, 13.246996, 10.484770>
    }
    triangle {
      < -14.838583, 7.725491, 16.392136>,
      < -12.997808, 13.246996, 10.484770>,
      < -15.242205, 10.728598, 14.661383>
    }
    triangle {
      < -12.997808, 13.246996, 10.484770>,
      < -14.114704, 15.880554, 10.990260>,
      < -15.971910, 15.023872, 13.064692>
    }
    triangle {
      < -12.997808, 13.246996, 10.484770>,
      < -15.971910, 15.023872, 13.064692>,
      < -15.242205, 10.728598, 14.661383>
    }
    triangle {
      < -16.675705, 19.308691, 11.771263>,
      < -15.971910, 15.023872, 13.064692>,
      < -14.114704, 15.880554, 10.990260>
    }
    triangle {
      < -13.768716, 21.266827, 7.743087>,
      < -15.872602, 24.401178, 9.291769>,
      < -17.850927, 23.415936, 11.145543>
    }
    triangle {
      < -13.768716, 21.266827, 7.743087>,
      < -17.850927, 23.415936, 11.145543>,
      < -16.675705, 19.308691, 11.771263>
    }
    triangle {
      < -16.675705, 19.308691, 11.771263>,
      < -14.114704, 15.880554, 10.990260>,
      < -12.258348, 18.188381, 6.546744>
    }
    triangle {
      < -16.675705, 19.308691, 11.771263>,
      < -12.258348, 18.188381, 6.546744>,
      < -13.768716, 21.266827, 7.743087>
    }
    triangle {
      < -12.997808, 13.246996, 10.484770>,
      < -11.098623, 15.670089, 5.786165>,
      < -12.258348, 18.188381, 6.546744>
    }
    triangle {
      < -12.997808, 13.246996, 10.484770>,
      < -12.258348, 18.188381, 6.546744>,
      < -14.114704, 15.880554, 10.990260>
    }
    triangle {
      < -11.429826, 11.979118, 4.484833>,
      < -11.098623, 15.670089, 5.786165>,
      < -12.997808, 13.246996, 10.484770>
    }
    triangle {
      < -11.429826, 11.979118, 4.484833>,
      < -12.997808, 13.246996, 10.484770>,
      < -12.855085, 9.611444, 10.086077>
    }
    triangle {
      < -10.146607, 13.783422, -3.108587>,
      < -10.152548, 17.269522, -0.589503>,
      < -11.098623, 15.670089, 5.786165>
    }
    triangle {
      < -10.146607, 13.783422, -3.108587>,
      < -11.098623, 15.670089, 5.786165>,
      < -11.429826, 11.979118, 4.484833>
    }
    triangle {
      < -11.212686, 19.546953, 1.645432>,
      < -12.258348, 18.188381, 6.546744>,
      < -11.098623, 15.670089, 5.786165>
    }
    triangle {
      < -11.212686, 19.546953, 1.645432>,
      < -11.098623, 15.670089, 5.786165>,
      < -10.152548, 17.269522, -0.589503>
    }
    triangle {
      < -13.535219, 22.736921, 3.615596>,
      < -13.768716, 21.266827, 7.743087>,
      < -12.258348, 18.188381, 6.546744>
    }
    triangle {
      < -13.535219, 22.736921, 3.615596>,
      < -12.258348, 18.188381, 6.546744>,
      < -11.212686, 19.546953, 1.645432>
    }
    triangle {
      < -15.657820, 25.814238, 5.499027>,
      < -15.872602, 24.401178, 9.291769>,
      < -13.768716, 21.266827, 7.743087>
    }
    triangle {
      < -15.657820, 25.814238, 5.499027>,
      < -13.768716, 21.266827, 7.743087>,
      < -13.535219, 22.736921, 3.615596>
    }
    triangle {
      < -19.869114, 31.984983, 9.160530>,
      < -20.878242, 31.325497, 10.889566>,
      < -19.020594, 27.498768, 10.741400>
    }
    triangle {
      < -19.869114, 31.984983, 9.160530>,
      < -19.020594, 27.498768, 10.741400>,
      < -17.870438, 28.858936, 7.356281>
    }
    triangle {
      < -22.710337, 35.141632, 11.368248>,
      < -20.878242, 31.325497, 10.889566>,
      < -19.869114, 31.984983, 9.160530>
    }
    triangle {
      < -19.020594, 27.498768, 10.741400>,
      < -17.850927, 23.415936, 11.145543>,
      < -15.872602, 24.401178, 9.291769>
    }
    triangle {
      < -15.872602, 24.401178, 9.291769>,
      < -15.657820, 25.814238, 5.499027>,
      < -17.870438, 28.858936, 7.356281>
    }
    triangle {
      < -15.872602, 24.401178, 9.291769>,
      < -17.870438, 28.858936, 7.356281>,
      < -19.020594, 27.498768, 10.741400>
    }
    triangle {
      < -22.710337, 35.141632, 11.368248>,
      < -19.869114, 31.984983, 9.160530>,
      < -17.870438, 28.858936, 7.356281>
    }
    triangle {
      < -22.710337, 35.141632, 11.368248>,
      < -17.870438, 28.858936, 7.356281>,
      < -16.573647, 26.854233, 1.360564>
    }
    triangle {
      < -22.710337, 35.141632, 11.368248>,
      < -16.573647, 26.854233, 1.360564>,
      < -24.849295, 38.905838, 13.106089>
    }
    triangle {
      < -10.152548, 17.269522, -0.589503>,
      < -10.146607, 13.783422, -3.108587>,
      < -8.791386, 14.946925, -10.859798>
    }
    triangle {
      < -13.535219, 22.736921, 3.615596>,
      < -11.212686, 19.546953, 1.645432>,
      < -10.152548, 17.269522, -0.589503>
    }
    triangle {
      < -13.535219, 22.736921, 3.615596>,
      < -10.152548, 17.269522, -0.589503>,
      < -8.791386, 14.946925, -10.859798>
    }
    triangle {
      < -13.535219, 22.736921, 3.615596>,
      < -8.791386, 14.946925, -10.859798>,
      < -16.573647, 26.854233, 1.360564>
    }
    triangle {
      < -15.657820, 25.814238, 5.499027>,
      < -13.535219, 22.736921, 3.615596>,
      < -16.573647, 26.854233, 1.360564>
    }
    triangle {
      < -17.870438, 28.858936, 7.356281>,
      < -15.657820, 25.814238, 5.499027>,
      < -16.573647, 26.854233, 1.360564>
    }
    triangle {
      < -10.146607, 13.783422, -3.108587>,
      < -9.106422, 14.765837, -10.889849>,
      < -8.791386, 14.946925, -10.859798>
    }
    triangle {
      < -22.710337, 35.141632, 11.368248>,
      < -24.849295, 38.905838, 13.106089>,
      < -25.085781, 38.753212, 13.100214>
    }
    triangle {
      < -17.744377, 26.753054, 0.677289>,
      < -25.434660, 38.855247, 12.764452>,
      < -25.342682, 39.050133, 12.631252>
    }
    triangle {
      < -17.744377, 26.753054, 0.677289>,
      < -25.342682, 39.050133, 12.631252>,
      < -17.560419, 27.142822, 0.410891>
    }
    triangle {
      < -9.284773, 15.091215, -11.334633>,
      < -9.376750, 14.896337, -11.201438>,
      < -17.744377, 26.753054, 0.677289>
    }
    triangle {
      < -9.284773, 15.091215, -11.334633>,
      < -17.744377, 26.753054, 0.677289>,
      < -17.560419, 27.142822, 0.410891>
    }
    triangle {
      < -17.125172, 26.520523, 1.324638>,
      < -19.115322, 29.578697, 4.268532>,
      < -21.105474, 32.636868, 7.212426>
    }
    triangle {
      < -17.125172, 26.520523, 1.324638>,
      < -21.105474, 32.636868, 7.212426>,
      < -23.095627, 35.695042, 10.156319>
    }
    triangle {
      < -17.125172, 26.520523, 1.324638>,
      < -23.095627, 35.695042, 10.156319>,
      < -25.085781, 38.753212, 13.100214>
    }
    triangle {
      < -17.125172, 26.520523, 1.324638>,
      < -25.085781, 38.753212, 13.100214>,
      < -25.328247, 38.732258, 12.958700>
    }
    triangle {
      < -17.125172, 26.520523, 1.324638>,
      < -25.328247, 38.732258, 12.958700>,
      < -17.531553, 26.507080, 1.065789>
    }
    triangle {
      < -17.125172, 26.520523, 1.324638>,
      < -17.531553, 26.507080, 1.065789>,
      < -9.270339, 14.773350, -11.007191>
    }
    triangle {
      < -17.125172, 26.520523, 1.324638>,
      < -9.270339, 14.773350, -11.007191>,
      < -9.106422, 14.765837, -10.889849>
    }
    triangle {
      < -17.125172, 26.520523, 1.324638>,
      < -9.106422, 14.765837, -10.889849>,
      < -11.111109, 17.704510, -7.836226>
    }
    triangle {
      < -17.125172, 26.520523, 1.324638>,
      < -11.111109, 17.704510, -7.836226>,
      < -13.115796, 20.643181, -4.782604>
    }
    triangle {
      < -17.125172, 26.520523, 1.324638>,
      < -13.115796, 20.643181, -4.782604>,
      < -15.120483, 23.581854, -1.728984>
    }
    texture {sail3}
  }
  // mast2
  union {
    triangle {
      < -4.056510, 0.607158, -0.742476>,
      < -4.056510, 2.835144, -0.742476>,
      < -3.006491, 2.835144, -1.792495>
    }
    triangle {
      < -4.056510, 0.607158, -0.742476>,
      < -3.006491, 2.835144, -1.792495>,
      < -3.006491, 0.607158, -1.792497>
    }
    triangle {
      < -4.056510, 2.835144, -0.742476>,
      < -4.763738, 2.835144, -1.035419>,
      < -3.299435, 2.835144, -2.499723>
    }
    triangle {
      < -4.056510, 2.835144, -0.742476>,
      < -3.299435, 2.835144, -2.499723>,
      < -3.006491, 2.835144, -1.792495>
    }
    triangle {
      < -4.763738, 2.835144, -1.035419>,
      < -4.763738, 3.340722, -1.035419>,
      < -3.299435, 3.340722, -2.499723>
    }
    triangle {
      < -4.763738, 2.835144, -1.035419>,
      < -3.299435, 3.340722, -2.499723>,
      < -3.299435, 2.835144, -2.499723>
    }
    triangle {
      < -4.763738, 3.340722, -1.035419>,
      < -3.277740, 3.340722, -0.419898>,
      < -2.683913, 3.340722, -1.013724>
    }
    triangle {
      < -4.763738, 3.340722, -1.035419>,
      < -2.683913, 3.340722, -1.013724>,
      < -3.299435, 3.340722, -2.499723>
    }
    triangle {
      < -3.277740, 3.340722, -0.419898>,
      < -3.092574, 28.440485, -0.343200>,
      < -2.607214, 28.440485, -0.828560>
    }
    triangle {
      < -3.277740, 3.340722, -0.419898>,
      < -2.607214, 28.440485, -0.828560>,
      < -2.683913, 3.340722, -1.013724>
    }
    triangle {
      < -3.092574, 28.440485, -0.343200>,
      < -4.002915, 29.392422, -0.720276>,
      < -2.984291, 29.392422, -1.738900>
    }
    triangle {
      < -3.092574, 28.440485, -0.343200>,
      < -2.984291, 29.392422, -1.738900>,
      < -2.795753, 28.916454, -1.283730>
    }
    triangle {
      < -3.092574, 28.440485, -0.343200>,
      < -2.795753, 28.916454, -1.283730>,
      < -2.607214, 28.440485, -0.828560>
    }
    triangle {
      < -4.002915, 29.392422, -0.720276>,
      < -4.188079, 31.134907, -0.796974>,
      < -3.060988, 31.134907, -1.924065>
    }
    triangle {
      < -4.002915, 29.392422, -0.720276>,
      < -3.060988, 31.134907, -1.924065>,
      < -2.984291, 29.392422, -1.738900>
    }
    triangle {
      < -4.188079, 31.134907, -0.796974>,
      < -4.518436, 31.301920, -0.933812>,
      < -3.197826, 31.301920, -2.254421>
    }
    triangle {
      < -4.188079, 31.134907, -0.796974>,
      < -3.197826, 31.301920, -2.254421>,
      < -3.060988, 31.134907, -1.924065>
    }
    triangle {
      < -4.518436, 31.301920, -0.933812>,
      < -4.518436, 31.705118, -0.933812>,
      < -3.197826, 31.705118, -2.254421>
    }
    triangle {
      < -4.518436, 31.301920, -0.933812>,
      < -3.197826, 31.705118, -2.254421>,
      < -3.197826, 31.301920, -2.254421>
    }
    triangle {
      < -4.518436, 31.705118, -0.933812>,
      < -3.714916, 31.538105, -0.600984>,
      < -2.864999, 31.538105, -1.450902>
    }
    triangle {
      < -4.518436, 31.705118, -0.933812>,
      < -2.864999, 31.538105, -1.450902>,
      < -3.197826, 31.705118, -2.254421>
    }
    triangle {
      < -3.714916, 31.538105, -0.600984>,
      < -3.529752, 30.035196, -0.524286>,
      < -2.788301, 30.035196, -1.265738>
    }
    triangle {
      < -3.714916, 31.538105, -0.600984>,
      < -2.788301, 30.035196, -1.265738>,
      < -2.864999, 31.538105, -1.450902>
    }
    triangle {
      < -3.529752, 30.035196, -0.524286>,
      < -2.889182, 30.068596, -0.258952>,
      < -2.522967, 30.068596, -0.625167>
    }
    triangle {
      < -3.529752, 30.035196, -0.524286>,
      < -2.522967, 30.068596, -0.625167>,
      < -2.788301, 30.035196, -1.265738>
    }
    triangle {
      < -2.889182, 30.068596, -0.258952>,
      < -2.546952, 54.333931, -0.117197>,
      < -2.381211, 54.333931, -0.282936>
    }
    triangle {
      < -2.889182, 30.068596, -0.258952>,
      < -2.381211, 54.333931, -0.282936>,
      < -2.522967, 30.068596, -0.625167>
    }
    triangle {
      < -3.006491, 0.607158, -1.792497>,
      < -3.006491, 2.835144, -1.792495>,
      < -1.521538, 2.835144, -1.792497>
    }
    triangle {
      < -3.006491, 0.607158, -1.792497>,
      < -1.521538, 2.835144, -1.792497>,
      < -1.521538, 0.607158, -1.792495>
    }
    triangle {
      < -3.006491, 2.835144, -1.792495>,
      < -3.299435, 2.835144, -2.499723>,
      < -1.228595, 2.835144, -2.499723>
    }
    triangle {
      < -3.006491, 2.835144, -1.792495>,
      < -1.228595, 2.835144, -2.499723>,
      < -1.521538, 2.835144, -1.792497>
    }
    triangle {
      < -3.299435, 2.835144, -2.499723>,
      < -3.299435, 3.340722, -2.499723>,
      < -1.228595, 3.340722, -2.499723>
    }
    triangle {
      < -3.299435, 2.835144, -2.499723>,
      < -1.228595, 3.340722, -2.499723>,
      < -1.228595, 2.835144, -2.499723>
    }
    triangle {
      < -3.299435, 3.340722, -2.499723>,
      < -2.683913, 3.340722, -1.013724>,
      < -1.844116, 3.340722, -1.013724>
    }
    triangle {
      < -3.299435, 3.340722, -2.499723>,
      < -1.844116, 3.340722, -1.013724>,
      < -1.228595, 3.340722, -2.499723>
    }
    triangle {
      < -2.683913, 3.340722, -1.013724>,
      < -2.607214, 28.440485, -0.828560>,
      < -2.378415, 28.440485, -0.828560>
    }
    triangle {
      < -2.683913, 3.340722, -1.013724>,
      < -2.378415, 28.440485, -0.828560>,
      < -2.149614, 28.440485, -0.828560>
    }
    triangle {
      < -2.683913, 3.340722, -1.013724>,
      < -2.149614, 28.440485, -0.828560>,
      < -1.920815, 28.440485, -0.828560>
    }
    triangle {
      < -2.683913, 3.340722, -1.013724>,
      < -1.920815, 28.440485, -0.828560>,
      < -1.844116, 3.340722, -1.013724>
    }
    triangle {
      < -3.562768, 1.409142, -15.317429>,
      < -3.208276, 1.409142, -15.317429>,
      < -3.396813, 0.933175, -14.862257>
    }
    triangle {
      < -3.562768, 1.409142, -15.317429>,
      < -3.396813, 0.933175, -14.862257>,
      < -3.625614, 0.933175, -14.862261>
    }
    triangle {
      < -2.984291, 29.392422, -1.738900>,
      < -3.060988, 31.134907, -1.924065>,
      < -1.467041, 31.134907, -1.924065>
    }
    triangle {
      < -2.984291, 29.392422, -1.738900>,
      < -1.467041, 31.134907, -1.924065>,
      < -1.543738, 29.392422, -1.738900>
    }
    triangle {
      < -3.060988, 31.134907, -1.924065>,
      < -3.197826, 31.301920, -2.254421>,
      < -1.330203, 31.301920, -2.254421>
    }
    triangle {
      < -3.060988, 31.134907, -1.924065>,
      < -1.330203, 31.301920, -2.254421>,
      < -1.467041, 31.134907, -1.924065>
    }
    triangle {
      < -3.197826, 31.301920, -2.254421>,
      < -3.197826, 31.705118, -2.254421>,
      < -1.330203, 31.705118, -2.254421>
    }
    triangle {
      < -3.197826, 31.301920, -2.254421>,
      < -1.330203, 31.705118, -2.254421>,
      < -1.330203, 31.301920, -2.254421>
    }
    triangle {
      < -3.197826, 31.705118, -2.254421>,
      < -2.864999, 31.538105, -1.450902>,
      < -1.663031, 31.538105, -1.450902>
    }
    triangle {
      < -3.197826, 31.705118, -2.254421>,
      < -1.663031, 31.538105, -1.450902>,
      < -1.330203, 31.705118, -2.254421>
    }
    triangle {
      < -2.864999, 31.538105, -1.450902>,
      < -2.788301, 30.035196, -1.265738>,
      < -1.739728, 30.035196, -1.265738>
    }
    triangle {
      < -2.864999, 31.538105, -1.450902>,
      < -1.739728, 30.035196, -1.265738>,
      < -1.663031, 31.538105, -1.450902>
    }
    triangle {
      < -2.788301, 30.035196, -1.265738>,
      < -2.522967, 30.068596, -0.625167>,
      < -2.005062, 30.068596, -0.625167>
    }
    triangle {
      < -2.788301, 30.035196, -1.265738>,
      < -2.005062, 30.068596, -0.625167>,
      < -1.739728, 30.035196, -1.265738>
    }
    triangle {
      < -2.522967, 30.068596, -0.625167>,
      < -2.381211, 54.333931, -0.282936>,
      < -2.146818, 54.333931, -0.282936>
    }
    triangle {
      < -2.522967, 30.068596, -0.625167>,
      < -2.146818, 54.333931, -0.282936>,
      < -2.005062, 30.068596, -0.625167>
    }
    triangle {
      < -1.521538, 0.607158, -1.792495>,
      < -1.521538, 2.835144, -1.792497>,
      < -0.471518, 2.835144, -0.742476>
    }
    triangle {
      < -1.521538, 0.607158, -1.792495>,
      < -0.471518, 2.835144, -0.742476>,
      < -0.471518, 0.607158, -0.742476>
    }
    triangle {
      < -1.521538, 2.835144, -1.792497>,
      < -1.228595, 2.835144, -2.499723>,
      < 0.235709, 2.835144, -1.035419>
    }
    triangle {
      < -1.521538, 2.835144, -1.792497>,
      < 0.235709, 2.835144, -1.035419>,
      < -0.471518, 2.835144, -0.742476>
    }
    triangle {
      < -1.228595, 2.835144, -2.499723>,
      < -1.228595, 3.340722, -2.499723>,
      < 0.235709, 3.340722, -1.035419>
    }
    triangle {
      < -1.228595, 2.835144, -2.499723>,
      < 0.235709, 3.340722, -1.035419>,
      < 0.235709, 2.835144, -1.035419>
    }
    triangle {
      < -1.228595, 3.340722, -2.499723>,
      < -1.844116, 3.340722, -1.013724>,
      < -1.250291, 3.340722, -0.419898>
    }
    triangle {
      < -1.228595, 3.340722, -2.499723>,
      < -1.250291, 3.340722, -0.419898>,
      < 0.235709, 3.340722, -1.035419>
    }
    triangle {
      < -1.844116, 3.340722, -1.013724>,
      < -1.920815, 28.440485, -0.828560>,
      < -1.435455, 28.440485, -0.343200>
    }
    triangle {
      < -1.844116, 3.340722, -1.013724>,
      < -1.435455, 28.440485, -0.343200>,
      < -1.250291, 3.340722, -0.419898>
    }
    triangle {
      < -1.920815, 28.440485, -0.828560>,
      < -1.732276, 28.916454, -1.283730>,
      < -1.543738, 29.392422, -1.738900>
    }
    triangle {
      < -1.920815, 28.440485, -0.828560>,
      < -1.543738, 29.392422, -1.738900>,
      < -0.525114, 29.392422, -0.720276>
    }
    triangle {
      < -1.920815, 28.440485, -0.828560>,
      < -0.525114, 29.392422, -0.720276>,
      < -1.435455, 28.440485, -0.343200>
    }
    triangle {
      < -1.543738, 29.392422, -1.738900>,
      < -1.467041, 31.134907, -1.924065>,
      < -0.339949, 31.134907, -0.796974>
    }
    triangle {
      < -1.543738, 29.392422, -1.738900>,
      < -0.339949, 31.134907, -0.796974>,
      < -0.525114, 29.392422, -0.720276>
    }
    triangle {
      < -1.467041, 31.134907, -1.924065>,
      < -1.330203, 31.301920, -2.254421>,
      < -0.009594, 31.301920, -0.933812>
    }
    triangle {
      < -1.467041, 31.134907, -1.924065>,
      < -0.009594, 31.301920, -0.933812>,
      < -0.339949, 31.134907, -0.796974>
    }
    triangle {
      < -1.330203, 31.301920, -2.254421>,
      < -1.330203, 31.705118, -2.254421>,
      < -0.009594, 31.705118, -0.933812>
    }
    triangle {
      < -1.330203, 31.301920, -2.254421>,
      < -0.009594, 31.705118, -0.933812>,
      < -0.009594, 31.301920, -0.933812>
    }
    triangle {
      < -1.330203, 31.705118, -2.254421>,
      < -1.663031, 31.538105, -1.450902>,
      < -0.813112, 31.538105, -0.600984>
    }
    triangle {
      < -1.330203, 31.705118, -2.254421>,
      < -0.813112, 31.538105, -0.600984>,
      < -0.009594, 31.705118, -0.933812>
    }
    triangle {
      < -1.663031, 31.538105, -1.450902>,
      < -1.739728, 30.035196, -1.265738>,
      < -0.998277, 30.035196, -0.524286>
    }
    triangle {
      < -1.663031, 31.538105, -1.450902>,
      < -0.998277, 30.035196, -0.524286>,
      < -0.813112, 31.538105, -0.600984>
    }
    triangle {
      < -1.739728, 30.035196, -1.265738>,
      < -2.005062, 30.068596, -0.625167>,
      < -1.638847, 30.068596, -0.258952>
    }
    triangle {
      < -1.739728, 30.035196, -1.265738>,
      < -1.638847, 30.068596, -0.258952>,
      < -0.998277, 30.035196, -0.524286>
    }
    triangle {
      < -2.005062, 30.068596, -0.625167>,
      < -2.146818, 54.333931, -0.282936>,
      < -1.981079, 54.333931, -0.117197>
    }
    triangle {
      < -2.005062, 30.068596, -0.625167>,
      < -1.981079, 54.333931, -0.117197>,
      < -1.638847, 30.068596, -0.258952>
    }
    triangle {
      < -2.086768, 28.916454, -1.283730>,
      < -2.441260, 28.916454, -1.283730>,
      < -2.795753, 28.916454, -1.283730>
    }
    triangle {
      < -2.086768, 28.916454, -1.283730>,
      < -2.795753, 28.916454, -1.283730>,
      < -2.984291, 29.392422, -1.738900>
    }
    triangle {
      < -2.086768, 28.916454, -1.283730>,
      < -2.984291, 29.392422, -1.738900>,
      < -1.543738, 29.392422, -1.738900>
    }
    triangle {
      < -2.086768, 28.916454, -1.283730>,
      < -1.543738, 29.392422, -1.738900>,
      < -1.732276, 28.916454, -1.283730>
    }
    triangle {
      < -10.442413, 0.933218, -14.862325>,
      < -10.671214, 0.933218, -14.862325>,
      < -10.859753, 1.409189, -15.317495>
    }
    triangle {
      < -10.442413, 0.933218, -14.862325>,
      < -10.859753, 1.409189, -15.317495>,
      < -10.505260, 1.409189, -15.317495>
    }
    triangle {
      < -7.373259, 1.409093, -15.317392>,
      < -7.018765, 1.409093, -15.317392>,
      < -7.081613, 0.933123, -14.862221>
    }
    triangle {
      < -7.373259, 1.409093, -15.317392>,
      < -7.081613, 0.933123, -14.862221>,
      < -7.310413, 0.933123, -14.862221>
    }
    triangle {
      < -2.795753, 28.916454, -1.283730>,
      < -2.441260, 28.916454, -1.283730>,
      < -10.505260, 1.409189, -15.317495>
    }
    triangle {
      < -2.795753, 28.916454, -1.283730>,
      < -10.505260, 1.409189, -15.317495>,
      < -10.859753, 1.409189, -15.317495>
    }
    triangle {
      < -2.441260, 28.916454, -1.283730>,
      < -2.378415, 28.440485, -0.828560>,
      < -10.442413, 0.933218, -14.862325>
    }
    triangle {
      < -2.441260, 28.916454, -1.283730>,
      < -10.442413, 0.933218, -14.862325>,
      < -10.505260, 1.409189, -15.317495>
    }
    triangle {
      < -2.378415, 28.440485, -0.828560>,
      < -2.607214, 28.440485, -0.828560>,
      < -10.671214, 0.933218, -14.862325>
    }
    triangle {
      < -2.378415, 28.440485, -0.828560>,
      < -10.671214, 0.933218, -14.862325>,
      < -10.442413, 0.933218, -14.862325>
    }
    triangle {
      < -2.607214, 28.440485, -0.828560>,
      < -2.795753, 28.916454, -1.283730>,
      < -10.859753, 1.409189, -15.317495>
    }
    triangle {
      < -2.607214, 28.440485, -0.828560>,
      < -10.859753, 1.409189, -15.317495>,
      < -10.671214, 0.933218, -14.862325>
    }
    triangle {
      < -1.920815, 28.440485, -0.828560>,
      < -2.149614, 28.440485, -0.828560>,
      < -3.625614, 0.933175, -14.862261>
    }
    triangle {
      < -1.920815, 28.440485, -0.828560>,
      < -3.625614, 0.933175, -14.862261>,
      < -3.396813, 0.933175, -14.862257>
    }
    triangle {
      < -2.149614, 28.440485, -0.828560>,
      < -2.086768, 28.916454, -1.283730>,
      < -3.562768, 1.409142, -15.317429>
    }
    triangle {
      < -2.149614, 28.440485, -0.828560>,
      < -3.562768, 1.409142, -15.317429>,
      < -3.625614, 0.933175, -14.862261>
    }
    triangle {
      < -2.086768, 28.916454, -1.283730>,
      < -1.732276, 28.916454, -1.283730>,
      < -3.208276, 1.409142, -15.317429>
    }
    triangle {
      < -2.086768, 28.916454, -1.283730>,
      < -3.208276, 1.409142, -15.317429>,
      < -3.562768, 1.409142, -15.317429>
    }
    triangle {
      < -1.732276, 28.916454, -1.283730>,
      < -1.920815, 28.440485, -0.828560>,
      < -3.396813, 0.933175, -14.862257>
    }
    triangle {
      < -1.732276, 28.916454, -1.283730>,
      < -3.396813, 0.933175, -14.862257>,
      < -3.208276, 1.409142, -15.317429>
    }
    triangle {
      < -2.149614, 28.440485, -0.828560>,
      < -2.378415, 28.440485, -0.828560>,
      < -7.310413, 0.933123, -14.862221>
    }
    triangle {
      < -2.149614, 28.440485, -0.828560>,
      < -7.310413, 0.933123, -14.862221>,
      < -7.081613, 0.933123, -14.862221>
    }
    triangle {
      < -2.378415, 28.440485, -0.828560>,
      < -2.441260, 28.916454, -1.283730>,
      < -7.373259, 1.409093, -15.317392>
    }
    triangle {
      < -2.378415, 28.440485, -0.828560>,
      < -7.373259, 1.409093, -15.317392>,
      < -7.310413, 0.933123, -14.862221>
    }
    triangle {
      < -2.441260, 28.916454, -1.283730>,
      < -2.086768, 28.916454, -1.283730>,
      < -7.018765, 1.409093, -15.317392>
    }
    triangle {
      < -2.441260, 28.916454, -1.283730>,
      < -7.018765, 1.409093, -15.317392>,
      < -7.373259, 1.409093, -15.317392>
    }
    triangle {
      < -2.086768, 28.916454, -1.283730>,
      < -2.149614, 28.440485, -0.828560>,
      < -7.081613, 0.933123, -14.862221>
    }
    triangle {
      < -2.086768, 28.916454, -1.283730>,
      < -7.081613, 0.933123, -14.862221>,
      < -7.018765, 1.409093, -15.317392>
    }
    texture {mast2}
  }
  // mast1
  union {
    triangle {
      < 11.675488, 3.703158, -0.742476>,
      < 11.675488, 5.931142, -0.742476>,
      < 12.725510, 5.931142, -1.792495>
    }
    triangle {
      < 11.675488, 3.703158, -0.742476>,
      < 12.725510, 5.931142, -1.792495>,
      < 12.725510, 3.703158, -1.792497>
    }
    triangle {
      < 11.675488, 5.931142, -0.742476>,
      < 10.968261, 5.931142, -1.035419>,
      < 12.432567, 5.931142, -2.499723>
    }
    triangle {
      < 11.675488, 5.931142, -0.742476>,
      < 12.432567, 5.931142, -2.499723>,
      < 12.725510, 5.931142, -1.792495>
    }
    triangle {
      < 10.968261, 5.931142, -1.035419>,
      < 10.968261, 6.436721, -1.035419>,
      < 12.432567, 6.436721, -2.499723>
    }
    triangle {
      < 10.968261, 5.931142, -1.035419>,
      < 12.432567, 6.436721, -2.499723>,
      < 12.432567, 5.931142, -2.499723>
    }
    triangle {
      < 10.968261, 6.436721, -1.035419>,
      < 12.454259, 6.436721, -0.419898>,
      < 13.048086, 6.436721, -1.013724>
    }
    triangle {
      < 10.968261, 6.436721, -1.035419>,
      < 13.048086, 6.436721, -1.013724>,
      < 12.432567, 6.436721, -2.499723>
    }
    triangle {
      < 12.454259, 6.436721, -0.419898>,
      < 12.639424, 24.624481, -0.343200>,
      < 13.124784, 24.624481, -0.828560>
    }
    triangle {
      < 12.454259, 6.436721, -0.419898>,
      < 13.124784, 24.624481, -0.828560>,
      < 13.048086, 6.436721, -1.013724>
    }
    triangle {
      < 12.639424, 24.624481, -0.343200>,
      < 11.729083, 25.576418, -0.720276>,
      < 12.747708, 25.576418, -1.738900>
    }
    triangle {
      < 12.639424, 24.624481, -0.343200>,
      < 12.747708, 25.576418, -1.738900>,
      < 12.936247, 25.100452, -1.283730>
    }
    triangle {
      < 12.639424, 24.624481, -0.343200>,
      < 12.936247, 25.100452, -1.283730>,
      < 13.124784, 24.624481, -0.828560>
    }
    triangle {
      < 11.729083, 25.576418, -0.720276>,
      < 11.543920, 27.318907, -0.796974>,
      < 12.671010, 27.318907, -1.924065>
    }
    triangle {
      < 11.729083, 25.576418, -0.720276>,
      < 12.671010, 27.318907, -1.924065>,
      < 12.747708, 25.576418, -1.738900>
    }
    triangle {
      < 11.543920, 27.318907, -0.796974>,
      < 11.213565, 27.485916, -0.933812>,
      < 12.534173, 27.485916, -2.254421>
    }
    triangle {
      < 11.543920, 27.318907, -0.796974>,
      < 12.534173, 27.485916, -2.254421>,
      < 12.671010, 27.318907, -1.924065>
    }
    triangle {
      < 11.213565, 27.485916, -0.933812>,
      < 11.213565, 27.889114, -0.933812>,
      < 12.534173, 27.889114, -2.254421>
    }
    triangle {
      < 11.213565, 27.485916, -0.933812>,
      < 12.534173, 27.889114, -2.254421>,
      < 12.534173, 27.485916, -2.254421>
    }
    triangle {
      < 11.213565, 27.889114, -0.933812>,
      < 12.017083, 27.722105, -0.600984>,
      < 12.867002, 27.722105, -1.450902>
    }
    triangle {
      < 11.213565, 27.889114, -0.933812>,
      < 12.867002, 27.722105, -1.450902>,
      < 12.534173, 27.889114, -2.254421>
    }
    triangle {
      < 12.017083, 27.722105, -0.600984>,
      < 12.202246, 26.219193, -0.524286>,
      < 12.943699, 26.219193, -1.265738>
    }
    triangle {
      < 12.017083, 27.722105, -0.600984>,
      < 12.943699, 26.219193, -1.265738>,
      < 12.867002, 27.722105, -1.450902>
    }
    triangle {
      < 12.202246, 26.219193, -0.524286>,
      < 12.842817, 26.252592, -0.258952>,
      < 13.209031, 26.252592, -0.625167>
    }
    triangle {
      < 12.202246, 26.219193, -0.524286>,
      < 13.209031, 26.252592, -0.625167>,
      < 12.943699, 26.219193, -1.265738>
    }
    triangle {
      < 12.842817, 26.252592, -0.258952>,
      < 13.185047, 46.881989, -0.117197>,
      < 13.350788, 46.881989, -0.282936>
    }
    triangle {
      < 12.842817, 26.252592, -0.258952>,
      < 13.350788, 46.881989, -0.282936>,
      < 13.209031, 26.252592, -0.625167>
    }
    triangle {
      < 12.725510, 3.703158, -1.792497>,
      < 12.725510, 5.931142, -1.792495>,
      < 14.210463, 5.931142, -1.792497>
    }
    triangle {
      < 12.725510, 3.703158, -1.792497>,
      < 14.210463, 5.931142, -1.792497>,
      < 14.210463, 3.703158, -1.792495>
    }
    triangle {
      < 12.725510, 5.931142, -1.792495>,
      < 12.432567, 5.931142, -2.499723>,
      < 14.503405, 5.931142, -2.499723>
    }
    triangle {
      < 12.725510, 5.931142, -1.792495>,
      < 14.503405, 5.931142, -2.499723>,
      < 14.210463, 5.931142, -1.792497>
    }
    triangle {
      < 12.432567, 5.931142, -2.499723>,
      < 12.432567, 6.436721, -2.499723>,
      < 14.503405, 6.436721, -2.499723>
    }
    triangle {
      < 12.432567, 5.931142, -2.499723>,
      < 14.503405, 6.436721, -2.499723>,
      < 14.503405, 5.931142, -2.499723>
    }
    triangle {
      < 12.432567, 6.436721, -2.499723>,
      < 13.048086, 6.436721, -1.013724>,
      < 13.887884, 6.436721, -1.013724>
    }
    triangle {
      < 12.432567, 6.436721, -2.499723>,
      < 13.887884, 6.436721, -1.013724>,
      < 14.503405, 6.436721, -2.499723>
    }
    triangle {
      < 13.048086, 6.436721, -1.013724>,
      < 13.124784, 24.624481, -0.828560>,
      < 13.467985, 24.624481, -0.828560>
    }
    triangle {
      < 13.048086, 6.436721, -1.013724>,
      < 13.467985, 24.624481, -0.828560>,
      < 13.811186, 24.624481, -0.828560>
    }
    triangle {
      < 13.048086, 6.436721, -1.013724>,
      < 13.811186, 24.624481, -0.828560>,
      < 13.887884, 6.436721, -1.013724>
    }
    triangle {
      < 13.467985, 25.100452, -1.283730>,
      < 12.936247, 25.100452, -1.283730>,
      < 12.747708, 25.576418, -1.738900>
    }
    triangle {
      < 13.467985, 25.100452, -1.283730>,
      < 12.747708, 25.576418, -1.738900>,
      < 14.188262, 25.576418, -1.738900>
    }
    triangle {
      < 13.467985, 25.100452, -1.283730>,
      < 14.188262, 25.576418, -1.738900>,
      < 13.999723, 25.100452, -1.283730>
    }
    triangle {
      < 12.747708, 25.576418, -1.738900>,
      < 12.671010, 27.318907, -1.924065>,
      < 14.264960, 27.318907, -1.924065>
    }
    triangle {
      < 12.747708, 25.576418, -1.738900>,
      < 14.264960, 27.318907, -1.924065>,
      < 14.188262, 25.576418, -1.738900>
    }
    triangle {
      < 12.671010, 27.318907, -1.924065>,
      < 12.534173, 27.485916, -2.254421>,
      < 14.401797, 27.485916, -2.254421>
    }
    triangle {
      < 12.671010, 27.318907, -1.924065>,
      < 14.401797, 27.485916, -2.254421>,
      < 14.264960, 27.318907, -1.924065>
    }
    triangle {
      < 12.534173, 27.485916, -2.254421>,
      < 12.534173, 27.889114, -2.254421>,
      < 14.401797, 27.889114, -2.254421>
    }
    triangle {
      < 12.534173, 27.485916, -2.254421>,
      < 14.401797, 27.889114, -2.254421>,
      < 14.401797, 27.485916, -2.254421>
    }
    triangle {
      < 12.534173, 27.889114, -2.254421>,
      < 12.867002, 27.722105, -1.450902>,
      < 14.068970, 27.722105, -1.450902>
    }
    triangle {
      < 12.534173, 27.889114, -2.254421>,
      < 14.068970, 27.722105, -1.450902>,
      < 14.401797, 27.889114, -2.254421>
    }
    triangle {
      < 12.867002, 27.722105, -1.450902>,
      < 12.943699, 26.219193, -1.265738>,
      < 13.992271, 26.219193, -1.265738>
    }
    triangle {
      < 12.867002, 27.722105, -1.450902>,
      < 13.992271, 26.219193, -1.265738>,
      < 14.068970, 27.722105, -1.450902>
    }
    triangle {
      < 12.943699, 26.219193, -1.265738>,
      < 13.209031, 26.252592, -0.625167>,
      < 13.726938, 26.252592, -0.625167>
    }
    triangle {
      < 12.943699, 26.219193, -1.265738>,
      < 13.726938, 26.252592, -0.625167>,
      < 13.992271, 26.219193, -1.265738>
    }
    triangle {
      < 13.209031, 26.252592, -0.625167>,
      < 13.350788, 46.881989, -0.282936>,
      < 13.585180, 46.881989, -0.282936>
    }
    triangle {
      < 13.209031, 26.252592, -0.625167>,
      < 13.585180, 46.881989, -0.282936>,
      < 13.726938, 26.252592, -0.625167>
    }
    triangle {
      < 14.210463, 3.703158, -1.792495>,
      < 14.210463, 5.931142, -1.792497>,
      < 15.260481, 5.931142, -0.742476>
    }
    triangle {
      < 14.210463, 3.703158, -1.792495>,
      < 15.260481, 5.931142, -0.742476>,
      < 15.260481, 3.703158, -0.742476>
    }
    triangle {
      < 14.210463, 5.931142, -1.792497>,
      < 14.503405, 5.931142, -2.499723>,
      < 15.967709, 5.931142, -1.035419>
    }
    triangle {
      < 14.210463, 5.931142, -1.792497>,
      < 15.967709, 5.931142, -1.035419>,
      < 15.260481, 5.931142, -0.742476>
    }
    triangle {
      < 14.503405, 5.931142, -2.499723>,
      < 14.503405, 6.436721, -2.499723>,
      < 15.967709, 6.436721, -1.035419>
    }
    triangle {
      < 14.503405, 5.931142, -2.499723>,
      < 15.967709, 6.436721, -1.035419>,
      < 15.967709, 5.931142, -1.035419>
    }
    triangle {
      < 14.503405, 6.436721, -2.499723>,
      < 13.887884, 6.436721, -1.013724>,
      < 14.481710, 6.436721, -0.419898>
    }
    triangle {
      < 14.503405, 6.436721, -2.499723>,
      < 14.481710, 6.436721, -0.419898>,
      < 15.967709, 6.436721, -1.035419>
    }
    triangle {
      < 13.887884, 6.436721, -1.013724>,
      < 13.811186, 24.624481, -0.828560>,
      < 14.296546, 24.624481, -0.343200>
    }
    triangle {
      < 13.887884, 6.436721, -1.013724>,
      < 14.296546, 24.624481, -0.343200>,
      < 14.481710, 6.436721, -0.419898>
    }
    triangle {
      < 13.811186, 24.624481, -0.828560>,
      < 13.999723, 25.100452, -1.283730>,
      < 14.188262, 25.576418, -1.738900>
    }
    triangle {
      < 13.811186, 24.624481, -0.828560>,
      < 14.188262, 25.576418, -1.738900>,
      < 15.206884, 25.576418, -0.720276>
    }
    triangle {
      < 13.811186, 24.624481, -0.828560>,
      < 15.206884, 25.576418, -0.720276>,
      < 14.296546, 24.624481, -0.343200>
    }
    triangle {
      < 14.188262, 25.576418, -1.738900>,
      < 14.264960, 27.318907, -1.924065>,
      < 15.392050, 27.318907, -0.796974>
    }
    triangle {
      < 14.188262, 25.576418, -1.738900>,
      < 15.392050, 27.318907, -0.796974>,
      < 15.206884, 25.576418, -0.720276>
    }
    triangle {
      < 14.264960, 27.318907, -1.924065>,
      < 14.401797, 27.485916, -2.254421>,
      < 15.722405, 27.485916, -0.933812>
    }
    triangle {
      < 14.264960, 27.318907, -1.924065>,
      < 15.722405, 27.485916, -0.933812>,
      < 15.392050, 27.318907, -0.796974>
    }
    triangle {
      < 14.401797, 27.485916, -2.254421>,
      < 14.401797, 27.889114, -2.254421>,
      < 15.722405, 27.889114, -0.933812>
    }
    triangle {
      < 14.401797, 27.485916, -2.254421>,
      < 15.722405, 27.889114, -0.933812>,
      < 15.722405, 27.485916, -0.933812>
    }
    triangle {
      < 14.401797, 27.889114, -2.254421>,
      < 14.068970, 27.722105, -1.450902>,
      < 14.918887, 27.722105, -0.600984>
    }
    triangle {
      < 14.401797, 27.889114, -2.254421>,
      < 14.918887, 27.722105, -0.600984>,
      < 15.722405, 27.889114, -0.933812>
    }
    triangle {
      < 14.068970, 27.722105, -1.450902>,
      < 13.992271, 26.219193, -1.265738>,
      < 14.733723, 26.219193, -0.524286>
    }
    triangle {
      < 14.068970, 27.722105, -1.450902>,
      < 14.733723, 26.219193, -0.524286>,
      < 14.918887, 27.722105, -0.600984>
    }
    triangle {
      < 13.992271, 26.219193, -1.265738>,
      < 13.726938, 26.252592, -0.625167>,
      < 14.093153, 26.252592, -0.258952>
    }
    triangle {
      < 13.992271, 26.219193, -1.265738>,
      < 14.093153, 26.252592, -0.258952>,
      < 14.733723, 26.219193, -0.524286>
    }
    triangle {
      < 13.726938, 26.252592, -0.625167>,
      < 13.585180, 46.881989, -0.282936>,
      < 13.750921, 46.881989, -0.117197>
    }
    triangle {
      < 13.726938, 26.252592, -0.625167>,
      < 13.750921, 46.881989, -0.117197>,
      < 14.093153, 26.252592, -0.258952>
    }
    triangle {
      < 8.823982, 4.554726, -13.105604>,
      < 8.823982, 4.078758, -12.650431>,
      < 8.480783, 4.078758, -12.650431>
    }
    triangle {
      < 8.823982, 4.554726, -13.105604>,
      < 8.480783, 4.078758, -12.650431>,
      < 8.292243, 4.554726, -13.105604>
    }
    triangle {
      < 11.451985, 4.554746, -13.105617>,
      < 11.983724, 4.554746, -13.105617>,
      < 11.795187, 4.078778, -12.650445>
    }
    triangle {
      < 11.451985, 4.554746, -13.105617>,
      < 11.795187, 4.078778, -12.650445>,
      < 11.451985, 4.078778, -12.650445>
    }
    triangle {
      < 13.811186, 24.624481, -0.828560>,
      < 13.467985, 24.624481, -0.828560>,
      < 11.451985, 4.078778, -12.650445>
    }
    triangle {
      < 13.811186, 24.624481, -0.828560>,
      < 11.451985, 4.078778, -12.650445>,
      < 11.795187, 4.078778, -12.650445>
    }
    triangle {
      < 13.467985, 24.624481, -0.828560>,
      < 13.467985, 25.100452, -1.283730>,
      < 11.451985, 4.554746, -13.105617>
    }
    triangle {
      < 13.467985, 24.624481, -0.828560>,
      < 11.451985, 4.554746, -13.105617>,
      < 11.451985, 4.078778, -12.650445>
    }
    triangle {
      < 13.467985, 25.100452, -1.283730>,
      < 13.999723, 25.100452, -1.283730>,
      < 11.983724, 4.554746, -13.105617>
    }
    triangle {
      < 13.467985, 25.100452, -1.283730>,
      < 11.983724, 4.554746, -13.105617>,
      < 11.451985, 4.554746, -13.105617>
    }
    triangle {
      < 13.999723, 25.100452, -1.283730>,
      < 13.811186, 24.624481, -0.828560>,
      < 11.795187, 4.078778, -12.650445>
    }
    triangle {
      < 13.999723, 25.100452, -1.283730>,
      < 11.795187, 4.078778, -12.650445>,
      < 11.983724, 4.554746, -13.105617>
    }
    triangle {
      < 13.124784, 24.624481, -0.828560>,
      < 12.936247, 25.100452, -1.283730>,
      < 8.292243, 4.554726, -13.105604>
    }
    triangle {
      < 13.124784, 24.624481, -0.828560>,
      < 8.292243, 4.554726, -13.105604>,
      < 8.480783, 4.078758, -12.650431>
    }
    triangle {
      < 12.936247, 25.100452, -1.283730>,
      < 13.467985, 25.100452, -1.283730>,
      < 8.823982, 4.554726, -13.105604>
    }
    triangle {
      < 12.936247, 25.100452, -1.283730>,
      < 8.823982, 4.554726, -13.105604>,
      < 8.292243, 4.554726, -13.105604>
    }
    triangle {
      < 13.467985, 25.100452, -1.283730>,
      < 13.467985, 24.624481, -0.828560>,
      < 8.823982, 4.078758, -12.650431>
    }
    triangle {
      < 13.467985, 25.100452, -1.283730>,
      < 8.823982, 4.078758, -12.650431>,
      < 8.823982, 4.554726, -13.105604>
    }
    triangle {
      < 13.467985, 24.624481, -0.828560>,
      < 13.124784, 24.624481, -0.828560>,
      < 8.480783, 4.078758, -12.650431>
    }
    triangle {
      < 13.467985, 24.624481, -0.828560>,
      < 8.480783, 4.078758, -12.650431>,
      < 8.823982, 4.078758, -12.650431>
    }
    texture {mast1}
  }
  // mast3
  union {
    triangle {
      < -20.292507, 6.115158, -0.742476>,
      < -20.292507, 8.343143, -0.742476>,
      < -19.242489, 8.343143, -1.792495>
    }
    triangle {
      < -20.292507, 6.115158, -0.742476>,
      < -19.242489, 8.343143, -1.792495>,
      < -19.242489, 6.115158, -1.792497>
    }
    triangle {
      < -20.292507, 8.343143, -0.742476>,
      < -20.999735, 8.343143, -1.035419>,
      < -19.535431, 8.343143, -2.499723>
    }
    triangle {
      < -20.292507, 8.343143, -0.742476>,
      < -19.535431, 8.343143, -2.499723>,
      < -19.242489, 8.343143, -1.792495>
    }
    triangle {
      < -20.999735, 8.343143, -1.035419>,
      < -20.999735, 8.848721, -1.035419>,
      < -19.535431, 8.848721, -2.499723>
    }
    triangle {
      < -20.999735, 8.343143, -1.035419>,
      < -19.535431, 8.848721, -2.499723>,
      < -19.535431, 8.343143, -2.499723>
    }
    triangle {
      < -20.999735, 8.848721, -1.035419>,
      < -19.513737, 8.848721, -0.419898>,
      < -18.919910, 8.848721, -1.013724>
    }
    triangle {
      < -20.999735, 8.848721, -1.035419>,
      < -18.919910, 8.848721, -1.013724>,
      < -19.535431, 8.848721, -2.499723>
    }
    triangle {
      < -19.513737, 8.848721, -0.419898>,
      < -19.328571, 27.036480, -0.343200>,
      < -18.843212, 27.036480, -0.828560>
    }
    triangle {
      < -19.513737, 8.848721, -0.419898>,
      < -18.843212, 27.036480, -0.828560>,
      < -18.919910, 8.848721, -1.013724>
    }
    triangle {
      < -19.328571, 27.036480, -0.343200>,
      < -20.238913, 27.988419, -0.720276>,
      < -19.220287, 27.988419, -1.738900>
    }
    triangle {
      < -19.328571, 27.036480, -0.343200>,
      < -19.220287, 27.988419, -1.738900>,
      < -19.031750, 27.512449, -1.283730>
    }
    triangle {
      < -19.328571, 27.036480, -0.343200>,
      < -19.031750, 27.512449, -1.283730>,
      < -18.843212, 27.036480, -0.828560>
    }
    triangle {
      < -20.238913, 27.988419, -0.720276>,
      < -20.424078, 29.730904, -0.796974>,
      < -19.296986, 29.730904, -1.924065>
    }
    triangle {
      < -20.238913, 27.988419, -0.720276>,
      < -19.296986, 29.730904, -1.924065>,
      < -19.220287, 27.988419, -1.738900>
    }
    triangle {
      < -20.424078, 29.730904, -0.796974>,
      < -20.754433, 29.897915, -0.933812>,
      < -19.433825, 29.897915, -2.254421>
    }
    triangle {
      < -20.424078, 29.730904, -0.796974>,
      < -19.433825, 29.897915, -2.254421>,
      < -19.296986, 29.730904, -1.924065>
    }
    triangle {
      < -20.754433, 29.897915, -0.933812>,
      < -20.754433, 30.301113, -0.933812>,
      < -19.433825, 30.301113, -2.254421>
    }
    triangle {
      < -20.754433, 29.897915, -0.933812>,
      < -19.433825, 30.301113, -2.254421>,
      < -19.433825, 29.897915, -2.254421>
    }
    triangle {
      < -20.754433, 30.301113, -0.933812>,
      < -19.950914, 30.134102, -0.600984>,
      < -19.100996, 30.134102, -1.450902>
    }
    triangle {
      < -20.754433, 30.301113, -0.933812>,
      < -19.100996, 30.134102, -1.450902>,
      < -19.433825, 30.301113, -2.254421>
    }
    triangle {
      < -19.950914, 30.134102, -0.600984>,
      < -19.765751, 28.631191, -0.524286>,
      < -19.024298, 28.631191, -1.265738>
    }
    triangle {
      < -19.950914, 30.134102, -0.600984>,
      < -19.024298, 28.631191, -1.265738>,
      < -19.100996, 30.134102, -1.450902>
    }
    triangle {
      < -19.765751, 28.631191, -0.524286>,
      < -19.125179, 28.664593, -0.258952>,
      < -18.758965, 28.664593, -0.625167>
    }
    triangle {
      < -19.765751, 28.631191, -0.524286>,
      < -18.758965, 28.664593, -0.625167>,
      < -19.024298, 28.631191, -1.265738>
    }
    triangle {
      < -19.125179, 28.664593, -0.258952>,
      < -18.782949, 49.293991, -0.117197>,
      < -18.617208, 49.293991, -0.282936>
    }
    triangle {
      < -19.125179, 28.664593, -0.258952>,
      < -18.617208, 49.293991, -0.282936>,
      < -18.758965, 28.664593, -0.625167>
    }
    triangle {
      < -19.242489, 6.115158, -1.792497>,
      < -19.242489, 8.343143, -1.792495>,
      < -17.757534, 8.343143, -1.792497>
    }
    triangle {
      < -19.242489, 6.115158, -1.792497>,
      < -17.757534, 8.343143, -1.792497>,
      < -17.757534, 6.115158, -1.792495>
    }
    triangle {
      < -19.242489, 8.343143, -1.792495>,
      < -19.535431, 8.343143, -2.499723>,
      < -17.464592, 8.343143, -2.499723>
    }
    triangle {
      < -19.242489, 8.343143, -1.792495>,
      < -17.464592, 8.343143, -2.499723>,
      < -17.757534, 8.343143, -1.792497>
    }
    triangle {
      < -19.535431, 8.343143, -2.499723>,
      < -19.535431, 8.848721, -2.499723>,
      < -17.464592, 8.848721, -2.499723>
    }
    triangle {
      < -19.535431, 8.343143, -2.499723>,
      < -17.464592, 8.848721, -2.499723>,
      < -17.464592, 8.343143, -2.499723>
    }
    triangle {
      < -19.535431, 8.848721, -2.499723>,
      < -18.919910, 8.848721, -1.013724>,
      < -18.080112, 8.848721, -1.013724>
    }
    triangle {
      < -19.535431, 8.848721, -2.499723>,
      < -18.080112, 8.848721, -1.013724>,
      < -17.464592, 8.848721, -2.499723>
    }
    triangle {
      < -18.919910, 8.848721, -1.013724>,
      < -18.843212, 27.036480, -0.828560>,
      < -18.500011, 27.036480, -0.828560>
    }
    triangle {
      < -18.919910, 8.848721, -1.013724>,
      < -18.500011, 27.036480, -0.828560>,
      < -18.156811, 27.036480, -0.828560>
    }
    triangle {
      < -18.919910, 8.848721, -1.013724>,
      < -18.156811, 27.036480, -0.828560>,
      < -18.080112, 8.848721, -1.013724>
    }
    triangle {
      < -18.500011, 27.512449, -1.283730>,
      < -19.031750, 27.512449, -1.283730>,
      < -19.220287, 27.988419, -1.738900>
    }
    triangle {
      < -18.500011, 27.512449, -1.283730>,
      < -19.220287, 27.988419, -1.738900>,
      < -17.779734, 27.988419, -1.738900>
    }
    triangle {
      < -18.500011, 27.512449, -1.283730>,
      < -17.779734, 27.988419, -1.738900>,
      < -17.968273, 27.512449, -1.283730>
    }
    triangle {
      < -19.220287, 27.988419, -1.738900>,
      < -19.296986, 29.730904, -1.924065>,
      < -17.703035, 29.730904, -1.924065>
    }
    triangle {
      < -19.220287, 27.988419, -1.738900>,
      < -17.703035, 29.730904, -1.924065>,
      < -17.779734, 27.988419, -1.738900>
    }
    triangle {
      < -19.296986, 29.730904, -1.924065>,
      < -19.433825, 29.897915, -2.254421>,
      < -17.566198, 29.897915, -2.254421>
    }
    triangle {
      < -19.296986, 29.730904, -1.924065>,
      < -17.566198, 29.897915, -2.254421>,
      < -17.703035, 29.730904, -1.924065>
    }
    triangle {
      < -19.433825, 29.897915, -2.254421>,
      < -19.433825, 30.301113, -2.254421>,
      < -17.566198, 30.301113, -2.254421>
    }
    triangle {
      < -19.433825, 29.897915, -2.254421>,
      < -17.566198, 30.301113, -2.254421>,
      < -17.566198, 29.897915, -2.254421>
    }
    triangle {
      < -19.433825, 30.301113, -2.254421>,
      < -19.100996, 30.134102, -1.450902>,
      < -17.899027, 30.134102, -1.450902>
    }
    triangle {
      < -19.433825, 30.301113, -2.254421>,
      < -17.899027, 30.134102, -1.450902>,
      < -17.566198, 30.301113, -2.254421>
    }
    triangle {
      < -19.100996, 30.134102, -1.450902>,
      < -19.024298, 28.631191, -1.265738>,
      < -17.975723, 28.631191, -1.265738>
    }
    triangle {
      < -19.100996, 30.134102, -1.450902>,
      < -17.975723, 28.631191, -1.265738>,
      < -17.899027, 30.134102, -1.450902>
    }
    triangle {
      < -19.024298, 28.631191, -1.265738>,
      < -18.758965, 28.664593, -0.625167>,
      < -18.241058, 28.664593, -0.625167>
    }
    triangle {
      < -19.024298, 28.631191, -1.265738>,
      < -18.241058, 28.664593, -0.625167>,
      < -17.975723, 28.631191, -1.265738>
    }
    triangle {
      < -18.758965, 28.664593, -0.625167>,
      < -18.617208, 49.293991, -0.282936>,
      < -18.382814, 49.293991, -0.282936>
    }
    triangle {
      < -18.758965, 28.664593, -0.625167>,
      < -18.382814, 49.293991, -0.282936>,
      < -18.241058, 28.664593, -0.625167>
    }
    triangle {
      < -17.757534, 6.115158, -1.792495>,
      < -17.757534, 8.343143, -1.792497>,
      < -16.707516, 8.343143, -0.742476>
    }
    triangle {
      < -17.757534, 6.115158, -1.792495>,
      < -16.707516, 8.343143, -0.742476>,
      < -16.707516, 6.115158, -0.742476>
    }
    triangle {
      < -17.757534, 8.343143, -1.792497>,
      < -17.464592, 8.343143, -2.499723>,
      < -16.000288, 8.343143, -1.035419>
    }
    triangle {
      < -17.757534, 8.343143, -1.792497>,
      < -16.000288, 8.343143, -1.035419>,
      < -16.707516, 8.343143, -0.742476>
    }
    triangle {
      < -17.464592, 8.343143, -2.499723>,
      < -17.464592, 8.848721, -2.499723>,
      < -16.000288, 8.848721, -1.035419>
    }
    triangle {
      < -17.464592, 8.343143, -2.499723>,
      < -16.000288, 8.848721, -1.035419>,
      < -16.000288, 8.343143, -1.035419>
    }
    triangle {
      < -17.464592, 8.848721, -2.499723>,
      < -18.080112, 8.848721, -1.013724>,
      < -17.486286, 8.848721, -0.419898>
    }
    triangle {
      < -17.464592, 8.848721, -2.499723>,
      < -17.486286, 8.848721, -0.419898>,
      < -16.000288, 8.848721, -1.035419>
    }
    triangle {
      < -18.080112, 8.848721, -1.013724>,
      < -18.156811, 27.036480, -0.828560>,
      < -17.671450, 27.036480, -0.343200>
    }
    triangle {
      < -18.080112, 8.848721, -1.013724>,
      < -17.671450, 27.036480, -0.343200>,
      < -17.486286, 8.848721, -0.419898>
    }
    triangle {
      < -18.156811, 27.036480, -0.828560>,
      < -17.968273, 27.512449, -1.283730>,
      < -17.779734, 27.988419, -1.738900>
    }
    triangle {
      < -18.156811, 27.036480, -0.828560>,
      < -17.779734, 27.988419, -1.738900>,
      < -16.761112, 27.988419, -0.720276>
    }
    triangle {
      < -18.156811, 27.036480, -0.828560>,
      < -16.761112, 27.988419, -0.720276>,
      < -17.671450, 27.036480, -0.343200>
    }
    triangle {
      < -17.779734, 27.988419, -1.738900>,
      < -17.703035, 29.730904, -1.924065>,
      < -16.575947, 29.730904, -0.796974>
    }
    triangle {
      < -17.779734, 27.988419, -1.738900>,
      < -16.575947, 29.730904, -0.796974>,
      < -16.761112, 27.988419, -0.720276>
    }
    triangle {
      < -17.703035, 29.730904, -1.924065>,
      < -17.566198, 29.897915, -2.254421>,
      < -16.245590, 29.897915, -0.933812>
    }
    triangle {
      < -17.703035, 29.730904, -1.924065>,
      < -16.245590, 29.897915, -0.933812>,
      < -16.575947, 29.730904, -0.796974>
    }
    triangle {
      < -17.566198, 29.897915, -2.254421>,
      < -17.566198, 30.301113, -2.254421>,
      < -16.245590, 30.301113, -0.933812>
    }
    triangle {
      < -17.566198, 29.897915, -2.254421>,
      < -16.245590, 30.301113, -0.933812>,
      < -16.245590, 29.897915, -0.933812>
    }
    triangle {
      < -17.566198, 30.301113, -2.254421>,
      < -17.899027, 30.134102, -1.450902>,
      < -17.049109, 30.134102, -0.600984>
    }
    triangle {
      < -17.566198, 30.301113, -2.254421>,
      < -17.049109, 30.134102, -0.600984>,
      < -16.245590, 30.301113, -0.933812>
    }
    triangle {
      < -17.899027, 30.134102, -1.450902>,
      < -17.975723, 28.631191, -1.265738>,
      < -17.234274, 28.631191, -0.524286>
    }
    triangle {
      < -17.899027, 30.134102, -1.450902>,
      < -17.234274, 28.631191, -0.524286>,
      < -17.049109, 30.134102, -0.600984>
    }
    triangle {
      < -17.975723, 28.631191, -1.265738>,
      < -18.241058, 28.664593, -0.625167>,
      < -17.874844, 28.664593, -0.258952>
    }
    triangle {
      < -17.975723, 28.631191, -1.265738>,
      < -17.874844, 28.664593, -0.258952>,
      < -17.234274, 28.631191, -0.524286>
    }
    triangle {
      < -18.241058, 28.664593, -0.625167>,
      < -18.382814, 49.293991, -0.282936>,
      < -18.217075, 49.293991, -0.117197>
    }
    triangle {
      < -18.241058, 28.664593, -0.625167>,
      < -18.217075, 49.293991, -0.117197>,
      < -17.874844, 28.664593, -0.258952>
    }
    triangle {
      < -20.768013, 6.534726, -13.105604>,
      < -20.768013, 6.058758, -12.650431>,
      < -21.111214, 6.058758, -12.650431>
    }
    triangle {
      < -20.768013, 6.534726, -13.105604>,
      < -21.111214, 6.058758, -12.650431>,
      < -21.299751, 6.534726, -13.105604>
    }
    triangle {
      < -18.140011, 6.534745, -13.105617>,
      < -17.608273, 6.534745, -13.105617>,
      < -17.796808, 6.058776, -12.650445>
    }
    triangle {
      < -18.140011, 6.534745, -13.105617>,
      < -17.796808, 6.058776, -12.650445>,
      < -18.140011, 6.058776, -12.650445>
    }
    triangle {
      < -18.156811, 27.036480, -0.828560>,
      < -18.500011, 27.036480, -0.828560>,
      < -18.140011, 6.058776, -12.650445>
    }
    triangle {
      < -18.156811, 27.036480, -0.828560>,
      < -18.140011, 6.058776, -12.650445>,
      < -17.796808, 6.058776, -12.650445>
    }
    triangle {
      < -18.500011, 27.036480, -0.828560>,
      < -18.500011, 27.512449, -1.283730>,
      < -18.140011, 6.534745, -13.105617>
    }
    triangle {
      < -18.500011, 27.036480, -0.828560>,
      < -18.140011, 6.534745, -13.105617>,
      < -18.140011, 6.058776, -12.650445>
    }
    triangle {
      < -18.500011, 27.512449, -1.283730>,
      < -17.968273, 27.512449, -1.283730>,
      < -17.608273, 6.534745, -13.105617>
    }
    triangle {
      < -18.500011, 27.512449, -1.283730>,
      < -17.608273, 6.534745, -13.105617>,
      < -18.140011, 6.534745, -13.105617>
    }
    triangle {
      < -17.968273, 27.512449, -1.283730>,
      < -18.156811, 27.036480, -0.828560>,
      < -17.796808, 6.058776, -12.650445>
    }
    triangle {
      < -17.968273, 27.512449, -1.283730>,
      < -17.796808, 6.058776, -12.650445>,
      < -17.608273, 6.534745, -13.105617>
    }
    triangle {
      < -18.843212, 27.036480, -0.828560>,
      < -19.031750, 27.512449, -1.283730>,
      < -21.299751, 6.534726, -13.105604>
    }
    triangle {
      < -18.843212, 27.036480, -0.828560>,
      < -21.299751, 6.534726, -13.105604>,
      < -21.111214, 6.058758, -12.650431>
    }
    triangle {
      < -19.031750, 27.512449, -1.283730>,
      < -18.500011, 27.512449, -1.283730>,
      < -20.768013, 6.534726, -13.105604>
    }
    triangle {
      < -19.031750, 27.512449, -1.283730>,
      < -20.768013, 6.534726, -13.105604>,
      < -21.299751, 6.534726, -13.105604>
    }
    triangle {
      < -18.500011, 27.512449, -1.283730>,
      < -18.500011, 27.036480, -0.828560>,
      < -20.768013, 6.058758, -12.650431>
    }
    triangle {
      < -18.500011, 27.512449, -1.283730>,
      < -20.768013, 6.058758, -12.650431>,
      < -20.768013, 6.534726, -13.105604>
    }
    triangle {
      < -18.500011, 27.036480, -0.828560>,
      < -18.843212, 27.036480, -0.828560>,
      < -21.111214, 6.058758, -12.650431>
    }
    triangle {
      < -18.500011, 27.036480, -0.828560>,
      < -21.111214, 6.058758, -12.650431>,
      < -20.768013, 6.058758, -12.650431>
    }
    texture {mast3}
  }
  // deck
  union {
    triangle {
      < 26.333582, 1.027800, -1.582581>,
      < 25.659239, 1.174690, 0.000000>,
      < 27.660387, 1.772689, 0.000000>
    }
    triangle {
      < 27.660387, 1.772689, 0.000000>,
      < 25.659239, 1.174690, 0.000000>,
      < 26.333582, 1.027800, 1.582581>
    }
    texture {deck}
  }
  rotate x*0
  rotate y*0
  rotate z*0
}
