
// This file is a POV V2.0 document that describes
// the image of an P51 airplane. This image was
// converted from p51_mustang.obj found on avalon.chinalake.navy.mil
// by Keith Rule (keithr@lucy1.pen.tek.com).
//
// The original file "p51_mustgan.obj" had the following
// restrictions:
//	(c) Copyright 1992 Viewpoint Animation Engineering Inc.
//	Sun Microsystems has been authorized to freely distribute
//	these Datasets.  They are provided for unlimited use in
//	existing or modified form.  The actual Dataset (ie, geometry)
//	may not, however, be resold in existing or modified form.
//
// No additional restrictions have been added to this version of the file.
//
// This file was automatically generated from p51_mustang.obj. Occasional
// warnings will be reported by povray about this file. These
// warnings, though annoying, do not affect the resultant raytraced
// image.

#include "colors.inc"
#include "textures.inc"

camera {
   location  <+5, 15, 15>
   direction <0, 0,  1>
   up        <0, 1,  0>
   right   <4/3, 0,  0>
   look_at   <0, 0, 0>
}

light_source {<+5, 15, 15> color White}
light_source {<0, 20, 0> color White}
light_source {<0, -20, 0> color White}

/* Sky */
sphere { <0, -39000, 0>, 40000
   inverse

   pigment {
      bozo
      turbulence 0.6
      colour_map {
         [0 0.5 colour red 0.4 green 0.5 blue 1
                colour red 0.4 green 0.5 blue 1.0]
         [0.5 0.7 colour red 0.4 green 0.5 blue 1
                  colour red 1 green 1 blue 1.0]
         [0.7 1 colour red 1 green 1 blue 1
                colour red 0.7 green 0.7 blue 0.7]
      }
      scale 500
      quick_color red 0.4 green 0.5 blue 1
   }
   finish {
      ambient 1
      diffuse 0
   }
}

/* Ground */
plane { y, -5000
   pigment { Green }
   finish {
      crand 0.05
      ambient 0.5
      diffuse 0.5
   }
}

// Color and Texture definitions for P51 object.
#declare fuselage = texture {pigment {color Silver} finish {Metal}}
#declare exhaust = texture {pigment {color Black} finish {Metal}}
#declare wings = texture {pigment {color Silver} finish {Metal}}
#declare canopy = texture {Glass}
#declare prop = texture {pigment {color Black} finish {Metal}}

// The P51 object.
union {
  // fuselage
  union {
    triangle {
      < 6.361460, -0.219626, -0.515268>,
      < 6.361460, -0.103735, -0.558472>,
      < 6.572553, -0.096294, -0.535720>
    }
    triangle {
      < 6.361460, -0.219626, -0.515268>,
      < 6.572553, -0.096294, -0.535720>,
      < 6.572738, -0.194421, -0.505845>
    }
    triangle {
      < 6.361460, 0.669865, -0.156457>,
      < 6.361460, 0.669865, 0.000000>,
      < 6.572132, 0.636542, 0.000000>
    }
    triangle {
      < 6.361460, 0.669865, -0.156457>,
      < 6.572132, 0.636542, 0.000000>,
      < 6.572132, 0.636542, -0.156457>
    }
    triangle {
      < 6.361460, -0.794649, 0.000000>,
      < 6.361460, -0.794649, -0.156457>,
      < 6.574741, -0.745212, -0.156457>
    }
    triangle {
      < 6.361460, -0.794649, 0.000000>,
      < 6.574741, -0.745212, -0.156457>,
      < 6.574741, -0.745212, 0.000000>
    }
    triangle {
      < 6.576936, -0.629809, -0.141259>,
      < 6.576936, -0.587882, -0.261854>,
      < 6.576936, -0.555708, -0.299689>
    }
    triangle {
      < 6.576936, -0.629809, -0.141259>,
      < 6.576936, -0.555708, -0.299689>,
      < 6.576936, -0.453436, -0.361991>
    }
    triangle {
      < 6.576936, -0.629809, -0.141259>,
      < 6.576936, -0.453436, -0.361991>,
      < 6.576936, -0.309463, -0.356873>
    }
    triangle {
      < 6.576936, -0.629809, -0.141259>,
      < 6.576936, -0.309463, -0.356873>,
      < 6.576936, -0.182333, -0.295363>
    }
    triangle {
      < 6.576936, -0.629809, -0.141259>,
      < 6.576936, -0.182333, -0.295363>,
      < 6.576936, -0.159085, 0.000000>
    }
    triangle {
      < 6.576936, -0.629809, -0.141259>,
      < 6.576936, -0.159085, 0.000000>,
      < 6.576936, -0.624314, 0.000000>
    }
    triangle {
      < 6.361460, 0.398707, -0.490883>,
      < 6.571951, 0.389182, -0.490883>,
      < 6.571836, 0.207239, -0.535484>
    }
    triangle {
      < 6.361460, 0.398707, -0.490883>,
      < 6.571836, 0.207239, -0.535484>,
      < 6.361460, 0.207409, -0.535484>
    }
    triangle {
      < 6.574113, -0.480045, -0.464885>,
      < 6.361460, -0.523492, -0.464885>,
      < 6.361460, -0.378841, -0.476876>
    }
    triangle {
      < 6.574113, -0.480045, -0.464885>,
      < 6.361460, -0.378841, -0.476876>,
      < 6.573818, -0.338568, -0.473719>
    }
    triangle {
      < 6.361460, 0.615640, -0.312522>,
      < 6.572089, 0.583477, -0.312522>,
      < 6.572050, 0.530397, -0.379419>
    }
    triangle {
      < 6.361460, 0.615640, -0.312522>,
      < 6.572050, 0.530397, -0.379419>,
      < 6.361460, 0.561399, -0.379419>
    }
    triangle {
      < 6.361460, 0.669865, -0.156457>,
      < 6.572132, 0.636542, -0.156457>,
      < 6.572089, 0.583477, -0.312522>
    }
    triangle {
      < 6.361460, 0.669865, -0.156457>,
      < 6.572089, 0.583477, -0.312522>,
      < 6.361460, 0.615640, -0.312522>
    }
    triangle {
      < 6.571951, 0.389182, -0.490883>,
      < 6.361460, 0.398707, -0.490883>,
      < 6.361460, 0.561399, -0.379419>
    }
    triangle {
      < 6.571951, 0.389182, -0.490883>,
      < 6.361460, 0.561399, -0.379419>,
      < 6.572050, 0.530397, -0.379419>
    }
    triangle {
      < 6.572061, 0.027289, -0.553741>,
      < 6.361460, 0.028069, -0.567064>,
      < 6.361460, 0.207409, -0.535484>
    }
    triangle {
      < 6.572061, 0.027289, -0.553741>,
      < 6.361460, 0.207409, -0.535484>,
      < 6.571836, 0.207239, -0.535484>
    }
    triangle {
      < 6.574611, -0.692189, -0.307323>,
      < 6.361460, -0.740424, -0.307323>,
      < 6.361460, -0.686183, -0.369020>
    }
    triangle {
      < 6.574611, -0.692189, -0.307323>,
      < 6.361460, -0.686183, -0.369020>,
      < 6.574482, -0.639148, -0.369020>
    }
    triangle {
      < 6.361460, -0.523492, -0.464885>,
      < 6.574113, -0.480045, -0.464885>,
      < 6.574482, -0.639148, -0.369020>
    }
    triangle {
      < 6.361460, -0.523492, -0.464885>,
      < 6.574482, -0.639148, -0.369020>,
      < 6.361460, -0.686183, -0.369020>
    }
    triangle {
      < 6.574741, -0.745212, -0.156457>,
      < 6.361460, -0.794649, -0.156457>,
      < 6.361460, -0.740424, -0.307323>
    }
    triangle {
      < 6.574741, -0.745212, -0.156457>,
      < 6.361460, -0.740424, -0.307323>,
      < 6.574611, -0.692189, -0.307323>
    }
    triangle {
      < 6.361460, -0.794649, -0.156457>,
      < 6.361460, -0.794649, 0.000000>,
      < 6.058460, -0.864940, 0.000000>
    }
    triangle {
      < 6.361460, -0.794649, -0.156457>,
      < 6.058460, -0.864940, 0.000000>,
      < 6.058460, -0.864940, -0.156457>
    }
    triangle {
      < 6.361460, 0.669865, 0.000000>,
      < 6.361460, 0.669865, -0.156457>,
      < 6.058460, 0.680933, -0.156457>
    }
    triangle {
      < 6.361460, 0.669865, 0.000000>,
      < 6.058460, 0.680933, -0.156457>,
      < 6.058460, 0.680933, 0.000000>
    }
    triangle {
      < 6.361460, 0.669865, -0.156457>,
      < 6.361460, 0.615640, -0.312522>,
      < 6.058460, 0.623695, -0.312522>
    }
    triangle {
      < 6.361460, 0.669865, -0.156457>,
      < 6.058460, 0.623695, -0.312522>,
      < 6.058460, 0.680933, -0.156457>
    }
    triangle {
      < 6.361460, 0.615640, -0.312522>,
      < 6.361460, 0.561399, -0.379419>,
      < 6.058460, 0.566441, -0.379419>
    }
    triangle {
      < 6.361460, 0.615640, -0.312522>,
      < 6.058460, 0.566441, -0.379419>,
      < 6.058460, 0.623695, -0.312522>
    }
    triangle {
      < 6.361460, 0.561399, -0.379419>,
      < 6.361460, 0.398707, -0.490883>,
      < 6.058460, 0.394712, -0.490883>
    }
    triangle {
      < 6.361460, 0.561399, -0.379419>,
      < 6.058460, 0.394712, -0.490883>,
      < 6.058460, 0.566441, -0.379419>
    }
    triangle {
      < 6.361460, 0.398707, -0.490883>,
      < 6.361460, 0.207409, -0.535484>,
      < 6.058460, 0.211786, -0.535484>
    }
    triangle {
      < 6.361460, 0.398707, -0.490883>,
      < 6.058460, 0.211786, -0.535484>,
      < 6.058460, 0.394712, -0.490883>
    }
    triangle {
      < 6.361460, 0.207409, -0.535484>,
      < 6.361460, 0.028069, -0.567064>,
      < 6.286466, -0.044879, -0.580071>
    }
    triangle {
      < 6.361460, 0.207409, -0.535484>,
      < 6.286466, -0.044879, -0.580071>,
      < 6.058460, -0.042087, -0.580071>
    }
    triangle {
      < 6.361460, 0.207409, -0.535484>,
      < 6.058460, -0.042087, -0.580071>,
      < 6.058460, 0.211786, -0.535484>
    }
    triangle {
      < 6.361460, -0.103735, -0.558472>,
      < 6.361460, -0.219626, -0.515268>,
      < 6.058460, -0.247173, -0.548869>
    }
    triangle {
      < 6.361460, -0.103735, -0.558472>,
      < 6.058460, -0.247173, -0.548869>,
      < 6.058460, -0.042087, -0.580071>
    }
    triangle {
      < 6.361460, -0.103735, -0.558472>,
      < 6.058460, -0.042087, -0.580071>,
      < 6.286466, -0.044879, -0.580071>
    }
    triangle {
      < 6.361460, -0.378841, -0.476876>,
      < 6.361460, -0.523492, -0.464885>,
      < 6.058460, -0.578719, -0.464885>
    }
    triangle {
      < 6.361460, -0.378841, -0.476876>,
      < 6.058460, -0.578719, -0.464885>,
      < 6.058460, -0.426032, -0.510478>
    }
    triangle {
      < 6.361460, -0.523492, -0.464885>,
      < 6.361460, -0.686183, -0.369020>,
      < 6.058460, -0.750448, -0.369020>
    }
    triangle {
      < 6.361460, -0.523492, -0.464885>,
      < 6.058460, -0.750448, -0.369020>,
      < 6.058460, -0.578719, -0.464885>
    }
    triangle {
      < 6.361460, -0.686183, -0.369020>,
      < 6.361460, -0.740424, -0.307323>,
      < 6.058460, -0.807703, -0.307323>
    }
    triangle {
      < 6.361460, -0.686183, -0.369020>,
      < 6.058460, -0.807703, -0.307323>,
      < 6.058460, -0.750448, -0.369020>
    }
    triangle {
      < 6.361460, -0.740424, -0.307323>,
      < 6.361460, -0.794649, -0.156457>,
      < 6.058460, -0.864940, -0.156457>
    }
    triangle {
      < 6.361460, -0.740424, -0.307323>,
      < 6.058460, -0.864940, -0.156457>,
      < 6.058460, -0.807703, -0.307323>
    }
    triangle {
      < 6.058460, -0.578719, -0.464885>,
      < 6.058460, -0.750448, -0.369020>,
      < 5.759059, -0.806535, -0.369020>
    }
    triangle {
      < 6.058460, -0.578719, -0.464885>,
      < 5.759059, -0.806535, -0.369020>,
      < 5.759059, -0.629551, -0.464885>
    }
    triangle {
      < 6.058460, -0.750448, -0.369020>,
      < 6.058460, -0.807703, -0.307323>,
      < 5.759059, -0.865547, -0.307323>
    }
    triangle {
      < 6.058460, -0.750448, -0.369020>,
      < 5.759059, -0.865547, -0.307323>,
      < 5.759059, -0.806535, -0.369020>
    }
    triangle {
      < 6.058460, -0.807703, -0.307323>,
      < 6.058460, -0.864940, -0.156457>,
      < 5.759059, -0.924679, -0.156457>
    }
    triangle {
      < 6.058460, -0.807703, -0.307323>,
      < 5.759059, -0.924679, -0.156457>,
      < 5.759059, -0.865547, -0.307323>
    }
    triangle {
      < 6.058460, -0.864940, -0.156457>,
      < 6.058460, -0.864940, 0.000000>,
      < 5.759059, -0.924679, 0.000000>
    }
    triangle {
      < 6.058460, -0.864940, -0.156457>,
      < 5.759059, -0.924679, 0.000000>,
      < 5.759059, -0.924679, -0.156457>
    }
    triangle {
      < 6.058460, 0.680933, 0.000000>,
      < 6.058460, 0.680933, -0.156457>,
      < 5.759059, 0.688910, -0.156457>
    }
    triangle {
      < 6.058460, 0.680933, 0.000000>,
      < 5.759059, 0.688910, -0.156457>,
      < 5.759059, 0.688910, 0.000000>
    }
    triangle {
      < 6.058460, 0.680933, -0.156457>,
      < 6.058460, 0.623695, -0.312522>,
      < 5.759059, 0.633582, -0.312522>
    }
    triangle {
      < 6.058460, 0.680933, -0.156457>,
      < 5.759059, 0.633582, -0.312522>,
      < 5.759059, 0.688910, -0.156457>
    }
    triangle {
      < 6.058460, 0.623695, -0.312522>,
      < 6.058460, 0.566441, -0.379419>,
      < 5.759059, 0.574636, -0.379419>
    }
    triangle {
      < 6.058460, 0.623695, -0.312522>,
      < 5.759059, 0.574636, -0.379419>,
      < 5.759059, 0.633582, -0.312522>
    }
    triangle {
      < 6.058460, 0.566441, -0.379419>,
      < 6.058460, 0.394712, -0.490883>,
      < 5.759059, 0.397834, -0.490883>
    }
    triangle {
      < 6.058460, 0.566441, -0.379419>,
      < 5.759059, 0.397834, -0.490883>,
      < 5.759059, 0.574636, -0.379419>
    }
    triangle {
      < 6.058460, 0.394712, -0.490883>,
      < 6.058460, 0.211786, -0.535484>,
      < 5.759059, 0.218724, -0.535484>
    }
    triangle {
      < 6.058460, 0.394712, -0.490883>,
      < 5.759059, 0.218724, -0.535484>,
      < 5.759059, 0.397834, -0.490883>
    }
    texture {fuselage}
  }
  // exhaust
  union {
    triangle {
      < 5.789646, 0.121588, -0.791111>,
      < 5.789646, 0.140077, -0.787883>,
      < 5.960786, 0.126591, -0.731008>
    }
    triangle {
      < 5.789646, 0.121588, -0.791111>,
      < 5.960786, 0.126591, -0.731008>,
      < 5.960793, 0.108211, -0.734260>
    }
    texture {exhaust}
  }
  // fuselage
  union {
    triangle {
      < 6.058460, -0.042087, -0.580071>,
      < 6.058460, -0.247173, -0.548869>,
      < 5.759059, -0.274659, -0.548869>
    }
    triangle {
      < 6.058460, -0.042087, -0.580071>,
      < 5.759059, -0.274659, -0.548869>,
      < 5.759059, -0.036405, -0.580071>
    }
    triangle {
      < 6.058460, -0.426032, -0.510478>,
      < 6.058460, -0.578719, -0.464885>,
      < 5.759059, -0.629551, -0.464885>
    }
    triangle {
      < 6.058460, -0.426032, -0.510478>,
      < 5.759059, -0.629551, -0.464885>,
      < 5.759059, -0.472355, -0.510478>
    }
    texture {fuselage}
  }
  // exhaust
  union {
    triangle {
      < 5.414464, 0.123345, -0.791109>,
      < 5.414464, 0.141636, -0.787881>,
      < 5.674865, 0.130383, -0.726270>
    }
    triangle {
      < 5.414464, 0.123345, -0.791109>,
      < 5.674865, 0.130383, -0.726270>,
      < 5.674857, 0.111792, -0.729480>
    }
    texture {exhaust}
  }
  // fuselage
  union {
    triangle {
      < 5.759059, -0.036405, -0.580071>,
      < 5.759059, -0.274659, -0.548869>,
      < 5.634072, -0.409004, -0.533271>
    }
    triangle {
      < 5.759059, -0.036405, -0.580071>,
      < 5.634072, -0.409004, -0.533271>,
      < 5.384059, -0.439481, -0.533271>
    }
    triangle {
      < 5.759059, -0.036405, -0.580071>,
      < 5.384059, -0.439481, -0.533271>,
      < 5.384059, -0.034261, -0.580071>
    }
    triangle {
      < 5.759059, -0.472355, -0.510478>,
      < 5.759059, -0.629551, -0.464885>,
      < 5.384059, -0.690861, -0.464885>
    }
    triangle {
      < 5.759059, -0.472355, -0.510478>,
      < 5.384059, -0.690861, -0.464885>,
      < 5.384059, -0.439481, -0.533271>
    }
    triangle {
      < 5.759059, -0.472355, -0.510478>,
      < 5.384059, -0.439481, -0.533271>,
      < 5.634072, -0.409004, -0.533271>
    }
    triangle {
      < 5.759059, -0.629551, -0.464885>,
      < 5.759059, -0.806535, -0.369020>,
      < 5.384059, -0.877400, -0.369020>
    }
    triangle {
      < 5.759059, -0.629551, -0.464885>,
      < 5.384059, -0.877400, -0.369020>,
      < 5.384059, -0.690861, -0.464885>
    }
    triangle {
      < 5.759059, -0.806535, -0.369020>,
      < 5.759059, -0.865547, -0.307323>,
      < 5.384059, -0.938690, -0.307323>
    }
    triangle {
      < 5.759059, -0.806535, -0.369020>,
      < 5.384059, -0.938690, -0.307323>,
      < 5.384059, -0.877400, -0.369020>
    }
    triangle {
      < 5.759059, -0.865547, -0.307323>,
      < 5.759059, -0.924679, -0.156457>,
      < 5.384059, -1.000841, -0.156457>
    }
    triangle {
      < 5.759059, -0.865547, -0.307323>,
      < 5.384059, -1.000841, -0.156457>,
      < 5.384059, -0.938690, -0.307323>
    }
    triangle {
      < 5.759059, -0.924679, -0.156457>,
      < 5.759059, -0.924679, 0.000000>,
      < 5.384059, -1.000841, 0.000000>
    }
    triangle {
      < 5.759059, -0.924679, -0.156457>,
      < 5.384059, -1.000841, 0.000000>,
      < 5.384059, -1.000841, -0.156457>
    }
    triangle {
      < 5.759059, 0.688910, 0.000000>,
      < 5.759059, 0.688910, -0.156457>,
      < 5.384059, 0.701148, -0.156457>
    }
    triangle {
      < 5.759059, 0.688910, 0.000000>,
      < 5.384059, 0.701148, -0.156457>,
      < 5.384059, 0.701148, 0.000000>
    }
    triangle {
      < 5.759059, 0.688910, -0.156457>,
      < 5.759059, 0.633582, -0.312522>,
      < 5.384059, 0.640479, -0.312522>
    }
    triangle {
      < 5.759059, 0.688910, -0.156457>,
      < 5.384059, 0.640479, -0.312522>,
      < 5.384059, 0.701148, -0.156457>
    }
    triangle {
      < 5.759059, 0.633582, -0.312522>,
      < 5.759059, 0.574636, -0.379419>,
      < 5.384059, 0.579792, -0.379419>
    }
    triangle {
      < 5.759059, 0.633582, -0.312522>,
      < 5.384059, 0.579792, -0.379419>,
      < 5.384059, 0.640479, -0.312522>
    }
    triangle {
      < 5.759059, 0.574636, -0.379419>,
      < 5.759059, 0.397834, -0.490883>,
      < 5.384059, 0.397767, -0.490883>
    }
    triangle {
      < 5.759059, 0.574636, -0.379419>,
      < 5.384059, 0.397767, -0.490883>,
      < 5.384059, 0.579792, -0.379419>
    }
    triangle {
      < 5.759059, 0.397834, -0.490883>,
      < 5.759059, 0.218724, -0.535484>,
      < 5.384059, 0.218775, -0.535484>
    }
    triangle {
      < 5.759059, 0.397834, -0.490883>,
      < 5.384059, 0.218775, -0.535484>,
      < 5.384059, 0.397767, -0.490883>
    }
    triangle {
      < 5.384059, 0.640479, -0.312522>,
      < 5.384059, 0.579792, -0.379419>,
      < 5.045059, 0.590592, -0.379419>
    }
    triangle {
      < 5.384059, 0.640479, -0.312522>,
      < 5.045059, 0.590592, -0.379419>,
      < 5.045059, 0.651279, -0.312522>
    }
    triangle {
      < 5.384059, 0.579792, -0.379419>,
      < 5.384059, 0.397767, -0.490883>,
      < 5.045059, 0.408567, -0.490883>
    }
    triangle {
      < 5.384059, 0.579792, -0.379419>,
      < 5.045059, 0.408567, -0.490883>,
      < 5.045059, 0.590592, -0.379419>
    }
    triangle {
      < 5.384059, 0.397767, -0.490883>,
      < 5.384059, 0.218775, -0.535484>,
      < 5.045059, 0.222375, -0.535484>
    }
    triangle {
      < 5.384059, 0.397767, -0.490883>,
      < 5.045059, 0.222375, -0.535484>,
      < 5.045059, 0.408567, -0.490883>
    }
    texture {fuselage}
  }
  // exhaust
  union {
    triangle {
      < 5.021476, 0.124705, -0.791117>,
      < 5.021476, 0.143383, -0.787885>,
      < 5.299676, 0.131285, -0.725579>
    }
    triangle {
      < 5.021476, 0.124705, -0.791117>,
      < 5.299676, 0.131285, -0.725579>,
      < 5.299691, 0.112991, -0.728876>
    }
    texture {exhaust}
  }
  // fuselage
  union {
    triangle {
      < 5.384059, -0.034261, -0.580071>,
      < 5.384059, -0.439481, -0.533271>,
      < 5.045059, -0.455493, -0.533271>
    }
    triangle {
      < 5.384059, -0.034261, -0.580071>,
      < 5.045059, -0.455493, -0.533271>,
      < 5.045059, -0.034608, -0.580071>
    }
    triangle {
      < 5.384059, -0.439481, -0.533271>,
      < 5.384059, -0.690861, -0.464885>,
      < 5.045059, -0.717533, -0.464885>
    }
    triangle {
      < 5.384059, -0.439481, -0.533271>,
      < 5.045059, -0.717533, -0.464885>,
      < 5.045059, -0.455493, -0.533271>
    }
    triangle {
      < 5.384059, -0.690861, -0.464885>,
      < 5.384059, -0.877400, -0.369020>,
      < 5.045059, -0.914058, -0.369020>
    }
    triangle {
      < 5.384059, -0.690861, -0.464885>,
      < 5.045059, -0.914058, -0.369020>,
      < 5.045059, -0.717533, -0.464885>
    }
    triangle {
      < 5.384059, -0.877400, -0.369020>,
      < 5.384059, -0.938690, -0.307323>,
      < 5.045059, -0.975665, -0.307323>
    }
    triangle {
      < 5.384059, -0.877400, -0.369020>,
      < 5.045059, -0.975665, -0.307323>,
      < 5.045059, -0.914058, -0.369020>
    }
    triangle {
      < 5.384059, -0.938690, -0.307323>,
      < 5.384059, -1.000841, -0.156457>,
      < 5.045059, -1.038557, -0.156457>
    }
    triangle {
      < 5.384059, -0.938690, -0.307323>,
      < 5.045059, -1.038557, -0.156457>,
      < 5.045059, -0.975665, -0.307323>
    }
    triangle {
      < 5.384059, -1.000841, -0.156457>,
      < 5.384059, -1.000841, 0.000000>,
      < 5.045059, -1.038557, 0.000000>
    }
    triangle {
      < 5.384059, -1.000841, -0.156457>,
      < 5.045059, -1.038557, 0.000000>,
      < 5.045059, -1.038557, -0.156457>
    }
    triangle {
      < 5.384059, 0.701148, 0.000000>,
      < 5.384059, 0.701148, -0.156457>,
      < 5.045059, 0.711948, -0.156457>
    }
    triangle {
      < 5.384059, 0.701148, 0.000000>,
      < 5.045059, 0.711948, -0.156457>,
      < 5.045059, 0.711948, 0.000000>
    }
    triangle {
      < 5.384059, 0.701148, -0.156457>,
      < 5.384059, 0.640479, -0.312522>,
      < 5.045059, 0.651279, -0.312522>
    }
    triangle {
      < 5.384059, 0.701148, -0.156457>,
      < 5.045059, 0.651279, -0.312522>,
      < 5.045059, 0.711948, -0.156457>
    }
    triangle {
      < 5.045059, 0.711948, 0.000000>,
      < 5.045059, 0.711948, -0.156457>,
      < 4.526059, 0.718504, -0.156457>
    }
    triangle {
      < 5.045059, 0.711948, 0.000000>,
      < 4.526059, 0.718504, -0.156457>,
      < 4.526059, 0.712244, 0.000000>
    }
    triangle {
      < 5.045059, 0.711948, -0.156457>,
      < 5.045059, 0.651279, -0.312522>,
      < 4.526059, 0.658479, -0.312522>
    }
    triangle {
      < 5.045059, 0.711948, -0.156457>,
      < 4.526059, 0.658479, -0.312522>,
      < 4.526059, 0.718504, -0.156457>
    }
    triangle {
      < 5.045059, 0.651279, -0.312522>,
      < 5.045059, 0.590592, -0.379419>,
      < 4.526059, 0.597792, -0.379419>
    }
    triangle {
      < 5.045059, 0.651279, -0.312522>,
      < 4.526059, 0.597792, -0.379419>,
      < 4.526059, 0.658479, -0.312522>
    }
    triangle {
      < 5.045059, 0.590592, -0.379419>,
      < 5.045059, 0.408567, -0.490883>,
      < 4.526059, 0.414495, -0.490883>
    }
    triangle {
      < 5.045059, 0.590592, -0.379419>,
      < 4.526059, 0.414495, -0.490883>,
      < 4.526059, 0.597792, -0.379419>
    }
    triangle {
      < 5.045059, 0.408567, -0.490883>,
      < 5.045059, 0.222375, -0.535484>,
      < 4.526059, 0.230297, -0.535484>
    }
    triangle {
      < 5.045059, 0.408567, -0.490883>,
      < 4.526059, 0.230297, -0.535484>,
      < 4.526059, 0.414495, -0.490883>
    }
    texture {fuselage}
  }
  // exhaust
  union {
    triangle {
      < 4.556577, 0.130832, -0.791149>,
      < 4.556577, 0.149793, -0.787895>,
      < 4.905259, 0.133564, -0.723708>
    }
    triangle {
      < 4.556577, 0.130832, -0.791149>,
      < 4.905259, 0.133564, -0.723708>,
      < 4.905266, 0.114847, -0.727001>
    }
    texture {exhaust}
  }
  // fuselage
  union {
    triangle {
      < 5.045059, -0.034608, -0.580071>,
      < 5.045059, -0.455493, -0.533271>,
      < 4.526059, -0.498435, -0.533271>
    }
    triangle {
      < 5.045059, -0.034608, -0.580071>,
      < 4.526059, -0.498435, -0.533271>,
      < 4.526059, -0.029135, -0.580071>
    }
    triangle {
      < 5.045059, -0.455493, -0.533271>,
      < 5.045059, -0.717533, -0.464885>,
      < 4.526059, -0.768878, -0.464885>
    }
    triangle {
      < 5.045059, -0.455493, -0.533271>,
      < 4.526059, -0.768878, -0.464885>,
      < 4.526059, -0.498435, -0.533271>
    }
    triangle {
      < 5.045059, -0.717533, -0.464885>,
      < 5.045059, -0.914058, -0.369020>,
      < 4.526059, -0.974194, -0.369020>
    }
    triangle {
      < 5.045059, -0.717533, -0.464885>,
      < 4.526059, -0.974194, -0.369020>,
      < 4.526059, -0.768878, -0.464885>
    }
    triangle {
      < 5.045059, -0.914058, -0.369020>,
      < 5.045059, -0.975665, -0.307323>,
      < 4.673659, -1.046356, -0.307323>
    }
    triangle {
      < 5.045059, -0.914058, -0.369020>,
      < 4.673659, -1.046356, -0.307323>,
      < 4.526059, -0.974194, -0.369020>
    }
    triangle {
      < 5.045059, -0.975665, -0.307323>,
      < 5.045059, -1.038557, -0.156457>,
      < 4.526059, -1.109240, -0.156457>
    }
    triangle {
      < 5.045059, -0.975665, -0.307323>,
      < 4.526059, -1.109240, -0.156457>,
      < 4.673659, -1.046356, -0.307323>
    }
    triangle {
      < 5.045059, -1.038557, -0.156457>,
      < 5.045059, -1.038557, 0.000000>,
      < 4.526059, -1.109240, 0.000000>
    }
    triangle {
      < 5.045059, -1.038557, -0.156457>,
      < 4.526059, -1.109240, 0.000000>,
      < 4.526059, -1.109240, -0.156457>
    }
    triangle {
      < 4.526059, -0.974194, -0.369020>,
      < 4.673659, -1.046356, -0.307323>,
      < 3.913459, -1.100734, -0.631323>
    }
    triangle {
      < 4.526059, -0.974194, -0.369020>,
      < 3.913459, -1.100734, -0.631323>,
      < 3.765859, -0.962355, -0.628220>
    }
    triangle {
      < 4.673659, -1.046356, -0.307323>,
      < 4.526059, -1.109240, -0.156457>,
      < 3.765859, -1.243404, -0.610057>
    }
    triangle {
      < 4.673659, -1.046356, -0.307323>,
      < 3.765859, -1.243404, -0.610057>,
      < 3.913459, -1.100734, -0.631323>
    }
    triangle {
      < 4.526059, -1.109240, -0.156457>,
      < 4.526059, -1.109240, 0.000000>,
      < 3.765859, -1.243404, 0.000000>
    }
    triangle {
      < 4.526059, -1.109240, -0.156457>,
      < 3.765859, -1.243404, 0.000000>,
      < 3.765859, -1.243404, -0.610057>
    }
    triangle {
      < 4.526059, 0.712244, 0.000000>,
      < 4.526059, 0.718504, -0.156457>,
      < 3.765859, 0.722259, -0.156457>
    }
    triangle {
      < 4.526059, 0.712244, 0.000000>,
      < 3.765859, 0.722259, -0.156457>,
      < 3.765859, 0.722259, 0.000000>
    }
    triangle {
      < 4.526059, 0.718504, -0.156457>,
      < 4.526059, 0.658479, -0.312522>,
      < 3.765859, 0.656899, -0.312522>
    }
    triangle {
      < 4.526059, 0.718504, -0.156457>,
      < 3.765859, 0.656899, -0.312522>,
      < 3.765859, 0.722259, -0.156457>
    }
    triangle {
      < 4.526059, 0.658479, -0.312522>,
      < 4.526059, 0.597792, -0.379419>,
      < 3.765859, 0.591162, -0.379419>
    }
    triangle {
      < 4.526059, 0.658479, -0.312522>,
      < 3.765859, 0.591162, -0.379419>,
      < 3.765859, 0.656899, -0.312522>
    }
    triangle {
      < 4.526059, 0.597792, -0.379419>,
      < 4.526059, 0.414495, -0.490883>,
      < 3.765859, 0.431232, -0.490883>
    }
    triangle {
      < 4.526059, 0.597792, -0.379419>,
      < 3.765859, 0.431232, -0.490883>,
      < 3.765859, 0.591162, -0.379419>
    }
    triangle {
      < 4.526059, 0.414495, -0.490883>,
      < 4.526059, 0.230297, -0.535484>,
      < 3.765859, 0.239029, -0.535484>
    }
    triangle {
      < 4.526059, 0.414495, -0.490883>,
      < 3.765859, 0.239029, -0.535484>,
      < 3.765859, 0.431232, -0.490883>
    }
    texture {fuselage}
  }
  // exhaust
  union {
    triangle {
      < 3.811362, 0.140609, -0.791145>,
      < 3.811362, 0.159363, -0.787891>,
      < 4.068205, 0.145550, -0.726652>
    }
    triangle {
      < 3.811362, 0.140609, -0.791145>,
      < 4.068205, 0.145550, -0.726652>,
      < 4.068201, 0.126643, -0.729894>
    }
    texture {exhaust}
  }
  // fuselage
  union {
    triangle {
      < 4.526059, -0.029135, -0.580071>,
      < 4.526059, -0.498435, -0.533271>,
      < 3.765859, -0.575051, -0.533271>
    }
    triangle {
      < 4.526059, -0.029135, -0.580071>,
      < 3.765859, -0.575051, -0.533271>,
      < 3.765859, -0.018264, -0.580071>
    }
    triangle {
      < 4.526059, -0.498435, -0.533271>,
      < 4.526059, -0.768878, -0.464885>,
      < 3.765859, -0.787602, -0.464885>
    }
    triangle {
      < 4.526059, -0.498435, -0.533271>,
      < 3.765859, -0.787602, -0.464885>,
      < 3.765859, -0.575051, -0.533271>
    }
    triangle {
      < 4.526059, -0.768878, -0.464885>,
      < 4.526059, -0.974194, -0.369020>,
      < 3.765859, -0.962355, -0.628220>
    }
    triangle {
      < 4.526059, -0.768878, -0.464885>,
      < 3.765859, -0.962355, -0.628220>,
      < 3.765859, -0.787602, -0.464885>
    }
    triangle {
      < 5.759059, -0.274659, -0.548869>,
      < 5.759059, -0.472355, -0.510478>,
      < 5.634072, -0.409004, -0.533271>
    }
    triangle {
      < 6.361460, -0.219626, -0.515268>,
      < 6.572738, -0.194421, -0.505845>,
      < 6.573818, -0.338568, -0.473719>
    }
    triangle {
      < 6.361460, -0.219626, -0.515268>,
      < 6.573818, -0.338568, -0.473719>,
      < 6.361460, -0.378841, -0.476876>
    }
    triangle {
      < 6.058460, -0.247173, -0.548869>,
      < 6.361460, -0.219626, -0.515268>,
      < 6.361460, -0.378841, -0.476876>
    }
    triangle {
      < 6.058460, -0.247173, -0.548869>,
      < 6.361460, -0.378841, -0.476876>,
      < 6.058460, -0.426032, -0.510478>
    }
    triangle {
      < 5.759059, -0.274659, -0.548869>,
      < 6.058460, -0.247173, -0.548869>,
      < 6.058460, -0.426032, -0.510478>
    }
    triangle {
      < 5.759059, -0.274659, -0.548869>,
      < 6.058460, -0.426032, -0.510478>,
      < 5.759059, -0.472355, -0.510478>
    }
    triangle {
      < 6.361460, 0.028069, -0.567064>,
      < 6.361460, -0.103735, -0.558472>,
      < 6.286466, -0.044879, -0.580071>
    }
    triangle {
      < 6.572553, -0.096294, -0.535720>,
      < 6.361460, -0.103735, -0.558472>,
      < 6.361460, 0.028069, -0.567064>
    }
    triangle {
      < 6.572553, -0.096294, -0.535720>,
      < 6.361460, 0.028069, -0.567064>,
      < 6.572061, 0.027289, -0.553741>
    }
    triangle {
      < 6.684336, 0.571381, 0.000000>,
      < 6.684336, 0.571381, -0.144191>,
      < 6.634465, 0.607010, -0.152369>
    }
    triangle {
      < 6.684336, 0.571381, 0.000000>,
      < 6.634465, 0.607010, -0.152369>,
      < 6.634465, 0.607010, 0.000000>
    }
    triangle {
      < 6.634446, 0.556960, -0.300481>,
      < 6.634465, 0.607010, -0.152369>,
      < 6.684336, 0.571381, -0.144191>
    }
    triangle {
      < 6.634446, 0.556960, -0.300481>,
      < 6.684336, 0.571381, -0.144191>,
      < 6.684336, 0.526950, -0.276394>
    }
    triangle {
      < 6.634429, 0.509124, -0.361126>,
      < 6.634446, 0.556960, -0.300481>,
      < 6.684336, 0.526950, -0.276394>
    }
    triangle {
      < 6.634429, 0.509124, -0.361126>,
      < 6.684336, 0.526950, -0.276394>,
      < 6.684336, 0.489194, -0.324534>
    }
    triangle {
      < 6.634385, 0.375719, -0.467785>,
      < 6.634429, 0.509124, -0.361126>,
      < 6.684336, 0.489194, -0.324534>
    }
    triangle {
      < 6.634385, 0.375719, -0.467785>,
      < 6.684336, 0.489194, -0.324534>,
      < 6.684336, 0.352180, -0.421582>
    }
    triangle {
      < 6.634334, 0.203329, -0.510677>,
      < 6.634385, 0.375719, -0.467785>,
      < 6.684336, 0.352180, -0.421582>
    }
    triangle {
      < 6.634334, 0.203329, -0.510677>,
      < 6.684336, 0.352180, -0.421582>,
      < 6.684336, 0.195568, -0.461057>
    }
    triangle {
      < 6.634434, 0.028676, -0.524650>,
      < 6.634334, 0.203329, -0.510677>,
      < 6.684336, 0.195568, -0.461057>
    }
    triangle {
      < 6.634434, 0.028676, -0.524650>,
      < 6.684336, 0.195568, -0.461057>,
      < 6.684336, 0.031728, -0.471195>
    }
    triangle {
      < 6.634652, -0.088625, -0.504625>,
      < 6.634434, 0.028676, -0.524650>,
      < 6.684336, 0.031728, -0.471195>
    }
    triangle {
      < 6.634652, -0.088625, -0.504625>,
      < 6.684336, 0.031728, -0.471195>,
      < 6.684336, -0.075913, -0.450460>
    }
    triangle {
      < 6.684336, -0.075913, -0.450460>,
      < 6.684336, -0.164028, -0.427821>,
      < 6.634734, -0.181332, -0.478734>
    }
    triangle {
      < 6.684336, -0.075913, -0.450460>,
      < 6.634734, -0.181332, -0.478734>,
      < 6.634652, -0.088625, -0.504625>
    }
    triangle {
      < 6.635214, -0.323683, -0.447942>,
      < 6.634734, -0.181332, -0.478734>,
      < 6.684336, -0.164028, -0.427821>
    }
    triangle {
      < 6.635214, -0.323683, -0.447942>,
      < 6.684336, -0.164028, -0.427821>,
      < 6.684336, -0.307884, -0.397477>
    }
    triangle {
      < 6.635345, -0.459933, -0.440246>,
      < 6.635214, -0.323683, -0.447942>,
      < 6.684336, -0.307884, -0.397477>
    }
    triangle {
      < 6.635345, -0.459933, -0.440246>,
      < 6.684336, -0.307884, -0.397477>,
      < 6.684336, -0.434718, -0.390959>
    }
    triangle {
      < 6.635196, -0.609515, -0.350011>,
      < 6.635345, -0.459933, -0.440246>,
      < 6.684336, -0.434718, -0.390959>
    }
    triangle {
      < 6.635196, -0.609515, -0.350011>,
      < 6.684336, -0.434718, -0.390959>,
      < 6.684336, -0.565572, -0.311244>
    }
    triangle {
      < 6.634674, -0.657331, -0.295157>,
      < 6.635196, -0.609515, -0.350011>,
      < 6.684336, -0.565572, -0.311244>
    }
    triangle {
      < 6.634674, -0.657331, -0.295157>,
      < 6.684336, -0.565572, -0.311244>,
      < 6.684336, -0.601128, -0.269432>
    }
    triangle {
      < 6.634470, -0.707556, -0.152436>,
      < 6.634674, -0.657331, -0.295157>,
      < 6.684336, -0.601128, -0.269432>
    }
    triangle {
      < 6.634470, -0.707556, -0.152436>,
      < 6.684336, -0.601128, -0.269432>,
      < 6.684336, -0.644809, -0.143792>
    }
    triangle {
      < 6.684336, -0.644809, -0.143792>,
      < 6.684336, -0.644809, 0.000000>,
      < 6.634604, -0.707387, 0.000000>
    }
    triangle {
      < 6.684336, -0.644809, -0.143792>,
      < 6.634604, -0.707387, 0.000000>,
      < 6.634470, -0.707556, -0.152436>
    }
    triangle {
      < 6.572132, 0.636542, -0.156457>,
      < 6.572132, 0.636542, 0.000000>,
      < 6.634465, 0.607010, 0.000000>
    }
    triangle {
      < 6.572132, 0.636542, -0.156457>,
      < 6.634465, 0.607010, 0.000000>,
      < 6.634465, 0.607010, -0.152369>
    }
    triangle {
      < 6.572089, 0.583477, -0.312522>,
      < 6.572132, 0.636542, -0.156457>,
      < 6.634465, 0.607010, -0.152369>
    }
    triangle {
      < 6.572089, 0.583477, -0.312522>,
      < 6.634465, 0.607010, -0.152369>,
      < 6.634446, 0.556960, -0.300481>
    }
    triangle {
      < 6.572050, 0.530397, -0.379419>,
      < 6.572089, 0.583477, -0.312522>,
      < 6.634446, 0.556960, -0.300481>
    }
    triangle {
      < 6.572050, 0.530397, -0.379419>,
      < 6.634446, 0.556960, -0.300481>,
      < 6.634429, 0.509124, -0.361126>
    }
    triangle {
      < 6.571951, 0.389182, -0.490883>,
      < 6.572050, 0.530397, -0.379419>,
      < 6.634429, 0.509124, -0.361126>
    }
    triangle {
      < 6.571951, 0.389182, -0.490883>,
      < 6.634429, 0.509124, -0.361126>,
      < 6.634385, 0.375719, -0.467785>
    }
    triangle {
      < 6.571836, 0.207239, -0.535484>,
      < 6.571951, 0.389182, -0.490883>,
      < 6.634385, 0.375719, -0.467785>
    }
    triangle {
      < 6.571836, 0.207239, -0.535484>,
      < 6.634385, 0.375719, -0.467785>,
      < 6.634334, 0.203329, -0.510677>
    }
    triangle {
      < 6.572061, 0.027289, -0.553741>,
      < 6.571836, 0.207239, -0.535484>,
      < 6.634334, 0.203329, -0.510677>
    }
    triangle {
      < 6.572061, 0.027289, -0.553741>,
      < 6.634334, 0.203329, -0.510677>,
      < 6.634434, 0.028676, -0.524650>
    }
    triangle {
      < 6.572553, -0.096294, -0.535720>,
      < 6.572061, 0.027289, -0.553741>,
      < 6.634434, 0.028676, -0.524650>
    }
    triangle {
      < 6.572553, -0.096294, -0.535720>,
      < 6.634434, 0.028676, -0.524650>,
      < 6.634652, -0.088625, -0.504625>
    }
    triangle {
      < 6.572738, -0.194421, -0.505845>,
      < 6.572553, -0.096294, -0.535720>,
      < 6.634652, -0.088625, -0.504625>
    }
    triangle {
      < 6.572738, -0.194421, -0.505845>,
      < 6.634652, -0.088625, -0.504625>,
      < 6.634734, -0.181332, -0.478734>
    }
    triangle {
      < 6.573818, -0.338568, -0.473719>,
      < 6.572738, -0.194421, -0.505845>,
      < 6.634734, -0.181332, -0.478734>
    }
    triangle {
      < 6.573818, -0.338568, -0.473719>,
      < 6.634734, -0.181332, -0.478734>,
      < 6.635214, -0.323683, -0.447942>
    }
    triangle {
      < 6.574113, -0.480045, -0.464885>,
      < 6.573818, -0.338568, -0.473719>,
      < 6.635214, -0.323683, -0.447942>
    }
    triangle {
      < 6.574113, -0.480045, -0.464885>,
      < 6.635214, -0.323683, -0.447942>,
      < 6.635345, -0.459933, -0.440246>
    }
    triangle {
      < 6.574482, -0.639148, -0.369020>,
      < 6.574113, -0.480045, -0.464885>,
      < 6.635345, -0.459933, -0.440246>
    }
    triangle {
      < 6.574482, -0.639148, -0.369020>,
      < 6.635345, -0.459933, -0.440246>,
      < 6.635196, -0.609515, -0.350011>
    }
    triangle {
      < 6.574611, -0.692189, -0.307323>,
      < 6.574482, -0.639148, -0.369020>,
      < 6.635196, -0.609515, -0.350011>
    }
    triangle {
      < 6.574611, -0.692189, -0.307323>,
      < 6.635196, -0.609515, -0.350011>,
      < 6.634674, -0.657331, -0.295157>
    }
    triangle {
      < 6.574741, -0.745212, -0.156457>,
      < 6.574611, -0.692189, -0.307323>,
      < 6.634674, -0.657331, -0.295157>
    }
    triangle {
      < 6.574741, -0.745212, -0.156457>,
      < 6.634674, -0.657331, -0.295157>,
      < 6.634470, -0.707556, -0.152436>
    }
    triangle {
      < 6.574741, -0.745212, 0.000000>,
      < 6.574741, -0.745212, -0.156457>,
      < 6.634470, -0.707556, -0.152436>
    }
    triangle {
      < 6.574741, -0.745212, 0.000000>,
      < 6.634470, -0.707556, -0.152436>,
      < 6.634604, -0.707387, 0.000000>
    }
    triangle {
      < 6.684336, -0.163603, -0.323078>,
      < 6.684336, -0.303959, -0.380123>,
      < 6.684336, -0.307884, -0.397477>
    }
    triangle {
      < 6.684336, -0.163603, -0.323078>,
      < 6.684336, -0.307884, -0.397477>,
      < 6.684336, -0.164028, -0.427821>
    }
    triangle {
      < 6.684336, -0.080699, -0.402043>,
      < 6.684336, -0.163603, -0.323078>,
      < 6.684336, -0.164028, -0.427821>
    }
    triangle {
      < 6.684336, -0.080699, -0.402043>,
      < 6.684336, -0.164028, -0.427821>,
      < 6.684336, -0.075913, -0.450460>
    }
    triangle {
      < 6.684336, 0.029323, -0.441543>,
      < 6.684336, -0.080699, -0.402043>,
      < 6.684336, -0.075913, -0.450460>
    }
    triangle {
      < 6.684336, 0.029323, -0.441543>,
      < 6.684336, -0.075913, -0.450460>,
      < 6.684336, 0.031728, -0.471195>
    }
    triangle {
      < 6.684336, 0.194024, -0.451133>,
      < 6.684336, 0.029323, -0.441543>,
      < 6.684336, 0.031728, -0.471195>
    }
    triangle {
      < 6.684336, 0.194024, -0.451133>,
      < 6.684336, 0.031728, -0.471195>,
      < 6.684336, 0.195568, -0.461057>
    }
    triangle {
      < 6.684336, 0.195568, -0.461057>,
      < 6.684336, 0.352180, -0.421582>,
      < 6.684336, 0.345796, -0.407722>
    }
    triangle {
      < 6.684336, 0.195568, -0.461057>,
      < 6.684336, 0.345796, -0.407722>,
      < 6.684336, 0.234120, -0.435870>
    }
    triangle {
      < 6.684336, 0.195568, -0.461057>,
      < 6.684336, 0.234120, -0.435870>,
      < 6.684336, 0.194024, -0.451133>
    }
    triangle {
      < 6.684336, 0.352180, -0.421582>,
      < 6.684336, 0.489194, -0.324534>,
      < 6.684336, 0.478740, -0.313557>
    }
    triangle {
      < 6.684336, 0.352180, -0.421582>,
      < 6.684336, 0.478740, -0.313557>,
      < 6.684336, 0.345796, -0.407722>
    }
    triangle {
      < 6.684336, 0.489194, -0.324534>,
      < 6.684336, 0.526950, -0.276394>,
      < 6.684336, 0.513554, -0.269169>
    }
    triangle {
      < 6.684336, 0.489194, -0.324534>,
      < 6.684336, 0.513554, -0.269169>,
      < 6.684336, 0.478740, -0.313557>
    }
    triangle {
      < 6.684336, 0.526950, -0.276394>,
      < 6.684336, 0.571381, -0.144191>,
      < 6.684336, 0.556381, -0.141738>
    }
    triangle {
      < 6.684336, 0.526950, -0.276394>,
      < 6.684336, 0.556381, -0.141738>,
      < 6.684336, 0.513554, -0.269169>
    }
    triangle {
      < 6.684336, 0.571381, -0.144191>,
      < 6.684336, 0.571381, 0.000000>,
      < 6.684336, 0.557001, 0.000000>
    }
    triangle {
      < 6.684336, 0.571381, -0.144191>,
      < 6.684336, 0.557001, 0.000000>,
      < 6.684336, 0.556381, -0.141738>
    }
    triangle {
      < 6.684336, -0.624314, 0.000000>,
      < 6.684336, -0.644809, 0.000000>,
      < 6.684336, -0.644809, -0.143792>
    }
    triangle {
      < 6.684336, -0.624314, 0.000000>,
      < 6.684336, -0.644809, -0.143792>,
      < 6.684336, -0.629809, -0.141259>
    }
    triangle {
      < 6.684336, -0.644809, -0.143792>,
      < 6.684336, -0.601128, -0.269432>,
      < 6.684336, -0.587882, -0.261854>
    }
    triangle {
      < 6.684336, -0.644809, -0.143792>,
      < 6.684336, -0.587882, -0.261854>,
      < 6.684336, -0.629809, -0.141259>
    }
    triangle {
      < 6.684336, -0.601128, -0.269432>,
      < 6.684336, -0.565572, -0.311244>,
      < 6.684336, -0.555708, -0.299689>
    }
    triangle {
      < 6.684336, -0.601128, -0.269432>,
      < 6.684336, -0.555708, -0.299689>,
      < 6.684336, -0.587882, -0.261854>
    }
    triangle {
      < 6.684336, -0.565572, -0.311244>,
      < 6.684336, -0.434718, -0.390959>,
      < 6.684336, -0.431677, -0.381101>
    }
    triangle {
      < 6.684336, -0.565572, -0.311244>,
      < 6.684336, -0.431677, -0.381101>,
      < 6.684336, -0.453436, -0.361991>
    }
    triangle {
      < 6.684336, -0.565572, -0.311244>,
      < 6.684336, -0.453436, -0.361991>,
      < 6.684336, -0.555708, -0.299689>
    }
    triangle {
      < 6.684336, -0.303959, -0.380123>,
      < 6.684336, -0.431677, -0.381101>,
      < 6.684336, -0.434718, -0.390959>
    }
    triangle {
      < 6.684336, -0.303959, -0.380123>,
      < 6.684336, -0.434718, -0.390959>,
      < 6.684336, -0.307884, -0.397477>
    }
    triangle {
      < 6.684336, 0.036183, -0.412612>,
      < 6.684336, 0.234120, -0.435870>,
      < 6.684336, 0.345796, -0.407722>
    }
    triangle {
      < 6.684336, 0.036183, -0.412612>,
      < 6.684336, 0.345796, -0.407722>,
      < 6.684336, 0.478740, -0.313557>
    }
    triangle {
      < 6.684336, 0.036183, -0.412612>,
      < 6.684336, 0.478740, -0.313557>,
      < 6.684336, 0.513554, -0.269169>
    }
    triangle {
      < 6.684336, 0.036183, -0.412612>,
      < 6.684336, 0.513554, -0.269169>,
      < 6.684336, 0.556381, -0.141738>
    }
    triangle {
      < 6.684336, 0.036183, -0.412612>,
      < 6.684336, 0.556381, -0.141738>,
      < 6.684336, 0.557001, 0.000000>
    }
    triangle {
      < 6.684336, 0.036183, -0.412612>,
      < 6.684336, 0.557001, 0.000000>,
      < 6.684336, -0.129047, 0.000000>
    }
    triangle {
      < 6.684336, 0.036183, -0.412612>,
      < 6.684336, -0.129047, 0.000000>,
      < 6.684336, -0.145284, -0.299096>
    }
    triangle {
      < 6.684336, 0.036183, -0.412612>,
      < 6.684336, -0.145284, -0.299096>,
      < 6.684336, -0.064552, -0.375992>
    }
    triangle {
      < 6.684336, -0.160612, -0.305211>,
      < 6.684336, -0.149751, -0.315557>,
      < 6.684336, -0.145284, -0.299096>
    }
    triangle {
      < 6.684336, -0.160612, -0.305211>,
      < 6.684336, -0.145284, -0.299096>,
      < 6.684336, -0.159855, -0.290230>
    }
    triangle {
      < 6.684336, -0.160612, -0.305211>,
      < 6.684336, -0.163603, -0.323078>,
      < 6.684336, -0.149751, -0.315557>
    }
    triangle {
      < 6.684336, -0.160612, -0.305211>,
      < 6.684336, -0.174250, -0.311456>,
      < 6.684336, -0.163603, -0.323078>
    }
    triangle {
      < 6.684336, -0.160612, -0.305211>,
      < 6.684336, -0.159855, -0.290230>,
      < 6.684336, -0.182333, -0.295363>
    }
    triangle {
      < 6.684336, -0.160612, -0.305211>,
      < 6.684336, -0.182333, -0.295363>,
      < 6.684336, -0.174250, -0.311456>
    }
    triangle {
      < 6.684336, -0.430156, -0.376173>,
      < 6.684336, -0.453436, -0.361991>,
      < 6.684336, -0.431677, -0.381101>
    }
    triangle {
      < 6.684336, 0.193252, -0.446172>,
      < 6.684336, 0.194024, -0.451133>,
      < 6.684336, 0.234120, -0.435870>
    }
    triangle {
      < 6.684336, -0.182333, -0.295363>,
      < 6.684336, -0.159855, -0.290230>,
      < 6.684336, -0.144066, 0.000000>
    }
    triangle {
      < 6.684336, -0.182333, -0.295363>,
      < 6.684336, -0.144066, 0.000000>,
      < 6.684336, -0.159085, 0.000000>
    }
    triangle {
      < 6.684336, -0.159855, -0.290230>,
      < 6.684336, -0.145284, -0.299096>,
      < 6.684336, -0.129047, 0.000000>
    }
    triangle {
      < 6.684336, -0.159855, -0.290230>,
      < 6.684336, -0.129047, 0.000000>,
      < 6.684336, -0.144066, 0.000000>
    }
    triangle {
      < 6.684336, -0.163603, -0.323078>,
      < 6.684336, -0.174250, -0.311456>,
      < 6.684336, -0.305939, -0.371757>
    }
    triangle {
      < 6.684336, -0.163603, -0.323078>,
      < 6.684336, -0.305939, -0.371757>,
      < 6.684336, -0.303959, -0.380123>
    }
    triangle {
      < 6.684336, -0.174250, -0.311456>,
      < 6.684336, -0.182333, -0.295363>,
      < 6.684336, -0.309463, -0.356873>
    }
    triangle {
      < 6.684336, -0.174250, -0.311456>,
      < 6.684336, -0.309463, -0.356873>,
      < 6.684336, -0.305939, -0.371757>
    }
    triangle {
      < 6.684336, -0.303959, -0.380123>,
      < 6.684336, -0.305939, -0.371757>,
      < 6.684336, -0.430156, -0.376173>
    }
    triangle {
      < 6.684336, -0.303959, -0.380123>,
      < 6.684336, -0.430156, -0.376173>,
      < 6.684336, -0.431677, -0.381101>
    }
    triangle {
      < 6.684336, -0.305939, -0.371757>,
      < 6.684336, -0.309463, -0.356873>,
      < 6.684336, -0.453436, -0.361991>
    }
    triangle {
      < 6.684336, -0.305939, -0.371757>,
      < 6.684336, -0.453436, -0.361991>,
      < 6.684336, -0.430156, -0.376173>
    }
    triangle {
      < 6.684336, -0.080699, -0.402043>,
      < 6.684336, -0.072625, -0.389017>,
      < 6.684336, -0.149751, -0.315557>
    }
    triangle {
      < 6.684336, -0.080699, -0.402043>,
      < 6.684336, -0.149751, -0.315557>,
      < 6.684336, -0.163603, -0.323078>
    }
    triangle {
      < 6.684336, -0.072625, -0.389017>,
      < 6.684336, -0.064552, -0.375992>,
      < 6.684336, -0.145284, -0.299096>
    }
    triangle {
      < 6.684336, -0.072625, -0.389017>,
      < 6.684336, -0.145284, -0.299096>,
      < 6.684336, -0.149751, -0.315557>
    }
    triangle {
      < 6.684336, 0.029323, -0.441543>,
      < 6.684336, 0.032698, -0.427306>,
      < 6.684336, -0.072625, -0.389017>
    }
    triangle {
      < 6.684336, 0.029323, -0.441543>,
      < 6.684336, -0.072625, -0.389017>,
      < 6.684336, -0.080699, -0.402043>
    }
    triangle {
      < 6.684336, 0.032698, -0.427306>,
      < 6.684336, 0.036183, -0.412612>,
      < 6.684336, -0.064552, -0.375992>
    }
    triangle {
      < 6.684336, 0.032698, -0.427306>,
      < 6.684336, -0.064552, -0.375992>,
      < 6.684336, -0.072625, -0.389017>
    }
    triangle {
      < 6.684336, 0.194024, -0.451133>,
      < 6.684336, 0.193252, -0.446172>,
      < 6.684336, 0.032698, -0.427306>
    }
    triangle {
      < 6.684336, 0.194024, -0.451133>,
      < 6.684336, 0.032698, -0.427306>,
      < 6.684336, 0.029323, -0.441543>
    }
    triangle {
      < 6.684336, 0.193252, -0.446172>,
      < 6.684336, 0.234120, -0.435870>,
      < 6.684336, 0.036183, -0.412612>
    }
    triangle {
      < 6.684336, 0.193252, -0.446172>,
      < 6.684336, 0.036183, -0.412612>,
      < 6.684336, 0.032698, -0.427306>
    }
    triangle {
      < 6.684336, -0.555708, -0.299689>,
      < 6.684336, -0.453436, -0.361991>,
      < 6.576936, -0.453436, -0.361991>
    }
    triangle {
      < 6.684336, -0.555708, -0.299689>,
      < 6.576936, -0.453436, -0.361991>,
      < 6.576936, -0.555708, -0.299689>
    }
    triangle {
      < 6.684336, -0.453436, -0.361991>,
      < 6.684336, -0.309463, -0.356873>,
      < 6.576936, -0.309463, -0.356873>
    }
    triangle {
      < 6.684336, -0.453436, -0.361991>,
      < 6.576936, -0.309463, -0.356873>,
      < 6.576936, -0.453436, -0.361991>
    }
    triangle {
      < 6.684336, -0.309463, -0.356873>,
      < 6.684336, -0.182333, -0.295363>,
      < 6.576936, -0.182333, -0.295363>
    }
    triangle {
      < 6.684336, -0.309463, -0.356873>,
      < 6.576936, -0.182333, -0.295363>,
      < 6.576936, -0.309463, -0.356873>
    }
    triangle {
      < 6.684336, -0.182333, -0.295363>,
      < 6.684336, -0.159085, 0.000000>,
      < 6.576936, -0.159085, 0.000000>
    }
    triangle {
      < 6.684336, -0.182333, -0.295363>,
      < 6.576936, -0.159085, 0.000000>,
      < 6.576936, -0.182333, -0.295363>
    }
    triangle {
      < 6.684336, -0.624314, 0.000000>,
      < 6.684336, -0.629809, -0.141259>,
      < 6.576936, -0.629809, -0.141259>
    }
    triangle {
      < 6.684336, -0.624314, 0.000000>,
      < 6.576936, -0.629809, -0.141259>,
      < 6.576936, -0.624314, 0.000000>
    }
    triangle {
      < 6.684336, -0.629809, -0.141259>,
      < 6.684336, -0.587882, -0.261854>,
      < 6.576936, -0.587882, -0.261854>
    }
    triangle {
      < 6.684336, -0.629809, -0.141259>,
      < 6.576936, -0.587882, -0.261854>,
      < 6.576936, -0.629809, -0.141259>
    }
    triangle {
      < 6.684336, -0.587882, -0.261854>,
      < 6.684336, -0.555708, -0.299689>,
      < 6.576936, -0.555708, -0.299689>
    }
    triangle {
      < 6.684336, -0.587882, -0.261854>,
      < 6.576936, -0.555708, -0.299689>,
      < 6.576936, -0.587882, -0.261854>
    }
    texture {fuselage}
  }
  // exhaust
  union {
    triangle {
      < 5.759059, 0.218724, -0.535484>,
      < 6.058460, 0.211786, -0.535484>,
      < 6.058621, 0.226609, -0.620602>
    }
    triangle {
      < 5.759059, 0.218724, -0.535484>,
      < 6.058621, 0.226609, -0.620602>,
      < 5.759221, 0.233548, -0.620602>
    }
    triangle {
      < 6.058460, 0.211786, -0.535484>,
      < 6.058460, -0.042087, -0.580071>,
      < 6.058621, -0.027263, -0.665190>
    }
    triangle {
      < 6.058460, 0.211786, -0.535484>,
      < 6.058621, -0.027263, -0.665190>,
      < 6.058621, 0.226609, -0.620602>
    }
    triangle {
      < 6.058460, -0.042087, -0.580071>,
      < 5.759059, -0.036405, -0.580071>,
      < 5.759221, -0.021581, -0.665190>
    }
    triangle {
      < 6.058460, -0.042087, -0.580071>,
      < 5.759221, -0.021581, -0.665190>,
      < 6.058621, -0.027263, -0.665190>
    }
    triangle {
      < 5.759059, -0.036405, -0.580071>,
      < 5.384059, -0.034261, -0.580071>,
      < 5.384221, -0.019437, -0.665190>
    }
    triangle {
      < 5.759059, -0.036405, -0.580071>,
      < 5.384221, -0.019437, -0.665190>,
      < 5.759221, -0.021581, -0.665190>
    }
    triangle {
      < 5.384059, -0.034261, -0.580071>,
      < 5.045059, -0.034608, -0.580071>,
      < 5.045221, -0.019784, -0.665190>
    }
    triangle {
      < 5.384059, -0.034261, -0.580071>,
      < 5.045221, -0.019784, -0.665190>,
      < 5.384221, -0.019437, -0.665190>
    }
    triangle {
      < 5.045059, -0.034608, -0.580071>,
      < 4.526059, -0.029135, -0.580071>,
      < 4.526221, -0.014311, -0.665190>
    }
    triangle {
      < 5.045059, -0.034608, -0.580071>,
      < 4.526221, -0.014311, -0.665190>,
      < 5.045221, -0.019784, -0.665190>
    }
    triangle {
      < 4.526059, -0.029135, -0.580071>,
      < 3.765859, -0.018264, -0.580071>,
      < 3.766021, -0.003440, -0.665190>
    }
    triangle {
      < 4.526059, -0.029135, -0.580071>,
      < 3.766021, -0.003440, -0.665190>,
      < 4.526221, -0.014311, -0.665190>
    }
    texture {exhaust}
  }
  // fuselage
  union {
    triangle {
      < 3.765859, -0.018264, -0.580071>,
      < 3.765859, 0.239029, -0.535484>,
      < 3.766021, 0.253853, -0.620602>
    }
    triangle {
      < 3.765859, -0.018264, -0.580071>,
      < 3.766021, 0.253853, -0.620602>,
      < 3.766021, -0.003440, -0.665190>
    }
    texture {fuselage}
  }
  // exhaust
  union {
    triangle {
      < 3.765859, 0.239029, -0.535484>,
      < 4.526059, 0.230297, -0.535484>,
      < 4.526221, 0.245120, -0.620602>
    }
    triangle {
      < 3.765859, 0.239029, -0.535484>,
      < 4.526221, 0.245120, -0.620602>,
      < 3.766021, 0.253853, -0.620602>
    }
    triangle {
      < 4.526059, 0.230297, -0.535484>,
      < 5.045059, 0.222375, -0.535484>,
      < 5.045221, 0.237199, -0.620602>
    }
    triangle {
      < 4.526059, 0.230297, -0.535484>,
      < 5.045221, 0.237199, -0.620602>,
      < 4.526221, 0.245120, -0.620602>
    }
    triangle {
      < 5.045059, 0.222375, -0.535484>,
      < 5.384059, 0.218775, -0.535484>,
      < 5.384221, 0.233599, -0.620602>
    }
    triangle {
      < 5.045059, 0.222375, -0.535484>,
      < 5.384221, 0.233599, -0.620602>,
      < 5.045221, 0.237199, -0.620602>
    }
    triangle {
      < 5.384059, 0.218775, -0.535484>,
      < 5.759059, 0.218724, -0.535484>,
      < 5.759221, 0.233548, -0.620602>
    }
    triangle {
      < 5.384059, 0.218775, -0.535484>,
      < 5.759221, 0.233548, -0.620602>,
      < 5.384221, 0.233599, -0.620602>
    }
    triangle {
      < 5.759221, 0.233548, -0.620602>,
      < 6.058621, 0.226609, -0.620602>,
      < 6.043650, 0.214751, -0.637964>
    }
    triangle {
      < 5.759221, 0.233548, -0.620602>,
      < 6.043650, 0.214751, -0.637964>,
      < 5.759249, 0.221346, -0.637962>
    }
    triangle {
      < 5.384221, 0.233599, -0.620602>,
      < 5.759221, 0.233548, -0.620602>,
      < 5.759249, 0.221346, -0.637962>
    }
    triangle {
      < 5.384221, 0.233599, -0.620602>,
      < 5.759249, 0.221346, -0.637962>,
      < 5.384249, 0.221400, -0.637983>
    }
    triangle {
      < 5.045221, 0.237199, -0.620602>,
      < 5.384221, 0.233599, -0.620602>,
      < 5.384249, 0.221400, -0.637983>
    }
    triangle {
      < 5.045221, 0.237199, -0.620602>,
      < 5.384249, 0.221400, -0.637983>,
      < 4.991249, 0.224993, -0.637944>
    }
    triangle {
      < 4.526221, 0.245120, -0.620602>,
      < 5.045221, 0.237199, -0.620602>,
      < 4.991249, 0.224993, -0.637944>
    }
    triangle {
      < 4.526221, 0.245120, -0.620602>,
      < 4.991249, 0.224993, -0.637944>,
      < 4.526249, 0.232911, -0.637921>
    }
    triangle {
      < 3.766021, 0.253853, -0.620602>,
      < 4.526221, 0.245120, -0.620602>,
      < 4.526249, 0.232911, -0.637921>
    }
    triangle {
      < 3.766021, 0.253853, -0.620602>,
      < 4.526249, 0.232911, -0.637921>,
      < 4.153649, 0.237191, -0.637924>
    }
    triangle {
      < 3.766021, 0.253853, -0.620602>,
      < 4.153649, 0.237191, -0.637924>,
      < 3.781049, 0.241471, -0.637928>
    }
    triangle {
      < 4.526221, -0.014311, -0.665190>,
      < 3.766021, -0.003440, -0.665190>,
      < 3.781049, 0.013703, -0.677419>
    }
    triangle {
      < 4.526221, -0.014311, -0.665190>,
      < 3.781049, 0.013703, -0.677419>,
      < 4.153649, 0.008374, -0.677423>
    }
    triangle {
      < 4.526221, -0.014311, -0.665190>,
      < 4.153649, 0.008374, -0.677423>,
      < 4.526249, 0.003046, -0.677426>
    }
    triangle {
      < 5.045221, -0.019784, -0.665190>,
      < 4.526221, -0.014311, -0.665190>,
      < 4.526249, 0.003046, -0.677426>
    }
    triangle {
      < 5.045221, -0.019784, -0.665190>,
      < 4.526249, 0.003046, -0.677426>,
      < 4.991249, -0.002431, -0.677403>
    }
    triangle {
      < 5.384221, -0.019437, -0.665190>,
      < 5.045221, -0.019784, -0.665190>,
      < 4.991249, -0.002431, -0.677403>
    }
    triangle {
      < 5.384221, -0.019437, -0.665190>,
      < 4.991249, -0.002431, -0.677403>,
      < 5.384249, -0.002091, -0.677364>
    }
    triangle {
      < 5.759221, -0.021581, -0.665190>,
      < 5.384221, -0.019437, -0.665190>,
      < 5.384249, -0.002091, -0.677364>
    }
    triangle {
      < 5.759221, -0.021581, -0.665190>,
      < 5.384249, -0.002091, -0.677364>,
      < 5.759249, -0.004231, -0.677385>
    }
    triangle {
      < 6.058621, -0.027263, -0.665190>,
      < 5.759221, -0.021581, -0.665190>,
      < 5.759249, -0.004231, -0.677385>
    }
    triangle {
      < 6.058621, -0.027263, -0.665190>,
      < 5.759249, -0.004231, -0.677385>,
      < 6.043650, -0.009627, -0.677383>
    }
    triangle {
      < 6.058621, 0.226609, -0.620602>,
      < 6.058621, -0.027263, -0.665190>,
      < 6.043650, -0.009627, -0.677383>
    }
    triangle {
      < 6.058621, 0.226609, -0.620602>,
      < 6.043650, -0.009627, -0.677383>,
      < 6.043650, 0.214751, -0.637964>
    }
    triangle {
      < 3.766021, -0.003440, -0.665190>,
      < 3.766021, 0.253853, -0.620602>,
      < 3.781049, 0.241471, -0.637928>
    }
    triangle {
      < 3.766021, -0.003440, -0.665190>,
      < 3.781049, 0.241471, -0.637928>,
      < 3.781049, 0.013703, -0.677419>
    }
    triangle {
      < 4.440471, 0.140779, -0.726736>,
      < 4.440467, 0.121757, -0.729985>,
      < 4.183962, 0.135704, -0.791156>
    }
    triangle {
      < 4.440471, 0.140779, -0.726736>,
      < 4.183962, 0.135704, -0.791156>,
      < 4.183962, 0.154575, -0.787896>
    }
    triangle {
      < 5.759249, 0.221346, -0.637962>,
      < 6.043650, 0.214751, -0.637964>,
      < 6.013650, 0.185887, -0.643132>
    }
    triangle {
      < 5.759249, 0.221346, -0.637962>,
      < 6.013650, 0.185887, -0.643132>,
      < 5.789249, 0.191094, -0.643152>
    }
    triangle {
      < 6.043650, 0.214751, -0.637964>,
      < 6.043650, -0.009627, -0.677383>,
      < 6.013650, 0.020499, -0.672215>
    }
    triangle {
      < 6.043650, 0.214751, -0.637964>,
      < 6.013650, 0.020499, -0.672215>,
      < 6.013650, 0.185887, -0.643132>
    }
    triangle {
      < 6.043650, -0.009627, -0.677383>,
      < 5.759249, -0.004231, -0.677385>,
      < 5.789249, 0.024753, -0.672195>
    }
    triangle {
      < 6.043650, -0.009627, -0.677383>,
      < 5.789249, 0.024753, -0.672195>,
      < 6.013650, 0.020499, -0.672215>
    }
    triangle {
      < 5.759249, -0.004231, -0.677385>,
      < 5.759249, 0.221346, -0.637962>,
      < 5.789249, 0.191094, -0.643152>
    }
    triangle {
      < 5.759249, -0.004231, -0.677385>,
      < 5.789249, 0.191094, -0.643152>,
      < 5.789249, 0.024753, -0.672195>
    }
    triangle {
      < 5.384249, 0.221400, -0.637983>,
      < 5.759249, 0.221346, -0.637962>,
      < 5.729249, 0.191804, -0.643162>
    }
    triangle {
      < 5.384249, 0.221400, -0.637983>,
      < 5.729249, 0.191804, -0.643162>,
      < 5.414249, 0.191845, -0.643154>
    }
    triangle {
      < 5.759249, 0.221346, -0.637962>,
      < 5.759249, -0.004231, -0.677385>,
      < 5.729249, 0.025487, -0.672185>
    }
    triangle {
      < 5.759249, 0.221346, -0.637962>,
      < 5.729249, 0.025487, -0.672185>,
      < 5.729249, 0.191804, -0.643162>
    }
    triangle {
      < 5.759249, -0.004231, -0.677385>,
      < 5.384249, -0.002091, -0.677364>,
      < 5.414249, 0.027289, -0.672193>
    }
    triangle {
      < 5.759249, -0.004231, -0.677385>,
      < 5.414249, 0.027289, -0.672193>,
      < 5.729249, 0.025487, -0.672185>
    }
    triangle {
      < 5.384249, -0.002091, -0.677364>,
      < 5.384249, 0.221400, -0.637983>,
      < 5.414249, 0.191845, -0.643154>
    }
    triangle {
      < 5.384249, -0.002091, -0.677364>,
      < 5.414249, 0.191845, -0.643154>,
      < 5.414249, 0.027289, -0.672193>
    }
    triangle {
      < 4.991249, 0.224993, -0.637944>,
      < 5.384249, 0.221400, -0.637983>,
      < 5.354249, 0.192117, -0.643125>
    }
    triangle {
      < 4.991249, 0.224993, -0.637944>,
      < 5.354249, 0.192117, -0.643125>,
      < 5.021249, 0.195170, -0.643137>
    }
    triangle {
      < 5.384249, 0.221400, -0.637983>,
      < 5.384249, -0.002091, -0.677364>,
      < 5.354249, 0.027439, -0.672223>
    }
    triangle {
      < 5.384249, 0.221400, -0.637983>,
      < 5.354249, 0.027439, -0.672223>,
      < 5.354249, 0.192117, -0.643125>
    }
    triangle {
      < 5.384249, -0.002091, -0.677364>,
      < 4.991249, -0.002431, -0.677403>,
      < 5.021249, 0.027142, -0.672210>
    }
    triangle {
      < 5.384249, -0.002091, -0.677364>,
      < 5.021249, 0.027142, -0.672210>,
      < 5.354249, 0.027439, -0.672223>
    }
    triangle {
      < 4.991249, -0.002431, -0.677403>,
      < 4.991249, 0.224993, -0.637944>,
      < 5.021249, 0.195170, -0.643137>
    }
    triangle {
      < 4.991249, -0.002431, -0.677403>,
      < 5.021249, 0.195170, -0.643137>,
      < 5.021249, 0.027142, -0.672210>
    }
    triangle {
      < 4.526249, 0.232911, -0.637921>,
      < 4.991249, 0.224993, -0.637944>,
      < 4.961249, 0.195935, -0.643036>
    }
    triangle {
      < 4.526249, 0.232911, -0.637921>,
      < 4.961249, 0.195935, -0.643036>,
      < 4.556249, 0.202835, -0.643039>
    }
    triangle {
      < 4.991249, 0.224993, -0.637944>,
      < 4.991249, -0.002431, -0.677403>,
      < 4.961249, 0.027488, -0.672311>
    }
    triangle {
      < 4.991249, 0.224993, -0.637944>,
      < 4.961249, 0.027488, -0.672311>,
      < 4.961249, 0.195935, -0.643036>
    }
    triangle {
      < 4.991249, -0.002431, -0.677403>,
      < 4.526249, 0.003046, -0.677426>,
      < 4.556249, 0.032255, -0.672308>
    }
    triangle {
      < 4.991249, -0.002431, -0.677403>,
      < 4.556249, 0.032255, -0.672308>,
      < 4.961249, 0.027488, -0.672311>
    }
    triangle {
      < 4.526249, 0.003046, -0.677426>,
      < 4.526249, 0.232911, -0.637921>,
      < 4.556249, 0.202835, -0.643039>
    }
    triangle {
      < 4.526249, 0.003046, -0.677426>,
      < 4.556249, 0.202835, -0.643039>,
      < 4.556249, 0.032255, -0.672308>
    }
    triangle {
      < 4.526249, 0.003046, -0.677426>,
      < 4.153649, 0.008374, -0.677423>,
      < 4.183649, 0.037514, -0.672337>
    }
    triangle {
      < 4.526249, 0.003046, -0.677426>,
      < 4.183649, 0.037514, -0.672337>,
      < 4.496249, 0.033041, -0.672327>
    }
    triangle {
      < 4.153649, 0.008374, -0.677423>,
      < 4.153649, 0.237191, -0.637924>,
      < 4.183649, 0.207279, -0.643010>
    }
    triangle {
      < 4.153649, 0.008374, -0.677423>,
      < 4.183649, 0.207279, -0.643010>,
      < 4.183649, 0.037514, -0.672337>
    }
    triangle {
      < 4.153649, 0.237191, -0.637924>,
      < 4.526249, 0.232911, -0.637921>,
      < 4.496249, 0.203690, -0.643020>
    }
    triangle {
      < 4.153649, 0.237191, -0.637924>,
      < 4.496249, 0.203690, -0.643020>,
      < 4.183649, 0.207279, -0.643010>
    }
    triangle {
      < 4.526249, 0.232911, -0.637921>,
      < 4.526249, 0.003046, -0.677426>,
      < 4.496249, 0.033041, -0.672327>
    }
    triangle {
      < 4.526249, 0.232911, -0.637921>,
      < 4.496249, 0.033041, -0.672327>,
      < 4.496249, 0.203690, -0.643020>
    }
    triangle {
      < 3.781049, 0.241471, -0.637928>,
      < 4.153649, 0.237191, -0.637924>,
      < 4.123649, 0.207974, -0.643046>
    }
    triangle {
      < 3.781049, 0.241471, -0.637928>,
      < 4.123649, 0.207974, -0.643046>,
      < 3.811049, 0.211563, -0.643035>
    }
    triangle {
      < 4.153649, 0.237191, -0.637924>,
      < 4.153649, 0.008374, -0.677423>,
      < 4.123649, 0.038366, -0.672301>
    }
    triangle {
      < 4.153649, 0.237191, -0.637924>,
      < 4.123649, 0.038366, -0.672301>,
      < 4.123649, 0.207974, -0.643046>
    }
    triangle {
      < 4.153649, 0.008374, -0.677423>,
      < 3.781049, 0.013703, -0.677419>,
      < 3.811049, 0.042839, -0.672312>
    }
    triangle {
      < 4.153649, 0.008374, -0.677423>,
      < 3.811049, 0.042839, -0.672312>,
      < 4.123649, 0.038366, -0.672301>
    }
    triangle {
      < 3.781049, 0.013703, -0.677419>,
      < 3.781049, 0.241471, -0.637928>,
      < 3.811049, 0.211563, -0.643035>
    }
    triangle {
      < 3.781049, 0.013703, -0.677419>,
      < 3.811049, 0.211563, -0.643035>,
      < 3.811049, 0.042839, -0.672312>
    }
    triangle {
      < 6.013650, 0.185887, -0.643132>,
      < 6.013650, 0.020499, -0.672215>,
      < 6.013744, 0.024964, -0.697696>
    }
    triangle {
      < 6.013650, 0.185887, -0.643132>,
      < 6.013744, 0.024964, -0.697696>,
      < 6.013791, 0.056743, -0.705239>
    }
    triangle {
      < 6.013650, 0.185887, -0.643132>,
      < 6.013791, 0.056743, -0.705239>,
      < 6.013791, 0.163037, -0.686547>
    }
    triangle {
      < 6.013650, 0.185887, -0.643132>,
      < 6.013791, 0.163037, -0.686547>,
      < 6.013744, 0.190352, -0.668613>
    }
    triangle {
      < 6.013650, 0.020499, -0.672215>,
      < 5.789249, 0.024753, -0.672195>,
      < 5.789425, 0.034935, -0.730789>
    }
    triangle {
      < 6.013650, 0.020499, -0.672215>,
      < 5.789425, 0.034935, -0.730789>,
      < 6.013744, 0.024964, -0.697696>
    }
    triangle {
      < 5.817493, 0.042083, -0.673511>,
      < 5.817493, 0.178872, -0.649628>,
      < 5.817692, 0.190334, -0.715584>
    }
    triangle {
      < 5.817493, 0.042083, -0.673511>,
      < 5.817692, 0.190334, -0.715584>,
      < 5.817801, 0.150825, -0.759894>
    }
    triangle {
      < 5.817493, 0.042083, -0.673511>,
      < 5.817801, 0.150825, -0.759894>,
      < 5.817801, 0.105656, -0.767781>
    }
    triangle {
      < 5.817493, 0.042083, -0.673511>,
      < 5.817801, 0.105656, -0.767781>,
      < 5.817692, 0.053548, -0.739481>
    }
    triangle {
      < 5.789249, 0.191094, -0.643152>,
      < 6.013650, 0.185887, -0.643132>,
      < 6.013744, 0.190352, -0.668613>
    }
    triangle {
      < 5.789249, 0.191094, -0.643152>,
      < 6.013744, 0.190352, -0.668613>,
      < 5.789425, 0.201277, -0.701746>
    }
    triangle {
      < 5.729249, 0.191804, -0.643162>,
      < 5.729249, 0.025487, -0.672185>,
      < 5.729262, 0.029958, -0.697665>
    }
    triangle {
      < 5.729249, 0.191804, -0.643162>,
      < 5.729262, 0.029958, -0.697665>,
      < 5.729269, 0.061747, -0.705246>
    }
    triangle {
      < 5.729249, 0.191804, -0.643162>,
      < 5.729269, 0.061747, -0.705246>,
      < 5.729269, 0.168957, -0.686537>
    }
    triangle {
      < 5.729249, 0.191804, -0.643162>,
      < 5.729269, 0.168957, -0.686537>,
      < 5.729262, 0.196275, -0.668642>
    }
    triangle {
      < 5.729249, 0.025487, -0.672185>,
      < 5.414249, 0.027289, -0.672193>,
      < 5.414345, 0.037478, -0.730786>
    }
    triangle {
      < 5.729249, 0.025487, -0.672185>,
      < 5.414345, 0.037478, -0.730786>,
      < 5.729262, 0.029958, -0.697665>
    }
    triangle {
      < 5.442473, 0.044623, -0.673520>,
      < 5.442473, 0.179635, -0.649694>,
      < 5.442580, 0.191110, -0.715680>
    }
    triangle {
      < 5.442473, 0.044623, -0.673520>,
      < 5.442580, 0.191110, -0.715680>,
      < 5.442639, 0.152130, -0.759951>
    }
    triangle {
      < 5.442473, 0.044623, -0.673520>,
      < 5.442639, 0.152130, -0.759951>,
      < 5.442639, 0.107638, -0.767803>
    }
    triangle {
      < 5.442473, 0.044623, -0.673520>,
      < 5.442639, 0.107638, -0.767803>,
      < 5.442581, 0.056106, -0.739551>
    }
    triangle {
      < 5.414249, 0.191845, -0.643154>,
      < 5.729249, 0.191804, -0.643162>,
      < 5.729262, 0.196275, -0.668642>
    }
    triangle {
      < 5.414249, 0.191845, -0.643154>,
      < 5.729262, 0.196275, -0.668642>,
      < 5.414344, 0.202034, -0.701747>
    }
    triangle {
      < 5.354249, 0.192117, -0.643125>,
      < 5.354249, 0.027439, -0.672223>,
      < 5.354268, 0.031894, -0.697705>
    }
    triangle {
      < 5.354249, 0.192117, -0.643125>,
      < 5.354268, 0.031894, -0.697705>,
      < 5.354277, 0.063664, -0.705225>
    }
    triangle {
      < 5.354249, 0.192117, -0.643125>,
      < 5.354277, 0.063664, -0.705225>,
      < 5.354277, 0.169258, -0.686567>
    }
    triangle {
      < 5.354249, 0.192117, -0.643125>,
      < 5.354277, 0.169258, -0.686567>,
      < 5.354268, 0.196573, -0.668607>
    }
    triangle {
      < 5.354249, 0.027439, -0.672223>,
      < 5.021249, 0.027142, -0.672210>,
      < 5.021350, 0.037316, -0.730806>
    }
    triangle {
      < 5.354249, 0.027439, -0.672223>,
      < 5.021350, 0.037316, -0.730806>,
      < 5.354268, 0.031894, -0.697705>
    }
    triangle {
      < 5.049474, 0.044480, -0.673585>,
      < 5.049474, 0.182947, -0.649626>,
      < 5.049588, 0.194393, -0.715552>
    }
    triangle {
      < 5.049474, 0.044480, -0.673585>,
      < 5.049588, 0.194393, -0.715552>,
      < 5.049650, 0.154380, -0.759911>
    }
    triangle {
      < 5.049474, 0.044480, -0.673585>,
      < 5.049650, 0.154380, -0.759911>,
      < 5.049650, 0.108573, -0.767837>
    }
    triangle {
      < 5.049474, 0.044480, -0.673585>,
      < 5.049650, 0.108573, -0.767837>,
      < 5.049587, 0.055925, -0.739501>
    }
    triangle {
      < 5.021249, 0.195170, -0.643137>,
      < 5.354249, 0.192117, -0.643125>,
      < 5.354268, 0.196573, -0.668607>
    }
    triangle {
      < 5.021249, 0.195170, -0.643137>,
      < 5.354268, 0.196573, -0.668607>,
      < 5.021350, 0.205343, -0.701733>
    }
    triangle {
      < 4.961249, 0.195935, -0.643036>,
      < 4.961249, 0.027488, -0.672311>,
      < 4.961313, 0.031890, -0.697803>
    }
    triangle {
      < 4.961249, 0.195935, -0.643036>,
      < 4.961313, 0.031890, -0.697803>,
      < 4.961344, 0.063648, -0.705410>
    }
    triangle {
      < 4.961249, 0.195935, -0.643036>,
      < 4.961344, 0.063648, -0.705410>,
      < 4.961344, 0.172981, -0.686409>
    }
    triangle {
      < 4.961249, 0.195935, -0.643036>,
      < 4.961344, 0.172981, -0.686409>,
      < 4.961312, 0.200337, -0.668528>
    }
    triangle {
      < 4.961249, 0.027488, -0.672311>,
      < 4.556249, 0.032255, -0.672308>,
      < 4.556395, 0.042375, -0.730913>
    }
    triangle {
      < 4.961249, 0.027488, -0.672311>,
      < 4.556395, 0.042375, -0.730913>,
      < 4.961313, 0.031890, -0.697803>
    }
    triangle {
      < 4.584486, 0.049580, -0.673684>,
      < 4.584486, 0.190592, -0.649489>,
      < 4.584650, 0.201967, -0.715365>
    }
    triangle {
      < 4.584486, 0.049580, -0.673684>,
      < 4.584650, 0.201967, -0.715365>,
      < 4.584740, 0.161148, -0.759858>
    }
    triangle {
      < 4.584486, 0.049580, -0.673684>,
      < 4.584740, 0.161148, -0.759858>,
      < 4.584740, 0.114373, -0.767883>
    }
    triangle {
      < 4.584486, 0.049580, -0.673684>,
      < 4.584740, 0.114373, -0.767883>,
      < 4.584650, 0.060952, -0.739541>
    }
    triangle {
      < 4.556249, 0.202835, -0.643039>,
      < 4.961249, 0.195935, -0.643036>,
      < 4.961312, 0.200337, -0.668528>
    }
    triangle {
      < 4.556249, 0.202835, -0.643039>,
      < 4.961312, 0.200337, -0.668528>,
      < 4.556395, 0.212955, -0.701644>
    }
    triangle {
      < 4.211884, 0.054834, -0.673700>,
      < 4.211884, 0.195036, -0.649480>,
      < 4.212040, 0.206401, -0.715366>
    }
    triangle {
      < 4.211884, 0.054834, -0.673700>,
      < 4.212040, 0.206401, -0.715366>,
      < 4.212126, 0.165810, -0.759866>
    }
    triangle {
      < 4.211884, 0.054834, -0.673700>,
      < 4.212126, 0.165810, -0.759866>,
      < 4.212126, 0.119341, -0.767893>
    }
    triangle {
      < 4.211884, 0.054834, -0.673700>,
      < 4.212126, 0.119341, -0.767893>,
      < 4.212040, 0.066199, -0.739591>
    }
    triangle {
      < 4.183649, 0.207279, -0.643010>,
      < 4.496249, 0.203690, -0.643020>,
      < 4.496305, 0.208081, -0.668514>
    }
    triangle {
      < 4.183649, 0.207279, -0.643010>,
      < 4.496305, 0.208081, -0.668514>,
      < 4.183788, 0.217388, -0.701617>
    }
    triangle {
      < 4.496249, 0.203690, -0.643020>,
      < 4.496249, 0.033041, -0.672327>,
      < 4.496305, 0.037432, -0.697820>
    }
    triangle {
      < 4.496249, 0.203690, -0.643020>,
      < 4.496305, 0.037432, -0.697820>,
      < 4.496334, 0.069195, -0.705487>
    }
    triangle {
      < 4.496249, 0.203690, -0.643020>,
      < 4.496334, 0.069195, -0.705487>,
      < 4.496334, 0.180709, -0.686337>
    }
    triangle {
      < 4.496249, 0.203690, -0.643020>,
      < 4.496334, 0.180709, -0.686337>,
      < 4.496305, 0.208081, -0.668514>
    }
    triangle {
      < 4.496249, 0.033041, -0.672327>,
      < 4.183649, 0.037514, -0.672337>,
      < 4.183788, 0.047623, -0.730944>
    }
    triangle {
      < 4.496249, 0.033041, -0.672327>,
      < 4.183788, 0.047623, -0.730944>,
      < 4.496305, 0.037432, -0.697820>
    }
    triangle {
      < 4.123649, 0.207974, -0.643046>,
      < 4.123649, 0.038366, -0.672301>,
      < 4.123706, 0.042776, -0.697792>
    }
    triangle {
      < 4.123649, 0.207974, -0.643046>,
      < 4.123706, 0.042776, -0.697792>,
      < 4.123734, 0.074544, -0.705436>
    }
    triangle {
      < 4.123649, 0.207974, -0.643046>,
      < 4.123734, 0.074544, -0.705436>,
      < 4.123734, 0.185025, -0.686379>
    }
    triangle {
      < 4.123649, 0.207974, -0.643046>,
      < 4.123734, 0.185025, -0.686379>,
      < 4.123706, 0.212384, -0.668536>
    }
    triangle {
      < 4.123649, 0.038366, -0.672301>,
      < 3.811049, 0.042839, -0.672312>,
      < 3.811188, 0.052967, -0.730916>
    }
    triangle {
      < 4.123649, 0.038366, -0.672301>,
      < 3.811188, 0.052967, -0.730916>,
      < 4.123706, 0.042776, -0.697792>
    }
    triangle {
      < 3.839284, 0.060161, -0.673663>,
      < 3.839284, 0.199327, -0.649515>,
      < 3.839440, 0.210716, -0.715420>
    }
    triangle {
      < 3.839284, 0.060161, -0.673663>,
      < 3.839440, 0.210716, -0.715420>,
      < 3.839527, 0.170450, -0.759876>
    }
    triangle {
      < 3.839284, 0.060161, -0.673663>,
      < 3.839527, 0.170450, -0.759876>,
      < 3.839527, 0.124375, -0.767871>
    }
    triangle {
      < 3.839284, 0.060161, -0.673663>,
      < 3.839527, 0.124375, -0.767871>,
      < 3.839440, 0.071553, -0.739581>
    }
    triangle {
      < 3.811049, 0.211563, -0.643035>,
      < 4.123649, 0.207974, -0.643046>,
      < 4.123706, 0.212384, -0.668536>
    }
    triangle {
      < 3.811049, 0.211563, -0.643035>,
      < 4.123706, 0.212384, -0.668536>,
      < 3.811188, 0.221690, -0.701638>
    }
    triangle {
      < 5.789557, 0.190434, -0.748909>,
      < 5.996122, 0.176713, -0.696818>,
      < 5.978448, 0.160837, -0.712289>
    }
    triangle {
      < 5.789557, 0.190434, -0.748909>,
      < 5.978448, 0.160837, -0.712289>,
      < 5.789602, 0.174496, -0.766785>
    }
    triangle {
      < 5.414416, 0.191394, -0.748909>,
      < 5.711139, 0.181998, -0.695272>,
      < 5.693003, 0.165481, -0.709168>
    }
    triangle {
      < 5.414416, 0.191394, -0.748909>,
      < 5.693003, 0.165481, -0.709168>,
      < 5.414440, 0.175656, -0.766784>
    }
    triangle {
      < 5.021425, 0.194306, -0.748900>,
      < 5.336073, 0.182393, -0.694991>,
      < 5.317865, 0.165980, -0.708639>
    }
    triangle {
      < 5.021425, 0.194306, -0.748900>,
      < 5.317865, 0.165980, -0.708639>,
      < 5.021451, 0.178178, -0.766780>
    }
    triangle {
      < 4.556504, 0.201594, -0.748841>,
      < 4.942648, 0.185785, -0.694319>,
      < 4.923947, 0.169028, -0.707369>
    }
    triangle {
      < 4.556504, 0.201594, -0.748841>,
      < 4.923947, 0.169028, -0.707369>,
      < 4.556540, 0.185169, -0.766745>
    }
    triangle {
      < 4.183892, 0.206109, -0.748821>,
      < 4.477716, 0.193451, -0.695334>,
      < 4.459093, 0.176621, -0.709414>
    }
    triangle {
      < 4.183892, 0.206109, -0.748821>,
      < 4.459093, 0.176621, -0.709414>,
      < 4.183927, 0.189772, -0.766732>
    }
    triangle {
      < 3.811293, 0.210542, -0.748835>,
      < 4.105228, 0.197878, -0.695322>,
      < 4.086716, 0.181162, -0.709368>
    }
    triangle {
      < 3.811293, 0.210542, -0.748835>,
      < 4.086716, 0.181162, -0.709368>,
      < 3.811327, 0.194324, -0.766739>
    }
    triangle {
      < 5.996129, 0.048074, -0.719460>,
      < 5.789557, 0.061050, -0.771500>,
      < 5.789602, 0.082080, -0.782921>
    }
    triangle {
      < 5.996129, 0.048074, -0.719460>,
      < 5.789602, 0.082080, -0.782921>,
      < 5.978462, 0.068958, -0.728487>
    }
    triangle {
      < 5.711131, 0.052529, -0.717831>,
      < 5.414416, 0.063399, -0.771496>,
      < 5.414440, 0.084232, -0.782917>
    }
    triangle {
      < 5.711131, 0.052529, -0.717831>,
      < 5.414440, 0.084232, -0.782917>,
      < 5.692987, 0.072871, -0.725261>
    }
    triangle {
      < 5.336088, 0.054313, -0.717686>,
      < 5.021425, 0.063610, -0.771514>,
      < 5.021451, 0.084825, -0.782933>
    }
    triangle {
      < 5.336088, 0.054313, -0.717686>,
      < 5.021451, 0.084825, -0.782933>,
      < 5.317894, 0.074511, -0.724930>
    }
    triangle {
      < 4.942656, 0.054771, -0.717128>,
      < 4.556504, 0.068913, -0.771606>,
      < 4.556540, 0.090398, -0.783005>
    }
    triangle {
      < 4.942656, 0.054771, -0.717128>,
      < 4.556540, 0.090398, -0.783005>,
      < 4.923962, 0.075456, -0.723712>
    }
    triangle {
      < 4.477712, 0.060663, -0.718120>,
      < 4.183892, 0.074062, -0.771632>,
      < 4.183927, 0.095454, -0.783025>
    }
    triangle {
      < 4.477712, 0.060663, -0.718120>,
      < 4.183927, 0.095454, -0.783025>,
      < 4.459085, 0.081705, -0.725677>
    }
    triangle {
      < 4.105224, 0.065899, -0.718068>,
      < 3.811293, 0.079304, -0.771607>,
      < 3.811327, 0.100585, -0.783005>
    }
    triangle {
      < 4.105224, 0.065899, -0.718068>,
      < 3.811327, 0.100585, -0.783005>,
      < 4.086708, 0.086824, -0.725603>
    }
    triangle {
      < 6.013791, 0.163037, -0.686547>,
      < 6.013791, 0.056743, -0.705239>,
      < 5.996129, 0.048074, -0.719460>
    }
    triangle {
      < 6.013791, 0.163037, -0.686547>,
      < 5.996129, 0.048074, -0.719460>,
      < 5.978462, 0.068958, -0.728487>
    }
    triangle {
      < 6.013791, 0.163037, -0.686547>,
      < 5.978462, 0.068958, -0.728487>,
      < 5.960793, 0.108211, -0.734260>
    }
    triangle {
      < 6.013791, 0.163037, -0.686547>,
      < 5.960793, 0.108211, -0.734260>,
      < 5.960786, 0.126591, -0.731008>
    }
    triangle {
      < 6.013791, 0.163037, -0.686547>,
      < 5.960786, 0.126591, -0.731008>,
      < 5.978448, 0.160837, -0.712289>
    }
    triangle {
      < 6.013791, 0.163037, -0.686547>,
      < 5.978448, 0.160837, -0.712289>,
      < 5.996122, 0.176713, -0.696818>
    }
    triangle {
      < 5.729269, 0.168957, -0.686537>,
      < 5.729269, 0.061747, -0.705246>,
      < 5.711131, 0.052529, -0.717831>
    }
    triangle {
      < 5.729269, 0.168957, -0.686537>,
      < 5.711131, 0.052529, -0.717831>,
      < 5.692987, 0.072871, -0.725261>
    }
    triangle {
      < 5.729269, 0.168957, -0.686537>,
      < 5.692987, 0.072871, -0.725261>,
      < 5.674857, 0.111792, -0.729480>
    }
    triangle {
      < 5.729269, 0.168957, -0.686537>,
      < 5.674857, 0.111792, -0.729480>,
      < 5.674865, 0.130383, -0.726270>
    }
    triangle {
      < 5.729269, 0.168957, -0.686537>,
      < 5.674865, 0.130383, -0.726270>,
      < 5.693003, 0.165481, -0.709168>
    }
    triangle {
      < 5.729269, 0.168957, -0.686537>,
      < 5.693003, 0.165481, -0.709168>,
      < 5.711139, 0.181998, -0.695272>
    }
    triangle {
      < 5.354277, 0.169258, -0.686567>,
      < 5.354277, 0.063664, -0.705225>,
      < 5.336088, 0.054313, -0.717686>
    }
    triangle {
      < 5.354277, 0.169258, -0.686567>,
      < 5.336088, 0.054313, -0.717686>,
      < 5.317894, 0.074511, -0.724930>
    }
    triangle {
      < 5.354277, 0.169258, -0.686567>,
      < 5.317894, 0.074511, -0.724930>,
      < 5.299691, 0.112991, -0.728876>
    }
    triangle {
      < 5.354277, 0.169258, -0.686567>,
      < 5.299691, 0.112991, -0.728876>,
      < 5.299676, 0.131285, -0.725579>
    }
    triangle {
      < 5.354277, 0.169258, -0.686567>,
      < 5.299676, 0.131285, -0.725579>,
      < 5.317865, 0.165980, -0.708639>
    }
    triangle {
      < 5.354277, 0.169258, -0.686567>,
      < 5.317865, 0.165980, -0.708639>,
      < 5.336073, 0.182393, -0.694991>
    }
    triangle {
      < 4.961344, 0.172981, -0.686409>,
      < 4.961344, 0.063648, -0.705410>,
      < 4.942656, 0.054771, -0.717128>
    }
    triangle {
      < 4.961344, 0.172981, -0.686409>,
      < 4.942656, 0.054771, -0.717128>,
      < 4.923962, 0.075456, -0.723712>
    }
    triangle {
      < 4.961344, 0.172981, -0.686409>,
      < 4.923962, 0.075456, -0.723712>,
      < 4.905266, 0.114847, -0.727001>
    }
    triangle {
      < 4.961344, 0.172981, -0.686409>,
      < 4.905266, 0.114847, -0.727001>,
      < 4.905259, 0.133564, -0.723708>
    }
    triangle {
      < 4.961344, 0.172981, -0.686409>,
      < 4.905259, 0.133564, -0.723708>,
      < 4.923947, 0.169028, -0.707369>
    }
    triangle {
      < 4.961344, 0.172981, -0.686409>,
      < 4.923947, 0.169028, -0.707369>,
      < 4.942648, 0.185785, -0.694319>
    }
    triangle {
      < 4.496334, 0.180709, -0.686337>,
      < 4.496334, 0.069195, -0.705487>,
      < 4.477712, 0.060663, -0.718120>
    }
    triangle {
      < 4.496334, 0.180709, -0.686337>,
      < 4.477712, 0.060663, -0.718120>,
      < 4.459085, 0.081705, -0.725677>
    }
    triangle {
      < 4.496334, 0.180709, -0.686337>,
      < 4.459085, 0.081705, -0.725677>,
      < 4.440467, 0.121757, -0.729985>
    }
    triangle {
      < 4.496334, 0.180709, -0.686337>,
      < 4.440467, 0.121757, -0.729985>,
      < 4.440471, 0.140779, -0.726736>
    }
    triangle {
      < 4.496334, 0.180709, -0.686337>,
      < 4.440471, 0.140779, -0.726736>,
      < 4.459093, 0.176621, -0.709414>
    }
    triangle {
      < 4.496334, 0.180709, -0.686337>,
      < 4.459093, 0.176621, -0.709414>,
      < 4.477716, 0.193451, -0.695334>
    }
    triangle {
      < 4.123734, 0.185025, -0.686379>,
      < 4.123734, 0.074544, -0.705436>,
      < 4.105224, 0.065899, -0.718068>
    }
    triangle {
      < 4.123734, 0.185025, -0.686379>,
      < 4.105224, 0.065899, -0.718068>,
      < 4.086708, 0.086824, -0.725603>
    }
    triangle {
      < 4.123734, 0.185025, -0.686379>,
      < 4.086708, 0.086824, -0.725603>,
      < 4.068201, 0.126643, -0.729894>
    }
    triangle {
      < 4.123734, 0.185025, -0.686379>,
      < 4.068201, 0.126643, -0.729894>,
      < 4.068205, 0.145550, -0.726652>
    }
    triangle {
      < 4.123734, 0.185025, -0.686379>,
      < 4.068205, 0.145550, -0.726652>,
      < 4.086716, 0.181162, -0.709368>
    }
    triangle {
      < 4.123734, 0.185025, -0.686379>,
      < 4.086716, 0.181162, -0.709368>,
      < 4.105228, 0.197878, -0.695322>
    }
    triangle {
      < 5.789425, 0.034935, -0.730789>,
      < 5.789249, 0.024753, -0.672195>,
      < 5.789293, 0.042097, -0.684394>
    }
    triangle {
      < 5.789425, 0.034935, -0.730789>,
      < 5.789293, 0.042097, -0.684394>,
      < 5.789492, 0.053562, -0.750364>
    }
    triangle {
      < 5.789425, 0.034935, -0.730789>,
      < 5.789492, 0.053562, -0.750364>,
      < 5.789506, 0.044538, -0.756843>
    }
    triangle {
      < 5.789249, 0.024753, -0.672195>,
      < 5.789249, 0.191094, -0.643152>,
      < 5.789293, 0.178886, -0.660511>
    }
    triangle {
      < 5.789249, 0.024753, -0.672195>,
      < 5.789293, 0.178886, -0.660511>,
      < 5.789293, 0.042097, -0.684394>
    }
    triangle {
      < 5.789249, 0.191094, -0.643152>,
      < 5.789425, 0.201277, -0.701746>,
      < 5.789506, 0.201029, -0.729515>
    }
    triangle {
      < 5.789249, 0.191094, -0.643152>,
      < 5.789506, 0.201029, -0.729515>,
      < 5.789492, 0.190348, -0.726466>
    }
    triangle {
      < 5.789249, 0.191094, -0.643152>,
      < 5.789492, 0.190348, -0.726466>,
      < 5.789293, 0.178886, -0.660511>
    }
    triangle {
      < 5.789557, 0.190434, -0.748909>,
      < 5.789602, 0.174496, -0.766785>,
      < 5.789631, 0.155988, -0.780030>
    }
    triangle {
      < 5.789557, 0.190434, -0.748909>,
      < 5.789631, 0.155988, -0.780030>,
      < 5.789601, 0.150840, -0.770777>
    }
    triangle {
      < 5.789557, 0.190434, -0.748909>,
      < 5.789601, 0.150840, -0.770777>,
      < 5.789492, 0.190348, -0.726466>
    }
    triangle {
      < 5.789557, 0.190434, -0.748909>,
      < 5.789492, 0.190348, -0.726466>,
      < 5.789506, 0.201029, -0.729515>
    }
    triangle {
      < 5.789646, 0.140077, -0.787883>,
      < 5.789646, 0.121588, -0.791111>,
      < 5.789631, 0.103959, -0.789114>
    }
    triangle {
      < 5.789646, 0.140077, -0.787883>,
      < 5.789631, 0.103959, -0.789114>,
      < 5.789601, 0.105671, -0.778663>
    }
    triangle {
      < 5.789646, 0.140077, -0.787883>,
      < 5.789601, 0.105671, -0.778663>,
      < 5.789601, 0.150840, -0.770777>
    }
    triangle {
      < 5.789646, 0.140077, -0.787883>,
      < 5.789601, 0.150840, -0.770777>,
      < 5.789631, 0.155988, -0.780030>
    }
    triangle {
      < 5.789602, 0.082080, -0.782921>,
      < 5.789557, 0.061050, -0.771500>,
      < 5.789506, 0.044538, -0.756843>
    }
    triangle {
      < 5.789602, 0.082080, -0.782921>,
      < 5.789506, 0.044538, -0.756843>,
      < 5.789492, 0.053562, -0.750364>
    }
    triangle {
      < 5.789602, 0.082080, -0.782921>,
      < 5.789492, 0.053562, -0.750364>,
      < 5.789601, 0.105671, -0.778663>
    }
    triangle {
      < 5.789602, 0.082080, -0.782921>,
      < 5.789601, 0.105671, -0.778663>,
      < 5.789631, 0.103959, -0.789114>
    }
    triangle {
      < 5.414345, 0.037478, -0.730786>,
      < 5.414249, 0.027289, -0.672193>,
      < 5.414273, 0.044631, -0.684364>
    }
    triangle {
      < 5.414345, 0.037478, -0.730786>,
      < 5.414273, 0.044631, -0.684364>,
      < 5.414381, 0.056113, -0.750396>
    }
    triangle {
      < 5.414345, 0.037478, -0.730786>,
      < 5.414381, 0.056113, -0.750396>,
      < 5.414388, 0.047085, -0.756851>
    }
    triangle {
      < 5.414249, 0.027289, -0.672193>,
      < 5.414249, 0.191845, -0.643154>,
      < 5.414273, 0.179643, -0.660539>
    }
    triangle {
      < 5.414249, 0.027289, -0.672193>,
      < 5.414273, 0.179643, -0.660539>,
      < 5.414273, 0.044631, -0.684364>
    }
    triangle {
      < 5.414249, 0.191845, -0.643154>,
      < 5.414344, 0.202034, -0.701747>,
      < 5.414388, 0.201792, -0.729534>
    }
    triangle {
      < 5.414249, 0.191845, -0.643154>,
      < 5.414388, 0.201792, -0.729534>,
      < 5.414381, 0.191118, -0.726524>
    }
    triangle {
      < 5.414249, 0.191845, -0.643154>,
      < 5.414381, 0.191118, -0.726524>,
      < 5.414273, 0.179643, -0.660539>
    }
    triangle {
      < 5.414416, 0.191394, -0.748909>,
      < 5.414440, 0.175656, -0.766784>,
      < 5.414456, 0.157327, -0.780035>
    }
    triangle {
      < 5.414416, 0.191394, -0.748909>,
      < 5.414456, 0.157327, -0.780035>,
      < 5.414440, 0.152138, -0.770796>
    }
    triangle {
      < 5.414416, 0.191394, -0.748909>,
      < 5.414440, 0.152138, -0.770796>,
      < 5.414381, 0.191118, -0.726524>
    }
    triangle {
      < 5.414416, 0.191394, -0.748909>,
      < 5.414381, 0.191118, -0.726524>,
      < 5.414388, 0.201792, -0.729534>
    }
    triangle {
      < 5.414464, 0.141636, -0.787881>,
      < 5.414464, 0.123345, -0.791109>,
      < 5.414456, 0.105921, -0.789107>
    }
    triangle {
      < 5.414464, 0.141636, -0.787881>,
      < 5.414456, 0.105921, -0.789107>,
      < 5.414440, 0.107646, -0.778647>
    }
    triangle {
      < 5.414464, 0.141636, -0.787881>,
      < 5.414440, 0.107646, -0.778647>,
      < 5.414440, 0.152138, -0.770796>
    }
    triangle {
      < 5.414464, 0.141636, -0.787881>,
      < 5.414440, 0.152138, -0.770796>,
      < 5.414456, 0.157327, -0.780035>
    }
    triangle {
      < 5.414440, 0.084232, -0.782917>,
      < 5.414416, 0.063399, -0.771496>,
      < 5.414388, 0.047085, -0.756851>
    }
    triangle {
      < 5.414440, 0.084232, -0.782917>,
      < 5.414388, 0.047085, -0.756851>,
      < 5.414381, 0.056113, -0.750396>
    }
    triangle {
      < 5.414440, 0.084232, -0.782917>,
      < 5.414381, 0.056113, -0.750396>,
      < 5.414440, 0.107646, -0.778647>
    }
    triangle {
      < 5.414440, 0.084232, -0.782917>,
      < 5.414440, 0.107646, -0.778647>,
      < 5.414456, 0.105921, -0.789107>
    }
    triangle {
      < 5.021350, 0.037316, -0.730806>,
      < 5.021249, 0.027142, -0.672210>,
      < 5.021275, 0.044489, -0.684432>
    }
    triangle {
      < 5.021350, 0.037316, -0.730806>,
      < 5.021275, 0.044489, -0.684432>,
      < 5.021388, 0.055933, -0.750348>
    }
    triangle {
      < 5.021350, 0.037316, -0.730806>,
      < 5.021388, 0.055933, -0.750348>,
      < 5.021396, 0.046912, -0.756849>
    }
    triangle {
      < 5.021249, 0.027142, -0.672210>,
      < 5.021249, 0.195170, -0.643137>,
      < 5.021275, 0.182955, -0.660473>
    }
    triangle {
      < 5.021249, 0.027142, -0.672210>,
      < 5.021275, 0.182955, -0.660473>,
      < 5.021275, 0.044489, -0.684432>
    }
    triangle {
      < 5.021249, 0.195170, -0.643137>,
      < 5.021350, 0.205343, -0.701733>,
      < 5.021396, 0.205087, -0.729484>
    }
    triangle {
      < 5.021249, 0.195170, -0.643137>,
      < 5.021396, 0.205087, -0.729484>,
      < 5.021388, 0.194402, -0.726400>
    }
    triangle {
      < 5.021249, 0.195170, -0.643137>,
      < 5.021388, 0.194402, -0.726400>,
      < 5.021275, 0.182955, -0.660473>
    }
    triangle {
      < 5.021425, 0.194306, -0.748900>,
      < 5.021451, 0.178178, -0.766780>,
      < 5.021467, 0.159499, -0.780023>
    }
    triangle {
      < 5.021425, 0.194306, -0.748900>,
      < 5.021467, 0.159499, -0.780023>,
      < 5.021451, 0.154389, -0.770758>
    }
    triangle {
      < 5.021425, 0.194306, -0.748900>,
      < 5.021451, 0.154389, -0.770758>,
      < 5.021388, 0.194402, -0.726400>
    }
    triangle {
      < 5.021425, 0.194306, -0.748900>,
      < 5.021388, 0.194402, -0.726400>,
      < 5.021396, 0.205087, -0.729484>
    }
    triangle {
      < 5.021476, 0.143383, -0.787885>,
      < 5.021476, 0.124705, -0.791117>,
      < 5.021467, 0.106883, -0.789127>
    }
    triangle {
      < 5.021476, 0.143383, -0.787885>,
      < 5.021467, 0.106883, -0.789127>,
      < 5.021451, 0.108581, -0.778684>
    }
    triangle {
      < 5.021476, 0.143383, -0.787885>,
      < 5.021451, 0.108581, -0.778684>,
      < 5.021451, 0.154389, -0.770758>
    }
    triangle {
      < 5.021476, 0.143383, -0.787885>,
      < 5.021451, 0.154389, -0.770758>,
      < 5.021467, 0.159499, -0.780023>
    }
    triangle {
      < 5.021451, 0.084825, -0.782933>,
      < 5.021425, 0.063610, -0.771514>,
      < 5.021396, 0.046912, -0.756849>
    }
    triangle {
      < 5.021451, 0.084825, -0.782933>,
      < 5.021396, 0.046912, -0.756849>,
      < 5.021388, 0.055933, -0.750348>
    }
    triangle {
      < 5.021451, 0.084825, -0.782933>,
      < 5.021388, 0.055933, -0.750348>,
      < 5.021451, 0.108581, -0.778684>
    }
    triangle {
      < 5.021451, 0.084825, -0.782933>,
      < 5.021451, 0.108581, -0.778684>,
      < 5.021467, 0.106883, -0.789127>
    }
    triangle {
      < 4.556395, 0.042375, -0.730913>,
      < 4.556249, 0.032255, -0.672308>,
      < 4.556286, 0.049591, -0.684552>
    }
    triangle {
      < 4.556395, 0.042375, -0.730913>,
      < 4.556286, 0.049591, -0.684552>,
      < 4.556449, 0.060963, -0.750409>
    }
    triangle {
      < 4.556395, 0.042375, -0.730913>,
      < 4.556449, 0.060963, -0.750409>,
      < 4.556461, 0.051943, -0.756944>
    }
    triangle {
      < 4.556249, 0.032255, -0.672308>,
      < 4.556249, 0.202835, -0.643039>,
      < 4.556286, 0.190604, -0.660357>
    }
    triangle {
      < 4.556249, 0.032255, -0.672308>,
      < 4.556286, 0.190604, -0.660357>,
      < 4.556286, 0.049591, -0.684552>
    }
    triangle {
      < 4.556249, 0.202835, -0.643039>,
      < 4.556395, 0.212955, -0.701644>,
      < 4.556462, 0.212670, -0.729373>
    }
    triangle {
      < 4.556249, 0.202835, -0.643039>,
      < 4.556462, 0.212670, -0.729373>,
      < 4.556450, 0.201979, -0.726233>
    }
    triangle {
      < 4.556249, 0.202835, -0.643039>,
      < 4.556450, 0.201979, -0.726233>,
      < 4.556286, 0.190604, -0.660357>
    }
    triangle {
      < 4.556504, 0.201594, -0.748841>,
      < 4.556540, 0.185169, -0.766745>,
      < 4.556565, 0.166219, -0.780004>
    }
    triangle {
      < 4.556504, 0.201594, -0.748841>,
      < 4.556565, 0.166219, -0.780004>,
      < 4.556540, 0.161160, -0.770726>
    }
    triangle {
      < 4.556504, 0.201594, -0.748841>,
      < 4.556540, 0.161160, -0.770726>,
      < 4.556450, 0.201979, -0.726233>
    }
    triangle {
      < 4.556504, 0.201594, -0.748841>,
      < 4.556450, 0.201979, -0.726233>,
      < 4.556462, 0.212670, -0.729373>
    }
    triangle {
      < 4.556577, 0.149793, -0.787895>,
      < 4.556577, 0.130832, -0.791149>,
      < 4.556564, 0.112713, -0.789185>
    }
    triangle {
      < 4.556577, 0.149793, -0.787895>,
      < 4.556564, 0.112713, -0.789185>,
      < 4.556540, 0.114385, -0.778751>
    }
    triangle {
      < 4.556577, 0.149793, -0.787895>,
      < 4.556540, 0.114385, -0.778751>,
      < 4.556540, 0.161160, -0.770726>
    }
    triangle {
      < 4.556577, 0.149793, -0.787895>,
      < 4.556540, 0.161160, -0.770726>,
      < 4.556565, 0.166219, -0.780004>
    }
    triangle {
      < 4.556540, 0.090398, -0.783005>,
      < 4.556504, 0.068913, -0.771606>,
      < 4.556461, 0.051943, -0.756944>
    }
    triangle {
      < 4.556540, 0.090398, -0.783005>,
      < 4.556461, 0.051943, -0.756944>,
      < 4.556449, 0.060963, -0.750409>
    }
    triangle {
      < 4.556540, 0.090398, -0.783005>,
      < 4.556449, 0.060963, -0.750409>,
      < 4.556540, 0.114385, -0.778751>
    }
    triangle {
      < 4.556540, 0.090398, -0.783005>,
      < 4.556540, 0.114385, -0.778751>,
      < 4.556564, 0.112713, -0.789185>
    }
    triangle {
      < 4.183788, 0.047623, -0.730944>,
      < 4.183649, 0.037514, -0.672337>,
      < 4.183684, 0.054845, -0.684565>
    }
    triangle {
      < 4.183788, 0.047623, -0.730944>,
      < 4.183684, 0.054845, -0.684565>,
      < 4.183840, 0.066210, -0.750456>
    }
    triangle {
      < 4.183788, 0.047623, -0.730944>,
      < 4.183840, 0.066210, -0.750456>,
      < 4.183852, 0.057188, -0.756981>
    }
    triangle {
      < 4.183649, 0.037514, -0.672337>,
      < 4.183649, 0.207279, -0.643010>,
      < 4.183684, 0.195047, -0.660345>
    }
    triangle {
      < 4.183649, 0.037514, -0.672337>,
      < 4.183684, 0.195047, -0.660345>,
      < 4.183684, 0.054845, -0.684565>
    }
    triangle {
      < 4.183649, 0.207279, -0.643010>,
      < 4.183788, 0.217388, -0.701617>,
      < 4.183852, 0.217099, -0.729354>
    }
    triangle {
      < 4.183649, 0.207279, -0.643010>,
      < 4.183852, 0.217099, -0.729354>,
      < 4.183840, 0.206412, -0.726231>
    }
    triangle {
      < 4.183649, 0.207279, -0.643010>,
      < 4.183840, 0.206412, -0.726231>,
      < 4.183684, 0.195047, -0.660345>
    }
    triangle {
      < 4.183892, 0.206109, -0.748821>,
      < 4.183927, 0.189772, -0.766732>,
      < 4.183950, 0.170900, -0.780002>
    }
    triangle {
      < 4.183892, 0.206109, -0.748821>,
      < 4.183950, 0.170900, -0.780002>,
      < 4.183927, 0.165821, -0.770731>
    }
    triangle {
      < 4.183892, 0.206109, -0.748821>,
      < 4.183927, 0.165821, -0.770731>,
      < 4.183840, 0.206412, -0.726231>
    }
    triangle {
      < 4.183892, 0.206109, -0.748821>,
      < 4.183840, 0.206412, -0.726231>,
      < 4.183852, 0.217099, -0.729354>
    }
    triangle {
      < 4.183962, 0.154575, -0.787896>,
      < 4.183962, 0.135704, -0.791156>,
      < 4.183950, 0.117677, -0.789196>
    }
    triangle {
      < 4.183962, 0.154575, -0.787896>,
      < 4.183950, 0.117677, -0.789196>,
      < 4.183927, 0.119353, -0.778758>
    }
    triangle {
      < 4.183962, 0.154575, -0.787896>,
      < 4.183927, 0.119353, -0.778758>,
      < 4.183927, 0.165821, -0.770731>
    }
    triangle {
      < 4.183962, 0.154575, -0.787896>,
      < 4.183927, 0.165821, -0.770731>,
      < 4.183950, 0.170900, -0.780002>
    }
    triangle {
      < 4.183927, 0.095454, -0.783025>,
      < 4.183892, 0.074062, -0.771632>,
      < 4.183852, 0.057188, -0.756981>
    }
    triangle {
      < 4.183927, 0.095454, -0.783025>,
      < 4.183852, 0.057188, -0.756981>,
      < 4.183840, 0.066210, -0.750456>
    }
    triangle {
      < 4.183927, 0.095454, -0.783025>,
      < 4.183840, 0.066210, -0.750456>,
      < 4.183927, 0.119353, -0.778758>
    }
    triangle {
      < 4.183927, 0.095454, -0.783025>,
      < 4.183927, 0.119353, -0.778758>,
      < 4.183950, 0.117677, -0.789196>
    }
    triangle {
      < 3.811188, 0.052967, -0.730916>,
      < 3.811049, 0.042839, -0.672312>,
      < 3.811084, 0.060172, -0.684528>
    }
    triangle {
      < 3.811188, 0.052967, -0.730916>,
      < 3.811084, 0.060172, -0.684528>,
      < 3.811241, 0.071564, -0.750446>
    }
    triangle {
      < 3.811188, 0.052967, -0.730916>,
      < 3.811241, 0.071564, -0.750446>,
      < 3.811252, 0.062541, -0.756958>
    }
    triangle {
      < 3.811049, 0.042839, -0.672312>,
      < 3.811049, 0.211563, -0.643035>,
      < 3.811084, 0.199338, -0.660380>
    }
    triangle {
      < 3.811049, 0.042839, -0.672312>,
      < 3.811084, 0.199338, -0.660380>,
      < 3.811084, 0.060172, -0.684528>
    }
    triangle {
      < 3.811049, 0.211563, -0.643035>,
      < 3.811188, 0.221690, -0.701638>,
      < 3.811252, 0.221412, -0.729386>
    }
    triangle {
      < 3.811049, 0.211563, -0.643035>,
      < 3.811252, 0.221412, -0.729386>,
      < 3.811241, 0.210728, -0.726285>
    }
    triangle {
      < 3.811049, 0.211563, -0.643035>,
      < 3.811241, 0.210728, -0.726285>,
      < 3.811084, 0.199338, -0.660380>
    }
    triangle {
      < 3.811293, 0.210542, -0.748835>,
      < 3.811327, 0.194324, -0.766739>,
      < 3.811350, 0.175562, -0.780006>
    }
    triangle {
      < 3.811293, 0.210542, -0.748835>,
      < 3.811350, 0.175562, -0.780006>,
      < 3.811327, 0.170461, -0.770741>
    }
    triangle {
      < 3.811293, 0.210542, -0.748835>,
      < 3.811327, 0.170461, -0.770741>,
      < 3.811241, 0.210728, -0.726285>
    }
    triangle {
      < 3.811293, 0.210542, -0.748835>,
      < 3.811241, 0.210728, -0.726285>,
      < 3.811252, 0.221412, -0.729386>
    }
    triangle {
      < 3.811362, 0.159363, -0.787891>,
      < 3.811362, 0.140609, -0.791145>,
      < 3.811350, 0.122702, -0.789178>
    }
    triangle {
      < 3.811362, 0.159363, -0.787891>,
      < 3.811350, 0.122702, -0.789178>,
      < 3.811327, 0.124387, -0.778736>
    }
    triangle {
      < 3.811362, 0.159363, -0.787891>,
      < 3.811327, 0.124387, -0.778736>,
      < 3.811327, 0.170461, -0.770741>
    }
    triangle {
      < 3.811362, 0.159363, -0.787891>,
      < 3.811327, 0.170461, -0.770741>,
      < 3.811350, 0.175562, -0.780006>
    }
    triangle {
      < 3.811327, 0.100585, -0.783005>,
      < 3.811293, 0.079304, -0.771607>,
      < 3.811252, 0.062541, -0.756958>
    }
    triangle {
      < 3.811327, 0.100585, -0.783005>,
      < 3.811252, 0.062541, -0.756958>,
      < 3.811241, 0.071564, -0.750446>
    }
    triangle {
      < 3.811327, 0.100585, -0.783005>,
      < 3.811241, 0.071564, -0.750446>,
      < 3.811327, 0.124387, -0.778736>
    }
    triangle {
      < 3.811327, 0.100585, -0.783005>,
      < 3.811327, 0.124387, -0.778736>,
      < 3.811350, 0.122702, -0.789178>
    }
    triangle {
      < 5.789492, 0.190348, -0.726466>,
      < 5.789601, 0.150840, -0.770777>,
      < 5.817801, 0.150825, -0.759894>
    }
    triangle {
      < 5.789492, 0.190348, -0.726466>,
      < 5.817801, 0.150825, -0.759894>,
      < 5.817692, 0.190334, -0.715584>
    }
    triangle {
      < 5.789601, 0.150840, -0.770777>,
      < 5.789601, 0.105671, -0.778663>,
      < 5.817801, 0.105656, -0.767781>
    }
    triangle {
      < 5.789601, 0.150840, -0.770777>,
      < 5.817801, 0.105656, -0.767781>,
      < 5.817801, 0.150825, -0.759894>
    }
    triangle {
      < 5.789601, 0.105671, -0.778663>,
      < 5.789492, 0.053562, -0.750364>,
      < 5.817692, 0.053548, -0.739481>
    }
    triangle {
      < 5.789601, 0.105671, -0.778663>,
      < 5.817692, 0.053548, -0.739481>,
      < 5.817801, 0.105656, -0.767781>
    }
    triangle {
      < 5.789492, 0.053562, -0.750364>,
      < 5.789293, 0.042097, -0.684394>,
      < 5.817493, 0.042083, -0.673511>
    }
    triangle {
      < 5.789492, 0.053562, -0.750364>,
      < 5.817493, 0.042083, -0.673511>,
      < 5.817692, 0.053548, -0.739481>
    }
    triangle {
      < 5.789293, 0.042097, -0.684394>,
      < 5.789293, 0.178886, -0.660511>,
      < 5.817493, 0.178872, -0.649628>
    }
    triangle {
      < 5.789293, 0.042097, -0.684394>,
      < 5.817493, 0.178872, -0.649628>,
      < 5.817493, 0.042083, -0.673511>
    }
    triangle {
      < 5.789293, 0.178886, -0.660511>,
      < 5.789492, 0.190348, -0.726466>,
      < 5.817692, 0.190334, -0.715584>
    }
    triangle {
      < 5.789293, 0.178886, -0.660511>,
      < 5.817692, 0.190334, -0.715584>,
      < 5.817493, 0.178872, -0.649628>
    }
    triangle {
      < 5.414381, 0.191118, -0.726524>,
      < 5.414440, 0.152138, -0.770796>,
      < 5.442639, 0.152130, -0.759951>
    }
    triangle {
      < 5.414381, 0.191118, -0.726524>,
      < 5.442639, 0.152130, -0.759951>,
      < 5.442580, 0.191110, -0.715680>
    }
    triangle {
      < 5.414440, 0.152138, -0.770796>,
      < 5.414440, 0.107646, -0.778647>,
      < 5.442639, 0.107638, -0.767803>
    }
    triangle {
      < 5.414440, 0.152138, -0.770796>,
      < 5.442639, 0.107638, -0.767803>,
      < 5.442639, 0.152130, -0.759951>
    }
    triangle {
      < 5.414440, 0.107646, -0.778647>,
      < 5.414381, 0.056113, -0.750396>,
      < 5.442581, 0.056106, -0.739551>
    }
    triangle {
      < 5.414440, 0.107646, -0.778647>,
      < 5.442581, 0.056106, -0.739551>,
      < 5.442639, 0.107638, -0.767803>
    }
    triangle {
      < 5.414381, 0.056113, -0.750396>,
      < 5.414273, 0.044631, -0.684364>,
      < 5.442473, 0.044623, -0.673520>
    }
    triangle {
      < 5.414381, 0.056113, -0.750396>,
      < 5.442473, 0.044623, -0.673520>,
      < 5.442581, 0.056106, -0.739551>
    }
    triangle {
      < 5.414273, 0.044631, -0.684364>,
      < 5.414273, 0.179643, -0.660539>,
      < 5.442473, 0.179635, -0.649694>
    }
    triangle {
      < 5.414273, 0.044631, -0.684364>,
      < 5.442473, 0.179635, -0.649694>,
      < 5.442473, 0.044623, -0.673520>
    }
    triangle {
      < 5.414273, 0.179643, -0.660539>,
      < 5.414381, 0.191118, -0.726524>,
      < 5.442580, 0.191110, -0.715680>
    }
    triangle {
      < 5.414273, 0.179643, -0.660539>,
      < 5.442580, 0.191110, -0.715680>,
      < 5.442473, 0.179635, -0.649694>
    }
    triangle {
      < 5.021388, 0.194402, -0.726400>,
      < 5.021451, 0.154389, -0.770758>,
      < 5.049650, 0.154380, -0.759911>
    }
    triangle {
      < 5.021388, 0.194402, -0.726400>,
      < 5.049650, 0.154380, -0.759911>,
      < 5.049588, 0.194393, -0.715552>
    }
    triangle {
      < 5.021451, 0.154389, -0.770758>,
      < 5.021451, 0.108581, -0.778684>,
      < 5.049650, 0.108573, -0.767837>
    }
    triangle {
      < 5.021451, 0.154389, -0.770758>,
      < 5.049650, 0.108573, -0.767837>,
      < 5.049650, 0.154380, -0.759911>
    }
    triangle {
      < 5.021451, 0.108581, -0.778684>,
      < 5.021388, 0.055933, -0.750348>,
      < 5.049587, 0.055925, -0.739501>
    }
    triangle {
      < 5.021451, 0.108581, -0.778684>,
      < 5.049587, 0.055925, -0.739501>,
      < 5.049650, 0.108573, -0.767837>
    }
    triangle {
      < 5.021388, 0.055933, -0.750348>,
      < 5.021275, 0.044489, -0.684432>,
      < 5.049474, 0.044480, -0.673585>
    }
    triangle {
      < 5.021388, 0.055933, -0.750348>,
      < 5.049474, 0.044480, -0.673585>,
      < 5.049587, 0.055925, -0.739501>
    }
    triangle {
      < 5.021275, 0.044489, -0.684432>,
      < 5.021275, 0.182955, -0.660473>,
      < 5.049474, 0.182947, -0.649626>
    }
    triangle {
      < 5.021275, 0.044489, -0.684432>,
      < 5.049474, 0.182947, -0.649626>,
      < 5.049474, 0.044480, -0.673585>
    }
    triangle {
      < 5.021275, 0.182955, -0.660473>,
      < 5.021388, 0.194402, -0.726400>,
      < 5.049588, 0.194393, -0.715552>
    }
    triangle {
      < 5.021275, 0.182955, -0.660473>,
      < 5.049588, 0.194393, -0.715552>,
      < 5.049474, 0.182947, -0.649626>
    }
    triangle {
      < 4.556450, 0.201979, -0.726233>,
      < 4.556540, 0.161160, -0.770726>,
      < 4.584740, 0.161148, -0.759858>
    }
    triangle {
      < 4.556450, 0.201979, -0.726233>,
      < 4.584740, 0.161148, -0.759858>,
      < 4.584650, 0.201967, -0.715365>
    }
    triangle {
      < 4.556540, 0.161160, -0.770726>,
      < 4.556540, 0.114385, -0.778751>,
      < 4.584740, 0.114373, -0.767883>
    }
    triangle {
      < 4.556540, 0.161160, -0.770726>,
      < 4.584740, 0.114373, -0.767883>,
      < 4.584740, 0.161148, -0.759858>
    }
    triangle {
      < 4.556540, 0.114385, -0.778751>,
      < 4.556449, 0.060963, -0.750409>,
      < 4.584650, 0.060952, -0.739541>
    }
    triangle {
      < 4.556540, 0.114385, -0.778751>,
      < 4.584650, 0.060952, -0.739541>,
      < 4.584740, 0.114373, -0.767883>
    }
    triangle {
      < 4.556449, 0.060963, -0.750409>,
      < 4.556286, 0.049591, -0.684552>,
      < 4.584486, 0.049580, -0.673684>
    }
    triangle {
      < 4.556449, 0.060963, -0.750409>,
      < 4.584486, 0.049580, -0.673684>,
      < 4.584650, 0.060952, -0.739541>
    }
    triangle {
      < 4.556286, 0.049591, -0.684552>,
      < 4.556286, 0.190604, -0.660357>,
      < 4.584486, 0.190592, -0.649489>
    }
    triangle {
      < 4.556286, 0.049591, -0.684552>,
      < 4.584486, 0.190592, -0.649489>,
      < 4.584486, 0.049580, -0.673684>
    }
    triangle {
      < 4.556286, 0.190604, -0.660357>,
      < 4.556450, 0.201979, -0.726233>,
      < 4.584650, 0.201967, -0.715365>
    }
    triangle {
      < 4.556286, 0.190604, -0.660357>,
      < 4.584650, 0.201967, -0.715365>,
      < 4.584486, 0.190592, -0.649489>
    }
    triangle {
      < 4.183840, 0.206412, -0.726231>,
      < 4.183927, 0.165821, -0.770731>,
      < 4.212126, 0.165810, -0.759866>
    }
    triangle {
      < 4.183840, 0.206412, -0.726231>,
      < 4.212126, 0.165810, -0.759866>,
      < 4.212040, 0.206401, -0.715366>
    }
    triangle {
      < 4.183927, 0.165821, -0.770731>,
      < 4.183927, 0.119353, -0.778758>,
      < 4.212126, 0.119341, -0.767893>
    }
    triangle {
      < 4.183927, 0.165821, -0.770731>,
      < 4.212126, 0.119341, -0.767893>,
      < 4.212126, 0.165810, -0.759866>
    }
    triangle {
      < 4.183927, 0.119353, -0.778758>,
      < 4.183840, 0.066210, -0.750456>,
      < 4.212040, 0.066199, -0.739591>
    }
    triangle {
      < 4.183927, 0.119353, -0.778758>,
      < 4.212040, 0.066199, -0.739591>,
      < 4.212126, 0.119341, -0.767893>
    }
    triangle {
      < 4.183840, 0.066210, -0.750456>,
      < 4.183684, 0.054845, -0.684565>,
      < 4.211884, 0.054834, -0.673700>
    }
    triangle {
      < 4.183840, 0.066210, -0.750456>,
      < 4.211884, 0.054834, -0.673700>,
      < 4.212040, 0.066199, -0.739591>
    }
    triangle {
      < 4.183684, 0.054845, -0.684565>,
      < 4.183684, 0.195047, -0.660345>,
      < 4.211884, 0.195036, -0.649480>
    }
    triangle {
      < 4.183684, 0.054845, -0.684565>,
      < 4.211884, 0.195036, -0.649480>,
      < 4.211884, 0.054834, -0.673700>
    }
    triangle {
      < 4.183684, 0.195047, -0.660345>,
      < 4.183840, 0.206412, -0.726231>,
      < 4.212040, 0.206401, -0.715366>
    }
    triangle {
      < 4.183684, 0.195047, -0.660345>,
      < 4.212040, 0.206401, -0.715366>,
      < 4.211884, 0.195036, -0.649480>
    }
    triangle {
      < 3.811241, 0.210728, -0.726285>,
      < 3.811327, 0.170461, -0.770741>,
      < 3.839527, 0.170450, -0.759876>
    }
    triangle {
      < 3.811241, 0.210728, -0.726285>,
      < 3.839527, 0.170450, -0.759876>,
      < 3.839440, 0.210716, -0.715420>
    }
    triangle {
      < 3.811327, 0.170461, -0.770741>,
      < 3.811327, 0.124387, -0.778736>,
      < 3.839527, 0.124375, -0.767871>
    }
    triangle {
      < 3.811327, 0.170461, -0.770741>,
      < 3.839527, 0.124375, -0.767871>,
      < 3.839527, 0.170450, -0.759876>
    }
    triangle {
      < 3.811327, 0.124387, -0.778736>,
      < 3.811241, 0.071564, -0.750446>,
      < 3.839440, 0.071553, -0.739581>
    }
    triangle {
      < 3.811327, 0.124387, -0.778736>,
      < 3.839440, 0.071553, -0.739581>,
      < 3.839527, 0.124375, -0.767871>
    }
    triangle {
      < 3.811241, 0.071564, -0.750446>,
      < 3.811084, 0.060172, -0.684528>,
      < 3.839284, 0.060161, -0.673663>
    }
    triangle {
      < 3.811241, 0.071564, -0.750446>,
      < 3.839284, 0.060161, -0.673663>,
      < 3.839440, 0.071553, -0.739581>
    }
    triangle {
      < 3.811084, 0.060172, -0.684528>,
      < 3.811084, 0.199338, -0.660380>,
      < 3.839284, 0.199327, -0.649515>
    }
    triangle {
      < 3.811084, 0.060172, -0.684528>,
      < 3.839284, 0.199327, -0.649515>,
      < 3.839284, 0.060161, -0.673663>
    }
    triangle {
      < 3.811084, 0.199338, -0.660380>,
      < 3.811241, 0.210728, -0.726285>,
      < 3.839440, 0.210716, -0.715420>
    }
    triangle {
      < 3.811084, 0.199338, -0.660380>,
      < 3.839440, 0.210716, -0.715420>,
      < 3.839284, 0.199327, -0.649515>
    }
    triangle {
      < 3.811327, 0.194324, -0.766739>,
      < 3.811362, 0.159363, -0.787891>,
      < 3.811350, 0.175562, -0.780006>
    }
    triangle {
      < 3.811362, 0.140609, -0.791145>,
      < 3.811327, 0.100585, -0.783005>,
      < 3.811350, 0.122702, -0.789178>
    }
    triangle {
      < 4.105228, 0.197878, -0.695322>,
      < 4.123706, 0.212384, -0.668536>,
      < 4.123734, 0.185025, -0.686379>
    }
    triangle {
      < 3.811188, 0.221690, -0.701638>,
      < 3.811293, 0.210542, -0.748835>,
      < 3.811252, 0.221412, -0.729386>
    }
    triangle {
      < 4.477716, 0.193451, -0.695334>,
      < 4.496305, 0.208081, -0.668514>,
      < 4.496334, 0.180709, -0.686337>
    }
    triangle {
      < 4.183788, 0.217388, -0.701617>,
      < 4.183892, 0.206109, -0.748821>,
      < 4.183852, 0.217099, -0.729354>
    }
    triangle {
      < 4.183927, 0.189772, -0.766732>,
      < 4.183962, 0.154575, -0.787896>,
      < 4.183950, 0.170900, -0.780002>
    }
    triangle {
      < 4.183962, 0.135704, -0.791156>,
      < 4.183927, 0.095454, -0.783025>,
      < 4.183950, 0.117677, -0.789196>
    }
    triangle {
      < 4.556577, 0.130832, -0.791149>,
      < 4.556540, 0.090398, -0.783005>,
      < 4.556564, 0.112713, -0.789185>
    }
    triangle {
      < 4.556540, 0.185169, -0.766745>,
      < 4.556577, 0.149793, -0.787895>,
      < 4.556565, 0.166219, -0.780004>
    }
    triangle {
      < 4.942648, 0.185785, -0.694319>,
      < 4.961312, 0.200337, -0.668528>,
      < 4.961344, 0.172981, -0.686409>
    }
    triangle {
      < 4.556395, 0.212955, -0.701644>,
      < 4.556504, 0.201594, -0.748841>,
      < 4.556462, 0.212670, -0.729373>
    }
    triangle {
      < 5.336073, 0.182393, -0.694991>,
      < 5.354268, 0.196573, -0.668607>,
      < 5.354277, 0.169258, -0.686567>
    }
    triangle {
      < 5.021350, 0.205343, -0.701733>,
      < 5.021425, 0.194306, -0.748900>,
      < 5.021396, 0.205087, -0.729484>
    }
    triangle {
      < 5.021451, 0.178178, -0.766780>,
      < 5.021476, 0.143383, -0.787885>,
      < 5.021467, 0.159499, -0.780023>
    }
    triangle {
      < 5.021476, 0.124705, -0.791117>,
      < 5.021451, 0.084825, -0.782933>,
      < 5.021467, 0.106883, -0.789127>
    }
    triangle {
      < 5.711139, 0.181998, -0.695272>,
      < 5.729262, 0.196275, -0.668642>,
      < 5.729269, 0.168957, -0.686537>
    }
    triangle {
      < 5.414344, 0.202034, -0.701747>,
      < 5.414416, 0.191394, -0.748909>,
      < 5.414388, 0.201792, -0.729534>
    }
    triangle {
      < 5.414440, 0.175656, -0.766784>,
      < 5.414464, 0.141636, -0.787881>,
      < 5.414456, 0.157327, -0.780035>
    }
    triangle {
      < 5.414464, 0.123345, -0.791109>,
      < 5.414440, 0.084232, -0.782917>,
      < 5.414456, 0.105921, -0.789107>
    }
    triangle {
      < 5.996122, 0.176713, -0.696818>,
      < 6.013744, 0.190352, -0.668613>,
      < 6.013791, 0.163037, -0.686547>
    }
    triangle {
      < 5.789425, 0.201277, -0.701746>,
      < 5.789557, 0.190434, -0.748909>,
      < 5.789506, 0.201029, -0.729515>
    }
    triangle {
      < 5.789602, 0.174496, -0.766785>,
      < 5.789646, 0.140077, -0.787883>,
      < 5.789631, 0.155988, -0.780030>
    }
    triangle {
      < 5.789646, 0.121588, -0.791111>,
      < 5.789602, 0.082080, -0.782921>,
      < 5.789631, 0.103959, -0.789114>
    }
    triangle {
      < 5.789557, 0.061050, -0.771500>,
      < 5.789425, 0.034935, -0.730789>,
      < 5.789506, 0.044538, -0.756843>
    }
    triangle {
      < 6.013744, 0.024964, -0.697696>,
      < 5.996129, 0.048074, -0.719460>,
      < 6.013791, 0.056743, -0.705239>
    }
    triangle {
      < 5.414416, 0.063399, -0.771496>,
      < 5.414345, 0.037478, -0.730786>,
      < 5.414388, 0.047085, -0.756851>
    }
    triangle {
      < 5.729262, 0.029958, -0.697665>,
      < 5.711131, 0.052529, -0.717831>,
      < 5.729269, 0.061747, -0.705246>
    }
    triangle {
      < 5.021425, 0.063610, -0.771514>,
      < 5.021350, 0.037316, -0.730806>,
      < 5.021396, 0.046912, -0.756849>
    }
    triangle {
      < 5.354268, 0.031894, -0.697705>,
      < 5.336088, 0.054313, -0.717686>,
      < 5.354277, 0.063664, -0.705225>
    }
    triangle {
      < 4.556504, 0.068913, -0.771606>,
      < 4.556395, 0.042375, -0.730913>,
      < 4.556461, 0.051943, -0.756944>
    }
    triangle {
      < 4.961313, 0.031890, -0.697803>,
      < 4.942656, 0.054771, -0.717128>,
      < 4.961344, 0.063648, -0.705410>
    }
    triangle {
      < 4.183892, 0.074062, -0.771632>,
      < 4.183788, 0.047623, -0.730944>,
      < 4.183852, 0.057188, -0.756981>
    }
    triangle {
      < 4.496305, 0.037432, -0.697820>,
      < 4.477712, 0.060663, -0.718120>,
      < 4.496334, 0.069195, -0.705487>
    }
    triangle {
      < 3.811293, 0.079304, -0.771607>,
      < 3.811188, 0.052967, -0.730916>,
      < 3.811252, 0.062541, -0.756958>
    }
    triangle {
      < 4.123706, 0.042776, -0.697792>,
      < 4.105224, 0.065899, -0.718068>,
      < 4.123734, 0.074544, -0.705436>
    }
    triangle {
      < 4.068205, 0.145550, -0.726652>,
      < 3.811362, 0.159363, -0.787891>,
      < 3.811327, 0.194324, -0.766739>
    }
    triangle {
      < 4.068205, 0.145550, -0.726652>,
      < 3.811327, 0.194324, -0.766739>,
      < 4.086716, 0.181162, -0.709368>
    }
    triangle {
      < 3.811362, 0.140609, -0.791145>,
      < 4.068201, 0.126643, -0.729894>,
      < 4.086708, 0.086824, -0.725603>
    }
    triangle {
      < 3.811362, 0.140609, -0.791145>,
      < 4.086708, 0.086824, -0.725603>,
      < 3.811327, 0.100585, -0.783005>
    }
    triangle {
      < 3.811188, 0.221690, -0.701638>,
      < 4.123706, 0.212384, -0.668536>,
      < 4.105228, 0.197878, -0.695322>
    }
    triangle {
      < 3.811188, 0.221690, -0.701638>,
      < 4.105228, 0.197878, -0.695322>,
      < 3.811293, 0.210542, -0.748835>
    }
    triangle {
      < 4.183788, 0.217388, -0.701617>,
      < 4.496305, 0.208081, -0.668514>,
      < 4.477716, 0.193451, -0.695334>
    }
    triangle {
      < 4.183788, 0.217388, -0.701617>,
      < 4.477716, 0.193451, -0.695334>,
      < 4.183892, 0.206109, -0.748821>
    }
    triangle {
      < 4.440471, 0.140779, -0.726736>,
      < 4.183962, 0.154575, -0.787896>,
      < 4.183927, 0.189772, -0.766732>
    }
    triangle {
      < 4.440471, 0.140779, -0.726736>,
      < 4.183927, 0.189772, -0.766732>,
      < 4.459093, 0.176621, -0.709414>
    }
    triangle {
      < 4.183962, 0.135704, -0.791156>,
      < 4.440467, 0.121757, -0.729985>,
      < 4.459085, 0.081705, -0.725677>
    }
    triangle {
      < 4.183962, 0.135704, -0.791156>,
      < 4.459085, 0.081705, -0.725677>,
      < 4.183927, 0.095454, -0.783025>
    }
    triangle {
      < 4.556577, 0.130832, -0.791149>,
      < 4.905266, 0.114847, -0.727001>,
      < 4.923962, 0.075456, -0.723712>
    }
    triangle {
      < 4.556577, 0.130832, -0.791149>,
      < 4.923962, 0.075456, -0.723712>,
      < 4.556540, 0.090398, -0.783005>
    }
    triangle {
      < 4.905259, 0.133564, -0.723708>,
      < 4.556577, 0.149793, -0.787895>,
      < 4.556540, 0.185169, -0.766745>
    }
    triangle {
      < 4.905259, 0.133564, -0.723708>,
      < 4.556540, 0.185169, -0.766745>,
      < 4.923947, 0.169028, -0.707369>
    }
    triangle {
      < 4.556395, 0.212955, -0.701644>,
      < 4.961312, 0.200337, -0.668528>,
      < 4.942648, 0.185785, -0.694319>
    }
    triangle {
      < 4.556395, 0.212955, -0.701644>,
      < 4.942648, 0.185785, -0.694319>,
      < 4.556504, 0.201594, -0.748841>
    }
    triangle {
      < 5.021350, 0.205343, -0.701733>,
      < 5.354268, 0.196573, -0.668607>,
      < 5.336073, 0.182393, -0.694991>
    }
    triangle {
      < 5.021350, 0.205343, -0.701733>,
      < 5.336073, 0.182393, -0.694991>,
      < 5.021425, 0.194306, -0.748900>
    }
    triangle {
      < 5.299676, 0.131285, -0.725579>,
      < 5.021476, 0.143383, -0.787885>,
      < 5.021451, 0.178178, -0.766780>
    }
    triangle {
      < 5.299676, 0.131285, -0.725579>,
      < 5.021451, 0.178178, -0.766780>,
      < 5.317865, 0.165980, -0.708639>
    }
    triangle {
      < 5.021476, 0.124705, -0.791117>,
      < 5.299691, 0.112991, -0.728876>,
      < 5.317894, 0.074511, -0.724930>
    }
    triangle {
      < 5.021476, 0.124705, -0.791117>,
      < 5.317894, 0.074511, -0.724930>,
      < 5.021451, 0.084825, -0.782933>
    }
    triangle {
      < 5.414344, 0.202034, -0.701747>,
      < 5.729262, 0.196275, -0.668642>,
      < 5.711139, 0.181998, -0.695272>
    }
    triangle {
      < 5.414344, 0.202034, -0.701747>,
      < 5.711139, 0.181998, -0.695272>,
      < 5.414416, 0.191394, -0.748909>
    }
    triangle {
      < 5.674865, 0.130383, -0.726270>,
      < 5.414464, 0.141636, -0.787881>,
      < 5.414440, 0.175656, -0.766784>
    }
    triangle {
      < 5.674865, 0.130383, -0.726270>,
      < 5.414440, 0.175656, -0.766784>,
      < 5.693003, 0.165481, -0.709168>
    }
    triangle {
      < 5.414464, 0.123345, -0.791109>,
      < 5.674857, 0.111792, -0.729480>,
      < 5.692987, 0.072871, -0.725261>
    }
    triangle {
      < 5.414464, 0.123345, -0.791109>,
      < 5.692987, 0.072871, -0.725261>,
      < 5.414440, 0.084232, -0.782917>
    }
    triangle {
      < 5.789425, 0.201277, -0.701746>,
      < 6.013744, 0.190352, -0.668613>,
      < 5.996122, 0.176713, -0.696818>
    }
    triangle {
      < 5.789425, 0.201277, -0.701746>,
      < 5.996122, 0.176713, -0.696818>,
      < 5.789557, 0.190434, -0.748909>
    }
    triangle {
      < 5.960786, 0.126591, -0.731008>,
      < 5.789646, 0.140077, -0.787883>,
      < 5.789602, 0.174496, -0.766785>
    }
    triangle {
      < 5.960786, 0.126591, -0.731008>,
      < 5.789602, 0.174496, -0.766785>,
      < 5.978448, 0.160837, -0.712289>
    }
    triangle {
      < 5.789646, 0.121588, -0.791111>,
      < 5.960793, 0.108211, -0.734260>,
      < 5.978462, 0.068958, -0.728487>
    }
    triangle {
      < 5.789646, 0.121588, -0.791111>,
      < 5.978462, 0.068958, -0.728487>,
      < 5.789602, 0.082080, -0.782921>
    }
    triangle {
      < 6.013744, 0.024964, -0.697696>,
      < 5.789425, 0.034935, -0.730789>,
      < 5.789557, 0.061050, -0.771500>
    }
    triangle {
      < 6.013744, 0.024964, -0.697696>,
      < 5.789557, 0.061050, -0.771500>,
      < 5.996129, 0.048074, -0.719460>
    }
    triangle {
      < 5.729262, 0.029958, -0.697665>,
      < 5.414345, 0.037478, -0.730786>,
      < 5.414416, 0.063399, -0.771496>
    }
    triangle {
      < 5.729262, 0.029958, -0.697665>,
      < 5.414416, 0.063399, -0.771496>,
      < 5.711131, 0.052529, -0.717831>
    }
    triangle {
      < 5.354268, 0.031894, -0.697705>,
      < 5.021350, 0.037316, -0.730806>,
      < 5.021425, 0.063610, -0.771514>
    }
    triangle {
      < 5.354268, 0.031894, -0.697705>,
      < 5.021425, 0.063610, -0.771514>,
      < 5.336088, 0.054313, -0.717686>
    }
    triangle {
      < 4.961313, 0.031890, -0.697803>,
      < 4.556395, 0.042375, -0.730913>,
      < 4.556504, 0.068913, -0.771606>
    }
    triangle {
      < 4.961313, 0.031890, -0.697803>,
      < 4.556504, 0.068913, -0.771606>,
      < 4.942656, 0.054771, -0.717128>
    }
    triangle {
      < 4.496305, 0.037432, -0.697820>,
      < 4.183788, 0.047623, -0.730944>,
      < 4.183892, 0.074062, -0.771632>
    }
    triangle {
      < 4.496305, 0.037432, -0.697820>,
      < 4.183892, 0.074062, -0.771632>,
      < 4.477712, 0.060663, -0.718120>
    }
    triangle {
      < 4.123706, 0.042776, -0.697792>,
      < 3.811188, 0.052967, -0.730916>,
      < 3.811293, 0.079304, -0.771607>
    }
    triangle {
      < 4.123706, 0.042776, -0.697792>,
      < 3.811293, 0.079304, -0.771607>,
      < 4.105224, 0.065899, -0.718068>
    }
    texture {exhaust}
  }
  // fuselage
  union {
    triangle {
      < 3.765859, -0.018264, -0.580071>,
      < 3.765859, -0.575051, -0.533271>,
      < 2.080458, -0.639738, -0.533271>
    }
    triangle {
      < 3.765859, -0.018264, -0.580071>,
      < 2.080458, -0.639738, -0.533271>,
      < 2.080458, -0.044641, -0.580071>
    }
    triangle {
      < 3.765859, -0.575051, -0.533271>,
      < 3.765859, -0.787602, -0.464885>,
      < 2.958858, -0.755430, -0.464885>
    }
    triangle {
      < 3.765859, -0.575051, -0.533271>,
      < 2.958858, -0.755430, -0.464885>,
      < 2.080458, -0.639738, -0.533271>
    }
    triangle {
      < 3.765859, -0.787602, -0.464885>,
      < 3.765859, -0.962355, -0.628220>,
      < 2.958858, -0.938409, -0.628220>
    }
    triangle {
      < 3.765859, -0.787602, -0.464885>,
      < 2.958858, -0.938409, -0.628220>,
      < 2.958858, -0.755430, -0.464885>
    }
    texture {fuselage}
  }
  // wings
  union {
    triangle {
      < 2.273984, -1.104526, -8.491683>,
      < 2.273984, -1.179377, -8.486926>,
      < 1.797642, -1.186562, -8.382774>
    }
    triangle {
      < 2.273984, -1.104526, -8.491683>,
      < 1.797642, -1.186562, -8.382774>,
      < 1.797642, -1.111711, -8.387530>
    }
    texture {wings}
  }
  // fuselage
  union {
    triangle {
      < 3.765859, -1.243404, -0.610057>,
      < 3.765859, -1.243404, 0.000000>,
      < 2.080458, -1.348629, 0.000000>
    }
    triangle {
      < 3.765859, -1.243404, -0.610057>,
      < 2.080458, -1.348629, 0.000000>,
      < 2.958858, -1.348629, -0.610057>
    }
    triangle {
      < 3.765859, 0.722259, 0.000000>,
      < 3.765859, 0.722259, -0.156457>,
      < 2.930218, 0.704509, -0.156457>
    }
    triangle {
      < 3.765859, 0.722259, 0.000000>,
      < 2.930218, 0.704509, -0.156457>,
      < 2.930218, 0.704509, 0.000000>
    }
    triangle {
      < 3.765859, 0.722259, -0.156457>,
      < 3.765859, 0.656899, -0.312522>,
      < 2.890618, 0.634652, -0.312522>
    }
    triangle {
      < 3.765859, 0.722259, -0.156457>,
      < 2.890618, 0.634652, -0.312522>,
      < 2.930218, 0.704509, -0.156457>
    }
    triangle {
      < 3.765859, 0.656899, -0.312522>,
      < 3.765859, 0.591162, -0.379419>,
      < 2.890618, 0.564392, -0.379419>
    }
    triangle {
      < 3.765859, 0.656899, -0.312522>,
      < 2.890618, 0.564392, -0.379419>,
      < 2.890618, 0.634652, -0.312522>
    }
    triangle {
      < 3.765859, 0.591162, -0.379419>,
      < 3.765859, 0.431232, -0.490883>,
      < 2.876219, 0.393459, -0.490883>
    }
    triangle {
      < 3.765859, 0.591162, -0.379419>,
      < 2.876219, 0.393459, -0.490883>,
      < 2.890618, 0.564392, -0.379419>
    }
    triangle {
      < 3.765859, 0.431232, -0.490883>,
      < 3.765859, 0.239029, -0.535484>,
      < 2.080458, 0.230355, -0.535484>
    }
    triangle {
      < 3.765859, 0.431232, -0.490883>,
      < 2.080458, 0.230355, -0.535484>,
      < 2.876219, 0.393459, -0.490883>
    }
    triangle {
      < 3.765859, 0.239029, -0.535484>,
      < 3.765859, -0.018264, -0.580071>,
      < 2.080458, -0.044641, -0.580071>
    }
    triangle {
      < 3.765859, 0.239029, -0.535484>,
      < 2.080458, -0.044641, -0.580071>,
      < 2.080458, 0.230355, -0.535484>
    }
    texture {fuselage}
  }
  // canopy
  union {
    triangle {
      < 2.890618, 0.564392, -0.379419>,
      < 2.473427, 0.371387, -0.481801>,
      < 2.436418, 0.357459, -0.490883>
    }
    triangle {
      < 2.890618, 0.564392, -0.379419>,
      < 2.436418, 0.357459, -0.490883>,
      < 2.203136, 1.002782, -0.414086>
    }
    triangle {
      < 2.890618, 0.564392, -0.379419>,
      < 2.203136, 1.002782, -0.414086>,
      < 2.220967, 1.202554, -0.354093>
    }
    triangle {
      < 2.890618, 0.564392, -0.379419>,
      < 2.220967, 1.202554, -0.354093>,
      < 2.369463, 1.082385, -0.355012>
    }
    texture {canopy}
  }
  // fuselage
  union {
    triangle {
      < 2.876219, 0.393459, -0.490883>,
      < 2.080458, 0.230355, -0.535484>,
      < 1.626258, 0.230355, -0.535484>
    }
    triangle {
      < 2.876219, 0.393459, -0.490883>,
      < 1.626258, 0.230355, -0.535484>,
      < 2.436418, 0.321287, -0.500775>
    }
    triangle {
      < 2.876219, 0.393459, -0.490883>,
      < 2.436418, 0.321287, -0.500775>,
      < 2.473918, 0.357459, -0.490883>
    }
    triangle {
      < 2.080458, 0.230355, -0.535484>,
      < 2.080458, -0.044641, -0.580071>,
      < 1.626258, -0.044641, -0.580071>
    }
    triangle {
      < 2.080458, 0.230355, -0.535484>,
      < 1.626258, -0.044641, -0.580071>,
      < 1.626258, 0.230355, -0.535484>
    }
    triangle {
      < 2.080458, -0.044641, -0.580071>,
      < 2.080458, -0.639738, -0.533271>,
      < 1.626258, -0.639738, -0.533271>
    }
    triangle {
      < 2.080458, -0.044641, -0.580071>,
      < 1.626258, -0.639738, -0.533271>,
      < 1.626258, -0.044641, -0.580071>
    }
    triangle {
      < 2.080458, -0.639738, -0.533271>,
      < 2.958858, -0.755430, -0.464885>,
      < 1.626258, -0.798630, -0.464885>
    }
    triangle {
      < 2.080458, -0.639738, -0.533271>,
      < 1.626258, -0.798630, -0.464885>,
      < 1.626258, -0.639738, -0.533271>
    }
    triangle {
      < 2.958858, -0.755430, -0.464885>,
      < 2.958858, -0.938409, -0.628220>,
      < 1.626258, -0.938409, -0.628220>
    }
    triangle {
      < 2.958858, -0.755430, -0.464885>,
      < 1.626258, -0.938409, -0.628220>,
      < 1.626258, -0.798630, -0.464885>
    }
    triangle {
      < 2.958858, -1.348629, -0.610057>,
      < 2.080458, -1.348629, 0.000000>,
      < 1.626258, -1.348629, 0.000000>
    }
    triangle {
      < 2.958858, -1.348629, -0.610057>,
      < 1.626258, -1.348629, 0.000000>,
      < 1.626258, -1.348629, -0.610057>
    }
    texture {fuselage}
  }
  // canopy
  union {
    triangle {
      < 2.224331, 1.308867, 0.000000>,
      < 2.930218, 0.704509, 0.000000>,
      < 2.930218, 0.704509, -0.156457>
    }
    triangle {
      < 2.224331, 1.308867, 0.000000>,
      < 2.930218, 0.704509, -0.156457>,
      < 2.890618, 0.634652, -0.312522>
    }
    triangle {
      < 2.224331, 1.308867, 0.000000>,
      < 2.890618, 0.634652, -0.312522>,
      < 2.367620, 1.111280, -0.322231>
    }
    triangle {
      < 2.224331, 1.308867, 0.000000>,
      < 2.367620, 1.111280, -0.322231>,
      < 2.219124, 1.231449, -0.321312>
    }
    triangle {
      < 2.224331, 1.308867, 0.000000>,
      < 2.219124, 1.231449, -0.321312>,
      < 2.218233, 1.270108, -0.194992>
    }
    triangle {
      < 2.369463, 1.082385, -0.355012>,
      < 2.367620, 1.111280, -0.322231>,
      < 2.890618, 0.634652, -0.312522>
    }
    triangle {
      < 2.369463, 1.082385, -0.355012>,
      < 2.890618, 0.634652, -0.312522>,
      < 2.890618, 0.564392, -0.379419>
    }
    triangle {
      < -1.079142, 0.634652, -0.312522>,
      < -1.167794, 0.704509, -0.156457>,
      < -1.167794, 0.704509, 0.000000>
    }
    triangle {
      < -1.079142, 0.634652, -0.312522>,
      < -1.167794, 0.704509, 0.000000>,
      < 1.124589, 1.368707, 0.000000>
    }
    triangle {
      < -1.079142, 0.634652, -0.312522>,
      < 1.124589, 1.368707, 0.000000>,
      < 1.198709, 1.327066, -0.201033>
    }
    triangle {
      < -1.079142, 0.634652, -0.312522>,
      < 1.198709, 1.327066, -0.201033>,
      < 1.198729, 1.286221, -0.329246>
    }
    triangle {
      < -1.079142, 0.634652, -0.312522>,
      < 1.198729, 1.286221, -0.329246>,
      < 0.619036, 1.147625, -0.329246>
    }
    triangle {
      < 0.619036, 1.112495, -0.362695>,
      < -0.966887, 0.564392, -0.379419>,
      < -1.079142, 0.634652, -0.312522>
    }
    triangle {
      < 0.619036, 1.112495, -0.362695>,
      < -1.079142, 0.634652, -0.312522>,
      < 0.619036, 1.147625, -0.329246>
    }
    triangle {
      < 0.619036, 1.112495, -0.362695>,
      < 0.619036, 1.147625, -0.329246>,
      < 1.198729, 1.286221, -0.329246>
    }
    triangle {
      < 0.619036, 1.112495, -0.362695>,
      < 1.198729, 1.286221, -0.329246>,
      < 1.198729, 1.251091, -0.362695>
    }
    triangle {
      < 1.121248, 0.444280, -0.481952>,
      < -0.886830, 0.482470, -0.434400>,
      < -0.966887, 0.564392, -0.379419>
    }
    triangle {
      < 1.121248, 0.444280, -0.481952>,
      < -0.966887, 0.564392, -0.379419>,
      < 0.650207, 1.022778, -0.402545>
    }
    texture {canopy}
  }
  // fuselage
  union {
    triangle {
      < -0.869141, 0.414887, -0.464775>,
      < 1.121248, 0.371687, -0.500775>,
      < 1.421248, 0.357287, -0.500775>
    }
    triangle {
      < -0.869141, 0.414887, -0.464775>,
      < 1.421248, 0.357287, -0.500775>,
      < 2.436418, 0.321287, -0.500775>
    }
    triangle {
      < -0.869141, 0.414887, -0.464775>,
      < 2.436418, 0.321287, -0.500775>,
      < 1.626258, 0.230355, -0.535484>
    }
    triangle {
      < -0.869141, 0.414887, -0.464775>,
      < 1.626258, 0.230355, -0.535484>,
      < -0.869141, 0.230355, -0.535484>
    }
    triangle {
      < 1.626258, 0.230355, -0.535484>,
      < 1.626258, -0.044641, -0.580071>,
      < -0.869141, -0.044641, -0.580071>
    }
    triangle {
      < 1.626258, 0.230355, -0.535484>,
      < -0.869141, -0.044641, -0.580071>,
      < -0.869141, 0.230355, -0.535484>
    }
    triangle {
      < 1.626258, -0.044641, -0.580071>,
      < 1.626258, -0.639738, -0.533271>,
      < -0.869141, -0.639738, -0.533271>
    }
    triangle {
      < 1.626258, -0.044641, -0.580071>,
      < -0.869141, -0.639738, -0.533271>,
      < -0.869141, -0.044641, -0.580071>
    }
    triangle {
      < 1.626258, -0.639738, -0.533271>,
      < 1.626258, -0.798630, -0.464885>,
      < -0.869141, -0.870630, -0.464885>
    }
    triangle {
      < 1.626258, -0.639738, -0.533271>,
      < -0.869141, -0.870630, -0.464885>,
      < -0.869141, -0.639738, -0.533271>
    }
    triangle {
      < 1.626258, -0.798630, -0.464885>,
      < 1.626258, -0.938409, -0.628220>,
      < -0.605987, -1.078982, -0.628220>
    }
    triangle {
      < 1.626258, -0.798630, -0.464885>,
      < -0.605987, -1.078982, -0.628220>,
      < -0.869141, -0.870630, -0.464885>
    }
    triangle {
      < 1.626258, -1.348629, -0.610057>,
      < 1.626258, -1.348629, 0.000000>,
      < -0.605987, -1.348629, 0.000000>
    }
    triangle {
      < 1.626258, -1.348629, -0.610057>,
      < -0.605987, -1.348629, 0.000000>,
      < -0.605987, -1.132629, -0.610057>
    }
    triangle {
      < 2.473427, 0.371387, -0.481801>,
      < 2.890618, 0.564392, -0.379419>,
      < 2.876219, 0.393459, -0.490883>
    }
    triangle {
      < 2.473427, 0.371387, -0.481801>,
      < 2.876219, 0.393459, -0.490883>,
      < 2.473918, 0.357459, -0.490883>
    }
    texture {fuselage}
  }
  // canopy
  union {
    triangle {
      < 2.164830, 1.286676, -0.201846>,
      < 1.198709, 1.327066, -0.201033>,
      < 1.124589, 1.368707, 0.000000>
    }
    triangle {
      < 2.164830, 1.286676, -0.201846>,
      < 1.124589, 1.368707, 0.000000>,
      < 2.156535, 1.334394, 0.000000>
    }
    triangle {
      < 1.346727, 1.260902, -0.362695>,
      < 1.198729, 1.251091, -0.362695>,
      < 1.198729, 1.286221, -0.329246>
    }
    triangle {
      < 1.346727, 1.260902, -0.362695>,
      < 1.198729, 1.286221, -0.329246>,
      < 1.346727, 1.296032, -0.329246>
    }
    triangle {
      < 1.346727, 1.260902, -0.362695>,
      < 1.346727, 1.296032, -0.329246>,
      < 2.164556, 1.245486, -0.330265>
    }
    triangle {
      < 1.346727, 1.260902, -0.362695>,
      < 2.164556, 1.245486, -0.330265>,
      < 2.164657, 1.209415, -0.363608>
    }
    texture {canopy}
  }
  // fuselage
  union {
    triangle {
      < 2.436418, 0.357459, -0.490883>,
      < 2.473918, 0.357459, -0.490883>,
      < 2.436418, 0.321287, -0.500775>
    }
    triangle {
      < 2.436418, 0.357459, -0.490883>,
      < 2.473427, 0.371387, -0.481801>,
      < 2.473918, 0.357459, -0.490883>
    }
    triangle {
      < -0.869141, 0.451059, -0.454883>,
      < -0.869141, 0.414887, -0.464775>,
      < -0.886830, 0.482470, -0.434400>
    }
    texture {fuselage}
  }
  // canopy
  union {
    triangle {
      < 2.436418, 0.357459, -0.490883>,
      < 2.398921, 0.394306, -0.483900>,
      < 2.164928, 1.007475, -0.416100>
    }
    triangle {
      < 2.436418, 0.357459, -0.490883>,
      < 2.164928, 1.007475, -0.416100>,
      < 2.184413, 1.007165, -0.415509>
    }
    texture {canopy}
  }
  // fuselage
  union {
    triangle {
      < 2.398921, 0.394306, -0.483900>,
      < 2.436418, 0.357459, -0.490883>,
      < 1.421248, 0.393459, -0.490883>
    }
    triangle {
      < 2.398921, 0.394306, -0.483900>,
      < 1.421248, 0.393459, -0.490883>,
      < 1.421248, 0.430267, -0.483714>
    }
    triangle {
      < 2.436418, 0.357459, -0.490883>,
      < 2.436418, 0.321287, -0.500775>,
      < 1.421248, 0.357287, -0.500775>
    }
    triangle {
      < 2.436418, 0.357459, -0.490883>,
      < 1.421248, 0.357287, -0.500775>,
      < 1.421248, 0.393459, -0.490883>
    }
    triangle {
      < 1.421248, 0.430267, -0.483714>,
      < 1.421248, 0.393459, -0.490883>,
      < 1.121248, 0.407859, -0.490883>
    }
    triangle {
      < 1.421248, 0.430267, -0.483714>,
      < 1.121248, 0.407859, -0.490883>,
      < 1.121248, 0.444280, -0.481952>
    }
    triangle {
      < 1.421248, 0.393459, -0.490883>,
      < 1.421248, 0.357287, -0.500775>,
      < 1.121248, 0.371687, -0.500775>
    }
    triangle {
      < 1.421248, 0.393459, -0.490883>,
      < 1.121248, 0.371687, -0.500775>,
      < 1.121248, 0.407859, -0.490883>
    }
    triangle {
      < 1.121248, 0.444280, -0.481952>,
      < 1.121248, 0.407859, -0.490883>,
      < -0.869141, 0.451059, -0.454883>
    }
    triangle {
      < 1.121248, 0.444280, -0.481952>,
      < -0.869141, 0.451059, -0.454883>,
      < -0.886830, 0.482470, -0.434400>
    }
    triangle {
      < 1.121248, 0.407859, -0.490883>,
      < 1.121248, 0.371687, -0.500775>,
      < -0.869141, 0.414887, -0.464775>
    }
    triangle {
      < 1.121248, 0.407859, -0.490883>,
      < -0.869141, 0.414887, -0.464775>,
      < -0.869141, 0.451059, -0.454883>
    }
    texture {fuselage}
  }
  // canopy
  union {
    triangle {
      < 2.220967, 1.202554, -0.354093>,
      < 2.202622, 1.205622, -0.359939>,
      < 2.202622, 1.240752, -0.326490>
    }
    triangle {
      < 2.220967, 1.202554, -0.354093>,
      < 2.202622, 1.240752, -0.326490>,
      < 2.219124, 1.231449, -0.321312>
    }
    triangle {
      < 2.184142, 1.209105, -0.363017>,
      < 2.164657, 1.209415, -0.363608>,
      < 2.164556, 1.245486, -0.330265>
    }
    triangle {
      < 2.184142, 1.209105, -0.363017>,
      < 2.164556, 1.245486, -0.330265>,
      < 2.184142, 1.244235, -0.329568>
    }
    triangle {
      < 2.218233, 1.270108, -0.194992>,
      < 2.201731, 1.279411, -0.200170>,
      < 2.193910, 1.331267, 0.000000>
    }
    triangle {
      < 2.218233, 1.270108, -0.194992>,
      < 2.193910, 1.331267, 0.000000>,
      < 2.224331, 1.308867, 0.000000>
    }
    triangle {
      < 2.184417, 1.285425, -0.201149>,
      < 2.164830, 1.286676, -0.201846>,
      < 2.156535, 1.334394, 0.000000>
    }
    triangle {
      < 2.184417, 1.285425, -0.201149>,
      < 2.156535, 1.334394, 0.000000>,
      < 2.193910, 1.331267, 0.000000>
    }
    triangle {
      < 2.203136, 1.002782, -0.414086>,
      < 2.184413, 1.007165, -0.415509>,
      < 2.184142, 1.209105, -0.363017>
    }
    triangle {
      < 2.203136, 1.002782, -0.414086>,
      < 2.184142, 1.209105, -0.363017>,
      < 2.202622, 1.205622, -0.359939>
    }
    triangle {
      < 2.202622, 1.240752, -0.326490>,
      < 2.184142, 1.244235, -0.329568>,
      < 2.184417, 1.285425, -0.201149>
    }
    triangle {
      < 2.202622, 1.240752, -0.326490>,
      < 2.184417, 1.285425, -0.201149>,
      < 2.201731, 1.279411, -0.200170>
    }
    triangle {
      < 0.619036, 1.112495, -0.362695>,
      < 0.650207, 1.022778, -0.402545>,
      < -0.966887, 0.564392, -0.379419>
    }
    triangle {
      < 2.202622, 1.240752, -0.326490>,
      < 2.202622, 1.205622, -0.359939>,
      < 2.184142, 1.209105, -0.363017>
    }
    triangle {
      < 2.202622, 1.240752, -0.326490>,
      < 2.184142, 1.209105, -0.363017>,
      < 2.184142, 1.244235, -0.329568>
    }
    triangle {
      < 2.184142, 1.244235, -0.329568>,
      < 2.164556, 1.245486, -0.330265>,
      < 2.164830, 1.286676, -0.201846>
    }
    triangle {
      < 2.184142, 1.244235, -0.329568>,
      < 2.164830, 1.286676, -0.201846>,
      < 2.184417, 1.285425, -0.201149>
    }
    triangle {
      < 2.193910, 1.331267, 0.000000>,
      < 2.201731, 1.279411, -0.200170>,
      < 2.184417, 1.285425, -0.201149>
    }
    triangle {
      < 2.201731, 1.279411, -0.200170>,
      < 2.218233, 1.270108, -0.194992>,
      < 2.219124, 1.231449, -0.321312>
    }
    triangle {
      < 2.201731, 1.279411, -0.200170>,
      < 2.219124, 1.231449, -0.321312>,
      < 2.202622, 1.240752, -0.326490>
    }
    triangle {
      < 2.367620, 1.111280, -0.322231>,
      < 2.369463, 1.082385, -0.355012>,
      < 2.220967, 1.202554, -0.354093>
    }
    triangle {
      < 2.367620, 1.111280, -0.322231>,
      < 2.220967, 1.202554, -0.354093>,
      < 2.219124, 1.231449, -0.321312>
    }
    triangle {
      < 2.202622, 1.205622, -0.359939>,
      < 2.220967, 1.202554, -0.354093>,
      < 2.203136, 1.002782, -0.414086>
    }
    triangle {
      < 2.203136, 1.002782, -0.414086>,
      < 2.436418, 0.357459, -0.490883>,
      < 2.184413, 1.007165, -0.415509>
    }
    triangle {
      < 2.184413, 1.007165, -0.415509>,
      < 2.164928, 1.007475, -0.416100>,
      < 2.164657, 1.209415, -0.363608>
    }
    triangle {
      < 2.184413, 1.007165, -0.415509>,
      < 2.164657, 1.209415, -0.363608>,
      < 2.184142, 1.209105, -0.363017>
    }
    triangle {
      < 1.346234, 1.064003, -0.413891>,
      < 1.346727, 1.260902, -0.362695>,
      < 2.164657, 1.209415, -0.363608>
    }
    triangle {
      < 1.346234, 1.064003, -0.413891>,
      < 2.164657, 1.209415, -0.363608>,
      < 2.164928, 1.007475, -0.416100>
    }
    triangle {
      < 1.198236, 1.054193, -0.413891>,
      < 1.198729, 1.251091, -0.362695>,
      < 1.346727, 1.260902, -0.362695>
    }
    triangle {
      < 1.198236, 1.054193, -0.413891>,
      < 1.346727, 1.260902, -0.362695>,
      < 1.346234, 1.064003, -0.413891>
    }
    triangle {
      < 0.650207, 1.022778, -0.402545>,
      < 0.619036, 1.112495, -0.362695>,
      < 1.198729, 1.251091, -0.362695>
    }
    triangle {
      < 0.650207, 1.022778, -0.402545>,
      < 1.198729, 1.251091, -0.362695>,
      < 1.198236, 1.054193, -0.413891>
    }
    triangle {
      < 1.121248, 0.444280, -0.481952>,
      < 1.198236, 1.054193, -0.413891>,
      < 1.346234, 1.064003, -0.413891>
    }
    triangle {
      < 1.121248, 0.444280, -0.481952>,
      < 1.346234, 1.064003, -0.413891>,
      < 1.421248, 0.430267, -0.483714>
    }
    triangle {
      < 1.421248, 0.430267, -0.483714>,
      < 1.346234, 1.064003, -0.413891>,
      < 2.164928, 1.007475, -0.416100>
    }
    triangle {
      < 1.421248, 0.430267, -0.483714>,
      < 2.164928, 1.007475, -0.416100>,
      < 2.398921, 0.394306, -0.483900>
    }
    triangle {
      < 1.121248, 0.444280, -0.481952>,
      < 0.650207, 1.022778, -0.402545>,
      < 1.198236, 1.054193, -0.413891>
    }
    triangle {
      < 1.198709, 1.327066, -0.201033>,
      < 2.164830, 1.286676, -0.201846>,
      < 2.164556, 1.245486, -0.330265>
    }
    triangle {
      < 1.198709, 1.327066, -0.201033>,
      < 2.164556, 1.245486, -0.330265>,
      < 1.346727, 1.296032, -0.329246>
    }
    triangle {
      < 1.198709, 1.327066, -0.201033>,
      < 1.346727, 1.296032, -0.329246>,
      < 1.198729, 1.286221, -0.329246>
    }
    texture {canopy}
  }
  // fuselage
  union {
    triangle {
      < -0.605987, -1.201591, -0.631323>,
      < -1.006543, -1.824182, -0.369020>,
      < -1.006543, -1.615830, -0.464885>
    }
    triangle {
      < -0.605987, -1.201591, -0.631323>,
      < -1.006543, -1.615830, -0.464885>,
      < -0.605987, -1.078982, -0.628220>
    }
    triangle {
      < -1.167794, 0.704509, 0.000000>,
      < -1.167794, 0.704509, -0.156457>,
      < -1.373742, 0.704509, -0.156457>
    }
    triangle {
      < -1.167794, 0.704509, 0.000000>,
      < -1.373742, 0.704509, -0.156457>,
      < -1.373742, 0.704509, 0.000000>
    }
    triangle {
      < -1.167794, 0.704509, -0.156457>,
      < -1.079142, 0.634652, -0.312522>,
      < -1.271461, 0.634652, -0.312522>
    }
    triangle {
      < -1.167794, 0.704509, -0.156457>,
      < -1.271461, 0.634652, -0.312522>,
      < -1.373742, 0.704509, -0.156457>
    }
    triangle {
      < -1.079142, 0.634652, -0.312522>,
      < -0.966887, 0.564392, -0.379419>,
      < -1.158709, 0.564392, -0.379419>
    }
    triangle {
      < -1.079142, 0.634652, -0.312522>,
      < -1.158709, 0.564392, -0.379419>,
      < -1.271461, 0.634652, -0.312522>
    }
    triangle {
      < -0.966887, 0.564392, -0.379419>,
      < -0.886830, 0.482470, -0.434400>,
      < -1.006543, 0.482470, -0.434400>
    }
    triangle {
      < -0.966887, 0.564392, -0.379419>,
      < -1.006543, 0.482470, -0.434400>,
      < -1.158709, 0.564392, -0.379419>
    }
    triangle {
      < -0.886830, 0.482470, -0.434400>,
      < -0.869141, 0.414887, -0.464775>,
      < -1.006543, 0.414887, -0.464775>
    }
    triangle {
      < -0.886830, 0.482470, -0.434400>,
      < -1.006543, 0.414887, -0.464775>,
      < -1.006543, 0.482470, -0.434400>
    }
    triangle {
      < -0.869141, 0.414887, -0.464775>,
      < -0.869141, 0.230355, -0.535484>,
      < -1.006543, 0.230355, -0.535484>
    }
    triangle {
      < -0.869141, 0.414887, -0.464775>,
      < -1.006543, 0.230355, -0.535484>,
      < -1.006543, 0.414887, -0.464775>
    }
    triangle {
      < -0.869141, 0.230355, -0.535484>,
      < -0.869141, -0.044641, -0.580071>,
      < -1.006543, -0.044641, -0.580071>
    }
    triangle {
      < -0.869141, 0.230355, -0.535484>,
      < -1.006543, -0.044641, -0.580071>,
      < -1.006543, 0.230355, -0.535484>
    }
    triangle {
      < -0.869141, -0.044641, -0.580071>,
      < -0.869141, -0.639738, -0.533271>,
      < -1.006543, -0.639738, -0.533271>
    }
    triangle {
      < -0.869141, -0.044641, -0.580071>,
      < -1.006543, -0.639738, -0.533271>,
      < -1.006543, -0.044641, -0.580071>
    }
    triangle {
      < -0.869141, -0.639738, -0.533271>,
      < -0.869141, -0.870630, -0.464885>,
      < -1.006543, -1.615830, -0.464885>
    }
    triangle {
      < -0.869141, -0.639738, -0.533271>,
      < -1.006543, -1.615830, -0.464885>,
      < -1.006543, -0.639738, -0.533271>
    }
    triangle {
      < -0.869141, -0.870630, -0.464885>,
      < -0.605987, -1.078982, -0.628220>,
      < -1.006543, -1.615830, -0.464885>
    }
    triangle {
      < -1.006543, -0.639738, -0.533271>,
      < -1.006543, -1.615830, -0.464885>,
      < -1.655142, -1.414323, -0.441612>
    }
    triangle {
      < -1.006543, -0.639738, -0.533271>,
      < -1.655142, -1.414323, -0.441612>,
      < -1.655142, -0.639738, -0.506574>
    }
    triangle {
      < -1.006543, -1.615830, -0.464885>,
      < -1.006543, -1.824182, -0.369020>,
      < -1.655142, -1.622674, -0.350546>
    }
    triangle {
      < -1.006543, -1.615830, -0.464885>,
      < -1.655142, -1.622674, -0.350546>,
      < -1.655142, -1.414323, -0.441612>
    }
    triangle {
      < -1.006543, -1.824182, -0.369020>,
      < -1.006543, -1.892791, -0.307323>,
      < -1.655142, -1.691284, -0.291938>
    }
    triangle {
      < -1.006543, -1.824182, -0.369020>,
      < -1.655142, -1.691284, -0.291938>,
      < -1.655142, -1.622674, -0.350546>
    }
    triangle {
      < -1.006543, -1.892791, -0.307323>,
      < -1.006543, -1.960629, -0.156457>,
      < -1.655142, -1.759121, -0.148625>
    }
    triangle {
      < -1.006543, -1.892791, -0.307323>,
      < -1.655142, -1.759121, -0.148625>,
      < -1.655142, -1.691284, -0.291938>
    }
    triangle {
      < -1.006543, -1.960629, -0.156457>,
      < -1.006543, -1.960629, 0.000000>,
      < -1.655142, -1.759121, 0.000000>
    }
    triangle {
      < -1.006543, -1.960629, -0.156457>,
      < -1.655142, -1.759121, 0.000000>,
      < -1.655142, -1.759121, -0.148625>
    }
    triangle {
      < -1.373742, 0.704509, 0.000000>,
      < -1.373742, 0.704509, -0.156457>,
      < -1.655142, 0.704509, -0.148625>
    }
    triangle {
      < -1.373742, 0.704509, 0.000000>,
      < -1.655142, 0.704509, -0.148625>,
      < -1.655142, 0.704509, 0.000000>
    }
    triangle {
      < -1.373742, 0.704509, -0.156457>,
      < -1.271461, 0.634652, -0.312522>,
      < -1.655142, 0.634652, -0.296876>
    }
    triangle {
      < -1.373742, 0.704509, -0.156457>,
      < -1.655142, 0.634652, -0.296876>,
      < -1.655142, 0.704509, -0.148625>
    }
    triangle {
      < -1.271461, 0.634652, -0.312522>,
      < -1.158709, 0.564392, -0.379419>,
      < -1.655142, 0.564392, -0.360425>
    }
    triangle {
      < -1.271461, 0.634652, -0.312522>,
      < -1.655142, 0.564392, -0.360425>,
      < -1.655142, 0.634652, -0.296876>
    }
    triangle {
      < -1.158709, 0.564392, -0.379419>,
      < -1.006543, 0.482470, -0.434400>,
      < -1.655142, 0.482471, -0.412653>
    }
    triangle {
      < -1.158709, 0.564392, -0.379419>,
      < -1.655142, 0.482471, -0.412653>,
      < -1.655142, 0.564392, -0.360425>
    }
    triangle {
      < -1.006543, 0.482470, -0.434400>,
      < -1.006543, 0.414887, -0.464775>,
      < -1.655142, 0.414887, -0.441507>
    }
    triangle {
      < -1.006543, 0.482470, -0.434400>,
      < -1.655142, 0.414887, -0.441507>,
      < -1.655142, 0.482471, -0.412653>
    }
    triangle {
      < -1.006543, 0.414887, -0.464775>,
      < -1.006543, 0.230355, -0.535484>,
      < -1.655142, 0.230355, -0.508676>
    }
    triangle {
      < -1.006543, 0.414887, -0.464775>,
      < -1.655142, 0.230355, -0.508676>,
      < -1.655142, 0.414887, -0.441507>
    }
    triangle {
      < -1.006543, 0.230355, -0.535484>,
      < -1.006543, -0.044641, -0.580071>,
      < -1.655142, -0.044641, -0.551031>
    }
    triangle {
      < -1.006543, 0.230355, -0.535484>,
      < -1.655142, -0.044641, -0.551031>,
      < -1.655142, 0.230355, -0.508676>
    }
    triangle {
      < -1.006543, -0.044641, -0.580071>,
      < -1.006543, -0.639738, -0.533271>,
      < -1.655142, -0.639738, -0.506574>
    }
    triangle {
      < -1.006543, -0.044641, -0.580071>,
      < -1.655142, -0.639738, -0.506574>,
      < -1.655142, -0.044641, -0.551031>
    }
    triangle {
      < 0.654074, -1.687181, -0.527734>,
      < 0.791476, -1.416797, -0.433712>,
      < 0.791476, -1.389575, 0.000000>
    }
    triangle {
      < 0.654074, -1.687181, -0.527734>,
      < 0.791476, -1.389575, 0.000000>,
      < 0.654074, -1.799869, 0.000000>
    }
    triangle {
      < 0.654074, -1.687181, -0.527734>,
      < 0.654074, -1.799869, 0.000000>,
      < 0.654074, -1.799869, -0.315172>
    }
    triangle {
      < 0.654074, -1.687181, -0.527734>,
      < 0.654074, -1.799869, -0.315172>,
      < 0.654074, -1.743844, -0.466038>
    }
    texture {fuselage}
  }
  // wings
  union {
    triangle {
      < -0.605987, -1.078982, -0.628220>,
      < 1.626258, -0.938409, -0.628220>,
      < 1.629640, -0.974871, -1.664383>
    }
    triangle {
      < -0.605987, -1.078982, -0.628220>,
      < 1.629640, -0.974871, -1.664383>,
      < -0.361405, -1.095250, -1.664383>
    }
    triangle {
      < 1.626258, -0.938409, -0.628220>,
      < 2.958858, -0.938409, -0.628220>,
      < 2.962241, -0.974871, -1.664383>
    }
    triangle {
      < 1.626258, -0.938409, -0.628220>,
      < 2.962241, -0.974871, -1.664383>,
      < 1.629640, -0.974871, -1.664383>
    }
    triangle {
      < 2.958858, -0.938409, -0.628220>,
      < 3.765859, -0.962355, -0.628220>,
      < 3.308442, -0.999037, -1.657746>
    }
    triangle {
      < 2.958858, -0.938409, -0.628220>,
      < 3.308442, -0.999037, -1.657746>,
      < 2.962241, -0.974871, -1.664383>
    }
    triangle {
      < 3.765859, -0.962355, -0.628220>,
      < 3.913459, -1.100734, -0.631323>,
      < 3.456042, -1.116736, -1.668975>
    }
    triangle {
      < 3.765859, -0.962355, -0.628220>,
      < 3.456042, -1.116736, -1.668975>,
      < 3.308442, -0.999037, -1.657746>
    }
    triangle {
      < 3.913459, -1.100734, -0.631323>,
      < 3.765859, -1.243404, -0.610057>,
      < 3.308442, -1.260532, -1.657578>
    }
    triangle {
      < 3.913459, -1.100734, -0.631323>,
      < 3.308442, -1.260532, -1.657578>,
      < 3.456042, -1.116736, -1.668975>
    }
    triangle {
      < 3.765859, -1.243404, -0.610057>,
      < 2.958858, -1.348629, -0.610057>,
      < 2.962241, -1.365507, -1.664820>
    }
    triangle {
      < 3.765859, -1.243404, -0.610057>,
      < 2.962241, -1.365507, -1.664820>,
      < 3.308442, -1.260532, -1.657578>
    }
    triangle {
      < 2.958858, -1.348629, -0.610057>,
      < 1.626258, -1.348629, -0.610057>,
      < 1.629640, -1.365507, -1.664820>
    }
    triangle {
      < 2.958858, -1.348629, -0.610057>,
      < 1.629640, -1.365507, -1.664820>,
      < 2.962241, -1.365507, -1.664820>
    }
    triangle {
      < 1.626258, -1.348629, -0.610057>,
      < -0.605987, -1.132629, -0.610057>,
      < -0.361405, -1.150019, -1.649955>
    }
    triangle {
      < 1.626258, -1.348629, -0.610057>,
      < -0.361405, -1.150019, -1.649955>,
      < 1.629640, -1.365507, -1.664820>
    }
    triangle {
      < -0.605987, -1.132629, -0.610057>,
      < -0.605987, -1.201591, -0.631323>,
      < -0.605987, -1.078982, -0.628220>
    }
    triangle {
      < -0.605987, -1.132629, -0.610057>,
      < -0.605987, -1.078982, -0.628220>,
      < -0.361405, -1.095250, -1.664383>
    }
    triangle {
      < -0.605987, -1.132629, -0.610057>,
      < -0.361405, -1.095250, -1.664383>,
      < -0.361405, -1.150019, -1.649955>
    }
    triangle {
      < 2.962241, -0.974871, -1.664383>,
      < 3.308442, -0.999037, -1.657746>,
      < 3.186722, -0.983870, -8.138417>
    }
    triangle {
      < 2.962241, -0.974871, -1.664383>,
      < 3.186722, -0.983870, -8.138417>,
      < 2.978287, -0.959703, -8.145055>
    }
    triangle {
      < 3.308442, -0.999037, -1.657746>,
      < 3.456042, -1.116736, -1.668975>,
      < 3.186722, -1.047697, -8.145931>
    }
    triangle {
      < 3.308442, -0.999037, -1.657746>,
      < 3.186722, -1.047697, -8.145931>,
      < 3.186722, -0.983870, -8.138417>
    }
    triangle {
      < 3.456042, -1.116736, -1.668975>,
      < 3.308442, -1.260532, -1.657578>,
      < 3.186722, -1.112480, -8.129084>
    }
    triangle {
      < 3.456042, -1.116736, -1.668975>,
      < 3.186722, -1.112480, -8.129084>,
      < 3.186722, -1.047697, -8.145931>
    }
    triangle {
      < 3.308442, -1.260532, -1.657578>,
      < 2.962241, -1.365507, -1.664820>,
      < 2.978287, -1.217455, -8.136325>
    }
    triangle {
      < 3.308442, -1.260532, -1.657578>,
      < 2.978287, -1.217455, -8.136325>,
      < 3.186722, -1.112480, -8.129084>
    }
    triangle {
      < 2.962241, -1.365507, -1.664820>,
      < 1.629640, -1.365507, -1.664820>,
      < 2.175970, -1.217455, -8.136325>
    }
    triangle {
      < 2.962241, -1.365507, -1.664820>,
      < 2.175970, -1.217455, -8.136325>,
      < 2.978287, -1.217455, -8.136325>
    }
    triangle {
      < 1.629640, -1.365507, -1.664820>,
      < -0.361405, -1.150019, -1.649955>,
      < 1.081943, -1.106119, -8.128645>
    }
    triangle {
      < 1.629640, -1.365507, -1.664820>,
      < 1.081943, -1.106119, -8.128645>,
      < 2.175970, -1.217455, -8.136325>
    }
    triangle {
      < -0.361405, -1.150019, -1.649955>,
      < -0.361405, -1.095250, -1.664383>,
      < 1.081943, -1.080082, -8.145055>
    }
    triangle {
      < -0.361405, -1.150019, -1.649955>,
      < 1.081943, -1.080082, -8.145055>,
      < 1.081943, -1.106119, -8.128645>
    }
    triangle {
      < -0.361405, -1.095250, -1.664383>,
      < 1.629640, -0.974871, -1.664383>,
      < 2.175970, -0.959703, -8.145055>
    }
    triangle {
      < -0.361405, -1.095250, -1.664383>,
      < 2.175970, -0.959703, -8.145055>,
      < 1.081943, -1.080082, -8.145055>
    }
    triangle {
      < 1.629640, -0.974871, -1.664383>,
      < 2.962241, -0.974871, -1.664383>,
      < 2.978287, -0.959703, -8.145055>
    }
    triangle {
      < 1.629640, -0.974871, -1.664383>,
      < 2.978287, -0.959703, -8.145055>,
      < 2.175970, -0.959703, -8.145055>
    }
    triangle {
      < 1.081943, -1.106119, -8.128645>,
      < 1.081943, -1.080082, -8.145055>,
      < 1.797642, -1.111711, -8.387530>
    }
    triangle {
      < 1.081943, -1.106119, -8.128645>,
      < 1.797642, -1.111711, -8.387530>,
      < 1.797642, -1.186562, -8.382774>
    }
    triangle {
      < 1.081943, -1.080082, -8.145055>,
      < 2.175970, -0.959703, -8.145055>,
      < 2.273984, -1.104526, -8.491683>
    }
    triangle {
      < 1.081943, -1.080082, -8.145055>,
      < 2.273984, -1.104526, -8.491683>,
      < 1.797642, -1.111711, -8.387530>
    }
    triangle {
      < 2.175970, -0.959703, -8.145055>,
      < 2.978287, -0.959703, -8.145055>,
      < 2.711147, -1.104526, -8.491683>
    }
    triangle {
      < 2.175970, -0.959703, -8.145055>,
      < 2.711147, -1.104526, -8.491683>,
      < 2.273984, -1.104526, -8.491683>
    }
    triangle {
      < 2.978287, -0.959703, -8.145055>,
      < 3.186722, -0.983870, -8.138417>,
      < 2.824718, -1.059287, -8.383914>
    }
    triangle {
      < 2.978287, -0.959703, -8.145055>,
      < 2.824718, -1.059287, -8.383914>,
      < 2.711147, -1.104526, -8.491683>
    }
    triangle {
      < 3.186722, -0.983870, -8.138417>,
      < 3.186722, -1.047697, -8.145931>,
      < 2.824718, -1.094065, -8.388008>
    }
    triangle {
      < 3.186722, -0.983870, -8.138417>,
      < 2.824718, -1.094065, -8.388008>,
      < 2.824718, -1.059287, -8.383914>
    }
    triangle {
      < 3.186722, -1.047697, -8.145931>,
      < 3.186722, -1.112480, -8.129084>,
      < 2.824718, -1.129364, -8.378828>
    }
    triangle {
      < 3.186722, -1.047697, -8.145931>,
      < 2.824718, -1.129364, -8.378828>,
      < 2.824718, -1.094065, -8.388008>
    }
    triangle {
      < 3.186722, -1.112480, -8.129084>,
      < 2.978287, -1.217455, -8.136325>,
      < 2.711147, -1.179377, -8.486926>
    }
    triangle {
      < 3.186722, -1.112480, -8.129084>,
      < 2.711147, -1.179377, -8.486926>,
      < 2.824718, -1.129364, -8.378828>
    }
    triangle {
      < 2.978287, -1.217455, -8.136325>,
      < 2.175970, -1.217455, -8.136325>,
      < 2.273984, -1.179377, -8.486926>
    }
    triangle {
      < 2.978287, -1.217455, -8.136325>,
      < 2.273984, -1.179377, -8.486926>,
      < 2.711147, -1.179377, -8.486926>
    }
    triangle {
      < 2.175970, -1.217455, -8.136325>,
      < 1.081943, -1.106119, -8.128645>,
      < 1.797642, -1.186562, -8.382774>
    }
    triangle {
      < 2.175970, -1.217455, -8.136325>,
      < 1.797642, -1.186562, -8.382774>,
      < 2.273984, -1.179377, -8.486926>
    }
    texture {wings}
  }
  // fuselage
  union {
    triangle {
      < -1.006543, -1.892791, -0.307323>,
      < -1.006543, -1.824182, -0.369020>,
      < 0.489037, -1.770285, -0.522487>
    }
    triangle {
      < -1.006543, -1.892791, -0.307323>,
      < 0.489037, -1.770285, -0.522487>,
      < 0.489037, -1.838894, -0.460791>
    }
    triangle {
      < -1.006543, -1.824182, -0.369020>,
      < -0.605987, -1.201591, -0.631323>,
      < 0.626440, -1.442896, -0.430831>
    }
    triangle {
      < -1.006543, -1.824182, -0.369020>,
      < 0.626440, -1.442896, -0.430831>,
      < 0.489037, -1.770285, -0.522487>
    }
    triangle {
      < -0.605987, -1.201591, -0.631323>,
      < -0.605987, -1.132629, -0.610057>,
      < 0.626440, -1.442896, -0.430831>
    }
    triangle {
      < -1.006543, -1.960629, 0.000000>,
      < -1.006543, -1.960629, -0.156457>,
      < 0.489037, -1.906732, -0.309925>
    }
    triangle {
      < -1.006543, -1.960629, 0.000000>,
      < 0.489037, -1.906732, -0.309925>,
      < 0.489037, -1.906732, 0.000000>
    }
    triangle {
      < -1.006543, -1.960629, -0.156457>,
      < -1.006543, -1.892791, -0.307323>,
      < 0.489037, -1.838894, -0.460791>
    }
    triangle {
      < -1.006543, -1.960629, -0.156457>,
      < 0.489037, -1.838894, -0.460791>,
      < 0.489037, -1.906732, -0.309925>
    }
    triangle {
      < 0.626440, -1.409934, 0.000000>,
      < 0.626440, -1.442896, -0.430831>,
      < -0.605987, -1.132629, -0.610057>
    }
    triangle {
      < 0.626440, -1.409934, 0.000000>,
      < -0.605987, -1.132629, -0.610057>,
      < -0.605987, -1.348629, 0.000000>
    }
    triangle {
      < 0.489037, -1.906732, 0.000000>,
      < 0.489037, -1.906732, -0.309925>,
      < 0.654074, -1.799869, -0.315172>
    }
    triangle {
      < 0.489037, -1.906732, 0.000000>,
      < 0.654074, -1.799869, -0.315172>,
      < 0.654074, -1.799869, 0.000000>
    }
    triangle {
      < 0.489037, -1.906732, -0.309925>,
      < 0.489037, -1.838894, -0.460791>,
      < 0.654074, -1.743844, -0.466038>
    }
    triangle {
      < 0.489037, -1.906732, -0.309925>,
      < 0.654074, -1.743844, -0.466038>,
      < 0.654074, -1.799869, -0.315172>
    }
    triangle {
      < 0.489037, -1.838894, -0.460791>,
      < 0.489037, -1.770285, -0.522487>,
      < 0.654074, -1.687181, -0.527734>
    }
    triangle {
      < 0.489037, -1.838894, -0.460791>,
      < 0.654074, -1.687181, -0.527734>,
      < 0.654074, -1.743844, -0.466038>
    }
    triangle {
      < 0.489037, -1.770285, -0.522487>,
      < 0.626440, -1.442896, -0.430831>,
      < 0.791476, -1.416797, -0.433712>
    }
    triangle {
      < 0.489037, -1.770285, -0.522487>,
      < 0.791476, -1.416797, -0.433712>,
      < 0.654074, -1.687181, -0.527734>
    }
    triangle {
      < 0.626440, -1.442896, -0.430831>,
      < 0.626440, -1.409934, 0.000000>,
      < 0.791476, -1.389575, 0.000000>
    }
    triangle {
      < 0.626440, -1.442896, -0.430831>,
      < 0.791476, -1.389575, 0.000000>,
      < 0.791476, -1.416797, -0.433712>
    }
    texture {fuselage}
  }
  // wings
  union {
    triangle {
      < 2.711147, -1.179377, -8.486926>,
      < 2.711147, -1.104526, -8.491683>,
      < 2.824718, -1.059287, -8.383914>
    }
    triangle {
      < 2.711147, -1.179377, -8.486926>,
      < 2.824718, -1.059287, -8.383914>,
      < 2.824718, -1.094065, -8.388008>
    }
    triangle {
      < 2.711147, -1.179377, -8.486926>,
      < 2.824718, -1.094065, -8.388008>,
      < 2.824718, -1.129364, -8.378828>
    }
    triangle {
      < 2.273984, -1.179377, -8.486926>,
      < 2.273984, -1.104526, -8.491683>,
      < 2.711147, -1.104526, -8.491683>
    }
    triangle {
      < 2.273984, -1.179377, -8.486926>,
      < 2.711147, -1.104526, -8.491683>,
      < 2.711147, -1.179377, -8.486926>
    }
    texture {wings}
  }
  // fuselage
  union {
    triangle {
      < -1.655142, 0.414887, -0.441507>,
      < -1.655142, 0.230355, -0.508676>,
      < -2.174141, 0.228038, -0.457809>
    }
    triangle {
      < -1.655142, 0.414887, -0.441507>,
      < -2.174141, 0.228038, -0.457809>,
      < -2.174141, 0.397137, -0.397356>
    }
    triangle {
      < -1.655142, 0.230355, -0.508676>,
      < -1.655142, -0.044641, -0.551031>,
      < -2.174141, -0.023960, -0.495928>
    }
    triangle {
      < -1.655142, 0.230355, -0.508676>,
      < -2.174141, -0.023960, -0.495928>,
      < -2.174141, 0.228038, -0.457809>
    }
    triangle {
      < -1.655142, -0.044641, -0.551031>,
      < -1.655142, -0.639738, -0.506574>,
      < -2.174141, -0.569288, -0.455917>
    }
    triangle {
      < -1.655142, -0.044641, -0.551031>,
      < -2.174141, -0.569288, -0.455917>,
      < -2.174141, -0.023960, -0.495928>
    }
    triangle {
      < -1.655142, -0.639738, -0.506574>,
      < -1.655142, -1.414323, -0.441612>,
      < -2.174141, -1.262241, -0.397451>
    }
    triangle {
      < -1.655142, -0.639738, -0.506574>,
      < -2.174141, -1.262241, -0.397451>,
      < -2.174141, -0.569288, -0.455917>
    }
    triangle {
      < -1.655142, -1.414323, -0.441612>,
      < -1.655142, -1.622674, -0.350546>,
      < -2.174141, -1.453168, -0.315491>
    }
    triangle {
      < -1.655142, -1.414323, -0.441612>,
      < -2.174141, -1.453168, -0.315491>,
      < -2.174141, -1.262241, -0.397451>
    }
    triangle {
      < -1.655142, -1.622674, -0.350546>,
      < -1.655142, -1.691284, -0.291938>,
      < -2.174141, -1.516039, -0.262744>
    }
    triangle {
      < -1.655142, -1.622674, -0.350546>,
      < -2.174141, -1.516039, -0.262744>,
      < -2.174141, -1.453168, -0.315491>
    }
    triangle {
      < -1.655142, -1.691284, -0.291938>,
      < -1.655142, -1.759121, -0.148625>,
      < -2.174141, -1.578203, -0.133762>
    }
    triangle {
      < -1.655142, -1.691284, -0.291938>,
      < -2.174141, -1.578203, -0.133762>,
      < -2.174141, -1.516039, -0.262744>
    }
    triangle {
      < -1.655142, -1.759121, -0.148625>,
      < -1.655142, -1.759121, 0.000000>,
      < -2.174141, -1.578203, 0.000000>
    }
    triangle {
      < -1.655142, -1.759121, -0.148625>,
      < -2.174141, -1.578203, 0.000000>,
      < -2.174141, -1.578203, -0.133762>
    }
    triangle {
      < -1.655142, 0.704509, 0.000000>,
      < -1.655142, 0.704509, -0.148625>,
      < -2.174141, 0.662537, -0.133762>
    }
    triangle {
      < -1.655142, 0.704509, 0.000000>,
      < -2.174141, 0.662537, -0.133762>,
      < -2.174141, 0.662537, 0.000000>
    }
    triangle {
      < -1.655142, 0.704509, -0.148625>,
      < -1.655142, 0.634652, -0.296876>,
      < -2.174141, 0.598522, -0.267189>
    }
    triangle {
      < -1.655142, 0.704509, -0.148625>,
      < -2.174141, 0.598522, -0.267189>,
      < -2.174141, 0.662537, -0.133762>
    }
    triangle {
      < -1.655142, 0.634652, -0.296876>,
      < -1.655142, 0.564392, -0.360425>,
      < -2.174141, 0.534139, -0.324382>
    }
    triangle {
      < -1.655142, 0.634652, -0.296876>,
      < -2.174141, 0.534139, -0.324382>,
      < -2.174141, 0.598522, -0.267189>
    }
    triangle {
      < -1.655142, 0.564392, -0.360425>,
      < -1.655142, 0.482471, -0.412653>,
      < -2.174141, 0.459068, -0.371388>
    }
    triangle {
      < -1.655142, 0.564392, -0.360425>,
      < -2.174141, 0.459068, -0.371388>,
      < -2.174141, 0.534139, -0.324382>
    }
    triangle {
      < -1.655142, 0.482471, -0.412653>,
      < -1.655142, 0.414887, -0.441507>,
      < -2.174141, 0.397137, -0.397356>
    }
    triangle {
      < -1.655142, 0.482471, -0.412653>,
      < -2.174141, 0.397137, -0.397356>,
      < -2.174141, 0.459068, -0.371388>
    }
    triangle {
      < -2.174141, 0.598522, -0.267189>,
      < -2.174141, 0.534139, -0.324382>,
      < -2.693141, 0.508870, -0.291944>
    }
    triangle {
      < -2.174141, 0.598522, -0.267189>,
      < -2.693141, 0.508870, -0.291944>,
      < -2.693141, 0.565465, -0.240470>
    }
    triangle {
      < -2.174141, 0.534139, -0.324382>,
      < -2.174141, 0.459068, -0.371388>,
      < -2.693141, 0.442880, -0.334249>
    }
    triangle {
      < -2.174141, 0.534139, -0.324382>,
      < -2.693141, 0.442880, -0.334249>,
      < -2.693141, 0.508870, -0.291944>
    }
    triangle {
      < -2.174141, 0.459068, -0.371388>,
      < -2.174141, 0.397137, -0.397356>,
      < -2.693141, 0.388440, -0.357621>
    }
    triangle {
      < -2.174141, 0.459068, -0.371388>,
      < -2.693141, 0.388440, -0.357621>,
      < -2.693141, 0.442880, -0.334249>
    }
    triangle {
      < -2.174141, 0.397137, -0.397356>,
      < -2.174141, 0.228038, -0.457809>,
      < -2.693141, 0.239795, -0.412028>
    }
    triangle {
      < -2.174141, 0.397137, -0.397356>,
      < -2.693141, 0.239795, -0.412028>,
      < -2.693141, 0.388440, -0.357621>
    }
    triangle {
      < -2.174141, 0.228038, -0.457809>,
      < -2.174141, -0.023960, -0.495928>,
      < -2.693141, 0.018279, -0.446335>
    }
    triangle {
      < -2.174141, 0.228038, -0.457809>,
      < -2.693141, 0.018279, -0.446335>,
      < -2.693141, 0.239795, -0.412028>
    }
    triangle {
      < -2.174141, -0.023960, -0.495928>,
      < -2.174141, -0.569288, -0.455917>,
      < -2.693141, -0.461086, -0.410325>
    }
    triangle {
      < -2.174141, -0.023960, -0.495928>,
      < -2.693141, -0.461086, -0.410325>,
      < -2.693141, 0.018279, -0.446335>
    }
    triangle {
      < -2.174141, -0.569288, -0.455917>,
      < -2.174141, -1.262241, -0.397451>,
      < -2.693141, -0.925453, -0.357706>
    }
    triangle {
      < -2.174141, -0.569288, -0.455917>,
      < -2.693141, -0.925453, -0.357706>,
      < -2.693141, -0.461086, -0.410325>
    }
    triangle {
      < -2.174141, -1.262241, -0.397451>,
      < -2.174141, -1.453168, -0.315491>,
      < -2.693141, -1.093286, -0.283942>
    }
    triangle {
      < -2.174141, -1.262241, -0.397451>,
      < -2.693141, -1.093286, -0.283942>,
      < -2.693141, -0.925453, -0.357706>
    }
    triangle {
      < -2.174141, -1.453168, -0.315491>,
      < -2.174141, -1.516039, -0.262744>,
      < -2.693141, -1.148552, -0.236470>
    }
    triangle {
      < -2.174141, -1.453168, -0.315491>,
      < -2.693141, -1.148552, -0.236470>,
      < -2.693141, -1.093286, -0.283942>
    }
    triangle {
      < -2.174141, -1.516039, -0.262744>,
      < -2.174141, -1.578203, -0.133762>,
      < -2.693141, -1.203197, -0.120386>
    }
    triangle {
      < -2.174141, -1.516039, -0.262744>,
      < -2.693141, -1.203197, -0.120386>,
      < -2.693141, -1.148552, -0.236470>
    }
    triangle {
      < -2.174141, -1.578203, -0.133762>,
      < -2.174141, -1.578203, 0.000000>,
      < -2.693141, -1.203197, 0.000000>
    }
    triangle {
      < -2.174141, -1.578203, -0.133762>,
      < -2.693141, -1.203197, 0.000000>,
      < -2.693141, -1.203197, -0.120386>
    }
    triangle {
      < -2.174141, 0.662537, 0.000000>,
      < -2.174141, 0.662537, -0.133762>,
      < -2.693141, 0.621737, -0.120386>
    }
    triangle {
      < -2.174141, 0.662537, 0.000000>,
      < -2.693141, 0.621737, -0.120386>,
      < -2.693141, 0.621737, 0.000000>
    }
    triangle {
      < -2.174141, 0.662537, -0.133762>,
      < -2.174141, 0.598522, -0.267189>,
      < -2.693141, 0.565465, -0.240470>
    }
    triangle {
      < -2.174141, 0.662537, -0.133762>,
      < -2.693141, 0.565465, -0.240470>,
      < -2.693141, 0.621737, -0.120386>
    }
    triangle {
      < -2.693141, 0.621737, 0.000000>,
      < -2.693141, 0.621737, -0.120386>,
      < -3.492939, 0.557402, -0.108348>
    }
    triangle {
      < -2.693141, 0.621737, 0.000000>,
      < -3.492939, 0.557402, -0.108348>,
      < -3.492939, 0.557402, 0.000000>
    }
    triangle {
      < -2.693141, 0.621737, -0.120386>,
      < -2.693141, 0.565465, -0.240470>,
      < -3.492939, 0.513374, -0.216423>
    }
    triangle {
      < -2.693141, 0.621737, -0.120386>,
      < -3.492939, 0.513374, -0.216423>,
      < -3.492939, 0.557402, -0.108348>
    }
    triangle {
      < -2.693141, 0.565465, -0.240470>,
      < -2.693141, 0.508870, -0.291944>,
      < -3.492939, 0.469093, -0.262750>
    }
    triangle {
      < -2.693141, 0.565465, -0.240470>,
      < -3.492939, 0.469093, -0.262750>,
      < -3.492939, 0.513374, -0.216423>
    }
    triangle {
      < -2.693141, 0.508870, -0.291944>,
      < -2.693141, 0.442880, -0.334249>,
      < -3.492939, 0.417462, -0.300824>
    }
    triangle {
      < -2.693141, 0.508870, -0.291944>,
      < -3.492939, 0.417462, -0.300824>,
      < -3.492939, 0.469093, -0.262750>
    }
    triangle {
      < -2.693141, 0.442880, -0.334249>,
      < -2.693141, 0.388440, -0.357621>,
      < -3.492939, 0.374867, -0.321859>
    }
    triangle {
      < -2.693141, 0.442880, -0.334249>,
      < -3.492939, 0.374867, -0.321859>,
      < -3.492939, 0.417462, -0.300824>
    }
    triangle {
      < -2.693141, 0.388440, -0.357621>,
      < -2.693141, 0.239795, -0.412028>,
      < -3.492939, 0.258566, -0.370825>
    }
    triangle {
      < -2.693141, 0.388440, -0.357621>,
      < -3.492939, 0.258566, -0.370825>,
      < -3.492939, 0.374867, -0.321859>
    }
    triangle {
      < -2.693141, 0.239795, -0.412028>,
      < -2.693141, 0.018279, -0.446335>,
      < -3.492939, 0.085249, -0.401702>
    }
    triangle {
      < -2.693141, 0.239795, -0.412028>,
      < -3.492939, 0.085249, -0.401702>,
      < -3.492939, 0.258566, -0.370825>
    }
    triangle {
      < -2.693141, 0.018279, -0.446335>,
      < -2.693141, -0.461086, -0.410325>,
      < -3.492939, -0.289812, -0.369293>
    }
    triangle {
      < -2.693141, 0.018279, -0.446335>,
      < -3.492939, -0.289812, -0.369293>,
      < -3.492939, 0.085249, -0.401702>
    }
    triangle {
      < -2.693141, -0.461086, -0.410325>,
      < -2.693141, -0.925453, -0.357706>,
      < -3.492939, -0.502944, -0.321935>
    }
    triangle {
      < -2.693141, -0.461086, -0.410325>,
      < -3.492939, -0.502944, -0.321935>,
      < -3.492939, -0.289812, -0.369293>
    }
    triangle {
      < -2.693141, -0.925453, -0.357706>,
      < -2.693141, -1.093286, -0.283942>,
      < -3.492939, -0.634258, -0.255548>
    }
    triangle {
      < -2.693141, -0.925453, -0.357706>,
      < -3.492939, -0.634258, -0.255548>,
      < -3.492939, -0.502944, -0.321935>
    }
    triangle {
      < -2.693141, -1.093286, -0.283942>,
      < -2.693141, -1.148552, -0.236470>,
      < -3.492939, -0.677499, -0.212823>
    }
    triangle {
      < -2.693141, -1.093286, -0.283942>,
      < -3.492939, -0.677499, -0.212823>,
      < -3.492939, -0.634258, -0.255548>
    }
    triangle {
      < -2.693141, -1.148552, -0.236470>,
      < -2.693141, -1.203197, -0.120386>,
      < -3.492939, -0.720255, -0.108348>
    }
    triangle {
      < -2.693141, -1.148552, -0.236470>,
      < -3.492939, -0.720255, -0.108348>,
      < -3.492939, -0.677499, -0.212823>
    }
    triangle {
      < -2.693141, -1.203197, -0.120386>,
      < -2.693141, -1.203197, 0.000000>,
      < -3.492939, -0.720255, 0.000000>
    }
    triangle {
      < -2.693141, -1.203197, -0.120386>,
      < -3.492939, -0.720255, 0.000000>,
      < -3.492939, -0.720255, -0.108348>
    }
    triangle {
      < -3.492939, -0.634258, -0.255548>,
      < -3.492939, -0.677499, -0.212823>,
      < -4.296339, -0.637453, -0.180677>
    }
    triangle {
      < -3.492939, -0.634258, -0.255548>,
      < -4.296339, -0.637453, -0.180677>,
      < -4.296339, -0.594212, -0.216555>
    }
    triangle {
      < -3.492939, -0.677499, -0.212823>,
      < -3.492939, -0.720255, -0.108348>,
      < -4.296339, -0.680209, -0.092946>
    }
    triangle {
      < -3.492939, -0.677499, -0.212823>,
      < -4.296339, -0.680209, -0.092946>,
      < -4.296339, -0.637453, -0.180677>
    }
    triangle {
      < -3.492939, -0.720255, -0.108348>,
      < -3.492939, -0.720255, 0.000000>,
      < -4.296339, -0.680209, 0.000000>
    }
    triangle {
      < -3.492939, -0.720255, -0.108348>,
      < -4.296339, -0.680209, 0.000000>,
      < -4.296339, -0.680209, -0.092946>
    }
    texture {fuselage}
  }
  // wings
  union {
    triangle {
      < -3.492939, 0.557402, 0.000000>,
      < -3.492939, 0.557402, -0.108348>,
      < -4.818340, 0.679802, -0.092946>
    }
    triangle {
      < -3.492939, 0.557402, 0.000000>,
      < -4.818340, 0.679802, -0.092946>,
      < -4.818340, 0.679802, 0.000000>
    }
    triangle {
      < -3.492939, 0.557402, -0.108348>,
      < -3.492939, 0.513374, -0.216423>,
      < -4.296339, 0.513374, -0.183700>
    }
    triangle {
      < -3.492939, 0.557402, -0.108348>,
      < -4.296339, 0.513374, -0.183700>,
      < -4.818340, 0.679802, -0.092946>
    }
    texture {wings}
  }
  // fuselage
  union {
    triangle {
      < -3.492939, 0.513374, -0.216423>,
      < -3.492939, 0.469093, -0.262750>,
      < -4.296339, 0.469093, -0.222602>
    }
    triangle {
      < -3.492939, 0.513374, -0.216423>,
      < -4.296339, 0.469093, -0.222602>,
      < -4.296339, 0.513374, -0.183700>
    }
    triangle {
      < -3.492939, 0.469093, -0.262750>,
      < -3.492939, 0.417462, -0.300824>,
      < -4.296339, 0.417462, -0.254574>
    }
    triangle {
      < -3.492939, 0.469093, -0.262750>,
      < -4.296339, 0.417462, -0.254574>,
      < -4.296339, 0.469093, -0.222602>
    }
    triangle {
      < -3.492939, 0.417462, -0.300824>,
      < -3.492939, 0.374867, -0.321859>,
      < -4.296339, 0.374867, -0.272238>
    }
    triangle {
      < -3.492939, 0.417462, -0.300824>,
      < -4.296339, 0.374867, -0.272238>,
      < -4.296339, 0.417462, -0.254574>
    }
    triangle {
      < -3.492939, 0.374867, -0.321859>,
      < -3.492939, 0.258566, -0.370825>,
      < -4.296339, 0.258566, -0.313356>
    }
    triangle {
      < -3.492939, 0.374867, -0.321859>,
      < -4.296339, 0.258566, -0.313356>,
      < -4.296339, 0.374867, -0.272238>
    }
    triangle {
      < -3.492939, 0.258566, -0.370825>,
      < -3.492939, 0.085249, -0.401702>,
      < -4.296339, 0.085249, -0.339284>
    }
    triangle {
      < -3.492939, 0.258566, -0.370825>,
      < -4.296339, 0.085249, -0.339284>,
      < -4.296339, 0.258566, -0.313356>
    }
    triangle {
      < -3.492939, 0.085249, -0.401702>,
      < -3.492939, -0.289812, -0.369293>,
      < -4.296339, -0.289812, -0.312069>
    }
    triangle {
      < -3.492939, 0.085249, -0.401702>,
      < -4.296339, -0.289812, -0.312069>,
      < -4.296339, 0.085249, -0.339284>
    }
    triangle {
      < -3.492939, -0.289812, -0.369293>,
      < -3.492939, -0.502944, -0.321935>,
      < -4.296339, -0.462899, -0.272302>
    }
    triangle {
      < -3.492939, -0.289812, -0.369293>,
      < -4.296339, -0.462899, -0.272302>,
      < -4.296339, -0.289812, -0.312069>
    }
    triangle {
      < -3.492939, -0.502944, -0.321935>,
      < -3.492939, -0.634258, -0.255548>,
      < -4.296339, -0.594212, -0.216555>
    }
    triangle {
      < -3.492939, -0.502944, -0.321935>,
      < -4.296339, -0.594212, -0.216555>,
      < -4.296339, -0.462899, -0.272302>
    }
    triangle {
      < -4.296339, 0.085249, -0.339284>,
      < -4.296339, -0.289812, -0.312069>,
      < -5.726139, -0.219019, -0.229945>
    }
    triangle {
      < -4.296339, 0.085249, -0.339284>,
      < -5.726139, -0.219019, -0.229945>,
      < -5.927646, 0.105235, -0.249998>
    }
    triangle {
      < -4.296339, -0.289812, -0.312069>,
      < -4.296339, -0.462899, -0.272302>,
      < -5.726139, -0.308772, -0.200643>
    }
    triangle {
      < -4.296339, -0.289812, -0.312069>,
      < -5.726139, -0.308772, -0.200643>,
      < -5.726139, -0.219019, -0.229945>
    }
    triangle {
      < -4.296339, -0.462899, -0.272302>,
      < -4.296339, -0.594212, -0.216555>,
      < -5.726139, -0.422297, -0.159566>
    }
    triangle {
      < -4.296339, -0.462899, -0.272302>,
      < -5.726139, -0.422297, -0.159566>,
      < -5.726139, -0.308772, -0.200643>
    }
    triangle {
      < -4.296339, -0.594212, -0.216555>,
      < -4.296339, -0.637453, -0.180677>,
      < -5.726139, -0.459680, -0.133130>
    }
    triangle {
      < -4.296339, -0.594212, -0.216555>,
      < -5.726139, -0.459680, -0.133130>,
      < -5.726139, -0.422297, -0.159566>
    }
    triangle {
      < -4.296339, -0.637453, -0.180677>,
      < -4.296339, -0.680209, -0.092946>,
      < -5.726139, -0.496644, -0.092946>
    }
    triangle {
      < -4.296339, -0.637453, -0.180677>,
      < -5.726139, -0.496644, -0.092946>,
      < -5.726139, -0.459680, -0.133130>
    }
    triangle {
      < -4.296339, -0.680209, -0.092946>,
      < -4.296339, -0.680209, 0.000000>,
      < -5.726139, -0.496644, 0.000000>
    }
    triangle {
      < -4.296339, -0.680209, -0.092946>,
      < -5.726139, -0.496644, 0.000000>,
      < -5.726139, -0.496644, -0.092946>
    }
    texture {fuselage}
  }
  // wings
  union {
    triangle {
      < -4.818340, 0.679802, 0.000000>,
      < -4.818340, 0.679802, -0.092946>,
      < -5.463337, 2.538391, -0.092946>
    }
    triangle {
      < -4.818340, 0.679802, 0.000000>,
      < -5.463337, 2.538391, -0.092946>,
      < -5.463337, 2.538391, 0.000000>
    }
    triangle {
      < -4.818340, 0.679802, -0.092946>,
      < -5.726139, 0.475365, -0.135358>,
      < -5.463337, 2.538391, -0.092946>
    }
    texture {wings}
  }
  // fuselage
  union {
    triangle {
      < -4.296339, 0.513374, -0.183700>,
      < -4.296339, 0.469093, -0.222602>,
      < -5.726139, 0.437082, -0.164022>
    }
    triangle {
      < -4.296339, 0.513374, -0.183700>,
      < -5.726139, 0.437082, -0.164022>,
      < -5.726139, 0.475365, -0.135358>
    }
    triangle {
      < -4.296339, 0.469093, -0.222602>,
      < -4.296339, 0.417462, -0.254574>,
      < -5.726139, 0.392445, -0.187581>
    }
    triangle {
      < -4.296339, 0.469093, -0.222602>,
      < -5.726139, 0.392445, -0.187581>,
      < -5.726139, 0.437082, -0.164022>
    }
    triangle {
      < -4.296339, 0.417462, -0.254574>,
      < -4.296339, 0.374867, -0.272238>,
      < -5.726139, 0.355620, -0.200596>
    }
    triangle {
      < -4.296339, 0.417462, -0.254574>,
      < -5.726139, 0.355620, -0.200596>,
      < -5.726139, 0.392445, -0.187581>
    }
    triangle {
      < -4.296339, 0.374867, -0.272238>,
      < -4.296339, 0.258566, -0.313356>,
      < -5.927646, 0.255074, -0.230894>
    }
    triangle {
      < -4.296339, 0.374867, -0.272238>,
      < -5.927646, 0.255074, -0.230894>,
      < -5.726139, 0.355620, -0.200596>
    }
    texture {fuselage}
  }
  // wings
  union {
    triangle {
      < -5.021369, 0.017902, -3.196647>,
      < -5.604433, 0.030233, -3.198227>,
      < -5.604435, 0.079761, -3.184031>
    }
    triangle {
      < -5.021369, 0.017902, -3.196647>,
      < -5.604435, 0.079761, -3.184031>,
      < -5.021374, 0.077262, -3.185613>
    }
    texture {wings}
  }
  // fuselage
  union {
    triangle {
      < -5.726139, 0.392445, -0.187581>,
      < -5.726139, 0.355620, -0.200596>,
      < -6.684336, 0.340187, -0.066688>
    }
    triangle {
      < -5.726139, 0.392445, -0.187581>,
      < -6.684336, 0.340187, -0.066688>,
      < -6.684336, 0.366154, -0.063359>
    }
    triangle {
      < -5.726139, 0.355620, -0.200596>,
      < -5.927646, 0.255074, -0.230894>,
      < -6.684336, 0.269287, -0.074438>
    }
    triangle {
      < -5.726139, 0.355620, -0.200596>,
      < -6.684336, 0.269287, -0.074438>,
      < -6.684336, 0.340187, -0.066688>
    }
    triangle {
      < -5.927646, 0.255074, -0.230894>,
      < -5.927646, 0.105235, -0.249998>,
      < -6.684336, 0.163628, -0.079325>
    }
    triangle {
      < -5.927646, 0.255074, -0.230894>,
      < -6.684336, 0.163628, -0.079325>,
      < -6.684336, 0.269287, -0.074438>
    }
    triangle {
      < -5.927646, 0.105235, -0.249998>,
      < -5.726139, -0.219019, -0.229945>,
      < -6.684336, -0.036876, -0.074195>
    }
    triangle {
      < -5.927646, 0.105235, -0.249998>,
      < -6.684336, -0.036876, -0.074195>,
      < -6.684336, 0.163628, -0.079325>
    }
    triangle {
      < -5.726139, -0.219019, -0.229945>,
      < -5.726139, -0.308772, -0.200643>,
      < -6.684336, -0.101561, -0.066700>
    }
    triangle {
      < -5.726139, -0.219019, -0.229945>,
      < -6.684336, -0.101561, -0.066700>,
      < -6.684336, -0.036876, -0.074195>
    }
    triangle {
      < -5.726139, -0.308772, -0.200643>,
      < -5.726139, -0.422297, -0.159566>,
      < -6.684336, -0.146963, -0.056193>
    }
    triangle {
      < -5.726139, -0.308772, -0.200643>,
      < -6.684336, -0.146963, -0.056193>,
      < -6.684336, -0.101561, -0.066700>
    }
    triangle {
      < -5.726139, -0.422297, -0.159566>,
      < -5.726139, -0.459680, -0.133130>,
      < -6.684336, -0.161913, -0.049431>
    }
    triangle {
      < -5.726139, -0.422297, -0.159566>,
      < -6.684336, -0.161913, -0.049431>,
      < -6.684336, -0.146963, -0.056193>
    }
    triangle {
      < -5.726139, -0.459680, -0.133130>,
      < -5.726139, -0.496644, -0.092946>,
      < -6.684336, -0.176696, -0.032895>
    }
    triangle {
      < -5.726139, -0.459680, -0.133130>,
      < -6.684336, -0.176696, -0.032895>,
      < -6.684336, -0.161913, -0.049431>
    }
    triangle {
      < -5.726139, -0.496644, -0.092946>,
      < -5.726139, -0.496644, 0.000000>,
      < -6.684336, -0.176696, 0.000000>
    }
    triangle {
      < -5.726139, -0.496644, -0.092946>,
      < -6.684336, -0.176696, 0.000000>,
      < -6.684336, -0.176696, -0.032895>
    }
    texture {fuselage}
  }
  // wings
  union {
    triangle {
      < -5.463337, 2.538391, 0.000000>,
      < -5.463337, 2.538391, -0.092946>,
      < -6.421535, 2.538391, -0.032895>
    }
    triangle {
      < -5.463337, 2.538391, 0.000000>,
      < -6.421535, 2.538391, -0.032895>,
      < -6.421535, 2.538391, 0.000000>
    }
    triangle {
      < -5.463337, 2.538391, -0.092946>,
      < -5.726139, 0.475365, -0.135358>,
      < -6.684336, 0.424625, -0.050001>
    }
    triangle {
      < -5.463337, 2.538391, -0.092946>,
      < -6.684336, 0.424625, -0.050001>,
      < -6.421535, 2.538391, -0.032895>
    }
    texture {wings}
  }
  // fuselage
  union {
    triangle {
      < -5.726139, 0.475365, -0.135358>,
      < -5.726139, 0.437082, -0.164022>,
      < -6.684336, 0.397630, -0.057333>
    }
    triangle {
      < -5.726139, 0.475365, -0.135358>,
      < -6.684336, 0.397630, -0.057333>,
      < -6.684336, 0.424625, -0.050001>
    }
    triangle {
      < -5.726139, 0.437082, -0.164022>,
      < -5.726139, 0.392445, -0.187581>,
      < -6.684336, 0.366154, -0.063359>
    }
    triangle {
      < -5.726139, 0.437082, -0.164022>,
      < -6.684336, 0.366154, -0.063359>,
      < -6.684336, 0.397630, -0.057333>
    }
    texture {fuselage}
  }
  // wings
  union {
    triangle {
      < -5.927646, 0.255074, -0.230894>,
      < -4.296339, 0.258566, -0.313356>,
      < -4.818594, 0.140654, -3.023002>
    }
    triangle {
      < -5.927646, 0.255074, -0.230894>,
      < -4.818594, 0.140654, -3.023002>,
      < -5.797521, 0.137173, -3.022758>
    }
    triangle {
      < -4.296339, 0.258566, -0.313356>,
      < -4.296339, 0.085249, -0.339284>,
      < -4.818594, -0.032663, -3.060443>
    }
    triangle {
      < -4.296339, 0.258566, -0.313356>,
      < -4.818594, -0.032663, -3.060443>,
      < -4.818594, 0.140654, -3.023002>
    }
    triangle {
      < -4.296339, 0.085249, -0.339284>,
      < -5.927646, 0.105235, -0.249998>,
      < -5.797521, -0.012666, -3.060199>
    }
    triangle {
      < -4.296339, 0.085249, -0.339284>,
      < -5.797521, -0.012666, -3.060199>,
      < -4.818594, -0.032663, -3.060443>
    }
    triangle {
      < -5.927646, 0.105235, -0.249998>,
      < -5.927646, 0.255074, -0.230894>,
      < -5.797521, 0.137173, -3.022758>
    }
    triangle {
      < -5.927646, 0.105235, -0.249998>,
      < -5.797521, 0.137173, -3.022758>,
      < -5.797521, -0.012666, -3.060199>
    }
    triangle {
      < -4.818594, -0.032663, -3.060443>,
      < -5.797521, -0.012666, -3.060199>,
      < -5.604433, 0.030233, -3.198227>
    }
    triangle {
      < -4.818594, -0.032663, -3.060443>,
      < -5.604433, 0.030233, -3.198227>,
      < -5.021369, 0.017902, -3.196647>
    }
    triangle {
      < -5.797521, -0.012666, -3.060199>,
      < -5.797521, 0.137173, -3.022758>,
      < -5.604435, 0.079761, -3.184031>
    }
    triangle {
      < -5.797521, -0.012666, -3.060199>,
      < -5.604435, 0.079761, -3.184031>,
      < -5.604433, 0.030233, -3.198227>
    }
    triangle {
      < -5.797521, 0.137173, -3.022758>,
      < -4.818594, 0.140654, -3.023002>,
      < -5.021374, 0.077262, -3.185613>
    }
    triangle {
      < -5.797521, 0.137173, -3.022758>,
      < -5.021374, 0.077262, -3.185613>,
      < -5.604435, 0.079761, -3.184031>
    }
    triangle {
      < -4.818594, 0.140654, -3.023002>,
      < -4.818594, -0.032663, -3.060443>,
      < -5.021369, 0.017902, -3.196647>
    }
    triangle {
      < -4.818594, 0.140654, -3.023002>,
      < -5.021369, 0.017902, -3.196647>,
      < -5.021374, 0.077262, -3.185613>
    }
    texture {wings}
  }
  // fuselage
  union {
    triangle {
      < 6.572738, -0.194421, 0.505845>,
      < 6.572553, -0.096294, 0.535720>,
      < 6.361460, -0.103735, 0.558472>
    }
    triangle {
      < 6.572738, -0.194421, 0.505845>,
      < 6.361460, -0.103735, 0.558472>,
      < 6.361460, -0.219626, 0.515268>
    }
    triangle {
      < 6.572132, 0.636542, 0.156457>,
      < 6.572132, 0.636542, 0.000000>,
      < 6.361460, 0.669865, 0.000000>
    }
    triangle {
      < 6.572132, 0.636542, 0.156457>,
      < 6.361460, 0.669865, 0.000000>,
      < 6.361460, 0.669865, 0.156457>
    }
    triangle {
      < 6.574741, -0.745212, 0.000000>,
      < 6.574741, -0.745212, 0.156457>,
      < 6.361460, -0.794649, 0.156457>
    }
    triangle {
      < 6.574741, -0.745212, 0.000000>,
      < 6.361460, -0.794649, 0.156457>,
      < 6.361460, -0.794649, 0.000000>
    }
    triangle {
      < 6.576936, -0.624314, 0.000000>,
      < 6.576936, -0.159085, 0.000000>,
      < 6.576936, -0.182333, 0.295363>
    }
    triangle {
      < 6.576936, -0.624314, 0.000000>,
      < 6.576936, -0.182333, 0.295363>,
      < 6.576936, -0.309463, 0.356873>
    }
    triangle {
      < 6.576936, -0.624314, 0.000000>,
      < 6.576936, -0.309463, 0.356873>,
      < 6.576936, -0.453436, 0.361991>
    }
    triangle {
      < 6.576936, -0.624314, 0.000000>,
      < 6.576936, -0.453436, 0.361991>,
      < 6.576936, -0.555708, 0.299689>
    }
    triangle {
      < 6.576936, -0.624314, 0.000000>,
      < 6.576936, -0.555708, 0.299689>,
      < 6.576936, -0.587882, 0.261854>
    }
    triangle {
      < 6.576936, -0.624314, 0.000000>,
      < 6.576936, -0.587882, 0.261854>,
      < 6.576936, -0.629809, 0.141259>
    }
    triangle {
      < 6.361460, 0.207409, 0.535484>,
      < 6.571836, 0.207239, 0.535484>,
      < 6.571951, 0.389182, 0.490883>
    }
    triangle {
      < 6.361460, 0.207409, 0.535484>,
      < 6.571951, 0.389182, 0.490883>,
      < 6.361460, 0.398707, 0.490883>
    }
    triangle {
      < 6.573818, -0.338568, 0.473719>,
      < 6.361460, -0.378841, 0.476876>,
      < 6.361460, -0.523492, 0.464885>
    }
    triangle {
      < 6.573818, -0.338568, 0.473719>,
      < 6.361460, -0.523492, 0.464885>,
      < 6.574113, -0.480045, 0.464885>
    }
    triangle {
      < 6.361460, 0.561399, 0.379419>,
      < 6.572050, 0.530397, 0.379419>,
      < 6.572089, 0.583477, 0.312522>
    }
    triangle {
      < 6.361460, 0.561399, 0.379419>,
      < 6.572089, 0.583477, 0.312522>,
      < 6.361460, 0.615640, 0.312522>
    }
    triangle {
      < 6.361460, 0.615640, 0.312522>,
      < 6.572089, 0.583477, 0.312522>,
      < 6.572132, 0.636542, 0.156457>
    }
    triangle {
      < 6.361460, 0.615640, 0.312522>,
      < 6.572132, 0.636542, 0.156457>,
      < 6.361460, 0.669865, 0.156457>
    }
    triangle {
      < 6.572050, 0.530397, 0.379419>,
      < 6.361460, 0.561399, 0.379419>,
      < 6.361460, 0.398707, 0.490883>
    }
    triangle {
      < 6.572050, 0.530397, 0.379419>,
      < 6.361460, 0.398707, 0.490883>,
      < 6.571951, 0.389182, 0.490883>
    }
    triangle {
      < 6.571836, 0.207239, 0.535484>,
      < 6.361460, 0.207409, 0.535484>,
      < 6.361460, 0.028069, 0.567064>
    }
    triangle {
      < 6.571836, 0.207239, 0.535484>,
      < 6.361460, 0.028069, 0.567064>,
      < 6.572061, 0.027289, 0.553741>
    }
    triangle {
      < 6.574482, -0.639148, 0.369020>,
      < 6.361460, -0.686183, 0.369020>,
      < 6.361460, -0.740424, 0.307323>
    }
    triangle {
      < 6.574482, -0.639148, 0.369020>,
      < 6.361460, -0.740424, 0.307323>,
      < 6.574611, -0.692189, 0.307323>
    }
    triangle {
      < 6.361460, -0.686183, 0.369020>,
      < 6.574482, -0.639148, 0.369020>,
      < 6.574113, -0.480045, 0.464885>
    }
    triangle {
      < 6.361460, -0.686183, 0.369020>,
      < 6.574113, -0.480045, 0.464885>,
      < 6.361460, -0.523492, 0.464885>
    }
    triangle {
      < 6.574611, -0.692189, 0.307323>,
      < 6.361460, -0.740424, 0.307323>,
      < 6.361460, -0.794649, 0.156457>
    }
    triangle {
      < 6.574611, -0.692189, 0.307323>,
      < 6.361460, -0.794649, 0.156457>,
      < 6.574741, -0.745212, 0.156457>
    }
    triangle {
      < 6.058460, -0.864940, 0.156457>,
      < 6.058460, -0.864940, 0.000000>,
      < 6.361460, -0.794649, 0.000000>
    }
    triangle {
      < 6.058460, -0.864940, 0.156457>,
      < 6.361460, -0.794649, 0.000000>,
      < 6.361460, -0.794649, 0.156457>
    }
    triangle {
      < 6.058460, 0.680933, 0.000000>,
      < 6.058460, 0.680933, 0.156457>,
      < 6.361460, 0.669865, 0.156457>
    }
    triangle {
      < 6.058460, 0.680933, 0.000000>,
      < 6.361460, 0.669865, 0.156457>,
      < 6.361460, 0.669865, 0.000000>
    }
    triangle {
      < 6.058460, 0.680933, 0.156457>,
      < 6.058460, 0.623695, 0.312522>,
      < 6.361460, 0.615640, 0.312522>
    }
    triangle {
      < 6.058460, 0.680933, 0.156457>,
      < 6.361460, 0.615640, 0.312522>,
      < 6.361460, 0.669865, 0.156457>
    }
    triangle {
      < 6.058460, 0.623695, 0.312522>,
      < 6.058460, 0.566441, 0.379419>,
      < 6.361460, 0.561399, 0.379419>
    }
    triangle {
      < 6.058460, 0.623695, 0.312522>,
      < 6.361460, 0.561399, 0.379419>,
      < 6.361460, 0.615640, 0.312522>
    }
    triangle {
      < 6.058460, 0.566441, 0.379419>,
      < 6.058460, 0.394712, 0.490883>,
      < 6.361460, 0.398707, 0.490883>
    }
    triangle {
      < 6.058460, 0.566441, 0.379419>,
      < 6.361460, 0.398707, 0.490883>,
      < 6.361460, 0.561399, 0.379419>
    }
    triangle {
      < 6.058460, 0.394712, 0.490883>,
      < 6.058460, 0.211786, 0.535484>,
      < 6.361460, 0.207409, 0.535484>
    }
    triangle {
      < 6.058460, 0.394712, 0.490883>,
      < 6.361460, 0.207409, 0.535484>,
      < 6.361460, 0.398707, 0.490883>
    }
    triangle {
      < 6.058460, 0.211786, 0.535484>,
      < 6.058460, -0.042087, 0.580071>,
      < 6.286466, -0.044879, 0.580071>
    }
    triangle {
      < 6.058460, 0.211786, 0.535484>,
      < 6.286466, -0.044879, 0.580071>,
      < 6.361460, 0.028069, 0.567064>
    }
    triangle {
      < 6.058460, 0.211786, 0.535484>,
      < 6.361460, 0.028069, 0.567064>,
      < 6.361460, 0.207409, 0.535484>
    }
    triangle {
      < 6.286466, -0.044879, 0.580071>,
      < 6.058460, -0.042087, 0.580071>,
      < 6.058460, -0.247173, 0.548869>
    }
    triangle {
      < 6.286466, -0.044879, 0.580071>,
      < 6.058460, -0.247173, 0.548869>,
      < 6.361460, -0.219626, 0.515268>
    }
    triangle {
      < 6.286466, -0.044879, 0.580071>,
      < 6.361460, -0.219626, 0.515268>,
      < 6.361460, -0.103735, 0.558472>
    }
    triangle {
      < 6.058460, -0.426032, 0.510478>,
      < 6.058460, -0.578719, 0.464885>,
      < 6.361460, -0.523492, 0.464885>
    }
    triangle {
      < 6.058460, -0.426032, 0.510478>,
      < 6.361460, -0.523492, 0.464885>,
      < 6.361460, -0.378841, 0.476876>
    }
    triangle {
      < 6.058460, -0.578719, 0.464885>,
      < 6.058460, -0.750448, 0.369020>,
      < 6.361460, -0.686183, 0.369020>
    }
    triangle {
      < 6.058460, -0.578719, 0.464885>,
      < 6.361460, -0.686183, 0.369020>,
      < 6.361460, -0.523492, 0.464885>
    }
    triangle {
      < 6.058460, -0.750448, 0.369020>,
      < 6.058460, -0.807703, 0.307323>,
      < 6.361460, -0.740424, 0.307323>
    }
    triangle {
      < 6.058460, -0.750448, 0.369020>,
      < 6.361460, -0.740424, 0.307323>,
      < 6.361460, -0.686183, 0.369020>
    }
    triangle {
      < 6.058460, -0.807703, 0.307323>,
      < 6.058460, -0.864940, 0.156457>,
      < 6.361460, -0.794649, 0.156457>
    }
    triangle {
      < 6.058460, -0.807703, 0.307323>,
      < 6.361460, -0.794649, 0.156457>,
      < 6.361460, -0.740424, 0.307323>
    }
    triangle {
      < 5.759059, -0.629551, 0.464885>,
      < 5.759059, -0.806535, 0.369020>,
      < 6.058460, -0.750448, 0.369020>
    }
    triangle {
      < 5.759059, -0.629551, 0.464885>,
      < 6.058460, -0.750448, 0.369020>,
      < 6.058460, -0.578719, 0.464885>
    }
    triangle {
      < 5.759059, -0.806535, 0.369020>,
      < 5.759059, -0.865547, 0.307323>,
      < 6.058460, -0.807703, 0.307323>
    }
    triangle {
      < 5.759059, -0.806535, 0.369020>,
      < 6.058460, -0.807703, 0.307323>,
      < 6.058460, -0.750448, 0.369020>
    }
    triangle {
      < 5.759059, -0.865547, 0.307323>,
      < 5.759059, -0.924679, 0.156457>,
      < 6.058460, -0.864940, 0.156457>
    }
    triangle {
      < 5.759059, -0.865547, 0.307323>,
      < 6.058460, -0.864940, 0.156457>,
      < 6.058460, -0.807703, 0.307323>
    }
    triangle {
      < 5.759059, -0.924679, 0.156457>,
      < 5.759059, -0.924679, 0.000000>,
      < 6.058460, -0.864940, 0.000000>
    }
    triangle {
      < 5.759059, -0.924679, 0.156457>,
      < 6.058460, -0.864940, 0.000000>,
      < 6.058460, -0.864940, 0.156457>
    }
    triangle {
      < 5.759059, 0.688910, 0.000000>,
      < 5.759059, 0.688910, 0.156457>,
      < 6.058460, 0.680933, 0.156457>
    }
    triangle {
      < 5.759059, 0.688910, 0.000000>,
      < 6.058460, 0.680933, 0.156457>,
      < 6.058460, 0.680933, 0.000000>
    }
    triangle {
      < 5.759059, 0.688910, 0.156457>,
      < 5.759059, 0.633582, 0.312522>,
      < 6.058460, 0.623695, 0.312522>
    }
    triangle {
      < 5.759059, 0.688910, 0.156457>,
      < 6.058460, 0.623695, 0.312522>,
      < 6.058460, 0.680933, 0.156457>
    }
    triangle {
      < 5.759059, 0.633582, 0.312522>,
      < 5.759059, 0.574636, 0.379419>,
      < 6.058460, 0.566441, 0.379419>
    }
    triangle {
      < 5.759059, 0.633582, 0.312522>,
      < 6.058460, 0.566441, 0.379419>,
      < 6.058460, 0.623695, 0.312522>
    }
    triangle {
      < 5.759059, 0.574636, 0.379419>,
      < 5.759059, 0.397834, 0.490883>,
      < 6.058460, 0.394712, 0.490883>
    }
    triangle {
      < 5.759059, 0.574636, 0.379419>,
      < 6.058460, 0.394712, 0.490883>,
      < 6.058460, 0.566441, 0.379419>
    }
    triangle {
      < 5.759059, 0.397834, 0.490883>,
      < 5.759059, 0.218724, 0.535484>,
      < 6.058460, 0.211786, 0.535484>
    }
    triangle {
      < 5.759059, 0.397834, 0.490883>,
      < 6.058460, 0.211786, 0.535484>,
      < 6.058460, 0.394712, 0.490883>
    }
    texture {fuselage}
  }
  // exhaust
  union {
    triangle {
      < 5.960793, 0.108211, 0.734260>,
      < 5.960786, 0.126591, 0.731008>,
      < 5.789646, 0.140077, 0.787883>
    }
    triangle {
      < 5.960793, 0.108211, 0.734260>,
      < 5.789646, 0.140077, 0.787883>,
      < 5.789646, 0.121588, 0.791111>
    }
    texture {exhaust}
  }
  // fuselage
  union {
    triangle {
      < 5.759059, -0.036405, 0.580071>,
      < 5.759059, -0.274659, 0.548869>,
      < 6.058460, -0.247173, 0.548869>
    }
    triangle {
      < 5.759059, -0.036405, 0.580071>,
      < 6.058460, -0.247173, 0.548869>,
      < 6.058460, -0.042087, 0.580071>
    }
    triangle {
      < 5.759059, -0.472355, 0.510478>,
      < 5.759059, -0.629551, 0.464885>,
      < 6.058460, -0.578719, 0.464885>
    }
    triangle {
      < 5.759059, -0.472355, 0.510478>,
      < 6.058460, -0.578719, 0.464885>,
      < 6.058460, -0.426032, 0.510478>
    }
    texture {fuselage}
  }
  // exhaust
  union {
    triangle {
      < 5.674857, 0.111792, 0.729480>,
      < 5.674865, 0.130383, 0.726270>,
      < 5.414464, 0.141636, 0.787881>
    }
    triangle {
      < 5.674857, 0.111792, 0.729480>,
      < 5.414464, 0.141636, 0.787881>,
      < 5.414464, 0.123345, 0.791109>
    }
    texture {exhaust}
  }
  // fuselage
  union {
    triangle {
      < 5.384059, -0.034261, 0.580071>,
      < 5.384059, -0.439481, 0.533271>,
      < 5.634072, -0.409004, 0.533271>
    }
    triangle {
      < 5.384059, -0.034261, 0.580071>,
      < 5.634072, -0.409004, 0.533271>,
      < 5.759059, -0.274659, 0.548869>
    }
    triangle {
      < 5.384059, -0.034261, 0.580071>,
      < 5.759059, -0.274659, 0.548869>,
      < 5.759059, -0.036405, 0.580071>
    }
    triangle {
      < 5.634072, -0.409004, 0.533271>,
      < 5.384059, -0.439481, 0.533271>,
      < 5.384059, -0.690861, 0.464885>
    }
    triangle {
      < 5.634072, -0.409004, 0.533271>,
      < 5.384059, -0.690861, 0.464885>,
      < 5.759059, -0.629551, 0.464885>
    }
    triangle {
      < 5.634072, -0.409004, 0.533271>,
      < 5.759059, -0.629551, 0.464885>,
      < 5.759059, -0.472355, 0.510478>
    }
    triangle {
      < 5.384059, -0.690861, 0.464885>,
      < 5.384059, -0.877400, 0.369020>,
      < 5.759059, -0.806535, 0.369020>
    }
    triangle {
      < 5.384059, -0.690861, 0.464885>,
      < 5.759059, -0.806535, 0.369020>,
      < 5.759059, -0.629551, 0.464885>
    }
    triangle {
      < 5.384059, -0.877400, 0.369020>,
      < 5.384059, -0.938690, 0.307323>,
      < 5.759059, -0.865547, 0.307323>
    }
    triangle {
      < 5.384059, -0.877400, 0.369020>,
      < 5.759059, -0.865547, 0.307323>,
      < 5.759059, -0.806535, 0.369020>
    }
    triangle {
      < 5.384059, -0.938690, 0.307323>,
      < 5.384059, -1.000841, 0.156457>,
      < 5.759059, -0.924679, 0.156457>
    }
    triangle {
      < 5.384059, -0.938690, 0.307323>,
      < 5.759059, -0.924679, 0.156457>,
      < 5.759059, -0.865547, 0.307323>
    }
    triangle {
      < 5.384059, -1.000841, 0.156457>,
      < 5.384059, -1.000841, 0.000000>,
      < 5.759059, -0.924679, 0.000000>
    }
    triangle {
      < 5.384059, -1.000841, 0.156457>,
      < 5.759059, -0.924679, 0.000000>,
      < 5.759059, -0.924679, 0.156457>
    }
    triangle {
      < 5.384059, 0.701148, 0.000000>,
      < 5.384059, 0.701148, 0.156457>,
      < 5.759059, 0.688910, 0.156457>
    }
    triangle {
      < 5.384059, 0.701148, 0.000000>,
      < 5.759059, 0.688910, 0.156457>,
      < 5.759059, 0.688910, 0.000000>
    }
    triangle {
      < 5.384059, 0.701148, 0.156457>,
      < 5.384059, 0.640479, 0.312522>,
      < 5.759059, 0.633582, 0.312522>
    }
    triangle {
      < 5.384059, 0.701148, 0.156457>,
      < 5.759059, 0.633582, 0.312522>,
      < 5.759059, 0.688910, 0.156457>
    }
    triangle {
      < 5.384059, 0.640479, 0.312522>,
      < 5.384059, 0.579792, 0.379419>,
      < 5.759059, 0.574636, 0.379419>
    }
    triangle {
      < 5.384059, 0.640479, 0.312522>,
      < 5.759059, 0.574636, 0.379419>,
      < 5.759059, 0.633582, 0.312522>
    }
    triangle {
      < 5.384059, 0.579792, 0.379419>,
      < 5.384059, 0.397767, 0.490883>,
      < 5.759059, 0.397834, 0.490883>
    }
    triangle {
      < 5.384059, 0.579792, 0.379419>,
      < 5.759059, 0.397834, 0.490883>,
      < 5.759059, 0.574636, 0.379419>
    }
    triangle {
      < 5.384059, 0.397767, 0.490883>,
      < 5.384059, 0.218775, 0.535484>,
      < 5.759059, 0.218724, 0.535484>
    }
    triangle {
      < 5.384059, 0.397767, 0.490883>,
      < 5.759059, 0.218724, 0.535484>,
      < 5.759059, 0.397834, 0.490883>
    }
    triangle {
      < 5.045059, 0.651279, 0.312522>,
      < 5.045059, 0.590592, 0.379419>,
      < 5.384059, 0.579792, 0.379419>
    }
    triangle {
      < 5.045059, 0.651279, 0.312522>,
      < 5.384059, 0.579792, 0.379419>,
      < 5.384059, 0.640479, 0.312522>
    }
    triangle {
      < 5.045059, 0.590592, 0.379419>,
      < 5.045059, 0.408567, 0.490883>,
      < 5.384059, 0.397767, 0.490883>
    }
    triangle {
      < 5.045059, 0.590592, 0.379419>,
      < 5.384059, 0.397767, 0.490883>,
      < 5.384059, 0.579792, 0.379419>
    }
    triangle {
      < 5.045059, 0.408567, 0.490883>,
      < 5.045059, 0.222375, 0.535484>,
      < 5.384059, 0.218775, 0.535484>
    }
    triangle {
      < 5.045059, 0.408567, 0.490883>,
      < 5.384059, 0.218775, 0.535484>,
      < 5.384059, 0.397767, 0.490883>
    }
    texture {fuselage}
  }
  // exhaust
  union {
    triangle {
      < 5.299691, 0.112991, 0.728876>,
      < 5.299676, 0.131285, 0.725579>,
      < 5.021476, 0.143383, 0.787885>
    }
    triangle {
      < 5.299691, 0.112991, 0.728876>,
      < 5.021476, 0.143383, 0.787885>,
      < 5.021476, 0.124705, 0.791117>
    }
    texture {exhaust}
  }
  // fuselage
  union {
    triangle {
      < 5.045059, -0.034608, 0.580071>,
      < 5.045059, -0.455493, 0.533271>,
      < 5.384059, -0.439481, 0.533271>
    }
    triangle {
      < 5.045059, -0.034608, 0.580071>,
      < 5.384059, -0.439481, 0.533271>,
      < 5.384059, -0.034261, 0.580071>
    }
    triangle {
      < 5.045059, -0.455493, 0.533271>,
      < 5.045059, -0.717533, 0.464885>,
      < 5.384059, -0.690861, 0.464885>
    }
    triangle {
      < 5.045059, -0.455493, 0.533271>,
      < 5.384059, -0.690861, 0.464885>,
      < 5.384059, -0.439481, 0.533271>
    }
    triangle {
      < 5.045059, -0.717533, 0.464885>,
      < 5.045059, -0.914058, 0.369020>,
      < 5.384059, -0.877400, 0.369020>
    }
    triangle {
      < 5.045059, -0.717533, 0.464885>,
      < 5.384059, -0.877400, 0.369020>,
      < 5.384059, -0.690861, 0.464885>
    }
    triangle {
      < 5.045059, -0.914058, 0.369020>,
      < 5.045059, -0.975665, 0.307323>,
      < 5.384059, -0.938690, 0.307323>
    }
    triangle {
      < 5.045059, -0.914058, 0.369020>,
      < 5.384059, -0.938690, 0.307323>,
      < 5.384059, -0.877400, 0.369020>
    }
    triangle {
      < 5.045059, -0.975665, 0.307323>,
      < 5.045059, -1.038557, 0.156457>,
      < 5.384059, -1.000841, 0.156457>
    }
    triangle {
      < 5.045059, -0.975665, 0.307323>,
      < 5.384059, -1.000841, 0.156457>,
      < 5.384059, -0.938690, 0.307323>
    }
    triangle {
      < 5.045059, -1.038557, 0.156457>,
      < 5.045059, -1.038557, 0.000000>,
      < 5.384059, -1.000841, 0.000000>
    }
    triangle {
      < 5.045059, -1.038557, 0.156457>,
      < 5.384059, -1.000841, 0.000000>,
      < 5.384059, -1.000841, 0.156457>
    }
    triangle {
      < 5.045059, 0.711948, 0.000000>,
      < 5.045059, 0.711948, 0.156457>,
      < 5.384059, 0.701148, 0.156457>
    }
    triangle {
      < 5.045059, 0.711948, 0.000000>,
      < 5.384059, 0.701148, 0.156457>,
      < 5.384059, 0.701148, 0.000000>
    }
    triangle {
      < 5.045059, 0.711948, 0.156457>,
      < 5.045059, 0.651279, 0.312522>,
      < 5.384059, 0.640479, 0.312522>
    }
    triangle {
      < 5.045059, 0.711948, 0.156457>,
      < 5.384059, 0.640479, 0.312522>,
      < 5.384059, 0.701148, 0.156457>
    }
    triangle {
      < 4.526059, 0.712244, 0.000000>,
      < 4.526059, 0.718504, 0.156457>,
      < 5.045059, 0.711948, 0.156457>
    }
    triangle {
      < 4.526059, 0.712244, 0.000000>,
      < 5.045059, 0.711948, 0.156457>,
      < 5.045059, 0.711948, 0.000000>
    }
    triangle {
      < 4.526059, 0.718504, 0.156457>,
      < 4.526059, 0.658479, 0.312522>,
      < 5.045059, 0.651279, 0.312522>
    }
    triangle {
      < 4.526059, 0.718504, 0.156457>,
      < 5.045059, 0.651279, 0.312522>,
      < 5.045059, 0.711948, 0.156457>
    }
    triangle {
      < 4.526059, 0.658479, 0.312522>,
      < 4.526059, 0.597792, 0.379419>,
      < 5.045059, 0.590592, 0.379419>
    }
    triangle {
      < 4.526059, 0.658479, 0.312522>,
      < 5.045059, 0.590592, 0.379419>,
      < 5.045059, 0.651279, 0.312522>
    }
    triangle {
      < 4.526059, 0.597792, 0.379419>,
      < 4.526059, 0.414495, 0.490883>,
      < 5.045059, 0.408567, 0.490883>
    }
    triangle {
      < 4.526059, 0.597792, 0.379419>,
      < 5.045059, 0.408567, 0.490883>,
      < 5.045059, 0.590592, 0.379419>
    }
    triangle {
      < 4.526059, 0.414495, 0.490883>,
      < 4.526059, 0.230297, 0.535484>,
      < 5.045059, 0.222375, 0.535484>
    }
    triangle {
      < 4.526059, 0.414495, 0.490883>,
      < 5.045059, 0.222375, 0.535484>,
      < 5.045059, 0.408567, 0.490883>
    }
    texture {fuselage}
  }
  // exhaust
  union {
    triangle {
      < 4.905266, 0.114847, 0.727001>,
      < 4.905259, 0.133564, 0.723708>,
      < 4.556577, 0.149793, 0.787895>
    }
    triangle {
      < 4.905266, 0.114847, 0.727001>,
      < 4.556577, 0.149793, 0.787895>,
      < 4.556577, 0.130832, 0.791149>
    }
    texture {exhaust}
  }
  // fuselage
  union {
    triangle {
      < 4.526059, -0.029135, 0.580071>,
      < 4.526059, -0.498435, 0.533271>,
      < 5.045059, -0.455493, 0.533271>
    }
    triangle {
      < 4.526059, -0.029135, 0.580071>,
      < 5.045059, -0.455493, 0.533271>,
      < 5.045059, -0.034608, 0.580071>
    }
    triangle {
      < 4.526059, -0.498435, 0.533271>,
      < 4.526059, -0.768878, 0.464885>,
      < 5.045059, -0.717533, 0.464885>
    }
    triangle {
      < 4.526059, -0.498435, 0.533271>,
      < 5.045059, -0.717533, 0.464885>,
      < 5.045059, -0.455493, 0.533271>
    }
    triangle {
      < 4.526059, -0.768878, 0.464885>,
      < 4.526059, -0.974194, 0.369020>,
      < 5.045059, -0.914058, 0.369020>
    }
    triangle {
      < 4.526059, -0.768878, 0.464885>,
      < 5.045059, -0.914058, 0.369020>,
      < 5.045059, -0.717533, 0.464885>
    }
    triangle {
      < 4.526059, -0.974194, 0.369020>,
      < 4.673659, -1.046356, 0.307323>,
      < 5.045059, -0.975665, 0.307323>
    }
    triangle {
      < 4.526059, -0.974194, 0.369020>,
      < 5.045059, -0.975665, 0.307323>,
      < 5.045059, -0.914058, 0.369020>
    }
    triangle {
      < 4.673659, -1.046356, 0.307323>,
      < 4.526059, -1.109240, 0.156457>,
      < 5.045059, -1.038557, 0.156457>
    }
    triangle {
      < 4.673659, -1.046356, 0.307323>,
      < 5.045059, -1.038557, 0.156457>,
      < 5.045059, -0.975665, 0.307323>
    }
    triangle {
      < 4.526059, -1.109240, 0.156457>,
      < 4.526059, -1.109240, 0.000000>,
      < 5.045059, -1.038557, 0.000000>
    }
    triangle {
      < 4.526059, -1.109240, 0.156457>,
      < 5.045059, -1.038557, 0.000000>,
      < 5.045059, -1.038557, 0.156457>
    }
    triangle {
      < 3.765859, -0.962355, 0.628220>,
      < 3.913459, -1.100734, 0.631323>,
      < 4.673659, -1.046356, 0.307323>
    }
    triangle {
      < 3.765859, -0.962355, 0.628220>,
      < 4.673659, -1.046356, 0.307323>,
      < 4.526059, -0.974194, 0.369020>
    }
    triangle {
      < 3.913459, -1.100734, 0.631323>,
      < 3.765859, -1.243404, 0.610057>,
      < 4.526059, -1.109240, 0.156457>
    }
    triangle {
      < 3.913459, -1.100734, 0.631323>,
      < 4.526059, -1.109240, 0.156457>,
      < 4.673659, -1.046356, 0.307323>
    }
    triangle {
      < 3.765859, -1.243404, 0.610057>,
      < 3.765859, -1.243404, 0.000000>,
      < 4.526059, -1.109240, 0.000000>
    }
    triangle {
      < 3.765859, -1.243404, 0.610057>,
      < 4.526059, -1.109240, 0.000000>,
      < 4.526059, -1.109240, 0.156457>
    }
    triangle {
      < 3.765859, 0.722259, 0.000000>,
      < 3.765859, 0.722259, 0.156457>,
      < 4.526059, 0.718504, 0.156457>
    }
    triangle {
      < 3.765859, 0.722259, 0.000000>,
      < 4.526059, 0.718504, 0.156457>,
      < 4.526059, 0.712244, 0.000000>
    }
    triangle {
      < 3.765859, 0.722259, 0.156457>,
      < 3.765859, 0.656899, 0.312522>,
      < 4.526059, 0.658479, 0.312522>
    }
    triangle {
      < 3.765859, 0.722259, 0.156457>,
      < 4.526059, 0.658479, 0.312522>,
      < 4.526059, 0.718504, 0.156457>
    }
    triangle {
      < 3.765859, 0.656899, 0.312522>,
      < 3.765859, 0.591162, 0.379419>,
      < 4.526059, 0.597792, 0.379419>
    }
    triangle {
      < 3.765859, 0.656899, 0.312522>,
      < 4.526059, 0.597792, 0.379419>,
      < 4.526059, 0.658479, 0.312522>
    }
    triangle {
      < 3.765859, 0.591162, 0.379419>,
      < 3.765859, 0.431232, 0.490883>,
      < 4.526059, 0.414495, 0.490883>
    }
    triangle {
      < 3.765859, 0.591162, 0.379419>,
      < 4.526059, 0.414495, 0.490883>,
      < 4.526059, 0.597792, 0.379419>
    }
    triangle {
      < 3.765859, 0.431232, 0.490883>,
      < 3.765859, 0.239029, 0.535484>,
      < 4.526059, 0.230297, 0.535484>
    }
    triangle {
      < 3.765859, 0.431232, 0.490883>,
      < 4.526059, 0.230297, 0.535484>,
      < 4.526059, 0.414495, 0.490883>
    }
    texture {fuselage}
  }
  // exhaust
  union {
    triangle {
      < 4.068201, 0.126643, 0.729894>,
      < 4.068205, 0.145550, 0.726652>,
      < 3.811362, 0.159363, 0.787891>
    }
    triangle {
      < 4.068201, 0.126643, 0.729894>,
      < 3.811362, 0.159363, 0.787891>,
      < 3.811362, 0.140609, 0.791145>
    }
    texture {exhaust}
  }
  // fuselage
  union {
    triangle {
      < 3.765859, -0.018264, 0.580071>,
      < 3.765859, -0.575051, 0.533271>,
      < 4.526059, -0.498435, 0.533271>
    }
    triangle {
      < 3.765859, -0.018264, 0.580071>,
      < 4.526059, -0.498435, 0.533271>,
      < 4.526059, -0.029135, 0.580071>
    }
    triangle {
      < 3.765859, -0.575051, 0.533271>,
      < 3.765859, -0.787602, 0.464885>,
      < 4.526059, -0.768878, 0.464885>
    }
    triangle {
      < 3.765859, -0.575051, 0.533271>,
      < 4.526059, -0.768878, 0.464885>,
      < 4.526059, -0.498435, 0.533271>
    }
    triangle {
      < 3.765859, -0.787602, 0.464885>,
      < 3.765859, -0.962355, 0.628220>,
      < 4.526059, -0.974194, 0.369020>
    }
    triangle {
      < 3.765859, -0.787602, 0.464885>,
      < 4.526059, -0.974194, 0.369020>,
      < 4.526059, -0.768878, 0.464885>
    }
    triangle {
      < 5.634072, -0.409004, 0.533271>,
      < 5.759059, -0.472355, 0.510478>,
      < 5.759059, -0.274659, 0.548869>
    }
    triangle {
      < 6.361460, -0.378841, 0.476876>,
      < 6.573818, -0.338568, 0.473719>,
      < 6.572738, -0.194421, 0.505845>
    }
    triangle {
      < 6.361460, -0.378841, 0.476876>,
      < 6.572738, -0.194421, 0.505845>,
      < 6.361460, -0.219626, 0.515268>
    }
    triangle {
      < 6.058460, -0.426032, 0.510478>,
      < 6.361460, -0.378841, 0.476876>,
      < 6.361460, -0.219626, 0.515268>
    }
    triangle {
      < 6.058460, -0.426032, 0.510478>,
      < 6.361460, -0.219626, 0.515268>,
      < 6.058460, -0.247173, 0.548869>
    }
    triangle {
      < 5.759059, -0.472355, 0.510478>,
      < 6.058460, -0.426032, 0.510478>,
      < 6.058460, -0.247173, 0.548869>
    }
    triangle {
      < 5.759059, -0.472355, 0.510478>,
      < 6.058460, -0.247173, 0.548869>,
      < 5.759059, -0.274659, 0.548869>
    }
    triangle {
      < 6.286466, -0.044879, 0.580071>,
      < 6.361460, -0.103735, 0.558472>,
      < 6.361460, 0.028069, 0.567064>
    }
    triangle {
      < 6.572061, 0.027289, 0.553741>,
      < 6.361460, 0.028069, 0.567064>,
      < 6.361460, -0.103735, 0.558472>
    }
    triangle {
      < 6.572061, 0.027289, 0.553741>,
      < 6.361460, -0.103735, 0.558472>,
      < 6.572553, -0.096294, 0.535720>
    }
    triangle {
      < 6.634465, 0.607010, 0.000000>,
      < 6.634465, 0.607010, 0.152369>,
      < 6.684336, 0.571381, 0.144191>
    }
    triangle {
      < 6.634465, 0.607010, 0.000000>,
      < 6.684336, 0.571381, 0.144191>,
      < 6.684336, 0.571381, 0.000000>
    }
    triangle {
      < 6.684336, 0.526950, 0.276394>,
      < 6.684336, 0.571381, 0.144191>,
      < 6.634465, 0.607010, 0.152369>
    }
    triangle {
      < 6.684336, 0.526950, 0.276394>,
      < 6.634465, 0.607010, 0.152369>,
      < 6.634446, 0.556960, 0.300481>
    }
    triangle {
      < 6.684336, 0.489194, 0.324534>,
      < 6.684336, 0.526950, 0.276394>,
      < 6.634446, 0.556960, 0.300481>
    }
    triangle {
      < 6.684336, 0.489194, 0.324534>,
      < 6.634446, 0.556960, 0.300481>,
      < 6.634429, 0.509124, 0.361126>
    }
    triangle {
      < 6.684336, 0.352180, 0.421582>,
      < 6.684336, 0.489194, 0.324534>,
      < 6.634429, 0.509124, 0.361126>
    }
    triangle {
      < 6.684336, 0.352180, 0.421582>,
      < 6.634429, 0.509124, 0.361126>,
      < 6.634385, 0.375719, 0.467785>
    }
    triangle {
      < 6.684336, 0.195568, 0.461057>,
      < 6.684336, 0.352180, 0.421582>,
      < 6.634385, 0.375719, 0.467785>
    }
    triangle {
      < 6.684336, 0.195568, 0.461057>,
      < 6.634385, 0.375719, 0.467785>,
      < 6.634334, 0.203329, 0.510677>
    }
    triangle {
      < 6.684336, 0.031728, 0.471195>,
      < 6.684336, 0.195568, 0.461057>,
      < 6.634334, 0.203329, 0.510677>
    }
    triangle {
      < 6.684336, 0.031728, 0.471195>,
      < 6.634334, 0.203329, 0.510677>,
      < 6.634434, 0.028676, 0.524650>
    }
    triangle {
      < 6.684336, -0.075913, 0.450460>,
      < 6.684336, 0.031728, 0.471195>,
      < 6.634434, 0.028676, 0.524650>
    }
    triangle {
      < 6.684336, -0.075913, 0.450460>,
      < 6.634434, 0.028676, 0.524650>,
      < 6.634652, -0.088625, 0.504625>
    }
    triangle {
      < 6.634652, -0.088625, 0.504625>,
      < 6.634734, -0.181332, 0.478734>,
      < 6.684336, -0.164028, 0.427821>
    }
    triangle {
      < 6.634652, -0.088625, 0.504625>,
      < 6.684336, -0.164028, 0.427821>,
      < 6.684336, -0.075913, 0.450460>
    }
    triangle {
      < 6.684336, -0.307884, 0.397477>,
      < 6.684336, -0.164028, 0.427821>,
      < 6.634734, -0.181332, 0.478734>
    }
    triangle {
      < 6.684336, -0.307884, 0.397477>,
      < 6.634734, -0.181332, 0.478734>,
      < 6.635214, -0.323683, 0.447942>
    }
    triangle {
      < 6.684336, -0.434718, 0.390959>,
      < 6.684336, -0.307884, 0.397477>,
      < 6.635214, -0.323683, 0.447942>
    }
    triangle {
      < 6.684336, -0.434718, 0.390959>,
      < 6.635214, -0.323683, 0.447942>,
      < 6.635345, -0.459933, 0.440246>
    }
    triangle {
      < 6.684336, -0.565572, 0.311244>,
      < 6.684336, -0.434718, 0.390959>,
      < 6.635345, -0.459933, 0.440246>
    }
    triangle {
      < 6.684336, -0.565572, 0.311244>,
      < 6.635345, -0.459933, 0.440246>,
      < 6.635196, -0.609515, 0.350011>
    }
    triangle {
      < 6.684336, -0.601128, 0.269432>,
      < 6.684336, -0.565572, 0.311244>,
      < 6.635196, -0.609515, 0.350011>
    }
    triangle {
      < 6.684336, -0.601128, 0.269432>,
      < 6.635196, -0.609515, 0.350011>,
      < 6.634674, -0.657331, 0.295157>
    }
    triangle {
      < 6.684336, -0.644809, 0.143792>,
      < 6.684336, -0.601128, 0.269432>,
      < 6.634674, -0.657331, 0.295157>
    }
    triangle {
      < 6.684336, -0.644809, 0.143792>,
      < 6.634674, -0.657331, 0.295157>,
      < 6.634470, -0.707556, 0.152436>
    }
    triangle {
      < 6.634470, -0.707556, 0.152436>,
      < 6.634604, -0.707387, 0.000000>,
      < 6.684336, -0.644809, 0.000000>
    }
    triangle {
      < 6.634470, -0.707556, 0.152436>,
      < 6.684336, -0.644809, 0.000000>,
      < 6.684336, -0.644809, 0.143792>
    }
    triangle {
      < 6.634465, 0.607010, 0.152369>,
      < 6.634465, 0.607010, 0.000000>,
      < 6.572132, 0.636542, 0.000000>
    }
    triangle {
      < 6.634465, 0.607010, 0.152369>,
      < 6.572132, 0.636542, 0.000000>,
      < 6.572132, 0.636542, 0.156457>
    }
    triangle {
      < 6.634446, 0.556960, 0.300481>,
      < 6.634465, 0.607010, 0.152369>,
      < 6.572132, 0.636542, 0.156457>
    }
    triangle {
      < 6.634446, 0.556960, 0.300481>,
      < 6.572132, 0.636542, 0.156457>,
      < 6.572089, 0.583477, 0.312522>
    }
    triangle {
      < 6.634429, 0.509124, 0.361126>,
      < 6.634446, 0.556960, 0.300481>,
      < 6.572089, 0.583477, 0.312522>
    }
    triangle {
      < 6.634429, 0.509124, 0.361126>,
      < 6.572089, 0.583477, 0.312522>,
      < 6.572050, 0.530397, 0.379419>
    }
    triangle {
      < 6.634385, 0.375719, 0.467785>,
      < 6.634429, 0.509124, 0.361126>,
      < 6.572050, 0.530397, 0.379419>
    }
    triangle {
      < 6.634385, 0.375719, 0.467785>,
      < 6.572050, 0.530397, 0.379419>,
      < 6.571951, 0.389182, 0.490883>
    }
    triangle {
      < 6.634334, 0.203329, 0.510677>,
      < 6.634385, 0.375719, 0.467785>,
      < 6.571951, 0.389182, 0.490883>
    }
    triangle {
      < 6.634334, 0.203329, 0.510677>,
      < 6.571951, 0.389182, 0.490883>,
      < 6.571836, 0.207239, 0.535484>
    }
    triangle {
      < 6.634434, 0.028676, 0.524650>,
      < 6.634334, 0.203329, 0.510677>,
      < 6.571836, 0.207239, 0.535484>
    }
    triangle {
      < 6.634434, 0.028676, 0.524650>,
      < 6.571836, 0.207239, 0.535484>,
      < 6.572061, 0.027289, 0.553741>
    }
    triangle {
      < 6.634652, -0.088625, 0.504625>,
      < 6.634434, 0.028676, 0.524650>,
      < 6.572061, 0.027289, 0.553741>
    }
    triangle {
      < 6.634652, -0.088625, 0.504625>,
      < 6.572061, 0.027289, 0.553741>,
      < 6.572553, -0.096294, 0.535720>
    }
    triangle {
      < 6.634734, -0.181332, 0.478734>,
      < 6.634652, -0.088625, 0.504625>,
      < 6.572553, -0.096294, 0.535720>
    }
    triangle {
      < 6.634734, -0.181332, 0.478734>,
      < 6.572553, -0.096294, 0.535720>,
      < 6.572738, -0.194421, 0.505845>
    }
    triangle {
      < 6.635214, -0.323683, 0.447942>,
      < 6.634734, -0.181332, 0.478734>,
      < 6.572738, -0.194421, 0.505845>
    }
    triangle {
      < 6.635214, -0.323683, 0.447942>,
      < 6.572738, -0.194421, 0.505845>,
      < 6.573818, -0.338568, 0.473719>
    }
    triangle {
      < 6.635345, -0.459933, 0.440246>,
      < 6.635214, -0.323683, 0.447942>,
      < 6.573818, -0.338568, 0.473719>
    }
    triangle {
      < 6.635345, -0.459933, 0.440246>,
      < 6.573818, -0.338568, 0.473719>,
      < 6.574113, -0.480045, 0.464885>
    }
    triangle {
      < 6.635196, -0.609515, 0.350011>,
      < 6.635345, -0.459933, 0.440246>,
      < 6.574113, -0.480045, 0.464885>
    }
    triangle {
      < 6.635196, -0.609515, 0.350011>,
      < 6.574113, -0.480045, 0.464885>,
      < 6.574482, -0.639148, 0.369020>
    }
    triangle {
      < 6.634674, -0.657331, 0.295157>,
      < 6.635196, -0.609515, 0.350011>,
      < 6.574482, -0.639148, 0.369020>
    }
    triangle {
      < 6.634674, -0.657331, 0.295157>,
      < 6.574482, -0.639148, 0.369020>,
      < 6.574611, -0.692189, 0.307323>
    }
    triangle {
      < 6.634470, -0.707556, 0.152436>,
      < 6.634674, -0.657331, 0.295157>,
      < 6.574611, -0.692189, 0.307323>
    }
    triangle {
      < 6.634470, -0.707556, 0.152436>,
      < 6.574611, -0.692189, 0.307323>,
      < 6.574741, -0.745212, 0.156457>
    }
    triangle {
      < 6.634604, -0.707387, 0.000000>,
      < 6.634470, -0.707556, 0.152436>,
      < 6.574741, -0.745212, 0.156457>
    }
    triangle {
      < 6.634604, -0.707387, 0.000000>,
      < 6.574741, -0.745212, 0.156457>,
      < 6.574741, -0.745212, 0.000000>
    }
    triangle {
      < 6.684336, -0.164028, 0.427821>,
      < 6.684336, -0.307884, 0.397477>,
      < 6.684336, -0.303959, 0.380123>
    }
    triangle {
      < 6.684336, -0.164028, 0.427821>,
      < 6.684336, -0.303959, 0.380123>,
      < 6.684336, -0.163603, 0.323078>
    }
    triangle {
      < 6.684336, -0.075913, 0.450460>,
      < 6.684336, -0.164028, 0.427821>,
      < 6.684336, -0.163603, 0.323078>
    }
    triangle {
      < 6.684336, -0.075913, 0.450460>,
      < 6.684336, -0.163603, 0.323078>,
      < 6.684336, -0.080699, 0.402043>
    }
    triangle {
      < 6.684336, 0.031728, 0.471195>,
      < 6.684336, -0.075913, 0.450460>,
      < 6.684336, -0.080699, 0.402043>
    }
    triangle {
      < 6.684336, 0.031728, 0.471195>,
      < 6.684336, -0.080699, 0.402043>,
      < 6.684336, 0.029323, 0.441543>
    }
    triangle {
      < 6.684336, 0.195568, 0.461057>,
      < 6.684336, 0.031728, 0.471195>,
      < 6.684336, 0.029323, 0.441543>
    }
    triangle {
      < 6.684336, 0.195568, 0.461057>,
      < 6.684336, 0.029323, 0.441543>,
      < 6.684336, 0.194024, 0.451133>
    }
    triangle {
      < 6.684336, 0.194024, 0.451133>,
      < 6.684336, 0.234120, 0.435870>,
      < 6.684336, 0.345796, 0.407722>
    }
    triangle {
      < 6.684336, 0.194024, 0.451133>,
      < 6.684336, 0.345796, 0.407722>,
      < 6.684336, 0.352180, 0.421582>
    }
    triangle {
      < 6.684336, 0.194024, 0.451133>,
      < 6.684336, 0.352180, 0.421582>,
      < 6.684336, 0.195568, 0.461057>
    }
    triangle {
      < 6.684336, 0.345796, 0.407722>,
      < 6.684336, 0.478740, 0.313557>,
      < 6.684336, 0.489194, 0.324534>
    }
    triangle {
      < 6.684336, 0.345796, 0.407722>,
      < 6.684336, 0.489194, 0.324534>,
      < 6.684336, 0.352180, 0.421582>
    }
    triangle {
      < 6.684336, 0.478740, 0.313557>,
      < 6.684336, 0.513554, 0.269169>,
      < 6.684336, 0.526950, 0.276394>
    }
    triangle {
      < 6.684336, 0.478740, 0.313557>,
      < 6.684336, 0.526950, 0.276394>,
      < 6.684336, 0.489194, 0.324534>
    }
    triangle {
      < 6.684336, 0.513554, 0.269169>,
      < 6.684336, 0.556381, 0.141738>,
      < 6.684336, 0.571381, 0.144191>
    }
    triangle {
      < 6.684336, 0.513554, 0.269169>,
      < 6.684336, 0.571381, 0.144191>,
      < 6.684336, 0.526950, 0.276394>
    }
    triangle {
      < 6.684336, 0.556381, 0.141738>,
      < 6.684336, 0.557001, 0.000000>,
      < 6.684336, 0.571381, 0.000000>
    }
    triangle {
      < 6.684336, 0.556381, 0.141738>,
      < 6.684336, 0.571381, 0.000000>,
      < 6.684336, 0.571381, 0.144191>
    }
    triangle {
      < 6.684336, -0.629809, 0.141259>,
      < 6.684336, -0.644809, 0.143792>,
      < 6.684336, -0.644809, 0.000000>
    }
    triangle {
      < 6.684336, -0.629809, 0.141259>,
      < 6.684336, -0.644809, 0.000000>,
      < 6.684336, -0.624314, 0.000000>
    }
    triangle {
      < 6.684336, -0.629809, 0.141259>,
      < 6.684336, -0.587882, 0.261854>,
      < 6.684336, -0.601128, 0.269432>
    }
    triangle {
      < 6.684336, -0.629809, 0.141259>,
      < 6.684336, -0.601128, 0.269432>,
      < 6.684336, -0.644809, 0.143792>
    }
    triangle {
      < 6.684336, -0.587882, 0.261854>,
      < 6.684336, -0.555708, 0.299689>,
      < 6.684336, -0.565572, 0.311244>
    }
    triangle {
      < 6.684336, -0.587882, 0.261854>,
      < 6.684336, -0.565572, 0.311244>,
      < 6.684336, -0.601128, 0.269432>
    }
    triangle {
      < 6.684336, -0.555708, 0.299689>,
      < 6.684336, -0.453436, 0.361991>,
      < 6.684336, -0.431677, 0.381101>
    }
    triangle {
      < 6.684336, -0.555708, 0.299689>,
      < 6.684336, -0.431677, 0.381101>,
      < 6.684336, -0.434718, 0.390959>
    }
    triangle {
      < 6.684336, -0.555708, 0.299689>,
      < 6.684336, -0.434718, 0.390959>,
      < 6.684336, -0.565572, 0.311244>
    }
    triangle {
      < 6.684336, -0.307884, 0.397477>,
      < 6.684336, -0.434718, 0.390959>,
      < 6.684336, -0.431677, 0.381101>
    }
    triangle {
      < 6.684336, -0.307884, 0.397477>,
      < 6.684336, -0.431677, 0.381101>,
      < 6.684336, -0.303959, 0.380123>
    }
    triangle {
      < 6.684336, -0.064552, 0.375992>,
      < 6.684336, -0.145284, 0.299096>,
      < 6.684336, -0.129047, 0.000000>
    }
    triangle {
      < 6.684336, -0.064552, 0.375992>,
      < 6.684336, -0.129047, 0.000000>,
      < 6.684336, 0.557001, 0.000000>
    }
    triangle {
      < 6.684336, -0.064552, 0.375992>,
      < 6.684336, 0.557001, 0.000000>,
      < 6.684336, 0.556381, 0.141738>
    }
    triangle {
      < 6.684336, -0.064552, 0.375992>,
      < 6.684336, 0.556381, 0.141738>,
      < 6.684336, 0.513554, 0.269169>
    }
    triangle {
      < 6.684336, -0.064552, 0.375992>,
      < 6.684336, 0.513554, 0.269169>,
      < 6.684336, 0.478740, 0.313557>
    }
    triangle {
      < 6.684336, -0.064552, 0.375992>,
      < 6.684336, 0.478740, 0.313557>,
      < 6.684336, 0.345796, 0.407722>
    }
    triangle {
      < 6.684336, -0.064552, 0.375992>,
      < 6.684336, 0.345796, 0.407722>,
      < 6.684336, 0.234120, 0.435870>
    }
    triangle {
      < 6.684336, -0.064552, 0.375992>,
      < 6.684336, 0.234120, 0.435870>,
      < 6.684336, 0.036183, 0.412612>
    }
    triangle {
      < 6.684336, -0.159855, 0.290230>,
      < 6.684336, -0.145284, 0.299096>,
      < 6.684336, -0.149751, 0.315557>
    }
    triangle {
      < 6.684336, -0.159855, 0.290230>,
      < 6.684336, -0.149751, 0.315557>,
      < 6.684336, -0.160612, 0.305211>
    }
    triangle {
      < 6.684336, -0.149751, 0.315557>,
      < 6.684336, -0.163603, 0.323078>,
      < 6.684336, -0.160612, 0.305211>
    }
    triangle {
      < 6.684336, -0.163603, 0.323078>,
      < 6.684336, -0.174250, 0.311456>,
      < 6.684336, -0.160612, 0.305211>
    }
    triangle {
      < 6.684336, -0.174250, 0.311456>,
      < 6.684336, -0.182333, 0.295363>,
      < 6.684336, -0.159855, 0.290230>
    }
    triangle {
      < 6.684336, -0.174250, 0.311456>,
      < 6.684336, -0.159855, 0.290230>,
      < 6.684336, -0.160612, 0.305211>
    }
    triangle {
      < 6.684336, -0.431677, 0.381101>,
      < 6.684336, -0.453436, 0.361991>,
      < 6.684336, -0.430156, 0.376173>
    }
    triangle {
      < 6.684336, 0.234120, 0.435870>,
      < 6.684336, 0.194024, 0.451133>,
      < 6.684336, 0.193252, 0.446172>
    }
    triangle {
      < 6.684336, -0.159085, 0.000000>,
      < 6.684336, -0.144066, 0.000000>,
      < 6.684336, -0.159855, 0.290230>
    }
    triangle {
      < 6.684336, -0.159085, 0.000000>,
      < 6.684336, -0.159855, 0.290230>,
      < 6.684336, -0.182333, 0.295363>
    }
    triangle {
      < 6.684336, -0.144066, 0.000000>,
      < 6.684336, -0.129047, 0.000000>,
      < 6.684336, -0.145284, 0.299096>
    }
    triangle {
      < 6.684336, -0.144066, 0.000000>,
      < 6.684336, -0.145284, 0.299096>,
      < 6.684336, -0.159855, 0.290230>
    }
    triangle {
      < 6.684336, -0.303959, 0.380123>,
      < 6.684336, -0.305939, 0.371757>,
      < 6.684336, -0.174250, 0.311456>
    }
    triangle {
      < 6.684336, -0.303959, 0.380123>,
      < 6.684336, -0.174250, 0.311456>,
      < 6.684336, -0.163603, 0.323078>
    }
    triangle {
      < 6.684336, -0.305939, 0.371757>,
      < 6.684336, -0.309463, 0.356873>,
      < 6.684336, -0.182333, 0.295363>
    }
    triangle {
      < 6.684336, -0.305939, 0.371757>,
      < 6.684336, -0.182333, 0.295363>,
      < 6.684336, -0.174250, 0.311456>
    }
    triangle {
      < 6.684336, -0.431677, 0.381101>,
      < 6.684336, -0.430156, 0.376173>,
      < 6.684336, -0.305939, 0.371757>
    }
    triangle {
      < 6.684336, -0.431677, 0.381101>,
      < 6.684336, -0.305939, 0.371757>,
      < 6.684336, -0.303959, 0.380123>
    }
    triangle {
      < 6.684336, -0.430156, 0.376173>,
      < 6.684336, -0.453436, 0.361991>,
      < 6.684336, -0.309463, 0.356873>
    }
    triangle {
      < 6.684336, -0.430156, 0.376173>,
      < 6.684336, -0.309463, 0.356873>,
      < 6.684336, -0.305939, 0.371757>
    }
    triangle {
      < 6.684336, -0.163603, 0.323078>,
      < 6.684336, -0.149751, 0.315557>,
      < 6.684336, -0.072625, 0.389017>
    }
    triangle {
      < 6.684336, -0.163603, 0.323078>,
      < 6.684336, -0.072625, 0.389017>,
      < 6.684336, -0.080699, 0.402043>
    }
    triangle {
      < 6.684336, -0.149751, 0.315557>,
      < 6.684336, -0.145284, 0.299096>,
      < 6.684336, -0.064552, 0.375992>
    }
    triangle {
      < 6.684336, -0.149751, 0.315557>,
      < 6.684336, -0.064552, 0.375992>,
      < 6.684336, -0.072625, 0.389017>
    }
    triangle {
      < 6.684336, -0.080699, 0.402043>,
      < 6.684336, -0.072625, 0.389017>,
      < 6.684336, 0.032698, 0.427306>
    }
    triangle {
      < 6.684336, -0.080699, 0.402043>,
      < 6.684336, 0.032698, 0.427306>,
      < 6.684336, 0.029323, 0.441543>
    }
    triangle {
      < 6.684336, -0.072625, 0.389017>,
      < 6.684336, -0.064552, 0.375992>,
      < 6.684336, 0.036183, 0.412612>
    }
    triangle {
      < 6.684336, -0.072625, 0.389017>,
      < 6.684336, 0.036183, 0.412612>,
      < 6.684336, 0.032698, 0.427306>
    }
    triangle {
      < 6.684336, 0.029323, 0.441543>,
      < 6.684336, 0.032698, 0.427306>,
      < 6.684336, 0.193252, 0.446172>
    }
    triangle {
      < 6.684336, 0.029323, 0.441543>,
      < 6.684336, 0.193252, 0.446172>,
      < 6.684336, 0.194024, 0.451133>
    }
    triangle {
      < 6.684336, 0.032698, 0.427306>,
      < 6.684336, 0.036183, 0.412612>,
      < 6.684336, 0.234120, 0.435870>
    }
    triangle {
      < 6.684336, 0.032698, 0.427306>,
      < 6.684336, 0.234120, 0.435870>,
      < 6.684336, 0.193252, 0.446172>
    }
    triangle {
      < 6.576936, -0.555708, 0.299689>,
      < 6.576936, -0.453436, 0.361991>,
      < 6.684336, -0.453436, 0.361991>
    }
    triangle {
      < 6.576936, -0.555708, 0.299689>,
      < 6.684336, -0.453436, 0.361991>,
      < 6.684336, -0.555708, 0.299689>
    }
    triangle {
      < 6.576936, -0.453436, 0.361991>,
      < 6.576936, -0.309463, 0.356873>,
      < 6.684336, -0.309463, 0.356873>
    }
    triangle {
      < 6.576936, -0.453436, 0.361991>,
      < 6.684336, -0.309463, 0.356873>,
      < 6.684336, -0.453436, 0.361991>
    }
    triangle {
      < 6.576936, -0.309463, 0.356873>,
      < 6.576936, -0.182333, 0.295363>,
      < 6.684336, -0.182333, 0.295363>
    }
    triangle {
      < 6.576936, -0.309463, 0.356873>,
      < 6.684336, -0.182333, 0.295363>,
      < 6.684336, -0.309463, 0.356873>
    }
    triangle {
      < 6.576936, -0.182333, 0.295363>,
      < 6.576936, -0.159085, 0.000000>,
      < 6.684336, -0.159085, 0.000000>
    }
    triangle {
      < 6.576936, -0.182333, 0.295363>,
      < 6.684336, -0.159085, 0.000000>,
      < 6.684336, -0.182333, 0.295363>
    }
    triangle {
      < 6.576936, -0.624314, 0.000000>,
      < 6.576936, -0.629809, 0.141259>,
      < 6.684336, -0.629809, 0.141259>
    }
    triangle {
      < 6.576936, -0.624314, 0.000000>,
      < 6.684336, -0.629809, 0.141259>,
      < 6.684336, -0.624314, 0.000000>
    }
    triangle {
      < 6.576936, -0.629809, 0.141259>,
      < 6.576936, -0.587882, 0.261854>,
      < 6.684336, -0.587882, 0.261854>
    }
    triangle {
      < 6.576936, -0.629809, 0.141259>,
      < 6.684336, -0.587882, 0.261854>,
      < 6.684336, -0.629809, 0.141259>
    }
    triangle {
      < 6.576936, -0.587882, 0.261854>,
      < 6.576936, -0.555708, 0.299689>,
      < 6.684336, -0.555708, 0.299689>
    }
    triangle {
      < 6.576936, -0.587882, 0.261854>,
      < 6.684336, -0.555708, 0.299689>,
      < 6.684336, -0.587882, 0.261854>
    }
    texture {fuselage}
  }
  // exhaust
  union {
    triangle {
      < 5.759221, 0.233548, 0.620602>,
      < 6.058621, 0.226609, 0.620602>,
      < 6.058460, 0.211786, 0.535484>
    }
    triangle {
      < 5.759221, 0.233548, 0.620602>,
      < 6.058460, 0.211786, 0.535484>,
      < 5.759059, 0.218724, 0.535484>
    }
    triangle {
      < 6.058621, 0.226609, 0.620602>,
      < 6.058621, -0.027263, 0.665190>,
      < 6.058460, -0.042087, 0.580071>
    }
    triangle {
      < 6.058621, 0.226609, 0.620602>,
      < 6.058460, -0.042087, 0.580071>,
      < 6.058460, 0.211786, 0.535484>
    }
    triangle {
      < 6.058621, -0.027263, 0.665190>,
      < 5.759221, -0.021581, 0.665190>,
      < 5.759059, -0.036405, 0.580071>
    }
    triangle {
      < 6.058621, -0.027263, 0.665190>,
      < 5.759059, -0.036405, 0.580071>,
      < 6.058460, -0.042087, 0.580071>
    }
    triangle {
      < 5.759221, -0.021581, 0.665190>,
      < 5.384221, -0.019437, 0.665190>,
      < 5.384059, -0.034261, 0.580071>
    }
    triangle {
      < 5.759221, -0.021581, 0.665190>,
      < 5.384059, -0.034261, 0.580071>,
      < 5.759059, -0.036405, 0.580071>
    }
    triangle {
      < 5.384221, -0.019437, 0.665190>,
      < 5.045221, -0.019784, 0.665190>,
      < 5.045059, -0.034608, 0.580071>
    }
    triangle {
      < 5.384221, -0.019437, 0.665190>,
      < 5.045059, -0.034608, 0.580071>,
      < 5.384059, -0.034261, 0.580071>
    }
    triangle {
      < 5.045221, -0.019784, 0.665190>,
      < 4.526221, -0.014311, 0.665190>,
      < 4.526059, -0.029135, 0.580071>
    }
    triangle {
      < 5.045221, -0.019784, 0.665190>,
      < 4.526059, -0.029135, 0.580071>,
      < 5.045059, -0.034608, 0.580071>
    }
    triangle {
      < 4.526221, -0.014311, 0.665190>,
      < 3.766021, -0.003440, 0.665190>,
      < 3.765859, -0.018264, 0.580071>
    }
    triangle {
      < 4.526221, -0.014311, 0.665190>,
      < 3.765859, -0.018264, 0.580071>,
      < 4.526059, -0.029135, 0.580071>
    }
    texture {exhaust}
  }
  // fuselage
  union {
    triangle {
      < 3.766021, -0.003440, 0.665190>,
      < 3.766021, 0.253853, 0.620602>,
      < 3.765859, 0.239029, 0.535484>
    }
    triangle {
      < 3.766021, -0.003440, 0.665190>,
      < 3.765859, 0.239029, 0.535484>,
      < 3.765859, -0.018264, 0.580071>
    }
    texture {fuselage}
  }
  // exhaust
  union {
    triangle {
      < 3.766021, 0.253853, 0.620602>,
      < 4.526221, 0.245120, 0.620602>,
      < 4.526059, 0.230297, 0.535484>
    }
    triangle {
      < 3.766021, 0.253853, 0.620602>,
      < 4.526059, 0.230297, 0.535484>,
      < 3.765859, 0.239029, 0.535484>
    }
    triangle {
      < 4.526221, 0.245120, 0.620602>,
      < 5.045221, 0.237199, 0.620602>,
      < 5.045059, 0.222375, 0.535484>
    }
    triangle {
      < 4.526221, 0.245120, 0.620602>,
      < 5.045059, 0.222375, 0.535484>,
      < 4.526059, 0.230297, 0.535484>
    }
    triangle {
      < 5.045221, 0.237199, 0.620602>,
      < 5.384221, 0.233599, 0.620602>,
      < 5.384059, 0.218775, 0.535484>
    }
    triangle {
      < 5.045221, 0.237199, 0.620602>,
      < 5.384059, 0.218775, 0.535484>,
      < 5.045059, 0.222375, 0.535484>
    }
    triangle {
      < 5.384221, 0.233599, 0.620602>,
      < 5.759221, 0.233548, 0.620602>,
      < 5.759059, 0.218724, 0.535484>
    }
    triangle {
      < 5.384221, 0.233599, 0.620602>,
      < 5.759059, 0.218724, 0.535484>,
      < 5.384059, 0.218775, 0.535484>
    }
    triangle {
      < 5.759249, 0.221346, 0.637962>,
      < 6.043650, 0.214751, 0.637964>,
      < 6.058621, 0.226609, 0.620602>
    }
    triangle {
      < 5.759249, 0.221346, 0.637962>,
      < 6.058621, 0.226609, 0.620602>,
      < 5.759221, 0.233548, 0.620602>
    }
    triangle {
      < 5.384249, 0.221400, 0.637983>,
      < 5.759249, 0.221346, 0.637962>,
      < 5.759221, 0.233548, 0.620602>
    }
    triangle {
      < 5.384249, 0.221400, 0.637983>,
      < 5.759221, 0.233548, 0.620602>,
      < 5.384221, 0.233599, 0.620602>
    }
    triangle {
      < 4.991249, 0.224993, 0.637944>,
      < 5.384249, 0.221400, 0.637983>,
      < 5.384221, 0.233599, 0.620602>
    }
    triangle {
      < 4.991249, 0.224993, 0.637944>,
      < 5.384221, 0.233599, 0.620602>,
      < 5.045221, 0.237199, 0.620602>
    }
    triangle {
      < 4.526249, 0.232911, 0.637921>,
      < 4.991249, 0.224993, 0.637944>,
      < 5.045221, 0.237199, 0.620602>
    }
    triangle {
      < 4.526249, 0.232911, 0.637921>,
      < 5.045221, 0.237199, 0.620602>,
      < 4.526221, 0.245120, 0.620602>
    }
    triangle {
      < 3.781049, 0.241471, 0.637928>,
      < 4.153649, 0.237191, 0.637924>,
      < 4.526249, 0.232911, 0.637921>
    }
    triangle {
      < 3.781049, 0.241471, 0.637928>,
      < 4.526249, 0.232911, 0.637921>,
      < 4.526221, 0.245120, 0.620602>
    }
    triangle {
      < 3.781049, 0.241471, 0.637928>,
      < 4.526221, 0.245120, 0.620602>,
      < 3.766021, 0.253853, 0.620602>
    }
    triangle {
      < 4.526249, 0.003046, 0.677426>,
      < 4.153649, 0.008374, 0.677423>,
      < 3.781049, 0.013703, 0.677419>
    }
    triangle {
      < 4.526249, 0.003046, 0.677426>,
      < 3.781049, 0.013703, 0.677419>,
      < 3.766021, -0.003440, 0.665190>
    }
    triangle {
      < 4.526249, 0.003046, 0.677426>,
      < 3.766021, -0.003440, 0.665190>,
      < 4.526221, -0.014311, 0.665190>
    }
    triangle {
      < 4.991249, -0.002431, 0.677403>,
      < 4.526249, 0.003046, 0.677426>,
      < 4.526221, -0.014311, 0.665190>
    }
    triangle {
      < 4.991249, -0.002431, 0.677403>,
      < 4.526221, -0.014311, 0.665190>,
      < 5.045221, -0.019784, 0.665190>
    }
    triangle {
      < 5.384249, -0.002091, 0.677364>,
      < 4.991249, -0.002431, 0.677403>,
      < 5.045221, -0.019784, 0.665190>
    }
    triangle {
      < 5.384249, -0.002091, 0.677364>,
      < 5.045221, -0.019784, 0.665190>,
      < 5.384221, -0.019437, 0.665190>
    }
    triangle {
      < 5.759249, -0.004231, 0.677385>,
      < 5.384249, -0.002091, 0.677364>,
      < 5.384221, -0.019437, 0.665190>
    }
    triangle {
      < 5.759249, -0.004231, 0.677385>,
      < 5.384221, -0.019437, 0.665190>,
      < 5.759221, -0.021581, 0.665190>
    }
    triangle {
      < 6.043650, -0.009627, 0.677383>,
      < 5.759249, -0.004231, 0.677385>,
      < 5.759221, -0.021581, 0.665190>
    }
    triangle {
      < 6.043650, -0.009627, 0.677383>,
      < 5.759221, -0.021581, 0.665190>,
      < 6.058621, -0.027263, 0.665190>
    }
    triangle {
      < 6.043650, 0.214751, 0.637964>,
      < 6.043650, -0.009627, 0.677383>,
      < 6.058621, -0.027263, 0.665190>
    }
    triangle {
      < 6.043650, 0.214751, 0.637964>,
      < 6.058621, -0.027263, 0.665190>,
      < 6.058621, 0.226609, 0.620602>
    }
    triangle {
      < 3.781049, 0.013703, 0.677419>,
      < 3.781049, 0.241471, 0.637928>,
      < 3.766021, 0.253853, 0.620602>
    }
    triangle {
      < 3.781049, 0.013703, 0.677419>,
      < 3.766021, 0.253853, 0.620602>,
      < 3.766021, -0.003440, 0.665190>
    }
    triangle {
      < 4.183962, 0.154575, 0.787896>,
      < 4.183962, 0.135704, 0.791156>,
      < 4.440467, 0.121757, 0.729985>
    }
    triangle {
      < 4.183962, 0.154575, 0.787896>,
      < 4.440467, 0.121757, 0.729985>,
      < 4.440471, 0.140779, 0.726736>
    }
    triangle {
      < 5.789249, 0.191094, 0.643152>,
      < 6.013650, 0.185887, 0.643132>,
      < 6.043650, 0.214751, 0.637964>
    }
    triangle {
      < 5.789249, 0.191094, 0.643152>,
      < 6.043650, 0.214751, 0.637964>,
      < 5.759249, 0.221346, 0.637962>
    }
    triangle {
      < 6.013650, 0.185887, 0.643132>,
      < 6.013650, 0.020499, 0.672215>,
      < 6.043650, -0.009627, 0.677383>
    }
    triangle {
      < 6.013650, 0.185887, 0.643132>,
      < 6.043650, -0.009627, 0.677383>,
      < 6.043650, 0.214751, 0.637964>
    }
    triangle {
      < 6.013650, 0.020499, 0.672215>,
      < 5.789249, 0.024753, 0.672195>,
      < 5.759249, -0.004231, 0.677385>
    }
    triangle {
      < 6.013650, 0.020499, 0.672215>,
      < 5.759249, -0.004231, 0.677385>,
      < 6.043650, -0.009627, 0.677383>
    }
    triangle {
      < 5.789249, 0.024753, 0.672195>,
      < 5.789249, 0.191094, 0.643152>,
      < 5.759249, 0.221346, 0.637962>
    }
    triangle {
      < 5.789249, 0.024753, 0.672195>,
      < 5.759249, 0.221346, 0.637962>,
      < 5.759249, -0.004231, 0.677385>
    }
    triangle {
      < 5.414249, 0.191845, 0.643154>,
      < 5.729249, 0.191804, 0.643162>,
      < 5.759249, 0.221346, 0.637962>
    }
    triangle {
      < 5.414249, 0.191845, 0.643154>,
      < 5.759249, 0.221346, 0.637962>,
      < 5.384249, 0.221400, 0.637983>
    }
    triangle {
      < 5.729249, 0.191804, 0.643162>,
      < 5.729249, 0.025487, 0.672185>,
      < 5.759249, -0.004231, 0.677385>
    }
    triangle {
      < 5.729249, 0.191804, 0.643162>,
      < 5.759249, -0.004231, 0.677385>,
      < 5.759249, 0.221346, 0.637962>
    }
    triangle {
      < 5.729249, 0.025487, 0.672185>,
      < 5.414249, 0.027289, 0.672193>,
      < 5.384249, -0.002091, 0.677364>
    }
    triangle {
      < 5.729249, 0.025487, 0.672185>,
      < 5.384249, -0.002091, 0.677364>,
      < 5.759249, -0.004231, 0.677385>
    }
    triangle {
      < 5.414249, 0.027289, 0.672193>,
      < 5.414249, 0.191845, 0.643154>,
      < 5.384249, 0.221400, 0.637983>
    }
    triangle {
      < 5.414249, 0.027289, 0.672193>,
      < 5.384249, 0.221400, 0.637983>,
      < 5.384249, -0.002091, 0.677364>
    }
    triangle {
      < 5.021249, 0.195170, 0.643137>,
      < 5.354249, 0.192117, 0.643125>,
      < 5.384249, 0.221400, 0.637983>
    }
    triangle {
      < 5.021249, 0.195170, 0.643137>,
      < 5.384249, 0.221400, 0.637983>,
      < 4.991249, 0.224993, 0.637944>
    }
    triangle {
      < 5.354249, 0.192117, 0.643125>,
      < 5.354249, 0.027439, 0.672223>,
      < 5.384249, -0.002091, 0.677364>
    }
    triangle {
      < 5.354249, 0.192117, 0.643125>,
      < 5.384249, -0.002091, 0.677364>,
      < 5.384249, 0.221400, 0.637983>
    }
    triangle {
      < 5.354249, 0.027439, 0.672223>,
      < 5.021249, 0.027142, 0.672210>,
      < 4.991249, -0.002431, 0.677403>
    }
    triangle {
      < 5.354249, 0.027439, 0.672223>,
      < 4.991249, -0.002431, 0.677403>,
      < 5.384249, -0.002091, 0.677364>
    }
    triangle {
      < 5.021249, 0.027142, 0.672210>,
      < 5.021249, 0.195170, 0.643137>,
      < 4.991249, 0.224993, 0.637944>
    }
    triangle {
      < 5.021249, 0.027142, 0.672210>,
      < 4.991249, 0.224993, 0.637944>,
      < 4.991249, -0.002431, 0.677403>
    }
    triangle {
      < 4.556249, 0.202835, 0.643039>,
      < 4.961249, 0.195935, 0.643036>,
      < 4.991249, 0.224993, 0.637944>
    }
    triangle {
      < 4.556249, 0.202835, 0.643039>,
      < 4.991249, 0.224993, 0.637944>,
      < 4.526249, 0.232911, 0.637921>
    }
    triangle {
      < 4.961249, 0.195935, 0.643036>,
      < 4.961249, 0.027488, 0.672311>,
      < 4.991249, -0.002431, 0.677403>
    }
    triangle {
      < 4.961249, 0.195935, 0.643036>,
      < 4.991249, -0.002431, 0.677403>,
      < 4.991249, 0.224993, 0.637944>
    }
    triangle {
      < 4.961249, 0.027488, 0.672311>,
      < 4.556249, 0.032255, 0.672308>,
      < 4.526249, 0.003046, 0.677426>
    }
    triangle {
      < 4.961249, 0.027488, 0.672311>,
      < 4.526249, 0.003046, 0.677426>,
      < 4.991249, -0.002431, 0.677403>
    }
    triangle {
      < 4.556249, 0.032255, 0.672308>,
      < 4.556249, 0.202835, 0.643039>,
      < 4.526249, 0.232911, 0.637921>
    }
    triangle {
      < 4.556249, 0.032255, 0.672308>,
      < 4.526249, 0.232911, 0.637921>,
      < 4.526249, 0.003046, 0.677426>
    }
    triangle {
      < 4.496249, 0.033041, 0.672327>,
      < 4.183649, 0.037514, 0.672337>,
      < 4.153649, 0.008374, 0.677423>
    }
    triangle {
      < 4.496249, 0.033041, 0.672327>,
      < 4.153649, 0.008374, 0.677423>,
      < 4.526249, 0.003046, 0.677426>
    }
    triangle {
      < 4.183649, 0.037514, 0.672337>,
      < 4.183649, 0.207279, 0.643010>,
      < 4.153649, 0.237191, 0.637924>
    }
    triangle {
      < 4.183649, 0.037514, 0.672337>,
      < 4.153649, 0.237191, 0.637924>,
      < 4.153649, 0.008374, 0.677423>
    }
    triangle {
      < 4.183649, 0.207279, 0.643010>,
      < 4.496249, 0.203690, 0.643020>,
      < 4.526249, 0.232911, 0.637921>
    }
    triangle {
      < 4.183649, 0.207279, 0.643010>,
      < 4.526249, 0.232911, 0.637921>,
      < 4.153649, 0.237191, 0.637924>
    }
    triangle {
      < 4.496249, 0.203690, 0.643020>,
      < 4.496249, 0.033041, 0.672327>,
      < 4.526249, 0.003046, 0.677426>
    }
    triangle {
      < 4.496249, 0.203690, 0.643020>,
      < 4.526249, 0.003046, 0.677426>,
      < 4.526249, 0.232911, 0.637921>
    }
    triangle {
      < 3.811049, 0.211563, 0.643035>,
      < 4.123649, 0.207974, 0.643046>,
      < 4.153649, 0.237191, 0.637924>
    }
    triangle {
      < 3.811049, 0.211563, 0.643035>,
      < 4.153649, 0.237191, 0.637924>,
      < 3.781049, 0.241471, 0.637928>
    }
    triangle {
      < 4.123649, 0.207974, 0.643046>,
      < 4.123649, 0.038366, 0.672301>,
      < 4.153649, 0.008374, 0.677423>
    }
    triangle {
      < 4.123649, 0.207974, 0.643046>,
      < 4.153649, 0.008374, 0.677423>,
      < 4.153649, 0.237191, 0.637924>
    }
    triangle {
      < 4.123649, 0.038366, 0.672301>,
      < 3.811049, 0.042839, 0.672312>,
      < 3.781049, 0.013703, 0.677419>
    }
    triangle {
      < 4.123649, 0.038366, 0.672301>,
      < 3.781049, 0.013703, 0.677419>,
      < 4.153649, 0.008374, 0.677423>
    }
    triangle {
      < 3.811049, 0.042839, 0.672312>,
      < 3.811049, 0.211563, 0.643035>,
      < 3.781049, 0.241471, 0.637928>
    }
    triangle {
      < 3.811049, 0.042839, 0.672312>,
      < 3.781049, 0.241471, 0.637928>,
      < 3.781049, 0.013703, 0.677419>
    }
    triangle {
      < 6.013744, 0.190352, 0.668613>,
      < 6.013791, 0.163037, 0.686547>,
      < 6.013791, 0.056743, 0.705239>
    }
    triangle {
      < 6.013744, 0.190352, 0.668613>,
      < 6.013791, 0.056743, 0.705239>,
      < 6.013744, 0.024964, 0.697696>
    }
    triangle {
      < 6.013744, 0.190352, 0.668613>,
      < 6.013744, 0.024964, 0.697696>,
      < 6.013650, 0.020499, 0.672215>
    }
    triangle {
      < 6.013744, 0.190352, 0.668613>,
      < 6.013650, 0.020499, 0.672215>,
      < 6.013650, 0.185887, 0.643132>
    }
    triangle {
      < 6.013744, 0.024964, 0.697696>,
      < 5.789425, 0.034935, 0.730789>,
      < 5.789249, 0.024753, 0.672195>
    }
    triangle {
      < 6.013744, 0.024964, 0.697696>,
      < 5.789249, 0.024753, 0.672195>,
      < 6.013650, 0.020499, 0.672215>
    }
    triangle {
      < 5.817692, 0.053548, 0.739481>,
      < 5.817801, 0.105656, 0.767781>,
      < 5.817801, 0.150825, 0.759894>
    }
    triangle {
      < 5.817692, 0.053548, 0.739481>,
      < 5.817801, 0.150825, 0.759894>,
      < 5.817692, 0.190334, 0.715584>
    }
    triangle {
      < 5.817692, 0.053548, 0.739481>,
      < 5.817692, 0.190334, 0.715584>,
      < 5.817493, 0.178872, 0.649628>
    }
    triangle {
      < 5.817692, 0.053548, 0.739481>,
      < 5.817493, 0.178872, 0.649628>,
      < 5.817493, 0.042083, 0.673511>
    }
    triangle {
      < 5.789425, 0.201277, 0.701746>,
      < 6.013744, 0.190352, 0.668613>,
      < 6.013650, 0.185887, 0.643132>
    }
    triangle {
      < 5.789425, 0.201277, 0.701746>,
      < 6.013650, 0.185887, 0.643132>,
      < 5.789249, 0.191094, 0.643152>
    }
    triangle {
      < 5.729262, 0.196275, 0.668642>,
      < 5.729269, 0.168957, 0.686537>,
      < 5.729269, 0.061747, 0.705246>
    }
    triangle {
      < 5.729262, 0.196275, 0.668642>,
      < 5.729269, 0.061747, 0.705246>,
      < 5.729262, 0.029958, 0.697665>
    }
    triangle {
      < 5.729262, 0.196275, 0.668642>,
      < 5.729262, 0.029958, 0.697665>,
      < 5.729249, 0.025487, 0.672185>
    }
    triangle {
      < 5.729262, 0.196275, 0.668642>,
      < 5.729249, 0.025487, 0.672185>,
      < 5.729249, 0.191804, 0.643162>
    }
    triangle {
      < 5.729262, 0.029958, 0.697665>,
      < 5.414345, 0.037478, 0.730786>,
      < 5.414249, 0.027289, 0.672193>
    }
    triangle {
      < 5.729262, 0.029958, 0.697665>,
      < 5.414249, 0.027289, 0.672193>,
      < 5.729249, 0.025487, 0.672185>
    }
    triangle {
      < 5.442581, 0.056106, 0.739551>,
      < 5.442639, 0.107638, 0.767803>,
      < 5.442639, 0.152130, 0.759951>
    }
    triangle {
      < 5.442581, 0.056106, 0.739551>,
      < 5.442639, 0.152130, 0.759951>,
      < 5.442580, 0.191110, 0.715680>
    }
    triangle {
      < 5.442581, 0.056106, 0.739551>,
      < 5.442580, 0.191110, 0.715680>,
      < 5.442473, 0.179635, 0.649694>
    }
    triangle {
      < 5.442581, 0.056106, 0.739551>,
      < 5.442473, 0.179635, 0.649694>,
      < 5.442473, 0.044623, 0.673520>
    }
    triangle {
      < 5.414344, 0.202034, 0.701747>,
      < 5.729262, 0.196275, 0.668642>,
      < 5.729249, 0.191804, 0.643162>
    }
    triangle {
      < 5.414344, 0.202034, 0.701747>,
      < 5.729249, 0.191804, 0.643162>,
      < 5.414249, 0.191845, 0.643154>
    }
    triangle {
      < 5.354268, 0.196573, 0.668607>,
      < 5.354277, 0.169258, 0.686567>,
      < 5.354277, 0.063664, 0.705225>
    }
    triangle {
      < 5.354268, 0.196573, 0.668607>,
      < 5.354277, 0.063664, 0.705225>,
      < 5.354268, 0.031894, 0.697705>
    }
    triangle {
      < 5.354268, 0.196573, 0.668607>,
      < 5.354268, 0.031894, 0.697705>,
      < 5.354249, 0.027439, 0.672223>
    }
    triangle {
      < 5.354268, 0.196573, 0.668607>,
      < 5.354249, 0.027439, 0.672223>,
      < 5.354249, 0.192117, 0.643125>
    }
    triangle {
      < 5.354268, 0.031894, 0.697705>,
      < 5.021350, 0.037316, 0.730806>,
      < 5.021249, 0.027142, 0.672210>
    }
    triangle {
      < 5.354268, 0.031894, 0.697705>,
      < 5.021249, 0.027142, 0.672210>,
      < 5.354249, 0.027439, 0.672223>
    }
    triangle {
      < 5.049587, 0.055925, 0.739501>,
      < 5.049650, 0.108573, 0.767837>,
      < 5.049650, 0.154380, 0.759911>
    }
    triangle {
      < 5.049587, 0.055925, 0.739501>,
      < 5.049650, 0.154380, 0.759911>,
      < 5.049588, 0.194393, 0.715552>
    }
    triangle {
      < 5.049587, 0.055925, 0.739501>,
      < 5.049588, 0.194393, 0.715552>,
      < 5.049474, 0.182947, 0.649626>
    }
    triangle {
      < 5.049587, 0.055925, 0.739501>,
      < 5.049474, 0.182947, 0.649626>,
      < 5.049474, 0.044480, 0.673585>
    }
    triangle {
      < 5.021350, 0.205343, 0.701733>,
      < 5.354268, 0.196573, 0.668607>,
      < 5.354249, 0.192117, 0.643125>
    }
    triangle {
      < 5.021350, 0.205343, 0.701733>,
      < 5.354249, 0.192117, 0.643125>,
      < 5.021249, 0.195170, 0.643137>
    }
    triangle {
      < 4.961312, 0.200337, 0.668528>,
      < 4.961344, 0.172981, 0.686409>,
      < 4.961344, 0.063648, 0.705410>
    }
    triangle {
      < 4.961312, 0.200337, 0.668528>,
      < 4.961344, 0.063648, 0.705410>,
      < 4.961313, 0.031890, 0.697803>
    }
    triangle {
      < 4.961312, 0.200337, 0.668528>,
      < 4.961313, 0.031890, 0.697803>,
      < 4.961249, 0.027488, 0.672311>
    }
    triangle {
      < 4.961312, 0.200337, 0.668528>,
      < 4.961249, 0.027488, 0.672311>,
      < 4.961249, 0.195935, 0.643036>
    }
    triangle {
      < 4.961313, 0.031890, 0.697803>,
      < 4.556395, 0.042375, 0.730913>,
      < 4.556249, 0.032255, 0.672308>
    }
    triangle {
      < 4.961313, 0.031890, 0.697803>,
      < 4.556249, 0.032255, 0.672308>,
      < 4.961249, 0.027488, 0.672311>
    }
    triangle {
      < 4.584650, 0.060952, 0.739541>,
      < 4.584740, 0.114373, 0.767883>,
      < 4.584740, 0.161148, 0.759858>
    }
    triangle {
      < 4.584650, 0.060952, 0.739541>,
      < 4.584740, 0.161148, 0.759858>,
      < 4.584650, 0.201967, 0.715365>
    }
    triangle {
      < 4.584650, 0.060952, 0.739541>,
      < 4.584650, 0.201967, 0.715365>,
      < 4.584486, 0.190592, 0.649489>
    }
    triangle {
      < 4.584650, 0.060952, 0.739541>,
      < 4.584486, 0.190592, 0.649489>,
      < 4.584486, 0.049580, 0.673684>
    }
    triangle {
      < 4.556395, 0.212955, 0.701644>,
      < 4.961312, 0.200337, 0.668528>,
      < 4.961249, 0.195935, 0.643036>
    }
    triangle {
      < 4.556395, 0.212955, 0.701644>,
      < 4.961249, 0.195935, 0.643036>,
      < 4.556249, 0.202835, 0.643039>
    }
    triangle {
      < 4.212040, 0.066199, 0.739591>,
      < 4.212126, 0.119341, 0.767893>,
      < 4.212126, 0.165810, 0.759866>
    }
    triangle {
      < 4.212040, 0.066199, 0.739591>,
      < 4.212126, 0.165810, 0.759866>,
      < 4.212040, 0.206401, 0.715366>
    }
    triangle {
      < 4.212040, 0.066199, 0.739591>,
      < 4.212040, 0.206401, 0.715366>,
      < 4.211884, 0.195036, 0.649480>
    }
    triangle {
      < 4.212040, 0.066199, 0.739591>,
      < 4.211884, 0.195036, 0.649480>,
      < 4.211884, 0.054834, 0.673700>
    }
    triangle {
      < 4.183788, 0.217388, 0.701617>,
      < 4.496305, 0.208081, 0.668514>,
      < 4.496249, 0.203690, 0.643020>
    }
    triangle {
      < 4.183788, 0.217388, 0.701617>,
      < 4.496249, 0.203690, 0.643020>,
      < 4.183649, 0.207279, 0.643010>
    }
    triangle {
      < 4.496305, 0.208081, 0.668514>,
      < 4.496334, 0.180709, 0.686337>,
      < 4.496334, 0.069195, 0.705487>
    }
    triangle {
      < 4.496305, 0.208081, 0.668514>,
      < 4.496334, 0.069195, 0.705487>,
      < 4.496305, 0.037432, 0.697820>
    }
    triangle {
      < 4.496305, 0.208081, 0.668514>,
      < 4.496305, 0.037432, 0.697820>,
      < 4.496249, 0.033041, 0.672327>
    }
    triangle {
      < 4.496305, 0.208081, 0.668514>,
      < 4.496249, 0.033041, 0.672327>,
      < 4.496249, 0.203690, 0.643020>
    }
    triangle {
      < 4.496305, 0.037432, 0.697820>,
      < 4.183788, 0.047623, 0.730944>,
      < 4.183649, 0.037514, 0.672337>
    }
    triangle {
      < 4.496305, 0.037432, 0.697820>,
      < 4.183649, 0.037514, 0.672337>,
      < 4.496249, 0.033041, 0.672327>
    }
    triangle {
      < 4.123706, 0.212384, 0.668536>,
      < 4.123734, 0.185025, 0.686379>,
      < 4.123734, 0.074544, 0.705436>
    }
    triangle {
      < 4.123706, 0.212384, 0.668536>,
      < 4.123734, 0.074544, 0.705436>,
      < 4.123706, 0.042776, 0.697792>
    }
    triangle {
      < 4.123706, 0.212384, 0.668536>,
      < 4.123706, 0.042776, 0.697792>,
      < 4.123649, 0.038366, 0.672301>
    }
    triangle {
      < 4.123706, 0.212384, 0.668536>,
      < 4.123649, 0.038366, 0.672301>,
      < 4.123649, 0.207974, 0.643046>
    }
    triangle {
      < 4.123706, 0.042776, 0.697792>,
      < 3.811188, 0.052967, 0.730916>,
      < 3.811049, 0.042839, 0.672312>
    }
    triangle {
      < 4.123706, 0.042776, 0.697792>,
      < 3.811049, 0.042839, 0.672312>,
      < 4.123649, 0.038366, 0.672301>
    }
    triangle {
      < 3.839440, 0.071553, 0.739581>,
      < 3.839527, 0.124375, 0.767871>,
      < 3.839527, 0.170450, 0.759876>
    }
    triangle {
      < 3.839440, 0.071553, 0.739581>,
      < 3.839527, 0.170450, 0.759876>,
      < 3.839440, 0.210716, 0.715420>
    }
    triangle {
      < 3.839440, 0.071553, 0.739581>,
      < 3.839440, 0.210716, 0.715420>,
      < 3.839284, 0.199327, 0.649515>
    }
    triangle {
      < 3.839440, 0.071553, 0.739581>,
      < 3.839284, 0.199327, 0.649515>,
      < 3.839284, 0.060161, 0.673663>
    }
    triangle {
      < 3.811188, 0.221690, 0.701638>,
      < 4.123706, 0.212384, 0.668536>,
      < 4.123649, 0.207974, 0.643046>
    }
    triangle {
      < 3.811188, 0.221690, 0.701638>,
      < 4.123649, 0.207974, 0.643046>,
      < 3.811049, 0.211563, 0.643035>
    }
    triangle {
      < 5.789602, 0.174496, 0.766785>,
      < 5.978448, 0.160837, 0.712289>,
      < 5.996122, 0.176713, 0.696818>
    }
    triangle {
      < 5.789602, 0.174496, 0.766785>,
      < 5.996122, 0.176713, 0.696818>,
      < 5.789557, 0.190434, 0.748909>
    }
    triangle {
      < 5.414440, 0.175656, 0.766784>,
      < 5.693003, 0.165481, 0.709168>,
      < 5.711139, 0.181998, 0.695272>
    }
    triangle {
      < 5.414440, 0.175656, 0.766784>,
      < 5.711139, 0.181998, 0.695272>,
      < 5.414416, 0.191394, 0.748909>
    }
    triangle {
      < 5.021451, 0.178178, 0.766780>,
      < 5.317865, 0.165980, 0.708639>,
      < 5.336073, 0.182393, 0.694991>
    }
    triangle {
      < 5.021451, 0.178178, 0.766780>,
      < 5.336073, 0.182393, 0.694991>,
      < 5.021425, 0.194306, 0.748900>
    }
    triangle {
      < 4.556540, 0.185169, 0.766745>,
      < 4.923947, 0.169028, 0.707369>,
      < 4.942648, 0.185785, 0.694319>
    }
    triangle {
      < 4.556540, 0.185169, 0.766745>,
      < 4.942648, 0.185785, 0.694319>,
      < 4.556504, 0.201594, 0.748841>
    }
    triangle {
      < 4.183927, 0.189772, 0.766732>,
      < 4.459093, 0.176621, 0.709414>,
      < 4.477716, 0.193451, 0.695334>
    }
    triangle {
      < 4.183927, 0.189772, 0.766732>,
      < 4.477716, 0.193451, 0.695334>,
      < 4.183892, 0.206109, 0.748821>
    }
    triangle {
      < 3.811327, 0.194324, 0.766739>,
      < 4.086716, 0.181162, 0.709368>,
      < 4.105228, 0.197878, 0.695322>
    }
    triangle {
      < 3.811327, 0.194324, 0.766739>,
      < 4.105228, 0.197878, 0.695322>,
      < 3.811293, 0.210542, 0.748835>
    }
    triangle {
      < 5.978462, 0.068958, 0.728487>,
      < 5.789602, 0.082080, 0.782921>,
      < 5.789557, 0.061050, 0.771500>
    }
    triangle {
      < 5.978462, 0.068958, 0.728487>,
      < 5.789557, 0.061050, 0.771500>,
      < 5.996129, 0.048074, 0.719460>
    }
    triangle {
      < 5.692987, 0.072871, 0.725261>,
      < 5.414440, 0.084232, 0.782917>,
      < 5.414416, 0.063399, 0.771496>
    }
    triangle {
      < 5.692987, 0.072871, 0.725261>,
      < 5.414416, 0.063399, 0.771496>,
      < 5.711131, 0.052529, 0.717831>
    }
    triangle {
      < 5.317894, 0.074511, 0.724930>,
      < 5.021451, 0.084825, 0.782933>,
      < 5.021425, 0.063610, 0.771514>
    }
    triangle {
      < 5.317894, 0.074511, 0.724930>,
      < 5.021425, 0.063610, 0.771514>,
      < 5.336088, 0.054313, 0.717686>
    }
    triangle {
      < 4.923962, 0.075456, 0.723712>,
      < 4.556540, 0.090398, 0.783005>,
      < 4.556504, 0.068913, 0.771606>
    }
    triangle {
      < 4.923962, 0.075456, 0.723712>,
      < 4.556504, 0.068913, 0.771606>,
      < 4.942656, 0.054771, 0.717128>
    }
    triangle {
      < 4.459085, 0.081705, 0.725677>,
      < 4.183927, 0.095454, 0.783025>,
      < 4.183892, 0.074062, 0.771632>
    }
    triangle {
      < 4.459085, 0.081705, 0.725677>,
      < 4.183892, 0.074062, 0.771632>,
      < 4.477712, 0.060663, 0.718120>
    }
    triangle {
      < 4.086708, 0.086824, 0.725603>,
      < 3.811327, 0.100585, 0.783005>,
      < 3.811293, 0.079304, 0.771607>
    }
    triangle {
      < 4.086708, 0.086824, 0.725603>,
      < 3.811293, 0.079304, 0.771607>,
      < 4.105224, 0.065899, 0.718068>
    }
    triangle {
      < 5.996122, 0.176713, 0.696818>,
      < 5.978448, 0.160837, 0.712289>,
      < 5.960786, 0.126591, 0.731008>
    }
    triangle {
      < 5.996122, 0.176713, 0.696818>,
      < 5.960786, 0.126591, 0.731008>,
      < 5.960793, 0.108211, 0.734260>
    }
    triangle {
      < 5.996122, 0.176713, 0.696818>,
      < 5.960793, 0.108211, 0.734260>,
      < 5.978462, 0.068958, 0.728487>
    }
    triangle {
      < 5.996122, 0.176713, 0.696818>,
      < 5.978462, 0.068958, 0.728487>,
      < 5.996129, 0.048074, 0.719460>
    }
    triangle {
      < 5.996122, 0.176713, 0.696818>,
      < 5.996129, 0.048074, 0.719460>,
      < 6.013791, 0.056743, 0.705239>
    }
    triangle {
      < 5.996122, 0.176713, 0.696818>,
      < 6.013791, 0.056743, 0.705239>,
      < 6.013791, 0.163037, 0.686547>
    }
    triangle {
      < 5.711139, 0.181998, 0.695272>,
      < 5.693003, 0.165481, 0.709168>,
      < 5.674865, 0.130383, 0.726270>
    }
    triangle {
      < 5.711139, 0.181998, 0.695272>,
      < 5.674865, 0.130383, 0.726270>,
      < 5.674857, 0.111792, 0.729480>
    }
    triangle {
      < 5.711139, 0.181998, 0.695272>,
      < 5.674857, 0.111792, 0.729480>,
      < 5.692987, 0.072871, 0.725261>
    }
    triangle {
      < 5.711139, 0.181998, 0.695272>,
      < 5.692987, 0.072871, 0.725261>,
      < 5.711131, 0.052529, 0.717831>
    }
    triangle {
      < 5.711139, 0.181998, 0.695272>,
      < 5.711131, 0.052529, 0.717831>,
      < 5.729269, 0.061747, 0.705246>
    }
    triangle {
      < 5.711139, 0.181998, 0.695272>,
      < 5.729269, 0.061747, 0.705246>,
      < 5.729269, 0.168957, 0.686537>
    }
    triangle {
      < 5.336073, 0.182393, 0.694991>,
      < 5.317865, 0.165980, 0.708639>,
      < 5.299676, 0.131285, 0.725579>
    }
    triangle {
      < 5.336073, 0.182393, 0.694991>,
      < 5.299676, 0.131285, 0.725579>,
      < 5.299691, 0.112991, 0.728876>
    }
    triangle {
      < 5.336073, 0.182393, 0.694991>,
      < 5.299691, 0.112991, 0.728876>,
      < 5.317894, 0.074511, 0.724930>
    }
    triangle {
      < 5.336073, 0.182393, 0.694991>,
      < 5.317894, 0.074511, 0.724930>,
      < 5.336088, 0.054313, 0.717686>
    }
    triangle {
      < 5.336073, 0.182393, 0.694991>,
      < 5.336088, 0.054313, 0.717686>,
      < 5.354277, 0.063664, 0.705225>
    }
    triangle {
      < 5.336073, 0.182393, 0.694991>,
      < 5.354277, 0.063664, 0.705225>,
      < 5.354277, 0.169258, 0.686567>
    }
    triangle {
      < 4.942648, 0.185785, 0.694319>,
      < 4.923947, 0.169028, 0.707369>,
      < 4.905259, 0.133564, 0.723708>
    }
    triangle {
      < 4.942648, 0.185785, 0.694319>,
      < 4.905259, 0.133564, 0.723708>,
      < 4.905266, 0.114847, 0.727001>
    }
    triangle {
      < 4.942648, 0.185785, 0.694319>,
      < 4.905266, 0.114847, 0.727001>,
      < 4.923962, 0.075456, 0.723712>
    }
    triangle {
      < 4.942648, 0.185785, 0.694319>,
      < 4.923962, 0.075456, 0.723712>,
      < 4.942656, 0.054771, 0.717128>
    }
    triangle {
      < 4.942648, 0.185785, 0.694319>,
      < 4.942656, 0.054771, 0.717128>,
      < 4.961344, 0.063648, 0.705410>
    }
    triangle {
      < 4.942648, 0.185785, 0.694319>,
      < 4.961344, 0.063648, 0.705410>,
      < 4.961344, 0.172981, 0.686409>
    }
    triangle {
      < 4.477716, 0.193451, 0.695334>,
      < 4.459093, 0.176621, 0.709414>,
      < 4.440471, 0.140779, 0.726736>
    }
    triangle {
      < 4.477716, 0.193451, 0.695334>,
      < 4.440471, 0.140779, 0.726736>,
      < 4.440467, 0.121757, 0.729985>
    }
    triangle {
      < 4.477716, 0.193451, 0.695334>,
      < 4.440467, 0.121757, 0.729985>,
      < 4.459085, 0.081705, 0.725677>
    }
    triangle {
      < 4.477716, 0.193451, 0.695334>,
      < 4.459085, 0.081705, 0.725677>,
      < 4.477712, 0.060663, 0.718120>
    }
    triangle {
      < 4.477716, 0.193451, 0.695334>,
      < 4.477712, 0.060663, 0.718120>,
      < 4.496334, 0.069195, 0.705487>
    }
    triangle {
      < 4.477716, 0.193451, 0.695334>,
      < 4.496334, 0.069195, 0.705487>,
      < 4.496334, 0.180709, 0.686337>
    }
    triangle {
      < 4.105228, 0.197878, 0.695322>,
      < 4.086716, 0.181162, 0.709368>,
      < 4.068205, 0.145550, 0.726652>
    }
    triangle {
      < 4.105228, 0.197878, 0.695322>,
      < 4.068205, 0.145550, 0.726652>,
      < 4.068201, 0.126643, 0.729894>
    }
    triangle {
      < 4.105228, 0.197878, 0.695322>,
      < 4.068201, 0.126643, 0.729894>,
      < 4.086708, 0.086824, 0.725603>
    }
    triangle {
      < 4.105228, 0.197878, 0.695322>,
      < 4.086708, 0.086824, 0.725603>,
      < 4.105224, 0.065899, 0.718068>
    }
    triangle {
      < 4.105228, 0.197878, 0.695322>,
      < 4.105224, 0.065899, 0.718068>,
      < 4.123734, 0.074544, 0.705436>
    }
    triangle {
      < 4.105228, 0.197878, 0.695322>,
      < 4.123734, 0.074544, 0.705436>,
      < 4.123734, 0.185025, 0.686379>
    }
    triangle {
      < 5.789506, 0.044538, 0.756843>,
      < 5.789492, 0.053562, 0.750364>,
      < 5.789293, 0.042097, 0.684394>
    }
    triangle {
      < 5.789506, 0.044538, 0.756843>,
      < 5.789293, 0.042097, 0.684394>,
      < 5.789249, 0.024753, 0.672195>
    }
    triangle {
      < 5.789506, 0.044538, 0.756843>,
      < 5.789249, 0.024753, 0.672195>,
      < 5.789425, 0.034935, 0.730789>
    }
    triangle {
      < 5.789293, 0.042097, 0.684394>,
      < 5.789293, 0.178886, 0.660511>,
      < 5.789249, 0.191094, 0.643152>
    }
    triangle {
      < 5.789293, 0.042097, 0.684394>,
      < 5.789249, 0.191094, 0.643152>,
      < 5.789249, 0.024753, 0.672195>
    }
    triangle {
      < 5.789293, 0.178886, 0.660511>,
      < 5.789492, 0.190348, 0.726466>,
      < 5.789506, 0.201029, 0.729515>
    }
    triangle {
      < 5.789293, 0.178886, 0.660511>,
      < 5.789506, 0.201029, 0.729515>,
      < 5.789425, 0.201277, 0.701746>
    }
    triangle {
      < 5.789293, 0.178886, 0.660511>,
      < 5.789425, 0.201277, 0.701746>,
      < 5.789249, 0.191094, 0.643152>
    }
    triangle {
      < 5.789506, 0.201029, 0.729515>,
      < 5.789492, 0.190348, 0.726466>,
      < 5.789601, 0.150840, 0.770777>
    }
    triangle {
      < 5.789506, 0.201029, 0.729515>,
      < 5.789601, 0.150840, 0.770777>,
      < 5.789631, 0.155988, 0.780030>
    }
    triangle {
      < 5.789506, 0.201029, 0.729515>,
      < 5.789631, 0.155988, 0.780030>,
      < 5.789602, 0.174496, 0.766785>
    }
    triangle {
      < 5.789506, 0.201029, 0.729515>,
      < 5.789602, 0.174496, 0.766785>,
      < 5.789557, 0.190434, 0.748909>
    }
    triangle {
      < 5.789631, 0.155988, 0.780030>,
      < 5.789601, 0.150840, 0.770777>,
      < 5.789601, 0.105671, 0.778663>
    }
    triangle {
      < 5.789631, 0.155988, 0.780030>,
      < 5.789601, 0.105671, 0.778663>,
      < 5.789631, 0.103959, 0.789114>
    }
    triangle {
      < 5.789631, 0.155988, 0.780030>,
      < 5.789631, 0.103959, 0.789114>,
      < 5.789646, 0.121588, 0.791111>
    }
    triangle {
      < 5.789631, 0.155988, 0.780030>,
      < 5.789646, 0.121588, 0.791111>,
      < 5.789646, 0.140077, 0.787883>
    }
    triangle {
      < 5.789631, 0.103959, 0.789114>,
      < 5.789601, 0.105671, 0.778663>,
      < 5.789492, 0.053562, 0.750364>
    }
    triangle {
      < 5.789631, 0.103959, 0.789114>,
      < 5.789492, 0.053562, 0.750364>,
      < 5.789506, 0.044538, 0.756843>
    }
    triangle {
      < 5.789631, 0.103959, 0.789114>,
      < 5.789506, 0.044538, 0.756843>,
      < 5.789557, 0.061050, 0.771500>
    }
    triangle {
      < 5.789631, 0.103959, 0.789114>,
      < 5.789557, 0.061050, 0.771500>,
      < 5.789602, 0.082080, 0.782921>
    }
    triangle {
      < 5.414388, 0.047085, 0.756851>,
      < 5.414381, 0.056113, 0.750396>,
      < 5.414273, 0.044631, 0.684364>
    }
    triangle {
      < 5.414388, 0.047085, 0.756851>,
      < 5.414273, 0.044631, 0.684364>,
      < 5.414249, 0.027289, 0.672193>
    }
    triangle {
      < 5.414388, 0.047085, 0.756851>,
      < 5.414249, 0.027289, 0.672193>,
      < 5.414345, 0.037478, 0.730786>
    }
    triangle {
      < 5.414273, 0.044631, 0.684364>,
      < 5.414273, 0.179643, 0.660539>,
      < 5.414249, 0.191845, 0.643154>
    }
    triangle {
      < 5.414273, 0.044631, 0.684364>,
      < 5.414249, 0.191845, 0.643154>,
      < 5.414249, 0.027289, 0.672193>
    }
    triangle {
      < 5.414273, 0.179643, 0.660539>,
      < 5.414381, 0.191118, 0.726524>,
      < 5.414388, 0.201792, 0.729534>
    }
    triangle {
      < 5.414273, 0.179643, 0.660539>,
      < 5.414388, 0.201792, 0.729534>,
      < 5.414344, 0.202034, 0.701747>
    }
    triangle {
      < 5.414273, 0.179643, 0.660539>,
      < 5.414344, 0.202034, 0.701747>,
      < 5.414249, 0.191845, 0.643154>
    }
    triangle {
      < 5.414388, 0.201792, 0.729534>,
      < 5.414381, 0.191118, 0.726524>,
      < 5.414440, 0.152138, 0.770796>
    }
    triangle {
      < 5.414388, 0.201792, 0.729534>,
      < 5.414440, 0.152138, 0.770796>,
      < 5.414456, 0.157327, 0.780035>
    }
    triangle {
      < 5.414388, 0.201792, 0.729534>,
      < 5.414456, 0.157327, 0.780035>,
      < 5.414440, 0.175656, 0.766784>
    }
    triangle {
      < 5.414388, 0.201792, 0.729534>,
      < 5.414440, 0.175656, 0.766784>,
      < 5.414416, 0.191394, 0.748909>
    }
    triangle {
      < 5.414456, 0.157327, 0.780035>,
      < 5.414440, 0.152138, 0.770796>,
      < 5.414440, 0.107646, 0.778647>
    }
    triangle {
      < 5.414456, 0.157327, 0.780035>,
      < 5.414440, 0.107646, 0.778647>,
      < 5.414456, 0.105921, 0.789107>
    }
    triangle {
      < 5.414456, 0.157327, 0.780035>,
      < 5.414456, 0.105921, 0.789107>,
      < 5.414464, 0.123345, 0.791109>
    }
    triangle {
      < 5.414456, 0.157327, 0.780035>,
      < 5.414464, 0.123345, 0.791109>,
      < 5.414464, 0.141636, 0.787881>
    }
    triangle {
      < 5.414456, 0.105921, 0.789107>,
      < 5.414440, 0.107646, 0.778647>,
      < 5.414381, 0.056113, 0.750396>
    }
    triangle {
      < 5.414456, 0.105921, 0.789107>,
      < 5.414381, 0.056113, 0.750396>,
      < 5.414388, 0.047085, 0.756851>
    }
    triangle {
      < 5.414456, 0.105921, 0.789107>,
      < 5.414388, 0.047085, 0.756851>,
      < 5.414416, 0.063399, 0.771496>
    }
    triangle {
      < 5.414456, 0.105921, 0.789107>,
      < 5.414416, 0.063399, 0.771496>,
      < 5.414440, 0.084232, 0.782917>
    }
    triangle {
      < 5.021396, 0.046912, 0.756849>,
      < 5.021388, 0.055933, 0.750348>,
      < 5.021275, 0.044489, 0.684432>
    }
    triangle {
      < 5.021396, 0.046912, 0.756849>,
      < 5.021275, 0.044489, 0.684432>,
      < 5.021249, 0.027142, 0.672210>
    }
    triangle {
      < 5.021396, 0.046912, 0.756849>,
      < 5.021249, 0.027142, 0.672210>,
      < 5.021350, 0.037316, 0.730806>
    }
    triangle {
      < 5.021275, 0.044489, 0.684432>,
      < 5.021275, 0.182955, 0.660473>,
      < 5.021249, 0.195170, 0.643137>
    }
    triangle {
      < 5.021275, 0.044489, 0.684432>,
      < 5.021249, 0.195170, 0.643137>,
      < 5.021249, 0.027142, 0.672210>
    }
    triangle {
      < 5.021275, 0.182955, 0.660473>,
      < 5.021388, 0.194402, 0.726400>,
      < 5.021396, 0.205087, 0.729484>
    }
    triangle {
      < 5.021275, 0.182955, 0.660473>,
      < 5.021396, 0.205087, 0.729484>,
      < 5.021350, 0.205343, 0.701733>
    }
    triangle {
      < 5.021275, 0.182955, 0.660473>,
      < 5.021350, 0.205343, 0.701733>,
      < 5.021249, 0.195170, 0.643137>
    }
    triangle {
      < 5.021396, 0.205087, 0.729484>,
      < 5.021388, 0.194402, 0.726400>,
      < 5.021451, 0.154389, 0.770758>
    }
    triangle {
      < 5.021396, 0.205087, 0.729484>,
      < 5.021451, 0.154389, 0.770758>,
      < 5.021467, 0.159499, 0.780023>
    }
    triangle {
      < 5.021396, 0.205087, 0.729484>,
      < 5.021467, 0.159499, 0.780023>,
      < 5.021451, 0.178178, 0.766780>
    }
    triangle {
      < 5.021396, 0.205087, 0.729484>,
      < 5.021451, 0.178178, 0.766780>,
      < 5.021425, 0.194306, 0.748900>
    }
    triangle {
      < 5.021467, 0.159499, 0.780023>,
      < 5.021451, 0.154389, 0.770758>,
      < 5.021451, 0.108581, 0.778684>
    }
    triangle {
      < 5.021467, 0.159499, 0.780023>,
      < 5.021451, 0.108581, 0.778684>,
      < 5.021467, 0.106883, 0.789127>
    }
    triangle {
      < 5.021467, 0.159499, 0.780023>,
      < 5.021467, 0.106883, 0.789127>,
      < 5.021476, 0.124705, 0.791117>
    }
    triangle {
      < 5.021467, 0.159499, 0.780023>,
      < 5.021476, 0.124705, 0.791117>,
      < 5.021476, 0.143383, 0.787885>
    }
    triangle {
      < 5.021467, 0.106883, 0.789127>,
      < 5.021451, 0.108581, 0.778684>,
      < 5.021388, 0.055933, 0.750348>
    }
    triangle {
      < 5.021467, 0.106883, 0.789127>,
      < 5.021388, 0.055933, 0.750348>,
      < 5.021396, 0.046912, 0.756849>
    }
    triangle {
      < 5.021467, 0.106883, 0.789127>,
      < 5.021396, 0.046912, 0.756849>,
      < 5.021425, 0.063610, 0.771514>
    }
    triangle {
      < 5.021467, 0.106883, 0.789127>,
      < 5.021425, 0.063610, 0.771514>,
      < 5.021451, 0.084825, 0.782933>
    }
    triangle {
      < 4.556461, 0.051943, 0.756944>,
      < 4.556449, 0.060963, 0.750409>,
      < 4.556286, 0.049591, 0.684552>
    }
    triangle {
      < 4.556461, 0.051943, 0.756944>,
      < 4.556286, 0.049591, 0.684552>,
      < 4.556249, 0.032255, 0.672308>
    }
    triangle {
      < 4.556461, 0.051943, 0.756944>,
      < 4.556249, 0.032255, 0.672308>,
      < 4.556395, 0.042375, 0.730913>
    }
    triangle {
      < 4.556286, 0.049591, 0.684552>,
      < 4.556286, 0.190604, 0.660357>,
      < 4.556249, 0.202835, 0.643039>
    }
    triangle {
      < 4.556286, 0.049591, 0.684552>,
      < 4.556249, 0.202835, 0.643039>,
      < 4.556249, 0.032255, 0.672308>
    }
    triangle {
      < 4.556286, 0.190604, 0.660357>,
      < 4.556450, 0.201979, 0.726233>,
      < 4.556462, 0.212670, 0.729373>
    }
    triangle {
      < 4.556286, 0.190604, 0.660357>,
      < 4.556462, 0.212670, 0.729373>,
      < 4.556395, 0.212955, 0.701644>
    }
    triangle {
      < 4.556286, 0.190604, 0.660357>,
      < 4.556395, 0.212955, 0.701644>,
      < 4.556249, 0.202835, 0.643039>
    }
    triangle {
      < 4.556462, 0.212670, 0.729373>,
      < 4.556450, 0.201979, 0.726233>,
      < 4.556540, 0.161160, 0.770726>
    }
    triangle {
      < 4.556462, 0.212670, 0.729373>,
      < 4.556540, 0.161160, 0.770726>,
      < 4.556565, 0.166219, 0.780004>
    }
    triangle {
      < 4.556462, 0.212670, 0.729373>,
      < 4.556565, 0.166219, 0.780004>,
      < 4.556540, 0.185169, 0.766745>
    }
    triangle {
      < 4.556462, 0.212670, 0.729373>,
      < 4.556540, 0.185169, 0.766745>,
      < 4.556504, 0.201594, 0.748841>
    }
    triangle {
      < 4.556565, 0.166219, 0.780004>,
      < 4.556540, 0.161160, 0.770726>,
      < 4.556540, 0.114385, 0.778751>
    }
    triangle {
      < 4.556565, 0.166219, 0.780004>,
      < 4.556540, 0.114385, 0.778751>,
      < 4.556564, 0.112713, 0.789185>
    }
    triangle {
      < 4.556565, 0.166219, 0.780004>,
      < 4.556564, 0.112713, 0.789185>,
      < 4.556577, 0.130832, 0.791149>
    }
    triangle {
      < 4.556565, 0.166219, 0.780004>,
      < 4.556577, 0.130832, 0.791149>,
      < 4.556577, 0.149793, 0.787895>
    }
    triangle {
      < 4.556564, 0.112713, 0.789185>,
      < 4.556540, 0.114385, 0.778751>,
      < 4.556449, 0.060963, 0.750409>
    }
    triangle {
      < 4.556564, 0.112713, 0.789185>,
      < 4.556449, 0.060963, 0.750409>,
      < 4.556461, 0.051943, 0.756944>
    }
    triangle {
      < 4.556564, 0.112713, 0.789185>,
      < 4.556461, 0.051943, 0.756944>,
      < 4.556504, 0.068913, 0.771606>
    }
    triangle {
      < 4.556564, 0.112713, 0.789185>,
      < 4.556504, 0.068913, 0.771606>,
      < 4.556540, 0.090398, 0.783005>
    }
    triangle {
      < 4.183852, 0.057188, 0.756981>,
      < 4.183840, 0.066210, 0.750456>,
      < 4.183684, 0.054845, 0.684565>
    }
    triangle {
      < 4.183852, 0.057188, 0.756981>,
      < 4.183684, 0.054845, 0.684565>,
      < 4.183649, 0.037514, 0.672337>
    }
    triangle {
      < 4.183852, 0.057188, 0.756981>,
      < 4.183649, 0.037514, 0.672337>,
      < 4.183788, 0.047623, 0.730944>
    }
    triangle {
      < 4.183684, 0.054845, 0.684565>,
      < 4.183684, 0.195047, 0.660345>,
      < 4.183649, 0.207279, 0.643010>
    }
    triangle {
      < 4.183684, 0.054845, 0.684565>,
      < 4.183649, 0.207279, 0.643010>,
      < 4.183649, 0.037514, 0.672337>
    }
    triangle {
      < 4.183684, 0.195047, 0.660345>,
      < 4.183840, 0.206412, 0.726231>,
      < 4.183852, 0.217099, 0.729354>
    }
    triangle {
      < 4.183684, 0.195047, 0.660345>,
      < 4.183852, 0.217099, 0.729354>,
      < 4.183788, 0.217388, 0.701617>
    }
    triangle {
      < 4.183684, 0.195047, 0.660345>,
      < 4.183788, 0.217388, 0.701617>,
      < 4.183649, 0.207279, 0.643010>
    }
    triangle {
      < 4.183852, 0.217099, 0.729354>,
      < 4.183840, 0.206412, 0.726231>,
      < 4.183927, 0.165821, 0.770731>
    }
    triangle {
      < 4.183852, 0.217099, 0.729354>,
      < 4.183927, 0.165821, 0.770731>,
      < 4.183950, 0.170900, 0.780002>
    }
    triangle {
      < 4.183852, 0.217099, 0.729354>,
      < 4.183950, 0.170900, 0.780002>,
      < 4.183927, 0.189772, 0.766732>
    }
    triangle {
      < 4.183852, 0.217099, 0.729354>,
      < 4.183927, 0.189772, 0.766732>,
      < 4.183892, 0.206109, 0.748821>
    }
    triangle {
      < 4.183950, 0.170900, 0.780002>,
      < 4.183927, 0.165821, 0.770731>,
      < 4.183927, 0.119353, 0.778758>
    }
    triangle {
      < 4.183950, 0.170900, 0.780002>,
      < 4.183927, 0.119353, 0.778758>,
      < 4.183950, 0.117677, 0.789196>
    }
    triangle {
      < 4.183950, 0.170900, 0.780002>,
      < 4.183950, 0.117677, 0.789196>,
      < 4.183962, 0.135704, 0.791156>
    }
    triangle {
      < 4.183950, 0.170900, 0.780002>,
      < 4.183962, 0.135704, 0.791156>,
      < 4.183962, 0.154575, 0.787896>
    }
    triangle {
      < 4.183950, 0.117677, 0.789196>,
      < 4.183927, 0.119353, 0.778758>,
      < 4.183840, 0.066210, 0.750456>
    }
    triangle {
      < 4.183950, 0.117677, 0.789196>,
      < 4.183840, 0.066210, 0.750456>,
      < 4.183852, 0.057188, 0.756981>
    }
    triangle {
      < 4.183950, 0.117677, 0.789196>,
      < 4.183852, 0.057188, 0.756981>,
      < 4.183892, 0.074062, 0.771632>
    }
    triangle {
      < 4.183950, 0.117677, 0.789196>,
      < 4.183892, 0.074062, 0.771632>,
      < 4.183927, 0.095454, 0.783025>
    }
    triangle {
      < 3.811252, 0.062541, 0.756958>,
      < 3.811241, 0.071564, 0.750446>,
      < 3.811084, 0.060172, 0.684528>
    }
    triangle {
      < 3.811252, 0.062541, 0.756958>,
      < 3.811084, 0.060172, 0.684528>,
      < 3.811049, 0.042839, 0.672312>
    }
    triangle {
      < 3.811252, 0.062541, 0.756958>,
      < 3.811049, 0.042839, 0.672312>,
      < 3.811188, 0.052967, 0.730916>
    }
    triangle {
      < 3.811084, 0.060172, 0.684528>,
      < 3.811084, 0.199338, 0.660380>,
      < 3.811049, 0.211563, 0.643035>
    }
    triangle {
      < 3.811084, 0.060172, 0.684528>,
      < 3.811049, 0.211563, 0.643035>,
      < 3.811049, 0.042839, 0.672312>
    }
    triangle {
      < 3.811084, 0.199338, 0.660380>,
      < 3.811241, 0.210728, 0.726285>,
      < 3.811252, 0.221412, 0.729386>
    }
    triangle {
      < 3.811084, 0.199338, 0.660380>,
      < 3.811252, 0.221412, 0.729386>,
      < 3.811188, 0.221690, 0.701638>
    }
    triangle {
      < 3.811084, 0.199338, 0.660380>,
      < 3.811188, 0.221690, 0.701638>,
      < 3.811049, 0.211563, 0.643035>
    }
    triangle {
      < 3.811252, 0.221412, 0.729386>,
      < 3.811241, 0.210728, 0.726285>,
      < 3.811327, 0.170461, 0.770741>
    }
    triangle {
      < 3.811252, 0.221412, 0.729386>,
      < 3.811327, 0.170461, 0.770741>,
      < 3.811350, 0.175562, 0.780006>
    }
    triangle {
      < 3.811252, 0.221412, 0.729386>,
      < 3.811350, 0.175562, 0.780006>,
      < 3.811327, 0.194324, 0.766739>
    }
    triangle {
      < 3.811252, 0.221412, 0.729386>,
      < 3.811327, 0.194324, 0.766739>,
      < 3.811293, 0.210542, 0.748835>
    }
    triangle {
      < 3.811350, 0.175562, 0.780006>,
      < 3.811327, 0.170461, 0.770741>,
      < 3.811327, 0.124387, 0.778736>
    }
    triangle {
      < 3.811350, 0.175562, 0.780006>,
      < 3.811327, 0.124387, 0.778736>,
      < 3.811350, 0.122702, 0.789178>
    }
    triangle {
      < 3.811350, 0.175562, 0.780006>,
      < 3.811350, 0.122702, 0.789178>,
      < 3.811362, 0.140609, 0.791145>
    }
    triangle {
      < 3.811350, 0.175562, 0.780006>,
      < 3.811362, 0.140609, 0.791145>,
      < 3.811362, 0.159363, 0.787891>
    }
    triangle {
      < 3.811350, 0.122702, 0.789178>,
      < 3.811327, 0.124387, 0.778736>,
      < 3.811241, 0.071564, 0.750446>
    }
    triangle {
      < 3.811350, 0.122702, 0.789178>,
      < 3.811241, 0.071564, 0.750446>,
      < 3.811252, 0.062541, 0.756958>
    }
    triangle {
      < 3.811350, 0.122702, 0.789178>,
      < 3.811252, 0.062541, 0.756958>,
      < 3.811293, 0.079304, 0.771607>
    }
    triangle {
      < 3.811350, 0.122702, 0.789178>,
      < 3.811293, 0.079304, 0.771607>,
      < 3.811327, 0.100585, 0.783005>
    }
    triangle {
      < 5.817692, 0.190334, 0.715584>,
      < 5.817801, 0.150825, 0.759894>,
      < 5.789601, 0.150840, 0.770777>
    }
    triangle {
      < 5.817692, 0.190334, 0.715584>,
      < 5.789601, 0.150840, 0.770777>,
      < 5.789492, 0.190348, 0.726466>
    }
    triangle {
      < 5.817801, 0.150825, 0.759894>,
      < 5.817801, 0.105656, 0.767781>,
      < 5.789601, 0.105671, 0.778663>
    }
    triangle {
      < 5.817801, 0.150825, 0.759894>,
      < 5.789601, 0.105671, 0.778663>,
      < 5.789601, 0.150840, 0.770777>
    }
    triangle {
      < 5.817801, 0.105656, 0.767781>,
      < 5.817692, 0.053548, 0.739481>,
      < 5.789492, 0.053562, 0.750364>
    }
    triangle {
      < 5.817801, 0.105656, 0.767781>,
      < 5.789492, 0.053562, 0.750364>,
      < 5.789601, 0.105671, 0.778663>
    }
    triangle {
      < 5.817692, 0.053548, 0.739481>,
      < 5.817493, 0.042083, 0.673511>,
      < 5.789293, 0.042097, 0.684394>
    }
    triangle {
      < 5.817692, 0.053548, 0.739481>,
      < 5.789293, 0.042097, 0.684394>,
      < 5.789492, 0.053562, 0.750364>
    }
    triangle {
      < 5.817493, 0.042083, 0.673511>,
      < 5.817493, 0.178872, 0.649628>,
      < 5.789293, 0.178886, 0.660511>
    }
    triangle {
      < 5.817493, 0.042083, 0.673511>,
      < 5.789293, 0.178886, 0.660511>,
      < 5.789293, 0.042097, 0.684394>
    }
    triangle {
      < 5.817493, 0.178872, 0.649628>,
      < 5.817692, 0.190334, 0.715584>,
      < 5.789492, 0.190348, 0.726466>
    }
    triangle {
      < 5.817493, 0.178872, 0.649628>,
      < 5.789492, 0.190348, 0.726466>,
      < 5.789293, 0.178886, 0.660511>
    }
    triangle {
      < 5.442580, 0.191110, 0.715680>,
      < 5.442639, 0.152130, 0.759951>,
      < 5.414440, 0.152138, 0.770796>
    }
    triangle {
      < 5.442580, 0.191110, 0.715680>,
      < 5.414440, 0.152138, 0.770796>,
      < 5.414381, 0.191118, 0.726524>
    }
    triangle {
      < 5.442639, 0.152130, 0.759951>,
      < 5.442639, 0.107638, 0.767803>,
      < 5.414440, 0.107646, 0.778647>
    }
    triangle {
      < 5.442639, 0.152130, 0.759951>,
      < 5.414440, 0.107646, 0.778647>,
      < 5.414440, 0.152138, 0.770796>
    }
    triangle {
      < 5.442639, 0.107638, 0.767803>,
      < 5.442581, 0.056106, 0.739551>,
      < 5.414381, 0.056113, 0.750396>
    }
    triangle {
      < 5.442639, 0.107638, 0.767803>,
      < 5.414381, 0.056113, 0.750396>,
      < 5.414440, 0.107646, 0.778647>
    }
    triangle {
      < 5.442581, 0.056106, 0.739551>,
      < 5.442473, 0.044623, 0.673520>,
      < 5.414273, 0.044631, 0.684364>
    }
    triangle {
      < 5.442581, 0.056106, 0.739551>,
      < 5.414273, 0.044631, 0.684364>,
      < 5.414381, 0.056113, 0.750396>
    }
    triangle {
      < 5.442473, 0.044623, 0.673520>,
      < 5.442473, 0.179635, 0.649694>,
      < 5.414273, 0.179643, 0.660539>
    }
    triangle {
      < 5.442473, 0.044623, 0.673520>,
      < 5.414273, 0.179643, 0.660539>,
      < 5.414273, 0.044631, 0.684364>
    }
    triangle {
      < 5.442473, 0.179635, 0.649694>,
      < 5.442580, 0.191110, 0.715680>,
      < 5.414381, 0.191118, 0.726524>
    }
    triangle {
      < 5.442473, 0.179635, 0.649694>,
      < 5.414381, 0.191118, 0.726524>,
      < 5.414273, 0.179643, 0.660539>
    }
    triangle {
      < 5.049588, 0.194393, 0.715552>,
      < 5.049650, 0.154380, 0.759911>,
      < 5.021451, 0.154389, 0.770758>
    }
    triangle {
      < 5.049588, 0.194393, 0.715552>,
      < 5.021451, 0.154389, 0.770758>,
      < 5.021388, 0.194402, 0.726400>
    }
    triangle {
      < 5.049650, 0.154380, 0.759911>,
      < 5.049650, 0.108573, 0.767837>,
      < 5.021451, 0.108581, 0.778684>
    }
    triangle {
      < 5.049650, 0.154380, 0.759911>,
      < 5.021451, 0.108581, 0.778684>,
      < 5.021451, 0.154389, 0.770758>
    }
    triangle {
      < 5.049650, 0.108573, 0.767837>,
      < 5.049587, 0.055925, 0.739501>,
      < 5.021388, 0.055933, 0.750348>
    }
    triangle {
      < 5.049650, 0.108573, 0.767837>,
      < 5.021388, 0.055933, 0.750348>,
      < 5.021451, 0.108581, 0.778684>
    }
    triangle {
      < 5.049587, 0.055925, 0.739501>,
      < 5.049474, 0.044480, 0.673585>,
      < 5.021275, 0.044489, 0.684432>
    }
    triangle {
      < 5.049587, 0.055925, 0.739501>,
      < 5.021275, 0.044489, 0.684432>,
      < 5.021388, 0.055933, 0.750348>
    }
    triangle {
      < 5.049474, 0.044480, 0.673585>,
      < 5.049474, 0.182947, 0.649626>,
      < 5.021275, 0.182955, 0.660473>
    }
    triangle {
      < 5.049474, 0.044480, 0.673585>,
      < 5.021275, 0.182955, 0.660473>,
      < 5.021275, 0.044489, 0.684432>
    }
    triangle {
      < 5.049474, 0.182947, 0.649626>,
      < 5.049588, 0.194393, 0.715552>,
      < 5.021388, 0.194402, 0.726400>
    }
    triangle {
      < 5.049474, 0.182947, 0.649626>,
      < 5.021388, 0.194402, 0.726400>,
      < 5.021275, 0.182955, 0.660473>
    }
    triangle {
      < 4.584650, 0.201967, 0.715365>,
      < 4.584740, 0.161148, 0.759858>,
      < 4.556540, 0.161160, 0.770726>
    }
    triangle {
      < 4.584650, 0.201967, 0.715365>,
      < 4.556540, 0.161160, 0.770726>,
      < 4.556450, 0.201979, 0.726233>
    }
    triangle {
      < 4.584740, 0.161148, 0.759858>,
      < 4.584740, 0.114373, 0.767883>,
      < 4.556540, 0.114385, 0.778751>
    }
    triangle {
      < 4.584740, 0.161148, 0.759858>,
      < 4.556540, 0.114385, 0.778751>,
      < 4.556540, 0.161160, 0.770726>
    }
    triangle {
      < 4.584740, 0.114373, 0.767883>,
      < 4.584650, 0.060952, 0.739541>,
      < 4.556449, 0.060963, 0.750409>
    }
    triangle {
      < 4.584740, 0.114373, 0.767883>,
      < 4.556449, 0.060963, 0.750409>,
      < 4.556540, 0.114385, 0.778751>
    }
    triangle {
      < 4.584650, 0.060952, 0.739541>,
      < 4.584486, 0.049580, 0.673684>,
      < 4.556286, 0.049591, 0.684552>
    }
    triangle {
      < 4.584650, 0.060952, 0.739541>,
      < 4.556286, 0.049591, 0.684552>,
      < 4.556449, 0.060963, 0.750409>
    }
    triangle {
      < 4.584486, 0.049580, 0.673684>,
      < 4.584486, 0.190592, 0.649489>,
      < 4.556286, 0.190604, 0.660357>
    }
    triangle {
      < 4.584486, 0.049580, 0.673684>,
      < 4.556286, 0.190604, 0.660357>,
      < 4.556286, 0.049591, 0.684552>
    }
    triangle {
      < 4.584486, 0.190592, 0.649489>,
      < 4.584650, 0.201967, 0.715365>,
      < 4.556450, 0.201979, 0.726233>
    }
    triangle {
      < 4.584486, 0.190592, 0.649489>,
      < 4.556450, 0.201979, 0.726233>,
      < 4.556286, 0.190604, 0.660357>
    }
    triangle {
      < 4.212040, 0.206401, 0.715366>,
      < 4.212126, 0.165810, 0.759866>,
      < 4.183927, 0.165821, 0.770731>
    }
    triangle {
      < 4.212040, 0.206401, 0.715366>,
      < 4.183927, 0.165821, 0.770731>,
      < 4.183840, 0.206412, 0.726231>
    }
    triangle {
      < 4.212126, 0.165810, 0.759866>,
      < 4.212126, 0.119341, 0.767893>,
      < 4.183927, 0.119353, 0.778758>
    }
    triangle {
      < 4.212126, 0.165810, 0.759866>,
      < 4.183927, 0.119353, 0.778758>,
      < 4.183927, 0.165821, 0.770731>
    }
    triangle {
      < 4.212126, 0.119341, 0.767893>,
      < 4.212040, 0.066199, 0.739591>,
      < 4.183840, 0.066210, 0.750456>
    }
    triangle {
      < 4.212126, 0.119341, 0.767893>,
      < 4.183840, 0.066210, 0.750456>,
      < 4.183927, 0.119353, 0.778758>
    }
    triangle {
      < 4.212040, 0.066199, 0.739591>,
      < 4.211884, 0.054834, 0.673700>,
      < 4.183684, 0.054845, 0.684565>
    }
    triangle {
      < 4.212040, 0.066199, 0.739591>,
      < 4.183684, 0.054845, 0.684565>,
      < 4.183840, 0.066210, 0.750456>
    }
    triangle {
      < 4.211884, 0.054834, 0.673700>,
      < 4.211884, 0.195036, 0.649480>,
      < 4.183684, 0.195047, 0.660345>
    }
    triangle {
      < 4.211884, 0.054834, 0.673700>,
      < 4.183684, 0.195047, 0.660345>,
      < 4.183684, 0.054845, 0.684565>
    }
    triangle {
      < 4.211884, 0.195036, 0.649480>,
      < 4.212040, 0.206401, 0.715366>,
      < 4.183840, 0.206412, 0.726231>
    }
    triangle {
      < 4.211884, 0.195036, 0.649480>,
      < 4.183840, 0.206412, 0.726231>,
      < 4.183684, 0.195047, 0.660345>
    }
    triangle {
      < 3.839440, 0.210716, 0.715420>,
      < 3.839527, 0.170450, 0.759876>,
      < 3.811327, 0.170461, 0.770741>
    }
    triangle {
      < 3.839440, 0.210716, 0.715420>,
      < 3.811327, 0.170461, 0.770741>,
      < 3.811241, 0.210728, 0.726285>
    }
    triangle {
      < 3.839527, 0.170450, 0.759876>,
      < 3.839527, 0.124375, 0.767871>,
      < 3.811327, 0.124387, 0.778736>
    }
    triangle {
      < 3.839527, 0.170450, 0.759876>,
      < 3.811327, 0.124387, 0.778736>,
      < 3.811327, 0.170461, 0.770741>
    }
    triangle {
      < 3.839527, 0.124375, 0.767871>,
      < 3.839440, 0.071553, 0.739581>,
      < 3.811241, 0.071564, 0.750446>
    }
    triangle {
      < 3.839527, 0.124375, 0.767871>,
      < 3.811241, 0.071564, 0.750446>,
      < 3.811327, 0.124387, 0.778736>
    }
    triangle {
      < 3.839440, 0.071553, 0.739581>,
      < 3.839284, 0.060161, 0.673663>,
      < 3.811084, 0.060172, 0.684528>
    }
    triangle {
      < 3.839440, 0.071553, 0.739581>,
      < 3.811084, 0.060172, 0.684528>,
      < 3.811241, 0.071564, 0.750446>
    }
    triangle {
      < 3.839284, 0.060161, 0.673663>,
      < 3.839284, 0.199327, 0.649515>,
      < 3.811084, 0.199338, 0.660380>
    }
    triangle {
      < 3.839284, 0.060161, 0.673663>,
      < 3.811084, 0.199338, 0.660380>,
      < 3.811084, 0.060172, 0.684528>
    }
    triangle {
      < 3.839284, 0.199327, 0.649515>,
      < 3.839440, 0.210716, 0.715420>,
      < 3.811241, 0.210728, 0.726285>
    }
    triangle {
      < 3.839284, 0.199327, 0.649515>,
      < 3.811241, 0.210728, 0.726285>,
      < 3.811084, 0.199338, 0.660380>
    }
    triangle {
      < 3.811350, 0.175562, 0.780006>,
      < 3.811362, 0.159363, 0.787891>,
      < 3.811327, 0.194324, 0.766739>
    }
    triangle {
      < 3.811350, 0.122702, 0.789178>,
      < 3.811327, 0.100585, 0.783005>,
      < 3.811362, 0.140609, 0.791145>
    }
    triangle {
      < 4.123734, 0.185025, 0.686379>,
      < 4.123706, 0.212384, 0.668536>,
      < 4.105228, 0.197878, 0.695322>
    }
    triangle {
      < 3.811252, 0.221412, 0.729386>,
      < 3.811293, 0.210542, 0.748835>,
      < 3.811188, 0.221690, 0.701638>
    }
    triangle {
      < 4.496334, 0.180709, 0.686337>,
      < 4.496305, 0.208081, 0.668514>,
      < 4.477716, 0.193451, 0.695334>
    }
    triangle {
      < 4.183852, 0.217099, 0.729354>,
      < 4.183892, 0.206109, 0.748821>,
      < 4.183788, 0.217388, 0.701617>
    }
    triangle {
      < 4.183950, 0.170900, 0.780002>,
      < 4.183962, 0.154575, 0.787896>,
      < 4.183927, 0.189772, 0.766732>
    }
    triangle {
      < 4.183950, 0.117677, 0.789196>,
      < 4.183927, 0.095454, 0.783025>,
      < 4.183962, 0.135704, 0.791156>
    }
    triangle {
      < 4.556564, 0.112713, 0.789185>,
      < 4.556540, 0.090398, 0.783005>,
      < 4.556577, 0.130832, 0.791149>
    }
    triangle {
      < 4.556565, 0.166219, 0.780004>,
      < 4.556577, 0.149793, 0.787895>,
      < 4.556540, 0.185169, 0.766745>
    }
    triangle {
      < 4.961344, 0.172981, 0.686409>,
      < 4.961312, 0.200337, 0.668528>,
      < 4.942648, 0.185785, 0.694319>
    }
    triangle {
      < 4.556462, 0.212670, 0.729373>,
      < 4.556504, 0.201594, 0.748841>,
      < 4.556395, 0.212955, 0.701644>
    }
    triangle {
      < 5.354277, 0.169258, 0.686567>,
      < 5.354268, 0.196573, 0.668607>,
      < 5.336073, 0.182393, 0.694991>
    }
    triangle {
      < 5.021396, 0.205087, 0.729484>,
      < 5.021425, 0.194306, 0.748900>,
      < 5.021350, 0.205343, 0.701733>
    }
    triangle {
      < 5.021467, 0.159499, 0.780023>,
      < 5.021476, 0.143383, 0.787885>,
      < 5.021451, 0.178178, 0.766780>
    }
    triangle {
      < 5.021467, 0.106883, 0.789127>,
      < 5.021451, 0.084825, 0.782933>,
      < 5.021476, 0.124705, 0.791117>
    }
    triangle {
      < 5.729269, 0.168957, 0.686537>,
      < 5.729262, 0.196275, 0.668642>,
      < 5.711139, 0.181998, 0.695272>
    }
    triangle {
      < 5.414388, 0.201792, 0.729534>,
      < 5.414416, 0.191394, 0.748909>,
      < 5.414344, 0.202034, 0.701747>
    }
    triangle {
      < 5.414456, 0.157327, 0.780035>,
      < 5.414464, 0.141636, 0.787881>,
      < 5.414440, 0.175656, 0.766784>
    }
    triangle {
      < 5.414456, 0.105921, 0.789107>,
      < 5.414440, 0.084232, 0.782917>,
      < 5.414464, 0.123345, 0.791109>
    }
    triangle {
      < 6.013791, 0.163037, 0.686547>,
      < 6.013744, 0.190352, 0.668613>,
      < 5.996122, 0.176713, 0.696818>
    }
    triangle {
      < 5.789506, 0.201029, 0.729515>,
      < 5.789557, 0.190434, 0.748909>,
      < 5.789425, 0.201277, 0.701746>
    }
    triangle {
      < 5.789631, 0.155988, 0.780030>,
      < 5.789646, 0.140077, 0.787883>,
      < 5.789602, 0.174496, 0.766785>
    }
    triangle {
      < 5.789631, 0.103959, 0.789114>,
      < 5.789602, 0.082080, 0.782921>,
      < 5.789646, 0.121588, 0.791111>
    }
    triangle {
      < 5.789506, 0.044538, 0.756843>,
      < 5.789425, 0.034935, 0.730789>,
      < 5.789557, 0.061050, 0.771500>
    }
    triangle {
      < 6.013791, 0.056743, 0.705239>,
      < 5.996129, 0.048074, 0.719460>,
      < 6.013744, 0.024964, 0.697696>
    }
    triangle {
      < 5.414388, 0.047085, 0.756851>,
      < 5.414345, 0.037478, 0.730786>,
      < 5.414416, 0.063399, 0.771496>
    }
    triangle {
      < 5.729269, 0.061747, 0.705246>,
      < 5.711131, 0.052529, 0.717831>,
      < 5.729262, 0.029958, 0.697665>
    }
    triangle {
      < 5.021396, 0.046912, 0.756849>,
      < 5.021350, 0.037316, 0.730806>,
      < 5.021425, 0.063610, 0.771514>
    }
    triangle {
      < 5.354277, 0.063664, 0.705225>,
      < 5.336088, 0.054313, 0.717686>,
      < 5.354268, 0.031894, 0.697705>
    }
    triangle {
      < 4.556461, 0.051943, 0.756944>,
      < 4.556395, 0.042375, 0.730913>,
      < 4.556504, 0.068913, 0.771606>
    }
    triangle {
      < 4.961344, 0.063648, 0.705410>,
      < 4.942656, 0.054771, 0.717128>,
      < 4.961313, 0.031890, 0.697803>
    }
    triangle {
      < 4.183852, 0.057188, 0.756981>,
      < 4.183788, 0.047623, 0.730944>,
      < 4.183892, 0.074062, 0.771632>
    }
    triangle {
      < 4.496334, 0.069195, 0.705487>,
      < 4.477712, 0.060663, 0.718120>,
      < 4.496305, 0.037432, 0.697820>
    }
    triangle {
      < 3.811252, 0.062541, 0.756958>,
      < 3.811188, 0.052967, 0.730916>,
      < 3.811293, 0.079304, 0.771607>
    }
    triangle {
      < 4.123734, 0.074544, 0.705436>,
      < 4.105224, 0.065899, 0.718068>,
      < 4.123706, 0.042776, 0.697792>
    }
    triangle {
      < 4.086716, 0.181162, 0.709368>,
      < 3.811327, 0.194324, 0.766739>,
      < 3.811362, 0.159363, 0.787891>
    }
    triangle {
      < 4.086716, 0.181162, 0.709368>,
      < 3.811362, 0.159363, 0.787891>,
      < 4.068205, 0.145550, 0.726652>
    }
    triangle {
      < 3.811327, 0.100585, 0.783005>,
      < 4.086708, 0.086824, 0.725603>,
      < 4.068201, 0.126643, 0.729894>
    }
    triangle {
      < 3.811327, 0.100585, 0.783005>,
      < 4.068201, 0.126643, 0.729894>,
      < 3.811362, 0.140609, 0.791145>
    }
    triangle {
      < 3.811293, 0.210542, 0.748835>,
      < 4.105228, 0.197878, 0.695322>,
      < 4.123706, 0.212384, 0.668536>
    }
    triangle {
      < 3.811293, 0.210542, 0.748835>,
      < 4.123706, 0.212384, 0.668536>,
      < 3.811188, 0.221690, 0.701638>
    }
    triangle {
      < 4.183892, 0.206109, 0.748821>,
      < 4.477716, 0.193451, 0.695334>,
      < 4.496305, 0.208081, 0.668514>
    }
    triangle {
      < 4.183892, 0.206109, 0.748821>,
      < 4.496305, 0.208081, 0.668514>,
      < 4.183788, 0.217388, 0.701617>
    }
    triangle {
      < 4.459093, 0.176621, 0.709414>,
      < 4.183927, 0.189772, 0.766732>,
      < 4.183962, 0.154575, 0.787896>
    }
    triangle {
      < 4.459093, 0.176621, 0.709414>,
      < 4.183962, 0.154575, 0.787896>,
      < 4.440471, 0.140779, 0.726736>
    }
    triangle {
      < 4.183927, 0.095454, 0.783025>,
      < 4.459085, 0.081705, 0.725677>,
      < 4.440467, 0.121757, 0.729985>
    }
    triangle {
      < 4.183927, 0.095454, 0.783025>,
      < 4.440467, 0.121757, 0.729985>,
      < 4.183962, 0.135704, 0.791156>
    }
    triangle {
      < 4.556540, 0.090398, 0.783005>,
      < 4.923962, 0.075456, 0.723712>,
      < 4.905266, 0.114847, 0.727001>
    }
    triangle {
      < 4.556540, 0.090398, 0.783005>,
      < 4.905266, 0.114847, 0.727001>,
      < 4.556577, 0.130832, 0.791149>
    }
    triangle {
      < 4.923947, 0.169028, 0.707369>,
      < 4.556540, 0.185169, 0.766745>,
      < 4.556577, 0.149793, 0.787895>
    }
    triangle {
      < 4.923947, 0.169028, 0.707369>,
      < 4.556577, 0.149793, 0.787895>,
      < 4.905259, 0.133564, 0.723708>
    }
    triangle {
      < 4.556504, 0.201594, 0.748841>,
      < 4.942648, 0.185785, 0.694319>,
      < 4.961312, 0.200337, 0.668528>
    }
    triangle {
      < 4.556504, 0.201594, 0.748841>,
      < 4.961312, 0.200337, 0.668528>,
      < 4.556395, 0.212955, 0.701644>
    }
    triangle {
      < 5.021425, 0.194306, 0.748900>,
      < 5.336073, 0.182393, 0.694991>,
      < 5.354268, 0.196573, 0.668607>
    }
    triangle {
      < 5.021425, 0.194306, 0.748900>,
      < 5.354268, 0.196573, 0.668607>,
      < 5.021350, 0.205343, 0.701733>
    }
    triangle {
      < 5.317865, 0.165980, 0.708639>,
      < 5.021451, 0.178178, 0.766780>,
      < 5.021476, 0.143383, 0.787885>
    }
    triangle {
      < 5.317865, 0.165980, 0.708639>,
      < 5.021476, 0.143383, 0.787885>,
      < 5.299676, 0.131285, 0.725579>
    }
    triangle {
      < 5.021451, 0.084825, 0.782933>,
      < 5.317894, 0.074511, 0.724930>,
      < 5.299691, 0.112991, 0.728876>
    }
    triangle {
      < 5.021451, 0.084825, 0.782933>,
      < 5.299691, 0.112991, 0.728876>,
      < 5.021476, 0.124705, 0.791117>
    }
    triangle {
      < 5.414416, 0.191394, 0.748909>,
      < 5.711139, 0.181998, 0.695272>,
      < 5.729262, 0.196275, 0.668642>
    }
    triangle {
      < 5.414416, 0.191394, 0.748909>,
      < 5.729262, 0.196275, 0.668642>,
      < 5.414344, 0.202034, 0.701747>
    }
    triangle {
      < 5.693003, 0.165481, 0.709168>,
      < 5.414440, 0.175656, 0.766784>,
      < 5.414464, 0.141636, 0.787881>
    }
    triangle {
      < 5.693003, 0.165481, 0.709168>,
      < 5.414464, 0.141636, 0.787881>,
      < 5.674865, 0.130383, 0.726270>
    }
    triangle {
      < 5.414440, 0.084232, 0.782917>,
      < 5.692987, 0.072871, 0.725261>,
      < 5.674857, 0.111792, 0.729480>
    }
    triangle {
      < 5.414440, 0.084232, 0.782917>,
      < 5.674857, 0.111792, 0.729480>,
      < 5.414464, 0.123345, 0.791109>
    }
    triangle {
      < 5.789557, 0.190434, 0.748909>,
      < 5.996122, 0.176713, 0.696818>,
      < 6.013744, 0.190352, 0.668613>
    }
    triangle {
      < 5.789557, 0.190434, 0.748909>,
      < 6.013744, 0.190352, 0.668613>,
      < 5.789425, 0.201277, 0.701746>
    }
    triangle {
      < 5.978448, 0.160837, 0.712289>,
      < 5.789602, 0.174496, 0.766785>,
      < 5.789646, 0.140077, 0.787883>
    }
    triangle {
      < 5.978448, 0.160837, 0.712289>,
      < 5.789646, 0.140077, 0.787883>,
      < 5.960786, 0.126591, 0.731008>
    }
    triangle {
      < 5.789602, 0.082080, 0.782921>,
      < 5.978462, 0.068958, 0.728487>,
      < 5.960793, 0.108211, 0.734260>
    }
    triangle {
      < 5.789602, 0.082080, 0.782921>,
      < 5.960793, 0.108211, 0.734260>,
      < 5.789646, 0.121588, 0.791111>
    }
    triangle {
      < 5.996129, 0.048074, 0.719460>,
      < 5.789557, 0.061050, 0.771500>,
      < 5.789425, 0.034935, 0.730789>
    }
    triangle {
      < 5.996129, 0.048074, 0.719460>,
      < 5.789425, 0.034935, 0.730789>,
      < 6.013744, 0.024964, 0.697696>
    }
    triangle {
      < 5.711131, 0.052529, 0.717831>,
      < 5.414416, 0.063399, 0.771496>,
      < 5.414345, 0.037478, 0.730786>
    }
    triangle {
      < 5.711131, 0.052529, 0.717831>,
      < 5.414345, 0.037478, 0.730786>,
      < 5.729262, 0.029958, 0.697665>
    }
    triangle {
      < 5.336088, 0.054313, 0.717686>,
      < 5.021425, 0.063610, 0.771514>,
      < 5.021350, 0.037316, 0.730806>
    }
    triangle {
      < 5.336088, 0.054313, 0.717686>,
      < 5.021350, 0.037316, 0.730806>,
      < 5.354268, 0.031894, 0.697705>
    }
    triangle {
      < 4.942656, 0.054771, 0.717128>,
      < 4.556504, 0.068913, 0.771606>,
      < 4.556395, 0.042375, 0.730913>
    }
    triangle {
      < 4.942656, 0.054771, 0.717128>,
      < 4.556395, 0.042375, 0.730913>,
      < 4.961313, 0.031890, 0.697803>
    }
    triangle {
      < 4.477712, 0.060663, 0.718120>,
      < 4.183892, 0.074062, 0.771632>,
      < 4.183788, 0.047623, 0.730944>
    }
    triangle {
      < 4.477712, 0.060663, 0.718120>,
      < 4.183788, 0.047623, 0.730944>,
      < 4.496305, 0.037432, 0.697820>
    }
    triangle {
      < 4.105224, 0.065899, 0.718068>,
      < 3.811293, 0.079304, 0.771607>,
      < 3.811188, 0.052967, 0.730916>
    }
    triangle {
      < 4.105224, 0.065899, 0.718068>,
      < 3.811188, 0.052967, 0.730916>,
      < 4.123706, 0.042776, 0.697792>
    }
    texture {exhaust}
  }
  // fuselage
  union {
    triangle {
      < 2.080458, -0.044641, 0.580071>,
      < 2.080458, -0.639738, 0.533271>,
      < 3.765859, -0.575051, 0.533271>
    }
    triangle {
      < 2.080458, -0.044641, 0.580071>,
      < 3.765859, -0.575051, 0.533271>,
      < 3.765859, -0.018264, 0.580071>
    }
    triangle {
      < 2.080458, -0.639738, 0.533271>,
      < 2.958858, -0.755430, 0.464885>,
      < 3.765859, -0.787602, 0.464885>
    }
    triangle {
      < 2.080458, -0.639738, 0.533271>,
      < 3.765859, -0.787602, 0.464885>,
      < 3.765859, -0.575051, 0.533271>
    }
    triangle {
      < 2.958858, -0.755430, 0.464885>,
      < 2.958858, -0.938409, 0.628220>,
      < 3.765859, -0.962355, 0.628220>
    }
    triangle {
      < 2.958858, -0.755430, 0.464885>,
      < 3.765859, -0.962355, 0.628220>,
      < 3.765859, -0.787602, 0.464885>
    }
    texture {fuselage}
  }
  // wings
  union {
    triangle {
      < 1.797642, -1.111711, 8.387530>,
      < 1.797642, -1.186562, 8.382774>,
      < 2.273984, -1.179377, 8.486926>
    }
    triangle {
      < 1.797642, -1.111711, 8.387530>,
      < 2.273984, -1.179377, 8.486926>,
      < 2.273984, -1.104526, 8.491683>
    }
    texture {wings}
  }
  // fuselage
  union {
    triangle {
      < 2.958858, -1.348629, 0.610057>,
      < 2.080458, -1.348629, 0.000000>,
      < 3.765859, -1.243404, 0.000000>
    }
    triangle {
      < 2.958858, -1.348629, 0.610057>,
      < 3.765859, -1.243404, 0.000000>,
      < 3.765859, -1.243404, 0.610057>
    }
    triangle {
      < 2.930218, 0.704509, 0.000000>,
      < 2.930218, 0.704509, 0.156457>,
      < 3.765859, 0.722259, 0.156457>
    }
    triangle {
      < 2.930218, 0.704509, 0.000000>,
      < 3.765859, 0.722259, 0.156457>,
      < 3.765859, 0.722259, 0.000000>
    }
    triangle {
      < 2.930218, 0.704509, 0.156457>,
      < 2.890618, 0.634652, 0.312522>,
      < 3.765859, 0.656899, 0.312522>
    }
    triangle {
      < 2.930218, 0.704509, 0.156457>,
      < 3.765859, 0.656899, 0.312522>,
      < 3.765859, 0.722259, 0.156457>
    }
    triangle {
      < 2.890618, 0.634652, 0.312522>,
      < 2.890618, 0.564392, 0.379419>,
      < 3.765859, 0.591162, 0.379419>
    }
    triangle {
      < 2.890618, 0.634652, 0.312522>,
      < 3.765859, 0.591162, 0.379419>,
      < 3.765859, 0.656899, 0.312522>
    }
    triangle {
      < 2.890618, 0.564392, 0.379419>,
      < 2.876219, 0.393459, 0.490883>,
      < 3.765859, 0.431232, 0.490883>
    }
    triangle {
      < 2.890618, 0.564392, 0.379419>,
      < 3.765859, 0.431232, 0.490883>,
      < 3.765859, 0.591162, 0.379419>
    }
    triangle {
      < 2.876219, 0.393459, 0.490883>,
      < 2.080458, 0.230355, 0.535484>,
      < 3.765859, 0.239029, 0.535484>
    }
    triangle {
      < 2.876219, 0.393459, 0.490883>,
      < 3.765859, 0.239029, 0.535484>,
      < 3.765859, 0.431232, 0.490883>
    }
    triangle {
      < 2.080458, 0.230355, 0.535484>,
      < 2.080458, -0.044641, 0.580071>,
      < 3.765859, -0.018264, 0.580071>
    }
    triangle {
      < 2.080458, 0.230355, 0.535484>,
      < 3.765859, -0.018264, 0.580071>,
      < 3.765859, 0.239029, 0.535484>
    }
    texture {fuselage}
  }
  // canopy
  union {
    triangle {
      < 2.369463, 1.082385, 0.355012>,
      < 2.220967, 1.202554, 0.354093>,
      < 2.203136, 1.002782, 0.414086>
    }
    triangle {
      < 2.369463, 1.082385, 0.355012>,
      < 2.203136, 1.002782, 0.414086>,
      < 2.436418, 0.357459, 0.490883>
    }
    triangle {
      < 2.369463, 1.082385, 0.355012>,
      < 2.436418, 0.357459, 0.490883>,
      < 2.473427, 0.371387, 0.481801>
    }
    triangle {
      < 2.369463, 1.082385, 0.355012>,
      < 2.473427, 0.371387, 0.481801>,
      < 2.890618, 0.564392, 0.379419>
    }
    texture {canopy}
  }
  // fuselage
  union {
    triangle {
      < 2.473918, 0.357459, 0.490883>,
      < 2.436418, 0.321287, 0.500775>,
      < 1.626258, 0.230355, 0.535484>
    }
    triangle {
      < 2.473918, 0.357459, 0.490883>,
      < 1.626258, 0.230355, 0.535484>,
      < 2.080458, 0.230355, 0.535484>
    }
    triangle {
      < 2.473918, 0.357459, 0.490883>,
      < 2.080458, 0.230355, 0.535484>,
      < 2.876219, 0.393459, 0.490883>
    }
    triangle {
      < 1.626258, 0.230355, 0.535484>,
      < 1.626258, -0.044641, 0.580071>,
      < 2.080458, -0.044641, 0.580071>
    }
    triangle {
      < 1.626258, 0.230355, 0.535484>,
      < 2.080458, -0.044641, 0.580071>,
      < 2.080458, 0.230355, 0.535484>
    }
    triangle {
      < 1.626258, -0.044641, 0.580071>,
      < 1.626258, -0.639738, 0.533271>,
      < 2.080458, -0.639738, 0.533271>
    }
    triangle {
      < 1.626258, -0.044641, 0.580071>,
      < 2.080458, -0.639738, 0.533271>,
      < 2.080458, -0.044641, 0.580071>
    }
    triangle {
      < 1.626258, -0.639738, 0.533271>,
      < 1.626258, -0.798630, 0.464885>,
      < 2.958858, -0.755430, 0.464885>
    }
    triangle {
      < 1.626258, -0.639738, 0.533271>,
      < 2.958858, -0.755430, 0.464885>,
      < 2.080458, -0.639738, 0.533271>
    }
    triangle {
      < 1.626258, -0.798630, 0.464885>,
      < 1.626258, -0.938409, 0.628220>,
      < 2.958858, -0.938409, 0.628220>
    }
    triangle {
      < 1.626258, -0.798630, 0.464885>,
      < 2.958858, -0.938409, 0.628220>,
      < 2.958858, -0.755430, 0.464885>
    }
    triangle {
      < 1.626258, -1.348629, 0.610057>,
      < 1.626258, -1.348629, 0.000000>,
      < 2.080458, -1.348629, 0.000000>
    }
    triangle {
      < 1.626258, -1.348629, 0.610057>,
      < 2.080458, -1.348629, 0.000000>,
      < 2.958858, -1.348629, 0.610057>
    }
    texture {fuselage}
  }
  // canopy
  union {
    triangle {
      < 2.218233, 1.270108, 0.194992>,
      < 2.219124, 1.231449, 0.321312>,
      < 2.367620, 1.111280, 0.322231>
    }
    triangle {
      < 2.218233, 1.270108, 0.194992>,
      < 2.367620, 1.111280, 0.322231>,
      < 2.890618, 0.634652, 0.312522>
    }
    triangle {
      < 2.218233, 1.270108, 0.194992>,
      < 2.890618, 0.634652, 0.312522>,
      < 2.930218, 0.704509, 0.156457>
    }
    triangle {
      < 2.218233, 1.270108, 0.194992>,
      < 2.930218, 0.704509, 0.156457>,
      < 2.930218, 0.704509, 0.000000>
    }
    triangle {
      < 2.218233, 1.270108, 0.194992>,
      < 2.930218, 0.704509, 0.000000>,
      < 2.224331, 1.308867, 0.000000>
    }
    triangle {
      < 2.890618, 0.564392, 0.379419>,
      < 2.890618, 0.634652, 0.312522>,
      < 2.367620, 1.111280, 0.322231>
    }
    triangle {
      < 2.890618, 0.564392, 0.379419>,
      < 2.367620, 1.111280, 0.322231>,
      < 2.369463, 1.082385, 0.355012>
    }
    triangle {
      < 0.619036, 1.147625, 0.329246>,
      < 1.198729, 1.286221, 0.329246>,
      < 1.198709, 1.327066, 0.201033>
    }
    triangle {
      < 0.619036, 1.147625, 0.329246>,
      < 1.198709, 1.327066, 0.201033>,
      < 1.124589, 1.368707, 0.000000>
    }
    triangle {
      < 0.619036, 1.147625, 0.329246>,
      < 1.124589, 1.368707, 0.000000>,
      < -1.167794, 0.704509, 0.000000>
    }
    triangle {
      < 0.619036, 1.147625, 0.329246>,
      < -1.167794, 0.704509, 0.000000>,
      < -1.167794, 0.704509, 0.156457>
    }
    triangle {
      < 0.619036, 1.147625, 0.329246>,
      < -1.167794, 0.704509, 0.156457>,
      < -1.079142, 0.634652, 0.312522>
    }
    triangle {
      < 1.198729, 1.251091, 0.362695>,
      < 1.198729, 1.286221, 0.329246>,
      < 0.619036, 1.147625, 0.329246>
    }
    triangle {
      < 1.198729, 1.251091, 0.362695>,
      < 0.619036, 1.147625, 0.329246>,
      < -1.079142, 0.634652, 0.312522>
    }
    triangle {
      < 1.198729, 1.251091, 0.362695>,
      < -1.079142, 0.634652, 0.312522>,
      < -0.966887, 0.564392, 0.379419>
    }
    triangle {
      < 1.198729, 1.251091, 0.362695>,
      < -0.966887, 0.564392, 0.379419>,
      < 0.619036, 1.112495, 0.362695>
    }
    triangle {
      < 0.650207, 1.022778, 0.402545>,
      < -0.966887, 0.564392, 0.379419>,
      < -0.886830, 0.482470, 0.434400>
    }
    triangle {
      < 0.650207, 1.022778, 0.402545>,
      < -0.886830, 0.482470, 0.434400>,
      < 1.121248, 0.444280, 0.481952>
    }
    texture {canopy}
  }
  // fuselage
  union {
    triangle {
      < -0.869141, 0.230355, 0.535484>,
      < 1.626258, 0.230355, 0.535484>,
      < 2.436418, 0.321287, 0.500775>
    }
    triangle {
      < -0.869141, 0.230355, 0.535484>,
      < 2.436418, 0.321287, 0.500775>,
      < 1.421248, 0.357287, 0.500775>
    }
    triangle {
      < -0.869141, 0.230355, 0.535484>,
      < 1.421248, 0.357287, 0.500775>,
      < 1.121248, 0.371687, 0.500775>
    }
    triangle {
      < -0.869141, 0.230355, 0.535484>,
      < 1.121248, 0.371687, 0.500775>,
      < -0.869141, 0.414887, 0.464775>
    }
    triangle {
      < -0.869141, 0.230355, 0.535484>,
      < -0.869141, -0.044641, 0.580071>,
      < 1.626258, -0.044641, 0.580071>
    }
    triangle {
      < -0.869141, 0.230355, 0.535484>,
      < 1.626258, -0.044641, 0.580071>,
      < 1.626258, 0.230355, 0.535484>
    }
    triangle {
      < -0.869141, -0.044641, 0.580071>,
      < -0.869141, -0.639738, 0.533271>,
      < 1.626258, -0.639738, 0.533271>
    }
    triangle {
      < -0.869141, -0.044641, 0.580071>,
      < 1.626258, -0.639738, 0.533271>,
      < 1.626258, -0.044641, 0.580071>
    }
    triangle {
      < -0.869141, -0.639738, 0.533271>,
      < -0.869141, -0.870630, 0.464885>,
      < 1.626258, -0.798630, 0.464885>
    }
    triangle {
      < -0.869141, -0.639738, 0.533271>,
      < 1.626258, -0.798630, 0.464885>,
      < 1.626258, -0.639738, 0.533271>
    }
    triangle {
      < -0.869141, -0.870630, 0.464885>,
      < -0.605987, -1.078982, 0.628220>,
      < 1.626258, -0.938409, 0.628220>
    }
    triangle {
      < -0.869141, -0.870630, 0.464885>,
      < 1.626258, -0.938409, 0.628220>,
      < 1.626258, -0.798630, 0.464885>
    }
    triangle {
      < -0.605987, -1.132629, 0.610057>,
      < -0.605987, -1.348629, 0.000000>,
      < 1.626258, -1.348629, 0.000000>
    }
    triangle {
      < -0.605987, -1.132629, 0.610057>,
      < 1.626258, -1.348629, 0.000000>,
      < 1.626258, -1.348629, 0.610057>
    }
    triangle {
      < 2.473918, 0.357459, 0.490883>,
      < 2.876219, 0.393459, 0.490883>,
      < 2.890618, 0.564392, 0.379419>
    }
    triangle {
      < 2.473918, 0.357459, 0.490883>,
      < 2.890618, 0.564392, 0.379419>,
      < 2.473427, 0.371387, 0.481801>
    }
    texture {fuselage}
  }
  // canopy
  union {
    triangle {
      < 2.156535, 1.334394, 0.000000>,
      < 1.124589, 1.368707, 0.000000>,
      < 1.198709, 1.327066, 0.201033>
    }
    triangle {
      < 2.156535, 1.334394, 0.000000>,
      < 1.198709, 1.327066, 0.201033>,
      < 2.164830, 1.286676, 0.201846>
    }
    triangle {
      < 2.164657, 1.209415, 0.363608>,
      < 2.164556, 1.245486, 0.330265>,
      < 1.346727, 1.296032, 0.329246>
    }
    triangle {
      < 2.164657, 1.209415, 0.363608>,
      < 1.346727, 1.296032, 0.329246>,
      < 1.198729, 1.286221, 0.329246>
    }
    triangle {
      < 2.164657, 1.209415, 0.363608>,
      < 1.198729, 1.286221, 0.329246>,
      < 1.198729, 1.251091, 0.362695>
    }
    triangle {
      < 2.164657, 1.209415, 0.363608>,
      < 1.198729, 1.251091, 0.362695>,
      < 1.346727, 1.260902, 0.362695>
    }
    texture {canopy}
  }
  // fuselage
  union {
    triangle {
      < 2.436418, 0.321287, 0.500775>,
      < 2.473918, 0.357459, 0.490883>,
      < 2.436418, 0.357459, 0.490883>
    }
    triangle {
      < 2.473918, 0.357459, 0.490883>,
      < 2.473427, 0.371387, 0.481801>,
      < 2.436418, 0.357459, 0.490883>
    }
    triangle {
      < -0.886830, 0.482470, 0.434400>,
      < -0.869141, 0.414887, 0.464775>,
      < -0.869141, 0.451059, 0.454883>
    }
    texture {fuselage}
  }
  // canopy
  union {
    triangle {
      < 2.184413, 1.007165, 0.415509>,
      < 2.164928, 1.007475, 0.416100>,
      < 2.398921, 0.394306, 0.483900>
    }
    triangle {
      < 2.184413, 1.007165, 0.415509>,
      < 2.398921, 0.394306, 0.483900>,
      < 2.436418, 0.357459, 0.490883>
    }
    texture {canopy}
  }
  // fuselage
  union {
    triangle {
      < 1.421248, 0.430267, 0.483714>,
      < 1.421248, 0.393459, 0.490883>,
      < 2.436418, 0.357459, 0.490883>
    }
    triangle {
      < 1.421248, 0.430267, 0.483714>,
      < 2.436418, 0.357459, 0.490883>,
      < 2.398921, 0.394306, 0.483900>
    }
    triangle {
      < 1.421248, 0.393459, 0.490883>,
      < 1.421248, 0.357287, 0.500775>,
      < 2.436418, 0.321287, 0.500775>
    }
    triangle {
      < 1.421248, 0.393459, 0.490883>,
      < 2.436418, 0.321287, 0.500775>,
      < 2.436418, 0.357459, 0.490883>
    }
    triangle {
      < 1.121248, 0.444280, 0.481952>,
      < 1.121248, 0.407859, 0.490883>,
      < 1.421248, 0.393459, 0.490883>
    }
    triangle {
      < 1.121248, 0.444280, 0.481952>,
      < 1.421248, 0.393459, 0.490883>,
      < 1.421248, 0.430267, 0.483714>
    }
    triangle {
      < 1.121248, 0.407859, 0.490883>,
      < 1.121248, 0.371687, 0.500775>,
      < 1.421248, 0.357287, 0.500775>
    }
    triangle {
      < 1.121248, 0.407859, 0.490883>,
      < 1.421248, 0.357287, 0.500775>,
      < 1.421248, 0.393459, 0.490883>
    }
    triangle {
      < -0.886830, 0.482470, 0.434400>,
      < -0.869141, 0.451059, 0.454883>,
      < 1.121248, 0.407859, 0.490883>
    }
    triangle {
      < -0.886830, 0.482470, 0.434400>,
      < 1.121248, 0.407859, 0.490883>,
      < 1.121248, 0.444280, 0.481952>
    }
    triangle {
      < -0.869141, 0.451059, 0.454883>,
      < -0.869141, 0.414887, 0.464775>,
      < 1.121248, 0.371687, 0.500775>
    }
    triangle {
      < -0.869141, 0.451059, 0.454883>,
      < 1.121248, 0.371687, 0.500775>,
      < 1.121248, 0.407859, 0.490883>
    }
    texture {fuselage}
  }
  // canopy
  union {
    triangle {
      < 2.219124, 1.231449, 0.321312>,
      < 2.202622, 1.240752, 0.326490>,
      < 2.202622, 1.205622, 0.359939>
    }
    triangle {
      < 2.219124, 1.231449, 0.321312>,
      < 2.202622, 1.205622, 0.359939>,
      < 2.220967, 1.202554, 0.354093>
    }
    triangle {
      < 2.184142, 1.244235, 0.329568>,
      < 2.164556, 1.245486, 0.330265>,
      < 2.164657, 1.209415, 0.363608>
    }
    triangle {
      < 2.184142, 1.244235, 0.329568>,
      < 2.164657, 1.209415, 0.363608>,
      < 2.184142, 1.209105, 0.363017>
    }
    triangle {
      < 2.224331, 1.308867, 0.000000>,
      < 2.193910, 1.331267, 0.000000>,
      < 2.201731, 1.279411, 0.200170>
    }
    triangle {
      < 2.224331, 1.308867, 0.000000>,
      < 2.201731, 1.279411, 0.200170>,
      < 2.218233, 1.270108, 0.194992>
    }
    triangle {
      < 2.193910, 1.331267, 0.000000>,
      < 2.156535, 1.334394, 0.000000>,
      < 2.164830, 1.286676, 0.201846>
    }
    triangle {
      < 2.193910, 1.331267, 0.000000>,
      < 2.164830, 1.286676, 0.201846>,
      < 2.184417, 1.285425, 0.201149>
    }
    triangle {
      < 2.202622, 1.205622, 0.359939>,
      < 2.184142, 1.209105, 0.363017>,
      < 2.184413, 1.007165, 0.415509>
    }
    triangle {
      < 2.202622, 1.205622, 0.359939>,
      < 2.184413, 1.007165, 0.415509>,
      < 2.203136, 1.002782, 0.414086>
    }
    triangle {
      < 2.201731, 1.279411, 0.200170>,
      < 2.184417, 1.285425, 0.201149>,
      < 2.184142, 1.244235, 0.329568>
    }
    triangle {
      < 2.201731, 1.279411, 0.200170>,
      < 2.184142, 1.244235, 0.329568>,
      < 2.202622, 1.240752, 0.326490>
    }
    triangle {
      < -0.966887, 0.564392, 0.379419>,
      < 0.650207, 1.022778, 0.402545>,
      < 0.619036, 1.112495, 0.362695>
    }
    triangle {
      < 2.184142, 1.244235, 0.329568>,
      < 2.184142, 1.209105, 0.363017>,
      < 2.202622, 1.205622, 0.359939>
    }
    triangle {
      < 2.184142, 1.244235, 0.329568>,
      < 2.202622, 1.205622, 0.359939>,
      < 2.202622, 1.240752, 0.326490>
    }
    triangle {
      < 2.184417, 1.285425, 0.201149>,
      < 2.164830, 1.286676, 0.201846>,
      < 2.164556, 1.245486, 0.330265>
    }
    triangle {
      < 2.184417, 1.285425, 0.201149>,
      < 2.164556, 1.245486, 0.330265>,
      < 2.184142, 1.244235, 0.329568>
    }
    triangle {
      < 2.184417, 1.285425, 0.201149>,
      < 2.201731, 1.279411, 0.200170>,
      < 2.193910, 1.331267, 0.000000>
    }
    triangle {
      < 2.202622, 1.240752, 0.326490>,
      < 2.219124, 1.231449, 0.321312>,
      < 2.218233, 1.270108, 0.194992>
    }
    triangle {
      < 2.202622, 1.240752, 0.326490>,
      < 2.218233, 1.270108, 0.194992>,
      < 2.201731, 1.279411, 0.200170>
    }
    triangle {
      < 2.219124, 1.231449, 0.321312>,
      < 2.220967, 1.202554, 0.354093>,
      < 2.369463, 1.082385, 0.355012>
    }
    triangle {
      < 2.219124, 1.231449, 0.321312>,
      < 2.369463, 1.082385, 0.355012>,
      < 2.367620, 1.111280, 0.322231>
    }
    triangle {
      < 2.203136, 1.002782, 0.414086>,
      < 2.220967, 1.202554, 0.354093>,
      < 2.202622, 1.205622, 0.359939>
    }
    triangle {
      < 2.184413, 1.007165, 0.415509>,
      < 2.436418, 0.357459, 0.490883>,
      < 2.203136, 1.002782, 0.414086>
    }
    triangle {
      < 2.184142, 1.209105, 0.363017>,
      < 2.164657, 1.209415, 0.363608>,
      < 2.164928, 1.007475, 0.416100>
    }
    triangle {
      < 2.184142, 1.209105, 0.363017>,
      < 2.164928, 1.007475, 0.416100>,
      < 2.184413, 1.007165, 0.415509>
    }
    triangle {
      < 2.164928, 1.007475, 0.416100>,
      < 2.164657, 1.209415, 0.363608>,
      < 1.346727, 1.260902, 0.362695>
    }
    triangle {
      < 2.164928, 1.007475, 0.416100>,
      < 1.346727, 1.260902, 0.362695>,
      < 1.346234, 1.064003, 0.413891>
    }
    triangle {
      < 1.346234, 1.064003, 0.413891>,
      < 1.346727, 1.260902, 0.362695>,
      < 1.198729, 1.251091, 0.362695>
    }
    triangle {
      < 1.346234, 1.064003, 0.413891>,
      < 1.198729, 1.251091, 0.362695>,
      < 1.198236, 1.054193, 0.413891>
    }
    triangle {
      < 1.198236, 1.054193, 0.413891>,
      < 1.198729, 1.251091, 0.362695>,
      < 0.619036, 1.112495, 0.362695>
    }
    triangle {
      < 1.198236, 1.054193, 0.413891>,
      < 0.619036, 1.112495, 0.362695>,
      < 0.650207, 1.022778, 0.402545>
    }
    triangle {
      < 1.421248, 0.430267, 0.483714>,
      < 1.346234, 1.064003, 0.413891>,
      < 1.198236, 1.054193, 0.413891>
    }
    triangle {
      < 1.421248, 0.430267, 0.483714>,
      < 1.198236, 1.054193, 0.413891>,
      < 1.121248, 0.444280, 0.481952>
    }
    triangle {
      < 2.398921, 0.394306, 0.483900>,
      < 2.164928, 1.007475, 0.416100>,
      < 1.346234, 1.064003, 0.413891>
    }
    triangle {
      < 2.398921, 0.394306, 0.483900>,
      < 1.346234, 1.064003, 0.413891>,
      < 1.421248, 0.430267, 0.483714>
    }
    triangle {
      < 1.198236, 1.054193, 0.413891>,
      < 0.650207, 1.022778, 0.402545>,
      < 1.121248, 0.444280, 0.481952>
    }
    triangle {
      < 1.198729, 1.286221, 0.329246>,
      < 1.346727, 1.296032, 0.329246>,
      < 2.164556, 1.245486, 0.330265>
    }
    triangle {
      < 1.198729, 1.286221, 0.329246>,
      < 2.164556, 1.245486, 0.330265>,
      < 2.164830, 1.286676, 0.201846>
    }
    triangle {
      < 1.198729, 1.286221, 0.329246>,
      < 2.164830, 1.286676, 0.201846>,
      < 1.198709, 1.327066, 0.201033>
    }
    texture {canopy}
  }
  // fuselage
  union {
    triangle {
      < -0.605987, -1.078982, 0.628220>,
      < -1.006543, -1.615830, 0.464885>,
      < -1.006543, -1.824182, 0.369020>
    }
    triangle {
      < -0.605987, -1.078982, 0.628220>,
      < -1.006543, -1.824182, 0.369020>,
      < -0.605987, -1.201591, 0.631323>
    }
    triangle {
      < -1.373742, 0.704509, 0.000000>,
      < -1.373742, 0.704509, 0.156457>,
      < -1.167794, 0.704509, 0.156457>
    }
    triangle {
      < -1.373742, 0.704509, 0.000000>,
      < -1.167794, 0.704509, 0.156457>,
      < -1.167794, 0.704509, 0.000000>
    }
    triangle {
      < -1.373742, 0.704509, 0.156457>,
      < -1.271461, 0.634652, 0.312522>,
      < -1.079142, 0.634652, 0.312522>
    }
    triangle {
      < -1.373742, 0.704509, 0.156457>,
      < -1.079142, 0.634652, 0.312522>,
      < -1.167794, 0.704509, 0.156457>
    }
    triangle {
      < -1.271461, 0.634652, 0.312522>,
      < -1.158709, 0.564392, 0.379419>,
      < -0.966887, 0.564392, 0.379419>
    }
    triangle {
      < -1.271461, 0.634652, 0.312522>,
      < -0.966887, 0.564392, 0.379419>,
      < -1.079142, 0.634652, 0.312522>
    }
    triangle {
      < -1.158709, 0.564392, 0.379419>,
      < -1.006543, 0.482470, 0.434400>,
      < -0.886830, 0.482470, 0.434400>
    }
    triangle {
      < -1.158709, 0.564392, 0.379419>,
      < -0.886830, 0.482470, 0.434400>,
      < -0.966887, 0.564392, 0.379419>
    }
    triangle {
      < -1.006543, 0.482470, 0.434400>,
      < -1.006543, 0.414887, 0.464775>,
      < -0.869141, 0.414887, 0.464775>
    }
    triangle {
      < -1.006543, 0.482470, 0.434400>,
      < -0.869141, 0.414887, 0.464775>,
      < -0.886830, 0.482470, 0.434400>
    }
    triangle {
      < -1.006543, 0.414887, 0.464775>,
      < -1.006543, 0.230355, 0.535484>,
      < -0.869141, 0.230355, 0.535484>
    }
    triangle {
      < -1.006543, 0.414887, 0.464775>,
      < -0.869141, 0.230355, 0.535484>,
      < -0.869141, 0.414887, 0.464775>
    }
    triangle {
      < -1.006543, 0.230355, 0.535484>,
      < -1.006543, -0.044641, 0.580071>,
      < -0.869141, -0.044641, 0.580071>
    }
    triangle {
      < -1.006543, 0.230355, 0.535484>,
      < -0.869141, -0.044641, 0.580071>,
      < -0.869141, 0.230355, 0.535484>
    }
    triangle {
      < -1.006543, -0.044641, 0.580071>,
      < -1.006543, -0.639738, 0.533271>,
      < -0.869141, -0.639738, 0.533271>
    }
    triangle {
      < -1.006543, -0.044641, 0.580071>,
      < -0.869141, -0.639738, 0.533271>,
      < -0.869141, -0.044641, 0.580071>
    }
    triangle {
      < -1.006543, -0.639738, 0.533271>,
      < -1.006543, -1.615830, 0.464885>,
      < -0.869141, -0.870630, 0.464885>
    }
    triangle {
      < -1.006543, -0.639738, 0.533271>,
      < -0.869141, -0.870630, 0.464885>,
      < -0.869141, -0.639738, 0.533271>
    }
    triangle {
      < -1.006543, -1.615830, 0.464885>,
      < -0.605987, -1.078982, 0.628220>,
      < -0.869141, -0.870630, 0.464885>
    }
    triangle {
      < -1.655142, -0.639738, 0.506574>,
      < -1.655142, -1.414323, 0.441612>,
      < -1.006543, -1.615830, 0.464885>
    }
    triangle {
      < -1.655142, -0.639738, 0.506574>,
      < -1.006543, -1.615830, 0.464885>,
      < -1.006543, -0.639738, 0.533271>
    }
    triangle {
      < -1.655142, -1.414323, 0.441612>,
      < -1.655142, -1.622674, 0.350546>,
      < -1.006543, -1.824182, 0.369020>
    }
    triangle {
      < -1.655142, -1.414323, 0.441612>,
      < -1.006543, -1.824182, 0.369020>,
      < -1.006543, -1.615830, 0.464885>
    }
    triangle {
      < -1.655142, -1.622674, 0.350546>,
      < -1.655142, -1.691284, 0.291938>,
      < -1.006543, -1.892791, 0.307323>
    }
    triangle {
      < -1.655142, -1.622674, 0.350546>,
      < -1.006543, -1.892791, 0.307323>,
      < -1.006543, -1.824182, 0.369020>
    }
    triangle {
      < -1.655142, -1.691284, 0.291938>,
      < -1.655142, -1.759121, 0.148625>,
      < -1.006543, -1.960629, 0.156457>
    }
    triangle {
      < -1.655142, -1.691284, 0.291938>,
      < -1.006543, -1.960629, 0.156457>,
      < -1.006543, -1.892791, 0.307323>
    }
    triangle {
      < -1.655142, -1.759121, 0.148625>,
      < -1.655142, -1.759121, 0.000000>,
      < -1.006543, -1.960629, 0.000000>
    }
    triangle {
      < -1.655142, -1.759121, 0.148625>,
      < -1.006543, -1.960629, 0.000000>,
      < -1.006543, -1.960629, 0.156457>
    }
    triangle {
      < -1.655142, 0.704509, 0.000000>,
      < -1.655142, 0.704509, 0.148625>,
      < -1.373742, 0.704509, 0.156457>
    }
    triangle {
      < -1.655142, 0.704509, 0.000000>,
      < -1.373742, 0.704509, 0.156457>,
      < -1.373742, 0.704509, 0.000000>
    }
    triangle {
      < -1.655142, 0.704509, 0.148625>,
      < -1.655142, 0.634652, 0.296876>,
      < -1.271461, 0.634652, 0.312522>
    }
    triangle {
      < -1.655142, 0.704509, 0.148625>,
      < -1.271461, 0.634652, 0.312522>,
      < -1.373742, 0.704509, 0.156457>
    }
    triangle {
      < -1.655142, 0.634652, 0.296876>,
      < -1.655142, 0.564392, 0.360425>,
      < -1.158709, 0.564392, 0.379419>
    }
    triangle {
      < -1.655142, 0.634652, 0.296876>,
      < -1.158709, 0.564392, 0.379419>,
      < -1.271461, 0.634652, 0.312522>
    }
    triangle {
      < -1.655142, 0.564392, 0.360425>,
      < -1.655142, 0.482471, 0.412653>,
      < -1.006543, 0.482470, 0.434400>
    }
    triangle {
      < -1.655142, 0.564392, 0.360425>,
      < -1.006543, 0.482470, 0.434400>,
      < -1.158709, 0.564392, 0.379419>
    }
    triangle {
      < -1.655142, 0.482471, 0.412653>,
      < -1.655142, 0.414887, 0.441507>,
      < -1.006543, 0.414887, 0.464775>
    }
    triangle {
      < -1.655142, 0.482471, 0.412653>,
      < -1.006543, 0.414887, 0.464775>,
      < -1.006543, 0.482470, 0.434400>
    }
    triangle {
      < -1.655142, 0.414887, 0.441507>,
      < -1.655142, 0.230355, 0.508676>,
      < -1.006543, 0.230355, 0.535484>
    }
    triangle {
      < -1.655142, 0.414887, 0.441507>,
      < -1.006543, 0.230355, 0.535484>,
      < -1.006543, 0.414887, 0.464775>
    }
    triangle {
      < -1.655142, 0.230355, 0.508676>,
      < -1.655142, -0.044641, 0.551031>,
      < -1.006543, -0.044641, 0.580071>
    }
    triangle {
      < -1.655142, 0.230355, 0.508676>,
      < -1.006543, -0.044641, 0.580071>,
      < -1.006543, 0.230355, 0.535484>
    }
    triangle {
      < -1.655142, -0.044641, 0.551031>,
      < -1.655142, -0.639738, 0.506574>,
      < -1.006543, -0.639738, 0.533271>
    }
    triangle {
      < -1.655142, -0.044641, 0.551031>,
      < -1.006543, -0.639738, 0.533271>,
      < -1.006543, -0.044641, 0.580071>
    }
    triangle {
      < 0.654074, -1.743844, 0.466038>,
      < 0.654074, -1.799869, 0.315172>,
      < 0.654074, -1.799869, 0.000000>
    }
    triangle {
      < 0.654074, -1.743844, 0.466038>,
      < 0.654074, -1.799869, 0.000000>,
      < 0.791476, -1.389575, 0.000000>
    }
    triangle {
      < 0.654074, -1.743844, 0.466038>,
      < 0.791476, -1.389575, 0.000000>,
      < 0.791476, -1.416797, 0.433712>
    }
    triangle {
      < 0.654074, -1.743844, 0.466038>,
      < 0.791476, -1.416797, 0.433712>,
      < 0.654074, -1.687181, 0.527734>
    }
    texture {fuselage}
  }
  // wings
  union {
    triangle {
      < -0.361405, -1.095250, 1.664383>,
      < 1.629640, -0.974871, 1.664383>,
      < 1.626258, -0.938409, 0.628220>
    }
    triangle {
      < -0.361405, -1.095250, 1.664383>,
      < 1.626258, -0.938409, 0.628220>,
      < -0.605987, -1.078982, 0.628220>
    }
    triangle {
      < 1.629640, -0.974871, 1.664383>,
      < 2.962241, -0.974871, 1.664383>,
      < 2.958858, -0.938409, 0.628220>
    }
    triangle {
      < 1.629640, -0.974871, 1.664383>,
      < 2.958858, -0.938409, 0.628220>,
      < 1.626258, -0.938409, 0.628220>
    }
    triangle {
      < 2.962241, -0.974871, 1.664383>,
      < 3.308442, -0.999037, 1.657746>,
      < 3.765859, -0.962355, 0.628220>
    }
    triangle {
      < 2.962241, -0.974871, 1.664383>,
      < 3.765859, -0.962355, 0.628220>,
      < 2.958858, -0.938409, 0.628220>
    }
    triangle {
      < 3.308442, -0.999037, 1.657746>,
      < 3.456042, -1.116736, 1.668975>,
      < 3.913459, -1.100734, 0.631323>
    }
    triangle {
      < 3.308442, -0.999037, 1.657746>,
      < 3.913459, -1.100734, 0.631323>,
      < 3.765859, -0.962355, 0.628220>
    }
    triangle {
      < 3.456042, -1.116736, 1.668975>,
      < 3.308442, -1.260532, 1.657578>,
      < 3.765859, -1.243404, 0.610057>
    }
    triangle {
      < 3.456042, -1.116736, 1.668975>,
      < 3.765859, -1.243404, 0.610057>,
      < 3.913459, -1.100734, 0.631323>
    }
    triangle {
      < 3.308442, -1.260532, 1.657578>,
      < 2.962241, -1.365507, 1.664820>,
      < 2.958858, -1.348629, 0.610057>
    }
    triangle {
      < 3.308442, -1.260532, 1.657578>,
      < 2.958858, -1.348629, 0.610057>,
      < 3.765859, -1.243404, 0.610057>
    }
    triangle {
      < 2.962241, -1.365507, 1.664820>,
      < 1.629640, -1.365507, 1.664820>,
      < 1.626258, -1.348629, 0.610057>
    }
    triangle {
      < 2.962241, -1.365507, 1.664820>,
      < 1.626258, -1.348629, 0.610057>,
      < 2.958858, -1.348629, 0.610057>
    }
    triangle {
      < 1.629640, -1.365507, 1.664820>,
      < -0.361405, -1.150019, 1.649955>,
      < -0.605987, -1.132629, 0.610057>
    }
    triangle {
      < 1.629640, -1.365507, 1.664820>,
      < -0.605987, -1.132629, 0.610057>,
      < 1.626258, -1.348629, 0.610057>
    }
    triangle {
      < -0.361405, -1.150019, 1.649955>,
      < -0.361405, -1.095250, 1.664383>,
      < -0.605987, -1.078982, 0.628220>
    }
    triangle {
      < -0.361405, -1.150019, 1.649955>,
      < -0.605987, -1.078982, 0.628220>,
      < -0.605987, -1.201591, 0.631323>
    }
    triangle {
      < -0.361405, -1.150019, 1.649955>,
      < -0.605987, -1.201591, 0.631323>,
      < -0.605987, -1.132629, 0.610057>
    }
    triangle {
      < 2.978287, -0.959703, 8.145055>,
      < 3.186722, -0.983870, 8.138417>,
      < 3.308442, -0.999037, 1.657746>
    }
    triangle {
      < 2.978287, -0.959703, 8.145055>,
      < 3.308442, -0.999037, 1.657746>,
      < 2.962241, -0.974871, 1.664383>
    }
    triangle {
      < 3.186722, -0.983870, 8.138417>,
      < 3.186722, -1.047697, 8.145931>,
      < 3.456042, -1.116736, 1.668975>
    }
    triangle {
      < 3.186722, -0.983870, 8.138417>,
      < 3.456042, -1.116736, 1.668975>,
      < 3.308442, -0.999037, 1.657746>
    }
    triangle {
      < 3.186722, -1.047697, 8.145931>,
      < 3.186722, -1.112480, 8.129084>,
      < 3.308442, -1.260532, 1.657578>
    }
    triangle {
      < 3.186722, -1.047697, 8.145931>,
      < 3.308442, -1.260532, 1.657578>,
      < 3.456042, -1.116736, 1.668975>
    }
    triangle {
      < 3.186722, -1.112480, 8.129084>,
      < 2.978287, -1.217455, 8.136325>,
      < 2.962241, -1.365507, 1.664820>
    }
    triangle {
      < 3.186722, -1.112480, 8.129084>,
      < 2.962241, -1.365507, 1.664820>,
      < 3.308442, -1.260532, 1.657578>
    }
    triangle {
      < 2.978287, -1.217455, 8.136325>,
      < 2.175970, -1.217455, 8.136325>,
      < 1.629640, -1.365507, 1.664820>
    }
    triangle {
      < 2.978287, -1.217455, 8.136325>,
      < 1.629640, -1.365507, 1.664820>,
      < 2.962241, -1.365507, 1.664820>
    }
    triangle {
      < 2.175970, -1.217455, 8.136325>,
      < 1.081943, -1.106119, 8.128645>,
      < -0.361405, -1.150019, 1.649955>
    }
    triangle {
      < 2.175970, -1.217455, 8.136325>,
      < -0.361405, -1.150019, 1.649955>,
      < 1.629640, -1.365507, 1.664820>
    }
    triangle {
      < 1.081943, -1.106119, 8.128645>,
      < 1.081943, -1.080082, 8.145055>,
      < -0.361405, -1.095250, 1.664383>
    }
    triangle {
      < 1.081943, -1.106119, 8.128645>,
      < -0.361405, -1.095250, 1.664383>,
      < -0.361405, -1.150019, 1.649955>
    }
    triangle {
      < 1.081943, -1.080082, 8.145055>,
      < 2.175970, -0.959703, 8.145055>,
      < 1.629640, -0.974871, 1.664383>
    }
    triangle {
      < 1.081943, -1.080082, 8.145055>,
      < 1.629640, -0.974871, 1.664383>,
      < -0.361405, -1.095250, 1.664383>
    }
    triangle {
      < 2.175970, -0.959703, 8.145055>,
      < 2.978287, -0.959703, 8.145055>,
      < 2.962241, -0.974871, 1.664383>
    }
    triangle {
      < 2.175970, -0.959703, 8.145055>,
      < 2.962241, -0.974871, 1.664383>,
      < 1.629640, -0.974871, 1.664383>
    }
    triangle {
      < 1.797642, -1.186562, 8.382774>,
      < 1.797642, -1.111711, 8.387530>,
      < 1.081943, -1.080082, 8.145055>
    }
    triangle {
      < 1.797642, -1.186562, 8.382774>,
      < 1.081943, -1.080082, 8.145055>,
      < 1.081943, -1.106119, 8.128645>
    }
    triangle {
      < 1.797642, -1.111711, 8.387530>,
      < 2.273984, -1.104526, 8.491683>,
      < 2.175970, -0.959703, 8.145055>
    }
    triangle {
      < 1.797642, -1.111711, 8.387530>,
      < 2.175970, -0.959703, 8.145055>,
      < 1.081943, -1.080082, 8.145055>
    }
    triangle {
      < 2.273984, -1.104526, 8.491683>,
      < 2.711147, -1.104526, 8.491683>,
      < 2.978287, -0.959703, 8.145055>
    }
    triangle {
      < 2.273984, -1.104526, 8.491683>,
      < 2.978287, -0.959703, 8.145055>,
      < 2.175970, -0.959703, 8.145055>
    }
    triangle {
      < 2.711147, -1.104526, 8.491683>,
      < 2.824718, -1.059287, 8.383914>,
      < 3.186722, -0.983870, 8.138417>
    }
    triangle {
      < 2.711147, -1.104526, 8.491683>,
      < 3.186722, -0.983870, 8.138417>,
      < 2.978287, -0.959703, 8.145055>
    }
    triangle {
      < 2.824718, -1.059287, 8.383914>,
      < 2.824718, -1.094065, 8.388008>,
      < 3.186722, -1.047697, 8.145931>
    }
    triangle {
      < 2.824718, -1.059287, 8.383914>,
      < 3.186722, -1.047697, 8.145931>,
      < 3.186722, -0.983870, 8.138417>
    }
    triangle {
      < 2.824718, -1.094065, 8.388008>,
      < 2.824718, -1.129364, 8.378828>,
      < 3.186722, -1.112480, 8.129084>
    }
    triangle {
      < 2.824718, -1.094065, 8.388008>,
      < 3.186722, -1.112480, 8.129084>,
      < 3.186722, -1.047697, 8.145931>
    }
    triangle {
      < 2.824718, -1.129364, 8.378828>,
      < 2.711147, -1.179377, 8.486926>,
      < 2.978287, -1.217455, 8.136325>
    }
    triangle {
      < 2.824718, -1.129364, 8.378828>,
      < 2.978287, -1.217455, 8.136325>,
      < 3.186722, -1.112480, 8.129084>
    }
    triangle {
      < 2.711147, -1.179377, 8.486926>,
      < 2.273984, -1.179377, 8.486926>,
      < 2.175970, -1.217455, 8.136325>
    }
    triangle {
      < 2.711147, -1.179377, 8.486926>,
      < 2.175970, -1.217455, 8.136325>,
      < 2.978287, -1.217455, 8.136325>
    }
    triangle {
      < 2.273984, -1.179377, 8.486926>,
      < 1.797642, -1.186562, 8.382774>,
      < 1.081943, -1.106119, 8.128645>
    }
    triangle {
      < 2.273984, -1.179377, 8.486926>,
      < 1.081943, -1.106119, 8.128645>,
      < 2.175970, -1.217455, 8.136325>
    }
    texture {wings}
  }
  // fuselage
  union {
    triangle {
      < 0.489037, -1.838894, 0.460791>,
      < 0.489037, -1.770285, 0.522487>,
      < -1.006543, -1.824182, 0.369020>
    }
    triangle {
      < 0.489037, -1.838894, 0.460791>,
      < -1.006543, -1.824182, 0.369020>,
      < -1.006543, -1.892791, 0.307323>
    }
    triangle {
      < 0.489037, -1.770285, 0.522487>,
      < 0.626440, -1.442896, 0.430831>,
      < -0.605987, -1.201591, 0.631323>
    }
    triangle {
      < 0.489037, -1.770285, 0.522487>,
      < -0.605987, -1.201591, 0.631323>,
      < -1.006543, -1.824182, 0.369020>
    }
    triangle {
      < 0.626440, -1.442896, 0.430831>,
      < -0.605987, -1.132629, 0.610057>,
      < -0.605987, -1.201591, 0.631323>
    }
    triangle {
      < 0.489037, -1.906732, 0.000000>,
      < 0.489037, -1.906732, 0.309925>,
      < -1.006543, -1.960629, 0.156457>
    }
    triangle {
      < 0.489037, -1.906732, 0.000000>,
      < -1.006543, -1.960629, 0.156457>,
      < -1.006543, -1.960629, 0.000000>
    }
    triangle {
      < 0.489037, -1.906732, 0.309925>,
      < 0.489037, -1.838894, 0.460791>,
      < -1.006543, -1.892791, 0.307323>
    }
    triangle {
      < 0.489037, -1.906732, 0.309925>,
      < -1.006543, -1.892791, 0.307323>,
      < -1.006543, -1.960629, 0.156457>
    }
    triangle {
      < -0.605987, -1.348629, 0.000000>,
      < -0.605987, -1.132629, 0.610057>,
      < 0.626440, -1.442896, 0.430831>
    }
    triangle {
      < -0.605987, -1.348629, 0.000000>,
      < 0.626440, -1.442896, 0.430831>,
      < 0.626440, -1.409934, 0.000000>
    }
    triangle {
      < 0.654074, -1.799869, 0.000000>,
      < 0.654074, -1.799869, 0.315172>,
      < 0.489037, -1.906732, 0.309925>
    }
    triangle {
      < 0.654074, -1.799869, 0.000000>,
      < 0.489037, -1.906732, 0.309925>,
      < 0.489037, -1.906732, 0.000000>
    }
    triangle {
      < 0.654074, -1.799869, 0.315172>,
      < 0.654074, -1.743844, 0.466038>,
      < 0.489037, -1.838894, 0.460791>
    }
    triangle {
      < 0.654074, -1.799869, 0.315172>,
      < 0.489037, -1.838894, 0.460791>,
      < 0.489037, -1.906732, 0.309925>
    }
    triangle {
      < 0.654074, -1.743844, 0.466038>,
      < 0.654074, -1.687181, 0.527734>,
      < 0.489037, -1.770285, 0.522487>
    }
    triangle {
      < 0.654074, -1.743844, 0.466038>,
      < 0.489037, -1.770285, 0.522487>,
      < 0.489037, -1.838894, 0.460791>
    }
    triangle {
      < 0.654074, -1.687181, 0.527734>,
      < 0.791476, -1.416797, 0.433712>,
      < 0.626440, -1.442896, 0.430831>
    }
    triangle {
      < 0.654074, -1.687181, 0.527734>,
      < 0.626440, -1.442896, 0.430831>,
      < 0.489037, -1.770285, 0.522487>
    }
    triangle {
      < 0.791476, -1.416797, 0.433712>,
      < 0.791476, -1.389575, 0.000000>,
      < 0.626440, -1.409934, 0.000000>
    }
    triangle {
      < 0.791476, -1.416797, 0.433712>,
      < 0.626440, -1.409934, 0.000000>,
      < 0.626440, -1.442896, 0.430831>
    }
    texture {fuselage}
  }
  // wings
  union {
    triangle {
      < 2.824718, -1.129364, 8.378828>,
      < 2.824718, -1.094065, 8.388008>,
      < 2.824718, -1.059287, 8.383914>
    }
    triangle {
      < 2.824718, -1.129364, 8.378828>,
      < 2.824718, -1.059287, 8.383914>,
      < 2.711147, -1.104526, 8.491683>
    }
    triangle {
      < 2.824718, -1.129364, 8.378828>,
      < 2.711147, -1.104526, 8.491683>,
      < 2.711147, -1.179377, 8.486926>
    }
    triangle {
      < 2.711147, -1.179377, 8.486926>,
      < 2.711147, -1.104526, 8.491683>,
      < 2.273984, -1.104526, 8.491683>
    }
    triangle {
      < 2.711147, -1.179377, 8.486926>,
      < 2.273984, -1.104526, 8.491683>,
      < 2.273984, -1.179377, 8.486926>
    }
    texture {wings}
  }
  // fuselage
  union {
    triangle {
      < -2.174141, 0.397137, 0.397356>,
      < -2.174141, 0.228038, 0.457809>,
      < -1.655142, 0.230355, 0.508676>
    }
    triangle {
      < -2.174141, 0.397137, 0.397356>,
      < -1.655142, 0.230355, 0.508676>,
      < -1.655142, 0.414887, 0.441507>
    }
    triangle {
      < -2.174141, 0.228038, 0.457809>,
      < -2.174141, -0.023960, 0.495928>,
      < -1.655142, -0.044641, 0.551031>
    }
    triangle {
      < -2.174141, 0.228038, 0.457809>,
      < -1.655142, -0.044641, 0.551031>,
      < -1.655142, 0.230355, 0.508676>
    }
    triangle {
      < -2.174141, -0.023960, 0.495928>,
      < -2.174141, -0.569288, 0.455917>,
      < -1.655142, -0.639738, 0.506574>
    }
    triangle {
      < -2.174141, -0.023960, 0.495928>,
      < -1.655142, -0.639738, 0.506574>,
      < -1.655142, -0.044641, 0.551031>
    }
    triangle {
      < -2.174141, -0.569288, 0.455917>,
      < -2.174141, -1.262241, 0.397451>,
      < -1.655142, -1.414323, 0.441612>
    }
    triangle {
      < -2.174141, -0.569288, 0.455917>,
      < -1.655142, -1.414323, 0.441612>,
      < -1.655142, -0.639738, 0.506574>
    }
    triangle {
      < -2.174141, -1.262241, 0.397451>,
      < -2.174141, -1.453168, 0.315491>,
      < -1.655142, -1.622674, 0.350546>
    }
    triangle {
      < -2.174141, -1.262241, 0.397451>,
      < -1.655142, -1.622674, 0.350546>,
      < -1.655142, -1.414323, 0.441612>
    }
    triangle {
      < -2.174141, -1.453168, 0.315491>,
      < -2.174141, -1.516039, 0.262744>,
      < -1.655142, -1.691284, 0.291938>
    }
    triangle {
      < -2.174141, -1.453168, 0.315491>,
      < -1.655142, -1.691284, 0.291938>,
      < -1.655142, -1.622674, 0.350546>
    }
    triangle {
      < -2.174141, -1.516039, 0.262744>,
      < -2.174141, -1.578203, 0.133762>,
      < -1.655142, -1.759121, 0.148625>
    }
    triangle {
      < -2.174141, -1.516039, 0.262744>,
      < -1.655142, -1.759121, 0.148625>,
      < -1.655142, -1.691284, 0.291938>
    }
    triangle {
      < -2.174141, -1.578203, 0.133762>,
      < -2.174141, -1.578203, 0.000000>,
      < -1.655142, -1.759121, 0.000000>
    }
    triangle {
      < -2.174141, -1.578203, 0.133762>,
      < -1.655142, -1.759121, 0.000000>,
      < -1.655142, -1.759121, 0.148625>
    }
    triangle {
      < -2.174141, 0.662537, 0.000000>,
      < -2.174141, 0.662537, 0.133762>,
      < -1.655142, 0.704509, 0.148625>
    }
    triangle {
      < -2.174141, 0.662537, 0.000000>,
      < -1.655142, 0.704509, 0.148625>,
      < -1.655142, 0.704509, 0.000000>
    }
    triangle {
      < -2.174141, 0.662537, 0.133762>,
      < -2.174141, 0.598522, 0.267189>,
      < -1.655142, 0.634652, 0.296876>
    }
    triangle {
      < -2.174141, 0.662537, 0.133762>,
      < -1.655142, 0.634652, 0.296876>,
      < -1.655142, 0.704509, 0.148625>
    }
    triangle {
      < -2.174141, 0.598522, 0.267189>,
      < -2.174141, 0.534139, 0.324382>,
      < -1.655142, 0.564392, 0.360425>
    }
    triangle {
      < -2.174141, 0.598522, 0.267189>,
      < -1.655142, 0.564392, 0.360425>,
      < -1.655142, 0.634652, 0.296876>
    }
    triangle {
      < -2.174141, 0.534139, 0.324382>,
      < -2.174141, 0.459068, 0.371388>,
      < -1.655142, 0.482471, 0.412653>
    }
    triangle {
      < -2.174141, 0.534139, 0.324382>,
      < -1.655142, 0.482471, 0.412653>,
      < -1.655142, 0.564392, 0.360425>
    }
    triangle {
      < -2.174141, 0.459068, 0.371388>,
      < -2.174141, 0.397137, 0.397356>,
      < -1.655142, 0.414887, 0.441507>
    }
    triangle {
      < -2.174141, 0.459068, 0.371388>,
      < -1.655142, 0.414887, 0.441507>,
      < -1.655142, 0.482471, 0.412653>
    }
    triangle {
      < -2.693141, 0.565465, 0.240470>,
      < -2.693141, 0.508870, 0.291944>,
      < -2.174141, 0.534139, 0.324382>
    }
    triangle {
      < -2.693141, 0.565465, 0.240470>,
      < -2.174141, 0.534139, 0.324382>,
      < -2.174141, 0.598522, 0.267189>
    }
    triangle {
      < -2.693141, 0.508870, 0.291944>,
      < -2.693141, 0.442880, 0.334249>,
      < -2.174141, 0.459068, 0.371388>
    }
    triangle {
      < -2.693141, 0.508870, 0.291944>,
      < -2.174141, 0.459068, 0.371388>,
      < -2.174141, 0.534139, 0.324382>
    }
    triangle {
      < -2.693141, 0.442880, 0.334249>,
      < -2.693141, 0.388440, 0.357621>,
      < -2.174141, 0.397137, 0.397356>
    }
    triangle {
      < -2.693141, 0.442880, 0.334249>,
      < -2.174141, 0.397137, 0.397356>,
      < -2.174141, 0.459068, 0.371388>
    }
    triangle {
      < -2.693141, 0.388440, 0.357621>,
      < -2.693141, 0.239795, 0.412028>,
      < -2.174141, 0.228038, 0.457809>
    }
    triangle {
      < -2.693141, 0.388440, 0.357621>,
      < -2.174141, 0.228038, 0.457809>,
      < -2.174141, 0.397137, 0.397356>
    }
    triangle {
      < -2.693141, 0.239795, 0.412028>,
      < -2.693141, 0.018279, 0.446335>,
      < -2.174141, -0.023960, 0.495928>
    }
    triangle {
      < -2.693141, 0.239795, 0.412028>,
      < -2.174141, -0.023960, 0.495928>,
      < -2.174141, 0.228038, 0.457809>
    }
    triangle {
      < -2.693141, 0.018279, 0.446335>,
      < -2.693141, -0.461086, 0.410325>,
      < -2.174141, -0.569288, 0.455917>
    }
    triangle {
      < -2.693141, 0.018279, 0.446335>,
      < -2.174141, -0.569288, 0.455917>,
      < -2.174141, -0.023960, 0.495928>
    }
    triangle {
      < -2.693141, -0.461086, 0.410325>,
      < -2.693141, -0.925453, 0.357706>,
      < -2.174141, -1.262241, 0.397451>
    }
    triangle {
      < -2.693141, -0.461086, 0.410325>,
      < -2.174141, -1.262241, 0.397451>,
      < -2.174141, -0.569288, 0.455917>
    }
    triangle {
      < -2.693141, -0.925453, 0.357706>,
      < -2.693141, -1.093286, 0.283942>,
      < -2.174141, -1.453168, 0.315491>
    }
    triangle {
      < -2.693141, -0.925453, 0.357706>,
      < -2.174141, -1.453168, 0.315491>,
      < -2.174141, -1.262241, 0.397451>
    }
    triangle {
      < -2.693141, -1.093286, 0.283942>,
      < -2.693141, -1.148552, 0.236470>,
      < -2.174141, -1.516039, 0.262744>
    }
    triangle {
      < -2.693141, -1.093286, 0.283942>,
      < -2.174141, -1.516039, 0.262744>,
      < -2.174141, -1.453168, 0.315491>
    }
    triangle {
      < -2.693141, -1.148552, 0.236470>,
      < -2.693141, -1.203197, 0.120386>,
      < -2.174141, -1.578203, 0.133762>
    }
    triangle {
      < -2.693141, -1.148552, 0.236470>,
      < -2.174141, -1.578203, 0.133762>,
      < -2.174141, -1.516039, 0.262744>
    }
    triangle {
      < -2.693141, -1.203197, 0.120386>,
      < -2.693141, -1.203197, 0.000000>,
      < -2.174141, -1.578203, 0.000000>
    }
    triangle {
      < -2.693141, -1.203197, 0.120386>,
      < -2.174141, -1.578203, 0.000000>,
      < -2.174141, -1.578203, 0.133762>
    }
    triangle {
      < -2.693141, 0.621737, 0.000000>,
      < -2.693141, 0.621737, 0.120386>,
      < -2.174141, 0.662537, 0.133762>
    }
    triangle {
      < -2.693141, 0.621737, 0.000000>,
      < -2.174141, 0.662537, 0.133762>,
      < -2.174141, 0.662537, 0.000000>
    }
    triangle {
      < -2.693141, 0.621737, 0.120386>,
      < -2.693141, 0.565465, 0.240470>,
      < -2.174141, 0.598522, 0.267189>
    }
    triangle {
      < -2.693141, 0.621737, 0.120386>,
      < -2.174141, 0.598522, 0.267189>,
      < -2.174141, 0.662537, 0.133762>
    }
    triangle {
      < -3.492939, 0.557402, 0.000000>,
      < -3.492939, 0.557402, 0.108348>,
      < -2.693141, 0.621737, 0.120386>
    }
    triangle {
      < -3.492939, 0.557402, 0.000000>,
      < -2.693141, 0.621737, 0.120386>,
      < -2.693141, 0.621737, 0.000000>
    }
    triangle {
      < -3.492939, 0.557402, 0.108348>,
      < -3.492939, 0.513374, 0.216423>,
      < -2.693141, 0.565465, 0.240470>
    }
    triangle {
      < -3.492939, 0.557402, 0.108348>,
      < -2.693141, 0.565465, 0.240470>,
      < -2.693141, 0.621737, 0.120386>
    }
    triangle {
      < -3.492939, 0.513374, 0.216423>,
      < -3.492939, 0.469093, 0.262750>,
      < -2.693141, 0.508870, 0.291944>
    }
    triangle {
      < -3.492939, 0.513374, 0.216423>,
      < -2.693141, 0.508870, 0.291944>,
      < -2.693141, 0.565465, 0.240470>
    }
    triangle {
      < -3.492939, 0.469093, 0.262750>,
      < -3.492939, 0.417462, 0.300824>,
      < -2.693141, 0.442880, 0.334249>
    }
    triangle {
      < -3.492939, 0.469093, 0.262750>,
      < -2.693141, 0.442880, 0.334249>,
      < -2.693141, 0.508870, 0.291944>
    }
    triangle {
      < -3.492939, 0.417462, 0.300824>,
      < -3.492939, 0.374867, 0.321859>,
      < -2.693141, 0.388440, 0.357621>
    }
    triangle {
      < -3.492939, 0.417462, 0.300824>,
      < -2.693141, 0.388440, 0.357621>,
      < -2.693141, 0.442880, 0.334249>
    }
    triangle {
      < -3.492939, 0.374867, 0.321859>,
      < -3.492939, 0.258566, 0.370825>,
      < -2.693141, 0.239795, 0.412028>
    }
    triangle {
      < -3.492939, 0.374867, 0.321859>,
      < -2.693141, 0.239795, 0.412028>,
      < -2.693141, 0.388440, 0.357621>
    }
    triangle {
      < -3.492939, 0.258566, 0.370825>,
      < -3.492939, 0.085249, 0.401702>,
      < -2.693141, 0.018279, 0.446335>
    }
    triangle {
      < -3.492939, 0.258566, 0.370825>,
      < -2.693141, 0.018279, 0.446335>,
      < -2.693141, 0.239795, 0.412028>
    }
    triangle {
      < -3.492939, 0.085249, 0.401702>,
      < -3.492939, -0.289812, 0.369293>,
      < -2.693141, -0.461086, 0.410325>
    }
    triangle {
      < -3.492939, 0.085249, 0.401702>,
      < -2.693141, -0.461086, 0.410325>,
      < -2.693141, 0.018279, 0.446335>
    }
    triangle {
      < -3.492939, -0.289812, 0.369293>,
      < -3.492939, -0.502944, 0.321935>,
      < -2.693141, -0.925453, 0.357706>
    }
    triangle {
      < -3.492939, -0.289812, 0.369293>,
      < -2.693141, -0.925453, 0.357706>,
      < -2.693141, -0.461086, 0.410325>
    }
    triangle {
      < -3.492939, -0.502944, 0.321935>,
      < -3.492939, -0.634258, 0.255548>,
      < -2.693141, -1.093286, 0.283942>
    }
    triangle {
      < -3.492939, -0.502944, 0.321935>,
      < -2.693141, -1.093286, 0.283942>,
      < -2.693141, -0.925453, 0.357706>
    }
    triangle {
      < -3.492939, -0.634258, 0.255548>,
      < -3.492939, -0.677499, 0.212823>,
      < -2.693141, -1.148552, 0.236470>
    }
    triangle {
      < -3.492939, -0.634258, 0.255548>,
      < -2.693141, -1.148552, 0.236470>,
      < -2.693141, -1.093286, 0.283942>
    }
    triangle {
      < -3.492939, -0.677499, 0.212823>,
      < -3.492939, -0.720255, 0.108348>,
      < -2.693141, -1.203197, 0.120386>
    }
    triangle {
      < -3.492939, -0.677499, 0.212823>,
      < -2.693141, -1.203197, 0.120386>,
      < -2.693141, -1.148552, 0.236470>
    }
    triangle {
      < -3.492939, -0.720255, 0.108348>,
      < -3.492939, -0.720255, 0.000000>,
      < -2.693141, -1.203197, 0.000000>
    }
    triangle {
      < -3.492939, -0.720255, 0.108348>,
      < -2.693141, -1.203197, 0.000000>,
      < -2.693141, -1.203197, 0.120386>
    }
    triangle {
      < -4.296339, -0.594212, 0.216555>,
      < -4.296339, -0.637453, 0.180677>,
      < -3.492939, -0.677499, 0.212823>
    }
    triangle {
      < -4.296339, -0.594212, 0.216555>,
      < -3.492939, -0.677499, 0.212823>,
      < -3.492939, -0.634258, 0.255548>
    }
    triangle {
      < -4.296339, -0.637453, 0.180677>,
      < -4.296339, -0.680209, 0.092946>,
      < -3.492939, -0.720255, 0.108348>
    }
    triangle {
      < -4.296339, -0.637453, 0.180677>,
      < -3.492939, -0.720255, 0.108348>,
      < -3.492939, -0.677499, 0.212823>
    }
    triangle {
      < -4.296339, -0.680209, 0.092946>,
      < -4.296339, -0.680209, 0.000000>,
      < -3.492939, -0.720255, 0.000000>
    }
    triangle {
      < -4.296339, -0.680209, 0.092946>,
      < -3.492939, -0.720255, 0.000000>,
      < -3.492939, -0.720255, 0.108348>
    }
    texture {fuselage}
  }
  // wings
  union {
    triangle {
      < -4.818340, 0.679802, 0.000000>,
      < -4.818340, 0.679802, 0.092946>,
      < -3.492939, 0.557402, 0.108348>
    }
    triangle {
      < -4.818340, 0.679802, 0.000000>,
      < -3.492939, 0.557402, 0.108348>,
      < -3.492939, 0.557402, 0.000000>
    }
    triangle {
      < -4.818340, 0.679802, 0.092946>,
      < -4.296339, 0.513374, 0.183700>,
      < -3.492939, 0.513374, 0.216423>
    }
    triangle {
      < -4.818340, 0.679802, 0.092946>,
      < -3.492939, 0.513374, 0.216423>,
      < -3.492939, 0.557402, 0.108348>
    }
    texture {wings}
  }
  // fuselage
  union {
    triangle {
      < -4.296339, 0.513374, 0.183700>,
      < -4.296339, 0.469093, 0.222602>,
      < -3.492939, 0.469093, 0.262750>
    }
    triangle {
      < -4.296339, 0.513374, 0.183700>,
      < -3.492939, 0.469093, 0.262750>,
      < -3.492939, 0.513374, 0.216423>
    }
    triangle {
      < -4.296339, 0.469093, 0.222602>,
      < -4.296339, 0.417462, 0.254574>,
      < -3.492939, 0.417462, 0.300824>
    }
    triangle {
      < -4.296339, 0.469093, 0.222602>,
      < -3.492939, 0.417462, 0.300824>,
      < -3.492939, 0.469093, 0.262750>
    }
    triangle {
      < -4.296339, 0.417462, 0.254574>,
      < -4.296339, 0.374867, 0.272238>,
      < -3.492939, 0.374867, 0.321859>
    }
    triangle {
      < -4.296339, 0.417462, 0.254574>,
      < -3.492939, 0.374867, 0.321859>,
      < -3.492939, 0.417462, 0.300824>
    }
    triangle {
      < -4.296339, 0.374867, 0.272238>,
      < -4.296339, 0.258566, 0.313356>,
      < -3.492939, 0.258566, 0.370825>
    }
    triangle {
      < -4.296339, 0.374867, 0.272238>,
      < -3.492939, 0.258566, 0.370825>,
      < -3.492939, 0.374867, 0.321859>
    }
    triangle {
      < -4.296339, 0.258566, 0.313356>,
      < -4.296339, 0.085249, 0.339284>,
      < -3.492939, 0.085249, 0.401702>
    }
    triangle {
      < -4.296339, 0.258566, 0.313356>,
      < -3.492939, 0.085249, 0.401702>,
      < -3.492939, 0.258566, 0.370825>
    }
    triangle {
      < -4.296339, 0.085249, 0.339284>,
      < -4.296339, -0.289812, 0.312069>,
      < -3.492939, -0.289812, 0.369293>
    }
    triangle {
      < -4.296339, 0.085249, 0.339284>,
      < -3.492939, -0.289812, 0.369293>,
      < -3.492939, 0.085249, 0.401702>
    }
    triangle {
      < -4.296339, -0.289812, 0.312069>,
      < -4.296339, -0.462899, 0.272302>,
      < -3.492939, -0.502944, 0.321935>
    }
    triangle {
      < -4.296339, -0.289812, 0.312069>,
      < -3.492939, -0.502944, 0.321935>,
      < -3.492939, -0.289812, 0.369293>
    }
    triangle {
      < -4.296339, -0.462899, 0.272302>,
      < -4.296339, -0.594212, 0.216555>,
      < -3.492939, -0.634258, 0.255548>
    }
    triangle {
      < -4.296339, -0.462899, 0.272302>,
      < -3.492939, -0.634258, 0.255548>,
      < -3.492939, -0.502944, 0.321935>
    }
    triangle {
      < -5.927646, 0.105235, 0.249998>,
      < -5.726139, -0.219019, 0.229945>,
      < -4.296339, -0.289812, 0.312069>
    }
    triangle {
      < -5.927646, 0.105235, 0.249998>,
      < -4.296339, -0.289812, 0.312069>,
      < -4.296339, 0.085249, 0.339284>
    }
    triangle {
      < -5.726139, -0.219019, 0.229945>,
      < -5.726139, -0.308772, 0.200643>,
      < -4.296339, -0.462899, 0.272302>
    }
    triangle {
      < -5.726139, -0.219019, 0.229945>,
      < -4.296339, -0.462899, 0.272302>,
      < -4.296339, -0.289812, 0.312069>
    }
    triangle {
      < -5.726139, -0.308772, 0.200643>,
      < -5.726139, -0.422297, 0.159566>,
      < -4.296339, -0.594212, 0.216555>
    }
    triangle {
      < -5.726139, -0.308772, 0.200643>,
      < -4.296339, -0.594212, 0.216555>,
      < -4.296339, -0.462899, 0.272302>
    }
    triangle {
      < -5.726139, -0.422297, 0.159566>,
      < -5.726139, -0.459680, 0.133130>,
      < -4.296339, -0.637453, 0.180677>
    }
    triangle {
      < -5.726139, -0.422297, 0.159566>,
      < -4.296339, -0.637453, 0.180677>,
      < -4.296339, -0.594212, 0.216555>
    }
    triangle {
      < -5.726139, -0.459680, 0.133130>,
      < -5.726139, -0.496644, 0.092946>,
      < -4.296339, -0.680209, 0.092946>
    }
    triangle {
      < -5.726139, -0.459680, 0.133130>,
      < -4.296339, -0.680209, 0.092946>,
      < -4.296339, -0.637453, 0.180677>
    }
    triangle {
      < -5.726139, -0.496644, 0.092946>,
      < -5.726139, -0.496644, 0.000000>,
      < -4.296339, -0.680209, 0.000000>
    }
    triangle {
      < -5.726139, -0.496644, 0.092946>,
      < -4.296339, -0.680209, 0.000000>,
      < -4.296339, -0.680209, 0.092946>
    }
    texture {fuselage}
  }
  // wings
  union {
    triangle {
      < -5.463337, 2.538391, 0.000000>,
      < -5.463337, 2.538391, 0.092946>,
      < -4.818340, 0.679802, 0.092946>
    }
    triangle {
      < -5.463337, 2.538391, 0.000000>,
      < -4.818340, 0.679802, 0.092946>,
      < -4.818340, 0.679802, 0.000000>
    }
    triangle {
      < -5.463337, 2.538391, 0.092946>,
      < -5.726139, 0.475365, 0.135358>,
      < -4.818340, 0.679802, 0.092946>
    }
    texture {wings}
  }
  // fuselage
  union {
    triangle {
      < -5.726139, 0.475365, 0.135358>,
      < -5.726139, 0.437082, 0.164022>,
      < -4.296339, 0.469093, 0.222602>
    }
    triangle {
      < -5.726139, 0.475365, 0.135358>,
      < -4.296339, 0.469093, 0.222602>,
      < -4.296339, 0.513374, 0.183700>
    }
    triangle {
      < -5.726139, 0.437082, 0.164022>,
      < -5.726139, 0.392445, 0.187581>,
      < -4.296339, 0.417462, 0.254574>
    }
    triangle {
      < -5.726139, 0.437082, 0.164022>,
      < -4.296339, 0.417462, 0.254574>,
      < -4.296339, 0.469093, 0.222602>
    }
    triangle {
      < -5.726139, 0.392445, 0.187581>,
      < -5.726139, 0.355620, 0.200596>,
      < -4.296339, 0.374867, 0.272238>
    }
    triangle {
      < -5.726139, 0.392445, 0.187581>,
      < -4.296339, 0.374867, 0.272238>,
      < -4.296339, 0.417462, 0.254574>
    }
    triangle {
      < -5.726139, 0.355620, 0.200596>,
      < -5.927646, 0.255074, 0.230894>,
      < -4.296339, 0.258566, 0.313356>
    }
    triangle {
      < -5.726139, 0.355620, 0.200596>,
      < -4.296339, 0.258566, 0.313356>,
      < -4.296339, 0.374867, 0.272238>
    }
    texture {fuselage}
  }
  // wings
  union {
    triangle {
      < -5.021374, 0.077262, 3.185613>,
      < -5.604435, 0.079761, 3.184031>,
      < -5.604433, 0.030233, 3.198227>
    }
    triangle {
      < -5.021374, 0.077262, 3.185613>,
      < -5.604433, 0.030233, 3.198227>,
      < -5.021369, 0.017902, 3.196647>
    }
    texture {wings}
  }
  // fuselage
  union {
    triangle {
      < -6.684336, 0.366154, 0.063359>,
      < -6.684336, 0.340187, 0.066688>,
      < -5.726139, 0.355620, 0.200596>
    }
    triangle {
      < -6.684336, 0.366154, 0.063359>,
      < -5.726139, 0.355620, 0.200596>,
      < -5.726139, 0.392445, 0.187581>
    }
    triangle {
      < -6.684336, 0.340187, 0.066688>,
      < -6.684336, 0.269287, 0.074438>,
      < -5.927646, 0.255074, 0.230894>
    }
    triangle {
      < -6.684336, 0.340187, 0.066688>,
      < -5.927646, 0.255074, 0.230894>,
      < -5.726139, 0.355620, 0.200596>
    }
    triangle {
      < -6.684336, 0.269287, 0.074438>,
      < -6.684336, 0.163628, 0.079325>,
      < -5.927646, 0.105235, 0.249998>
    }
    triangle {
      < -6.684336, 0.269287, 0.074438>,
      < -5.927646, 0.105235, 0.249998>,
      < -5.927646, 0.255074, 0.230894>
    }
    triangle {
      < -6.684336, 0.163628, 0.079325>,
      < -6.684336, -0.036876, 0.074195>,
      < -5.726139, -0.219019, 0.229945>
    }
    triangle {
      < -6.684336, 0.163628, 0.079325>,
      < -5.726139, -0.219019, 0.229945>,
      < -5.927646, 0.105235, 0.249998>
    }
    triangle {
      < -6.684336, -0.036876, 0.074195>,
      < -6.684336, -0.101561, 0.066700>,
      < -5.726139, -0.308772, 0.200643>
    }
    triangle {
      < -6.684336, -0.036876, 0.074195>,
      < -5.726139, -0.308772, 0.200643>,
      < -5.726139, -0.219019, 0.229945>
    }
    triangle {
      < -6.684336, -0.101561, 0.066700>,
      < -6.684336, -0.146963, 0.056193>,
      < -5.726139, -0.422297, 0.159566>
    }
    triangle {
      < -6.684336, -0.101561, 0.066700>,
      < -5.726139, -0.422297, 0.159566>,
      < -5.726139, -0.308772, 0.200643>
    }
    triangle {
      < -6.684336, -0.146963, 0.056193>,
      < -6.684336, -0.161913, 0.049431>,
      < -5.726139, -0.459680, 0.133130>
    }
    triangle {
      < -6.684336, -0.146963, 0.056193>,
      < -5.726139, -0.459680, 0.133130>,
      < -5.726139, -0.422297, 0.159566>
    }
    triangle {
      < -6.684336, -0.161913, 0.049431>,
      < -6.684336, -0.176696, 0.032895>,
      < -5.726139, -0.496644, 0.092946>
    }
    triangle {
      < -6.684336, -0.161913, 0.049431>,
      < -5.726139, -0.496644, 0.092946>,
      < -5.726139, -0.459680, 0.133130>
    }
    triangle {
      < -6.684336, -0.176696, 0.032895>,
      < -6.684336, -0.176696, 0.000000>,
      < -5.726139, -0.496644, 0.000000>
    }
    triangle {
      < -6.684336, -0.176696, 0.032895>,
      < -5.726139, -0.496644, 0.000000>,
      < -5.726139, -0.496644, 0.092946>
    }
    texture {fuselage}
  }
  // wings
  union {
    triangle {
      < -6.421535, 2.538391, 0.000000>,
      < -6.421535, 2.538391, 0.032895>,
      < -5.463337, 2.538391, 0.092946>
    }
    triangle {
      < -6.421535, 2.538391, 0.000000>,
      < -5.463337, 2.538391, 0.092946>,
      < -5.463337, 2.538391, 0.000000>
    }
    triangle {
      < -6.421535, 2.538391, 0.032895>,
      < -6.684336, 0.424625, 0.050001>,
      < -5.726139, 0.475365, 0.135358>
    }
    triangle {
      < -6.421535, 2.538391, 0.032895>,
      < -5.726139, 0.475365, 0.135358>,
      < -5.463337, 2.538391, 0.092946>
    }
    texture {wings}
  }
  // fuselage
  union {
    triangle {
      < -6.684336, 0.424625, 0.050001>,
      < -6.684336, 0.397630, 0.057333>,
      < -5.726139, 0.437082, 0.164022>
    }
    triangle {
      < -6.684336, 0.424625, 0.050001>,
      < -5.726139, 0.437082, 0.164022>,
      < -5.726139, 0.475365, 0.135358>
    }
    triangle {
      < -6.684336, 0.397630, 0.057333>,
      < -6.684336, 0.366154, 0.063359>,
      < -5.726139, 0.392445, 0.187581>
    }
    triangle {
      < -6.684336, 0.397630, 0.057333>,
      < -5.726139, 0.392445, 0.187581>,
      < -5.726139, 0.437082, 0.164022>
    }
    texture {fuselage}
  }
  // wings
  union {
    triangle {
      < -5.797521, 0.137173, 3.022758>,
      < -4.818594, 0.140654, 3.023002>,
      < -4.296339, 0.258566, 0.313356>
    }
    triangle {
      < -5.797521, 0.137173, 3.022758>,
      < -4.296339, 0.258566, 0.313356>,
      < -5.927646, 0.255074, 0.230894>
    }
    triangle {
      < -4.818594, 0.140654, 3.023002>,
      < -4.818594, -0.032663, 3.060443>,
      < -4.296339, 0.085249, 0.339284>
    }
    triangle {
      < -4.818594, 0.140654, 3.023002>,
      < -4.296339, 0.085249, 0.339284>,
      < -4.296339, 0.258566, 0.313356>
    }
    triangle {
      < -4.818594, -0.032663, 3.060443>,
      < -5.797521, -0.012666, 3.060199>,
      < -5.927646, 0.105235, 0.249998>
    }
    triangle {
      < -4.818594, -0.032663, 3.060443>,
      < -5.927646, 0.105235, 0.249998>,
      < -4.296339, 0.085249, 0.339284>
    }
    triangle {
      < -5.797521, -0.012666, 3.060199>,
      < -5.797521, 0.137173, 3.022758>,
      < -5.927646, 0.255074, 0.230894>
    }
    triangle {
      < -5.797521, -0.012666, 3.060199>,
      < -5.927646, 0.255074, 0.230894>,
      < -5.927646, 0.105235, 0.249998>
    }
    triangle {
      < -5.021369, 0.017902, 3.196647>,
      < -5.604433, 0.030233, 3.198227>,
      < -5.797521, -0.012666, 3.060199>
    }
    triangle {
      < -5.021369, 0.017902, 3.196647>,
      < -5.797521, -0.012666, 3.060199>,
      < -4.818594, -0.032663, 3.060443>
    }
    triangle {
      < -5.604433, 0.030233, 3.198227>,
      < -5.604435, 0.079761, 3.184031>,
      < -5.797521, 0.137173, 3.022758>
    }
    triangle {
      < -5.604433, 0.030233, 3.198227>,
      < -5.797521, 0.137173, 3.022758>,
      < -5.797521, -0.012666, 3.060199>
    }
    triangle {
      < -5.604435, 0.079761, 3.184031>,
      < -5.021374, 0.077262, 3.185613>,
      < -4.818594, 0.140654, 3.023002>
    }
    triangle {
      < -5.604435, 0.079761, 3.184031>,
      < -4.818594, 0.140654, 3.023002>,
      < -5.797521, 0.137173, 3.022758>
    }
    triangle {
      < -5.021374, 0.077262, 3.185613>,
      < -5.021369, 0.017902, 3.196647>,
      < -4.818594, -0.032663, 3.060443>
    }
    triangle {
      < -5.021374, 0.077262, 3.185613>,
      < -4.818594, -0.032663, 3.060443>,
      < -4.818594, 0.140654, 3.023002>
    }
    texture {wings}
  }
  // prop
  union {
    triangle {
      < 6.922789, -1.898728, 0.070967>,
      < 6.957718, -1.898720, 0.042740>,
      < 6.979002, -1.766170, 0.076686>
    }
    triangle {
      < 6.922789, -1.898728, 0.070967>,
      < 6.979002, -1.766170, 0.076686>,
      < 6.942926, -1.766178, 0.103431>
    }
    triangle {
      < 6.942926, -1.766178, 0.103431>,
      < 6.979002, -1.766170, 0.076686>,
      < 6.974705, -1.368492, 0.097697>
    }
    triangle {
      < 6.942926, -1.766178, 0.103431>,
      < 6.974705, -1.368492, 0.097697>,
      < 6.935572, -1.368499, 0.119729>
    }
    triangle {
      < 6.935572, -1.368499, 0.119729>,
      < 6.974705, -1.368492, 0.097697>,
      < 6.956964, -0.829700, 0.110327>
    }
    triangle {
      < 6.935572, -1.368499, 0.119729>,
      < 6.956964, -0.829700, 0.110327>,
      < 6.914673, -0.829704, 0.125437>
    }
    triangle {
      < 6.914673, -0.829704, 0.125437>,
      < 6.956964, -0.829700, 0.110327>,
      < 6.943820, -0.517538, 0.108274>
    }
    triangle {
      < 6.914673, -0.829704, 0.125437>,
      < 6.943820, -0.517538, 0.108274>,
      < 6.900251, -0.517542, 0.119161>
    }
    triangle {
      < 6.900251, -0.517542, 0.119161>,
      < 6.943820, -0.517538, 0.108274>,
      < 6.931813, -0.226757, 0.100433>
    }
    triangle {
      < 6.900251, -0.517542, 0.119161>,
      < 6.931813, -0.226757, 0.100433>,
      < 6.887431, -0.226759, 0.107292>
    }
    triangle {
      < 6.887431, -0.226759, 0.107292>,
      < 6.931813, -0.226757, 0.100433>,
      < 6.923258, 0.004159, 0.088854>
    }
    triangle {
      < 6.887431, -0.226759, 0.107292>,
      < 6.923258, 0.004159, 0.088854>,
      < 6.878496, 0.004158, 0.092472>
    }
    triangle {
      < 6.878496, 0.004158, 0.092472>,
      < 6.923258, 0.004159, 0.088854>,
      < 6.917793, 0.183763, 0.074143>
    }
    triangle {
      < 6.878496, 0.004158, 0.092472>,
      < 6.917793, 0.183763, 0.074143>,
      < 6.872898, 0.183762, 0.075226>
    }
    triangle {
      < 6.872898, 0.183762, 0.075226>,
      < 6.917793, 0.183763, 0.074143>,
      < 6.916480, 0.239353, 0.072546>
    }
    triangle {
      < 6.872898, 0.183762, 0.075226>,
      < 6.916480, 0.239353, 0.072546>,
      < 6.871572, 0.239352, 0.072843>
    }
    triangle {
      < 6.807674, -1.766124, -0.079004>,
      < 6.843751, -1.766116, -0.105749>,
      < 6.863833, -1.898686, -0.073434>
    }
    triangle {
      < 6.807674, -1.766124, -0.079004>,
      < 6.863833, -1.898686, -0.073434>,
      < 6.828905, -1.898695, -0.045206>
    }
    triangle {
      < 6.812115, -1.368434, -0.099558>,
      < 6.851248, -1.368428, -0.121590>,
      < 6.843751, -1.766116, -0.105749>
    }
    triangle {
      < 6.812115, -1.368434, -0.099558>,
      < 6.843751, -1.766116, -0.105749>,
      < 6.807674, -1.766124, -0.079004>
    }
    triangle {
      < 6.830005, -0.829634, -0.111542>,
      < 6.872295, -0.829629, -0.126652>,
      < 6.851248, -1.368428, -0.121590>
    }
    triangle {
      < 6.830005, -0.829634, -0.111542>,
      < 6.851248, -1.368428, -0.121590>,
      < 6.812115, -1.368434, -0.099558>
    }
    triangle {
      < 6.843209, -0.517475, -0.109104>,
      < 6.886778, -0.517471, -0.119992>,
      < 6.872295, -0.829629, -0.126652>
    }
    triangle {
      < 6.843209, -0.517475, -0.109104>,
      < 6.872295, -0.829629, -0.126652>,
      < 6.830005, -0.829634, -0.111542>
    }
    triangle {
      < 6.855254, -0.226698, -0.100901>,
      < 6.899636, -0.226696, -0.107761>,
      < 6.886778, -0.517471, -0.119992>
    }
    triangle {
      < 6.855254, -0.226698, -0.100901>,
      < 6.886778, -0.517471, -0.119992>,
      < 6.843209, -0.517475, -0.109104>
    }
    triangle {
      < 6.863826, 0.004212, -0.089034>,
      < 6.908589, 0.004212, -0.092651>,
      < 6.899636, -0.226696, -0.107761>
    }
    triangle {
      < 6.863826, 0.004212, -0.089034>,
      < 6.899636, -0.226696, -0.107761>,
      < 6.855254, -0.226698, -0.100901>
    }
    triangle {
      < 6.869297, 0.183807, -0.074097>,
      < 6.914193, 0.183807, -0.075180>,
      < 6.908589, 0.004212, -0.092651>
    }
    triangle {
      < 6.869297, 0.183807, -0.074097>,
      < 6.908589, 0.004212, -0.092651>,
      < 6.863826, 0.004212, -0.089034>
    }
    triangle {
      < 6.870612, 0.239396, -0.072430>,
      < 6.915519, 0.239396, -0.072727>,
      < 6.914193, 0.183807, -0.075180>
    }
    triangle {
      < 6.870612, 0.239396, -0.072430>,
      < 6.914193, 0.183807, -0.075180>,
      < 6.869297, 0.183807, -0.074097>
    }
    triangle {
      < 6.828905, -1.898695, -0.045206>,
      < 6.922789, -1.898728, 0.070967>,
      < 6.942926, -1.766178, 0.103431>
    }
    triangle {
      < 6.828905, -1.898695, -0.045206>,
      < 6.942926, -1.766178, 0.103431>,
      < 6.807674, -1.766124, -0.079004>
    }
    triangle {
      < 6.807674, -1.766124, -0.079004>,
      < 6.942926, -1.766178, 0.103431>,
      < 6.935572, -1.368499, 0.119729>
    }
    triangle {
      < 6.807674, -1.766124, -0.079004>,
      < 6.935572, -1.368499, 0.119729>,
      < 6.812115, -1.368434, -0.099558>
    }
    triangle {
      < 6.812115, -1.368434, -0.099558>,
      < 6.935572, -1.368499, 0.119729>,
      < 6.914673, -0.829704, 0.125437>
    }
    triangle {
      < 6.812115, -1.368434, -0.099558>,
      < 6.914673, -0.829704, 0.125437>,
      < 6.830005, -0.829634, -0.111542>
    }
    triangle {
      < 6.830005, -0.829634, -0.111542>,
      < 6.914673, -0.829704, 0.125437>,
      < 6.900251, -0.517542, 0.119161>
    }
    triangle {
      < 6.830005, -0.829634, -0.111542>,
      < 6.900251, -0.517542, 0.119161>,
      < 6.843209, -0.517475, -0.109104>
    }
    triangle {
      < 6.843209, -0.517475, -0.109104>,
      < 6.900251, -0.517542, 0.119161>,
      < 6.887431, -0.226759, 0.107292>
    }
    triangle {
      < 6.843209, -0.517475, -0.109104>,
      < 6.887431, -0.226759, 0.107292>,
      < 6.855254, -0.226698, -0.100901>
    }
    triangle {
      < 6.855254, -0.226698, -0.100901>,
      < 6.887431, -0.226759, 0.107292>,
      < 6.878496, 0.004158, 0.092472>
    }
    triangle {
      < 6.855254, -0.226698, -0.100901>,
      < 6.878496, 0.004158, 0.092472>,
      < 6.863826, 0.004212, -0.089034>
    }
    triangle {
      < 6.863826, 0.004212, -0.089034>,
      < 6.878496, 0.004158, 0.092472>,
      < 6.872898, 0.183762, 0.075226>
    }
    triangle {
      < 6.863826, 0.004212, -0.089034>,
      < 6.872898, 0.183762, 0.075226>,
      < 6.869297, 0.183807, -0.074097>
    }
    triangle {
      < 6.869297, 0.183807, -0.074097>,
      < 6.872898, 0.183762, 0.075226>,
      < 6.871572, 0.239352, 0.072843>
    }
    triangle {
      < 6.869297, 0.183807, -0.074097>,
      < 6.871572, 0.239352, 0.072843>,
      < 6.870612, 0.239396, -0.072430>
    }
    triangle {
      < 6.915519, 0.239396, -0.072727>,
      < 6.916480, 0.239353, 0.072546>,
      < 6.917793, 0.183763, 0.074143>
    }
    triangle {
      < 6.915519, 0.239396, -0.072727>,
      < 6.917793, 0.183763, 0.074143>,
      < 6.914193, 0.183807, -0.075180>
    }
    triangle {
      < 6.914193, 0.183807, -0.075180>,
      < 6.917793, 0.183763, 0.074143>,
      < 6.923258, 0.004159, 0.088854>
    }
    triangle {
      < 6.914193, 0.183807, -0.075180>,
      < 6.923258, 0.004159, 0.088854>,
      < 6.908589, 0.004212, -0.092651>
    }
    triangle {
      < 6.908589, 0.004212, -0.092651>,
      < 6.923258, 0.004159, 0.088854>,
      < 6.931813, -0.226757, 0.100433>
    }
    triangle {
      < 6.908589, 0.004212, -0.092651>,
      < 6.931813, -0.226757, 0.100433>,
      < 6.899636, -0.226696, -0.107761>
    }
    triangle {
      < 6.899636, -0.226696, -0.107761>,
      < 6.931813, -0.226757, 0.100433>,
      < 6.943820, -0.517538, 0.108274>
    }
    triangle {
      < 6.899636, -0.226696, -0.107761>,
      < 6.943820, -0.517538, 0.108274>,
      < 6.886778, -0.517471, -0.119992>
    }
    triangle {
      < 6.886778, -0.517471, -0.119992>,
      < 6.943820, -0.517538, 0.108274>,
      < 6.956964, -0.829700, 0.110327>
    }
    triangle {
      < 6.886778, -0.517471, -0.119992>,
      < 6.956964, -0.829700, 0.110327>,
      < 6.872295, -0.829629, -0.126652>
    }
    triangle {
      < 6.872295, -0.829629, -0.126652>,
      < 6.956964, -0.829700, 0.110327>,
      < 6.974705, -1.368492, 0.097697>
    }
    triangle {
      < 6.872295, -0.829629, -0.126652>,
      < 6.974705, -1.368492, 0.097697>,
      < 6.851248, -1.368428, -0.121590>
    }
    triangle {
      < 6.851248, -1.368428, -0.121590>,
      < 6.974705, -1.368492, 0.097697>,
      < 6.979002, -1.766170, 0.076686>
    }
    triangle {
      < 6.851248, -1.368428, -0.121590>,
      < 6.979002, -1.766170, 0.076686>,
      < 6.843751, -1.766116, -0.105749>
    }
    triangle {
      < 6.843751, -1.766116, -0.105749>,
      < 6.979002, -1.766170, 0.076686>,
      < 6.957718, -1.898720, 0.042740>
    }
    triangle {
      < 6.843751, -1.766116, -0.105749>,
      < 6.957718, -1.898720, 0.042740>,
      < 6.863833, -1.898686, -0.073434>
    }
    triangle {
      < 6.828905, -1.898695, -0.045206>,
      < 6.863833, -1.898686, -0.073434>,
      < 6.957718, -1.898720, 0.042740>
    }
    triangle {
      < 6.828905, -1.898695, -0.045206>,
      < 6.957718, -1.898720, 0.042740>,
      < 6.922789, -1.898728, 0.070967>
    }
    triangle {
      < 6.871572, 0.239352, 0.072843>,
      < 6.916480, 0.239353, 0.072546>,
      < 6.915519, 0.239396, -0.072727>
    }
    triangle {
      < 6.871572, 0.239352, 0.072843>,
      < 6.915519, 0.239396, -0.072727>,
      < 6.870612, 0.239396, -0.072430>
    }
    triangle {
      < 6.920930, 0.333417, 2.162038>,
      < 6.955834, 0.305159, 2.162052>,
      < 6.977266, 0.339125, 2.029531>
    }
    triangle {
      < 6.920930, 0.333417, 2.162038>,
      < 6.977266, 0.339125, 2.029531>,
      < 6.941214, 0.365903, 2.029515>
    }
    triangle {
      < 6.941214, 0.365903, 2.029515>,
      < 6.977266, 0.339125, 2.029531>,
      < 6.973341, 0.360259, 1.631856>
    }
    triangle {
      < 6.941214, 0.365903, 2.029515>,
      < 6.973341, 0.360259, 1.631856>,
      < 6.934228, 0.382324, 1.631834>
    }
    triangle {
      < 6.934228, 0.382324, 1.631834>,
      < 6.973341, 0.360259, 1.631856>,
      < 6.956090, 0.373064, 1.093051>
    }
    triangle {
      < 6.934228, 0.382324, 1.631834>,
      < 6.956090, 0.373064, 1.093051>,
      < 6.913813, 0.388212, 1.093023>
    }
    triangle {
      < 6.913813, 0.388212, 1.093023>,
      < 6.956090, 0.373064, 1.093051>,
      < 6.943222, 0.371114, 0.780879>
    }
    triangle {
      < 6.913813, 0.388212, 1.093023>,
      < 6.943222, 0.371114, 0.780879>,
      < 6.899663, 0.382040, 0.780846>
    }
    triangle {
      < 6.899663, 0.382040, 0.780846>,
      < 6.943222, 0.371114, 0.780879>,
      < 6.931466, 0.363370, 0.490084>
    }
    triangle {
      < 6.899663, 0.382040, 0.780846>,
      < 6.931466, 0.363370, 0.490084>,
      < 6.887091, 0.370269, 0.490049>
    }
    triangle {
      < 6.887091, 0.370269, 0.490049>,
      < 6.931466, 0.363370, 0.490084>,
      < 6.923107, 0.351867, 0.259157>
    }
    triangle {
      < 6.887091, 0.370269, 0.490049>,
      < 6.923107, 0.351867, 0.259157>,
      < 6.878348, 0.355525, 0.259119>
    }
    triangle {
      < 6.878348, 0.355525, 0.259119>,
      < 6.923107, 0.351867, 0.259157>,
      < 6.917789, 0.337215, 0.079544>
    }
    triangle {
      < 6.878348, 0.355525, 0.259119>,
      < 6.917789, 0.337215, 0.079544>,
      < 6.872894, 0.338338, 0.079505>
    }
    triangle {
      < 6.872894, 0.338338, 0.079505>,
      < 6.917789, 0.337215, 0.079544>,
      < 6.916523, 0.335635, 0.023952>
    }
    triangle {
      < 6.872894, 0.338338, 0.079505>,
      < 6.916523, 0.335635, 0.023952>,
      < 6.871615, 0.335972, 0.023912>
    }
    triangle {
      < 6.805800, 0.183588, 2.029286>,
      < 6.841852, 0.156810, 2.029302>,
      < 6.861846, 0.189069, 2.161900>
    }
    triangle {
      < 6.805800, 0.183588, 2.029286>,
      < 6.861846, 0.189069, 2.161900>,
      < 6.826943, 0.217327, 2.161885>
    }
    triangle {
      < 6.810576, 0.163148, 1.631594>,
      < 6.849690, 0.141082, 1.631616>,
      < 6.841852, 0.156810, 2.029302>
    }
    triangle {
      < 6.810576, 0.163148, 1.631594>,
      < 6.841852, 0.156810, 2.029302>,
      < 6.805800, 0.183588, 2.029286>
    }
    triangle {
      < 6.828934, 0.151307, 1.092807>,
      < 6.871212, 0.136160, 1.092836>,
      < 6.849690, 0.141082, 1.631616>
    }
    triangle {
      < 6.828934, 0.151307, 1.092807>,
      < 6.849690, 0.141082, 1.631616>,
      < 6.810576, 0.163148, 1.631594>
    }
    triangle {
      < 6.842418, 0.153826, 0.780660>,
      < 6.885977, 0.142899, 0.780692>,
      < 6.871212, 0.136160, 1.092836>
    }
    triangle {
      < 6.842418, 0.153826, 0.780660>,
      < 6.871212, 0.136160, 1.092836>,
      < 6.828934, 0.151307, 1.092807>
    }
    triangle {
      < 6.854729, 0.162104, 0.489896>,
      < 6.899105, 0.155205, 0.489932>,
      < 6.885977, 0.142899, 0.780692>
    }
    triangle {
      < 6.854729, 0.162104, 0.489896>,
      < 6.885977, 0.142899, 0.780692>,
      < 6.842418, 0.153826, 0.780660>
    }
    triangle {
      < 6.863517, 0.174033, 0.258999>,
      < 6.908276, 0.170375, 0.259036>,
      < 6.899105, 0.155205, 0.489932>
    }
    triangle {
      < 6.863517, 0.174033, 0.258999>,
      < 6.899105, 0.155205, 0.489932>,
      < 6.854729, 0.162104, 0.489896>
    }
    triangle {
      < 6.869161, 0.189018, 0.079413>,
      < 6.914055, 0.187895, 0.079452>,
      < 6.908276, 0.170375, 0.259036>
    }
    triangle {
      < 6.869161, 0.189018, 0.079413>,
      < 6.908276, 0.170375, 0.259036>,
      < 6.863517, 0.174033, 0.258999>
    }
    triangle {
      < 6.870526, 0.190701, 0.023825>,
      < 6.915433, 0.190364, 0.023865>,
      < 6.914055, 0.187895, 0.079452>
    }
    triangle {
      < 6.870526, 0.190701, 0.023825>,
      < 6.914055, 0.187895, 0.079452>,
      < 6.869161, 0.189018, 0.079413>
    }
    triangle {
      < 6.826943, 0.217327, 2.161885>,
      < 6.920930, 0.333417, 2.162038>,
      < 6.941214, 0.365903, 2.029515>
    }
    triangle {
      < 6.826943, 0.217327, 2.161885>,
      < 6.941214, 0.365903, 2.029515>,
      < 6.805800, 0.183588, 2.029286>
    }
    triangle {
      < 6.805800, 0.183588, 2.029286>,
      < 6.941214, 0.365903, 2.029515>,
      < 6.934228, 0.382324, 1.631834>
    }
    triangle {
      < 6.805800, 0.183588, 2.029286>,
      < 6.934228, 0.382324, 1.631834>,
      < 6.810576, 0.163148, 1.631594>
    }
    triangle {
      < 6.810576, 0.163148, 1.631594>,
      < 6.934228, 0.382324, 1.631834>,
      < 6.913813, 0.388212, 1.093023>
    }
    triangle {
      < 6.810576, 0.163148, 1.631594>,
      < 6.913813, 0.388212, 1.093023>,
      < 6.828934, 0.151307, 1.092807>
    }
    triangle {
      < 6.828934, 0.151307, 1.092807>,
      < 6.913813, 0.388212, 1.093023>,
      < 6.899663, 0.382040, 0.780846>
    }
    triangle {
      < 6.828934, 0.151307, 1.092807>,
      < 6.899663, 0.382040, 0.780846>,
      < 6.842418, 0.153826, 0.780660>
    }
    triangle {
      < 6.842418, 0.153826, 0.780660>,
      < 6.899663, 0.382040, 0.780846>,
      < 6.887091, 0.370269, 0.490049>
    }
    triangle {
      < 6.842418, 0.153826, 0.780660>,
      < 6.887091, 0.370269, 0.490049>,
      < 6.854729, 0.162104, 0.489896>
    }
    triangle {
      < 6.854729, 0.162104, 0.489896>,
      < 6.887091, 0.370269, 0.490049>,
      < 6.878348, 0.355525, 0.259119>
    }
    triangle {
      < 6.854729, 0.162104, 0.489896>,
      < 6.878348, 0.355525, 0.259119>,
      < 6.863517, 0.174033, 0.258999>
    }
    triangle {
      < 6.863517, 0.174033, 0.258999>,
      < 6.878348, 0.355525, 0.259119>,
      < 6.872894, 0.338338, 0.079505>
    }
    triangle {
      < 6.863517, 0.174033, 0.258999>,
      < 6.872894, 0.338338, 0.079505>,
      < 6.869161, 0.189018, 0.079413>
    }
    triangle {
      < 6.869161, 0.189018, 0.079413>,
      < 6.872894, 0.338338, 0.079505>,
      < 6.871615, 0.335972, 0.023912>
    }
    triangle {
      < 6.869161, 0.189018, 0.079413>,
      < 6.871615, 0.335972, 0.023912>,
      < 6.870526, 0.190701, 0.023825>
    }
    triangle {
      < 6.915433, 0.190364, 0.023865>,
      < 6.916523, 0.335635, 0.023952>,
      < 6.917789, 0.337215, 0.079544>
    }
    triangle {
      < 6.915433, 0.190364, 0.023865>,
      < 6.917789, 0.337215, 0.079544>,
      < 6.914055, 0.187895, 0.079452>
    }
    triangle {
      < 6.914055, 0.187895, 0.079452>,
      < 6.917789, 0.337215, 0.079544>,
      < 6.923107, 0.351867, 0.259157>
    }
    triangle {
      < 6.914055, 0.187895, 0.079452>,
      < 6.923107, 0.351867, 0.259157>,
      < 6.908276, 0.170375, 0.259036>
    }
    triangle {
      < 6.908276, 0.170375, 0.259036>,
      < 6.923107, 0.351867, 0.259157>,
      < 6.931466, 0.363370, 0.490084>
    }
    triangle {
      < 6.908276, 0.170375, 0.259036>,
      < 6.931466, 0.363370, 0.490084>,
      < 6.899105, 0.155205, 0.489932>
    }
    triangle {
      < 6.899105, 0.155205, 0.489932>,
      < 6.931466, 0.363370, 0.490084>,
      < 6.943222, 0.371114, 0.780879>
    }
    triangle {
      < 6.899105, 0.155205, 0.489932>,
      < 6.943222, 0.371114, 0.780879>,
      < 6.885977, 0.142899, 0.780692>
    }
    triangle {
      < 6.885977, 0.142899, 0.780692>,
      < 6.943222, 0.371114, 0.780879>,
      < 6.956090, 0.373064, 1.093051>
    }
    triangle {
      < 6.885977, 0.142899, 0.780692>,
      < 6.956090, 0.373064, 1.093051>,
      < 6.871212, 0.136160, 1.092836>
    }
    triangle {
      < 6.871212, 0.136160, 1.092836>,
      < 6.956090, 0.373064, 1.093051>,
      < 6.973341, 0.360259, 1.631856>
    }
    triangle {
      < 6.871212, 0.136160, 1.092836>,
      < 6.973341, 0.360259, 1.631856>,
      < 6.849690, 0.141082, 1.631616>
    }
    triangle {
      < 6.849690, 0.141082, 1.631616>,
      < 6.973341, 0.360259, 1.631856>,
      < 6.977266, 0.339125, 2.029531>
    }
    triangle {
      < 6.849690, 0.141082, 1.631616>,
      < 6.977266, 0.339125, 2.029531>,
      < 6.841852, 0.156810, 2.029302>
    }
    triangle {
      < 6.841852, 0.156810, 2.029302>,
      < 6.977266, 0.339125, 2.029531>,
      < 6.955834, 0.305159, 2.162052>
    }
    triangle {
      < 6.841852, 0.156810, 2.029302>,
      < 6.955834, 0.305159, 2.162052>,
      < 6.861846, 0.189069, 2.161900>
    }
    triangle {
      < 6.826943, 0.217327, 2.161885>,
      < 6.861846, 0.189069, 2.161900>,
      < 6.955834, 0.305159, 2.162052>
    }
    triangle {
      < 6.826943, 0.217327, 2.161885>,
      < 6.955834, 0.305159, 2.162052>,
      < 6.920930, 0.333417, 2.162038>
    }
    triangle {
      < 6.871615, 0.335972, 0.023912>,
      < 6.916523, 0.335635, 0.023952>,
      < 6.915433, 0.190364, 0.023865>
    }
    triangle {
      < 6.871615, 0.335972, 0.023912>,
      < 6.915433, 0.190364, 0.023865>,
      < 6.870526, 0.190701, 0.023825>
    }
    triangle {
      < 6.922914, 2.425150, -0.069488>,
      < 6.957792, 2.425125, -0.041198>,
      < 6.979137, 2.292594, -0.075185>
    }
    triangle {
      < 6.922914, 2.425150, -0.069488>,
      < 6.979137, 2.292594, -0.075185>,
      < 6.943109, 2.292618, -0.101995>
    }
    triangle {
      < 6.943109, 2.292618, -0.101995>,
      < 6.979137, 2.292594, -0.075185>,
      < 6.974877, 1.894930, -0.096440>
    }
    triangle {
      < 6.943109, 2.292618, -0.101995>,
      < 6.974877, 1.894930, -0.096440>,
      < 6.935783, 1.894950, -0.118541>
    }
    triangle {
      < 6.935783, 1.894950, -0.118541>,
      < 6.974877, 1.894930, -0.096440>,
      < 6.957159, 1.356144, -0.109421>
    }
    triangle {
      < 6.935783, 1.894950, -0.118541>,
      < 6.957159, 1.356144, -0.109421>,
      < 6.914895, 1.356158, -0.124605>
    }
    triangle {
      < 6.914895, 1.356158, -0.124605>,
      < 6.957159, 1.356144, -0.109421>,
      < 6.944012, 1.043983, -0.107575>
    }
    triangle {
      < 6.914895, 1.356158, -0.124605>,
      < 6.944012, 1.043983, -0.107575>,
      < 6.900462, 1.043993, -0.118540>
    }
    triangle {
      < 6.900462, 1.043993, -0.118540>,
      < 6.944012, 1.043983, -0.107575>,
      < 6.931991, 0.753197, -0.099928>
    }
    triangle {
      < 6.900462, 1.043993, -0.118540>,
      < 6.931991, 0.753197, -0.099928>,
      < 6.887621, 0.753203, -0.106866>
    }
    triangle {
      < 6.887621, 0.753203, -0.106866>,
      < 6.931991, 0.753197, -0.099928>,
      < 6.923416, 0.522274, -0.088501>
    }
    triangle {
      < 6.887621, 0.753203, -0.106866>,
      < 6.923416, 0.522274, -0.088501>,
      < 6.878660, 0.522277, -0.092199>
    }
    triangle {
      < 6.878660, 0.522277, -0.092199>,
      < 6.923416, 0.522274, -0.088501>,
      < 6.917925, 0.342661, -0.073907>
    }
    triangle {
      < 6.878660, 0.522277, -0.092199>,
      < 6.917925, 0.342661, -0.073907>,
      < 6.873032, 0.342663, -0.075070>
    }
    triangle {
      < 6.873032, 0.342663, -0.075070>,
      < 6.917925, 0.342661, -0.073907>,
      < 6.916608, 0.287070, -0.072344>
    }
    triangle {
      < 6.873032, 0.342663, -0.075070>,
      < 6.916608, 0.287070, -0.072344>,
      < 6.871701, 0.287070, -0.072721>
    }
    triangle {
      < 6.807533, 2.292456, 0.080199>,
      < 6.843561, 2.292433, 0.107009>,
      < 6.863701, 2.425022, 0.074807>
    }
    triangle {
      < 6.807533, 2.292456, 0.080199>,
      < 6.863701, 2.425022, 0.074807>,
      < 6.828823, 2.425047, 0.046518>
    }
    triangle {
      < 6.811937, 1.894755, 0.100525>,
      < 6.851032, 1.894735, 0.122626>,
      < 6.843561, 2.292433, 0.107009>
    }
    triangle {
      < 6.811937, 1.894755, 0.100525>,
      < 6.843561, 2.292433, 0.107009>,
      < 6.807533, 2.292456, 0.080199>
    }
    triangle {
      < 6.829806, 1.355947, 0.112223>,
      < 6.872070, 1.355934, 0.127408>,
      < 6.851032, 1.894735, 0.122626>
    }
    triangle {
      < 6.829806, 1.355947, 0.112223>,
      < 6.851032, 1.894735, 0.122626>,
      < 6.811937, 1.894755, 0.100525>
    }
    triangle {
      < 6.843014, 1.043790, 0.109624>,
      < 6.886564, 1.043780, 0.120589>,
      < 6.872070, 1.355934, 0.127408>
    }
    triangle {
      < 6.843014, 1.043790, 0.109624>,
      < 6.872070, 1.355934, 0.127408>,
      < 6.829806, 1.355947, 0.112223>
    }
    triangle {
      < 6.855074, 0.753018, 0.101270>,
      < 6.899444, 0.753012, 0.108208>,
      < 6.886564, 1.043780, 0.120589>
    }
    triangle {
      < 6.855074, 0.753018, 0.101270>,
      < 6.886564, 1.043780, 0.120589>,
      < 6.843014, 1.043790, 0.109624>
    }
    triangle {
      < 6.863667, 0.522115, 0.089280>,
      < 6.908424, 0.522112, 0.092978>,
      < 6.899444, 0.753012, 0.108208>
    }
    triangle {
      < 6.863667, 0.522115, 0.089280>,
      < 6.899444, 0.753012, 0.108208>,
      < 6.855074, 0.753018, 0.101270>
    }
    triangle {
      < 6.869165, 0.342529, 0.074247>,
      < 6.914059, 0.342529, 0.075410>,
      < 6.908424, 0.522112, 0.092978>
    }
    triangle {
      < 6.869165, 0.342529, 0.074247>,
      < 6.908424, 0.522112, 0.092978>,
      < 6.863667, 0.522115, 0.089280>
    }
    triangle {
      < 6.870483, 0.286941, 0.072549>,
      < 6.915390, 0.286941, 0.072925>,
      < 6.914059, 0.342529, 0.075410>
    }
    triangle {
      < 6.870483, 0.286941, 0.072549>,
      < 6.914059, 0.342529, 0.075410>,
      < 6.869165, 0.342529, 0.074247>
    }
    triangle {
      < 6.828823, 2.425047, 0.046518>,
      < 6.922914, 2.425150, -0.069488>,
      < 6.943109, 2.292618, -0.101995>
    }
    triangle {
      < 6.828823, 2.425047, 0.046518>,
      < 6.943109, 2.292618, -0.101995>,
      < 6.807533, 2.292456, 0.080199>
    }
    triangle {
      < 6.807533, 2.292456, 0.080199>,
      < 6.943109, 2.292618, -0.101995>,
      < 6.935783, 1.894950, -0.118541>
    }
    triangle {
      < 6.807533, 2.292456, 0.080199>,
      < 6.935783, 1.894950, -0.118541>,
      < 6.811937, 1.894755, 0.100525>
    }
    triangle {
      < 6.811937, 1.894755, 0.100525>,
      < 6.935783, 1.894950, -0.118541>,
      < 6.914895, 1.356158, -0.124605>
    }
    triangle {
      < 6.811937, 1.894755, 0.100525>,
      < 6.914895, 1.356158, -0.124605>,
      < 6.829806, 1.355947, 0.112223>
    }
    triangle {
      < 6.829806, 1.355947, 0.112223>,
      < 6.914895, 1.356158, -0.124605>,
      < 6.900462, 1.043993, -0.118540>
    }
    triangle {
      < 6.829806, 1.355947, 0.112223>,
      < 6.900462, 1.043993, -0.118540>,
      < 6.843014, 1.043790, 0.109624>
    }
    triangle {
      < 6.843014, 1.043790, 0.109624>,
      < 6.900462, 1.043993, -0.118540>,
      < 6.887621, 0.753203, -0.106866>
    }
    triangle {
      < 6.843014, 1.043790, 0.109624>,
      < 6.887621, 0.753203, -0.106866>,
      < 6.855074, 0.753018, 0.101270>
    }
    triangle {
      < 6.855074, 0.753018, 0.101270>,
      < 6.887621, 0.753203, -0.106866>,
      < 6.878660, 0.522277, -0.092199>
    }
    triangle {
      < 6.855074, 0.753018, 0.101270>,
      < 6.878660, 0.522277, -0.092199>,
      < 6.863667, 0.522115, 0.089280>
    }
    triangle {
      < 6.863667, 0.522115, 0.089280>,
      < 6.878660, 0.522277, -0.092199>,
      < 6.873032, 0.342663, -0.075070>
    }
    triangle {
      < 6.863667, 0.522115, 0.089280>,
      < 6.873032, 0.342663, -0.075070>,
      < 6.869165, 0.342529, 0.074247>
    }
    triangle {
      < 6.869165, 0.342529, 0.074247>,
      < 6.873032, 0.342663, -0.075070>,
      < 6.871701, 0.287070, -0.072721>
    }
    triangle {
      < 6.869165, 0.342529, 0.074247>,
      < 6.871701, 0.287070, -0.072721>,
      < 6.870483, 0.286941, 0.072549>
    }
    triangle {
      < 6.915390, 0.286941, 0.072925>,
      < 6.916608, 0.287070, -0.072344>,
      < 6.917925, 0.342661, -0.073907>
    }
    triangle {
      < 6.915390, 0.286941, 0.072925>,
      < 6.917925, 0.342661, -0.073907>,
      < 6.914059, 0.342529, 0.075410>
    }
    triangle {
      < 6.914059, 0.342529, 0.075410>,
      < 6.917925, 0.342661, -0.073907>,
      < 6.923416, 0.522274, -0.088501>
    }
    triangle {
      < 6.914059, 0.342529, 0.075410>,
      < 6.923416, 0.522274, -0.088501>,
      < 6.908424, 0.522112, 0.092978>
    }
    triangle {
      < 6.908424, 0.522112, 0.092978>,
      < 6.923416, 0.522274, -0.088501>,
      < 6.931991, 0.753197, -0.099928>
    }
    triangle {
      < 6.908424, 0.522112, 0.092978>,
      < 6.931991, 0.753197, -0.099928>,
      < 6.899444, 0.753012, 0.108208>
    }
    triangle {
      < 6.899444, 0.753012, 0.108208>,
      < 6.931991, 0.753197, -0.099928>,
      < 6.944012, 1.043983, -0.107575>
    }
    triangle {
      < 6.899444, 0.753012, 0.108208>,
      < 6.944012, 1.043983, -0.107575>,
      < 6.886564, 1.043780, 0.120589>
    }
    triangle {
      < 6.886564, 1.043780, 0.120589>,
      < 6.944012, 1.043983, -0.107575>,
      < 6.957159, 1.356144, -0.109421>
    }
    triangle {
      < 6.886564, 1.043780, 0.120589>,
      < 6.957159, 1.356144, -0.109421>,
      < 6.872070, 1.355934, 0.127408>
    }
    triangle {
      < 6.872070, 1.355934, 0.127408>,
      < 6.957159, 1.356144, -0.109421>,
      < 6.974877, 1.894930, -0.096440>
    }
    triangle {
      < 6.872070, 1.355934, 0.127408>,
      < 6.974877, 1.894930, -0.096440>,
      < 6.851032, 1.894735, 0.122626>
    }
    triangle {
      < 6.851032, 1.894735, 0.122626>,
      < 6.974877, 1.894930, -0.096440>,
      < 6.979137, 2.292594, -0.075185>
    }
    triangle {
      < 6.851032, 1.894735, 0.122626>,
      < 6.979137, 2.292594, -0.075185>,
      < 6.843561, 2.292433, 0.107009>
    }
    triangle {
      < 6.843561, 2.292433, 0.107009>,
      < 6.979137, 2.292594, -0.075185>,
      < 6.957792, 2.425125, -0.041198>
    }
    triangle {
      < 6.843561, 2.292433, 0.107009>,
      < 6.957792, 2.425125, -0.041198>,
      < 6.863701, 2.425022, 0.074807>
    }
    triangle {
      < 6.828823, 2.425047, 0.046518>,
      < 6.863701, 2.425022, 0.074807>,
      < 6.957792, 2.425125, -0.041198>
    }
    triangle {
      < 6.828823, 2.425047, 0.046518>,
      < 6.957792, 2.425125, -0.041198>,
      < 6.922914, 2.425150, -0.069488>
    }
    triangle {
      < 6.871701, 0.287070, -0.072721>,
      < 6.916608, 0.287070, -0.072344>,
      < 6.915390, 0.286941, 0.072925>
    }
    triangle {
      < 6.871701, 0.287070, -0.072721>,
      < 6.915390, 0.286941, 0.072925>,
      < 6.870483, 0.286941, 0.072549>
    }
    triangle {
      < 6.924774, 0.194244, -2.161881>,
      < 6.959677, 0.222503, -2.161817>,
      < 6.980874, 0.188457, -2.029277>
    }
    triangle {
      < 6.924774, 0.194244, -2.161881>,
      < 6.980874, 0.188457, -2.029277>,
      < 6.944822, 0.161679, -2.029341>
    }
    triangle {
      < 6.944822, 0.161679, -2.029341>,
      < 6.980874, 0.188457, -2.029277>,
      < 6.976243, 0.167088, -1.631622>
    }
    triangle {
      < 6.944822, 0.161679, -2.029341>,
      < 6.976243, 0.167088, -1.631622>,
      < 6.937128, 0.145022, -1.631683>
    }
    triangle {
      < 6.937128, 0.145022, -1.631683>,
      < 6.976243, 0.167088, -1.631622>,
      < 6.958033, 0.153964, -1.092857>
    }
    triangle {
      < 6.937128, 0.145022, -1.631683>,
      < 6.958033, 0.153964, -1.092857>,
      < 6.915756, 0.138816, -1.092913>
    }
    triangle {
      < 6.915756, 0.138816, -1.092913>,
      < 6.958033, 0.153964, -1.092857>,
      < 6.944610, 0.155728, -0.780707>
    }
    triangle {
      < 6.915756, 0.138816, -1.092913>,
      < 6.944610, 0.155728, -0.780707>,
      < 6.901051, 0.144802, -0.780758>
    }
    triangle {
      < 6.901051, 0.144802, -0.780758>,
      < 6.944610, 0.155728, -0.780707>,
      < 6.932338, 0.163300, -0.489929>
    }
    triangle {
      < 6.901051, 0.144802, -0.780758>,
      < 6.932338, 0.163300, -0.489929>,
      < 6.887961, 0.156401, -0.489977>
    }
    triangle {
      < 6.887961, 0.156401, -0.489977>,
      < 6.932338, 0.163300, -0.489929>,
      < 6.923568, 0.174665, -0.259010>
    }
    triangle {
      < 6.887961, 0.156401, -0.489977>,
      < 6.923568, 0.174665, -0.259010>,
      < 6.878808, 0.171008, -0.259054>
    }
    triangle {
      < 6.878808, 0.171008, -0.259054>,
      < 6.923568, 0.174665, -0.259010>,
      < 6.917930, 0.189212, -0.079398>
    }
    triangle {
      < 6.878808, 0.171008, -0.259054>,
      < 6.917930, 0.189212, -0.079398>,
      < 6.873035, 0.188089, -0.079440>
    }
    triangle {
      < 6.873035, 0.188089, -0.079440>,
      < 6.917930, 0.189212, -0.079398>,
      < 6.916565, 0.190759, -0.023808>
    }
    triangle {
      < 6.873035, 0.188089, -0.079440>,
      < 6.916565, 0.190759, -0.023808>,
      < 6.871657, 0.190422, -0.023848>
    }
    triangle {
      < 6.809408, 0.343994, -2.029245>,
      < 6.845460, 0.370772, -2.029181>,
      < 6.865690, 0.338591, -2.161763>
    }
    triangle {
      < 6.809408, 0.343994, -2.029245>,
      < 6.865690, 0.338591, -2.161763>,
      < 6.830786, 0.310333, -2.161827>
    }
    triangle {
      < 6.813478, 0.364198, -1.631534>,
      < 6.852591, 0.386265, -1.631473>,
      < 6.845460, 0.370772, -2.029181>
    }
    triangle {
      < 6.813478, 0.364198, -1.631534>,
      < 6.845460, 0.370772, -2.029181>,
      < 6.809408, 0.343994, -2.029245>
    }
    triangle {
      < 6.830877, 0.375720, -1.092707>,
      < 6.873154, 0.390867, -1.092652>,
      < 6.852591, 0.386265, -1.631473>
    }
    triangle {
      < 6.830877, 0.375720, -1.092707>,
      < 6.852591, 0.386265, -1.631473>,
      < 6.813478, 0.364198, -1.631534>
    }
    triangle {
      < 6.843806, 0.373017, -0.780538>,
      < 6.887365, 0.383943, -0.780487>,
      < 6.873154, 0.390867, -1.092652>
    }
    triangle {
      < 6.843806, 0.373017, -0.780538>,
      < 6.873154, 0.390867, -1.092652>,
      < 6.830877, 0.375720, -1.092707>
    }
    triangle {
      < 6.855599, 0.364566, -0.489758>,
      < 6.899976, 0.371465, -0.489711>,
      < 6.887365, 0.383943, -0.780487>
    }
    triangle {
      < 6.855599, 0.364566, -0.489758>,
      < 6.887365, 0.383943, -0.780487>,
      < 6.843806, 0.373017, -0.780538>
    }
    triangle {
      < 6.863977, 0.352501, -0.258852>,
      < 6.908737, 0.356158, -0.258808>,
      < 6.899976, 0.371465, -0.489711>
    }
    triangle {
      < 6.863977, 0.352501, -0.258852>,
      < 6.899976, 0.371465, -0.489711>,
      < 6.855599, 0.364566, -0.489758>
    }
    triangle {
      < 6.869302, 0.337409, -0.079266>,
      < 6.914196, 0.338531, -0.079225>,
      < 6.908737, 0.356158, -0.258808>
    }
    triangle {
      < 6.869302, 0.337409, -0.079266>,
      < 6.908737, 0.356158, -0.258808>,
      < 6.863977, 0.352501, -0.258852>
    }
    triangle {
      < 6.870568, 0.335693, -0.023677>,
      < 6.915476, 0.336030, -0.023637>,
      < 6.914196, 0.338531, -0.079225>
    }
    triangle {
      < 6.870568, 0.335693, -0.023677>,
      < 6.914196, 0.338531, -0.079225>,
      < 6.869302, 0.337409, -0.079266>
    }
    triangle {
      < 6.830786, 0.310333, -2.161827>,
      < 6.924774, 0.194244, -2.161881>,
      < 6.944822, 0.161679, -2.029341>
    }
    triangle {
      < 6.830786, 0.310333, -2.161827>,
      < 6.944822, 0.161679, -2.029341>,
      < 6.809408, 0.343994, -2.029245>
    }
    triangle {
      < 6.809408, 0.343994, -2.029245>,
      < 6.944822, 0.161679, -2.029341>,
      < 6.937128, 0.145022, -1.631683>
    }
    triangle {
      < 6.809408, 0.343994, -2.029245>,
      < 6.937128, 0.145022, -1.631683>,
      < 6.813478, 0.364198, -1.631534>
    }
    triangle {
      < 6.813478, 0.364198, -1.631534>,
      < 6.937128, 0.145022, -1.631683>,
      < 6.915756, 0.138816, -1.092913>
    }
    triangle {
      < 6.813478, 0.364198, -1.631534>,
      < 6.915756, 0.138816, -1.092913>,
      < 6.830877, 0.375720, -1.092707>
    }
    triangle {
      < 6.830877, 0.375720, -1.092707>,
      < 6.915756, 0.138816, -1.092913>,
      < 6.901051, 0.144802, -0.780758>
    }
    triangle {
      < 6.830877, 0.375720, -1.092707>,
      < 6.901051, 0.144802, -0.780758>,
      < 6.843806, 0.373017, -0.780538>
    }
    triangle {
      < 6.843806, 0.373017, -0.780538>,
      < 6.901051, 0.144802, -0.780758>,
      < 6.887961, 0.156401, -0.489977>
    }
    triangle {
      < 6.843806, 0.373017, -0.780538>,
      < 6.887961, 0.156401, -0.489977>,
      < 6.855599, 0.364566, -0.489758>
    }
    triangle {
      < 6.855599, 0.364566, -0.489758>,
      < 6.887961, 0.156401, -0.489977>,
      < 6.878808, 0.171008, -0.259054>
    }
    triangle {
      < 6.855599, 0.364566, -0.489758>,
      < 6.878808, 0.171008, -0.259054>,
      < 6.863977, 0.352501, -0.258852>
    }
    triangle {
      < 6.863977, 0.352501, -0.258852>,
      < 6.878808, 0.171008, -0.259054>,
      < 6.873035, 0.188089, -0.079440>
    }
    triangle {
      < 6.863977, 0.352501, -0.258852>,
      < 6.873035, 0.188089, -0.079440>,
      < 6.869302, 0.337409, -0.079266>
    }
    triangle {
      < 6.869302, 0.337409, -0.079266>,
      < 6.873035, 0.188089, -0.079440>,
      < 6.871657, 0.190422, -0.023848>
    }
    triangle {
      < 6.869302, 0.337409, -0.079266>,
      < 6.871657, 0.190422, -0.023848>,
      < 6.870568, 0.335693, -0.023677>
    }
    triangle {
      < 6.915476, 0.336030, -0.023637>,
      < 6.916565, 0.190759, -0.023808>,
      < 6.917930, 0.189212, -0.079398>
    }
    triangle {
      < 6.915476, 0.336030, -0.023637>,
      < 6.917930, 0.189212, -0.079398>,
      < 6.914196, 0.338531, -0.079225>
    }
    triangle {
      < 6.914196, 0.338531, -0.079225>,
      < 6.917930, 0.189212, -0.079398>,
      < 6.923568, 0.174665, -0.259010>
    }
    triangle {
      < 6.914196, 0.338531, -0.079225>,
      < 6.923568, 0.174665, -0.259010>,
      < 6.908737, 0.356158, -0.258808>
    }
    triangle {
      < 6.908737, 0.356158, -0.258808>,
      < 6.923568, 0.174665, -0.259010>,
      < 6.932338, 0.163300, -0.489929>
    }
    triangle {
      < 6.908737, 0.356158, -0.258808>,
      < 6.932338, 0.163300, -0.489929>,
      < 6.899976, 0.371465, -0.489711>
    }
    triangle {
      < 6.899976, 0.371465, -0.489711>,
      < 6.932338, 0.163300, -0.489929>,
      < 6.944610, 0.155728, -0.780707>
    }
    triangle {
      < 6.899976, 0.371465, -0.489711>,
      < 6.944610, 0.155728, -0.780707>,
      < 6.887365, 0.383943, -0.780487>
    }
    triangle {
      < 6.887365, 0.383943, -0.780487>,
      < 6.944610, 0.155728, -0.780707>,
      < 6.958033, 0.153964, -1.092857>
    }
    triangle {
      < 6.887365, 0.383943, -0.780487>,
      < 6.958033, 0.153964, -1.092857>,
      < 6.873154, 0.390867, -1.092652>
    }
    triangle {
      < 6.873154, 0.390867, -1.092652>,
      < 6.958033, 0.153964, -1.092857>,
      < 6.976243, 0.167088, -1.631622>
    }
    triangle {
      < 6.873154, 0.390867, -1.092652>,
      < 6.976243, 0.167088, -1.631622>,
      < 6.852591, 0.386265, -1.631473>
    }
    triangle {
      < 6.852591, 0.386265, -1.631473>,
      < 6.976243, 0.167088, -1.631622>,
      < 6.980874, 0.188457, -2.029277>
    }
    triangle {
      < 6.852591, 0.386265, -1.631473>,
      < 6.980874, 0.188457, -2.029277>,
      < 6.845460, 0.370772, -2.029181>
    }
    triangle {
      < 6.845460, 0.370772, -2.029181>,
      < 6.980874, 0.188457, -2.029277>,
      < 6.959677, 0.222503, -2.161817>
    }
    triangle {
      < 6.845460, 0.370772, -2.029181>,
      < 6.959677, 0.222503, -2.161817>,
      < 6.865690, 0.338591, -2.161763>
    }
    triangle {
      < 6.830786, 0.310333, -2.161827>,
      < 6.865690, 0.338591, -2.161763>,
      < 6.959677, 0.222503, -2.161817>
    }
    triangle {
      < 6.830786, 0.310333, -2.161827>,
      < 6.959677, 0.222503, -2.161817>,
      < 6.924774, 0.194244, -2.161881>
    }
    triangle {
      < 6.871657, 0.190422, -0.023848>,
      < 6.916565, 0.190759, -0.023808>,
      < 6.915476, 0.336030, -0.023637>
    }
    triangle {
      < 6.871657, 0.190422, -0.023848>,
      < 6.915476, 0.336030, -0.023637>,
      < 6.870568, 0.335693, -0.023677>
    }
    triangle {
      < 7.431191, 0.263190, 0.000391>,
      < 7.322154, 0.373402, -0.063290>,
      < 7.322116, 0.390445, 0.000327>
    }
    triangle {
      < 7.322116, 0.390445, 0.000327>,
      < 7.322154, 0.373402, -0.063290>,
      < 7.140398, 0.478366, -0.123984>
    }
    triangle {
      < 7.322116, 0.390445, 0.000327>,
      < 7.140398, 0.478366, -0.123984>,
      < 7.140324, 0.511639, 0.000219>
    }
    triangle {
      < 7.140324, 0.511639, 0.000219>,
      < 7.140398, 0.478366, -0.123984>,
      < 6.891973, 0.551841, -0.166542>
    }
    triangle {
      < 7.140324, 0.511639, 0.000219>,
      < 6.891973, 0.551841, -0.166542>,
      < 6.891874, 0.596476, 0.000072>
    }
    triangle {
      < 6.891874, 0.596476, 0.000072>,
      < 6.891973, 0.551841, -0.166542>,
      < 6.770783, 0.567585, -0.175702>
    }
    triangle {
      < 6.891874, 0.596476, 0.000072>,
      < 6.770783, 0.567585, -0.175702>,
      < 6.770679, 0.614655, 0.000000>
    }
    triangle {
      < 6.770679, 0.614655, 0.000000>,
      < 6.770783, 0.567585, -0.175702>,
      < 6.770708, 0.347161, -0.048470>
    }
    triangle {
      < 6.770679, 0.614655, 0.000000>,
      < 6.770708, 0.347161, -0.048470>,
      < 6.770679, 0.360146, 0.000000>
    }
    triangle {
      < 6.770679, 0.360146, 0.000000>,
      < 6.770708, 0.347161, -0.048470>,
      < 6.455602, 0.347161, -0.048656>
    }
    triangle {
      < 6.770679, 0.360146, 0.000000>,
      < 6.455602, 0.347161, -0.048656>,
      < 6.455573, 0.360146, -0.000187>
    }
    triangle {
      < 6.455573, 0.360146, -0.000187>,
      < 6.455602, 0.347161, -0.048656>,
      < 6.455573, 0.263190, -0.000187>
    }
    triangle {
      < 7.431191, 0.263190, 0.000391>,
      < 7.322182, 0.326839, -0.109867>,
      < 7.322154, 0.373402, -0.063290>
    }
    triangle {
      < 7.322154, 0.373402, -0.063290>,
      < 7.322182, 0.326839, -0.109867>,
      < 7.140451, 0.387457, -0.214920>
    }
    triangle {
      < 7.322154, 0.373402, -0.063290>,
      < 7.140451, 0.387457, -0.214920>,
      < 7.140398, 0.478366, -0.123984>
    }
    triangle {
      < 7.140398, 0.478366, -0.123984>,
      < 7.140451, 0.387457, -0.214920>,
      < 6.892045, 0.429890, -0.288530>
    }
    triangle {
      < 7.140398, 0.478366, -0.123984>,
      < 6.892045, 0.429890, -0.288530>,
      < 6.891973, 0.551841, -0.166542>
    }
    triangle {
      < 6.891973, 0.551841, -0.166542>,
      < 6.892045, 0.429890, -0.288530>,
      < 6.770860, 0.438982, -0.304343>
    }
    triangle {
      < 6.891973, 0.551841, -0.166542>,
      < 6.770860, 0.438982, -0.304343>,
      < 6.770783, 0.567585, -0.175702>
    }
    triangle {
      < 6.770783, 0.567585, -0.175702>,
      < 6.770860, 0.438982, -0.304343>,
      < 6.770729, 0.311685, -0.083957>
    }
    triangle {
      < 6.770783, 0.567585, -0.175702>,
      < 6.770729, 0.311685, -0.083957>,
      < 6.770708, 0.347161, -0.048470>
    }
    triangle {
      < 6.770708, 0.347161, -0.048470>,
      < 6.770729, 0.311685, -0.083957>,
      < 6.455623, 0.311685, -0.084144>
    }
    triangle {
      < 6.770708, 0.347161, -0.048470>,
      < 6.455623, 0.311685, -0.084144>,
      < 6.455602, 0.347161, -0.048656>
    }
    triangle {
      < 6.455602, 0.347161, -0.048656>,
      < 6.455623, 0.311685, -0.084144>,
      < 6.455573, 0.263190, -0.000187>
    }
    triangle {
      < 7.431191, 0.263190, 0.000391>,
      < 7.322192, 0.263228, -0.126928>,
      < 7.322182, 0.326839, -0.109867>
    }
    triangle {
      < 7.322182, 0.326839, -0.109867>,
      < 7.322192, 0.263228, -0.126928>,
      < 7.140471, 0.263263, -0.248230>
    }
    triangle {
      < 7.322182, 0.326839, -0.109867>,
      < 7.140471, 0.263263, -0.248230>,
      < 7.140451, 0.387457, -0.214920>
    }
    triangle {
      < 7.140451, 0.387457, -0.214920>,
      < 7.140471, 0.263263, -0.248230>,
      < 6.892072, 0.263288, -0.333214>
    }
    triangle {
      < 7.140451, 0.387457, -0.214920>,
      < 6.892072, 0.263288, -0.333214>,
      < 6.892045, 0.429890, -0.288530>
    }
    triangle {
      < 6.892045, 0.429890, -0.288530>,
      < 6.892072, 0.263288, -0.333214>,
      < 6.770888, 0.263294, -0.351465>
    }
    triangle {
      < 6.892045, 0.429890, -0.288530>,
      < 6.770888, 0.263294, -0.351465>,
      < 6.770860, 0.438982, -0.304343>
    }
    triangle {
      < 6.770860, 0.438982, -0.304343>,
      < 6.770888, 0.263294, -0.351465>,
      < 6.770737, 0.263219, -0.096956>
    }
    triangle {
      < 6.770860, 0.438982, -0.304343>,
      < 6.770737, 0.263219, -0.096956>,
      < 6.770729, 0.311685, -0.083957>
    }
    triangle {
      < 6.770729, 0.311685, -0.083957>,
      < 6.770737, 0.263219, -0.096956>,
      < 6.455630, 0.263219, -0.097143>
    }
    triangle {
      < 6.770729, 0.311685, -0.083957>,
      < 6.455630, 0.263219, -0.097143>,
      < 6.455623, 0.311685, -0.084144>
    }
    triangle {
      < 6.455623, 0.311685, -0.084144>,
      < 6.455630, 0.263219, -0.097143>,
      < 6.455573, 0.263190, -0.000187>
    }
    triangle {
      < 7.431191, 0.263190, 0.000391>,
      < 7.322182, 0.199606, -0.109904>,
      < 7.322192, 0.263228, -0.126928>
    }
    triangle {
      < 7.322192, 0.263228, -0.126928>,
      < 7.322182, 0.199606, -0.109904>,
      < 7.140451, 0.139050, -0.214994>
    }
    triangle {
      < 7.322192, 0.263228, -0.126928>,
      < 7.140451, 0.139050, -0.214994>,
      < 7.140471, 0.263263, -0.248230>
    }
    triangle {
      < 7.140471, 0.263263, -0.248230>,
      < 7.140451, 0.139050, -0.214994>,
      < 6.892045, 0.096661, -0.288628>
    }
    triangle {
      < 7.140471, 0.263263, -0.248230>,
      < 6.892045, 0.096661, -0.288628>,
      < 6.892072, 0.263288, -0.333214>
    }
    triangle {
      < 6.892072, 0.263288, -0.333214>,
      < 6.892045, 0.096661, -0.288628>,
      < 6.770860, 0.087578, -0.304447>
    }
    triangle {
      < 6.892072, 0.263288, -0.333214>,
      < 6.770860, 0.087578, -0.304447>,
      < 6.770888, 0.263294, -0.351465>
    }
    triangle {
      < 6.770888, 0.263294, -0.351465>,
      < 6.770860, 0.087578, -0.304447>,
      < 6.770729, 0.214745, -0.083986>
    }
    triangle {
      < 6.770888, 0.263294, -0.351465>,
      < 6.770729, 0.214745, -0.083986>,
      < 6.770737, 0.263219, -0.096956>
    }
    triangle {
      < 6.770737, 0.263219, -0.096956>,
      < 6.770729, 0.214745, -0.083986>,
      < 6.455623, 0.214745, -0.084173>
    }
    triangle {
      < 6.770737, 0.263219, -0.096956>,
      < 6.455623, 0.214745, -0.084173>,
      < 6.455630, 0.263219, -0.097143>
    }
    triangle {
      < 6.455630, 0.263219, -0.097143>,
      < 6.455623, 0.214745, -0.084173>,
      < 6.455573, 0.263190, -0.000187>
    }
    triangle {
      < 7.431191, 0.263190, 0.000391>,
      < 7.322154, 0.153015, -0.063355>,
      < 7.322182, 0.199606, -0.109904>
    }
    triangle {
      < 7.322182, 0.199606, -0.109904>,
      < 7.322154, 0.153015, -0.063355>,
      < 7.140398, 0.048088, -0.124112>
    }
    triangle {
      < 7.322182, 0.199606, -0.109904>,
      < 7.140398, 0.048088, -0.124112>,
      < 7.140451, 0.139050, -0.214994>
    }
    triangle {
      < 7.140451, 0.139050, -0.214994>,
      < 7.140398, 0.048088, -0.124112>,
      < 6.891973, -0.025362, -0.166714>
    }
    triangle {
      < 7.140451, 0.139050, -0.214994>,
      < 6.891973, -0.025362, -0.166714>,
      < 6.892045, 0.096661, -0.288628>
    }
    triangle {
      < 6.892045, 0.096661, -0.288628>,
      < 6.891973, -0.025362, -0.166714>,
      < 6.770784, -0.041101, -0.175883>
    }
    triangle {
      < 6.892045, 0.096661, -0.288628>,
      < 6.770784, -0.041101, -0.175883>,
      < 6.770860, 0.087578, -0.304447>
    }
    triangle {
      < 6.770860, 0.087578, -0.304447>,
      < 6.770784, -0.041101, -0.175883>,
      < 6.770708, 0.179247, -0.048520>
    }
    triangle {
      < 6.770860, 0.087578, -0.304447>,
      < 6.770708, 0.179247, -0.048520>,
      < 6.770729, 0.214745, -0.083986>
    }
    triangle {
      < 6.770729, 0.214745, -0.083986>,
      < 6.770708, 0.179247, -0.048520>,
      < 6.455602, 0.179247, -0.048706>
    }
    triangle {
      < 6.770729, 0.214745, -0.083986>,
      < 6.455602, 0.179247, -0.048706>,
      < 6.455623, 0.214745, -0.084173>
    }
    triangle {
      < 6.455623, 0.214745, -0.084173>,
      < 6.455602, 0.179247, -0.048706>,
      < 6.455573, 0.263190, -0.000187>
    }
    triangle {
      < 7.431191, 0.263190, 0.000391>,
      < 7.322116, 0.135935, 0.000251>,
      < 7.322154, 0.153015, -0.063355>
    }
    triangle {
      < 7.322154, 0.153015, -0.063355>,
      < 7.322116, 0.135935, 0.000251>,
      < 7.140324, 0.014740, 0.000072>
    }
    triangle {
      < 7.322154, 0.153015, -0.063355>,
      < 7.140324, 0.014740, 0.000072>,
      < 7.140398, 0.048088, -0.124112>
    }
    triangle {
      < 7.140398, 0.048088, -0.124112>,
      < 7.140324, 0.014740, 0.000072>,
      < 6.891874, -0.070096, -0.000126>
    }
    triangle {
      < 7.140398, 0.048088, -0.124112>,
      < 6.891874, -0.070096, -0.000126>,
      < 6.891973, -0.025362, -0.166714>
    }
    triangle {
      < 6.891973, -0.025362, -0.166714>,
      < 6.891874, -0.070096, -0.000126>,
      < 6.770679, -0.088275, -0.000208>
    }
    triangle {
      < 6.891973, -0.025362, -0.166714>,
      < 6.770679, -0.088275, -0.000208>,
      < 6.770784, -0.041101, -0.175883>
    }
    triangle {
      < 6.770784, -0.041101, -0.175883>,
      < 6.770679, -0.088275, -0.000208>,
      < 6.770679, 0.166234, -0.000058>
    }
    triangle {
      < 6.770784, -0.041101, -0.175883>,
      < 6.770679, 0.166234, -0.000058>,
      < 6.770708, 0.179247, -0.048520>
    }
    triangle {
      < 6.770708, 0.179247, -0.048520>,
      < 6.770679, 0.166234, -0.000058>,
      < 6.455573, 0.166234, -0.000244>
    }
    triangle {
      < 6.770708, 0.179247, -0.048520>,
      < 6.455573, 0.166234, -0.000244>,
      < 6.455602, 0.179247, -0.048706>
    }
    triangle {
      < 6.455602, 0.179247, -0.048706>,
      < 6.455573, 0.166234, -0.000244>,
      < 6.455573, 0.263190, -0.000187>
    }
    triangle {
      < 7.431191, 0.263190, 0.000391>,
      < 7.322079, 0.152940, 0.063878>,
      < 7.322116, 0.135935, 0.000251>
    }
    triangle {
      < 7.322116, 0.135935, 0.000251>,
      < 7.322079, 0.152940, 0.063878>,
      < 7.140250, 0.047940, 0.124295>
    }
    triangle {
      < 7.322116, 0.135935, 0.000251>,
      < 7.140250, 0.047940, 0.124295>,
      < 7.140324, 0.014740, 0.000072>
    }
    triangle {
      < 7.140324, 0.014740, 0.000072>,
      < 7.140250, 0.047940, 0.124295>,
      < 6.891776, -0.025559, 0.166516>
    }
    triangle {
      < 7.140324, 0.014740, 0.000072>,
      < 6.891776, -0.025559, 0.166516>,
      < 6.891874, -0.070096, -0.000126>
    }
    triangle {
      < 6.891874, -0.070096, -0.000126>,
      < 6.891776, -0.025559, 0.166516>,
      < 6.770576, -0.041309, 0.175522>
    }
    triangle {
      < 6.891874, -0.070096, -0.000126>,
      < 6.770576, -0.041309, 0.175522>,
      < 6.770679, -0.088275, -0.000208>
    }
    triangle {
      < 6.770679, -0.088275, -0.000208>,
      < 6.770576, -0.041309, 0.175522>,
      < 6.770651, 0.179190, 0.048420>
    }
    triangle {
      < 6.770679, -0.088275, -0.000208>,
      < 6.770651, 0.179190, 0.048420>,
      < 6.770679, 0.166234, -0.000058>
    }
    triangle {
      < 6.770679, 0.166234, -0.000058>,
      < 6.770651, 0.179190, 0.048420>,
      < 6.455544, 0.179190, 0.048233>
    }
    triangle {
      < 6.770679, 0.166234, -0.000058>,
      < 6.455544, 0.179190, 0.048233>,
      < 6.455573, 0.166234, -0.000244>
    }
    triangle {
      < 6.455573, 0.166234, -0.000244>,
      < 6.455544, 0.179190, 0.048233>,
      < 6.455573, 0.263190, -0.000187>
    }
    triangle {
      < 7.431191, 0.263190, 0.000391>,
      < 7.322051, 0.199475, 0.110482>,
      < 7.322079, 0.152940, 0.063878>
    }
    triangle {
      < 7.322079, 0.152940, 0.063878>,
      < 7.322051, 0.199475, 0.110482>,
      < 7.140196, 0.138795, 0.215285>
    }
    triangle {
      < 7.322079, 0.152940, 0.063878>,
      < 7.140196, 0.138795, 0.215285>,
      < 7.140250, 0.047940, 0.124295>
    }
    triangle {
      < 7.140250, 0.047940, 0.124295>,
      < 7.140196, 0.138795, 0.215285>,
      < 6.891704, 0.096319, 0.288574>
    }
    triangle {
      < 7.140250, 0.047940, 0.124295>,
      < 6.891704, 0.096319, 0.288574>,
      < 6.891776, -0.025559, 0.166516>
    }
    triangle {
      < 6.891776, -0.025559, 0.166516>,
      < 6.891704, 0.096319, 0.288574>,
      < 6.770499, 0.087217, 0.304239>
    }
    triangle {
      < 6.891776, -0.025559, 0.166516>,
      < 6.770499, 0.087217, 0.304239>,
      < 6.770576, -0.041309, 0.175522>
    }
    triangle {
      < 6.770576, -0.041309, 0.175522>,
      < 6.770499, 0.087217, 0.304239>,
      < 6.770630, 0.214645, 0.083928>
    }
    triangle {
      < 6.770576, -0.041309, 0.175522>,
      < 6.770630, 0.214645, 0.083928>,
      < 6.770651, 0.179190, 0.048420>
    }
    triangle {
      < 6.770651, 0.179190, 0.048420>,
      < 6.770630, 0.214645, 0.083928>,
      < 6.455523, 0.214645, 0.083741>
    }
    triangle {
      < 6.770651, 0.179190, 0.048420>,
      < 6.455523, 0.214645, 0.083741>,
      < 6.455544, 0.179190, 0.048233>
    }
    triangle {
      < 6.455544, 0.179190, 0.048233>,
      < 6.455523, 0.214645, 0.083741>,
      < 6.455573, 0.263190, -0.000187>
    }
    triangle {
      < 7.431191, 0.263190, 0.000391>,
      < 7.322041, 0.263077, 0.127581>,
      < 7.322051, 0.199475, 0.110482>
    }
    triangle {
      < 7.322051, 0.199475, 0.110482>,
      < 7.322041, 0.263077, 0.127581>,
      < 7.140177, 0.262969, 0.248669>
    }
    triangle {
      < 7.322051, 0.199475, 0.110482>,
      < 7.140177, 0.262969, 0.248669>,
      < 7.140196, 0.138795, 0.215285>
    }
    triangle {
      < 7.140196, 0.138795, 0.215285>,
      < 7.140177, 0.262969, 0.248669>,
      < 6.891677, 0.262894, 0.333358>
    }
    triangle {
      < 7.140196, 0.138795, 0.215285>,
      < 6.891677, 0.262894, 0.333358>,
      < 6.891704, 0.096319, 0.288574>
    }
    triangle {
      < 6.891704, 0.096319, 0.288574>,
      < 6.891677, 0.262894, 0.333358>,
      < 6.770471, 0.262878, 0.351465>
    }
    triangle {
      < 6.891704, 0.096319, 0.288574>,
      < 6.770471, 0.262878, 0.351465>,
      < 6.770499, 0.087217, 0.304239>
    }
    triangle {
      < 6.770499, 0.087217, 0.304239>,
      < 6.770471, 0.262878, 0.351465>,
      < 6.770622, 0.263104, 0.096956>
    }
    triangle {
      < 6.770499, 0.087217, 0.304239>,
      < 6.770622, 0.263104, 0.096956>,
      < 6.770630, 0.214645, 0.083928>
    }
    triangle {
      < 6.770630, 0.214645, 0.083928>,
      < 6.770622, 0.263104, 0.096956>,
      < 6.455515, 0.263104, 0.096769>
    }
    triangle {
      < 6.770630, 0.214645, 0.083928>,
      < 6.455515, 0.263104, 0.096769>,
      < 6.455523, 0.214645, 0.083741>
    }
    triangle {
      < 6.455523, 0.214645, 0.083741>,
      < 6.455515, 0.263104, 0.096769>,
      < 6.455573, 0.263190, -0.000187>
    }
    triangle {
      < 7.431191, 0.263190, 0.000391>,
      < 7.322051, 0.326708, 0.110595>,
      < 7.322041, 0.263077, 0.127581>
    }
    triangle {
      < 7.322041, 0.263077, 0.127581>,
      < 7.322051, 0.326708, 0.110595>,
      < 7.140196, 0.387202, 0.215505>
    }
    triangle {
      < 7.322041, 0.263077, 0.127581>,
      < 7.140196, 0.387202, 0.215505>,
      < 7.140177, 0.262969, 0.248669>
    }
    triangle {
      < 7.140177, 0.262969, 0.248669>,
      < 7.140196, 0.387202, 0.215505>,
      < 6.891703, 0.429548, 0.288870>
    }
    triangle {
      < 7.140177, 0.262969, 0.248669>,
      < 6.891703, 0.429548, 0.288870>,
      < 6.891677, 0.262894, 0.333358>
    }
    triangle {
      < 6.891677, 0.262894, 0.333358>,
      < 6.891703, 0.429548, 0.288870>,
      < 6.770499, 0.438622, 0.304551>
    }
    triangle {
      < 6.891677, 0.262894, 0.333358>,
      < 6.770499, 0.438622, 0.304551>,
      < 6.770471, 0.262878, 0.351465>
    }
    triangle {
      < 6.770471, 0.262878, 0.351465>,
      < 6.770499, 0.438622, 0.304551>,
      < 6.770630, 0.311585, 0.084014>
    }
    triangle {
      < 6.770471, 0.262878, 0.351465>,
      < 6.770630, 0.311585, 0.084014>,
      < 6.770622, 0.263104, 0.096956>
    }
    triangle {
      < 6.770622, 0.263104, 0.096956>,
      < 6.770630, 0.311585, 0.084014>,
      < 6.455523, 0.311585, 0.083827>
    }
    triangle {
      < 6.770622, 0.263104, 0.096956>,
      < 6.455523, 0.311585, 0.083827>,
      < 6.455515, 0.263104, 0.096769>
    }
    triangle {
      < 6.455515, 0.263104, 0.096769>,
      < 6.455523, 0.311585, 0.083827>,
      < 6.455573, 0.263190, -0.000187>
    }
    triangle {
      < 7.431191, 0.263190, 0.000391>,
      < 7.322078, 0.373327, 0.064074>,
      < 7.322051, 0.326708, 0.110595>
    }
    triangle {
      < 7.322051, 0.326708, 0.110595>,
      < 7.322078, 0.373327, 0.064074>,
      < 7.140250, 0.478218, 0.124678>
    }
    triangle {
      < 7.322051, 0.326708, 0.110595>,
      < 7.140250, 0.478218, 0.124678>,
      < 7.140196, 0.387202, 0.215505>
    }
    triangle {
      < 7.140196, 0.387202, 0.215505>,
      < 7.140250, 0.478218, 0.124678>,
      < 6.891776, 0.551643, 0.167028>
    }
    triangle {
      < 7.140196, 0.387202, 0.215505>,
      < 6.891776, 0.551643, 0.167028>,
      < 6.891703, 0.429548, 0.288870>
    }
    triangle {
      < 6.891703, 0.429548, 0.288870>,
      < 6.891776, 0.551643, 0.167028>,
      < 6.770575, 0.567377, 0.176063>
    }
    triangle {
      < 6.891703, 0.429548, 0.288870>,
      < 6.770575, 0.567377, 0.176063>,
      < 6.770499, 0.438622, 0.304551>
    }
    triangle {
      < 6.770499, 0.438622, 0.304551>,
      < 6.770575, 0.567377, 0.176063>,
      < 6.770651, 0.347104, 0.048569>
    }
    triangle {
      < 6.770499, 0.438622, 0.304551>,
      < 6.770651, 0.347104, 0.048569>,
      < 6.770630, 0.311585, 0.084014>
    }
    triangle {
      < 6.770630, 0.311585, 0.084014>,
      < 6.770651, 0.347104, 0.048569>,
      < 6.455544, 0.347104, 0.048382>
    }
    triangle {
      < 6.770630, 0.311585, 0.084014>,
      < 6.455544, 0.347104, 0.048382>,
      < 6.455523, 0.311585, 0.083827>
    }
    triangle {
      < 6.455523, 0.311585, 0.083827>,
      < 6.455544, 0.347104, 0.048382>,
      < 6.455573, 0.263190, -0.000187>
    }
    triangle {
      < 7.431191, 0.263190, 0.000391>,
      < 7.322116, 0.390445, 0.000327>,
      < 7.322078, 0.373327, 0.064074>
    }
    triangle {
      < 7.322078, 0.373327, 0.064074>,
      < 7.322116, 0.390445, 0.000327>,
      < 7.140324, 0.511639, 0.000219>
    }
    triangle {
      < 7.322078, 0.373327, 0.064074>,
      < 7.140324, 0.511639, 0.000219>,
      < 7.140250, 0.478218, 0.124678>
    }
    triangle {
      < 7.140250, 0.478218, 0.124678>,
      < 7.140324, 0.511639, 0.000219>,
      < 6.891874, 0.596476, 0.000072>
    }
    triangle {
      < 7.140250, 0.478218, 0.124678>,
      < 6.891874, 0.596476, 0.000072>,
      < 6.891776, 0.551643, 0.167028>
    }
    triangle {
      < 6.891776, 0.551643, 0.167028>,
      < 6.891874, 0.596476, 0.000072>,
      < 6.770679, 0.614655, 0.000000>
    }
    triangle {
      < 6.891776, 0.551643, 0.167028>,
      < 6.770679, 0.614655, 0.000000>,
      < 6.770575, 0.567377, 0.176063>
    }
    triangle {
      < 6.770575, 0.567377, 0.176063>,
      < 6.770679, 0.614655, 0.000000>,
      < 6.770679, 0.360146, 0.000000>
    }
    triangle {
      < 6.770575, 0.567377, 0.176063>,
      < 6.770679, 0.360146, 0.000000>,
      < 6.770651, 0.347104, 0.048569>
    }
    triangle {
      < 6.770651, 0.347104, 0.048569>,
      < 6.770679, 0.360146, 0.000000>,
      < 6.455573, 0.360146, -0.000187>
    }
    triangle {
      < 6.770651, 0.347104, 0.048569>,
      < 6.455573, 0.360146, -0.000187>,
      < 6.455544, 0.347104, 0.048382>
    }
    triangle {
      < 6.455544, 0.347104, 0.048382>,
      < 6.455573, 0.360146, -0.000187>,
      < 6.455573, 0.263190, -0.000187>
    }
    texture {prop}
  }
  // wings
  union {
    triangle {
      < -5.726139, 0.475365, 0.135358>,
      < -4.296339, 0.513374, 0.183700>,
      < -4.818340, 0.679802, 0.092946>
    }
    triangle {
      < -4.818340, 0.679802, -0.092946>,
      < -4.296339, 0.513374, -0.183700>,
      < -5.726139, 0.475365, -0.135358>
    }
    triangle {
      < -6.421535, 2.538391, -0.032895>,
      < -6.684336, 0.424625, -0.050001>,
      < -6.684336, 0.424625, 0.050001>
    }
    triangle {
      < -6.421535, 2.538391, -0.032895>,
      < -6.684336, 0.424625, 0.050001>,
      < -6.421535, 2.538391, 0.000000>
    }
    triangle {
      < -6.421535, 2.538391, 0.000000>,
      < -6.684336, 0.424625, 0.050001>,
      < -6.421535, 2.538391, 0.032895>
    }
    texture {wings}
  }
  // fuselage
  union {
    triangle {
      < -6.684336, 0.424625, -0.050001>,
      < -6.684336, 0.397630, -0.057333>,
      < -6.684336, 0.397630, 0.057333>
    }
    triangle {
      < -6.684336, 0.424625, -0.050001>,
      < -6.684336, 0.397630, 0.057333>,
      < -6.684336, 0.424625, 0.050001>
    }
    triangle {
      < -6.684336, 0.397630, -0.057333>,
      < -6.684336, 0.366154, -0.063359>,
      < -6.684336, 0.366154, 0.063359>
    }
    triangle {
      < -6.684336, 0.397630, -0.057333>,
      < -6.684336, 0.366154, 0.063359>,
      < -6.684336, 0.397630, 0.057333>
    }
    triangle {
      < -6.684336, 0.366154, -0.063359>,
      < -6.684336, 0.340187, -0.066688>,
      < -6.684336, 0.340187, 0.066688>
    }
    triangle {
      < -6.684336, 0.366154, -0.063359>,
      < -6.684336, 0.340187, 0.066688>,
      < -6.684336, 0.366154, 0.063359>
    }
    triangle {
      < -6.684336, 0.340187, -0.066688>,
      < -6.684336, 0.269287, -0.074438>,
      < -6.684336, 0.269287, 0.074438>
    }
    triangle {
      < -6.684336, 0.340187, -0.066688>,
      < -6.684336, 0.269287, 0.074438>,
      < -6.684336, 0.340187, 0.066688>
    }
    triangle {
      < -6.684336, 0.269287, -0.074438>,
      < -6.684336, 0.163628, -0.079325>,
      < -6.684336, 0.163628, 0.079325>
    }
    triangle {
      < -6.684336, 0.269287, -0.074438>,
      < -6.684336, 0.163628, 0.079325>,
      < -6.684336, 0.269287, 0.074438>
    }
    triangle {
      < -6.684336, 0.163628, -0.079325>,
      < -6.684336, -0.036876, -0.074195>,
      < -6.684336, -0.036876, 0.074195>
    }
    triangle {
      < -6.684336, 0.163628, -0.079325>,
      < -6.684336, -0.036876, 0.074195>,
      < -6.684336, 0.163628, 0.079325>
    }
    triangle {
      < -6.684336, -0.036876, -0.074195>,
      < -6.684336, -0.101561, -0.066700>,
      < -6.684336, -0.101561, 0.066700>
    }
    triangle {
      < -6.684336, -0.036876, -0.074195>,
      < -6.684336, -0.101561, 0.066700>,
      < -6.684336, -0.036876, 0.074195>
    }
    triangle {
      < -6.684336, -0.101561, -0.066700>,
      < -6.684336, -0.146963, -0.056193>,
      < -6.684336, -0.146963, 0.056193>
    }
    triangle {
      < -6.684336, -0.101561, -0.066700>,
      < -6.684336, -0.146963, 0.056193>,
      < -6.684336, -0.101561, 0.066700>
    }
    triangle {
      < -6.684336, -0.146963, -0.056193>,
      < -6.684336, -0.161913, -0.049431>,
      < -6.684336, -0.161913, 0.049431>
    }
    triangle {
      < -6.684336, -0.146963, -0.056193>,
      < -6.684336, -0.161913, 0.049431>,
      < -6.684336, -0.146963, 0.056193>
    }
    triangle {
      < -6.684336, -0.161913, -0.049431>,
      < -6.684336, -0.176696, -0.032895>,
      < -6.684336, -0.176696, 0.000000>
    }
    triangle {
      < -6.684336, -0.161913, 0.049431>,
      < -6.684336, -0.176696, 0.000000>,
      < -6.684336, -0.176696, 0.032895>
    }
    triangle {
      < -6.684336, -0.161913, -0.049431>,
      < -6.684336, -0.176696, 0.000000>,
      < -6.684336, -0.161913, 0.049431>
    }
    texture {fuselage}
  }
  rotate x*0
  rotate y*0
  rotate z*0
}
