
// This file is a POV V2.0 document that describes
// the image of an X Wing fighter from the Star Wars movies. 
// This image was converted from x_wing.obj found on 
// avalon.chinalake.navy.mil by Keith Rule (keithr@lucy1.pen.tek.com).
//
// The original file "x_wing.obj" had no comments or restrictions
// associated with it, and no additional restrictions have been
// added to this version of the file.
//
// This file was automatically generated from x_wing.obj. Occasional
// warnings will be reported by povray about this file. These
// warnings, though annoying, do not affect the resultant raytraced
// image.

#include "colors.inc"
#include "textures.inc"

camera {
   location  <5, 5, 40>
   direction <0, 0,  1>
   up        <0, 1,  0>
   right   <4/3, 0,  0>
   look_at   <0, 0, 0>
}

light_source {<5, 5, 40> color White}
light_source {<0, 10, 8> color White}
light_source {<0, 10, -8> color White}


// Definitions of color and texture for the X Wing object
#declare body = texture {pigment {color Silver} finish {Metal}}
#declare DEFAULT = texture {pigment {color Silver} finish {Metal}}
#declare rear = texture {pigment {color Silver} finish {Metal}}
#declare rockets = texture {pigment {color Silver} finish {Metal}}
#declare wingsl = texture {pigment {color Silver} finish {Metal}}
#declare engines = texture {pigment {color Silver} finish {Metal}}
#declare wingsl_engines = texture {pigment {color Silver} finish {Metal}}
#declare rockets_engines = texture {pigment {color Silver} finish {Metal}}
#declare gunsl = texture {pigment {color Silver} finish {Metal}}
#declare wingsr = texture {pigment {color Silver} finish {Metal}}
#declare wingsr_body = texture {pigment {color Silver} finish {Metal}}
#declare engines_body = texture {pigment {color Silver} finish {Metal}}
#declare engines_wingsr = texture {pigment {color Silver} finish {Metal}}
#declare rockets_body = texture {pigment {color Silver} finish {Metal}}
#declare gunsr = texture {pigment {color Silver} finish {Metal}}
#declare cockpit_body = texture {pigment {color Silver} finish {Metal}}
#declare cockpit = texture {Glass}
#declare nose = texture {pigment {color Silver} finish {Metal}}
#declare body_nose = texture {pigment {color Silver} finish {Metal}}
#declare dome_body = texture {pigment {color Silver} finish {Metal}}
#declare rockets_wingsl = texture {pigment {color Silver} finish {Metal}}
#declare rockets_wingsr_body = texture {pigment {color Silver} finish {Metal}}
#declare rockets_wingsr = texture {pigment {color Silver} finish {Metal}}
#declare wingsr_gunsr = texture {pigment {color Silver} finish {Metal}}

// Declaration of the X Wing Object
union {
  // body
  union {
    triangle {
      < 1.136000, 11.032000, 2.468000>,
      < 1.516000, 15.432000, 2.468000>,
      < 1.124000, 13.980000, 2.468000>
    }
    triangle {
      < 1.136000, 11.032000, 2.468000>,
      < 1.516000, 7.312000, 2.468000>,
      < 1.516000, 15.432000, 2.468000>
    }
    triangle {
      < -0.120000, 11.020000, 2.468000>,
      < 1.516000, 7.312000, 2.468000>,
      < 0.636000, 11.028000, 2.468000>
    }
    triangle {
      < -0.120000, 11.020000, 2.468000>,
      < -1.508000, 7.312000, 2.468000>,
      < 1.516000, 7.312000, 2.468000>
    }
    triangle {
      < -1.120000, 11.008000, 2.468000>,
      < -1.508000, 7.312000, 2.468000>,
      < -0.120000, 11.020000, 2.468000>
    }
    triangle {
      < -1.136000, 14.772000, 2.468000>,
      < -1.508000, 7.312000, 2.468000>,
      < -1.120000, 11.008000, 2.468000>
    }
    triangle {
      < -1.136000, 14.772000, 2.468000>,
      < -1.508000, 15.432000, 2.468000>,
      < -1.508000, 7.312000, 2.468000>
    }
    triangle {
      < 1.120000, 14.816000, 2.468000>,
      < -1.508000, 15.432000, 2.468000>,
      < -1.136000, 14.772000, 2.468000>
    }
    triangle {
      < 1.120000, 14.816000, 2.468000>,
      < 1.516000, 15.432000, 2.468000>,
      < -1.508000, 15.432000, 2.468000>
    }
    texture {body}
  }
  // DEFAULT
  union {
    triangle {
      < -0.120000, 11.020000, 2.468000>,
      < -0.976000, 11.252000, 2.896000>,
      < -1.120000, 11.008000, 2.468000>
    }
    triangle {
      < 0.636000, 11.028000, 2.468000>,
      < -0.976000, 11.252000, 2.896000>,
      < -0.120000, 11.020000, 2.468000>
    }
    triangle {
      < 0.988000, 11.280000, 2.896000>,
      < 0.636000, 11.028000, 2.468000>,
      < 1.136000, 11.032000, 2.468000>
    }
    triangle {
      < 0.988000, 11.280000, 2.896000>,
      < -0.976000, 11.252000, 2.896000>,
      < 0.636000, 11.028000, 2.468000>
    }
    triangle {
      < 1.124000, 13.980000, 2.468000>,
      < 0.988000, 11.280000, 2.896000>,
      < 1.136000, 11.032000, 2.468000>
    }
    triangle {
      < 1.120000, 14.372000, 2.468000>,
      < 0.988000, 11.280000, 2.896000>,
      < 1.124000, 13.980000, 2.468000>
    }
    texture {DEFAULT}
  }
  // body
  union {
    triangle {
      < 0.972000, 14.564000, 2.896000>,
      < 1.120000, 14.372000, 2.468000>,
      < 1.120000, 14.816000, 2.468000>
    }
    triangle {
      < 0.972000, 14.564000, 2.896000>,
      < 0.988000, 11.280000, 2.896000>,
      < 1.120000, 14.372000, 2.468000>
    }
    triangle {
      < 0.972000, 14.564000, 2.896000>,
      < 1.120000, 14.816000, 2.468000>,
      < -0.636000, 14.792000, 2.468000>
    }
    triangle {
      < 0.972000, 14.564000, 2.896000>,
      < -0.636000, 14.792000, 2.468000>,
      < -1.136000, 14.772000, 2.468000>
    }
    triangle {
      < 0.972000, 14.564000, 2.896000>,
      < -1.136000, 14.772000, 2.468000>,
      < -0.988000, 14.536000, 2.896000>
    }
    triangle {
      < -0.988000, 14.536000, 2.896000>,
      < -1.136000, 14.772000, 2.468000>,
      < -1.124000, 11.844000, 2.468000>
    }
    triangle {
      < -0.988000, 14.536000, 2.896000>,
      < -1.124000, 11.844000, 2.468000>,
      < -1.120000, 11.008000, 2.468000>
    }
    triangle {
      < -0.988000, 14.536000, 2.896000>,
      < -1.120000, 11.008000, 2.468000>,
      < -0.976000, 11.252000, 2.896000>
    }
    triangle {
      < -1.508000, 7.312000, 2.468000>,
      < -1.508000, 7.312000, 1.620000>,
      < 1.516000, 7.312000, 1.620000>
    }
    triangle {
      < -1.508000, 7.312000, 2.468000>,
      < 1.516000, 7.312000, 1.620000>,
      < 1.516000, 7.312000, 2.468000>
    }
    triangle {
      < 1.516000, 7.312000, 2.468000>,
      < 1.516000, 7.312000, 1.620000>,
      < 1.516000, 15.432000, 1.620000>
    }
    triangle {
      < 1.516000, 7.312000, 2.468000>,
      < 1.516000, 15.432000, 1.620000>,
      < 1.516000, 15.432000, 2.468000>
    }
    triangle {
      < 1.516000, 15.432000, 2.468000>,
      < 1.516000, 15.432000, 1.620000>,
      < -1.508000, 15.432000, 1.620000>
    }
    triangle {
      < 1.516000, 15.432000, 2.468000>,
      < -1.508000, 15.432000, 1.620000>,
      < -1.508000, 15.432000, 2.468000>
    }
    triangle {
      < -1.508000, 15.432000, 2.468000>,
      < -1.508000, 15.432000, 1.620000>,
      < -1.508000, 7.312000, 1.620000>
    }
    triangle {
      < -1.508000, 15.432000, 2.468000>,
      < -1.508000, 7.312000, 1.620000>,
      < -1.508000, 7.312000, 2.468000>
    }
    triangle {
      < -1.508000, 7.312000, 1.620000>,
      < 1.516000, 15.432000, 1.620000>,
      < 1.516000, 7.312000, 1.620000>
    }
    triangle {
      < -1.508000, 7.312000, 1.620000>,
      < -1.508000, 15.432000, 1.620000>,
      < 1.516000, 15.432000, 1.620000>
    }
    texture {body}
  }
  // DEFAULT
  union {
    triangle {
      < 0.000000, 12.912000, 2.704000>,
      < 0.552000, 13.860000, 2.704000>,
      < -0.560000, 13.836000, 2.704000>
    }
    triangle {
      < 0.552000, 13.860000, 2.704000>,
      < 0.732000, 14.164000, 2.896000>,
      < -0.748000, 14.144000, 2.896000>
    }
    triangle {
      < 0.552000, 13.860000, 2.704000>,
      < -0.748000, 14.144000, 2.896000>,
      < -0.560000, 13.836000, 2.704000>
    }
    texture {DEFAULT}
  }
  // body
  union {
    triangle {
      < 0.732000, 14.164000, 2.896000>,
      < 0.972000, 14.564000, 2.896000>,
      < -0.988000, 14.536000, 2.896000>
    }
    triangle {
      < 0.732000, 14.164000, 2.896000>,
      < -0.988000, 14.536000, 2.896000>,
      < -0.748000, 14.144000, 2.896000>
    }
    texture {body}
  }
  // DEFAULT
  union {
    triangle {
      < 0.000000, 12.912000, 2.704000>,
      < -0.560000, 13.836000, 2.704000>,
      < -0.552000, 11.968000, 2.704000>
    }
    texture {DEFAULT}
  }
  // body
  union {
    triangle {
      < -0.560000, 13.836000, 2.704000>,
      < -0.748000, 14.144000, 2.896000>,
      < -0.732000, 11.660000, 2.896000>
    }
    triangle {
      < -0.560000, 13.836000, 2.704000>,
      < -0.732000, 11.660000, 2.896000>,
      < -0.552000, 11.968000, 2.704000>
    }
    triangle {
      < -0.748000, 14.144000, 2.896000>,
      < -0.988000, 14.536000, 2.896000>,
      < -0.976000, 11.252000, 2.896000>
    }
    triangle {
      < -0.748000, 14.144000, 2.896000>,
      < -0.976000, 11.252000, 2.896000>,
      < -0.732000, 11.660000, 2.896000>
    }
    texture {body}
  }
  // DEFAULT
  union {
    triangle {
      < 0.000000, 12.912000, 2.704000>,
      < -0.552000, 11.968000, 2.704000>,
      < 0.560000, 11.976000, 2.704000>
    }
    triangle {
      < -0.552000, 11.968000, 2.704000>,
      < -0.732000, 11.660000, 2.896000>,
      < 0.748000, 11.672000, 2.896000>
    }
    triangle {
      < -0.552000, 11.968000, 2.704000>,
      < 0.748000, 11.672000, 2.896000>,
      < 0.560000, 11.976000, 2.704000>
    }
    triangle {
      < -0.732000, 11.660000, 2.896000>,
      < -0.976000, 11.252000, 2.896000>,
      < 0.988000, 11.280000, 2.896000>
    }
    triangle {
      < -0.732000, 11.660000, 2.896000>,
      < 0.988000, 11.280000, 2.896000>,
      < 0.748000, 11.672000, 2.896000>
    }
    triangle {
      < 0.000000, 12.912000, 2.704000>,
      < 0.560000, 11.976000, 2.704000>,
      < 0.552000, 13.860000, 2.704000>
    }
    triangle {
      < 0.560000, 11.976000, 2.704000>,
      < 0.748000, 11.672000, 2.896000>,
      < 0.732000, 14.164000, 2.896000>
    }
    triangle {
      < 0.560000, 11.976000, 2.704000>,
      < 0.732000, 14.164000, 2.896000>,
      < 0.552000, 13.860000, 2.704000>
    }
    texture {DEFAULT}
  }
  // body
  union {
    triangle {
      < 0.748000, 11.672000, 2.896000>,
      < 0.988000, 11.280000, 2.896000>,
      < 0.972000, 14.564000, 2.896000>
    }
    triangle {
      < 0.748000, 11.672000, 2.896000>,
      < 0.972000, 14.564000, 2.896000>,
      < 0.732000, 14.164000, 2.896000>
    }
    triangle {
      < 0.636000, 11.028000, 2.468000>,
      < 1.516000, 7.312000, 2.468000>,
      < 1.136000, 11.032000, 2.468000>
    }
    triangle {
      < -1.136000, 14.772000, 2.468000>,
      < -1.120000, 11.008000, 2.468000>,
      < -1.124000, 11.844000, 2.468000>
    }
    triangle {
      < 1.120000, 14.816000, 2.468000>,
      < -1.136000, 14.772000, 2.468000>,
      < -0.636000, 14.792000, 2.468000>
    }
    texture {body}
  }
  // rear
  union {
    triangle {
      < -1.676000, 17.188000, 1.364000>,
      < -1.676000, 16.336000, 1.364000>,
      < 1.684000, 16.336000, 1.364000>
    }
    triangle {
      < -1.676000, 17.188000, 1.364000>,
      < 1.684000, 16.336000, 1.364000>,
      < 1.684000, 17.188000, 1.364000>
    }
    triangle {
      < 1.684000, 17.188000, 1.364000>,
      < 1.684000, 16.336000, 1.364000>,
      < 1.684000, 16.336000, -1.968000>
    }
    triangle {
      < 1.684000, 17.188000, 1.364000>,
      < 1.684000, 16.336000, -1.968000>,
      < 1.684000, 17.188000, -1.968000>
    }
    triangle {
      < 1.684000, 17.188000, -1.968000>,
      < 1.684000, 16.336000, -1.968000>,
      < -1.676000, 16.336000, -1.968000>
    }
    triangle {
      < 1.684000, 17.188000, -1.968000>,
      < -1.676000, 16.336000, -1.968000>,
      < -1.676000, 17.188000, -1.968000>
    }
    texture {rear}
  }
  // body
  union {
    triangle {
      < -1.676000, 17.188000, -1.968000>,
      < -1.676000, 16.336000, -1.968000>,
      < -1.676000, 16.336000, 1.364000>
    }
    triangle {
      < -1.676000, 17.188000, -1.968000>,
      < -1.676000, 16.336000, 1.364000>,
      < -1.676000, 17.188000, 1.364000>
    }
    texture {body}
  }
  // rear
  union {
    triangle {
      < -1.676000, 17.188000, 1.364000>,
      < 1.684000, 17.188000, 1.364000>,
      < 1.684000, 17.188000, -1.968000>
    }
    texture {rear}
  }
  // body
  union {
    triangle {
      < -1.676000, 16.336000, 1.364000>,
      < 1.684000, 16.336000, -1.968000>,
      < 1.684000, 16.336000, 1.364000>
    }
    texture {body}
  }
  // rear
  union {
    triangle {
      < -1.676000, 17.188000, 1.364000>,
      < 1.684000, 17.188000, -1.968000>,
      < -1.676000, 17.188000, -1.968000>
    }
    texture {rear}
  }
  // body
  union {
    triangle {
      < -1.676000, 16.336000, 1.364000>,
      < -1.676000, 16.336000, -1.968000>,
      < 1.684000, 16.336000, -1.968000>
    }
    texture {body}
  }
  // DEFAULT
  union {
    triangle {
      < -2.608000, 11.368000, 1.484000>,
      < -4.284000, 14.236000, 1.776000>,
      < -3.188000, 11.368000, 1.588000>
    }
    triangle {
      < -2.564000, 11.368000, 1.480000>,
      < -4.284000, 14.236000, 1.776000>,
      < -2.608000, 11.368000, 1.484000>
    }
    triangle {
      < -2.564000, 11.368000, 1.480000>,
      < -1.704000, 14.500000, 1.328000>,
      < -4.284000, 14.236000, 1.776000>
    }
    triangle {
      < -2.444000, 9.416000, 1.456000>,
      < -1.704000, 14.500000, 1.328000>,
      < -2.460000, 9.464000, 1.460000>
    }
    triangle {
      < -1.704000, 14.500000, 1.328000>,
      < -2.444000, 9.408000, 1.456000>,
      < -1.716000, 7.492000, 1.328000>
    }
    triangle {
      < -1.704000, 14.500000, 1.328000>,
      < -2.444000, 9.416000, 1.456000>,
      < -2.444000, 9.408000, 1.456000>
    }
    triangle {
      < -3.220000, 11.368000, 1.592000>,
      < -4.472000, 14.220000, 1.816000>,
      < -3.300000, 11.368000, 1.608000>
    }
    texture {DEFAULT}
  }
  // rockets
  union {
    triangle {
      < -4.284000, 14.236000, 1.776000>,
      < -3.220000, 11.368000, 1.592000>,
      < -3.188000, 11.368000, 1.588000>
    }
    texture {rockets}
  }
  // DEFAULT
  union {
    triangle {
      < -4.284000, 14.236000, 1.776000>,
      < -4.472000, 14.220000, 1.816000>,
      < -3.220000, 11.368000, 1.592000>
    }
    triangle {
      < -2.444000, 9.408000, 1.456000>,
      < -2.468000, 9.416000, 1.396000>,
      < -1.716000, 7.492000, 1.328000>
    }
    triangle {
      < -4.072000, 11.368000, 1.744000>,
      < -4.472000, 14.220000, 1.816000>,
      < -4.472000, 11.368000, 1.816000>
    }
    triangle {
      < -3.828000, 11.368000, 1.700000>,
      < -4.472000, 14.220000, 1.816000>,
      < -4.072000, 11.368000, 1.744000>
    }
    triangle {
      < -3.652000, 11.368000, 1.668000>,
      < -4.472000, 14.220000, 1.816000>,
      < -3.828000, 11.368000, 1.700000>
    }
    triangle {
      < -3.472000, 11.368000, 1.640000>,
      < -4.472000, 14.220000, 1.816000>,
      < -3.652000, 11.368000, 1.668000>
    }
    triangle {
      < -3.300000, 11.368000, 1.608000>,
      < -4.472000, 14.220000, 1.816000>,
      < -3.472000, 11.368000, 1.640000>
    }
    triangle {
      < -2.444000, 9.272000, 1.456000>,
      < -2.444000, 7.560000, 1.456000>,
      < -1.716000, 7.492000, 1.328000>
    }
    texture {DEFAULT}
  }
  // wingsl
  union {
    triangle {
      < -4.844000, 9.416000, 1.768000>,
      < -6.540000, 14.020000, 1.612000>,
      < -4.576000, 7.776000, 1.800000>
    }
    triangle {
      < -4.724000, 11.368000, 1.784000>,
      < -6.540000, 14.020000, 1.612000>,
      < -4.724000, 9.948000, 1.784000>
    }
    texture {wingsl}
  }
  // DEFAULT
  union {
    triangle {
      < -4.484000, 14.220000, 1.812000>,
      < -4.724000, 11.368000, 1.784000>,
      < -4.724000, 9.948000, 1.784000>
    }
    texture {DEFAULT}
  }
  // wingsl
  union {
    triangle {
      < -4.484000, 14.220000, 1.812000>,
      < -6.540000, 14.020000, 1.612000>,
      < -4.724000, 11.368000, 1.784000>
    }
    texture {wingsl}
  }
  // DEFAULT
  union {
    triangle {
      < -4.472000, 14.220000, 1.816000>,
      < -4.476000, 11.368000, 1.812000>,
      < -4.472000, 11.368000, 1.816000>
    }
    triangle {
      < -4.472000, 14.220000, 1.816000>,
      < -4.484000, 14.220000, 1.812000>,
      < -4.476000, 11.368000, 1.812000>
    }
    triangle {
      < -4.476000, 11.368000, 1.812000>,
      < -4.484000, 14.220000, 1.812000>,
      < -4.524000, 11.368000, 1.804000>
    }
    texture {DEFAULT}
  }
  // wingsl
  union {
    triangle {
      < -6.540000, 14.020000, 1.612000>,
      < -4.844000, 8.544000, 1.768000>,
      < -4.844000, 8.632000, 1.768000>
    }
    triangle {
      < -6.540000, 14.020000, 1.612000>,
      < -6.764000, 14.000000, 1.588000>,
      < -4.844000, 8.544000, 1.768000>
    }
    triangle {
      < -4.844000, 8.544000, 1.768000>,
      < -6.764000, 7.984000, 1.588000>,
      < -4.844000, 7.800000, 1.768000>
    }
    triangle {
      < -4.844000, 8.544000, 1.768000>,
      < -6.764000, 14.000000, 1.588000>,
      < -6.764000, 7.984000, 1.588000>
    }
    texture {wingsl}
  }
  // DEFAULT
  union {
    triangle {
      < -2.468000, 7.568000, 1.396000>,
      < -1.716000, 7.492000, 1.328000>,
      < -2.444000, 7.560000, 1.456000>
    }
    triangle {
      < -2.820000, 7.592000, 1.016000>,
      < -1.716000, 7.492000, 1.328000>,
      < -2.600000, 7.568000, 1.256000>
    }
    triangle {
      < -2.932000, 7.604000, 0.972000>,
      < -1.916000, 7.496000, 0.416000>,
      < -2.820000, 7.592000, 1.016000>
    }
    triangle {
      < -3.148000, 7.616000, 0.876000>,
      < -1.968000, 7.496000, 0.112000>,
      < -3.116000, 7.616000, 0.892000>
    }
    texture {DEFAULT}
  }
  // wingsl
  union {
    triangle {
      < -3.288000, 7.632000, 0.812000>,
      < -1.968000, 7.496000, 0.112000>,
      < -3.148000, 7.616000, 0.876000>
    }
    triangle {
      < -3.800000, 7.676000, 0.804000>,
      < -1.968000, 7.496000, 0.112000>,
      < -3.468000, 7.648000, 0.812000>
    }
    triangle {
      < -3.964000, 7.704000, 0.864000>,
      < -4.280000, 7.732000, 0.980000>,
      < -1.968000, 7.496000, 0.112000>
    }
    triangle {
      < -4.652000, 7.776000, 1.332000>,
      < -6.764000, 7.984000, 1.588000>,
      < -4.404000, 7.748000, 1.100000>
    }
    triangle {
      < -4.720000, 7.784000, 1.488000>,
      < -6.764000, 7.984000, 1.588000>,
      < -4.652000, 7.776000, 1.332000>
    }
    triangle {
      < -6.764000, 7.984000, 1.588000>,
      < -4.720000, 7.784000, 1.488000>,
      < -4.844000, 7.800000, 1.768000>
    }
    texture {wingsl}
  }
  // DEFAULT
  union {
    triangle {
      < -2.988000, 7.604000, 0.940000>,
      < -1.916000, 7.496000, 0.416000>,
      < -2.932000, 7.604000, 0.972000>
    }
    triangle {
      < -3.116000, 7.616000, 0.892000>,
      < -1.916000, 7.496000, 0.416000>,
      < -2.988000, 7.604000, 0.940000>
    }
    triangle {
      < -3.116000, 7.616000, 0.892000>,
      < -1.968000, 7.496000, 0.112000>,
      < -1.916000, 7.496000, 0.416000>
    }
    texture {DEFAULT}
  }
  // engines
  union {
    triangle {
      < -3.572000, 11.368000, 2.096000>,
      < -2.608000, 11.368000, 1.484000>,
      < -3.188000, 11.368000, 1.588000>
    }
    triangle {
      < -2.444000, 7.560000, 1.456000>,
      < -2.468000, 4.520000, 1.396000>,
      < -2.468000, 7.568000, 1.396000>
    }
    triangle {
      < -2.444000, 7.560000, 1.456000>,
      < -2.284000, 9.416000, 1.876000>,
      < -2.468000, 4.520000, 1.396000>
    }
    triangle {
      < -2.444000, 9.272000, 1.456000>,
      < -2.444000, 9.408000, 1.456000>,
      < -2.444000, 7.560000, 1.456000>
    }
    triangle {
      < -2.284000, 9.416000, 1.876000>,
      < -2.444000, 9.408000, 1.456000>,
      < -2.444000, 9.416000, 1.456000>
    }
    triangle {
      < -2.460000, 9.464000, 1.460000>,
      < -2.564000, 9.780000, 1.480000>,
      < -2.408000, 9.780000, 1.892000>
    }
    triangle {
      < -2.444000, 9.416000, 1.456000>,
      < -2.408000, 9.780000, 1.892000>,
      < -2.284000, 9.416000, 1.876000>
    }
    triangle {
      < -2.444000, 9.416000, 1.456000>,
      < -2.460000, 9.464000, 1.460000>,
      < -2.408000, 9.780000, 1.892000>
    }
    triangle {
      < -2.564000, 9.832000, 1.480000>,
      < -2.564000, 11.368000, 1.480000>,
      < -2.408000, 11.368000, 1.892000>
    }
    triangle {
      < -2.564000, 9.780000, 1.480000>,
      < -2.408000, 11.368000, 1.892000>,
      < -2.408000, 9.780000, 1.892000>
    }
    triangle {
      < -2.564000, 9.780000, 1.480000>,
      < -2.564000, 9.832000, 1.480000>,
      < -2.408000, 11.368000, 1.892000>
    }
    triangle {
      < -2.608000, 11.368000, 1.484000>,
      < -3.572000, 11.368000, 2.096000>,
      < -2.408000, 11.368000, 1.892000>
    }
    triangle {
      < -2.608000, 11.368000, 1.484000>,
      < -2.408000, 11.368000, 1.892000>,
      < -2.564000, 11.368000, 1.480000>
    }
    texture {engines}
  }
  // DEFAULT
  union {
    triangle {
      < -3.300000, 11.368000, 1.608000>,
      < -3.472000, 11.368000, 1.640000>,
      < -3.572000, 11.368000, 2.096000>
    }
    texture {DEFAULT}
  }
  // engines
  union {
    triangle {
      < -4.472000, 11.368000, 1.816000>,
      < -4.476000, 11.368000, 1.812000>,
      < -4.740000, 11.368000, 1.832000>
    }
    triangle {
      < -4.472000, 11.368000, 1.816000>,
      < -4.740000, 11.368000, 1.832000>,
      < -3.572000, 11.368000, 2.096000>
    }
    triangle {
      < -3.572000, 11.368000, 2.096000>,
      < -4.072000, 11.368000, 1.744000>,
      < -4.472000, 11.368000, 1.816000>
    }
    triangle {
      < -4.072000, 11.368000, 1.744000>,
      < -3.572000, 11.368000, 2.096000>,
      < -3.828000, 11.368000, 1.700000>
    }
    triangle {
      < -3.828000, 11.368000, 1.700000>,
      < -3.572000, 11.368000, 2.096000>,
      < -3.652000, 11.368000, 1.668000>
    }
    texture {engines}
  }
  // DEFAULT
  union {
    triangle {
      < -3.652000, 11.368000, 1.668000>,
      < -3.572000, 11.368000, 2.096000>,
      < -3.472000, 11.368000, 1.640000>
    }
    texture {DEFAULT}
  }
  // engines
  union {
    triangle {
      < -4.844000, 7.800000, 1.768000>,
      < -4.720000, 7.784000, 1.488000>,
      < -4.860000, 4.520000, 1.784000>
    }
    texture {engines}
  }
  // wingsl_engines
  union {
    triangle {
      < -4.860000, 4.520000, 1.784000>,
      < -4.860000, 9.416000, 1.784000>,
      < -4.836000, 9.440000, 1.776000>
    }
    triangle {
      < -4.860000, 9.416000, 1.784000>,
      < -4.740000, 9.780000, 1.832000>,
      < -4.836000, 9.440000, 1.776000>
    }
    triangle {
      < -4.740000, 9.780000, 1.832000>,
      < -4.740000, 11.368000, 1.832000>,
      < -4.724000, 9.780000, 1.784000>
    }
    triangle {
      < -3.288000, 4.520000, 0.812000>,
      < -2.988000, 7.604000, 0.940000>,
      < -2.932000, 7.604000, 0.972000>
    }
    triangle {
      < -3.288000, 4.520000, 0.812000>,
      < -2.932000, 7.604000, 0.972000>,
      < -2.820000, 7.592000, 1.016000>
    }
    triangle {
      < -3.288000, 4.520000, 0.812000>,
      < -2.820000, 7.592000, 1.016000>,
      < -2.820000, 4.520000, 1.016000>
    }
    texture {wingsl_engines}
  }
  // engines
  union {
    triangle {
      < -2.600000, 7.568000, 1.256000>,
      < -2.820000, 4.520000, 1.016000>,
      < -2.820000, 7.592000, 1.016000>
    }
    triangle {
      < -2.468000, 4.520000, 1.396000>,
      < -2.600000, 7.568000, 1.256000>,
      < -2.468000, 7.568000, 1.396000>
    }
    triangle {
      < -2.468000, 4.520000, 1.396000>,
      < -2.820000, 4.520000, 1.016000>,
      < -2.600000, 7.568000, 1.256000>
    }
    texture {engines}
  }
  // wingsl_engines
  union {
    triangle {
      < -3.148000, 7.616000, 0.876000>,
      < -3.116000, 7.616000, 0.892000>,
      < -3.288000, 4.520000, 0.812000>
    }
    triangle {
      < -3.288000, 4.520000, 0.812000>,
      < -3.288000, 7.632000, 0.812000>,
      < -3.148000, 7.616000, 0.876000>
    }
    triangle {
      < -4.860000, 4.520000, 1.784000>,
      < -4.720000, 7.784000, 1.488000>,
      < -4.652000, 7.776000, 1.332000>
    }
    triangle {
      < -4.860000, 4.520000, 1.784000>,
      < -4.652000, 7.776000, 1.332000>,
      < -4.652000, 4.520000, 1.332000>
    }
    triangle {
      < -4.652000, 4.520000, 1.332000>,
      < -4.652000, 7.776000, 1.332000>,
      < -4.404000, 7.748000, 1.100000>
    }
    triangle {
      < -4.652000, 4.520000, 1.332000>,
      < -4.404000, 7.748000, 1.100000>,
      < -4.280000, 7.732000, 0.980000>
    }
    triangle {
      < -4.652000, 4.520000, 1.332000>,
      < -4.280000, 7.732000, 0.980000>,
      < -4.280000, 4.520000, 0.980000>
    }
    triangle {
      < -4.280000, 4.520000, 0.980000>,
      < -4.280000, 7.732000, 0.980000>,
      < -3.964000, 7.704000, 0.864000>
    }
    triangle {
      < -4.280000, 4.520000, 0.980000>,
      < -3.964000, 7.704000, 0.864000>,
      < -3.800000, 7.676000, 0.804000>
    }
    triangle {
      < -4.280000, 4.520000, 0.980000>,
      < -3.800000, 7.676000, 0.804000>,
      < -3.800000, 4.520000, 0.804000>
    }
    texture {wingsl_engines}
  }
  // wingsl
  union {
    triangle {
      < -3.800000, 4.520000, 0.804000>,
      < -3.800000, 7.676000, 0.804000>,
      < -3.468000, 7.648000, 0.812000>
    }
    triangle {
      < -3.800000, 4.520000, 0.804000>,
      < -3.468000, 7.648000, 0.812000>,
      < -3.288000, 7.632000, 0.812000>
    }
    triangle {
      < -3.800000, 4.520000, 0.804000>,
      < -3.288000, 7.632000, 0.812000>,
      < -3.288000, 4.520000, 0.812000>
    }
    texture {wingsl}
  }
  // DEFAULT
  union {
    triangle {
      < -14.224000, 8.732000, 2.640000>,
      < -13.196000, 13.360000, 2.460000>,
      < -14.224000, 13.260000, 2.628000>
    }
    texture {DEFAULT}
  }
  // wingsl
  union {
    triangle {
      < -14.224000, 8.732000, 2.640000>,
      < -9.420000, 8.252000, 1.792000>,
      < -13.196000, 13.360000, 2.460000>
    }
    triangle {
      < -13.196000, 13.360000, 2.460000>,
      < -7.416000, 8.056000, 1.440000>,
      < -12.844000, 13.392000, 2.396000>
    }
    triangle {
      < -13.196000, 13.360000, 2.460000>,
      < -9.420000, 8.252000, 1.792000>,
      < -7.416000, 8.056000, 1.440000>
    }
    triangle {
      < -12.844000, 13.392000, 2.396000>,
      < -6.808000, 10.356000, 1.332000>,
      < -12.068000, 13.472000, 2.260000>
    }
    triangle {
      < -12.844000, 13.392000, 2.396000>,
      < -7.416000, 8.056000, 1.440000>,
      < -6.808000, 10.356000, 1.332000>
    }
    texture {wingsl}
  }
  // DEFAULT
  union {
    triangle {
      < -1.916000, 14.496000, 0.416000>,
      < -1.916000, 13.784000, 0.416000>,
      < -1.968000, 7.496000, 0.112000>
    }
    triangle {
      < -1.916000, 14.496000, 0.416000>,
      < -1.968000, 7.496000, 0.112000>,
      < -1.916000, 14.496000, 0.412000>
    }
    triangle {
      < -1.916000, 14.496000, 0.412000>,
      < -1.968000, 7.496000, 0.112000>,
      < -1.968000, 14.496000, 0.112000>
    }
    texture {DEFAULT}
  }
  // wingsl
  union {
    triangle {
      < -6.764000, 14.000000, 1.588000>,
      < -6.768000, 7.984000, 1.568000>,
      < -6.764000, 7.984000, 1.588000>
    }
    triangle {
      < -6.764000, 14.000000, 1.588000>,
      < -6.764000, 14.000000, 1.584000>,
      < -6.768000, 7.984000, 1.568000>
    }
    triangle {
      < -6.764000, 14.000000, 1.584000>,
      < -6.808000, 13.600000, 1.332000>,
      < -6.768000, 7.984000, 1.568000>
    }
    triangle {
      < -6.764000, 14.000000, 1.584000>,
      < -6.792000, 14.000000, 1.424000>,
      < -6.808000, 13.600000, 1.332000>
    }
    texture {wingsl}
  }
  // DEFAULT
  union {
    triangle {
      < -1.916000, 13.784000, 0.416000>,
      < -1.876000, 14.500000, 0.416000>,
      < -1.864000, 14.500000, 0.412000>
    }
    triangle {
      < -1.916000, 13.784000, 0.416000>,
      < -1.864000, 14.500000, 0.412000>,
      < -1.916000, 7.496000, 0.416000>
    }
    triangle {
      < -1.916000, 7.496000, 0.416000>,
      < -1.864000, 14.500000, 0.412000>,
      < -1.860000, 14.500000, 0.412000>
    }
    triangle {
      < -1.916000, 7.496000, 0.416000>,
      < -1.860000, 14.500000, 0.412000>,
      < -1.860000, 7.492000, 0.412000>
    }
    triangle {
      < -14.272000, 13.260000, 2.360000>,
      < -14.232000, 8.732000, 2.576000>,
      < -14.224000, 13.260000, 2.628000>
    }
    triangle {
      < -14.224000, 13.260000, 2.628000>,
      < -14.224000, 8.732000, 2.640000>,
      < -14.224000, 13.260000, 2.640000>
    }
    triangle {
      < -14.224000, 13.260000, 2.628000>,
      < -14.232000, 8.732000, 2.576000>,
      < -14.224000, 8.732000, 2.640000>
    }
    triangle {
      < -14.284000, 13.260000, 2.284000>,
      < -14.232000, 8.732000, 2.576000>,
      < -14.272000, 13.260000, 2.360000>
    }
    triangle {
      < -14.284000, 13.260000, 2.284000>,
      < -14.284000, 8.732000, 2.284000>,
      < -14.232000, 8.732000, 2.576000>
    }
    texture {DEFAULT}
  }
  // wingsl
  union {
    triangle {
      < -14.284000, 8.732000, 2.284000>,
      < -14.284000, 13.260000, 2.284000>,
      < -6.008000, 14.092000, 0.824000>
    }
    triangle {
      < -14.284000, 8.732000, 2.284000>,
      < -6.008000, 14.092000, 0.824000>,
      < -2.628000, 14.424000, 0.228000>
    }
    triangle {
      < -14.284000, 8.732000, 2.284000>,
      < -2.628000, 14.424000, 0.228000>,
      < -2.492000, 14.436000, 0.204000>
    }
    triangle {
      < -14.284000, 8.732000, 2.284000>,
      < -2.492000, 14.436000, 0.204000>,
      < -12.432000, 8.548000, 1.956000>
    }
    triangle {
      < -10.932000, 8.404000, 1.692000>,
      < -12.432000, 8.548000, 1.956000>,
      < -2.492000, 14.436000, 0.204000>
    }
    triangle {
      < -10.932000, 8.404000, 1.692000>,
      < -2.492000, 14.436000, 0.204000>,
      < -2.396000, 14.448000, 0.188000>
    }
    triangle {
      < -1.968000, 14.496000, 0.112000>,
      < -1.968000, 7.496000, 0.112000>,
      < -10.932000, 8.404000, 1.692000>
    }
    triangle {
      < -1.968000, 14.496000, 0.112000>,
      < -10.932000, 8.404000, 1.692000>,
      < -2.396000, 14.448000, 0.188000>
    }
    texture {wingsl}
  }
  // body
  union {
    triangle {
      < -1.704000, 14.500000, 1.328000>,
      < -1.700000, 7.492000, 1.324000>,
      < -1.700000, 14.500000, 1.324000>
    }
    triangle {
      < -1.704000, 14.500000, 1.328000>,
      < -1.716000, 7.492000, 1.328000>,
      < -1.700000, 7.492000, 1.324000>
    }
    texture {body}
  }
  // DEFAULT
  union {
    triangle {
      < -1.860000, 7.492000, 0.412000>,
      < -1.860000, 14.500000, 0.412000>,
      < -1.704000, 14.500000, 1.296000>
    }
    triangle {
      < -1.860000, 7.492000, 0.412000>,
      < -1.704000, 14.500000, 1.296000>,
      < -1.860000, 7.492000, 0.416000>
    }
    triangle {
      < -1.860000, 7.492000, 0.416000>,
      < -1.704000, 14.500000, 1.296000>,
      < -1.700000, 14.500000, 1.324000>
    }
    texture {DEFAULT}
  }
  // body
  union {
    triangle {
      < -1.860000, 7.492000, 0.416000>,
      < -1.700000, 14.500000, 1.324000>,
      < -1.700000, 7.492000, 1.324000>
    }
    texture {body}
  }
  // wingsl
  union {
    triangle {
      < -6.808000, 10.356000, 1.332000>,
      < -8.384000, 13.836000, 1.612000>,
      < -12.068000, 13.472000, 2.260000>
    }
    triangle {
      < -6.808000, 10.356000, 1.332000>,
      < -6.808000, 13.600000, 1.332000>,
      < -8.384000, 13.836000, 1.612000>
    }
    triangle {
      < -7.384000, 13.936000, 1.436000>,
      < -6.808000, 13.600000, 1.332000>,
      < -6.808000, 14.000000, 1.332000>
    }
    triangle {
      < -7.384000, 13.936000, 1.436000>,
      < -8.384000, 13.836000, 1.612000>,
      < -6.808000, 13.600000, 1.332000>
    }
    triangle {
      < -6.808000, 14.000000, 1.332000>,
      < -6.808000, 13.600000, 1.332000>,
      < -6.792000, 14.000000, 1.424000>
    }
    texture {wingsl}
  }
  // DEFAULT
  union {
    triangle {
      < -1.916000, 13.784000, 0.416000>,
      < -1.916000, 14.496000, 0.416000>,
      < -1.876000, 14.500000, 0.416000>
    }
    texture {DEFAULT}
  }
  // wingsl
  union {
    triangle {
      < -14.272000, 13.260000, 2.360000>,
      < -6.008000, 14.092000, 0.824000>,
      < -14.284000, 13.260000, 2.284000>
    }
    triangle {
      < -6.008000, 14.092000, 0.824000>,
      < -8.384000, 13.836000, 1.612000>,
      < -7.384000, 13.936000, 1.436000>
    }
    triangle {
      < -6.008000, 14.092000, 0.824000>,
      < -14.224000, 13.260000, 2.628000>,
      < -13.196000, 13.360000, 2.460000>
    }
    triangle {
      < -6.008000, 14.092000, 0.824000>,
      < -14.272000, 13.260000, 2.360000>,
      < -14.224000, 13.260000, 2.628000>
    }
    texture {wingsl}
  }
  // DEFAULT
  union {
    triangle {
      < -1.860000, 14.500000, 0.412000>,
      < -1.864000, 14.500000, 0.412000>,
      < -1.968000, 14.496000, 0.112000>
    }
    triangle {
      < -2.396000, 14.448000, 0.188000>,
      < -1.916000, 14.496000, 0.412000>,
      < -1.968000, 14.496000, 0.112000>
    }
    triangle {
      < -2.492000, 14.436000, 0.204000>,
      < -1.916000, 14.496000, 0.412000>,
      < -2.396000, 14.448000, 0.188000>
    }
    triangle {
      < -2.628000, 14.424000, 0.228000>,
      < -1.916000, 14.496000, 0.412000>,
      < -2.492000, 14.436000, 0.204000>
    }
    triangle {
      < -1.916000, 14.496000, 0.416000>,
      < -1.876000, 14.500000, 0.416000>,
      < -1.704000, 14.500000, 1.328000>
    }
    texture {DEFAULT}
  }
  // wingsl
  union {
    triangle {
      < -1.916000, 14.496000, 0.416000>,
      < -4.284000, 14.236000, 1.776000>,
      < -1.704000, 14.500000, 1.328000>
    }
    triangle {
      < -4.484000, 14.220000, 1.812000>,
      < -6.792000, 14.000000, 1.424000>,
      < -6.540000, 14.020000, 1.612000>
    }
    triangle {
      < -6.808000, 14.000000, 1.332000>,
      < -6.008000, 14.092000, 0.824000>,
      < -7.384000, 13.936000, 1.436000>
    }
    triangle {
      < -6.008000, 14.092000, 0.824000>,
      < -1.916000, 14.496000, 0.412000>,
      < -2.628000, 14.424000, 0.228000>
    }
    triangle {
      < -6.008000, 14.092000, 0.824000>,
      < -1.916000, 14.496000, 0.416000>,
      < -1.916000, 14.496000, 0.412000>
    }
    triangle {
      < -6.008000, 14.092000, 0.824000>,
      < -4.284000, 14.236000, 1.776000>,
      < -1.916000, 14.496000, 0.416000>
    }
    triangle {
      < -6.008000, 14.092000, 0.824000>,
      < -4.472000, 14.220000, 1.816000>,
      < -4.284000, 14.236000, 1.776000>
    }
    triangle {
      < -6.008000, 14.092000, 0.824000>,
      < -4.484000, 14.220000, 1.812000>,
      < -4.472000, 14.220000, 1.816000>
    }
    triangle {
      < -6.008000, 14.092000, 0.824000>,
      < -6.808000, 14.000000, 1.332000>,
      < -4.484000, 14.220000, 1.812000>
    }
    triangle {
      < -7.416000, 8.056000, 1.440000>,
      < -6.808000, 7.984000, 1.332000>,
      < -6.808000, 10.356000, 1.332000>
    }
    texture {wingsl}
  }
  // DEFAULT
  union {
    triangle {
      < -1.968000, 7.496000, 0.112000>,
      < -1.916000, 13.784000, 0.416000>,
      < -1.916000, 7.496000, 0.416000>
    }
    texture {DEFAULT}
  }
  // wingsl
  union {
    triangle {
      < -6.808000, 7.984000, 1.332000>,
      < -6.772000, 7.984000, 1.544000>,
      < -6.808000, 10.356000, 1.332000>
    }
    triangle {
      < -6.808000, 13.600000, 1.332000>,
      < -6.772000, 7.984000, 1.544000>,
      < -6.768000, 7.984000, 1.568000>
    }
    triangle {
      < -6.808000, 13.600000, 1.332000>,
      < -6.808000, 10.356000, 1.332000>,
      < -6.772000, 7.984000, 1.544000>
    }
    triangle {
      < -14.232000, 8.732000, 2.576000>,
      < -14.284000, 8.732000, 2.284000>,
      < -12.432000, 8.548000, 1.956000>
    }
    triangle {
      < -14.224000, 8.732000, 2.640000>,
      < -14.232000, 8.732000, 2.576000>,
      < -12.432000, 8.548000, 1.956000>
    }
    triangle {
      < -14.224000, 8.732000, 2.640000>,
      < -12.432000, 8.548000, 1.956000>,
      < -10.932000, 8.404000, 1.692000>
    }
    triangle {
      < -14.224000, 8.732000, 2.640000>,
      < -10.932000, 8.404000, 1.692000>,
      < -9.420000, 8.252000, 1.792000>
    }
    triangle {
      < -7.416000, 8.056000, 1.440000>,
      < -9.420000, 8.252000, 1.792000>,
      < -10.932000, 8.404000, 1.692000>
    }
    triangle {
      < -6.808000, 7.984000, 1.332000>,
      < -7.416000, 8.056000, 1.440000>,
      < -10.932000, 8.404000, 1.692000>
    }
    triangle {
      < -6.808000, 7.984000, 1.332000>,
      < -10.932000, 8.404000, 1.692000>,
      < -1.968000, 7.496000, 0.112000>
    }
    triangle {
      < -6.772000, 7.984000, 1.544000>,
      < -6.808000, 7.984000, 1.332000>,
      < -1.968000, 7.496000, 0.112000>
    }
    triangle {
      < -6.768000, 7.984000, 1.568000>,
      < -6.772000, 7.984000, 1.544000>,
      < -1.968000, 7.496000, 0.112000>
    }
    triangle {
      < -1.968000, 7.496000, 0.112000>,
      < -6.764000, 7.984000, 1.588000>,
      < -6.768000, 7.984000, 1.568000>
    }
    texture {wingsl}
  }
  // body
  union {
    triangle {
      < -1.860000, 7.492000, 0.416000>,
      < -1.700000, 7.492000, 1.324000>,
      < -1.716000, 7.492000, 1.328000>
    }
    texture {body}
  }
  // DEFAULT
  union {
    triangle {
      < -1.860000, 7.492000, 0.412000>,
      < -1.860000, 7.492000, 0.416000>,
      < -1.716000, 7.492000, 1.328000>
    }
    triangle {
      < -1.916000, 7.496000, 0.416000>,
      < -1.860000, 7.492000, 0.412000>,
      < -1.716000, 7.492000, 1.328000>
    }
    triangle {
      < -14.224000, 8.732000, 2.640000>,
      < -14.224000, 13.260000, 2.628000>,
      < -14.224000, 13.260000, 2.640000>
    }
    texture {DEFAULT}
  }
  // wingsl
  union {
    triangle {
      < -6.008000, 14.092000, 0.824000>,
      < -12.068000, 13.472000, 2.260000>,
      < -8.384000, 13.836000, 1.612000>
    }
    triangle {
      < -6.008000, 14.092000, 0.824000>,
      < -12.844000, 13.392000, 2.396000>,
      < -12.068000, 13.472000, 2.260000>
    }
    triangle {
      < -6.008000, 14.092000, 0.824000>,
      < -13.196000, 13.360000, 2.460000>,
      < -12.844000, 13.392000, 2.396000>
    }
    texture {wingsl}
  }
  // DEFAULT
  union {
    triangle {
      < -1.864000, 14.500000, 0.412000>,
      < -1.916000, 14.496000, 0.416000>,
      < -1.916000, 14.496000, 0.412000>
    }
    triangle {
      < -1.876000, 14.500000, 0.416000>,
      < -1.704000, 14.500000, 1.296000>,
      < -1.700000, 14.500000, 1.324000>
    }
    triangle {
      < -1.704000, 14.500000, 1.328000>,
      < -1.876000, 14.500000, 0.416000>,
      < -1.700000, 14.500000, 1.324000>
    }
    texture {DEFAULT}
  }
  // wingsl
  union {
    triangle {
      < -6.540000, 14.020000, 1.612000>,
      < -6.792000, 14.000000, 1.424000>,
      < -6.764000, 14.000000, 1.584000>
    }
    triangle {
      < -6.808000, 14.000000, 1.332000>,
      < -6.792000, 14.000000, 1.424000>,
      < -4.484000, 14.220000, 1.812000>
    }
    texture {wingsl}
  }
  // engines
  union {
    triangle {
      < -3.384000, 4.664000, 2.064000>,
      < -3.384000, 4.520000, 2.060000>,
      < -3.384000, 4.664000, 2.060000>
    }
    triangle {
      < -3.384000, 4.520000, 2.136000>,
      < -3.384000, 4.664000, 2.064000>,
      < -3.384000, 4.664000, 2.136000>
    }
    triangle {
      < -3.384000, 4.520000, 2.136000>,
      < -3.384000, 4.520000, 2.060000>,
      < -3.384000, 4.664000, 2.064000>
    }
    triangle {
      < -3.196000, 6.980000, 2.132000>,
      < -2.896000, 7.208000, 2.076000>,
      < -2.904000, 7.208000, 2.248000>
    }
    triangle {
      < -3.312000, 6.896000, 2.152000>,
      < -3.196000, 6.980000, 2.132000>,
      < -2.904000, 7.208000, 2.248000>
    }
    triangle {
      < -2.564000, 5.872000, 2.020000>,
      < -2.576000, 5.928000, 1.948000>,
      < -2.528000, 5.744000, 1.916000>
    }
    triangle {
      < -2.564000, 5.872000, 2.020000>,
      < -2.528000, 5.744000, 1.916000>,
      < -2.540000, 5.744000, 2.328000>
    }
    triangle {
      < -2.540000, 5.744000, 2.328000>,
      < -2.812000, 6.848000, 2.064000>,
      < -2.564000, 5.872000, 2.020000>
    }
    triangle {
      < -2.812000, 6.848000, 2.064000>,
      < -2.540000, 5.744000, 2.328000>,
      < -2.904000, 7.208000, 2.248000>
    }
    triangle {
      < -2.812000, 6.848000, 2.064000>,
      < -2.904000, 7.208000, 2.248000>,
      < -2.896000, 7.208000, 2.076000>
    }
    triangle {
      < -3.388000, 4.664000, 2.140000>,
      < -3.384000, 4.520000, 2.136000>,
      < -3.384000, 4.664000, 2.136000>
    }
    triangle {
      < -3.396000, 5.504000, 2.164000>,
      < -3.396000, 6.844000, 2.164000>,
      < -3.416000, 6.844000, 2.208000>
    }
    triangle {
      < -3.388000, 4.664000, 2.156000>,
      < -3.384000, 4.520000, 2.136000>,
      < -3.388000, 4.664000, 2.140000>
    }
    triangle {
      < -3.396000, 4.664000, 2.164000>,
      < -3.384000, 4.520000, 2.136000>,
      < -3.388000, 4.664000, 2.156000>
    }
    triangle {
      < -3.396000, 4.664000, 2.164000>,
      < -3.416000, 4.520000, 2.208000>,
      < -3.384000, 4.520000, 2.136000>
    }
    triangle {
      < -3.416000, 4.520000, 2.208000>,
      < -3.396000, 5.504000, 2.164000>,
      < -3.416000, 6.844000, 2.208000>
    }
    triangle {
      < -3.416000, 4.520000, 2.208000>,
      < -3.396000, 4.664000, 2.164000>,
      < -3.396000, 5.504000, 2.164000>
    }
    triangle {
      < -3.336000, 6.880000, 2.156000>,
      < -3.012000, 7.208000, 2.500000>,
      < -3.356000, 6.868000, 2.160000>
    }
    triangle {
      < -3.336000, 6.880000, 2.156000>,
      < -2.904000, 7.208000, 2.248000>,
      < -3.012000, 7.208000, 2.500000>
    }
    triangle {
      < -3.336000, 6.880000, 2.156000>,
      < -3.312000, 6.896000, 2.152000>,
      < -2.904000, 7.208000, 2.248000>
    }
    triangle {
      < -3.396000, 6.844000, 2.164000>,
      < -3.012000, 7.208000, 2.500000>,
      < -3.416000, 6.844000, 2.208000>
    }
    triangle {
      < -3.396000, 6.844000, 2.164000>,
      < -3.356000, 6.868000, 2.160000>,
      < -3.012000, 7.208000, 2.500000>
    }
    triangle {
      < -3.440000, 5.724000, 2.236000>,
      < -3.416000, 6.844000, 2.208000>,
      < -3.440000, 6.844000, 2.236000>
    }
    triangle {
      < -3.440000, 5.724000, 2.236000>,
      < -3.416000, 4.520000, 2.208000>,
      < -3.416000, 6.844000, 2.208000>
    }
    triangle {
      < -3.440000, 4.832000, 2.236000>,
      < -3.416000, 4.520000, 2.208000>,
      < -3.440000, 5.724000, 2.236000>
    }
    triangle {
      < -3.440000, 4.664000, 2.236000>,
      < -3.416000, 4.520000, 2.208000>,
      < -3.440000, 4.832000, 2.236000>
    }
    triangle {
      < -3.472000, 4.520000, 2.264000>,
      < -3.440000, 4.664000, 2.236000>,
      < -3.472000, 4.664000, 2.264000>
    }
    triangle {
      < -3.472000, 4.520000, 2.264000>,
      < -3.416000, 4.520000, 2.208000>,
      < -3.440000, 4.664000, 2.236000>
    }
    triangle {
      < -3.440000, 6.844000, 2.236000>,
      < -3.216000, 7.208000, 2.688000>,
      < -3.428000, 6.912000, 2.340000>
    }
    triangle {
      < -3.440000, 6.844000, 2.236000>,
      < -3.416000, 6.844000, 2.208000>,
      < -3.216000, 7.208000, 2.688000>
    }
    triangle {
      < -3.472000, 4.664000, 2.264000>,
      < -3.472000, 4.520000, 2.264000>,
      < -3.472000, 4.664000, 2.264000>
    }
    triangle {
      < -3.484000, 4.664000, 2.264000>,
      < -3.472000, 4.520000, 2.264000>,
      < -3.472000, 4.664000, 2.264000>
    }
    triangle {
      < -3.524000, 4.664000, 2.280000>,
      < -3.472000, 4.520000, 2.264000>,
      < -3.484000, 4.664000, 2.264000>
    }
    triangle {
      < -3.540000, 4.664000, 2.288000>,
      < -3.472000, 4.520000, 2.264000>,
      < -3.524000, 4.664000, 2.280000>
    }
    triangle {
      < -3.540000, 4.520000, 2.288000>,
      < -3.472000, 4.520000, 2.264000>,
      < -3.572000, 4.664000, 2.292000>
    }
    triangle {
      < -3.356000, 7.208000, 2.740000>,
      < -3.428000, 6.912000, 2.340000>,
      < -3.216000, 7.208000, 2.688000>
    }
    triangle {
      < -3.300000, 5.916000, 3.060000>,
      < -3.320000, 6.372000, 2.948000>,
      < -3.216000, 7.208000, 2.688000>
    }
    triangle {
      < -3.300000, 5.916000, 3.060000>,
      < -3.216000, 7.208000, 2.688000>,
      < -3.016000, 5.744000, 3.000000>
    }
    triangle {
      < -3.300000, 5.916000, 3.060000>,
      < -3.016000, 5.744000, 3.000000>,
      < -3.396000, 5.744000, 3.144000>
    }
    triangle {
      < -3.352000, 5.956000, 3.068000>,
      < -3.300000, 5.916000, 3.060000>,
      < -3.396000, 5.744000, 3.144000>
    }
    triangle {
      < -3.396000, 5.744000, 3.144000>,
      < -3.372000, 5.968000, 3.072000>,
      < -3.352000, 5.956000, 3.068000>
    }
    triangle {
      < -3.336000, 6.676000, 2.868000>,
      < -3.356000, 7.208000, 2.740000>,
      < -3.216000, 7.208000, 2.688000>
    }
    triangle {
      < -3.216000, 7.208000, 2.688000>,
      < -3.320000, 6.372000, 2.948000>,
      < -3.336000, 6.676000, 2.868000>
    }
    triangle {
      < -3.404000, 5.992000, 3.080000>,
      < -3.372000, 5.968000, 3.072000>,
      < -3.396000, 5.744000, 3.144000>
    }
    triangle {
      < -3.396000, 5.744000, 3.144000>,
      < -3.436000, 6.660000, 2.916000>,
      < -3.404000, 5.992000, 3.080000>
    }
    triangle {
      < -3.572000, 5.396000, 2.292000>,
      < -3.572000, 6.844000, 2.292000>,
      < -3.624000, 6.844000, 2.292000>
    }
    triangle {
      < -3.572000, 4.664000, 2.292000>,
      < -3.624000, 4.520000, 2.292000>,
      < -3.540000, 4.520000, 2.288000>
    }
    triangle {
      < -3.624000, 4.520000, 2.292000>,
      < -3.572000, 5.396000, 2.292000>,
      < -3.624000, 6.844000, 2.292000>
    }
    triangle {
      < -3.624000, 4.520000, 2.292000>,
      < -3.572000, 4.664000, 2.292000>,
      < -3.572000, 5.396000, 2.292000>
    }
    triangle {
      < -3.556000, 6.880000, 2.336000>,
      < -3.464000, 7.208000, 2.776000>,
      < -3.736000, 7.208000, 2.772000>
    }
    triangle {
      < -3.556000, 6.872000, 2.324000>,
      < -3.624000, 6.844000, 2.292000>,
      < -3.572000, 6.844000, 2.292000>
    }
    triangle {
      < -3.556000, 6.872000, 2.324000>,
      < -3.736000, 7.208000, 2.772000>,
      < -3.624000, 6.844000, 2.292000>
    }
    triangle {
      < -3.556000, 6.872000, 2.324000>,
      < -3.556000, 6.880000, 2.336000>,
      < -3.736000, 7.208000, 2.772000>
    }
    triangle {
      < -3.436000, 6.660000, 2.916000>,
      < -3.396000, 5.744000, 3.144000>,
      < -3.820000, 5.744000, 3.132000>
    }
    triangle {
      < -3.436000, 6.660000, 2.916000>,
      < -3.820000, 5.744000, 3.132000>,
      < -3.456000, 7.184000, 2.780000>
    }
    triangle {
      < -3.456000, 7.184000, 2.780000>,
      < -3.820000, 5.744000, 3.132000>,
      < -3.736000, 7.208000, 2.772000>
    }
    triangle {
      < -3.456000, 7.184000, 2.780000>,
      < -3.736000, 7.208000, 2.772000>,
      < -3.464000, 7.208000, 2.776000>
    }
    triangle {
      < -3.696000, 4.520000, 2.260000>,
      < -3.696000, 6.844000, 2.260000>,
      < -3.724000, 6.844000, 2.224000>
    }
    triangle {
      < -3.696000, 4.520000, 2.260000>,
      < -3.724000, 6.844000, 2.224000>,
      < -3.724000, 5.800000, 2.224000>
    }
    triangle {
      < -3.724000, 4.664000, 2.224000>,
      < -3.748000, 4.664000, 2.196000>,
      < -3.748000, 4.520000, 2.196000>
    }
    triangle {
      < -3.724000, 4.664000, 2.224000>,
      < -3.748000, 4.520000, 2.196000>,
      < -3.696000, 4.520000, 2.260000>
    }
    triangle {
      < -3.724000, 5.016000, 2.224000>,
      < -3.724000, 4.664000, 2.224000>,
      < -3.696000, 4.520000, 2.260000>
    }
    triangle {
      < -3.696000, 4.520000, 2.260000>,
      < -3.724000, 5.800000, 2.224000>,
      < -3.724000, 5.016000, 2.224000>
    }
    triangle {
      < -3.724000, 6.844000, 2.224000>,
      < -4.172000, 7.208000, 2.460000>,
      < -3.816000, 6.908000, 2.240000>
    }
    triangle {
      < -3.724000, 6.844000, 2.224000>,
      < -3.696000, 6.844000, 2.260000>,
      < -4.172000, 7.208000, 2.460000>
    }
    triangle {
      < -3.748000, 4.520000, 2.196000>,
      < -3.748000, 4.664000, 2.196000>,
      < -3.752000, 4.664000, 2.192000>
    }
    triangle {
      < -3.748000, 4.520000, 2.196000>,
      < -3.752000, 4.664000, 2.192000>,
      < -3.772000, 4.664000, 2.128000>
    }
    triangle {
      < -3.748000, 4.520000, 2.196000>,
      < -3.772000, 4.664000, 2.128000>,
      < -3.772000, 4.520000, 2.128000>
    }
    triangle {
      < -4.224000, 7.208000, 2.312000>,
      < -3.816000, 6.908000, 2.240000>,
      < -4.172000, 7.208000, 2.460000>
    }
    triangle {
      < -4.552000, 5.888000, 2.368000>,
      < -4.628000, 5.744000, 2.272000>,
      < -4.564000, 5.940000, 2.304000>
    }
    triangle {
      < -4.552000, 5.888000, 2.368000>,
      < -4.488000, 5.744000, 2.652000>,
      < -4.628000, 5.744000, 2.272000>
    }
    triangle {
      < -4.436000, 6.360000, 2.348000>,
      < -4.488000, 5.744000, 2.652000>,
      < -4.552000, 5.888000, 2.368000>
    }
    triangle {
      < -4.436000, 6.360000, 2.348000>,
      < -4.172000, 7.208000, 2.460000>,
      < -4.488000, 5.744000, 2.652000>
    }
    triangle {
      < -4.352000, 6.696000, 2.336000>,
      < -4.172000, 7.208000, 2.460000>,
      < -4.436000, 6.360000, 2.348000>
    }
    triangle {
      < -4.224000, 7.208000, 2.312000>,
      < -4.172000, 7.208000, 2.460000>,
      < -4.352000, 6.696000, 2.336000>
    }
    triangle {
      < -4.572000, 5.968000, 2.260000>,
      < -4.564000, 5.944000, 2.296000>,
      < -4.628000, 5.744000, 2.272000>
    }
    triangle {
      < -3.772000, 4.520000, 2.128000>,
      < -3.772000, 4.664000, 2.128000>,
      < -3.772000, 4.664000, 2.124000>
    }
    triangle {
      < -3.772000, 6.732000, 2.092000>,
      < -3.772000, 6.844000, 2.092000>,
      < -3.772000, 6.844000, 2.048000>
    }
    triangle {
      < -3.772000, 6.844000, 2.048000>,
      < -3.772000, 5.524000, 2.092000>,
      < -3.772000, 6.732000, 2.092000>
    }
    triangle {
      < -3.772000, 4.664000, 2.092000>,
      < -3.772000, 5.524000, 2.092000>,
      < -3.772000, 6.844000, 2.048000>
    }
    triangle {
      < -3.772000, 4.664000, 2.092000>,
      < -3.772000, 6.844000, 2.048000>,
      < -3.772000, 4.520000, 2.048000>
    }
    triangle {
      < -3.772000, 4.664000, 2.120000>,
      < -3.772000, 4.664000, 2.092000>,
      < -3.772000, 4.520000, 2.048000>
    }
    triangle {
      < -3.772000, 4.520000, 2.128000>,
      < -3.772000, 4.664000, 2.124000>,
      < -3.772000, 4.664000, 2.120000>
    }
    triangle {
      < -3.772000, 4.520000, 2.128000>,
      < -3.772000, 4.664000, 2.120000>,
      < -3.772000, 4.520000, 2.048000>
    }
    triangle {
      < -3.836000, 6.884000, 2.104000>,
      < -4.264000, 7.208000, 2.180000>,
      < -4.256000, 7.208000, 1.936000>
    }
    triangle {
      < -3.772000, 6.844000, 2.092000>,
      < -4.256000, 7.208000, 1.936000>,
      < -3.772000, 6.844000, 2.048000>
    }
    triangle {
      < -3.772000, 6.844000, 2.092000>,
      < -3.836000, 6.884000, 2.104000>,
      < -4.256000, 7.208000, 1.936000>
    }
    triangle {
      < -4.576000, 5.948000, 2.236000>,
      < -4.620000, 5.744000, 1.856000>,
      < -4.292000, 7.104000, 2.184000>
    }
    triangle {
      < -4.576000, 5.948000, 2.236000>,
      < -4.628000, 5.744000, 2.272000>,
      < -4.620000, 5.744000, 1.856000>
    }
    triangle {
      < -4.576000, 5.948000, 2.236000>,
      < -4.572000, 5.968000, 2.260000>,
      < -4.628000, 5.744000, 2.272000>
    }
    triangle {
      < -4.264000, 7.208000, 2.180000>,
      < -4.620000, 5.744000, 1.856000>,
      < -4.256000, 7.208000, 1.936000>
    }
    triangle {
      < -4.264000, 7.208000, 2.180000>,
      < -4.292000, 7.104000, 2.184000>,
      < -4.620000, 5.744000, 1.856000>
    }
    texture {engines}
  }
  // wingsl_engines
  union {
    triangle {
      < -3.696000, 7.200000, 1.420000>,
      < -3.940000, 7.208000, 1.504000>,
      < -3.700000, 7.208000, 1.412000>
    }
    triangle {
      < -3.696000, 7.200000, 1.420000>,
      < -3.684000, 6.844000, 1.924000>,
      < -3.940000, 7.208000, 1.504000>
    }
    texture {wingsl_engines}
  }
  // engines
  union {
    triangle {
      < -3.612000, 6.844000, 1.892000>,
      < -3.684000, 6.844000, 1.924000>,
      < -3.612000, 6.848000, 1.892000>
    }
    texture {engines}
  }
  // wingsl_engines
  union {
    triangle {
      < -3.752000, 6.004000, 1.112000>,
      < -3.940000, 7.208000, 1.504000>,
      < -3.764000, 5.744000, 1.048000>
    }
    triangle {
      < -3.720000, 6.736000, 1.292000>,
      < -3.940000, 7.208000, 1.504000>,
      < -3.752000, 6.004000, 1.112000>
    }
    triangle {
      < -3.700000, 7.208000, 1.412000>,
      < -3.940000, 7.208000, 1.504000>,
      < -3.720000, 6.736000, 1.292000>
    }
    texture {wingsl_engines}
  }
  // engines
  union {
    triangle {
      < -3.612000, 4.664000, 1.900000>,
      < -3.608000, 4.664000, 1.900000>,
      < -3.612000, 4.520000, 1.892000>
    }
    triangle {
      < -3.568000, 4.664000, 1.892000>,
      < -3.536000, 4.664000, 1.900000>,
      < -3.536000, 4.520000, 1.900000>
    }
    triangle {
      < -3.612000, 4.520000, 1.892000>,
      < -3.608000, 4.664000, 1.900000>,
      < -3.568000, 4.664000, 1.892000>
    }
    triangle {
      < -3.612000, 4.520000, 1.892000>,
      < -3.568000, 4.664000, 1.892000>,
      < -3.536000, 4.520000, 1.900000>
    }
    texture {engines}
  }
  // wingsl_engines
  union {
    triangle {
      < -3.540000, 6.984000, 1.708000>,
      < -3.588000, 7.208000, 1.412000>,
      < -3.420000, 7.208000, 1.416000>
    }
    triangle {
      < -3.520000, 6.900000, 1.820000>,
      < -3.540000, 6.984000, 1.708000>,
      < -3.420000, 7.208000, 1.416000>
    }
    triangle {
      < -3.648000, 5.920000, 1.092000>,
      < -3.340000, 5.744000, 1.052000>,
      < -3.608000, 6.844000, 1.324000>
    }
    triangle {
      < -3.648000, 5.920000, 1.092000>,
      < -3.764000, 5.744000, 1.048000>,
      < -3.340000, 5.744000, 1.052000>
    }
    triangle {
      < -3.700000, 5.964000, 1.100000>,
      < -3.764000, 5.744000, 1.048000>,
      < -3.648000, 5.920000, 1.092000>
    }
    triangle {
      < -3.700000, 5.964000, 1.100000>,
      < -3.752000, 6.004000, 1.112000>,
      < -3.764000, 5.744000, 1.048000>
    }
    triangle {
      < -3.588000, 7.208000, 1.412000>,
      < -3.340000, 5.744000, 1.052000>,
      < -3.420000, 7.208000, 1.416000>
    }
    triangle {
      < -3.588000, 7.208000, 1.412000>,
      < -3.608000, 6.844000, 1.324000>,
      < -3.340000, 5.744000, 1.052000>
    }
    texture {wingsl_engines}
  }
  // engines
  union {
    triangle {
      < -3.536000, 4.520000, 1.900000>,
      < -3.536000, 4.664000, 1.900000>,
      < -3.520000, 4.664000, 1.908000>
    }
    triangle {
      < -3.504000, 6.844000, 1.912000>,
      < -3.464000, 6.844000, 1.928000>,
      < -3.504000, 5.588000, 1.912000>
    }
    triangle {
      < -3.504000, 4.664000, 1.912000>,
      < -3.504000, 5.588000, 1.912000>,
      < -3.464000, 6.844000, 1.928000>
    }
    triangle {
      < -3.504000, 4.664000, 1.912000>,
      < -3.464000, 6.844000, 1.928000>,
      < -3.464000, 4.520000, 1.928000>
    }
    triangle {
      < -3.520000, 4.664000, 1.908000>,
      < -3.504000, 4.664000, 1.912000>,
      < -3.464000, 4.520000, 1.928000>
    }
    triangle {
      < -3.536000, 4.520000, 1.900000>,
      < -3.520000, 4.664000, 1.908000>,
      < -3.464000, 4.520000, 1.928000>
    }
    texture {engines}
  }
  // wingsl_engines
  union {
    triangle {
      < -3.508000, 6.872000, 1.868000>,
      < -3.420000, 7.208000, 1.416000>,
      < -3.172000, 7.208000, 1.528000>
    }
    triangle {
      < -3.508000, 6.872000, 1.868000>,
      < -3.520000, 6.900000, 1.820000>,
      < -3.420000, 7.208000, 1.416000>
    }
    texture {wingsl_engines}
  }
  // engines
  union {
    triangle {
      < -3.504000, 6.848000, 1.904000>,
      < -3.464000, 6.844000, 1.928000>,
      < -3.504000, 6.844000, 1.912000>
    }
    triangle {
      < -3.504000, 6.848000, 1.904000>,
      < -3.172000, 7.208000, 1.528000>,
      < -3.464000, 6.844000, 1.928000>
    }
    triangle {
      < -3.504000, 6.848000, 1.904000>,
      < -3.508000, 6.872000, 1.868000>,
      < -3.172000, 7.208000, 1.528000>
    }
    triangle {
      < -3.388000, 5.796000, 2.024000>,
      < -3.408000, 6.844000, 1.984000>,
      < -3.388000, 6.844000, 2.024000>
    }
    triangle {
      < -3.388000, 5.796000, 2.024000>,
      < -3.408000, 4.520000, 1.984000>,
      < -3.408000, 6.844000, 1.984000>
    }
    triangle {
      < -3.388000, 4.908000, 2.024000>,
      < -3.408000, 4.520000, 1.984000>,
      < -3.388000, 5.796000, 2.024000>
    }
    triangle {
      < -3.388000, 4.664000, 2.024000>,
      < -3.408000, 4.520000, 1.984000>,
      < -3.388000, 4.908000, 2.024000>
    }
    triangle {
      < -3.384000, 4.520000, 2.060000>,
      < -3.388000, 4.664000, 2.024000>,
      < -3.384000, 4.664000, 2.060000>
    }
    triangle {
      < -3.384000, 4.520000, 2.060000>,
      < -3.408000, 4.520000, 1.984000>,
      < -3.388000, 4.664000, 2.024000>
    }
    triangle {
      < -3.136000, 7.040000, 1.976000>,
      < -2.988000, 7.208000, 1.728000>,
      < -2.908000, 7.208000, 1.940000>
    }
    triangle {
      < -3.136000, 7.040000, 1.976000>,
      < -3.408000, 6.844000, 1.984000>,
      < -2.988000, 7.208000, 1.728000>
    }
    triangle {
      < -3.388000, 6.844000, 2.024000>,
      < -3.408000, 6.844000, 1.984000>,
      < -3.136000, 7.040000, 1.976000>
    }
    triangle {
      < -2.588000, 5.920000, 1.884000>,
      < -2.584000, 5.928000, 1.892000>,
      < -2.988000, 7.208000, 1.728000>
    }
    triangle {
      < -2.588000, 5.920000, 1.884000>,
      < -2.988000, 7.208000, 1.728000>,
      < -2.680000, 5.744000, 1.516000>
    }
    triangle {
      < -2.588000, 5.920000, 1.884000>,
      < -2.680000, 5.744000, 1.516000>,
      < -2.528000, 5.744000, 1.916000>
    }
    triangle {
      < -2.528000, 5.744000, 1.916000>,
      < -2.584000, 5.928000, 1.892000>,
      < -2.588000, 5.920000, 1.884000>
    }
    triangle {
      < -2.780000, 6.680000, 1.916000>,
      < -2.908000, 7.208000, 1.940000>,
      < -2.988000, 7.208000, 1.728000>
    }
    triangle {
      < -2.988000, 7.208000, 1.728000>,
      < -2.600000, 5.964000, 1.884000>,
      < -2.780000, 6.680000, 1.916000>
    }
    triangle {
      < -2.584000, 5.928000, 1.892000>,
      < -2.528000, 5.744000, 1.916000>,
      < -2.580000, 5.952000, 1.924000>
    }
    triangle {
      < -3.388000, 4.664000, 2.156000>,
      < -3.388000, 4.664000, 2.024000>,
      < -3.384000, 4.664000, 2.060000>
    }
    triangle {
      < -3.388000, 4.664000, 2.140000>,
      < -2.588000, 4.664000, 1.884000>,
      < -3.388000, 4.664000, 2.156000>
    }
    triangle {
      < -3.384000, 4.664000, 2.136000>,
      < -2.588000, 4.664000, 1.884000>,
      < -3.388000, 4.664000, 2.140000>
    }
    triangle {
      < -3.384000, 4.664000, 2.060000>,
      < -2.588000, 4.664000, 1.884000>,
      < -3.384000, 4.664000, 2.064000>
    }
    triangle {
      < -3.384000, 4.664000, 2.060000>,
      < -3.388000, 4.664000, 2.024000>,
      < -2.588000, 4.664000, 1.884000>
    }
    triangle {
      < -3.312000, 6.896000, 2.152000>,
      < -2.812000, 6.848000, 2.064000>,
      < -3.196000, 6.980000, 2.132000>
    }
    triangle {
      < -3.312000, 6.896000, 2.152000>,
      < -2.564000, 5.872000, 2.020000>,
      < -2.812000, 6.848000, 2.064000>
    }
    triangle {
      < -3.312000, 6.896000, 2.152000>,
      < -2.564000, 4.664000, 2.020000>,
      < -2.564000, 5.872000, 2.020000>
    }
    triangle {
      < -3.312000, 6.896000, 2.152000>,
      < -3.336000, 6.880000, 2.156000>,
      < -2.564000, 4.664000, 2.020000>
    }
    triangle {
      < -2.576000, 5.928000, 1.948000>,
      < -2.564000, 4.664000, 2.020000>,
      < -2.588000, 4.664000, 1.884000>
    }
    triangle {
      < -2.576000, 5.928000, 1.948000>,
      < -2.564000, 5.872000, 2.020000>,
      < -2.564000, 4.664000, 2.020000>
    }
    triangle {
      < -2.580000, 5.952000, 1.924000>,
      < -2.588000, 4.664000, 1.884000>,
      < -2.584000, 5.928000, 1.892000>
    }
    triangle {
      < -2.580000, 5.952000, 1.924000>,
      < -2.576000, 5.928000, 1.948000>,
      < -2.588000, 4.664000, 1.884000>
    }
    triangle {
      < -3.396000, 5.504000, 2.164000>,
      < -3.336000, 6.880000, 2.156000>,
      < -3.396000, 6.844000, 2.164000>
    }
    triangle {
      < -3.396000, 5.504000, 2.164000>,
      < -2.564000, 4.664000, 2.020000>,
      < -3.336000, 6.880000, 2.156000>
    }
    triangle {
      < -3.396000, 5.504000, 2.164000>,
      < -3.396000, 4.664000, 2.164000>,
      < -2.564000, 4.664000, 2.020000>
    }
    triangle {
      < -3.396000, 4.664000, 2.164000>,
      < -2.588000, 4.664000, 1.884000>,
      < -2.564000, 4.664000, 2.020000>
    }
    triangle {
      < -3.396000, 4.664000, 2.164000>,
      < -3.388000, 4.664000, 2.156000>,
      < -2.588000, 4.664000, 1.884000>
    }
    triangle {
      < -3.428000, 6.912000, 2.340000>,
      < -3.440000, 5.724000, 2.236000>,
      < -3.440000, 6.844000, 2.236000>
    }
    triangle {
      < -3.356000, 7.208000, 2.740000>,
      < -3.440000, 5.724000, 2.236000>,
      < -3.428000, 6.912000, 2.340000>
    }
    triangle {
      < -3.356000, 7.208000, 2.740000>,
      < -3.440000, 4.832000, 2.236000>,
      < -3.440000, 5.724000, 2.236000>
    }
    triangle {
      < -3.356000, 7.208000, 2.740000>,
      < -3.336000, 6.676000, 2.868000>,
      < -3.440000, 4.832000, 2.236000>
    }
    triangle {
      < -3.320000, 6.372000, 2.948000>,
      < -3.440000, 4.832000, 2.236000>,
      < -3.336000, 6.676000, 2.868000>
    }
    triangle {
      < -3.320000, 6.372000, 2.948000>,
      < -3.440000, 4.664000, 2.236000>,
      < -3.440000, 4.832000, 2.236000>
    }
    triangle {
      < -3.320000, 6.372000, 2.948000>,
      < -3.300000, 4.664000, 3.060000>,
      < -3.440000, 4.664000, 2.236000>
    }
    triangle {
      < -3.320000, 6.372000, 2.948000>,
      < -3.300000, 5.916000, 3.060000>,
      < -3.300000, 4.664000, 3.060000>
    }
    triangle {
      < -3.472000, 4.664000, 2.264000>,
      < -3.300000, 4.664000, 3.060000>,
      < -3.484000, 4.664000, 2.264000>
    }
    triangle {
      < -3.472000, 4.664000, 2.264000>,
      < -3.300000, 4.664000, 3.060000>,
      < -3.472000, 4.664000, 2.264000>
    }
    triangle {
      < -3.440000, 4.664000, 2.236000>,
      < -3.300000, 4.664000, 3.060000>,
      < -3.472000, 4.664000, 2.264000>
    }
    texture {engines}
  }
  // wingsl_engines
  union {
    triangle {
      < -3.536000, 4.664000, 1.900000>,
      < -3.752000, 4.664000, 1.112000>,
      < -3.532000, 4.664000, 1.900000>
    }
    triangle {
      < -3.536000, 4.664000, 1.900000>,
      < -3.568000, 4.664000, 1.892000>,
      < -3.752000, 4.664000, 1.112000>
    }
    texture {wingsl_engines}
  }
  // engines
  union {
    triangle {
      < -3.540000, 4.664000, 2.288000>,
      < -3.404000, 4.664000, 3.080000>,
      < -3.548000, 4.664000, 2.292000>
    }
    triangle {
      < -3.540000, 4.664000, 2.288000>,
      < -3.300000, 4.664000, 3.060000>,
      < -3.404000, 4.664000, 3.080000>
    }
    triangle {
      < -3.540000, 4.664000, 2.288000>,
      < -3.524000, 4.664000, 2.280000>,
      < -3.300000, 4.664000, 3.060000>
    }
    triangle {
      < -3.484000, 4.664000, 2.264000>,
      < -3.300000, 4.664000, 3.060000>,
      < -3.524000, 4.664000, 2.280000>
    }
    texture {engines}
  }
  // wingsl_engines
  union {
    triangle {
      < -3.608000, 4.664000, 1.900000>,
      < -3.752000, 4.664000, 1.112000>,
      < -3.568000, 4.664000, 1.892000>
    }
    triangle {
      < -3.608000, 4.664000, 1.900000>,
      < -3.612000, 4.664000, 1.900000>,
      < -3.752000, 4.664000, 1.112000>
    }
    texture {wingsl_engines}
  }
  // engines
  union {
    triangle {
      < -3.372000, 5.968000, 3.072000>,
      < -3.300000, 4.664000, 3.060000>,
      < -3.352000, 5.956000, 3.068000>
    }
    triangle {
      < -3.372000, 5.968000, 3.072000>,
      < -3.404000, 4.664000, 3.080000>,
      < -3.300000, 4.664000, 3.060000>
    }
    triangle {
      < -3.372000, 5.968000, 3.072000>,
      < -3.404000, 5.992000, 3.080000>,
      < -3.404000, 4.664000, 3.080000>
    }
    triangle {
      < -3.300000, 5.916000, 3.060000>,
      < -3.352000, 5.956000, 3.068000>,
      < -3.300000, 4.664000, 3.060000>
    }
    triangle {
      < -3.556000, 6.872000, 2.324000>,
      < -3.404000, 4.664000, 3.080000>,
      < -3.404000, 5.992000, 3.080000>
    }
    triangle {
      < -3.556000, 6.872000, 2.324000>,
      < -3.404000, 5.992000, 3.080000>,
      < -3.436000, 6.660000, 2.916000>
    }
    triangle {
      < -3.556000, 6.872000, 2.324000>,
      < -3.436000, 6.660000, 2.916000>,
      < -3.556000, 6.880000, 2.336000>
    }
    triangle {
      < -3.572000, 5.396000, 2.292000>,
      < -3.572000, 4.664000, 2.292000>,
      < -3.404000, 4.664000, 3.080000>
    }
    triangle {
      < -3.404000, 4.664000, 3.080000>,
      < -3.556000, 6.872000, 2.324000>,
      < -3.572000, 6.844000, 2.292000>
    }
    triangle {
      < -3.404000, 4.664000, 3.080000>,
      < -3.572000, 6.844000, 2.292000>,
      < -3.572000, 5.396000, 2.292000>
    }
    triangle {
      < -3.816000, 6.908000, 2.240000>,
      < -3.724000, 5.800000, 2.224000>,
      < -3.724000, 6.844000, 2.224000>
    }
    triangle {
      < -4.224000, 7.208000, 2.312000>,
      < -3.724000, 5.800000, 2.224000>,
      < -3.816000, 6.908000, 2.240000>
    }
    triangle {
      < -4.224000, 7.208000, 2.312000>,
      < -3.724000, 5.016000, 2.224000>,
      < -3.724000, 5.800000, 2.224000>
    }
    triangle {
      < -4.224000, 7.208000, 2.312000>,
      < -4.352000, 6.696000, 2.336000>,
      < -3.724000, 5.016000, 2.224000>
    }
    triangle {
      < -4.436000, 6.360000, 2.348000>,
      < -3.724000, 5.016000, 2.224000>,
      < -4.352000, 6.696000, 2.336000>
    }
    triangle {
      < -4.436000, 6.360000, 2.348000>,
      < -3.724000, 4.664000, 2.224000>,
      < -3.724000, 5.016000, 2.224000>
    }
    triangle {
      < -4.436000, 6.360000, 2.348000>,
      < -4.552000, 4.664000, 2.368000>,
      < -3.724000, 4.664000, 2.224000>
    }
    triangle {
      < -4.436000, 6.360000, 2.348000>,
      < -4.552000, 5.888000, 2.368000>,
      < -4.552000, 4.664000, 2.368000>
    }
    triangle {
      < -3.772000, 4.664000, 2.128000>,
      < -4.552000, 4.664000, 2.368000>,
      < -3.772000, 4.664000, 2.124000>
    }
    triangle {
      < -3.752000, 4.664000, 2.192000>,
      < -4.552000, 4.664000, 2.368000>,
      < -3.772000, 4.664000, 2.128000>
    }
    triangle {
      < -3.748000, 4.664000, 2.196000>,
      < -4.552000, 4.664000, 2.368000>,
      < -3.752000, 4.664000, 2.192000>
    }
    triangle {
      < -3.748000, 4.664000, 2.196000>,
      < -3.724000, 4.664000, 2.224000>,
      < -4.552000, 4.664000, 2.368000>
    }
    triangle {
      < -4.564000, 5.944000, 2.296000>,
      < -4.572000, 5.968000, 2.260000>,
      < -4.576000, 5.948000, 2.236000>
    }
    triangle {
      < -4.576000, 5.948000, 2.236000>,
      < -4.576000, 4.664000, 2.236000>,
      < -4.552000, 4.664000, 2.368000>
    }
    triangle {
      < -4.576000, 5.948000, 2.236000>,
      < -4.552000, 4.664000, 2.368000>,
      < -4.564000, 5.944000, 2.296000>
    }
    triangle {
      < -4.564000, 5.940000, 2.304000>,
      < -4.552000, 4.664000, 2.368000>,
      < -4.552000, 5.888000, 2.368000>
    }
    triangle {
      < -3.772000, 5.524000, 2.092000>,
      < -3.772000, 4.664000, 2.092000>,
      < -4.576000, 4.664000, 2.236000>
    }
    triangle {
      < -4.576000, 4.664000, 2.236000>,
      < -3.772000, 6.732000, 2.092000>,
      < -3.772000, 5.524000, 2.092000>
    }
    triangle {
      < -3.772000, 6.732000, 2.092000>,
      < -4.576000, 4.664000, 2.236000>,
      < -4.576000, 5.948000, 2.236000>
    }
    triangle {
      < -3.772000, 6.732000, 2.092000>,
      < -4.576000, 5.948000, 2.236000>,
      < -4.292000, 7.104000, 2.184000>
    }
    triangle {
      < -3.772000, 6.732000, 2.092000>,
      < -4.292000, 7.104000, 2.184000>,
      < -4.264000, 7.208000, 2.180000>
    }
    triangle {
      < -3.772000, 6.732000, 2.092000>,
      < -4.264000, 7.208000, 2.180000>,
      < -3.836000, 6.884000, 2.104000>
    }
    triangle {
      < -3.772000, 6.732000, 2.092000>,
      < -3.836000, 6.884000, 2.104000>,
      < -3.772000, 6.844000, 2.092000>
    }
    triangle {
      < -3.772000, 4.664000, 2.092000>,
      < -4.552000, 4.664000, 2.368000>,
      < -4.576000, 4.664000, 2.236000>
    }
    triangle {
      < -3.772000, 4.664000, 2.092000>,
      < -3.772000, 4.664000, 2.120000>,
      < -4.552000, 4.664000, 2.368000>
    }
    texture {engines}
  }
  // wingsl_engines
  union {
    triangle {
      < -3.668000, 7.072000, 1.580000>,
      < -3.696000, 7.200000, 1.420000>,
      < -3.720000, 6.736000, 1.292000>
    }
    triangle {
      < -3.720000, 6.736000, 1.292000>,
      < -3.612000, 5.104000, 1.900000>,
      < -3.612000, 6.844000, 1.900000>
    }
    triangle {
      < -3.720000, 6.736000, 1.292000>,
      < -3.612000, 6.844000, 1.900000>,
      < -3.612000, 6.848000, 1.892000>
    }
    triangle {
      < -3.720000, 6.736000, 1.292000>,
      < -3.612000, 6.848000, 1.892000>,
      < -3.668000, 7.072000, 1.580000>
    }
    triangle {
      < -3.700000, 5.964000, 1.100000>,
      < -3.752000, 4.664000, 1.112000>,
      < -3.752000, 6.004000, 1.112000>
    }
    triangle {
      < -3.752000, 6.004000, 1.112000>,
      < -3.752000, 4.664000, 1.112000>,
      < -3.612000, 4.664000, 1.900000>
    }
    triangle {
      < -3.752000, 6.004000, 1.112000>,
      < -3.612000, 4.664000, 1.900000>,
      < -3.612000, 5.104000, 1.900000>
    }
    triangle {
      < -3.752000, 6.004000, 1.112000>,
      < -3.612000, 5.104000, 1.900000>,
      < -3.720000, 6.736000, 1.292000>
    }
    triangle {
      < -3.520000, 6.900000, 1.820000>,
      < -3.608000, 6.844000, 1.324000>,
      < -3.540000, 6.984000, 1.708000>
    }
    triangle {
      < -3.508000, 6.872000, 1.868000>,
      < -3.608000, 6.844000, 1.324000>,
      < -3.520000, 6.900000, 1.820000>
    }
    triangle {
      < -3.508000, 6.872000, 1.868000>,
      < -3.648000, 5.920000, 1.092000>,
      < -3.608000, 6.844000, 1.324000>
    }
    triangle {
      < -3.508000, 6.872000, 1.868000>,
      < -3.648000, 4.664000, 1.092000>,
      < -3.648000, 5.920000, 1.092000>
    }
    triangle {
      < -3.508000, 6.872000, 1.868000>,
      < -3.504000, 6.848000, 1.904000>,
      < -3.648000, 4.664000, 1.092000>
    }
    triangle {
      < -3.648000, 5.920000, 1.092000>,
      < -3.648000, 4.664000, 1.092000>,
      < -3.752000, 4.664000, 1.112000>
    }
    triangle {
      < -3.648000, 5.920000, 1.092000>,
      < -3.752000, 4.664000, 1.112000>,
      < -3.700000, 5.964000, 1.100000>
    }
    triangle {
      < -3.504000, 5.588000, 1.912000>,
      < -3.648000, 4.664000, 1.092000>,
      < -3.504000, 6.844000, 1.912000>
    }
    triangle {
      < -3.504000, 5.588000, 1.912000>,
      < -3.504000, 4.664000, 1.912000>,
      < -3.648000, 4.664000, 1.092000>
    }
    triangle {
      < -3.532000, 4.664000, 1.900000>,
      < -3.752000, 4.664000, 1.112000>,
      < -3.520000, 4.664000, 1.908000>
    }
    triangle {
      < -3.504000, 4.664000, 1.912000>,
      < -3.752000, 4.664000, 1.112000>,
      < -3.648000, 4.664000, 1.092000>
    }
    triangle {
      < -3.504000, 4.664000, 1.912000>,
      < -3.520000, 4.664000, 1.908000>,
      < -3.752000, 4.664000, 1.112000>
    }
    texture {wingsl_engines}
  }
  // engines
  union {
    triangle {
      < -3.388000, 5.796000, 2.024000>,
      < -3.388000, 6.844000, 2.024000>,
      < -3.136000, 7.040000, 1.976000>
    }
    triangle {
      < -2.780000, 6.680000, 1.916000>,
      < -3.388000, 4.908000, 2.024000>,
      < -3.388000, 5.796000, 2.024000>
    }
    triangle {
      < -2.780000, 6.680000, 1.916000>,
      < -3.388000, 5.796000, 2.024000>,
      < -3.136000, 7.040000, 1.976000>
    }
    triangle {
      < -2.780000, 6.680000, 1.916000>,
      < -3.136000, 7.040000, 1.976000>,
      < -2.908000, 7.208000, 1.940000>
    }
    triangle {
      < -2.588000, 5.920000, 1.884000>,
      < -2.588000, 4.664000, 1.884000>,
      < -3.388000, 4.664000, 2.024000>
    }
    triangle {
      < -2.588000, 5.920000, 1.884000>,
      < -3.388000, 4.664000, 2.024000>,
      < -3.388000, 4.908000, 2.024000>
    }
    triangle {
      < -2.588000, 5.920000, 1.884000>,
      < -3.388000, 4.908000, 2.024000>,
      < -2.600000, 5.964000, 1.884000>
    }
    triangle {
      < -3.572000, 4.520000, 2.096000>,
      < -3.384000, 4.520000, 2.060000>,
      < -3.384000, 4.520000, 2.136000>
    }
    triangle {
      < -2.528000, 5.744000, 1.916000>,
      < -2.528000, 4.520000, 1.916000>,
      < -2.540000, 4.520000, 2.328000>
    }
    triangle {
      < -2.528000, 5.744000, 1.916000>,
      < -2.540000, 4.520000, 2.328000>,
      < -2.540000, 5.744000, 2.328000>
    }
    triangle {
      < -2.528000, 4.520000, 1.916000>,
      < -2.284000, 4.520000, 1.876000>,
      < -2.296000, 4.520000, 2.388000>
    }
    triangle {
      < -2.528000, 4.520000, 1.916000>,
      < -2.296000, 4.520000, 2.388000>,
      < -2.540000, 4.520000, 2.328000>
    }
    triangle {
      < -2.284000, 4.520000, 1.876000>,
      < -2.284000, 9.416000, 1.876000>,
      < -2.296000, 9.416000, 2.388000>
    }
    triangle {
      < -2.284000, 4.520000, 1.876000>,
      < -2.296000, 9.416000, 2.388000>,
      < -2.296000, 4.520000, 2.388000>
    }
    triangle {
      < -2.284000, 9.416000, 1.876000>,
      < -2.408000, 9.780000, 1.892000>,
      < -2.424000, 9.780000, 2.360000>
    }
    texture {engines}
  }
  // DEFAULT
  union {
    triangle {
      < -2.284000, 9.416000, 1.876000>,
      < -2.424000, 9.780000, 2.360000>,
      < -2.296000, 9.416000, 2.388000>
    }
    texture {DEFAULT}
  }
  // engines
  union {
    triangle {
      < -2.408000, 9.780000, 1.892000>,
      < -2.408000, 11.368000, 1.892000>,
      < -2.424000, 11.368000, 2.360000>
    }
    triangle {
      < -2.408000, 9.780000, 1.892000>,
      < -2.424000, 11.368000, 2.360000>,
      < -2.424000, 9.780000, 2.360000>
    }
    triangle {
      < -2.408000, 11.368000, 1.892000>,
      < -3.572000, 11.368000, 2.096000>,
      < -2.424000, 11.368000, 2.360000>
    }
    triangle {
      < -3.572000, 4.520000, 2.096000>,
      < -3.384000, 4.520000, 2.136000>,
      < -3.416000, 4.520000, 2.208000>
    }
    triangle {
      < -2.904000, 7.208000, 2.248000>,
      < -2.540000, 5.744000, 2.328000>,
      < -2.716000, 5.744000, 2.712000>
    }
    triangle {
      < -2.904000, 7.208000, 2.248000>,
      < -2.716000, 5.744000, 2.712000>,
      < -3.012000, 7.208000, 2.500000>
    }
    triangle {
      < -2.540000, 5.744000, 2.328000>,
      < -2.540000, 4.520000, 2.328000>,
      < -2.716000, 4.520000, 2.712000>
    }
    triangle {
      < -2.540000, 5.744000, 2.328000>,
      < -2.716000, 4.520000, 2.712000>,
      < -2.716000, 5.744000, 2.712000>
    }
    triangle {
      < -2.540000, 4.520000, 2.328000>,
      < -2.296000, 4.520000, 2.388000>,
      < -2.508000, 4.520000, 2.856000>
    }
    triangle {
      < -2.540000, 4.520000, 2.328000>,
      < -2.508000, 4.520000, 2.856000>,
      < -2.716000, 4.520000, 2.712000>
    }
    triangle {
      < -2.296000, 4.520000, 2.388000>,
      < -2.296000, 9.416000, 2.388000>,
      < -2.508000, 9.416000, 2.856000>
    }
    triangle {
      < -2.296000, 4.520000, 2.388000>,
      < -2.508000, 9.416000, 2.856000>,
      < -2.508000, 4.520000, 2.856000>
    }
    triangle {
      < -2.296000, 9.416000, 2.388000>,
      < -2.424000, 9.780000, 2.360000>,
      < -2.612000, 9.780000, 2.788000>
    }
    triangle {
      < -2.296000, 9.416000, 2.388000>,
      < -2.612000, 9.780000, 2.788000>,
      < -2.508000, 9.416000, 2.856000>
    }
    triangle {
      < -2.424000, 9.780000, 2.360000>,
      < -2.424000, 11.368000, 2.360000>,
      < -2.612000, 11.368000, 2.788000>
    }
    triangle {
      < -2.424000, 9.780000, 2.360000>,
      < -2.612000, 11.368000, 2.788000>,
      < -2.612000, 9.780000, 2.788000>
    }
    triangle {
      < -2.424000, 11.368000, 2.360000>,
      < -3.572000, 11.368000, 2.096000>,
      < -2.612000, 11.368000, 2.788000>
    }
    triangle {
      < -3.572000, 4.520000, 2.096000>,
      < -3.416000, 4.520000, 2.208000>,
      < -3.472000, 4.520000, 2.264000>
    }
    triangle {
      < -3.416000, 6.844000, 2.208000>,
      < -3.012000, 7.208000, 2.500000>,
      < -3.216000, 7.208000, 2.688000>
    }
    triangle {
      < -3.012000, 7.208000, 2.500000>,
      < -2.716000, 5.744000, 2.712000>,
      < -3.016000, 5.744000, 3.000000>
    }
    triangle {
      < -3.012000, 7.208000, 2.500000>,
      < -3.016000, 5.744000, 3.000000>,
      < -3.216000, 7.208000, 2.688000>
    }
    triangle {
      < -2.716000, 5.744000, 2.712000>,
      < -2.716000, 4.520000, 2.712000>,
      < -3.016000, 4.520000, 3.000000>
    }
    triangle {
      < -2.716000, 5.744000, 2.712000>,
      < -3.016000, 4.520000, 3.000000>,
      < -3.016000, 5.744000, 3.000000>
    }
    triangle {
      < -2.716000, 4.520000, 2.712000>,
      < -2.508000, 4.520000, 2.856000>,
      < -2.888000, 4.520000, 3.204000>
    }
    triangle {
      < -2.716000, 4.520000, 2.712000>,
      < -2.888000, 4.520000, 3.204000>,
      < -3.016000, 4.520000, 3.000000>
    }
    triangle {
      < -2.508000, 4.520000, 2.856000>,
      < -2.508000, 9.416000, 2.856000>,
      < -2.888000, 9.416000, 3.204000>
    }
    triangle {
      < -2.508000, 4.520000, 2.856000>,
      < -2.888000, 9.416000, 3.204000>,
      < -2.888000, 4.520000, 3.204000>
    }
    triangle {
      < -2.508000, 9.416000, 2.856000>,
      < -2.612000, 9.780000, 2.788000>,
      < -2.952000, 9.780000, 3.100000>
    }
    triangle {
      < -2.508000, 9.416000, 2.856000>,
      < -2.952000, 9.780000, 3.100000>,
      < -2.888000, 9.416000, 3.204000>
    }
    triangle {
      < -2.612000, 9.780000, 2.788000>,
      < -2.612000, 11.368000, 2.788000>,
      < -2.952000, 11.368000, 3.100000>
    }
    triangle {
      < -2.612000, 9.780000, 2.788000>,
      < -2.952000, 11.368000, 3.100000>,
      < -2.952000, 9.780000, 3.100000>
    }
    triangle {
      < -2.612000, 11.368000, 2.788000>,
      < -3.572000, 11.368000, 2.096000>,
      < -2.952000, 11.368000, 3.100000>
    }
    triangle {
      < -3.572000, 4.520000, 2.096000>,
      < -3.472000, 4.520000, 2.264000>,
      < -3.540000, 4.520000, 2.288000>
    }
    triangle {
      < -3.016000, 5.744000, 3.000000>,
      < -3.016000, 4.520000, 3.000000>,
      < -3.396000, 4.520000, 3.144000>
    }
    triangle {
      < -3.016000, 5.744000, 3.000000>,
      < -3.396000, 4.520000, 3.144000>,
      < -3.396000, 5.744000, 3.144000>
    }
    triangle {
      < -3.016000, 4.520000, 3.000000>,
      < -2.888000, 4.520000, 3.204000>,
      < -3.356000, 4.520000, 3.388000>
    }
    triangle {
      < -3.016000, 4.520000, 3.000000>,
      < -3.356000, 4.520000, 3.388000>,
      < -3.396000, 4.520000, 3.144000>
    }
    triangle {
      < -2.888000, 4.520000, 3.204000>,
      < -2.888000, 9.416000, 3.204000>,
      < -3.356000, 9.416000, 3.388000>
    }
    triangle {
      < -2.888000, 4.520000, 3.204000>,
      < -3.356000, 9.416000, 3.388000>,
      < -3.356000, 4.520000, 3.388000>
    }
    triangle {
      < -2.888000, 9.416000, 3.204000>,
      < -2.952000, 9.780000, 3.100000>,
      < -3.372000, 9.780000, 3.264000>
    }
    triangle {
      < -2.888000, 9.416000, 3.204000>,
      < -3.372000, 9.780000, 3.264000>,
      < -3.356000, 9.416000, 3.388000>
    }
    triangle {
      < -2.952000, 9.780000, 3.100000>,
      < -2.952000, 11.368000, 3.100000>,
      < -3.372000, 11.368000, 3.264000>
    }
    triangle {
      < -2.952000, 9.780000, 3.100000>,
      < -3.372000, 11.368000, 3.264000>,
      < -3.372000, 9.780000, 3.264000>
    }
    triangle {
      < -2.952000, 11.368000, 3.100000>,
      < -3.572000, 11.368000, 2.096000>,
      < -3.372000, 11.368000, 3.264000>
    }
    triangle {
      < -3.572000, 4.520000, 2.096000>,
      < -3.540000, 4.520000, 2.288000>,
      < -3.624000, 4.520000, 2.292000>
    }
    triangle {
      < -3.396000, 5.744000, 3.144000>,
      < -3.396000, 4.520000, 3.144000>,
      < -3.820000, 4.520000, 3.132000>
    }
    triangle {
      < -3.396000, 5.744000, 3.144000>,
      < -3.820000, 4.520000, 3.132000>,
      < -3.820000, 5.744000, 3.132000>
    }
    triangle {
      < -3.396000, 4.520000, 3.144000>,
      < -3.356000, 4.520000, 3.388000>,
      < -3.872000, 4.520000, 3.372000>
    }
    triangle {
      < -3.396000, 4.520000, 3.144000>,
      < -3.872000, 4.520000, 3.372000>,
      < -3.820000, 4.520000, 3.132000>
    }
    triangle {
      < -3.356000, 4.520000, 3.388000>,
      < -3.356000, 9.416000, 3.388000>,
      < -3.872000, 9.416000, 3.372000>
    }
    triangle {
      < -3.356000, 4.520000, 3.388000>,
      < -3.872000, 9.416000, 3.372000>,
      < -3.872000, 4.520000, 3.372000>
    }
    triangle {
      < -3.356000, 9.416000, 3.388000>,
      < -3.372000, 9.780000, 3.264000>,
      < -3.840000, 9.780000, 3.248000>
    }
    triangle {
      < -3.356000, 9.416000, 3.388000>,
      < -3.840000, 9.780000, 3.248000>,
      < -3.872000, 9.416000, 3.372000>
    }
    triangle {
      < -3.372000, 9.780000, 3.264000>,
      < -3.372000, 11.368000, 3.264000>,
      < -3.840000, 11.368000, 3.248000>
    }
    triangle {
      < -3.372000, 9.780000, 3.264000>,
      < -3.840000, 11.368000, 3.248000>,
      < -3.840000, 9.780000, 3.248000>
    }
    triangle {
      < -3.372000, 11.368000, 3.264000>,
      < -3.572000, 11.368000, 2.096000>,
      < -3.840000, 11.368000, 3.248000>
    }
    triangle {
      < -3.572000, 4.520000, 2.096000>,
      < -3.624000, 4.520000, 2.292000>,
      < -3.696000, 4.520000, 2.260000>
    }
    triangle {
      < -3.624000, 4.520000, 2.292000>,
      < -3.624000, 6.844000, 2.292000>,
      < -3.696000, 6.844000, 2.260000>
    }
    triangle {
      < -3.624000, 4.520000, 2.292000>,
      < -3.696000, 6.844000, 2.260000>,
      < -3.696000, 4.520000, 2.260000>
    }
    triangle {
      < -3.624000, 6.844000, 2.292000>,
      < -3.736000, 7.208000, 2.772000>,
      < -3.984000, 7.208000, 2.664000>
    }
    triangle {
      < -3.624000, 6.844000, 2.292000>,
      < -3.984000, 7.208000, 2.664000>,
      < -3.696000, 6.844000, 2.260000>
    }
    triangle {
      < -3.736000, 7.208000, 2.772000>,
      < -3.820000, 5.744000, 3.132000>,
      < -4.200000, 5.744000, 2.956000>
    }
    triangle {
      < -3.736000, 7.208000, 2.772000>,
      < -4.200000, 5.744000, 2.956000>,
      < -3.984000, 7.208000, 2.664000>
    }
    triangle {
      < -3.820000, 5.744000, 3.132000>,
      < -3.820000, 4.520000, 3.132000>,
      < -4.200000, 4.520000, 2.956000>
    }
    triangle {
      < -3.820000, 5.744000, 3.132000>,
      < -4.200000, 4.520000, 2.956000>,
      < -4.200000, 5.744000, 2.956000>
    }
    triangle {
      < -3.820000, 4.520000, 3.132000>,
      < -3.872000, 4.520000, 3.372000>,
      < -4.340000, 4.520000, 3.164000>
    }
    triangle {
      < -3.820000, 4.520000, 3.132000>,
      < -4.340000, 4.520000, 3.164000>,
      < -4.200000, 4.520000, 2.956000>
    }
    triangle {
      < -3.872000, 4.520000, 3.372000>,
      < -3.872000, 9.416000, 3.372000>,
      < -4.340000, 9.416000, 3.164000>
    }
    triangle {
      < -3.872000, 4.520000, 3.372000>,
      < -4.340000, 9.416000, 3.164000>,
      < -4.340000, 4.520000, 3.164000>
    }
    triangle {
      < -3.872000, 9.416000, 3.372000>,
      < -3.840000, 9.780000, 3.248000>,
      < -4.268000, 9.780000, 3.060000>
    }
    triangle {
      < -3.872000, 9.416000, 3.372000>,
      < -4.268000, 9.780000, 3.060000>,
      < -4.340000, 9.416000, 3.164000>
    }
    triangle {
      < -3.840000, 9.780000, 3.248000>,
      < -3.840000, 11.368000, 3.248000>,
      < -4.268000, 11.368000, 3.060000>
    }
    triangle {
      < -3.840000, 9.780000, 3.248000>,
      < -4.268000, 11.368000, 3.060000>,
      < -4.268000, 9.780000, 3.060000>
    }
    triangle {
      < -3.840000, 11.368000, 3.248000>,
      < -3.572000, 11.368000, 2.096000>,
      < -4.268000, 11.368000, 3.060000>
    }
    triangle {
      < -3.572000, 4.520000, 2.096000>,
      < -3.696000, 4.520000, 2.260000>,
      < -3.748000, 4.520000, 2.196000>
    }
    triangle {
      < -3.696000, 6.844000, 2.260000>,
      < -3.984000, 7.208000, 2.664000>,
      < -4.172000, 7.208000, 2.460000>
    }
    triangle {
      < -3.984000, 7.208000, 2.664000>,
      < -4.200000, 5.744000, 2.956000>,
      < -4.488000, 5.744000, 2.652000>
    }
    triangle {
      < -3.984000, 7.208000, 2.664000>,
      < -4.488000, 5.744000, 2.652000>,
      < -4.172000, 7.208000, 2.460000>
    }
    triangle {
      < -4.200000, 5.744000, 2.956000>,
      < -4.200000, 4.520000, 2.956000>,
      < -4.488000, 4.520000, 2.652000>
    }
    triangle {
      < -4.200000, 5.744000, 2.956000>,
      < -4.488000, 4.520000, 2.652000>,
      < -4.488000, 5.744000, 2.652000>
    }
    triangle {
      < -4.200000, 4.520000, 2.956000>,
      < -4.340000, 4.520000, 3.164000>,
      < -4.692000, 4.520000, 2.788000>
    }
    triangle {
      < -4.200000, 4.520000, 2.956000>,
      < -4.692000, 4.520000, 2.788000>,
      < -4.488000, 4.520000, 2.652000>
    }
    triangle {
      < -4.340000, 4.520000, 3.164000>,
      < -4.340000, 9.416000, 3.164000>,
      < -4.692000, 9.416000, 2.788000>
    }
    triangle {
      < -4.340000, 4.520000, 3.164000>,
      < -4.692000, 9.416000, 2.788000>,
      < -4.692000, 4.520000, 2.788000>
    }
    triangle {
      < -4.340000, 9.416000, 3.164000>,
      < -4.268000, 9.780000, 3.060000>,
      < -4.588000, 9.780000, 2.720000>
    }
    triangle {
      < -4.340000, 9.416000, 3.164000>,
      < -4.588000, 9.780000, 2.720000>,
      < -4.692000, 9.416000, 2.788000>
    }
    triangle {
      < -4.268000, 9.780000, 3.060000>,
      < -4.268000, 11.368000, 3.060000>,
      < -4.588000, 11.368000, 2.720000>
    }
    triangle {
      < -4.268000, 9.780000, 3.060000>,
      < -4.588000, 11.368000, 2.720000>,
      < -4.588000, 9.780000, 2.720000>
    }
    triangle {
      < -4.268000, 11.368000, 3.060000>,
      < -3.572000, 11.368000, 2.096000>,
      < -4.588000, 11.368000, 2.720000>
    }
    triangle {
      < -3.572000, 4.520000, 2.096000>,
      < -3.748000, 4.520000, 2.196000>,
      < -3.772000, 4.520000, 2.128000>
    }
    triangle {
      < -4.488000, 5.744000, 2.652000>,
      < -4.488000, 4.520000, 2.652000>,
      < -4.628000, 4.520000, 2.272000>
    }
    triangle {
      < -4.488000, 5.744000, 2.652000>,
      < -4.628000, 4.520000, 2.272000>,
      < -4.628000, 5.744000, 2.272000>
    }
    triangle {
      < -4.488000, 4.520000, 2.652000>,
      < -4.692000, 4.520000, 2.788000>,
      < -4.872000, 4.520000, 2.312000>
    }
    triangle {
      < -4.488000, 4.520000, 2.652000>,
      < -4.872000, 4.520000, 2.312000>,
      < -4.628000, 4.520000, 2.272000>
    }
    triangle {
      < -4.692000, 4.520000, 2.788000>,
      < -4.692000, 9.416000, 2.788000>,
      < -4.872000, 9.416000, 2.312000>
    }
    triangle {
      < -4.692000, 4.520000, 2.788000>,
      < -4.872000, 9.416000, 2.312000>,
      < -4.872000, 4.520000, 2.312000>
    }
    triangle {
      < -4.692000, 9.416000, 2.788000>,
      < -4.588000, 9.780000, 2.720000>,
      < -4.748000, 9.780000, 2.292000>
    }
    texture {engines}
  }
  // wingsl_engines
  union {
    triangle {
      < -4.692000, 9.416000, 2.788000>,
      < -4.748000, 9.780000, 2.292000>,
      < -4.872000, 9.416000, 2.312000>
    }
    texture {wingsl_engines}
  }
  // engines
  union {
    triangle {
      < -4.588000, 9.780000, 2.720000>,
      < -4.588000, 11.368000, 2.720000>,
      < -4.748000, 11.368000, 2.292000>
    }
    triangle {
      < -4.588000, 9.780000, 2.720000>,
      < -4.748000, 11.368000, 2.292000>,
      < -4.748000, 9.780000, 2.292000>
    }
    triangle {
      < -4.588000, 11.368000, 2.720000>,
      < -3.572000, 11.368000, 2.096000>,
      < -4.748000, 11.368000, 2.292000>
    }
    triangle {
      < -3.572000, 4.520000, 2.096000>,
      < -3.772000, 4.520000, 2.128000>,
      < -3.772000, 4.520000, 2.048000>
    }
    triangle {
      < -4.628000, 5.744000, 2.272000>,
      < -4.628000, 4.520000, 2.272000>,
      < -4.620000, 4.520000, 1.856000>
    }
    triangle {
      < -4.628000, 5.744000, 2.272000>,
      < -4.620000, 4.520000, 1.856000>,
      < -4.620000, 5.744000, 1.856000>
    }
    triangle {
      < -4.628000, 4.520000, 2.272000>,
      < -4.872000, 4.520000, 2.312000>,
      < -4.860000, 4.520000, 1.784000>
    }
    triangle {
      < -4.628000, 4.520000, 2.272000>,
      < -4.860000, 4.520000, 1.784000>,
      < -4.620000, 4.520000, 1.856000>
    }
    texture {engines}
  }
  // wingsl_engines
  union {
    triangle {
      < -4.872000, 4.520000, 2.312000>,
      < -4.872000, 9.416000, 2.312000>,
      < -4.860000, 9.416000, 1.784000>
    }
    triangle {
      < -4.872000, 4.520000, 2.312000>,
      < -4.860000, 9.416000, 1.784000>,
      < -4.860000, 4.520000, 1.784000>
    }
    triangle {
      < -4.872000, 9.416000, 2.312000>,
      < -4.748000, 9.780000, 2.292000>,
      < -4.740000, 9.780000, 1.832000>
    }
    triangle {
      < -4.872000, 9.416000, 2.312000>,
      < -4.740000, 9.780000, 1.832000>,
      < -4.860000, 9.416000, 1.784000>
    }
    texture {wingsl_engines}
  }
  // engines
  union {
    triangle {
      < -4.748000, 9.780000, 2.292000>,
      < -4.748000, 11.368000, 2.292000>,
      < -4.740000, 11.368000, 1.832000>
    }
    texture {engines}
  }
  // wingsl_engines
  union {
    triangle {
      < -4.748000, 9.780000, 2.292000>,
      < -4.740000, 11.368000, 1.832000>,
      < -4.740000, 9.780000, 1.832000>
    }
    texture {wingsl_engines}
  }
  // engines
  union {
    triangle {
      < -4.748000, 11.368000, 2.292000>,
      < -3.572000, 11.368000, 2.096000>,
      < -4.740000, 11.368000, 1.832000>
    }
    triangle {
      < -3.572000, 4.520000, 2.096000>,
      < -3.772000, 4.520000, 2.048000>,
      < -3.748000, 4.520000, 1.976000>
    }
    triangle {
      < -3.772000, 4.520000, 2.048000>,
      < -3.772000, 6.844000, 2.048000>,
      < -3.748000, 6.844000, 1.976000>
    }
    triangle {
      < -3.772000, 4.520000, 2.048000>,
      < -3.748000, 6.844000, 1.976000>,
      < -3.748000, 4.520000, 1.976000>
    }
    triangle {
      < -3.772000, 6.844000, 2.048000>,
      < -4.256000, 7.208000, 1.936000>,
      < -4.144000, 7.208000, 1.684000>
    }
    triangle {
      < -3.772000, 6.844000, 2.048000>,
      < -4.144000, 7.208000, 1.684000>,
      < -3.748000, 6.844000, 1.976000>
    }
    triangle {
      < -4.256000, 7.208000, 1.936000>,
      < -4.620000, 5.744000, 1.856000>,
      < -4.448000, 5.744000, 1.476000>
    }
    triangle {
      < -4.256000, 7.208000, 1.936000>,
      < -4.448000, 5.744000, 1.476000>,
      < -4.144000, 7.208000, 1.684000>
    }
    triangle {
      < -4.620000, 5.744000, 1.856000>,
      < -4.620000, 4.520000, 1.856000>,
      < -4.448000, 4.520000, 1.476000>
    }
    triangle {
      < -4.620000, 5.744000, 1.856000>,
      < -4.448000, 4.520000, 1.476000>,
      < -4.448000, 5.744000, 1.476000>
    }
    texture {engines}
  }
  // wingsl_engines
  union {
    triangle {
      < -4.620000, 4.520000, 1.856000>,
      < -4.860000, 4.520000, 1.784000>,
      < -4.652000, 4.520000, 1.332000>
    }
    triangle {
      < -4.620000, 4.520000, 1.856000>,
      < -4.652000, 4.520000, 1.332000>,
      < -4.448000, 4.520000, 1.476000>
    }
    texture {wingsl_engines}
  }
  // engines
  union {
    triangle {
      < -3.572000, 4.520000, 2.096000>,
      < -3.748000, 4.520000, 1.976000>,
      < -3.684000, 4.520000, 1.924000>
    }
    triangle {
      < -3.748000, 4.520000, 1.976000>,
      < -3.748000, 6.844000, 1.976000>,
      < -3.684000, 6.844000, 1.924000>
    }
    triangle {
      < -3.748000, 4.520000, 1.976000>,
      < -3.684000, 6.844000, 1.924000>,
      < -3.684000, 4.520000, 1.924000>
    }
    triangle {
      < -3.748000, 6.844000, 1.976000>,
      < -4.144000, 7.208000, 1.684000>,
      < -3.940000, 7.208000, 1.504000>
    }
    triangle {
      < -3.748000, 6.844000, 1.976000>,
      < -3.940000, 7.208000, 1.504000>,
      < -3.684000, 6.844000, 1.924000>
    }
    texture {engines}
  }
  // wingsl_engines
  union {
    triangle {
      < -4.144000, 7.208000, 1.684000>,
      < -4.448000, 5.744000, 1.476000>,
      < -4.144000, 5.744000, 1.188000>
    }
    triangle {
      < -4.144000, 7.208000, 1.684000>,
      < -4.144000, 5.744000, 1.188000>,
      < -3.940000, 7.208000, 1.504000>
    }
    triangle {
      < -4.448000, 5.744000, 1.476000>,
      < -4.448000, 4.520000, 1.476000>,
      < -4.144000, 4.520000, 1.188000>
    }
    triangle {
      < -4.448000, 5.744000, 1.476000>,
      < -4.144000, 4.520000, 1.188000>,
      < -4.144000, 5.744000, 1.188000>
    }
    triangle {
      < -4.448000, 4.520000, 1.476000>,
      < -4.652000, 4.520000, 1.332000>,
      < -4.280000, 4.520000, 0.980000>
    }
    triangle {
      < -4.448000, 4.520000, 1.476000>,
      < -4.280000, 4.520000, 0.980000>,
      < -4.144000, 4.520000, 1.188000>
    }
    texture {wingsl_engines}
  }
  // engines
  union {
    triangle {
      < -3.572000, 4.520000, 2.096000>,
      < -3.684000, 4.520000, 1.924000>,
      < -3.612000, 4.520000, 1.892000>
    }
    triangle {
      < -3.684000, 4.520000, 1.924000>,
      < -3.684000, 6.844000, 1.924000>,
      < -3.612000, 6.844000, 1.892000>
    }
    triangle {
      < -3.684000, 4.520000, 1.924000>,
      < -3.612000, 6.844000, 1.892000>,
      < -3.612000, 4.520000, 1.892000>
    }
    texture {engines}
  }
  // wingsl_engines
  union {
    triangle {
      < -3.940000, 7.208000, 1.504000>,
      < -4.144000, 5.744000, 1.188000>,
      < -3.764000, 5.744000, 1.048000>
    }
    triangle {
      < -4.144000, 5.744000, 1.188000>,
      < -4.144000, 4.520000, 1.188000>,
      < -3.764000, 4.520000, 1.048000>
    }
    triangle {
      < -4.144000, 5.744000, 1.188000>,
      < -3.764000, 4.520000, 1.048000>,
      < -3.764000, 5.744000, 1.048000>
    }
    triangle {
      < -4.144000, 4.520000, 1.188000>,
      < -4.280000, 4.520000, 0.980000>,
      < -3.800000, 4.520000, 0.804000>
    }
    triangle {
      < -4.144000, 4.520000, 1.188000>,
      < -3.800000, 4.520000, 0.804000>,
      < -3.764000, 4.520000, 1.048000>
    }
    texture {wingsl_engines}
  }
  // engines
  union {
    triangle {
      < -3.572000, 4.520000, 2.096000>,
      < -3.612000, 4.520000, 1.892000>,
      < -3.536000, 4.520000, 1.900000>
    }
    texture {engines}
  }
  // wingsl_engines
  union {
    triangle {
      < -3.764000, 5.744000, 1.048000>,
      < -3.764000, 4.520000, 1.048000>,
      < -3.340000, 4.520000, 1.052000>
    }
    triangle {
      < -3.764000, 5.744000, 1.048000>,
      < -3.340000, 4.520000, 1.052000>,
      < -3.340000, 5.744000, 1.052000>
    }
    triangle {
      < -3.764000, 4.520000, 1.048000>,
      < -3.800000, 4.520000, 0.804000>,
      < -3.288000, 4.520000, 0.812000>
    }
    triangle {
      < -3.764000, 4.520000, 1.048000>,
      < -3.288000, 4.520000, 0.812000>,
      < -3.340000, 4.520000, 1.052000>
    }
    texture {wingsl_engines}
  }
  // engines
  union {
    triangle {
      < -3.572000, 4.520000, 2.096000>,
      < -3.536000, 4.520000, 1.900000>,
      < -3.464000, 4.520000, 1.928000>
    }
    texture {engines}
  }
  // wingsl_engines
  union {
    triangle {
      < -3.420000, 7.208000, 1.416000>,
      < -3.340000, 5.744000, 1.052000>,
      < -2.964000, 5.744000, 1.228000>
    }
    triangle {
      < -3.420000, 7.208000, 1.416000>,
      < -2.964000, 5.744000, 1.228000>,
      < -3.172000, 7.208000, 1.528000>
    }
    triangle {
      < -3.340000, 5.744000, 1.052000>,
      < -3.340000, 4.520000, 1.052000>,
      < -2.964000, 4.520000, 1.228000>
    }
    triangle {
      < -3.340000, 5.744000, 1.052000>,
      < -2.964000, 4.520000, 1.228000>,
      < -2.964000, 5.744000, 1.228000>
    }
    triangle {
      < -3.340000, 4.520000, 1.052000>,
      < -3.288000, 4.520000, 0.812000>,
      < -2.820000, 4.520000, 1.016000>
    }
    triangle {
      < -3.340000, 4.520000, 1.052000>,
      < -2.820000, 4.520000, 1.016000>,
      < -2.964000, 4.520000, 1.228000>
    }
    texture {wingsl_engines}
  }
  // engines
  union {
    triangle {
      < -3.572000, 4.520000, 2.096000>,
      < -3.464000, 4.520000, 1.928000>,
      < -3.408000, 4.520000, 1.984000>
    }
    triangle {
      < -3.464000, 4.520000, 1.928000>,
      < -3.464000, 6.844000, 1.928000>,
      < -3.408000, 6.844000, 1.984000>
    }
    triangle {
      < -3.464000, 4.520000, 1.928000>,
      < -3.408000, 6.844000, 1.984000>,
      < -3.408000, 4.520000, 1.984000>
    }
    triangle {
      < -3.464000, 6.844000, 1.928000>,
      < -3.172000, 7.208000, 1.528000>,
      < -2.988000, 7.208000, 1.728000>
    }
    triangle {
      < -3.464000, 6.844000, 1.928000>,
      < -2.988000, 7.208000, 1.728000>,
      < -3.408000, 6.844000, 1.984000>
    }
    triangle {
      < -3.172000, 7.208000, 1.528000>,
      < -2.964000, 5.744000, 1.228000>,
      < -2.680000, 5.744000, 1.516000>
    }
    triangle {
      < -3.172000, 7.208000, 1.528000>,
      < -2.680000, 5.744000, 1.516000>,
      < -2.988000, 7.208000, 1.728000>
    }
    triangle {
      < -2.964000, 5.744000, 1.228000>,
      < -2.964000, 4.520000, 1.228000>,
      < -2.680000, 4.520000, 1.516000>
    }
    triangle {
      < -2.964000, 5.744000, 1.228000>,
      < -2.680000, 4.520000, 1.516000>,
      < -2.680000, 5.744000, 1.516000>
    }
    triangle {
      < -2.964000, 4.520000, 1.228000>,
      < -2.820000, 4.520000, 1.016000>,
      < -2.468000, 4.520000, 1.396000>
    }
    triangle {
      < -2.964000, 4.520000, 1.228000>,
      < -2.468000, 4.520000, 1.396000>,
      < -2.680000, 4.520000, 1.516000>
    }
    triangle {
      < -3.572000, 4.520000, 2.096000>,
      < -3.408000, 4.520000, 1.984000>,
      < -3.384000, 4.520000, 2.060000>
    }
    triangle {
      < -2.680000, 5.744000, 1.516000>,
      < -2.680000, 4.520000, 1.516000>,
      < -2.528000, 4.520000, 1.916000>
    }
    triangle {
      < -2.680000, 5.744000, 1.516000>,
      < -2.528000, 4.520000, 1.916000>,
      < -2.528000, 5.744000, 1.916000>
    }
    triangle {
      < -2.680000, 4.520000, 1.516000>,
      < -2.468000, 4.520000, 1.396000>,
      < -2.284000, 4.520000, 1.876000>
    }
    triangle {
      < -2.680000, 4.520000, 1.516000>,
      < -2.284000, 4.520000, 1.876000>,
      < -2.528000, 4.520000, 1.916000>
    }
    triangle {
      < -2.468000, 4.520000, 1.396000>,
      < -2.284000, 9.416000, 1.876000>,
      < -2.284000, 4.520000, 1.876000>
    }
    triangle {
      < -2.576000, 5.928000, 1.948000>,
      < -2.580000, 5.952000, 1.924000>,
      < -2.528000, 5.744000, 1.916000>
    }
    triangle {
      < -3.548000, 4.664000, 2.292000>,
      < -3.472000, 4.520000, 2.264000>,
      < -3.540000, 4.664000, 2.288000>
    }
    triangle {
      < -3.572000, 4.664000, 2.292000>,
      < -3.472000, 4.520000, 2.264000>,
      < -3.548000, 4.664000, 2.292000>
    }
    triangle {
      < -4.564000, 5.940000, 2.304000>,
      < -4.628000, 5.744000, 2.272000>,
      < -4.564000, 5.944000, 2.296000>
    }
    texture {engines}
  }
  // wingsl_engines
  union {
    triangle {
      < -3.668000, 7.072000, 1.580000>,
      < -3.684000, 6.844000, 1.924000>,
      < -3.696000, 7.200000, 1.420000>
    }
    texture {wingsl_engines}
  }
  // engines
  union {
    triangle {
      < -3.612000, 6.848000, 1.892000>,
      < -3.684000, 6.844000, 1.924000>,
      < -3.668000, 7.072000, 1.580000>
    }
    triangle {
      < -3.612000, 4.520000, 1.892000>,
      < -3.612000, 6.844000, 1.892000>,
      < -3.612000, 6.844000, 1.900000>
    }
    triangle {
      < -3.520000, 4.664000, 1.908000>,
      < -3.536000, 4.664000, 1.900000>,
      < -3.532000, 4.664000, 1.900000>
    }
    triangle {
      < -2.584000, 5.928000, 1.892000>,
      < -2.600000, 5.964000, 1.884000>,
      < -2.988000, 7.208000, 1.728000>
    }
    triangle {
      < -3.388000, 4.664000, 2.156000>,
      < -3.384000, 4.664000, 2.060000>,
      < -3.384000, 4.664000, 2.064000>
    }
    triangle {
      < -3.384000, 4.664000, 2.064000>,
      < -2.588000, 4.664000, 1.884000>,
      < -3.384000, 4.664000, 2.136000>
    }
    triangle {
      < -3.196000, 6.980000, 2.132000>,
      < -2.812000, 6.848000, 2.064000>,
      < -2.896000, 7.208000, 2.076000>
    }
    triangle {
      < -2.584000, 5.928000, 1.892000>,
      < -2.588000, 4.664000, 1.884000>,
      < -2.588000, 5.920000, 1.884000>
    }
    triangle {
      < -3.396000, 6.844000, 2.164000>,
      < -3.336000, 6.880000, 2.156000>,
      < -3.356000, 6.868000, 2.160000>
    }
    triangle {
      < -3.548000, 4.664000, 2.292000>,
      < -3.404000, 4.664000, 3.080000>,
      < -3.572000, 4.664000, 2.292000>
    }
    triangle {
      < -3.556000, 6.880000, 2.336000>,
      < -3.436000, 6.660000, 2.916000>,
      < -3.456000, 7.184000, 2.780000>
    }
    triangle {
      < -3.772000, 4.664000, 2.124000>,
      < -4.552000, 4.664000, 2.368000>,
      < -3.772000, 4.664000, 2.120000>
    }
    triangle {
      < -4.564000, 5.944000, 2.296000>,
      < -4.552000, 4.664000, 2.368000>,
      < -4.564000, 5.940000, 2.304000>
    }
    texture {engines}
  }
  // wingsl_engines
  union {
    triangle {
      < -3.696000, 7.200000, 1.420000>,
      < -3.700000, 7.208000, 1.412000>,
      < -3.720000, 6.736000, 1.292000>
    }
    triangle {
      < -3.540000, 6.984000, 1.708000>,
      < -3.608000, 6.844000, 1.324000>,
      < -3.588000, 7.208000, 1.412000>
    }
    triangle {
      < -3.504000, 6.844000, 1.912000>,
      < -3.648000, 4.664000, 1.092000>,
      < -3.504000, 6.848000, 1.904000>
    }
    texture {wingsl_engines}
  }
  // engines
  union {
    triangle {
      < -2.600000, 5.964000, 1.884000>,
      < -3.388000, 4.908000, 2.024000>,
      < -2.780000, 6.680000, 1.916000>
    }
    texture {engines}
  }
  // DEFAULT
  union {
    triangle {
      < -2.564000, 9.832000, 1.480000>,
      < -1.704000, 14.500000, 1.328000>,
      < -2.564000, 11.368000, 1.480000>
    }
    triangle {
      < -2.564000, 9.780000, 1.480000>,
      < -1.704000, 14.500000, 1.328000>,
      < -2.564000, 9.832000, 1.480000>
    }
    triangle {
      < -2.460000, 9.464000, 1.460000>,
      < -1.704000, 14.500000, 1.328000>,
      < -2.564000, 9.780000, 1.480000>
    }
    triangle {
      < -2.468000, 9.416000, 1.396000>,
      < -2.444000, 9.272000, 1.456000>,
      < -1.716000, 7.492000, 1.328000>
    }
    texture {DEFAULT}
  }
  // wingsl
  union {
    triangle {
      < -4.576000, 7.776000, 1.800000>,
      < -6.540000, 14.020000, 1.612000>,
      < -4.844000, 8.632000, 1.768000>
    }
    triangle {
      < -4.836000, 9.440000, 1.776000>,
      < -6.540000, 14.020000, 1.612000>,
      < -4.844000, 9.416000, 1.768000>
    }
    triangle {
      < -4.724000, 9.948000, 1.784000>,
      < -6.540000, 14.020000, 1.612000>,
      < -4.836000, 9.440000, 1.776000>
    }
    texture {wingsl}
  }
  // DEFAULT
  union {
    triangle {
      < -4.484000, 14.220000, 1.812000>,
      < -4.724000, 9.948000, 1.784000>,
      < -4.524000, 11.368000, 1.804000>
    }
    triangle {
      < -2.600000, 7.568000, 1.256000>,
      < -1.716000, 7.492000, 1.328000>,
      < -2.468000, 7.568000, 1.396000>
    }
    triangle {
      < -2.820000, 7.592000, 1.016000>,
      < -1.916000, 7.496000, 0.416000>,
      < -1.716000, 7.492000, 1.328000>
    }
    texture {DEFAULT}
  }
  // wingsl
  union {
    triangle {
      < -3.468000, 7.648000, 0.812000>,
      < -1.968000, 7.496000, 0.112000>,
      < -3.288000, 7.632000, 0.812000>
    }
    triangle {
      < -4.280000, 7.732000, 0.980000>,
      < -6.764000, 7.984000, 1.588000>,
      < -1.968000, 7.496000, 0.112000>
    }
    triangle {
      < -4.404000, 7.748000, 1.100000>,
      < -6.764000, 7.984000, 1.588000>,
      < -4.280000, 7.732000, 0.980000>
    }
    texture {wingsl}
  }
  // engines
  union {
    triangle {
      < -2.444000, 9.408000, 1.456000>,
      < -2.284000, 9.416000, 1.876000>,
      < -2.444000, 7.560000, 1.456000>
    }
    triangle {
      < -4.524000, 11.368000, 1.804000>,
      < -4.724000, 11.368000, 1.784000>,
      < -4.740000, 11.368000, 1.832000>
    }
    triangle {
      < -4.476000, 11.368000, 1.812000>,
      < -4.524000, 11.368000, 1.804000>,
      < -4.740000, 11.368000, 1.832000>
    }
    texture {engines}
  }
  // wingsl_engines
  union {
    triangle {
      < -4.860000, 4.520000, 1.784000>,
      < -4.836000, 9.440000, 1.776000>,
      < -4.844000, 9.416000, 1.768000>
    }
    triangle {
      < -4.836000, 9.440000, 1.776000>,
      < -4.740000, 9.780000, 1.832000>,
      < -4.724000, 9.780000, 1.784000>
    }
    texture {wingsl_engines}
  }
  // engines
  union {
    triangle {
      < -4.724000, 9.948000, 1.784000>,
      < -4.740000, 11.368000, 1.832000>,
      < -4.724000, 11.368000, 1.784000>
    }
    triangle {
      < -4.724000, 9.780000, 1.784000>,
      < -4.740000, 11.368000, 1.832000>,
      < -4.724000, 9.948000, 1.784000>
    }
    texture {engines}
  }
  // wingsl_engines
  union {
    triangle {
      < -3.116000, 7.616000, 0.892000>,
      < -2.988000, 7.604000, 0.940000>,
      < -3.288000, 4.520000, 0.812000>
    }
    texture {wingsl_engines}
  }
  // DEFAULT
  union {
    triangle {
      < -1.864000, 14.500000, 0.412000>,
      < -1.916000, 14.496000, 0.412000>,
      < -1.968000, 14.496000, 0.112000>
    }
    texture {DEFAULT}
  }
  // engines
  union {
    triangle {
      < -3.612000, 6.844000, 1.892000>,
      < -3.612000, 6.848000, 1.892000>,
      < -3.612000, 6.844000, 1.900000>
    }
    triangle {
      < -3.504000, 11.396000, 2.524000>,
      < -2.776000, 11.396000, 2.404000>,
      < -2.784000, 11.396000, 2.688000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < -2.776000, 11.396000, 2.404000>,
      < -2.776000, 12.556000, 2.404000>,
      < -2.784000, 12.556000, 2.688000>
    }
    triangle {
      < -2.776000, 11.396000, 2.404000>,
      < -2.784000, 12.556000, 2.688000>,
      < -2.784000, 11.396000, 2.688000>
    }
    triangle {
      < -2.776000, 12.556000, 2.404000>,
      < -2.868000, 12.848000, 2.420000>,
      < -2.872000, 12.848000, 2.672000>
    }
    triangle {
      < -2.776000, 12.556000, 2.404000>,
      < -2.872000, 12.848000, 2.672000>,
      < -2.784000, 12.556000, 2.688000>
    }
    triangle {
      < -2.868000, 12.848000, 2.420000>,
      < -2.776000, 13.428000, 2.404000>,
      < -2.784000, 13.428000, 2.688000>
    }
    triangle {
      < -2.868000, 12.848000, 2.420000>,
      < -2.784000, 13.428000, 2.688000>,
      < -2.872000, 12.848000, 2.672000>
    }
    triangle {
      < -2.776000, 13.428000, 2.404000>,
      < -2.776000, 14.200000, 2.404000>,
      < -2.784000, 14.200000, 2.688000>
    }
    triangle {
      < -2.776000, 13.428000, 2.404000>,
      < -2.784000, 14.200000, 2.688000>,
      < -2.784000, 13.428000, 2.688000>
    }
    triangle {
      < -2.776000, 14.200000, 2.404000>,
      < -2.868000, 14.300000, 2.420000>,
      < -2.872000, 14.300000, 2.672000>
    }
    triangle {
      < -2.776000, 14.200000, 2.404000>,
      < -2.872000, 14.300000, 2.672000>,
      < -2.784000, 14.200000, 2.688000>
    }
    triangle {
      < -2.868000, 14.300000, 2.420000>,
      < -2.960000, 15.360000, 2.432000>,
      < -2.968000, 15.360000, 2.648000>
    }
    triangle {
      < -2.868000, 14.300000, 2.420000>,
      < -2.968000, 15.360000, 2.648000>,
      < -2.872000, 14.300000, 2.672000>
    }
    triangle {
      < -2.960000, 15.360000, 2.432000>,
      < -2.868000, 15.556000, 2.420000>,
      < -2.872000, 15.556000, 2.672000>
    }
    triangle {
      < -2.960000, 15.360000, 2.432000>,
      < -2.872000, 15.556000, 2.672000>,
      < -2.968000, 15.360000, 2.648000>
    }
    triangle {
      < -2.868000, 15.556000, 2.420000>,
      < -3.020000, 17.104000, 2.444000>,
      < -3.024000, 17.104000, 2.636000>
    }
    triangle {
      < -2.868000, 15.556000, 2.420000>,
      < -3.024000, 17.104000, 2.636000>,
      < -2.872000, 15.556000, 2.672000>
    }
    triangle {
      < -3.020000, 17.104000, 2.444000>,
      < -3.112000, 17.104000, 2.460000>,
      < -3.116000, 17.104000, 2.612000>
    }
    triangle {
      < -3.020000, 17.104000, 2.444000>,
      < -3.116000, 17.104000, 2.612000>,
      < -3.024000, 17.104000, 2.636000>
    }
    triangle {
      < -3.112000, 17.104000, 2.460000>,
      < -3.200000, 15.944000, 2.472000>,
      < -3.204000, 15.944000, 2.596000>
    }
    triangle {
      < -3.112000, 17.104000, 2.460000>,
      < -3.204000, 15.944000, 2.596000>,
      < -3.116000, 17.104000, 2.612000>
    }
    triangle {
      < -3.200000, 15.944000, 2.472000>,
      < -3.504000, 15.752000, 2.524000>,
      < -3.204000, 15.944000, 2.596000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < -3.504000, 11.396000, 2.524000>,
      < -2.784000, 11.396000, 2.688000>,
      < -2.904000, 11.396000, 2.956000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < -2.784000, 11.396000, 2.688000>,
      < -2.784000, 12.556000, 2.688000>,
      < -2.904000, 12.556000, 2.956000>
    }
    triangle {
      < -2.784000, 11.396000, 2.688000>,
      < -2.904000, 12.556000, 2.956000>,
      < -2.904000, 11.396000, 2.956000>
    }
    triangle {
      < -2.784000, 12.556000, 2.688000>,
      < -2.872000, 12.848000, 2.672000>,
      < -2.976000, 12.848000, 2.900000>
    }
    triangle {
      < -2.784000, 12.556000, 2.688000>,
      < -2.976000, 12.848000, 2.900000>,
      < -2.904000, 12.556000, 2.956000>
    }
    triangle {
      < -2.872000, 12.848000, 2.672000>,
      < -2.784000, 13.428000, 2.688000>,
      < -2.904000, 13.428000, 2.956000>
    }
    triangle {
      < -2.872000, 12.848000, 2.672000>,
      < -2.904000, 13.428000, 2.956000>,
      < -2.976000, 12.848000, 2.900000>
    }
    triangle {
      < -2.784000, 13.428000, 2.688000>,
      < -2.784000, 14.200000, 2.688000>,
      < -2.904000, 14.200000, 2.956000>
    }
    triangle {
      < -2.784000, 13.428000, 2.688000>,
      < -2.904000, 14.200000, 2.956000>,
      < -2.904000, 13.428000, 2.956000>
    }
    triangle {
      < -2.784000, 14.200000, 2.688000>,
      < -2.872000, 14.300000, 2.672000>,
      < -2.976000, 14.300000, 2.900000>
    }
    triangle {
      < -2.784000, 14.200000, 2.688000>,
      < -2.976000, 14.300000, 2.900000>,
      < -2.904000, 14.200000, 2.956000>
    }
    triangle {
      < -2.872000, 14.300000, 2.672000>,
      < -2.968000, 15.360000, 2.648000>,
      < -3.052000, 15.360000, 2.848000>
    }
    triangle {
      < -2.872000, 14.300000, 2.672000>,
      < -3.052000, 15.360000, 2.848000>,
      < -2.976000, 14.300000, 2.900000>
    }
    triangle {
      < -2.968000, 15.360000, 2.648000>,
      < -2.872000, 15.556000, 2.672000>,
      < -2.976000, 15.556000, 2.900000>
    }
    triangle {
      < -2.968000, 15.360000, 2.648000>,
      < -2.976000, 15.556000, 2.900000>,
      < -3.052000, 15.360000, 2.848000>
    }
    triangle {
      < -2.872000, 15.556000, 2.672000>,
      < -3.024000, 17.104000, 2.636000>,
      < -3.104000, 17.104000, 2.812000>
    }
    triangle {
      < -2.872000, 15.556000, 2.672000>,
      < -3.104000, 17.104000, 2.812000>,
      < -2.976000, 15.556000, 2.900000>
    }
    triangle {
      < -3.024000, 17.104000, 2.636000>,
      < -3.116000, 17.104000, 2.612000>,
      < -3.180000, 17.104000, 2.756000>
    }
    triangle {
      < -3.024000, 17.104000, 2.636000>,
      < -3.180000, 17.104000, 2.756000>,
      < -3.104000, 17.104000, 2.812000>
    }
    triangle {
      < -3.116000, 17.104000, 2.612000>,
      < -3.204000, 15.944000, 2.596000>,
      < -3.252000, 15.944000, 2.704000>
    }
    triangle {
      < -3.116000, 17.104000, 2.612000>,
      < -3.252000, 15.944000, 2.704000>,
      < -3.180000, 17.104000, 2.756000>
    }
    triangle {
      < -3.204000, 15.944000, 2.596000>,
      < -3.504000, 15.752000, 2.524000>,
      < -3.252000, 15.944000, 2.704000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < -3.504000, 11.396000, 2.524000>,
      < -2.904000, 11.396000, 2.956000>,
      < -3.116000, 11.396000, 3.152000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < -2.904000, 11.396000, 2.956000>,
      < -2.904000, 12.556000, 2.956000>,
      < -3.116000, 12.556000, 3.152000>
    }
    triangle {
      < -2.904000, 11.396000, 2.956000>,
      < -3.116000, 12.556000, 3.152000>,
      < -3.116000, 11.396000, 3.152000>
    }
    triangle {
      < -2.904000, 12.556000, 2.956000>,
      < -2.976000, 12.848000, 2.900000>,
      < -3.164000, 12.848000, 3.072000>
    }
    triangle {
      < -2.904000, 12.556000, 2.956000>,
      < -3.164000, 12.848000, 3.072000>,
      < -3.116000, 12.556000, 3.152000>
    }
    triangle {
      < -2.976000, 12.848000, 2.900000>,
      < -2.904000, 13.428000, 2.956000>,
      < -3.116000, 13.428000, 3.152000>
    }
    triangle {
      < -2.976000, 12.848000, 2.900000>,
      < -3.116000, 13.428000, 3.152000>,
      < -3.164000, 12.848000, 3.072000>
    }
    triangle {
      < -2.904000, 13.428000, 2.956000>,
      < -2.904000, 14.200000, 2.956000>,
      < -3.116000, 14.200000, 3.152000>
    }
    triangle {
      < -2.904000, 13.428000, 2.956000>,
      < -3.116000, 14.200000, 3.152000>,
      < -3.116000, 13.428000, 3.152000>
    }
    triangle {
      < -2.904000, 14.200000, 2.956000>,
      < -2.976000, 14.300000, 2.900000>,
      < -3.164000, 14.300000, 3.072000>
    }
    triangle {
      < -2.904000, 14.200000, 2.956000>,
      < -3.164000, 14.300000, 3.072000>,
      < -3.116000, 14.200000, 3.152000>
    }
    triangle {
      < -2.976000, 14.300000, 2.900000>,
      < -3.052000, 15.360000, 2.848000>,
      < -3.208000, 15.360000, 2.996000>
    }
    triangle {
      < -2.976000, 14.300000, 2.900000>,
      < -3.208000, 15.360000, 2.996000>,
      < -3.164000, 14.300000, 3.072000>
    }
    triangle {
      < -3.052000, 15.360000, 2.848000>,
      < -2.976000, 15.556000, 2.900000>,
      < -3.164000, 15.556000, 3.072000>
    }
    triangle {
      < -3.052000, 15.360000, 2.848000>,
      < -3.164000, 15.556000, 3.072000>,
      < -3.208000, 15.360000, 2.996000>
    }
    triangle {
      < -2.976000, 15.556000, 2.900000>,
      < -3.104000, 17.104000, 2.812000>,
      < -3.240000, 17.104000, 2.944000>
    }
    triangle {
      < -2.976000, 15.556000, 2.900000>,
      < -3.240000, 17.104000, 2.944000>,
      < -3.164000, 15.556000, 3.072000>
    }
    texture {rockets}
  }
  // rockets_engines
  union {
    triangle {
      < -3.104000, 17.104000, 2.812000>,
      < -3.180000, 17.104000, 2.756000>,
      < -3.296000, 17.104000, 2.864000>
    }
    triangle {
      < -3.104000, 17.104000, 2.812000>,
      < -3.296000, 17.104000, 2.864000>,
      < -3.240000, 17.104000, 2.944000>
    }
    texture {rockets_engines}
  }
  // rockets
  union {
    triangle {
      < -3.180000, 17.104000, 2.756000>,
      < -3.252000, 15.944000, 2.704000>,
      < -3.340000, 15.944000, 2.784000>
    }
    triangle {
      < -3.180000, 17.104000, 2.756000>,
      < -3.340000, 15.944000, 2.784000>,
      < -3.296000, 17.104000, 2.864000>
    }
    triangle {
      < -3.252000, 15.944000, 2.704000>,
      < -3.504000, 15.752000, 2.524000>,
      < -3.340000, 15.944000, 2.784000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < -3.504000, 11.396000, 2.524000>,
      < -3.116000, 11.396000, 3.152000>,
      < -3.380000, 11.396000, 3.252000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < -3.116000, 11.396000, 3.152000>,
      < -3.116000, 12.556000, 3.152000>,
      < -3.380000, 12.556000, 3.252000>
    }
    triangle {
      < -3.116000, 11.396000, 3.152000>,
      < -3.380000, 12.556000, 3.252000>,
      < -3.380000, 11.396000, 3.252000>
    }
    triangle {
      < -3.116000, 12.556000, 3.152000>,
      < -3.164000, 12.848000, 3.072000>,
      < -3.396000, 12.848000, 3.160000>
    }
    triangle {
      < -3.116000, 12.556000, 3.152000>,
      < -3.396000, 12.848000, 3.160000>,
      < -3.380000, 12.556000, 3.252000>
    }
    triangle {
      < -3.164000, 12.848000, 3.072000>,
      < -3.116000, 13.428000, 3.152000>,
      < -3.380000, 13.428000, 3.252000>
    }
    triangle {
      < -3.164000, 12.848000, 3.072000>,
      < -3.380000, 13.428000, 3.252000>,
      < -3.396000, 12.848000, 3.160000>
    }
    triangle {
      < -3.116000, 13.428000, 3.152000>,
      < -3.116000, 14.200000, 3.152000>,
      < -3.380000, 14.200000, 3.252000>
    }
    triangle {
      < -3.116000, 13.428000, 3.152000>,
      < -3.380000, 14.200000, 3.252000>,
      < -3.380000, 13.428000, 3.252000>
    }
    triangle {
      < -3.116000, 14.200000, 3.152000>,
      < -3.164000, 14.300000, 3.072000>,
      < -3.396000, 14.300000, 3.160000>
    }
    triangle {
      < -3.116000, 14.200000, 3.152000>,
      < -3.396000, 14.300000, 3.160000>,
      < -3.380000, 14.200000, 3.252000>
    }
    triangle {
      < -3.164000, 14.300000, 3.072000>,
      < -3.208000, 15.360000, 2.996000>,
      < -3.412000, 15.360000, 3.072000>
    }
    triangle {
      < -3.164000, 14.300000, 3.072000>,
      < -3.412000, 15.360000, 3.072000>,
      < -3.396000, 14.300000, 3.160000>
    }
    triangle {
      < -3.208000, 15.360000, 2.996000>,
      < -3.164000, 15.556000, 3.072000>,
      < -3.396000, 15.556000, 3.160000>
    }
    triangle {
      < -3.208000, 15.360000, 2.996000>,
      < -3.396000, 15.556000, 3.160000>,
      < -3.412000, 15.360000, 3.072000>
    }
    triangle {
      < -3.164000, 15.556000, 3.072000>,
      < -3.240000, 17.104000, 2.944000>,
      < -3.420000, 17.104000, 3.008000>
    }
    triangle {
      < -3.164000, 15.556000, 3.072000>,
      < -3.420000, 17.104000, 3.008000>,
      < -3.396000, 15.556000, 3.160000>
    }
    triangle {
      < -3.240000, 17.104000, 2.944000>,
      < -3.296000, 17.104000, 2.864000>,
      < -3.436000, 17.104000, 2.920000>
    }
    triangle {
      < -3.240000, 17.104000, 2.944000>,
      < -3.436000, 17.104000, 2.920000>,
      < -3.420000, 17.104000, 3.008000>
    }
    triangle {
      < -3.296000, 17.104000, 2.864000>,
      < -3.340000, 15.944000, 2.784000>,
      < -3.448000, 15.944000, 2.824000>
    }
    triangle {
      < -3.296000, 17.104000, 2.864000>,
      < -3.448000, 15.944000, 2.824000>,
      < -3.436000, 17.104000, 2.920000>
    }
    triangle {
      < -3.340000, 15.944000, 2.784000>,
      < -3.504000, 15.752000, 2.524000>,
      < -3.448000, 15.944000, 2.824000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < -3.504000, 11.396000, 2.524000>,
      < -3.380000, 11.396000, 3.252000>,
      < -3.668000, 11.396000, 3.240000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < -3.380000, 11.396000, 3.252000>,
      < -3.380000, 12.556000, 3.252000>,
      < -3.668000, 12.556000, 3.240000>
    }
    triangle {
      < -3.380000, 11.396000, 3.252000>,
      < -3.668000, 12.556000, 3.240000>,
      < -3.668000, 11.396000, 3.240000>
    }
    triangle {
      < -3.380000, 12.556000, 3.252000>,
      < -3.396000, 12.848000, 3.160000>,
      < -3.648000, 12.848000, 3.156000>
    }
    triangle {
      < -3.380000, 12.556000, 3.252000>,
      < -3.648000, 12.848000, 3.156000>,
      < -3.668000, 12.556000, 3.240000>
    }
    triangle {
      < -3.396000, 12.848000, 3.160000>,
      < -3.380000, 13.428000, 3.252000>,
      < -3.668000, 13.428000, 3.240000>
    }
    triangle {
      < -3.396000, 12.848000, 3.160000>,
      < -3.668000, 13.428000, 3.240000>,
      < -3.648000, 12.848000, 3.156000>
    }
    triangle {
      < -3.380000, 13.428000, 3.252000>,
      < -3.380000, 14.200000, 3.252000>,
      < -3.668000, 14.200000, 3.240000>
    }
    triangle {
      < -3.380000, 13.428000, 3.252000>,
      < -3.668000, 14.200000, 3.240000>,
      < -3.668000, 13.428000, 3.240000>
    }
    triangle {
      < -3.380000, 14.200000, 3.252000>,
      < -3.396000, 14.300000, 3.160000>,
      < -3.648000, 14.300000, 3.156000>
    }
    triangle {
      < -3.380000, 14.200000, 3.252000>,
      < -3.648000, 14.300000, 3.156000>,
      < -3.668000, 14.200000, 3.240000>
    }
    triangle {
      < -3.396000, 14.300000, 3.160000>,
      < -3.412000, 15.360000, 3.072000>,
      < -3.624000, 15.360000, 3.064000>
    }
    triangle {
      < -3.396000, 14.300000, 3.160000>,
      < -3.624000, 15.360000, 3.064000>,
      < -3.648000, 14.300000, 3.156000>
    }
    triangle {
      < -3.412000, 15.360000, 3.072000>,
      < -3.396000, 15.556000, 3.160000>,
      < -3.648000, 15.556000, 3.156000>
    }
    triangle {
      < -3.412000, 15.360000, 3.072000>,
      < -3.648000, 15.556000, 3.156000>,
      < -3.624000, 15.360000, 3.064000>
    }
    triangle {
      < -3.396000, 15.556000, 3.160000>,
      < -3.420000, 17.104000, 3.008000>,
      < -3.616000, 17.104000, 3.004000>
    }
    triangle {
      < -3.396000, 15.556000, 3.160000>,
      < -3.616000, 17.104000, 3.004000>,
      < -3.648000, 15.556000, 3.156000>
    }
    triangle {
      < -3.420000, 17.104000, 3.008000>,
      < -3.436000, 17.104000, 2.920000>,
      < -3.584000, 17.104000, 2.912000>
    }
    triangle {
      < -3.420000, 17.104000, 3.008000>,
      < -3.584000, 17.104000, 2.912000>,
      < -3.616000, 17.104000, 3.004000>
    }
    triangle {
      < -3.436000, 17.104000, 2.920000>,
      < -3.448000, 15.944000, 2.824000>,
      < -3.572000, 15.944000, 2.828000>
    }
    triangle {
      < -3.436000, 17.104000, 2.920000>,
      < -3.572000, 15.944000, 2.828000>,
      < -3.584000, 17.104000, 2.912000>
    }
    triangle {
      < -3.448000, 15.944000, 2.824000>,
      < -3.504000, 15.752000, 2.524000>,
      < -3.572000, 15.944000, 2.828000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < -3.504000, 11.396000, 2.524000>,
      < -3.668000, 11.396000, 3.240000>,
      < -3.932000, 11.396000, 3.128000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < -3.668000, 11.396000, 3.240000>,
      < -3.668000, 12.556000, 3.240000>,
      < -3.932000, 12.556000, 3.128000>
    }
    triangle {
      < -3.668000, 11.396000, 3.240000>,
      < -3.932000, 12.556000, 3.128000>,
      < -3.932000, 11.396000, 3.128000>
    }
    triangle {
      < -3.668000, 12.556000, 3.240000>,
      < -3.648000, 12.848000, 3.156000>,
      < -3.880000, 12.848000, 3.052000>
    }
    triangle {
      < -3.668000, 12.556000, 3.240000>,
      < -3.880000, 12.848000, 3.052000>,
      < -3.932000, 12.556000, 3.128000>
    }
    triangle {
      < -3.648000, 12.848000, 3.156000>,
      < -3.668000, 13.428000, 3.240000>,
      < -3.932000, 13.428000, 3.128000>
    }
    triangle {
      < -3.648000, 12.848000, 3.156000>,
      < -3.932000, 13.428000, 3.128000>,
      < -3.880000, 12.848000, 3.052000>
    }
    triangle {
      < -3.668000, 13.428000, 3.240000>,
      < -3.668000, 14.200000, 3.240000>,
      < -3.932000, 14.200000, 3.128000>
    }
    triangle {
      < -3.668000, 13.428000, 3.240000>,
      < -3.932000, 14.200000, 3.128000>,
      < -3.932000, 13.428000, 3.128000>
    }
    triangle {
      < -3.668000, 14.200000, 3.240000>,
      < -3.648000, 14.300000, 3.156000>,
      < -3.880000, 14.300000, 3.052000>
    }
    triangle {
      < -3.668000, 14.200000, 3.240000>,
      < -3.880000, 14.300000, 3.052000>,
      < -3.932000, 14.200000, 3.128000>
    }
    triangle {
      < -3.648000, 14.300000, 3.156000>,
      < -3.624000, 15.360000, 3.064000>,
      < -3.824000, 15.360000, 2.980000>
    }
    triangle {
      < -3.648000, 14.300000, 3.156000>,
      < -3.824000, 15.360000, 2.980000>,
      < -3.880000, 14.300000, 3.052000>
    }
    triangle {
      < -3.624000, 15.360000, 3.064000>,
      < -3.648000, 15.556000, 3.156000>,
      < -3.880000, 15.556000, 3.052000>
    }
    triangle {
      < -3.624000, 15.360000, 3.064000>,
      < -3.880000, 15.556000, 3.052000>,
      < -3.824000, 15.360000, 2.980000>
    }
    triangle {
      < -3.648000, 15.556000, 3.156000>,
      < -3.616000, 17.104000, 3.004000>,
      < -3.788000, 17.104000, 2.928000>
    }
    triangle {
      < -3.648000, 15.556000, 3.156000>,
      < -3.788000, 17.104000, 2.928000>,
      < -3.880000, 15.556000, 3.052000>
    }
    triangle {
      < -3.616000, 17.104000, 3.004000>,
      < -3.584000, 17.104000, 2.912000>,
      < -3.736000, 17.104000, 2.852000>
    }
    triangle {
      < -3.616000, 17.104000, 3.004000>,
      < -3.736000, 17.104000, 2.852000>,
      < -3.788000, 17.104000, 2.928000>
    }
    triangle {
      < -3.584000, 17.104000, 2.912000>,
      < -3.572000, 15.944000, 2.828000>,
      < -3.680000, 15.944000, 2.776000>
    }
    triangle {
      < -3.584000, 17.104000, 2.912000>,
      < -3.680000, 15.944000, 2.776000>,
      < -3.736000, 17.104000, 2.852000>
    }
    triangle {
      < -3.572000, 15.944000, 2.828000>,
      < -3.504000, 15.752000, 2.524000>,
      < -3.680000, 15.944000, 2.776000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < -3.504000, 11.396000, 2.524000>,
      < -3.932000, 11.396000, 3.128000>,
      < -4.132000, 11.396000, 2.916000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < -3.932000, 11.396000, 3.128000>,
      < -3.932000, 12.556000, 3.128000>,
      < -4.132000, 12.556000, 2.916000>
    }
    triangle {
      < -3.932000, 11.396000, 3.128000>,
      < -4.132000, 12.556000, 2.916000>,
      < -4.132000, 11.396000, 2.916000>
    }
    triangle {
      < -3.932000, 12.556000, 3.128000>,
      < -3.880000, 12.848000, 3.052000>,
      < -4.048000, 12.848000, 2.864000>
    }
    triangle {
      < -3.932000, 12.556000, 3.128000>,
      < -4.048000, 12.848000, 2.864000>,
      < -4.132000, 12.556000, 2.916000>
    }
    triangle {
      < -3.880000, 12.848000, 3.052000>,
      < -3.932000, 13.428000, 3.128000>,
      < -4.132000, 13.428000, 2.916000>
    }
    triangle {
      < -3.880000, 12.848000, 3.052000>,
      < -4.132000, 13.428000, 2.916000>,
      < -4.048000, 12.848000, 2.864000>
    }
    triangle {
      < -3.932000, 13.428000, 3.128000>,
      < -3.932000, 14.200000, 3.128000>,
      < -4.132000, 14.200000, 2.916000>
    }
    triangle {
      < -3.932000, 13.428000, 3.128000>,
      < -4.132000, 14.200000, 2.916000>,
      < -4.132000, 13.428000, 2.916000>
    }
    triangle {
      < -3.932000, 14.200000, 3.128000>,
      < -3.880000, 14.300000, 3.052000>,
      < -4.048000, 14.300000, 2.864000>
    }
    triangle {
      < -3.932000, 14.200000, 3.128000>,
      < -4.048000, 14.300000, 2.864000>,
      < -4.132000, 14.200000, 2.916000>
    }
    triangle {
      < -3.880000, 14.300000, 3.052000>,
      < -3.824000, 15.360000, 2.980000>,
      < -3.972000, 15.360000, 2.812000>
    }
    triangle {
      < -3.880000, 14.300000, 3.052000>,
      < -3.972000, 15.360000, 2.812000>,
      < -4.048000, 14.300000, 2.864000>
    }
    triangle {
      < -3.824000, 15.360000, 2.980000>,
      < -3.880000, 15.556000, 3.052000>,
      < -4.048000, 15.556000, 2.864000>
    }
    triangle {
      < -3.824000, 15.360000, 2.980000>,
      < -4.048000, 15.556000, 2.864000>,
      < -3.972000, 15.360000, 2.812000>
    }
    triangle {
      < -3.880000, 15.556000, 3.052000>,
      < -3.788000, 17.104000, 2.928000>,
      < -3.920000, 17.104000, 2.784000>
    }
    triangle {
      < -3.880000, 15.556000, 3.052000>,
      < -3.920000, 17.104000, 2.784000>,
      < -4.048000, 15.556000, 2.864000>
    }
    triangle {
      < -3.788000, 17.104000, 2.928000>,
      < -3.736000, 17.104000, 2.852000>,
      < -3.840000, 17.104000, 2.736000>
    }
    triangle {
      < -3.788000, 17.104000, 2.928000>,
      < -3.840000, 17.104000, 2.736000>,
      < -3.920000, 17.104000, 2.784000>
    }
    triangle {
      < -3.736000, 17.104000, 2.852000>,
      < -3.680000, 15.944000, 2.776000>,
      < -3.764000, 15.944000, 2.688000>
    }
    triangle {
      < -3.736000, 17.104000, 2.852000>,
      < -3.764000, 15.944000, 2.688000>,
      < -3.840000, 17.104000, 2.736000>
    }
    triangle {
      < -3.680000, 15.944000, 2.776000>,
      < -3.504000, 15.752000, 2.524000>,
      < -3.764000, 15.944000, 2.688000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < -3.504000, 11.396000, 2.524000>,
      < -4.132000, 11.396000, 2.916000>,
      < -4.232000, 11.396000, 2.652000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < -4.132000, 11.396000, 2.916000>,
      < -4.132000, 12.556000, 2.916000>,
      < -4.232000, 12.556000, 2.652000>
    }
    triangle {
      < -4.132000, 11.396000, 2.916000>,
      < -4.232000, 12.556000, 2.652000>,
      < -4.232000, 11.396000, 2.652000>
    }
    triangle {
      < -4.132000, 12.556000, 2.916000>,
      < -4.048000, 12.848000, 2.864000>,
      < -4.140000, 12.848000, 2.636000>
    }
    triangle {
      < -4.132000, 12.556000, 2.916000>,
      < -4.140000, 12.848000, 2.636000>,
      < -4.232000, 12.556000, 2.652000>
    }
    triangle {
      < -4.048000, 12.848000, 2.864000>,
      < -4.132000, 13.428000, 2.916000>,
      < -4.232000, 13.428000, 2.652000>
    }
    triangle {
      < -4.048000, 12.848000, 2.864000>,
      < -4.232000, 13.428000, 2.652000>,
      < -4.140000, 12.848000, 2.636000>
    }
    triangle {
      < -4.132000, 13.428000, 2.916000>,
      < -4.132000, 14.200000, 2.916000>,
      < -4.232000, 14.200000, 2.652000>
    }
    triangle {
      < -4.132000, 13.428000, 2.916000>,
      < -4.232000, 14.200000, 2.652000>,
      < -4.232000, 13.428000, 2.652000>
    }
    triangle {
      < -4.132000, 14.200000, 2.916000>,
      < -4.048000, 14.300000, 2.864000>,
      < -4.140000, 14.300000, 2.636000>
    }
    triangle {
      < -4.132000, 14.200000, 2.916000>,
      < -4.140000, 14.300000, 2.636000>,
      < -4.232000, 14.200000, 2.652000>
    }
    triangle {
      < -4.048000, 14.300000, 2.864000>,
      < -3.972000, 15.360000, 2.812000>,
      < -4.048000, 15.360000, 2.620000>
    }
    triangle {
      < -4.048000, 14.300000, 2.864000>,
      < -4.048000, 15.360000, 2.620000>,
      < -4.140000, 14.300000, 2.636000>
    }
    triangle {
      < -3.972000, 15.360000, 2.812000>,
      < -4.048000, 15.556000, 2.864000>,
      < -4.140000, 15.556000, 2.636000>
    }
    triangle {
      < -3.972000, 15.360000, 2.812000>,
      < -4.140000, 15.556000, 2.636000>,
      < -4.048000, 15.360000, 2.620000>
    }
    triangle {
      < -4.048000, 15.556000, 2.864000>,
      < -3.920000, 17.104000, 2.784000>,
      < -3.988000, 17.104000, 2.608000>
    }
    triangle {
      < -4.048000, 15.556000, 2.864000>,
      < -3.988000, 17.104000, 2.608000>,
      < -4.140000, 15.556000, 2.636000>
    }
    triangle {
      < -3.920000, 17.104000, 2.784000>,
      < -3.840000, 17.104000, 2.736000>,
      < -3.896000, 17.104000, 2.592000>
    }
    triangle {
      < -3.920000, 17.104000, 2.784000>,
      < -3.896000, 17.104000, 2.592000>,
      < -3.988000, 17.104000, 2.608000>
    }
    triangle {
      < -3.840000, 17.104000, 2.736000>,
      < -3.764000, 15.944000, 2.688000>,
      < -3.804000, 15.944000, 2.576000>
    }
    triangle {
      < -3.840000, 17.104000, 2.736000>,
      < -3.804000, 15.944000, 2.576000>,
      < -3.896000, 17.104000, 2.592000>
    }
    triangle {
      < -3.764000, 15.944000, 2.688000>,
      < -3.504000, 15.752000, 2.524000>,
      < -3.804000, 15.944000, 2.576000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < -3.504000, 11.396000, 2.524000>,
      < -4.232000, 11.396000, 2.652000>,
      < -4.220000, 11.396000, 2.360000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < -4.232000, 11.396000, 2.652000>,
      < -4.232000, 12.556000, 2.652000>,
      < -4.220000, 12.556000, 2.360000>
    }
    triangle {
      < -4.232000, 11.396000, 2.652000>,
      < -4.220000, 12.556000, 2.360000>,
      < -4.220000, 11.396000, 2.360000>
    }
    triangle {
      < -4.232000, 12.556000, 2.652000>,
      < -4.140000, 12.848000, 2.636000>,
      < -4.124000, 12.848000, 2.384000>
    }
    triangle {
      < -4.232000, 12.556000, 2.652000>,
      < -4.124000, 12.848000, 2.384000>,
      < -4.220000, 12.556000, 2.360000>
    }
    triangle {
      < -4.140000, 12.848000, 2.636000>,
      < -4.232000, 13.428000, 2.652000>,
      < -4.220000, 13.428000, 2.360000>
    }
    triangle {
      < -4.140000, 12.848000, 2.636000>,
      < -4.220000, 13.428000, 2.360000>,
      < -4.124000, 12.848000, 2.384000>
    }
    triangle {
      < -4.232000, 13.428000, 2.652000>,
      < -4.232000, 14.200000, 2.652000>,
      < -4.220000, 14.200000, 2.360000>
    }
    triangle {
      < -4.232000, 13.428000, 2.652000>,
      < -4.220000, 14.200000, 2.360000>,
      < -4.220000, 13.428000, 2.360000>
    }
    triangle {
      < -4.232000, 14.200000, 2.652000>,
      < -4.140000, 14.300000, 2.636000>,
      < -4.124000, 14.300000, 2.384000>
    }
    triangle {
      < -4.232000, 14.200000, 2.652000>,
      < -4.124000, 14.300000, 2.384000>,
      < -4.220000, 14.200000, 2.360000>
    }
    triangle {
      < -4.140000, 14.300000, 2.636000>,
      < -4.048000, 15.360000, 2.620000>,
      < -4.040000, 15.360000, 2.400000>
    }
    triangle {
      < -4.140000, 14.300000, 2.636000>,
      < -4.040000, 15.360000, 2.400000>,
      < -4.124000, 14.300000, 2.384000>
    }
    triangle {
      < -4.048000, 15.360000, 2.620000>,
      < -4.140000, 15.556000, 2.636000>,
      < -4.124000, 15.556000, 2.384000>
    }
    triangle {
      < -4.048000, 15.360000, 2.620000>,
      < -4.124000, 15.556000, 2.384000>,
      < -4.040000, 15.360000, 2.400000>
    }
    triangle {
      < -4.140000, 15.556000, 2.636000>,
      < -3.988000, 17.104000, 2.608000>,
      < -3.980000, 17.104000, 2.416000>
    }
    triangle {
      < -4.140000, 15.556000, 2.636000>,
      < -3.980000, 17.104000, 2.416000>,
      < -4.124000, 15.556000, 2.384000>
    }
    triangle {
      < -3.988000, 17.104000, 2.608000>,
      < -3.896000, 17.104000, 2.592000>,
      < -3.888000, 17.104000, 2.436000>
    }
    triangle {
      < -3.988000, 17.104000, 2.608000>,
      < -3.888000, 17.104000, 2.436000>,
      < -3.980000, 17.104000, 2.416000>
    }
    triangle {
      < -3.896000, 17.104000, 2.592000>,
      < -3.804000, 15.944000, 2.576000>,
      < -3.804000, 15.944000, 2.456000>
    }
    triangle {
      < -3.896000, 17.104000, 2.592000>,
      < -3.804000, 15.944000, 2.456000>,
      < -3.888000, 17.104000, 2.436000>
    }
    triangle {
      < -3.804000, 15.944000, 2.576000>,
      < -3.504000, 15.752000, 2.524000>,
      < -3.804000, 15.944000, 2.456000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < -3.504000, 11.396000, 2.524000>,
      < -4.220000, 11.396000, 2.360000>,
      < -4.104000, 11.396000, 2.100000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < -4.220000, 11.396000, 2.360000>,
      < -4.220000, 12.556000, 2.360000>,
      < -4.104000, 12.556000, 2.100000>
    }
    triangle {
      < -4.220000, 11.396000, 2.360000>,
      < -4.104000, 12.556000, 2.100000>,
      < -4.104000, 11.396000, 2.100000>
    }
    triangle {
      < -4.220000, 12.556000, 2.360000>,
      < -4.124000, 12.848000, 2.384000>,
      < -4.028000, 12.848000, 2.152000>
    }
    triangle {
      < -4.220000, 12.556000, 2.360000>,
      < -4.028000, 12.848000, 2.152000>,
      < -4.104000, 12.556000, 2.100000>
    }
    triangle {
      < -4.124000, 12.848000, 2.384000>,
      < -4.220000, 13.428000, 2.360000>,
      < -4.104000, 13.428000, 2.100000>
    }
    triangle {
      < -4.124000, 12.848000, 2.384000>,
      < -4.104000, 13.428000, 2.100000>,
      < -4.028000, 12.848000, 2.152000>
    }
    triangle {
      < -4.220000, 13.428000, 2.360000>,
      < -4.220000, 14.200000, 2.360000>,
      < -4.104000, 14.200000, 2.100000>
    }
    triangle {
      < -4.220000, 13.428000, 2.360000>,
      < -4.104000, 14.200000, 2.100000>,
      < -4.104000, 13.428000, 2.100000>
    }
    triangle {
      < -4.220000, 14.200000, 2.360000>,
      < -4.124000, 14.300000, 2.384000>,
      < -4.028000, 14.300000, 2.152000>
    }
    triangle {
      < -4.220000, 14.200000, 2.360000>,
      < -4.028000, 14.300000, 2.152000>,
      < -4.104000, 14.200000, 2.100000>
    }
    triangle {
      < -4.124000, 14.300000, 2.384000>,
      < -4.040000, 15.360000, 2.400000>,
      < -3.952000, 15.360000, 2.204000>
    }
    triangle {
      < -4.124000, 14.300000, 2.384000>,
      < -3.952000, 15.360000, 2.204000>,
      < -4.028000, 14.300000, 2.152000>
    }
    triangle {
      < -4.040000, 15.360000, 2.400000>,
      < -4.124000, 15.556000, 2.384000>,
      < -4.028000, 15.556000, 2.152000>
    }
    triangle {
      < -4.040000, 15.360000, 2.400000>,
      < -4.028000, 15.556000, 2.152000>,
      < -3.952000, 15.360000, 2.204000>
    }
    triangle {
      < -4.124000, 15.556000, 2.384000>,
      < -3.980000, 17.104000, 2.416000>,
      < -3.904000, 17.104000, 2.240000>
    }
    triangle {
      < -4.124000, 15.556000, 2.384000>,
      < -3.904000, 17.104000, 2.240000>,
      < -4.028000, 15.556000, 2.152000>
    }
    triangle {
      < -3.980000, 17.104000, 2.416000>,
      < -3.888000, 17.104000, 2.436000>,
      < -3.824000, 17.104000, 2.296000>
    }
    triangle {
      < -3.980000, 17.104000, 2.416000>,
      < -3.824000, 17.104000, 2.296000>,
      < -3.904000, 17.104000, 2.240000>
    }
    triangle {
      < -3.888000, 17.104000, 2.436000>,
      < -3.804000, 15.944000, 2.456000>,
      < -3.752000, 15.944000, 2.348000>
    }
    triangle {
      < -3.888000, 17.104000, 2.436000>,
      < -3.752000, 15.944000, 2.348000>,
      < -3.824000, 17.104000, 2.296000>
    }
    triangle {
      < -3.804000, 15.944000, 2.456000>,
      < -3.504000, 15.752000, 2.524000>,
      < -3.752000, 15.944000, 2.348000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < -3.504000, 11.396000, 2.524000>,
      < -4.104000, 11.396000, 2.100000>,
      < -3.888000, 11.396000, 1.900000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < -4.104000, 11.396000, 2.100000>,
      < -4.104000, 12.556000, 2.100000>,
      < -3.888000, 12.556000, 1.900000>
    }
    triangle {
      < -4.104000, 11.396000, 2.100000>,
      < -3.888000, 12.556000, 1.900000>,
      < -3.888000, 11.396000, 1.900000>
    }
    triangle {
      < -4.104000, 12.556000, 2.100000>,
      < -4.028000, 12.848000, 2.152000>,
      < -3.840000, 12.848000, 1.976000>
    }
    triangle {
      < -4.104000, 12.556000, 2.100000>,
      < -3.840000, 12.848000, 1.976000>,
      < -3.888000, 12.556000, 1.900000>
    }
    triangle {
      < -4.028000, 12.848000, 2.152000>,
      < -4.104000, 13.428000, 2.100000>,
      < -3.888000, 13.428000, 1.900000>
    }
    triangle {
      < -4.028000, 12.848000, 2.152000>,
      < -3.888000, 13.428000, 1.900000>,
      < -3.840000, 12.848000, 1.976000>
    }
    triangle {
      < -4.104000, 13.428000, 2.100000>,
      < -4.104000, 14.200000, 2.100000>,
      < -3.888000, 14.200000, 1.900000>
    }
    triangle {
      < -4.104000, 13.428000, 2.100000>,
      < -3.888000, 14.200000, 1.900000>,
      < -3.888000, 13.428000, 1.900000>
    }
    triangle {
      < -4.104000, 14.200000, 2.100000>,
      < -4.028000, 14.300000, 2.152000>,
      < -3.840000, 14.300000, 1.976000>
    }
    triangle {
      < -4.104000, 14.200000, 2.100000>,
      < -3.840000, 14.300000, 1.976000>,
      < -3.888000, 14.200000, 1.900000>
    }
    triangle {
      < -4.028000, 14.300000, 2.152000>,
      < -3.952000, 15.360000, 2.204000>,
      < -3.796000, 15.360000, 2.056000>
    }
    triangle {
      < -4.028000, 14.300000, 2.152000>,
      < -3.796000, 15.360000, 2.056000>,
      < -3.840000, 14.300000, 1.976000>
    }
    triangle {
      < -3.952000, 15.360000, 2.204000>,
      < -4.028000, 15.556000, 2.152000>,
      < -3.840000, 15.556000, 1.976000>
    }
    triangle {
      < -3.952000, 15.360000, 2.204000>,
      < -3.840000, 15.556000, 1.976000>,
      < -3.796000, 15.360000, 2.056000>
    }
    triangle {
      < -4.028000, 15.556000, 2.152000>,
      < -3.904000, 17.104000, 2.240000>,
      < -3.764000, 17.104000, 2.108000>
    }
    triangle {
      < -4.028000, 15.556000, 2.152000>,
      < -3.764000, 17.104000, 2.108000>,
      < -3.840000, 15.556000, 1.976000>
    }
    texture {rockets}
  }
  // rockets_engines
  union {
    triangle {
      < -3.904000, 17.104000, 2.240000>,
      < -3.824000, 17.104000, 2.296000>,
      < -3.712000, 17.104000, 2.184000>
    }
    triangle {
      < -3.904000, 17.104000, 2.240000>,
      < -3.712000, 17.104000, 2.184000>,
      < -3.764000, 17.104000, 2.108000>
    }
    texture {rockets_engines}
  }
  // rockets
  union {
    triangle {
      < -3.824000, 17.104000, 2.296000>,
      < -3.752000, 15.944000, 2.348000>,
      < -3.664000, 15.944000, 2.268000>
    }
    triangle {
      < -3.824000, 17.104000, 2.296000>,
      < -3.664000, 15.944000, 2.268000>,
      < -3.712000, 17.104000, 2.184000>
    }
    triangle {
      < -3.752000, 15.944000, 2.348000>,
      < -3.504000, 15.752000, 2.524000>,
      < -3.664000, 15.944000, 2.268000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < -3.504000, 11.396000, 2.524000>,
      < -3.888000, 11.396000, 1.900000>,
      < -3.628000, 11.396000, 1.800000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < -3.888000, 11.396000, 1.900000>,
      < -3.888000, 12.556000, 1.900000>,
      < -3.628000, 12.556000, 1.800000>
    }
    triangle {
      < -3.888000, 11.396000, 1.900000>,
      < -3.628000, 12.556000, 1.800000>,
      < -3.628000, 11.396000, 1.800000>
    }
    triangle {
      < -3.888000, 12.556000, 1.900000>,
      < -3.840000, 12.848000, 1.976000>,
      < -3.612000, 12.848000, 1.892000>
    }
    triangle {
      < -3.888000, 12.556000, 1.900000>,
      < -3.612000, 12.848000, 1.892000>,
      < -3.628000, 12.556000, 1.800000>
    }
    triangle {
      < -3.840000, 12.848000, 1.976000>,
      < -3.888000, 13.428000, 1.900000>,
      < -3.628000, 13.428000, 1.800000>
    }
    triangle {
      < -3.840000, 12.848000, 1.976000>,
      < -3.628000, 13.428000, 1.800000>,
      < -3.612000, 12.848000, 1.892000>
    }
    triangle {
      < -3.888000, 13.428000, 1.900000>,
      < -3.888000, 14.200000, 1.900000>,
      < -3.628000, 14.200000, 1.800000>
    }
    triangle {
      < -3.888000, 13.428000, 1.900000>,
      < -3.628000, 14.200000, 1.800000>,
      < -3.628000, 13.428000, 1.800000>
    }
    triangle {
      < -3.888000, 14.200000, 1.900000>,
      < -3.840000, 14.300000, 1.976000>,
      < -3.612000, 14.300000, 1.892000>
    }
    triangle {
      < -3.888000, 14.200000, 1.900000>,
      < -3.612000, 14.300000, 1.892000>,
      < -3.628000, 14.200000, 1.800000>
    }
    triangle {
      < -3.840000, 14.300000, 1.976000>,
      < -3.796000, 15.360000, 2.056000>,
      < -3.596000, 15.360000, 1.984000>
    }
    triangle {
      < -3.840000, 14.300000, 1.976000>,
      < -3.596000, 15.360000, 1.984000>,
      < -3.612000, 14.300000, 1.892000>
    }
    triangle {
      < -3.796000, 15.360000, 2.056000>,
      < -3.840000, 15.556000, 1.976000>,
      < -3.612000, 15.556000, 1.892000>
    }
    triangle {
      < -3.796000, 15.360000, 2.056000>,
      < -3.612000, 15.556000, 1.892000>,
      < -3.596000, 15.360000, 1.984000>
    }
    triangle {
      < -3.840000, 15.556000, 1.976000>,
      < -3.764000, 17.104000, 2.108000>,
      < -3.588000, 17.104000, 2.044000>
    }
    triangle {
      < -3.840000, 15.556000, 1.976000>,
      < -3.588000, 17.104000, 2.044000>,
      < -3.612000, 15.556000, 1.892000>
    }
    texture {rockets}
  }
  // rockets_engines
  union {
    triangle {
      < -3.764000, 17.104000, 2.108000>,
      < -3.712000, 17.104000, 2.184000>,
      < -3.572000, 17.104000, 2.132000>
    }
    triangle {
      < -3.764000, 17.104000, 2.108000>,
      < -3.572000, 17.104000, 2.132000>,
      < -3.588000, 17.104000, 2.044000>
    }
    texture {rockets_engines}
  }
  // rockets
  union {
    triangle {
      < -3.712000, 17.104000, 2.184000>,
      < -3.664000, 15.944000, 2.268000>,
      < -3.556000, 15.944000, 2.224000>
    }
    triangle {
      < -3.712000, 17.104000, 2.184000>,
      < -3.556000, 15.944000, 2.224000>,
      < -3.572000, 17.104000, 2.132000>
    }
    triangle {
      < -3.664000, 15.944000, 2.268000>,
      < -3.504000, 15.752000, 2.524000>,
      < -3.556000, 15.944000, 2.224000>
    }
    texture {rockets}
  }
  // DEFAULT
  union {
    triangle {
      < -3.504000, 11.396000, 2.524000>,
      < -3.628000, 11.396000, 1.800000>,
      < -3.332000, 11.396000, 1.804000>
    }
    texture {DEFAULT}
  }
  // rockets
  union {
    triangle {
      < -3.628000, 11.396000, 1.800000>,
      < -3.628000, 12.556000, 1.800000>,
      < -3.332000, 12.556000, 1.804000>
    }
    triangle {
      < -3.628000, 11.396000, 1.800000>,
      < -3.332000, 12.556000, 1.804000>,
      < -3.332000, 11.396000, 1.804000>
    }
    triangle {
      < -3.628000, 12.556000, 1.800000>,
      < -3.612000, 12.848000, 1.892000>,
      < -3.364000, 12.848000, 1.892000>
    }
    triangle {
      < -3.628000, 12.556000, 1.800000>,
      < -3.364000, 12.848000, 1.892000>,
      < -3.332000, 12.556000, 1.804000>
    }
    triangle {
      < -3.612000, 12.848000, 1.892000>,
      < -3.628000, 13.428000, 1.800000>,
      < -3.332000, 13.428000, 1.804000>
    }
    triangle {
      < -3.612000, 12.848000, 1.892000>,
      < -3.332000, 13.428000, 1.804000>,
      < -3.364000, 12.848000, 1.892000>
    }
    triangle {
      < -3.628000, 13.428000, 1.800000>,
      < -3.628000, 14.200000, 1.800000>,
      < -3.332000, 14.200000, 1.804000>
    }
    triangle {
      < -3.628000, 13.428000, 1.800000>,
      < -3.332000, 14.200000, 1.804000>,
      < -3.332000, 13.428000, 1.804000>
    }
    triangle {
      < -3.628000, 14.200000, 1.800000>,
      < -3.612000, 14.300000, 1.892000>,
      < -3.364000, 14.300000, 1.892000>
    }
    triangle {
      < -3.628000, 14.200000, 1.800000>,
      < -3.364000, 14.300000, 1.892000>,
      < -3.332000, 14.200000, 1.804000>
    }
    triangle {
      < -3.612000, 14.300000, 1.892000>,
      < -3.596000, 15.360000, 1.984000>,
      < -3.372000, 15.360000, 1.984000>
    }
    triangle {
      < -3.612000, 14.300000, 1.892000>,
      < -3.372000, 15.360000, 1.984000>,
      < -3.364000, 14.300000, 1.892000>
    }
    triangle {
      < -3.596000, 15.360000, 1.984000>,
      < -3.612000, 15.556000, 1.892000>,
      < -3.364000, 15.556000, 1.892000>
    }
    triangle {
      < -3.596000, 15.360000, 1.984000>,
      < -3.364000, 15.556000, 1.892000>,
      < -3.372000, 15.360000, 1.984000>
    }
    triangle {
      < -3.612000, 15.556000, 1.892000>,
      < -3.588000, 17.104000, 2.044000>,
      < -3.388000, 17.104000, 2.048000>
    }
    triangle {
      < -3.612000, 15.556000, 1.892000>,
      < -3.388000, 17.104000, 2.048000>,
      < -3.364000, 15.556000, 1.892000>
    }
    triangle {
      < -3.588000, 17.104000, 2.044000>,
      < -3.572000, 17.104000, 2.132000>,
      < -3.416000, 17.104000, 2.136000>
    }
    triangle {
      < -3.588000, 17.104000, 2.044000>,
      < -3.416000, 17.104000, 2.136000>,
      < -3.388000, 17.104000, 2.048000>
    }
    triangle {
      < -3.572000, 17.104000, 2.132000>,
      < -3.556000, 15.944000, 2.224000>,
      < -3.440000, 15.944000, 2.228000>
    }
    triangle {
      < -3.572000, 17.104000, 2.132000>,
      < -3.440000, 15.944000, 2.228000>,
      < -3.416000, 17.104000, 2.136000>
    }
    triangle {
      < -3.556000, 15.944000, 2.224000>,
      < -3.504000, 15.752000, 2.524000>,
      < -3.440000, 15.944000, 2.228000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < -3.504000, 11.396000, 2.524000>,
      < -3.332000, 11.396000, 1.804000>,
      < -3.076000, 11.396000, 1.924000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < -3.332000, 11.396000, 1.804000>,
      < -3.332000, 12.556000, 1.804000>,
      < -3.076000, 12.556000, 1.924000>
    }
    triangle {
      < -3.332000, 11.396000, 1.804000>,
      < -3.076000, 12.556000, 1.924000>,
      < -3.076000, 11.396000, 1.924000>
    }
    triangle {
      < -3.332000, 12.556000, 1.804000>,
      < -3.364000, 12.848000, 1.892000>,
      < -3.128000, 12.848000, 2.004000>
    }
    triangle {
      < -3.332000, 12.556000, 1.804000>,
      < -3.128000, 12.848000, 2.004000>,
      < -3.076000, 12.556000, 1.924000>
    }
    triangle {
      < -3.364000, 12.848000, 1.892000>,
      < -3.332000, 13.428000, 1.804000>,
      < -3.076000, 13.428000, 1.924000>
    }
    triangle {
      < -3.364000, 12.848000, 1.892000>,
      < -3.076000, 13.428000, 1.924000>,
      < -3.128000, 12.848000, 2.004000>
    }
    triangle {
      < -3.332000, 13.428000, 1.804000>,
      < -3.332000, 14.200000, 1.804000>,
      < -3.076000, 14.200000, 1.924000>
    }
    triangle {
      < -3.332000, 13.428000, 1.804000>,
      < -3.076000, 14.200000, 1.924000>,
      < -3.076000, 13.428000, 1.924000>
    }
    triangle {
      < -3.332000, 14.200000, 1.804000>,
      < -3.364000, 14.300000, 1.892000>,
      < -3.128000, 14.300000, 2.004000>
    }
    triangle {
      < -3.332000, 14.200000, 1.804000>,
      < -3.128000, 14.300000, 2.004000>,
      < -3.076000, 14.200000, 1.924000>
    }
    triangle {
      < -3.364000, 14.300000, 1.892000>,
      < -3.372000, 15.360000, 1.984000>,
      < -3.184000, 15.360000, 2.076000>
    }
    triangle {
      < -3.364000, 14.300000, 1.892000>,
      < -3.184000, 15.360000, 2.076000>,
      < -3.128000, 14.300000, 2.004000>
    }
    triangle {
      < -3.372000, 15.360000, 1.984000>,
      < -3.364000, 15.556000, 1.892000>,
      < -3.128000, 15.556000, 2.004000>
    }
    triangle {
      < -3.372000, 15.360000, 1.984000>,
      < -3.128000, 15.556000, 2.004000>,
      < -3.184000, 15.360000, 2.076000>
    }
    triangle {
      < -3.364000, 15.556000, 1.892000>,
      < -3.388000, 17.104000, 2.048000>,
      < -3.220000, 17.104000, 2.124000>
    }
    triangle {
      < -3.364000, 15.556000, 1.892000>,
      < -3.220000, 17.104000, 2.124000>,
      < -3.128000, 15.556000, 2.004000>
    }
    triangle {
      < -3.388000, 17.104000, 2.048000>,
      < -3.416000, 17.104000, 2.136000>,
      < -3.272000, 17.104000, 2.200000>
    }
    triangle {
      < -3.388000, 17.104000, 2.048000>,
      < -3.272000, 17.104000, 2.200000>,
      < -3.220000, 17.104000, 2.124000>
    }
    triangle {
      < -3.416000, 17.104000, 2.136000>,
      < -3.440000, 15.944000, 2.228000>,
      < -3.328000, 15.944000, 2.272000>
    }
    triangle {
      < -3.416000, 17.104000, 2.136000>,
      < -3.328000, 15.944000, 2.272000>,
      < -3.272000, 17.104000, 2.200000>
    }
    triangle {
      < -3.440000, 15.944000, 2.228000>,
      < -3.504000, 15.752000, 2.524000>,
      < -3.328000, 15.944000, 2.272000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < -3.504000, 11.396000, 2.524000>,
      < -3.076000, 11.396000, 1.924000>,
      < -2.880000, 11.396000, 2.132000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < -3.076000, 11.396000, 1.924000>,
      < -3.076000, 12.556000, 1.924000>,
      < -2.880000, 12.556000, 2.132000>
    }
    triangle {
      < -3.076000, 11.396000, 1.924000>,
      < -2.880000, 12.556000, 2.132000>,
      < -2.880000, 11.396000, 2.132000>
    }
    triangle {
      < -3.076000, 12.556000, 1.924000>,
      < -3.128000, 12.848000, 2.004000>,
      < -2.960000, 12.848000, 2.184000>
    }
    triangle {
      < -3.076000, 12.556000, 1.924000>,
      < -2.960000, 12.848000, 2.184000>,
      < -2.880000, 12.556000, 2.132000>
    }
    triangle {
      < -3.128000, 12.848000, 2.004000>,
      < -3.076000, 13.428000, 1.924000>,
      < -2.880000, 13.428000, 2.132000>
    }
    triangle {
      < -3.128000, 12.848000, 2.004000>,
      < -2.880000, 13.428000, 2.132000>,
      < -2.960000, 12.848000, 2.184000>
    }
    triangle {
      < -3.076000, 13.428000, 1.924000>,
      < -3.076000, 14.200000, 1.924000>,
      < -2.880000, 14.200000, 2.132000>
    }
    triangle {
      < -3.076000, 13.428000, 1.924000>,
      < -2.880000, 14.200000, 2.132000>,
      < -2.880000, 13.428000, 2.132000>
    }
    triangle {
      < -3.076000, 14.200000, 1.924000>,
      < -3.128000, 14.300000, 2.004000>,
      < -2.960000, 14.300000, 2.184000>
    }
    triangle {
      < -3.076000, 14.200000, 1.924000>,
      < -2.960000, 14.300000, 2.184000>,
      < -2.880000, 14.200000, 2.132000>
    }
    triangle {
      < -3.128000, 14.300000, 2.004000>,
      < -3.184000, 15.360000, 2.076000>,
      < -3.036000, 15.360000, 2.236000>
    }
    triangle {
      < -3.128000, 14.300000, 2.004000>,
      < -3.036000, 15.360000, 2.236000>,
      < -2.960000, 14.300000, 2.184000>
    }
    triangle {
      < -3.184000, 15.360000, 2.076000>,
      < -3.128000, 15.556000, 2.004000>,
      < -2.960000, 15.556000, 2.184000>
    }
    triangle {
      < -3.184000, 15.360000, 2.076000>,
      < -2.960000, 15.556000, 2.184000>,
      < -3.036000, 15.360000, 2.236000>
    }
    triangle {
      < -3.128000, 15.556000, 2.004000>,
      < -3.220000, 17.104000, 2.124000>,
      < -3.088000, 17.104000, 2.264000>
    }
    triangle {
      < -3.128000, 15.556000, 2.004000>,
      < -3.088000, 17.104000, 2.264000>,
      < -2.960000, 15.556000, 2.184000>
    }
    texture {rockets}
  }
  // rockets_engines
  union {
    triangle {
      < -3.220000, 17.104000, 2.124000>,
      < -3.272000, 17.104000, 2.200000>,
      < -3.164000, 17.104000, 2.316000>
    }
    triangle {
      < -3.220000, 17.104000, 2.124000>,
      < -3.164000, 17.104000, 2.316000>,
      < -3.088000, 17.104000, 2.264000>
    }
    texture {rockets_engines}
  }
  // rockets
  union {
    triangle {
      < -3.272000, 17.104000, 2.200000>,
      < -3.328000, 15.944000, 2.272000>,
      < -3.240000, 15.944000, 2.368000>
    }
    triangle {
      < -3.272000, 17.104000, 2.200000>,
      < -3.240000, 15.944000, 2.368000>,
      < -3.164000, 17.104000, 2.316000>
    }
    triangle {
      < -3.328000, 15.944000, 2.272000>,
      < -3.504000, 15.752000, 2.524000>,
      < -3.240000, 15.944000, 2.368000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < -3.504000, 11.396000, 2.524000>,
      < -2.880000, 11.396000, 2.132000>,
      < -2.776000, 11.396000, 2.404000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < -2.880000, 11.396000, 2.132000>,
      < -2.880000, 12.556000, 2.132000>,
      < -2.776000, 12.556000, 2.404000>
    }
    triangle {
      < -2.880000, 11.396000, 2.132000>,
      < -2.776000, 12.556000, 2.404000>,
      < -2.776000, 11.396000, 2.404000>
    }
    triangle {
      < -2.880000, 12.556000, 2.132000>,
      < -2.960000, 12.848000, 2.184000>,
      < -2.868000, 12.848000, 2.420000>
    }
    triangle {
      < -2.880000, 12.556000, 2.132000>,
      < -2.868000, 12.848000, 2.420000>,
      < -2.776000, 12.556000, 2.404000>
    }
    triangle {
      < -2.960000, 12.848000, 2.184000>,
      < -2.880000, 13.428000, 2.132000>,
      < -2.776000, 13.428000, 2.404000>
    }
    triangle {
      < -2.960000, 12.848000, 2.184000>,
      < -2.776000, 13.428000, 2.404000>,
      < -2.868000, 12.848000, 2.420000>
    }
    triangle {
      < -2.880000, 13.428000, 2.132000>,
      < -2.880000, 14.200000, 2.132000>,
      < -2.776000, 14.200000, 2.404000>
    }
    triangle {
      < -2.880000, 13.428000, 2.132000>,
      < -2.776000, 14.200000, 2.404000>,
      < -2.776000, 13.428000, 2.404000>
    }
    triangle {
      < -2.880000, 14.200000, 2.132000>,
      < -2.960000, 14.300000, 2.184000>,
      < -2.868000, 14.300000, 2.420000>
    }
    triangle {
      < -2.880000, 14.200000, 2.132000>,
      < -2.868000, 14.300000, 2.420000>,
      < -2.776000, 14.200000, 2.404000>
    }
    triangle {
      < -2.960000, 14.300000, 2.184000>,
      < -3.036000, 15.360000, 2.236000>,
      < -2.960000, 15.360000, 2.432000>
    }
    triangle {
      < -2.960000, 14.300000, 2.184000>,
      < -2.960000, 15.360000, 2.432000>,
      < -2.868000, 14.300000, 2.420000>
    }
    triangle {
      < -3.036000, 15.360000, 2.236000>,
      < -2.960000, 15.556000, 2.184000>,
      < -2.868000, 15.556000, 2.420000>
    }
    triangle {
      < -3.036000, 15.360000, 2.236000>,
      < -2.868000, 15.556000, 2.420000>,
      < -2.960000, 15.360000, 2.432000>
    }
    triangle {
      < -2.960000, 15.556000, 2.184000>,
      < -3.088000, 17.104000, 2.264000>,
      < -3.020000, 17.104000, 2.444000>
    }
    triangle {
      < -2.960000, 15.556000, 2.184000>,
      < -3.020000, 17.104000, 2.444000>,
      < -2.868000, 15.556000, 2.420000>
    }
    texture {rockets}
  }
  // rockets_engines
  union {
    triangle {
      < -3.088000, 17.104000, 2.264000>,
      < -3.164000, 17.104000, 2.316000>,
      < -3.112000, 17.104000, 2.460000>
    }
    texture {rockets_engines}
  }
  // rockets
  union {
    triangle {
      < -3.088000, 17.104000, 2.264000>,
      < -3.112000, 17.104000, 2.460000>,
      < -3.020000, 17.104000, 2.444000>
    }
    triangle {
      < -3.164000, 17.104000, 2.316000>,
      < -3.240000, 15.944000, 2.368000>,
      < -3.200000, 15.944000, 2.472000>
    }
    triangle {
      < -3.164000, 17.104000, 2.316000>,
      < -3.200000, 15.944000, 2.472000>,
      < -3.112000, 17.104000, 2.460000>
    }
    triangle {
      < -3.240000, 15.944000, 2.368000>,
      < -3.504000, 15.752000, 2.524000>,
      < -3.200000, 15.944000, 2.472000>
    }
    texture {rockets}
  }
  // gunsl
  union {
    triangle {
      < -13.712000, -1.024000, 3.204000>,
      < -13.688000, 6.340000, 3.256000>,
      < -13.688000, -1.024000, 3.256000>
    }
    triangle {
      < -13.712000, -1.240000, 3.200000>,
      < -13.688000, -1.892000, 3.256000>,
      < -13.712000, -1.892000, 3.192000>
    }
    triangle {
      < -13.712000, -1.240000, 3.200000>,
      < -13.688000, -1.232000, 3.256000>,
      < -13.688000, -1.892000, 3.256000>
    }
    triangle {
      < -13.712000, 6.340000, 3.192000>,
      < -13.712000, -1.024000, 3.204000>,
      < -13.712000, -1.024000, 3.192000>
    }
    triangle {
      < -13.712000, 6.340000, 3.192000>,
      < -13.688000, 6.340000, 3.256000>,
      < -13.712000, -1.024000, 3.204000>
    }
    triangle {
      < -13.712000, -1.240000, 3.192000>,
      < -13.712000, -1.240000, 3.200000>,
      < -13.712000, -1.892000, 3.192000>
    }
    triangle {
      < -13.728000, -1.024000, 3.188000>,
      < -13.764000, -1.024000, 3.164000>,
      < -13.712000, 6.340000, 3.192000>
    }
    triangle {
      < -13.712000, 6.340000, 3.192000>,
      < -13.712000, -1.024000, 3.192000>,
      < -13.728000, -1.024000, 3.188000>
    }
    triangle {
      < -13.712000, -1.240000, 3.192000>,
      < -13.712000, -1.892000, 3.192000>,
      < -13.772000, -1.892000, 3.156000>
    }
    triangle {
      < -13.712000, -1.240000, 3.192000>,
      < -13.772000, -1.892000, 3.156000>,
      < -13.764000, -1.248000, 3.160000>
    }
    triangle {
      < -13.712000, 6.340000, 3.192000>,
      < -13.764000, -1.024000, 3.164000>,
      < -13.772000, -1.024000, 3.156000>
    }
    triangle {
      < -13.712000, 6.340000, 3.192000>,
      < -13.772000, -1.024000, 3.156000>,
      < -13.772000, 6.340000, 3.156000>
    }
    triangle {
      < -13.764000, -1.248000, 3.160000>,
      < -13.772000, -1.892000, 3.156000>,
      < -13.772000, -1.248000, 3.156000>
    }
    triangle {
      < -13.772000, 6.340000, 3.156000>,
      < -13.772000, -1.024000, 3.156000>,
      < -13.828000, -1.024000, 3.152000>
    }
    triangle {
      < -13.772000, -1.248000, 3.156000>,
      < -13.772000, -1.892000, 3.156000>,
      < -13.836000, -1.892000, 3.152000>
    }
    triangle {
      < -13.772000, -1.248000, 3.156000>,
      < -13.836000, -1.892000, 3.152000>,
      < -13.832000, -1.252000, 3.152000>
    }
    triangle {
      < -13.772000, 6.340000, 3.156000>,
      < -13.828000, -1.024000, 3.152000>,
      < -13.836000, -1.024000, 3.152000>
    }
    triangle {
      < -13.772000, 6.340000, 3.156000>,
      < -13.836000, -1.024000, 3.152000>,
      < -13.836000, 6.340000, 3.152000>
    }
    triangle {
      < -13.832000, -1.252000, 3.152000>,
      < -13.836000, -1.892000, 3.152000>,
      < -13.836000, -1.252000, 3.152000>
    }
    triangle {
      < -13.836000, 6.340000, 3.152000>,
      < -13.836000, -1.024000, 3.152000>,
      < -13.892000, -1.024000, 3.176000>
    }
    triangle {
      < -13.836000, -1.252000, 3.152000>,
      < -13.836000, -1.892000, 3.152000>,
      < -13.900000, -1.892000, 3.176000>
    }
    triangle {
      < -13.836000, -1.252000, 3.152000>,
      < -13.900000, -1.892000, 3.176000>,
      < -13.896000, -1.248000, 3.176000>
    }
    triangle {
      < -13.836000, 6.340000, 3.152000>,
      < -13.892000, -1.024000, 3.176000>,
      < -13.900000, -1.024000, 3.176000>
    }
    triangle {
      < -13.836000, 6.340000, 3.152000>,
      < -13.900000, -1.024000, 3.176000>,
      < -13.900000, 6.340000, 3.176000>
    }
    triangle {
      < -13.896000, -1.248000, 3.176000>,
      < -13.900000, -1.892000, 3.176000>,
      < -13.900000, -1.248000, 3.176000>
    }
    triangle {
      < -13.900000, 6.340000, 3.176000>,
      < -13.900000, -1.024000, 3.176000>,
      < -13.932000, -1.024000, 3.232000>
    }
    triangle {
      < -13.900000, -1.248000, 3.176000>,
      < -13.900000, -1.892000, 3.176000>,
      < -13.936000, -1.892000, 3.236000>
    }
    triangle {
      < -13.900000, -1.248000, 3.176000>,
      < -13.936000, -1.892000, 3.236000>,
      < -13.924000, -1.244000, 3.216000>
    }
    triangle {
      < -13.900000, 6.340000, 3.176000>,
      < -13.932000, -1.024000, 3.232000>,
      < -13.936000, -1.024000, 3.236000>
    }
    triangle {
      < -13.900000, 6.340000, 3.176000>,
      < -13.936000, -1.024000, 3.236000>,
      < -13.936000, 6.340000, 3.236000>
    }
    triangle {
      < -13.932000, -1.240000, 3.232000>,
      < -13.936000, -1.892000, 3.236000>,
      < -13.936000, -1.240000, 3.236000>
    }
    triangle {
      < -13.936000, 6.340000, 3.236000>,
      < -13.936000, -1.024000, 3.236000>,
      < -13.936000, -1.024000, 3.288000>
    }
    triangle {
      < -13.936000, -1.240000, 3.236000>,
      < -13.936000, -1.892000, 3.236000>,
      < -13.936000, -1.892000, 3.300000>
    }
    triangle {
      < -13.936000, -1.240000, 3.236000>,
      < -13.936000, -1.892000, 3.300000>,
      < -13.936000, -1.232000, 3.296000>
    }
    triangle {
      < -13.936000, 6.340000, 3.236000>,
      < -13.936000, -1.024000, 3.288000>,
      < -13.936000, -1.024000, 3.300000>
    }
    triangle {
      < -13.936000, 6.340000, 3.236000>,
      < -13.936000, -1.024000, 3.300000>,
      < -13.936000, 6.340000, 3.300000>
    }
    triangle {
      < -13.936000, -1.232000, 3.296000>,
      < -13.936000, -1.892000, 3.300000>,
      < -13.936000, -1.232000, 3.300000>
    }
    triangle {
      < -13.936000, 6.340000, 3.300000>,
      < -13.936000, -1.024000, 3.300000>,
      < -13.916000, -1.024000, 3.356000>
    }
    triangle {
      < -13.936000, -1.232000, 3.300000>,
      < -13.936000, -1.892000, 3.300000>,
      < -13.912000, -1.892000, 3.364000>
    }
    triangle {
      < -13.936000, -1.232000, 3.300000>,
      < -13.912000, -1.892000, 3.364000>,
      < -13.916000, -1.216000, 3.356000>
    }
    triangle {
      < -13.936000, 6.340000, 3.300000>,
      < -13.916000, -1.024000, 3.356000>,
      < -13.912000, -1.024000, 3.364000>
    }
    triangle {
      < -13.936000, 6.340000, 3.300000>,
      < -13.912000, -1.024000, 3.364000>,
      < -13.912000, 6.340000, 3.364000>
    }
    triangle {
      < -13.916000, -1.216000, 3.356000>,
      < -13.912000, -1.892000, 3.364000>,
      < -13.912000, -1.216000, 3.364000>
    }
    triangle {
      < -13.892000, -1.024000, 3.372000>,
      < -13.912000, 6.340000, 3.364000>,
      < -13.912000, -1.024000, 3.364000>
    }
    triangle {
      < -13.860000, -1.024000, 3.396000>,
      < -13.912000, 6.340000, 3.364000>,
      < -13.892000, -1.024000, 3.372000>
    }
    triangle {
      < -13.860000, -1.208000, 3.396000>,
      < -13.856000, -1.892000, 3.396000>,
      < -13.860000, -1.212000, 3.396000>
    }
    triangle {
      < -13.860000, -1.208000, 3.396000>,
      < -13.912000, -1.892000, 3.364000>,
      < -13.856000, -1.892000, 3.396000>
    }
    triangle {
      < -13.860000, -1.208000, 3.396000>,
      < -13.912000, -1.216000, 3.364000>,
      < -13.912000, -1.892000, 3.364000>
    }
    triangle {
      < -13.856000, 6.340000, 3.396000>,
      < -13.860000, -1.024000, 3.396000>,
      < -13.856000, -1.024000, 3.396000>
    }
    triangle {
      < -13.856000, 6.340000, 3.396000>,
      < -13.912000, 6.340000, 3.364000>,
      < -13.860000, -1.024000, 3.396000>
    }
    triangle {
      < -13.856000, -1.220000, 3.396000>,
      < -13.860000, -1.212000, 3.396000>,
      < -13.856000, -1.892000, 3.396000>
    }
    triangle {
      < -13.796000, -1.024000, 3.404000>,
      < -13.856000, 6.340000, 3.396000>,
      < -13.856000, -1.024000, 3.396000>
    }
    triangle {
      < -13.796000, -1.260000, 3.404000>,
      < -13.856000, -1.892000, 3.396000>,
      < -13.792000, -1.892000, 3.404000>
    }
    triangle {
      < -13.796000, -1.260000, 3.404000>,
      < -13.856000, -1.220000, 3.396000>,
      < -13.856000, -1.892000, 3.396000>
    }
    triangle {
      < -13.792000, 6.340000, 3.404000>,
      < -13.796000, -1.024000, 3.404000>,
      < -13.792000, -1.024000, 3.404000>
    }
    triangle {
      < -13.792000, 6.340000, 3.404000>,
      < -13.856000, 6.340000, 3.396000>,
      < -13.796000, -1.024000, 3.404000>
    }
    triangle {
      < -13.792000, -1.264000, 3.404000>,
      < -13.796000, -1.260000, 3.404000>,
      < -13.792000, -1.892000, 3.404000>
    }
    triangle {
      < -13.736000, -1.024000, 3.380000>,
      < -13.792000, 6.340000, 3.404000>,
      < -13.792000, -1.024000, 3.404000>
    }
    triangle {
      < -13.736000, -1.224000, 3.380000>,
      < -13.792000, -1.892000, 3.404000>,
      < -13.732000, -1.892000, 3.372000>
    }
    triangle {
      < -13.736000, -1.224000, 3.380000>,
      < -13.792000, -1.264000, 3.404000>,
      < -13.792000, -1.892000, 3.404000>
    }
    triangle {
      < -13.732000, 6.340000, 3.372000>,
      < -13.736000, -1.024000, 3.380000>,
      < -13.732000, -1.024000, 3.372000>
    }
    triangle {
      < -13.732000, 6.340000, 3.372000>,
      < -13.792000, 6.340000, 3.404000>,
      < -13.736000, -1.024000, 3.380000>
    }
    triangle {
      < -13.732000, -1.220000, 3.372000>,
      < -13.736000, -1.224000, 3.380000>,
      < -13.732000, -1.892000, 3.372000>
    }
    triangle {
      < -13.700000, -1.024000, 3.324000>,
      < -13.732000, 6.340000, 3.372000>,
      < -13.732000, -1.024000, 3.372000>
    }
    triangle {
      < -13.728000, -1.208000, 3.372000>,
      < -13.692000, -1.892000, 3.320000>,
      < -13.696000, -1.216000, 3.324000>
    }
    triangle {
      < -13.728000, -1.208000, 3.372000>,
      < -13.732000, -1.892000, 3.372000>,
      < -13.692000, -1.892000, 3.320000>
    }
    triangle {
      < -13.728000, -1.208000, 3.372000>,
      < -13.732000, -1.220000, 3.372000>,
      < -13.732000, -1.892000, 3.372000>
    }
    triangle {
      < -13.692000, 6.340000, 3.320000>,
      < -13.700000, -1.024000, 3.324000>,
      < -13.692000, -1.024000, 3.320000>
    }
    triangle {
      < -13.692000, 6.340000, 3.320000>,
      < -13.732000, 6.340000, 3.372000>,
      < -13.700000, -1.024000, 3.324000>
    }
    triangle {
      < -13.692000, -1.216000, 3.320000>,
      < -13.696000, -1.216000, 3.324000>,
      < -13.692000, -1.892000, 3.320000>
    }
    triangle {
      < -13.688000, -1.024000, 3.256000>,
      < -13.692000, 6.340000, 3.320000>,
      < -13.692000, -1.024000, 3.320000>
    }
    triangle {
      < -13.692000, -1.220000, 3.296000>,
      < -13.688000, -1.892000, 3.256000>,
      < -13.688000, -1.224000, 3.256000>
    }
    triangle {
      < -13.692000, -1.220000, 3.296000>,
      < -13.692000, -1.892000, 3.320000>,
      < -13.688000, -1.892000, 3.256000>
    }
    triangle {
      < -13.692000, -1.220000, 3.296000>,
      < -13.692000, -1.216000, 3.320000>,
      < -13.692000, -1.892000, 3.320000>
    }
    triangle {
      < -13.688000, 6.340000, 3.256000>,
      < -13.688000, -1.024000, 3.256000>,
      < -13.688000, -1.024000, 3.256000>
    }
    triangle {
      < -13.688000, 6.340000, 3.256000>,
      < -13.692000, 6.340000, 3.320000>,
      < -13.688000, -1.024000, 3.256000>
    }
    triangle {
      < -13.688000, -1.232000, 3.256000>,
      < -13.688000, -1.224000, 3.256000>,
      < -13.688000, -1.892000, 3.256000>
    }
    triangle {
      < -13.688000, -1.224000, 3.256000>,
      < -13.572000, -1.208000, 3.340000>,
      < -13.692000, -1.220000, 3.296000>
    }
    triangle {
      < -13.688000, -1.232000, 3.256000>,
      < -13.572000, -1.208000, 3.340000>,
      < -13.688000, -1.224000, 3.256000>
    }
    triangle {
      < -13.712000, -1.240000, 3.192000>,
      < -13.572000, -1.208000, 3.340000>,
      < -13.712000, -1.240000, 3.200000>
    }
    triangle {
      < -13.712000, -1.240000, 3.192000>,
      < -13.616000, -1.256000, 3.096000>,
      < -13.572000, -1.208000, 3.340000>
    }
    triangle {
      < -13.772000, -1.248000, 3.156000>,
      < -13.616000, -1.256000, 3.096000>,
      < -13.764000, -1.248000, 3.160000>
    }
    triangle {
      < -13.836000, -1.252000, 3.152000>,
      < -13.616000, -1.256000, 3.096000>,
      < -13.832000, -1.252000, 3.152000>
    }
    triangle {
      < -13.836000, -1.252000, 3.152000>,
      < -14.048000, -1.256000, 3.172000>,
      < -13.616000, -1.256000, 3.096000>
    }
    triangle {
      < -13.900000, -1.248000, 3.176000>,
      < -14.048000, -1.256000, 3.172000>,
      < -13.896000, -1.248000, 3.176000>
    }
    triangle {
      < -14.048000, -1.256000, 3.172000>,
      < -13.900000, -1.248000, 3.176000>,
      < -13.924000, -1.244000, 3.216000>
    }
    triangle {
      < -13.856000, -1.024000, 3.396000>,
      < -13.860000, -1.024000, 3.396000>,
      < -13.992000, -1.024000, 3.488000>
    }
    triangle {
      < -13.792000, -1.024000, 3.404000>,
      < -13.796000, -1.024000, 3.404000>,
      < -13.992000, -1.024000, 3.488000>
    }
    triangle {
      < -13.792000, -1.024000, 3.404000>,
      < -13.992000, -1.024000, 3.488000>,
      < -13.560000, -1.024000, 3.416000>
    }
    triangle {
      < -13.732000, -1.024000, 3.372000>,
      < -13.736000, -1.024000, 3.380000>,
      < -13.560000, -1.024000, 3.416000>
    }
    triangle {
      < -13.692000, -1.024000, 3.320000>,
      < -13.700000, -1.024000, 3.324000>,
      < -13.560000, -1.024000, 3.416000>
    }
    triangle {
      < -13.688000, -1.024000, 3.256000>,
      < -13.692000, -1.024000, 3.320000>,
      < -13.560000, -1.024000, 3.416000>
    }
    triangle {
      < -13.688000, -1.024000, 3.256000>,
      < -13.688000, -1.024000, 3.256000>,
      < -13.560000, -1.024000, 3.416000>
    }
    triangle {
      < -13.712000, -1.024000, 3.192000>,
      < -13.712000, -1.024000, 3.204000>,
      < -13.560000, -1.024000, 3.416000>
    }
    triangle {
      < -13.712000, -1.024000, 3.192000>,
      < -13.560000, -1.024000, 3.416000>,
      < -13.620000, -1.024000, 3.056000>
    }
    triangle {
      < -13.620000, -1.024000, 3.056000>,
      < -13.728000, -1.024000, 3.188000>,
      < -13.712000, -1.024000, 3.192000>
    }
    triangle {
      < -13.772000, -1.024000, 3.156000>,
      < -13.764000, -1.024000, 3.164000>,
      < -13.620000, -1.024000, 3.056000>
    }
    triangle {
      < -13.836000, -1.024000, 3.152000>,
      < -13.828000, -1.024000, 3.152000>,
      < -13.620000, -1.024000, 3.056000>
    }
    triangle {
      < -13.836000, -1.024000, 3.152000>,
      < -13.620000, -1.024000, 3.056000>,
      < -14.056000, -1.024000, 3.132000>
    }
    triangle {
      < -13.900000, -1.024000, 3.176000>,
      < -13.892000, -1.024000, 3.176000>,
      < -14.056000, -1.024000, 3.132000>
    }
    triangle {
      < -13.936000, -1.024000, 3.236000>,
      < -13.932000, -1.024000, 3.232000>,
      < -14.056000, -1.024000, 3.132000>
    }
    triangle {
      < -13.936000, -1.024000, 3.300000>,
      < -13.936000, -1.024000, 3.288000>,
      < -14.056000, -1.024000, 3.132000>
    }
    triangle {
      < -13.912000, -1.024000, 3.364000>,
      < -13.916000, -1.024000, 3.356000>,
      < -14.056000, -1.024000, 3.132000>
    }
    triangle {
      < -13.912000, -1.024000, 3.364000>,
      < -14.056000, -1.024000, 3.132000>,
      < -13.992000, -1.024000, 3.488000>
    }
    triangle {
      < -13.992000, -1.024000, 3.488000>,
      < -13.892000, -1.024000, 3.372000>,
      < -13.912000, -1.024000, 3.364000>
    }
    triangle {
      < -13.692000, -1.216000, 3.320000>,
      < -13.572000, -1.208000, 3.340000>,
      < -13.696000, -1.216000, 3.324000>
    }
    triangle {
      < -13.692000, -1.220000, 3.296000>,
      < -13.572000, -1.208000, 3.340000>,
      < -13.692000, -1.216000, 3.320000>
    }
    triangle {
      < -13.936000, -1.240000, 3.236000>,
      < -14.048000, -1.256000, 3.172000>,
      < -13.932000, -1.240000, 3.232000>
    }
    triangle {
      < -13.936000, -1.232000, 3.300000>,
      < -14.048000, -1.256000, 3.172000>,
      < -13.936000, -1.232000, 3.296000>
    }
    triangle {
      < -13.912000, -1.216000, 3.364000>,
      < -14.048000, -1.256000, 3.172000>,
      < -13.916000, -1.216000, 3.356000>
    }
    triangle {
      < -13.912000, -1.216000, 3.364000>,
      < -14.000000, -1.208000, 3.420000>,
      < -14.048000, -1.256000, 3.172000>
    }
    triangle {
      < -13.912000, -1.216000, 3.364000>,
      < -13.860000, -1.208000, 3.396000>,
      < -14.000000, -1.208000, 3.420000>
    }
    triangle {
      < -13.860000, -1.212000, 3.396000>,
      < -14.000000, -1.208000, 3.420000>,
      < -13.860000, -1.208000, 3.396000>
    }
    triangle {
      < -13.856000, -1.220000, 3.396000>,
      < -14.000000, -1.208000, 3.420000>,
      < -13.860000, -1.212000, 3.396000>
    }
    triangle {
      < -13.792000, -1.264000, 3.404000>,
      < -14.000000, -1.208000, 3.420000>,
      < -13.796000, -1.260000, 3.404000>
    }
    triangle {
      < -13.792000, -1.264000, 3.404000>,
      < -13.528000, -1.812000, 3.596000>,
      < -14.000000, -1.208000, 3.420000>
    }
    triangle {
      < -13.732000, -1.220000, 3.372000>,
      < -13.528000, -1.812000, 3.596000>,
      < -13.736000, -1.224000, 3.380000>
    }
    triangle {
      < -13.572000, -1.208000, 3.340000>,
      < -13.732000, -1.220000, 3.372000>,
      < -13.728000, -1.208000, 3.372000>
    }
    triangle {
      < -13.572000, -1.208000, 3.340000>,
      < -13.528000, -1.812000, 3.596000>,
      < -13.732000, -1.220000, 3.372000>
    }
    triangle {
      < -13.816000, 14.308000, 3.280000>,
      < -13.656000, 14.308000, 3.252000>,
      < -13.688000, 14.308000, 3.172000>
    }
    triangle {
      < -13.656000, 14.308000, 3.252000>,
      < -13.524000, 14.880000, 3.228000>,
      < -13.588000, 14.880000, 3.088000>
    }
    triangle {
      < -13.656000, 14.308000, 3.252000>,
      < -13.588000, 14.880000, 3.088000>,
      < -13.688000, 14.308000, 3.172000>
    }
    triangle {
      < -13.524000, 14.880000, 3.228000>,
      < -13.396000, 14.880000, 3.200000>,
      < -13.488000, 14.880000, 2.996000>
    }
    triangle {
      < -13.524000, 14.880000, 3.228000>,
      < -13.488000, 14.880000, 2.996000>,
      < -13.588000, 14.880000, 3.088000>
    }
    triangle {
      < -13.396000, 14.880000, 3.200000>,
      < -13.396000, 13.596000, 3.200000>,
      < -13.488000, 13.596000, 2.996000>
    }
    triangle {
      < -13.396000, 14.880000, 3.200000>,
      < -13.488000, 13.596000, 2.996000>,
      < -13.488000, 14.880000, 2.996000>
    }
    triangle {
      < -13.396000, 13.596000, 3.200000>,
      < -13.460000, 13.596000, 3.212000>,
      < -13.544000, 13.596000, 3.048000>
    }
    triangle {
      < -13.396000, 13.596000, 3.200000>,
      < -13.544000, 13.596000, 3.048000>,
      < -13.488000, 13.596000, 2.996000>
    }
    triangle {
      < -13.460000, 13.596000, 3.212000>,
      < -13.364000, 13.316000, 3.196000>,
      < -13.464000, 13.316000, 2.980000>
    }
    triangle {
      < -13.460000, 13.596000, 3.212000>,
      < -13.464000, 13.316000, 2.980000>,
      < -13.544000, 13.596000, 3.048000>
    }
    triangle {
      < -13.364000, 13.316000, 3.196000>,
      < -13.364000, 7.480000, 3.196000>,
      < -13.464000, 7.480000, 2.980000>
    }
    triangle {
      < -13.364000, 13.316000, 3.196000>,
      < -13.464000, 7.480000, 2.980000>,
      < -13.464000, 13.316000, 2.980000>
    }
    triangle {
      < -13.364000, 7.480000, 3.196000>,
      < -13.432000, 6.764000, 3.208000>,
      < -13.512000, 6.764000, 3.020000>
    }
    triangle {
      < -13.364000, 7.480000, 3.196000>,
      < -13.512000, 6.764000, 3.020000>,
      < -13.464000, 7.480000, 2.980000>
    }
    triangle {
      < -13.432000, 6.764000, 3.208000>,
      < -13.588000, 6.480000, 3.240000>,
      < -13.636000, 6.480000, 3.132000>
    }
    triangle {
      < -13.432000, 6.764000, 3.208000>,
      < -13.636000, 6.480000, 3.132000>,
      < -13.512000, 6.764000, 3.020000>
    }
    triangle {
      < -13.588000, 6.480000, 3.240000>,
      < -13.688000, 6.340000, 3.256000>,
      < -13.712000, 6.340000, 3.192000>
    }
    triangle {
      < -13.588000, 6.480000, 3.240000>,
      < -13.712000, 6.340000, 3.192000>,
      < -13.636000, 6.480000, 3.132000>
    }
    triangle {
      < -13.688000, -1.892000, 3.256000>,
      < -13.816000, -3.176000, 3.280000>,
      < -13.712000, -1.892000, 3.192000>
    }
    triangle {
      < -13.816000, 14.308000, 3.280000>,
      < -13.688000, 14.308000, 3.172000>,
      < -13.760000, 14.308000, 3.128000>
    }
    triangle {
      < -13.688000, 14.308000, 3.172000>,
      < -13.588000, 14.880000, 3.088000>,
      < -13.716000, 14.880000, 2.996000>
    }
    triangle {
      < -13.688000, 14.308000, 3.172000>,
      < -13.716000, 14.880000, 2.996000>,
      < -13.760000, 14.308000, 3.128000>
    }
    triangle {
      < -13.588000, 14.880000, 3.088000>,
      < -13.488000, 14.880000, 2.996000>,
      < -13.672000, 14.880000, 2.876000>
    }
    triangle {
      < -13.588000, 14.880000, 3.088000>,
      < -13.672000, 14.880000, 2.876000>,
      < -13.716000, 14.880000, 2.996000>
    }
    triangle {
      < -13.488000, 14.880000, 2.996000>,
      < -13.488000, 13.596000, 2.996000>,
      < -13.672000, 13.596000, 2.876000>
    }
    triangle {
      < -13.488000, 14.880000, 2.996000>,
      < -13.672000, 13.596000, 2.876000>,
      < -13.672000, 14.880000, 2.876000>
    }
    triangle {
      < -13.488000, 13.596000, 2.996000>,
      < -13.544000, 13.596000, 3.048000>,
      < -13.692000, 13.596000, 2.940000>
    }
    triangle {
      < -13.488000, 13.596000, 2.996000>,
      < -13.692000, 13.596000, 2.940000>,
      < -13.672000, 13.596000, 2.876000>
    }
    triangle {
      < -13.544000, 13.596000, 3.048000>,
      < -13.464000, 13.316000, 2.980000>,
      < -13.664000, 13.316000, 2.844000>
    }
    triangle {
      < -13.544000, 13.596000, 3.048000>,
      < -13.664000, 13.316000, 2.844000>,
      < -13.692000, 13.596000, 2.940000>
    }
    texture {gunsl}
  }
  // DEFAULT
  union {
    triangle {
      < -13.464000, 13.316000, 2.980000>,
      < -13.464000, 7.480000, 2.980000>,
      < -13.664000, 7.480000, 2.844000>
    }
    triangle {
      < -13.464000, 13.316000, 2.980000>,
      < -13.664000, 7.480000, 2.844000>,
      < -13.664000, 13.316000, 2.844000>
    }
    texture {DEFAULT}
  }
  // gunsl
  union {
    triangle {
      < -13.464000, 7.480000, 2.980000>,
      < -13.512000, 6.764000, 3.020000>,
      < -13.680000, 6.764000, 2.908000>
    }
    triangle {
      < -13.464000, 7.480000, 2.980000>,
      < -13.680000, 6.764000, 2.908000>,
      < -13.664000, 7.480000, 2.844000>
    }
    triangle {
      < -13.512000, 6.764000, 3.020000>,
      < -13.636000, 6.480000, 3.132000>,
      < -13.736000, 6.480000, 3.064000>
    }
    triangle {
      < -13.512000, 6.764000, 3.020000>,
      < -13.736000, 6.480000, 3.064000>,
      < -13.680000, 6.764000, 2.908000>
    }
    triangle {
      < -13.636000, 6.480000, 3.132000>,
      < -13.712000, 6.340000, 3.192000>,
      < -13.772000, 6.340000, 3.156000>
    }
    triangle {
      < -13.636000, 6.480000, 3.132000>,
      < -13.772000, 6.340000, 3.156000>,
      < -13.736000, 6.480000, 3.064000>
    }
    triangle {
      < -13.712000, -1.892000, 3.192000>,
      < -13.816000, -3.176000, 3.280000>,
      < -13.772000, -1.892000, 3.156000>
    }
    triangle {
      < -13.816000, 14.308000, 3.280000>,
      < -13.760000, 14.308000, 3.128000>,
      < -13.844000, 14.308000, 3.120000>
    }
    triangle {
      < -13.760000, 14.308000, 3.128000>,
      < -13.716000, 14.880000, 2.996000>,
      < -13.864000, 14.880000, 2.988000>
    }
    triangle {
      < -13.760000, 14.308000, 3.128000>,
      < -13.864000, 14.880000, 2.988000>,
      < -13.844000, 14.308000, 3.120000>
    }
    triangle {
      < -13.716000, 14.880000, 2.996000>,
      < -13.672000, 14.880000, 2.876000>,
      < -13.888000, 14.880000, 2.860000>
    }
    triangle {
      < -13.716000, 14.880000, 2.996000>,
      < -13.888000, 14.880000, 2.860000>,
      < -13.864000, 14.880000, 2.988000>
    }
    triangle {
      < -13.672000, 14.880000, 2.876000>,
      < -13.672000, 13.596000, 2.876000>,
      < -13.888000, 13.596000, 2.860000>
    }
    triangle {
      < -13.672000, 14.880000, 2.876000>,
      < -13.888000, 13.596000, 2.860000>,
      < -13.888000, 14.880000, 2.860000>
    }
    triangle {
      < -13.672000, 13.596000, 2.876000>,
      < -13.692000, 13.596000, 2.940000>,
      < -13.872000, 13.596000, 2.924000>
    }
    triangle {
      < -13.672000, 13.596000, 2.876000>,
      < -13.872000, 13.596000, 2.924000>,
      < -13.888000, 13.596000, 2.860000>
    }
    triangle {
      < -13.692000, 13.596000, 2.940000>,
      < -13.664000, 13.316000, 2.844000>,
      < -13.896000, 13.316000, 2.828000>
    }
    triangle {
      < -13.692000, 13.596000, 2.940000>,
      < -13.896000, 13.316000, 2.828000>,
      < -13.872000, 13.596000, 2.924000>
    }
    triangle {
      < -13.664000, 13.316000, 2.844000>,
      < -13.664000, 7.480000, 2.844000>,
      < -13.896000, 7.480000, 2.828000>
    }
    triangle {
      < -13.664000, 13.316000, 2.844000>,
      < -13.896000, 7.480000, 2.828000>,
      < -13.896000, 13.316000, 2.828000>
    }
    triangle {
      < -13.664000, 7.480000, 2.844000>,
      < -13.680000, 6.764000, 2.908000>,
      < -13.884000, 6.764000, 2.892000>
    }
    triangle {
      < -13.664000, 7.480000, 2.844000>,
      < -13.884000, 6.764000, 2.892000>,
      < -13.896000, 7.480000, 2.828000>
    }
    triangle {
      < -13.680000, 6.764000, 2.908000>,
      < -13.736000, 6.480000, 3.064000>,
      < -13.856000, 6.480000, 3.052000>
    }
    triangle {
      < -13.680000, 6.764000, 2.908000>,
      < -13.856000, 6.480000, 3.052000>,
      < -13.884000, 6.764000, 2.892000>
    }
    triangle {
      < -13.736000, 6.480000, 3.064000>,
      < -13.772000, 6.340000, 3.156000>,
      < -13.836000, 6.340000, 3.152000>
    }
    triangle {
      < -13.736000, 6.480000, 3.064000>,
      < -13.836000, 6.340000, 3.152000>,
      < -13.856000, 6.480000, 3.052000>
    }
    triangle {
      < -13.772000, -1.892000, 3.156000>,
      < -13.816000, -3.176000, 3.280000>,
      < -13.836000, -1.892000, 3.152000>
    }
    triangle {
      < -13.816000, 14.308000, 3.280000>,
      < -13.844000, 14.308000, 3.120000>,
      < -13.916000, 14.308000, 3.152000>
    }
    triangle {
      < -13.844000, 14.308000, 3.120000>,
      < -13.864000, 14.880000, 2.988000>,
      < -14.000000, 14.880000, 3.052000>
    }
    triangle {
      < -13.844000, 14.308000, 3.120000>,
      < -14.000000, 14.880000, 3.052000>,
      < -13.916000, 14.308000, 3.152000>
    }
    triangle {
      < -13.864000, 14.880000, 2.988000>,
      < -13.888000, 14.880000, 2.860000>,
      < -14.088000, 14.880000, 2.952000>
    }
    triangle {
      < -13.864000, 14.880000, 2.988000>,
      < -14.088000, 14.880000, 2.952000>,
      < -14.000000, 14.880000, 3.052000>
    }
    triangle {
      < -13.888000, 14.880000, 2.860000>,
      < -13.888000, 13.596000, 2.860000>,
      < -14.088000, 13.596000, 2.952000>
    }
    triangle {
      < -13.888000, 14.880000, 2.860000>,
      < -14.088000, 13.596000, 2.952000>,
      < -14.088000, 14.880000, 2.952000>
    }
    triangle {
      < -13.888000, 13.596000, 2.860000>,
      < -13.872000, 13.596000, 2.924000>,
      < -14.048000, 13.596000, 3.004000>
    }
    triangle {
      < -13.888000, 13.596000, 2.860000>,
      < -14.048000, 13.596000, 3.004000>,
      < -14.088000, 13.596000, 2.952000>
    }
    triangle {
      < -13.872000, 13.596000, 2.924000>,
      < -13.896000, 13.316000, 2.828000>,
      < -14.112000, 13.316000, 2.928000>
    }
    triangle {
      < -13.872000, 13.596000, 2.924000>,
      < -14.112000, 13.316000, 2.928000>,
      < -14.048000, 13.596000, 3.004000>
    }
    triangle {
      < -13.896000, 13.316000, 2.828000>,
      < -13.896000, 7.480000, 2.828000>,
      < -14.112000, 7.480000, 2.928000>
    }
    triangle {
      < -13.896000, 13.316000, 2.828000>,
      < -14.112000, 7.480000, 2.928000>,
      < -14.112000, 13.316000, 2.928000>
    }
    triangle {
      < -13.896000, 7.480000, 2.828000>,
      < -13.884000, 6.764000, 2.892000>,
      < -14.064000, 6.764000, 2.980000>
    }
    triangle {
      < -13.896000, 7.480000, 2.828000>,
      < -14.064000, 6.764000, 2.980000>,
      < -14.112000, 7.480000, 2.928000>
    }
    triangle {
      < -13.884000, 6.764000, 2.892000>,
      < -13.856000, 6.480000, 3.052000>,
      < -13.964000, 6.480000, 3.104000>
    }
    triangle {
      < -13.884000, 6.764000, 2.892000>,
      < -13.964000, 6.480000, 3.104000>,
      < -14.064000, 6.764000, 2.980000>
    }
    triangle {
      < -13.856000, 6.480000, 3.052000>,
      < -13.836000, 6.340000, 3.152000>,
      < -13.900000, 6.340000, 3.176000>
    }
    triangle {
      < -13.856000, 6.480000, 3.052000>,
      < -13.900000, 6.340000, 3.176000>,
      < -13.964000, 6.480000, 3.104000>
    }
    triangle {
      < -13.836000, -1.892000, 3.152000>,
      < -13.816000, -3.176000, 3.280000>,
      < -13.900000, -1.892000, 3.176000>
    }
    triangle {
      < -13.816000, 14.308000, 3.280000>,
      < -13.916000, 14.308000, 3.152000>,
      < -13.964000, 14.308000, 3.224000>
    }
    triangle {
      < -13.916000, 14.308000, 3.152000>,
      < -14.000000, 14.880000, 3.052000>,
      < -14.092000, 14.880000, 3.180000>
    }
    triangle {
      < -13.916000, 14.308000, 3.152000>,
      < -14.092000, 14.880000, 3.180000>,
      < -13.964000, 14.308000, 3.224000>
    }
    triangle {
      < -14.000000, 14.880000, 3.052000>,
      < -14.088000, 14.880000, 2.952000>,
      < -14.216000, 14.880000, 3.136000>
    }
    triangle {
      < -14.000000, 14.880000, 3.052000>,
      < -14.216000, 14.880000, 3.136000>,
      < -14.092000, 14.880000, 3.180000>
    }
    triangle {
      < -14.088000, 14.880000, 2.952000>,
      < -14.088000, 13.596000, 2.952000>,
      < -14.216000, 13.596000, 3.136000>
    }
    triangle {
      < -14.088000, 14.880000, 2.952000>,
      < -14.216000, 13.596000, 3.136000>,
      < -14.216000, 14.880000, 3.136000>
    }
    triangle {
      < -14.088000, 13.596000, 2.952000>,
      < -14.048000, 13.596000, 3.004000>,
      < -14.152000, 13.596000, 3.156000>
    }
    triangle {
      < -14.088000, 13.596000, 2.952000>,
      < -14.152000, 13.596000, 3.156000>,
      < -14.216000, 13.596000, 3.136000>
    }
    triangle {
      < -14.048000, 13.596000, 3.004000>,
      < -14.112000, 13.316000, 2.928000>,
      < -14.244000, 13.316000, 3.128000>
    }
    triangle {
      < -14.048000, 13.596000, 3.004000>,
      < -14.244000, 13.316000, 3.128000>,
      < -14.152000, 13.596000, 3.156000>
    }
    triangle {
      < -14.112000, 13.316000, 2.928000>,
      < -14.112000, 7.480000, 2.928000>,
      < -14.244000, 7.480000, 3.128000>
    }
    triangle {
      < -14.112000, 13.316000, 2.928000>,
      < -14.244000, 7.480000, 3.128000>,
      < -14.244000, 13.316000, 3.128000>
    }
    triangle {
      < -14.112000, 7.480000, 2.928000>,
      < -14.064000, 6.764000, 2.980000>,
      < -14.188000, 6.764000, 3.148000>
    }
    triangle {
      < -14.112000, 7.480000, 2.928000>,
      < -14.188000, 6.764000, 3.148000>,
      < -14.244000, 7.480000, 3.128000>
    }
    triangle {
      < -14.064000, 6.764000, 2.980000>,
      < -13.964000, 6.480000, 3.104000>,
      < -14.028000, 6.480000, 3.200000>
    }
    triangle {
      < -14.064000, 6.764000, 2.980000>,
      < -14.028000, 6.480000, 3.200000>,
      < -14.188000, 6.764000, 3.148000>
    }
    triangle {
      < -13.964000, 6.480000, 3.104000>,
      < -13.900000, 6.340000, 3.176000>,
      < -13.936000, 6.340000, 3.236000>
    }
    triangle {
      < -13.964000, 6.480000, 3.104000>,
      < -13.936000, 6.340000, 3.236000>,
      < -14.028000, 6.480000, 3.200000>
    }
    triangle {
      < -13.900000, -1.892000, 3.176000>,
      < -13.816000, -3.176000, 3.280000>,
      < -13.936000, -1.892000, 3.236000>
    }
    triangle {
      < -13.816000, 14.308000, 3.280000>,
      < -13.964000, 14.308000, 3.224000>,
      < -13.972000, 14.308000, 3.308000>
    }
    triangle {
      < -13.964000, 14.308000, 3.224000>,
      < -14.092000, 14.880000, 3.180000>,
      < -14.100000, 14.880000, 3.328000>
    }
    triangle {
      < -13.964000, 14.308000, 3.224000>,
      < -14.100000, 14.880000, 3.328000>,
      < -13.972000, 14.308000, 3.308000>
    }
    triangle {
      < -14.092000, 14.880000, 3.180000>,
      < -14.216000, 14.880000, 3.136000>,
      < -14.232000, 14.880000, 3.356000>
    }
    triangle {
      < -14.092000, 14.880000, 3.180000>,
      < -14.232000, 14.880000, 3.356000>,
      < -14.100000, 14.880000, 3.328000>
    }
    triangle {
      < -14.216000, 14.880000, 3.136000>,
      < -14.216000, 13.596000, 3.136000>,
      < -14.232000, 13.596000, 3.356000>
    }
    triangle {
      < -14.216000, 14.880000, 3.136000>,
      < -14.232000, 13.596000, 3.356000>,
      < -14.232000, 14.880000, 3.356000>
    }
    triangle {
      < -14.216000, 13.596000, 3.136000>,
      < -14.152000, 13.596000, 3.156000>,
      < -14.164000, 13.596000, 3.340000>
    }
    triangle {
      < -14.216000, 13.596000, 3.136000>,
      < -14.164000, 13.596000, 3.340000>,
      < -14.232000, 13.596000, 3.356000>
    }
    triangle {
      < -14.152000, 13.596000, 3.156000>,
      < -14.244000, 13.316000, 3.128000>,
      < -14.264000, 13.316000, 3.364000>
    }
    triangle {
      < -14.152000, 13.596000, 3.156000>,
      < -14.264000, 13.316000, 3.364000>,
      < -14.164000, 13.596000, 3.340000>
    }
    triangle {
      < -14.244000, 13.316000, 3.128000>,
      < -14.244000, 7.480000, 3.128000>,
      < -14.264000, 7.480000, 3.364000>
    }
    triangle {
      < -14.244000, 13.316000, 3.128000>,
      < -14.264000, 7.480000, 3.364000>,
      < -14.264000, 13.316000, 3.364000>
    }
    triangle {
      < -14.244000, 7.480000, 3.128000>,
      < -14.188000, 6.764000, 3.148000>,
      < -14.200000, 6.764000, 3.348000>
    }
    triangle {
      < -14.244000, 7.480000, 3.128000>,
      < -14.200000, 6.764000, 3.348000>,
      < -14.264000, 7.480000, 3.364000>
    }
    triangle {
      < -14.188000, 6.764000, 3.148000>,
      < -14.028000, 6.480000, 3.200000>,
      < -14.036000, 6.480000, 3.316000>
    }
    triangle {
      < -14.188000, 6.764000, 3.148000>,
      < -14.036000, 6.480000, 3.316000>,
      < -14.200000, 6.764000, 3.348000>
    }
    triangle {
      < -14.028000, 6.480000, 3.200000>,
      < -13.936000, 6.340000, 3.236000>,
      < -13.936000, 6.340000, 3.300000>
    }
    triangle {
      < -14.028000, 6.480000, 3.200000>,
      < -13.936000, 6.340000, 3.300000>,
      < -14.036000, 6.480000, 3.316000>
    }
    triangle {
      < -13.936000, -1.892000, 3.236000>,
      < -13.816000, -3.176000, 3.280000>,
      < -13.936000, -1.892000, 3.300000>
    }
    triangle {
      < -13.816000, 14.308000, 3.280000>,
      < -13.972000, 14.308000, 3.308000>,
      < -13.936000, 14.308000, 3.384000>
    }
    triangle {
      < -13.972000, 14.308000, 3.308000>,
      < -14.100000, 14.880000, 3.328000>,
      < -14.036000, 14.880000, 3.468000>
    }
    triangle {
      < -13.972000, 14.308000, 3.308000>,
      < -14.036000, 14.880000, 3.468000>,
      < -13.936000, 14.308000, 3.384000>
    }
    triangle {
      < -14.100000, 14.880000, 3.328000>,
      < -14.232000, 14.880000, 3.356000>,
      < -14.136000, 14.880000, 3.556000>
    }
    triangle {
      < -14.100000, 14.880000, 3.328000>,
      < -14.136000, 14.880000, 3.556000>,
      < -14.036000, 14.880000, 3.468000>
    }
    triangle {
      < -14.232000, 14.880000, 3.356000>,
      < -14.232000, 13.596000, 3.356000>,
      < -14.136000, 13.596000, 3.556000>
    }
    triangle {
      < -14.232000, 14.880000, 3.356000>,
      < -14.136000, 13.596000, 3.556000>,
      < -14.136000, 14.880000, 3.556000>
    }
    triangle {
      < -14.232000, 13.596000, 3.356000>,
      < -14.164000, 13.596000, 3.340000>,
      < -14.088000, 13.596000, 3.508000>
    }
    triangle {
      < -14.232000, 13.596000, 3.356000>,
      < -14.088000, 13.596000, 3.508000>,
      < -14.136000, 13.596000, 3.556000>
    }
    triangle {
      < -14.164000, 13.596000, 3.340000>,
      < -14.264000, 13.316000, 3.364000>,
      < -14.164000, 13.316000, 3.572000>
    }
    triangle {
      < -14.164000, 13.596000, 3.340000>,
      < -14.164000, 13.316000, 3.572000>,
      < -14.088000, 13.596000, 3.508000>
    }
    triangle {
      < -14.264000, 13.316000, 3.364000>,
      < -14.264000, 7.480000, 3.364000>,
      < -14.164000, 7.480000, 3.572000>
    }
    triangle {
      < -14.264000, 13.316000, 3.364000>,
      < -14.164000, 7.480000, 3.572000>,
      < -14.164000, 13.316000, 3.572000>
    }
    triangle {
      < -14.264000, 7.480000, 3.364000>,
      < -14.200000, 6.764000, 3.348000>,
      < -14.116000, 6.764000, 3.532000>
    }
    triangle {
      < -14.264000, 7.480000, 3.364000>,
      < -14.116000, 6.764000, 3.532000>,
      < -14.164000, 7.480000, 3.572000>
    }
    triangle {
      < -14.200000, 6.764000, 3.348000>,
      < -14.036000, 6.480000, 3.316000>,
      < -13.992000, 6.480000, 3.424000>
    }
    triangle {
      < -14.200000, 6.764000, 3.348000>,
      < -13.992000, 6.480000, 3.424000>,
      < -14.116000, 6.764000, 3.532000>
    }
    triangle {
      < -14.036000, 6.480000, 3.316000>,
      < -13.936000, 6.340000, 3.300000>,
      < -13.912000, 6.340000, 3.364000>
    }
    triangle {
      < -14.036000, 6.480000, 3.316000>,
      < -13.912000, 6.340000, 3.364000>,
      < -13.992000, 6.480000, 3.424000>
    }
    triangle {
      < -13.936000, -1.892000, 3.300000>,
      < -13.816000, -3.176000, 3.280000>,
      < -13.912000, -1.892000, 3.364000>
    }
    triangle {
      < -13.816000, 14.308000, 3.280000>,
      < -13.936000, 14.308000, 3.384000>,
      < -13.864000, 14.308000, 3.432000>
    }
    triangle {
      < -13.936000, 14.308000, 3.384000>,
      < -14.036000, 14.880000, 3.468000>,
      < -13.912000, 14.880000, 3.556000>
    }
    triangle {
      < -13.936000, 14.308000, 3.384000>,
      < -13.912000, 14.880000, 3.556000>,
      < -13.864000, 14.308000, 3.432000>
    }
    triangle {
      < -14.036000, 14.880000, 3.468000>,
      < -14.136000, 14.880000, 3.556000>,
      < -13.960000, 14.880000, 3.684000>
    }
    triangle {
      < -14.036000, 14.880000, 3.468000>,
      < -13.960000, 14.880000, 3.684000>,
      < -13.912000, 14.880000, 3.556000>
    }
    triangle {
      < -14.136000, 14.880000, 3.556000>,
      < -14.136000, 13.596000, 3.556000>,
      < -13.960000, 13.596000, 3.684000>
    }
    triangle {
      < -14.136000, 14.880000, 3.556000>,
      < -13.960000, 13.596000, 3.684000>,
      < -13.960000, 14.880000, 3.684000>
    }
    triangle {
      < -14.136000, 13.596000, 3.556000>,
      < -14.088000, 13.596000, 3.508000>,
      < -13.936000, 13.596000, 3.616000>
    }
    triangle {
      < -14.136000, 13.596000, 3.556000>,
      < -13.936000, 13.596000, 3.616000>,
      < -13.960000, 13.596000, 3.684000>
    }
    triangle {
      < -14.088000, 13.596000, 3.508000>,
      < -14.164000, 13.316000, 3.572000>,
      < -13.964000, 13.316000, 3.712000>
    }
    triangle {
      < -14.088000, 13.596000, 3.508000>,
      < -13.964000, 13.316000, 3.712000>,
      < -13.936000, 13.596000, 3.616000>
    }
    triangle {
      < -14.164000, 13.316000, 3.572000>,
      < -14.164000, 7.480000, 3.572000>,
      < -13.964000, 7.480000, 3.712000>
    }
    triangle {
      < -14.164000, 13.316000, 3.572000>,
      < -13.964000, 7.480000, 3.712000>,
      < -13.964000, 13.316000, 3.712000>
    }
    triangle {
      < -14.164000, 7.480000, 3.572000>,
      < -14.116000, 6.764000, 3.532000>,
      < -13.948000, 6.764000, 3.652000>
    }
    triangle {
      < -14.164000, 7.480000, 3.572000>,
      < -13.948000, 6.764000, 3.652000>,
      < -13.964000, 7.480000, 3.712000>
    }
    triangle {
      < -14.116000, 6.764000, 3.532000>,
      < -13.992000, 6.480000, 3.424000>,
      < -13.888000, 6.480000, 3.488000>
    }
    triangle {
      < -14.116000, 6.764000, 3.532000>,
      < -13.888000, 6.480000, 3.488000>,
      < -13.948000, 6.764000, 3.652000>
    }
    triangle {
      < -13.992000, 6.480000, 3.424000>,
      < -13.912000, 6.340000, 3.364000>,
      < -13.856000, 6.340000, 3.396000>
    }
    triangle {
      < -13.992000, 6.480000, 3.424000>,
      < -13.856000, 6.340000, 3.396000>,
      < -13.888000, 6.480000, 3.488000>
    }
    triangle {
      < -13.912000, -1.892000, 3.364000>,
      < -13.816000, -3.176000, 3.280000>,
      < -13.856000, -1.892000, 3.396000>
    }
    triangle {
      < -13.816000, 14.308000, 3.280000>,
      < -13.864000, 14.308000, 3.432000>,
      < -13.788000, 14.308000, 3.440000>
    }
    triangle {
      < -13.864000, 14.308000, 3.432000>,
      < -13.912000, 14.880000, 3.556000>,
      < -13.764000, 14.880000, 3.568000>
    }
    triangle {
      < -13.864000, 14.308000, 3.432000>,
      < -13.764000, 14.880000, 3.568000>,
      < -13.788000, 14.308000, 3.440000>
    }
    triangle {
      < -13.912000, 14.880000, 3.556000>,
      < -13.960000, 14.880000, 3.684000>,
      < -13.736000, 14.880000, 3.700000>
    }
    triangle {
      < -13.912000, 14.880000, 3.556000>,
      < -13.736000, 14.880000, 3.700000>,
      < -13.764000, 14.880000, 3.568000>
    }
    triangle {
      < -13.960000, 14.880000, 3.684000>,
      < -13.960000, 13.596000, 3.684000>,
      < -13.736000, 13.596000, 3.700000>
    }
    triangle {
      < -13.960000, 14.880000, 3.684000>,
      < -13.736000, 13.596000, 3.700000>,
      < -13.736000, 14.880000, 3.700000>
    }
    triangle {
      < -13.960000, 13.596000, 3.684000>,
      < -13.936000, 13.596000, 3.616000>,
      < -13.752000, 13.596000, 3.636000>
    }
    triangle {
      < -13.960000, 13.596000, 3.684000>,
      < -13.752000, 13.596000, 3.636000>,
      < -13.736000, 13.596000, 3.700000>
    }
    triangle {
      < -13.936000, 13.596000, 3.616000>,
      < -13.964000, 13.316000, 3.712000>,
      < -13.732000, 13.316000, 3.728000>
    }
    triangle {
      < -13.936000, 13.596000, 3.616000>,
      < -13.732000, 13.316000, 3.728000>,
      < -13.752000, 13.596000, 3.636000>
    }
    triangle {
      < -13.964000, 13.316000, 3.712000>,
      < -13.964000, 7.480000, 3.712000>,
      < -13.732000, 7.480000, 3.728000>
    }
    triangle {
      < -13.964000, 13.316000, 3.712000>,
      < -13.732000, 7.480000, 3.728000>,
      < -13.732000, 13.316000, 3.728000>
    }
    triangle {
      < -13.964000, 7.480000, 3.712000>,
      < -13.948000, 6.764000, 3.652000>,
      < -13.748000, 6.764000, 3.664000>
    }
    triangle {
      < -13.964000, 7.480000, 3.712000>,
      < -13.748000, 6.764000, 3.664000>,
      < -13.732000, 7.480000, 3.728000>
    }
    triangle {
      < -13.948000, 6.764000, 3.652000>,
      < -13.888000, 6.480000, 3.488000>,
      < -13.772000, 6.480000, 3.504000>
    }
    triangle {
      < -13.948000, 6.764000, 3.652000>,
      < -13.772000, 6.480000, 3.504000>,
      < -13.748000, 6.764000, 3.664000>
    }
    triangle {
      < -13.888000, 6.480000, 3.488000>,
      < -13.856000, 6.340000, 3.396000>,
      < -13.792000, 6.340000, 3.404000>
    }
    triangle {
      < -13.888000, 6.480000, 3.488000>,
      < -13.792000, 6.340000, 3.404000>,
      < -13.772000, 6.480000, 3.504000>
    }
    triangle {
      < -13.856000, -1.892000, 3.396000>,
      < -13.816000, -3.176000, 3.280000>,
      < -13.792000, -1.892000, 3.404000>
    }
    triangle {
      < -13.816000, 14.308000, 3.280000>,
      < -13.788000, 14.308000, 3.440000>,
      < -13.708000, 14.308000, 3.404000>
    }
    triangle {
      < -13.788000, 14.308000, 3.440000>,
      < -13.764000, 14.880000, 3.568000>,
      < -13.624000, 14.880000, 3.504000>
    }
    triangle {
      < -13.788000, 14.308000, 3.440000>,
      < -13.624000, 14.880000, 3.504000>,
      < -13.708000, 14.308000, 3.404000>
    }
    triangle {
      < -13.764000, 14.880000, 3.568000>,
      < -13.736000, 14.880000, 3.700000>,
      < -13.536000, 14.880000, 3.604000>
    }
    triangle {
      < -13.764000, 14.880000, 3.568000>,
      < -13.536000, 14.880000, 3.604000>,
      < -13.624000, 14.880000, 3.504000>
    }
    triangle {
      < -13.736000, 14.880000, 3.700000>,
      < -13.736000, 13.596000, 3.700000>,
      < -13.536000, 13.596000, 3.604000>
    }
    triangle {
      < -13.736000, 14.880000, 3.700000>,
      < -13.536000, 13.596000, 3.604000>,
      < -13.536000, 14.880000, 3.604000>
    }
    triangle {
      < -13.736000, 13.596000, 3.700000>,
      < -13.752000, 13.596000, 3.636000>,
      < -13.580000, 13.596000, 3.548000>
    }
    triangle {
      < -13.736000, 13.596000, 3.700000>,
      < -13.580000, 13.596000, 3.548000>,
      < -13.536000, 13.596000, 3.604000>
    }
    triangle {
      < -13.752000, 13.596000, 3.636000>,
      < -13.732000, 13.316000, 3.728000>,
      < -13.520000, 13.316000, 3.628000>
    }
    triangle {
      < -13.752000, 13.596000, 3.636000>,
      < -13.520000, 13.316000, 3.628000>,
      < -13.580000, 13.596000, 3.548000>
    }
    triangle {
      < -13.732000, 13.316000, 3.728000>,
      < -13.732000, 7.480000, 3.728000>,
      < -13.520000, 7.480000, 3.628000>
    }
    triangle {
      < -13.732000, 13.316000, 3.728000>,
      < -13.520000, 7.480000, 3.628000>,
      < -13.520000, 13.316000, 3.628000>
    }
    triangle {
      < -13.732000, 7.480000, 3.728000>,
      < -13.748000, 6.764000, 3.664000>,
      < -13.560000, 6.764000, 3.580000>
    }
    triangle {
      < -13.732000, 7.480000, 3.728000>,
      < -13.560000, 6.764000, 3.580000>,
      < -13.520000, 7.480000, 3.628000>
    }
    triangle {
      < -13.748000, 6.764000, 3.664000>,
      < -13.772000, 6.480000, 3.504000>,
      < -13.664000, 6.480000, 3.452000>
    }
    triangle {
      < -13.748000, 6.764000, 3.664000>,
      < -13.664000, 6.480000, 3.452000>,
      < -13.560000, 6.764000, 3.580000>
    }
    triangle {
      < -13.772000, 6.480000, 3.504000>,
      < -13.792000, 6.340000, 3.404000>,
      < -13.732000, 6.340000, 3.372000>
    }
    triangle {
      < -13.772000, 6.480000, 3.504000>,
      < -13.732000, 6.340000, 3.372000>,
      < -13.664000, 6.480000, 3.452000>
    }
    triangle {
      < -13.792000, -1.892000, 3.404000>,
      < -13.816000, -3.176000, 3.280000>,
      < -13.732000, -1.892000, 3.372000>
    }
    triangle {
      < -13.816000, 14.308000, 3.280000>,
      < -13.708000, 14.308000, 3.404000>,
      < -13.660000, 14.308000, 3.332000>
    }
    triangle {
      < -13.708000, 14.308000, 3.404000>,
      < -13.624000, 14.880000, 3.504000>,
      < -13.536000, 14.880000, 3.372000>
    }
    triangle {
      < -13.708000, 14.308000, 3.404000>,
      < -13.536000, 14.880000, 3.372000>,
      < -13.660000, 14.308000, 3.332000>
    }
    triangle {
      < -13.624000, 14.880000, 3.504000>,
      < -13.536000, 14.880000, 3.604000>,
      < -13.412000, 14.880000, 3.420000>
    }
    triangle {
      < -13.624000, 14.880000, 3.504000>,
      < -13.412000, 14.880000, 3.420000>,
      < -13.536000, 14.880000, 3.372000>
    }
    triangle {
      < -13.536000, 14.880000, 3.604000>,
      < -13.536000, 13.596000, 3.604000>,
      < -13.412000, 13.596000, 3.420000>
    }
    triangle {
      < -13.536000, 14.880000, 3.604000>,
      < -13.412000, 13.596000, 3.420000>,
      < -13.412000, 14.880000, 3.420000>
    }
    triangle {
      < -13.536000, 13.596000, 3.604000>,
      < -13.580000, 13.596000, 3.548000>,
      < -13.472000, 13.596000, 3.396000>
    }
    triangle {
      < -13.536000, 13.596000, 3.604000>,
      < -13.472000, 13.596000, 3.396000>,
      < -13.412000, 13.596000, 3.420000>
    }
    triangle {
      < -13.580000, 13.596000, 3.548000>,
      < -13.520000, 13.316000, 3.628000>,
      < -13.380000, 13.316000, 3.436000>
    }
    triangle {
      < -13.580000, 13.596000, 3.548000>,
      < -13.380000, 13.316000, 3.436000>,
      < -13.472000, 13.596000, 3.396000>
    }
    triangle {
      < -13.520000, 13.316000, 3.628000>,
      < -13.520000, 7.480000, 3.628000>,
      < -13.380000, 7.480000, 3.436000>
    }
    triangle {
      < -13.520000, 13.316000, 3.628000>,
      < -13.380000, 7.480000, 3.436000>,
      < -13.380000, 13.316000, 3.436000>
    }
    triangle {
      < -13.520000, 7.480000, 3.628000>,
      < -13.560000, 6.764000, 3.580000>,
      < -13.444000, 6.764000, 3.408000>
    }
    triangle {
      < -13.520000, 7.480000, 3.628000>,
      < -13.444000, 6.764000, 3.408000>,
      < -13.380000, 7.480000, 3.436000>
    }
    triangle {
      < -13.560000, 6.764000, 3.580000>,
      < -13.664000, 6.480000, 3.452000>,
      < -13.600000, 6.480000, 3.352000>
    }
    triangle {
      < -13.560000, 6.764000, 3.580000>,
      < -13.600000, 6.480000, 3.352000>,
      < -13.444000, 6.764000, 3.408000>
    }
    triangle {
      < -13.664000, 6.480000, 3.452000>,
      < -13.732000, 6.340000, 3.372000>,
      < -13.692000, 6.340000, 3.320000>
    }
    triangle {
      < -13.664000, 6.480000, 3.452000>,
      < -13.692000, 6.340000, 3.320000>,
      < -13.600000, 6.480000, 3.352000>
    }
    triangle {
      < -13.732000, -1.892000, 3.372000>,
      < -13.816000, -3.176000, 3.280000>,
      < -13.692000, -1.892000, 3.320000>
    }
    triangle {
      < -13.816000, 14.308000, 3.280000>,
      < -13.660000, 14.308000, 3.332000>,
      < -13.656000, 14.308000, 3.252000>
    }
    triangle {
      < -13.660000, 14.308000, 3.332000>,
      < -13.536000, 14.880000, 3.372000>,
      < -13.524000, 14.880000, 3.228000>
    }
    triangle {
      < -13.660000, 14.308000, 3.332000>,
      < -13.524000, 14.880000, 3.228000>,
      < -13.656000, 14.308000, 3.252000>
    }
    triangle {
      < -13.536000, 14.880000, 3.372000>,
      < -13.412000, 14.880000, 3.420000>,
      < -13.396000, 14.880000, 3.200000>
    }
    triangle {
      < -13.536000, 14.880000, 3.372000>,
      < -13.396000, 14.880000, 3.200000>,
      < -13.524000, 14.880000, 3.228000>
    }
    triangle {
      < -13.412000, 14.880000, 3.420000>,
      < -13.412000, 13.596000, 3.420000>,
      < -13.396000, 13.596000, 3.200000>
    }
    triangle {
      < -13.412000, 14.880000, 3.420000>,
      < -13.396000, 13.596000, 3.200000>,
      < -13.396000, 14.880000, 3.200000>
    }
    triangle {
      < -13.412000, 13.596000, 3.420000>,
      < -13.472000, 13.596000, 3.396000>,
      < -13.460000, 13.596000, 3.212000>
    }
    triangle {
      < -13.412000, 13.596000, 3.420000>,
      < -13.460000, 13.596000, 3.212000>,
      < -13.396000, 13.596000, 3.200000>
    }
    triangle {
      < -13.472000, 13.596000, 3.396000>,
      < -13.380000, 13.316000, 3.436000>,
      < -13.364000, 13.316000, 3.196000>
    }
    triangle {
      < -13.472000, 13.596000, 3.396000>,
      < -13.364000, 13.316000, 3.196000>,
      < -13.460000, 13.596000, 3.212000>
    }
    triangle {
      < -13.380000, 13.316000, 3.436000>,
      < -13.380000, 7.480000, 3.436000>,
      < -13.364000, 7.480000, 3.196000>
    }
    triangle {
      < -13.380000, 13.316000, 3.436000>,
      < -13.364000, 7.480000, 3.196000>,
      < -13.364000, 13.316000, 3.196000>
    }
    triangle {
      < -13.380000, 7.480000, 3.436000>,
      < -13.444000, 6.764000, 3.408000>,
      < -13.432000, 6.764000, 3.208000>
    }
    triangle {
      < -13.380000, 7.480000, 3.436000>,
      < -13.432000, 6.764000, 3.208000>,
      < -13.364000, 7.480000, 3.196000>
    }
    triangle {
      < -13.444000, 6.764000, 3.408000>,
      < -13.600000, 6.480000, 3.352000>,
      < -13.588000, 6.480000, 3.240000>
    }
    triangle {
      < -13.444000, 6.764000, 3.408000>,
      < -13.588000, 6.480000, 3.240000>,
      < -13.432000, 6.764000, 3.208000>
    }
    triangle {
      < -13.600000, 6.480000, 3.352000>,
      < -13.692000, 6.340000, 3.320000>,
      < -13.688000, 6.340000, 3.256000>
    }
    triangle {
      < -13.600000, 6.480000, 3.352000>,
      < -13.688000, 6.340000, 3.256000>,
      < -13.588000, 6.480000, 3.240000>
    }
    triangle {
      < -13.692000, -1.892000, 3.320000>,
      < -13.816000, -3.176000, 3.280000>,
      < -13.688000, -1.892000, 3.256000>
    }
    triangle {
      < -13.560000, -1.024000, 3.416000>,
      < -13.992000, -1.024000, 3.488000>,
      < -13.936000, -1.812000, 3.780000>
    }
    triangle {
      < -13.560000, -1.024000, 3.416000>,
      < -13.936000, -1.812000, 3.780000>,
      < -13.508000, -1.812000, 3.704000>
    }
    triangle {
      < -13.508000, -1.812000, 3.704000>,
      < -13.936000, -1.812000, 3.780000>,
      < -13.960000, -1.812000, 3.672000>
    }
    triangle {
      < -13.508000, -1.812000, 3.704000>,
      < -13.960000, -1.812000, 3.672000>,
      < -13.528000, -1.812000, 3.596000>
    }
    triangle {
      < -13.528000, -1.812000, 3.596000>,
      < -13.960000, -1.812000, 3.672000>,
      < -14.000000, -1.208000, 3.420000>
    }
    triangle {
      < -13.616000, -1.256000, 3.096000>,
      < -14.048000, -1.256000, 3.172000>,
      < -14.092000, -1.720000, 2.920000>
    }
    triangle {
      < -13.616000, -1.256000, 3.096000>,
      < -14.092000, -1.720000, 2.920000>,
      < -13.660000, -1.720000, 2.844000>
    }
    triangle {
      < -13.660000, -1.720000, 2.844000>,
      < -14.092000, -1.720000, 2.920000>,
      < -14.112000, -1.720000, 2.812000>
    }
    triangle {
      < -13.660000, -1.720000, 2.844000>,
      < -14.112000, -1.720000, 2.812000>,
      < -13.680000, -1.720000, 2.736000>
    }
    triangle {
      < -13.680000, -1.720000, 2.736000>,
      < -14.112000, -1.720000, 2.812000>,
      < -14.056000, -1.024000, 3.132000>
    }
    triangle {
      < -13.680000, -1.720000, 2.736000>,
      < -14.056000, -1.024000, 3.132000>,
      < -13.620000, -1.024000, 3.056000>
    }
    triangle {
      < -13.616000, -1.256000, 3.096000>,
      < -13.660000, -1.720000, 2.844000>,
      < -13.680000, -1.720000, 2.736000>
    }
    triangle {
      < -14.048000, -1.256000, 3.172000>,
      < -14.112000, -1.720000, 2.812000>,
      < -14.092000, -1.720000, 2.920000>
    }
    triangle {
      < -13.616000, -1.256000, 3.096000>,
      < -13.680000, -1.720000, 2.736000>,
      < -13.620000, -1.024000, 3.056000>
    }
    triangle {
      < -14.048000, -1.256000, 3.172000>,
      < -14.056000, -1.024000, 3.132000>,
      < -14.112000, -1.720000, 2.812000>
    }
    triangle {
      < -13.572000, -1.208000, 3.340000>,
      < -13.616000, -1.256000, 3.096000>,
      < -13.620000, -1.024000, 3.056000>
    }
    triangle {
      < -14.000000, -1.208000, 3.420000>,
      < -14.056000, -1.024000, 3.132000>,
      < -14.048000, -1.256000, 3.172000>
    }
    triangle {
      < -13.572000, -1.208000, 3.340000>,
      < -13.620000, -1.024000, 3.056000>,
      < -13.560000, -1.024000, 3.416000>
    }
    triangle {
      < -14.000000, -1.208000, 3.420000>,
      < -13.992000, -1.024000, 3.488000>,
      < -14.056000, -1.024000, 3.132000>
    }
    triangle {
      < -13.560000, -1.024000, 3.416000>,
      < -13.508000, -1.812000, 3.704000>,
      < -13.528000, -1.812000, 3.596000>
    }
    triangle {
      < -13.992000, -1.024000, 3.488000>,
      < -13.960000, -1.812000, 3.672000>,
      < -13.936000, -1.812000, 3.780000>
    }
    triangle {
      < -13.560000, -1.024000, 3.416000>,
      < -13.528000, -1.812000, 3.596000>,
      < -13.572000, -1.208000, 3.340000>
    }
    triangle {
      < -13.992000, -1.024000, 3.488000>,
      < -14.000000, -1.208000, 3.420000>,
      < -13.960000, -1.812000, 3.672000>
    }
    triangle {
      < -13.924000, -1.244000, 3.216000>,
      < -13.936000, -1.892000, 3.236000>,
      < -13.932000, -1.240000, 3.232000>
    }
    triangle {
      < -13.712000, -1.240000, 3.200000>,
      < -13.572000, -1.208000, 3.340000>,
      < -13.688000, -1.232000, 3.256000>
    }
    triangle {
      < -13.764000, -1.248000, 3.160000>,
      < -13.616000, -1.256000, 3.096000>,
      < -13.712000, -1.240000, 3.192000>
    }
    triangle {
      < -13.832000, -1.252000, 3.152000>,
      < -13.616000, -1.256000, 3.096000>,
      < -13.772000, -1.248000, 3.156000>
    }
    triangle {
      < -13.896000, -1.248000, 3.176000>,
      < -14.048000, -1.256000, 3.172000>,
      < -13.836000, -1.252000, 3.152000>
    }
    triangle {
      < -13.860000, -1.024000, 3.396000>,
      < -13.892000, -1.024000, 3.372000>,
      < -13.992000, -1.024000, 3.488000>
    }
    triangle {
      < -13.796000, -1.024000, 3.404000>,
      < -13.856000, -1.024000, 3.396000>,
      < -13.992000, -1.024000, 3.488000>
    }
    triangle {
      < -13.736000, -1.024000, 3.380000>,
      < -13.792000, -1.024000, 3.404000>,
      < -13.560000, -1.024000, 3.416000>
    }
    triangle {
      < -13.700000, -1.024000, 3.324000>,
      < -13.732000, -1.024000, 3.372000>,
      < -13.560000, -1.024000, 3.416000>
    }
    triangle {
      < -13.712000, -1.024000, 3.204000>,
      < -13.688000, -1.024000, 3.256000>,
      < -13.560000, -1.024000, 3.416000>
    }
    triangle {
      < -13.764000, -1.024000, 3.164000>,
      < -13.728000, -1.024000, 3.188000>,
      < -13.620000, -1.024000, 3.056000>
    }
    triangle {
      < -13.828000, -1.024000, 3.152000>,
      < -13.772000, -1.024000, 3.156000>,
      < -13.620000, -1.024000, 3.056000>
    }
    triangle {
      < -13.892000, -1.024000, 3.176000>,
      < -13.836000, -1.024000, 3.152000>,
      < -14.056000, -1.024000, 3.132000>
    }
    triangle {
      < -13.932000, -1.024000, 3.232000>,
      < -13.900000, -1.024000, 3.176000>,
      < -14.056000, -1.024000, 3.132000>
    }
    triangle {
      < -13.936000, -1.024000, 3.288000>,
      < -13.936000, -1.024000, 3.236000>,
      < -14.056000, -1.024000, 3.132000>
    }
    triangle {
      < -13.916000, -1.024000, 3.356000>,
      < -13.936000, -1.024000, 3.300000>,
      < -14.056000, -1.024000, 3.132000>
    }
    triangle {
      < -13.696000, -1.216000, 3.324000>,
      < -13.572000, -1.208000, 3.340000>,
      < -13.728000, -1.208000, 3.372000>
    }
    triangle {
      < -13.932000, -1.240000, 3.232000>,
      < -14.048000, -1.256000, 3.172000>,
      < -13.924000, -1.244000, 3.216000>
    }
    triangle {
      < -13.936000, -1.232000, 3.296000>,
      < -14.048000, -1.256000, 3.172000>,
      < -13.936000, -1.240000, 3.236000>
    }
    triangle {
      < -13.916000, -1.216000, 3.356000>,
      < -14.048000, -1.256000, 3.172000>,
      < -13.936000, -1.232000, 3.300000>
    }
    triangle {
      < -13.796000, -1.260000, 3.404000>,
      < -14.000000, -1.208000, 3.420000>,
      < -13.856000, -1.220000, 3.396000>
    }
    triangle {
      < -13.736000, -1.224000, 3.380000>,
      < -13.528000, -1.812000, 3.596000>,
      < -13.792000, -1.264000, 3.404000>
    }
    texture {gunsl}
  }
  // body
  union {
    triangle {
      < 2.444000, 8.660000, 1.456000>,
      < 1.700000, 7.700000, 1.324000>,
      < 2.444000, 7.772000, 1.456000>
    }
    triangle {
      < 2.444000, 9.416000, 1.456000>,
      < 1.700000, 7.700000, 1.324000>,
      < 2.444000, 8.660000, 1.456000>
    }
    triangle {
      < 2.564000, 11.368000, 1.480000>,
      < 1.700000, 7.700000, 1.324000>,
      < 2.564000, 11.268000, 1.480000>
    }
    triangle {
      < 2.564000, 11.368000, 1.480000>,
      < 1.712000, 14.708000, 1.328000>,
      < 1.700000, 7.700000, 1.324000>
    }
    triangle {
      < 2.636000, 11.368000, 1.492000>,
      < 1.712000, 14.708000, 1.328000>,
      < 2.564000, 11.368000, 1.480000>
    }
    triangle {
      < 2.636000, 11.368000, 1.492000>,
      < 2.980000, 11.368000, 1.552000>,
      < 1.712000, 14.708000, 1.328000>
    }
    triangle {
      < 2.980000, 11.368000, 1.552000>,
      < 3.076000, 11.368000, 1.568000>,
      < 1.712000, 14.708000, 1.328000>
    }
    texture {body}
  }
  // DEFAULT
  union {
    triangle {
      < 3.236000, 11.368000, 1.596000>,
      < 1.712000, 14.708000, 1.328000>,
      < 3.076000, 11.368000, 1.568000>
    }
    triangle {
      < 3.472000, 11.368000, 1.640000>,
      < 1.712000, 14.708000, 1.328000>,
      < 3.236000, 11.368000, 1.596000>
    }
    triangle {
      < 3.656000, 11.368000, 1.668000>,
      < 1.712000, 14.708000, 1.328000>,
      < 3.472000, 11.368000, 1.640000>
    }
    triangle {
      < 3.832000, 11.368000, 1.700000>,
      < 1.712000, 14.708000, 1.328000>,
      < 3.656000, 11.368000, 1.668000>
    }
    triangle {
      < 4.088000, 11.368000, 1.748000>,
      < 1.712000, 14.708000, 1.328000>,
      < 3.832000, 11.368000, 1.700000>
    }
    triangle {
      < 4.088000, 11.368000, 1.748000>,
      < 4.468000, 14.424000, 1.812000>,
      < 1.712000, 14.708000, 1.328000>
    }
    triangle {
      < 4.088000, 11.368000, 1.748000>,
      < 4.468000, 11.368000, 1.812000>,
      < 4.468000, 14.424000, 1.812000>
    }
    triangle {
      < 4.716000, 11.368000, 1.784000>,
      < 4.572000, 14.420000, 1.800000>,
      < 4.528000, 11.368000, 1.800000>
    }
    triangle {
      < 4.844000, 9.416000, 1.768000>,
      < 4.572000, 14.420000, 1.800000>,
      < 4.716000, 11.368000, 1.784000>
    }
    texture {DEFAULT}
  }
  // wingsr
  union {
    triangle {
      < 4.844000, 9.416000, 1.768000>,
      < 6.536000, 8.176000, 1.612000>,
      < 4.572000, 14.420000, 1.800000>
    }
    triangle {
      < 4.844000, 8.960000, 1.768000>,
      < 6.536000, 8.176000, 1.612000>,
      < 4.844000, 9.416000, 1.768000>
    }
    triangle {
      < 4.844000, 8.008000, 1.768000>,
      < 6.536000, 8.176000, 1.612000>,
      < 4.844000, 8.960000, 1.768000>
    }
    texture {wingsr}
  }
  // DEFAULT
  union {
    triangle {
      < 4.468000, 11.368000, 1.812000>,
      < 4.472000, 11.368000, 1.812000>,
      < 4.468000, 14.424000, 1.812000>
    }
    triangle {
      < 4.472000, 11.368000, 1.812000>,
      < 4.572000, 14.420000, 1.800000>,
      < 4.468000, 14.424000, 1.812000>
    }
    triangle {
      < 4.472000, 11.368000, 1.812000>,
      < 4.528000, 11.368000, 1.800000>,
      < 4.572000, 14.420000, 1.800000>
    }
    texture {DEFAULT}
  }
  // wingsr_body
  union {
    triangle {
      < 2.836000, 7.804000, 1.012000>,
      < 1.916000, 7.704000, 0.416000>,
      < 2.900000, 7.808000, 0.976000>
    }
    triangle {
      < 2.716000, 7.784000, 1.132000>,
      < 1.916000, 7.704000, 0.416000>,
      < 2.836000, 7.804000, 1.012000>
    }
    triangle {
      < 2.476000, 7.772000, 1.368000>,
      < 1.916000, 7.704000, 0.416000>,
      < 2.716000, 7.784000, 1.132000>
    }
    triangle {
      < 1.700000, 7.700000, 1.324000>,
      < 2.476000, 7.772000, 1.368000>,
      < 2.444000, 7.772000, 1.456000>
    }
    triangle {
      < 1.700000, 7.700000, 1.324000>,
      < 1.916000, 7.704000, 0.416000>,
      < 2.476000, 7.772000, 1.368000>
    }
    texture {wingsr_body}
  }
  // wingsr
  union {
    triangle {
      < 4.844000, 8.008000, 1.768000>,
      < 6.784000, 8.192000, 1.424000>,
      < 6.536000, 8.176000, 1.612000>
    }
    triangle {
      < 4.844000, 8.008000, 1.768000>,
      < 4.836000, 8.008000, 1.748000>,
      < 6.784000, 8.192000, 1.424000>
    }
    triangle {
      < 4.664000, 7.984000, 1.340000>,
      < 6.004000, 8.108000, 0.824000>,
      < 4.736000, 7.996000, 1.520000>
    }
    triangle {
      < 4.292000, 7.944000, 0.988000>,
      < 6.004000, 8.108000, 0.824000>,
      < 4.552000, 7.972000, 1.244000>
    }
    triangle {
      < 3.808000, 7.892000, 0.804000>,
      < 6.004000, 8.108000, 0.824000>,
      < 4.140000, 7.928000, 0.928000>
    }
    triangle {
      < 3.808000, 7.892000, 0.804000>,
      < 1.916000, 7.704000, 0.416000>,
      < 6.004000, 8.108000, 0.824000>
    }
    texture {wingsr}
  }
  // DEFAULT
  union {
    triangle {
      < 3.304000, 7.844000, 0.808000>,
      < 1.916000, 7.704000, 0.416000>,
      < 3.652000, 7.880000, 0.808000>
    }
    texture {DEFAULT}
  }
  // wingsr
  union {
    triangle {
      < 1.916000, 7.704000, 0.416000>,
      < 3.152000, 7.824000, 0.876000>,
      < 2.900000, 7.808000, 0.976000>
    }
    triangle {
      < 1.916000, 7.704000, 0.416000>,
      < 3.304000, 7.844000, 0.808000>,
      < 3.152000, 7.824000, 0.876000>
    }
    triangle {
      < 4.736000, 7.996000, 1.520000>,
      < 6.004000, 8.108000, 0.824000>,
      < 4.776000, 8.000000, 1.612000>
    }
    triangle {
      < 4.776000, 8.000000, 1.612000>,
      < 6.004000, 8.108000, 0.824000>,
      < 4.780000, 8.000000, 1.616000>
    }
    triangle {
      < 4.808000, 8.008000, 1.676000>,
      < 6.804000, 8.192000, 1.332000>,
      < 4.828000, 8.008000, 1.736000>
    }
    triangle {
      < 4.780000, 8.000000, 1.616000>,
      < 6.804000, 8.192000, 1.332000>,
      < 4.808000, 8.008000, 1.676000>
    }
    triangle {
      < 4.780000, 8.000000, 1.616000>,
      < 6.004000, 8.108000, 0.824000>,
      < 6.804000, 8.192000, 1.332000>
    }
    triangle {
      < 4.828000, 8.008000, 1.736000>,
      < 6.784000, 8.192000, 1.424000>,
      < 4.836000, 8.008000, 1.748000>
    }
    triangle {
      < 4.828000, 8.008000, 1.736000>,
      < 6.804000, 8.192000, 1.332000>,
      < 6.784000, 8.192000, 1.424000>
    }
    texture {wingsr}
  }
  // engines_body
  union {
    triangle {
      < 2.288000, 4.520000, 1.860000>,
      < 2.288000, 9.416000, 1.860000>,
      < 2.444000, 9.416000, 1.456000>
    }
    triangle {
      < 2.288000, 4.520000, 1.860000>,
      < 2.444000, 9.416000, 1.456000>,
      < 2.444000, 8.660000, 1.456000>
    }
    texture {engines_body}
  }
  // engines
  union {
    triangle {
      < 2.444000, 7.772000, 1.456000>,
      < 2.476000, 7.772000, 1.368000>,
      < 2.476000, 4.520000, 1.368000>
    }
    texture {engines}
  }
  // engines_body
  union {
    triangle {
      < 2.444000, 7.772000, 1.456000>,
      < 2.476000, 4.520000, 1.368000>,
      < 2.288000, 4.520000, 1.860000>
    }
    texture {engines_body}
  }
  // body
  union {
    triangle {
      < 2.288000, 4.520000, 1.860000>,
      < 2.444000, 8.660000, 1.456000>,
      < 2.444000, 7.772000, 1.456000>
    }
    texture {body}
  }
  // engines_body
  union {
    triangle {
      < 2.288000, 9.416000, 1.860000>,
      < 2.408000, 9.780000, 1.876000>,
      < 2.564000, 9.780000, 1.480000>
    }
    triangle {
      < 2.288000, 9.416000, 1.860000>,
      < 2.564000, 9.780000, 1.480000>,
      < 2.576000, 9.780000, 1.448000>
    }
    triangle {
      < 2.288000, 9.416000, 1.860000>,
      < 2.556000, 9.756000, 1.476000>,
      < 2.444000, 9.416000, 1.456000>
    }
    texture {engines_body}
  }
  // DEFAULT
  union {
    triangle {
      < 2.408000, 9.780000, 1.876000>,
      < 2.408000, 11.368000, 1.876000>,
      < 2.564000, 11.368000, 1.480000>
    }
    triangle {
      < 2.408000, 9.780000, 1.876000>,
      < 2.564000, 11.368000, 1.480000>,
      < 2.564000, 11.268000, 1.480000>
    }
    texture {DEFAULT}
  }
  // engines_body
  union {
    triangle {
      < 2.408000, 9.780000, 1.876000>,
      < 2.564000, 11.268000, 1.480000>,
      < 2.576000, 9.780000, 1.448000>
    }
    texture {engines_body}
  }
  // DEFAULT
  union {
    triangle {
      < 2.408000, 11.368000, 1.876000>,
      < 3.572000, 11.368000, 2.096000>,
      < 2.636000, 11.368000, 1.492000>
    }
    triangle {
      < 2.408000, 11.368000, 1.876000>,
      < 2.636000, 11.368000, 1.492000>,
      < 2.564000, 11.368000, 1.480000>
    }
    texture {DEFAULT}
  }
  // engines
  union {
    triangle {
      < 2.980000, 11.368000, 1.552000>,
      < 2.636000, 11.368000, 1.492000>,
      < 3.572000, 11.368000, 2.096000>
    }
    triangle {
      < 3.572000, 11.368000, 2.096000>,
      < 3.236000, 11.368000, 1.596000>,
      < 3.076000, 11.368000, 1.568000>
    }
    triangle {
      < 3.236000, 11.368000, 1.596000>,
      < 3.572000, 11.368000, 2.096000>,
      < 3.472000, 11.368000, 1.640000>
    }
    triangle {
      < 3.472000, 11.368000, 1.640000>,
      < 3.572000, 11.368000, 2.096000>,
      < 3.656000, 11.368000, 1.668000>
    }
    triangle {
      < 3.656000, 11.368000, 1.668000>,
      < 3.572000, 11.368000, 2.096000>,
      < 3.832000, 11.368000, 1.700000>
    }
    triangle {
      < 3.832000, 11.368000, 1.700000>,
      < 3.572000, 11.368000, 2.096000>,
      < 4.088000, 11.368000, 1.748000>
    }
    triangle {
      < 4.468000, 11.368000, 1.812000>,
      < 4.088000, 11.368000, 1.748000>,
      < 3.572000, 11.368000, 2.096000>
    }
    triangle {
      < 4.468000, 11.368000, 1.812000>,
      < 3.572000, 11.368000, 2.096000>,
      < 4.472000, 11.368000, 1.812000>
    }
    triangle {
      < 4.780000, 8.000000, 1.616000>,
      < 4.664000, 4.520000, 1.340000>,
      < 4.776000, 8.000000, 1.612000>
    }
    triangle {
      < 4.808000, 8.008000, 1.676000>,
      < 4.664000, 4.520000, 1.340000>,
      < 4.780000, 8.000000, 1.616000>
    }
    triangle {
      < 4.836000, 8.008000, 1.748000>,
      < 4.664000, 4.520000, 1.340000>,
      < 4.828000, 8.008000, 1.736000>
    }
    triangle {
      < 4.844000, 8.008000, 1.768000>,
      < 4.664000, 4.520000, 1.340000>,
      < 4.836000, 8.008000, 1.748000>
    }
    triangle {
      < 4.844000, 8.008000, 1.768000>,
      < 4.864000, 4.520000, 1.816000>,
      < 4.664000, 4.520000, 1.340000>
    }
    triangle {
      < 4.864000, 4.520000, 1.816000>,
      < 4.844000, 8.008000, 1.768000>,
      < 4.864000, 9.416000, 1.816000>
    }
    triangle {
      < 4.844000, 9.416000, 1.768000>,
      < 4.732000, 9.736000, 1.784000>,
      < 4.864000, 9.416000, 1.816000>
    }
    triangle {
      < 4.716000, 9.780000, 1.784000>,
      < 4.716000, 11.148000, 1.784000>,
      < 4.744000, 9.780000, 1.844000>
    }
    triangle {
      < 2.476000, 4.520000, 1.368000>,
      < 2.476000, 7.772000, 1.368000>,
      < 2.716000, 7.784000, 1.132000>
    }
    triangle {
      < 2.476000, 4.520000, 1.368000>,
      < 2.716000, 7.784000, 1.132000>,
      < 2.836000, 7.804000, 1.012000>
    }
    triangle {
      < 2.476000, 4.520000, 1.368000>,
      < 2.836000, 7.804000, 1.012000>,
      < 2.836000, 4.520000, 1.012000>
    }
    triangle {
      < 2.836000, 4.520000, 1.012000>,
      < 2.836000, 7.804000, 1.012000>,
      < 2.900000, 7.808000, 0.976000>
    }
    texture {engines}
  }
  // engines_wingsr
  union {
    triangle {
      < 2.836000, 4.520000, 1.012000>,
      < 3.152000, 7.824000, 0.876000>,
      < 3.304000, 7.844000, 0.808000>
    }
    texture {engines_wingsr}
  }
  // engines
  union {
    triangle {
      < 2.836000, 4.520000, 1.012000>,
      < 3.304000, 7.844000, 0.808000>,
      < 3.304000, 4.520000, 0.808000>
    }
    triangle {
      < 3.304000, 4.520000, 0.808000>,
      < 3.304000, 7.844000, 0.808000>,
      < 3.652000, 7.880000, 0.808000>
    }
    triangle {
      < 3.304000, 4.520000, 0.808000>,
      < 3.652000, 7.880000, 0.808000>,
      < 3.808000, 7.892000, 0.804000>
    }
    triangle {
      < 3.304000, 4.520000, 0.808000>,
      < 3.808000, 7.892000, 0.804000>,
      < 3.808000, 4.520000, 0.804000>
    }
    triangle {
      < 3.808000, 4.520000, 0.804000>,
      < 3.808000, 7.892000, 0.804000>,
      < 4.140000, 7.928000, 0.928000>
    }
    triangle {
      < 3.808000, 4.520000, 0.804000>,
      < 4.140000, 7.928000, 0.928000>,
      < 4.292000, 7.944000, 0.988000>
    }
    triangle {
      < 3.808000, 4.520000, 0.804000>,
      < 4.292000, 7.944000, 0.988000>,
      < 4.292000, 4.520000, 0.988000>
    }
    triangle {
      < 4.292000, 4.520000, 0.988000>,
      < 4.292000, 7.944000, 0.988000>,
      < 4.552000, 7.972000, 1.244000>
    }
    triangle {
      < 4.292000, 4.520000, 0.988000>,
      < 4.552000, 7.972000, 1.244000>,
      < 4.664000, 7.984000, 1.340000>
    }
    triangle {
      < 4.292000, 4.520000, 0.988000>,
      < 4.664000, 7.984000, 1.340000>,
      < 4.664000, 4.520000, 1.340000>
    }
    texture {engines}
  }
  // DEFAULT
  union {
    triangle {
      < 14.220000, 13.464000, 2.640000>,
      < 13.192000, 8.836000, 2.460000>,
      < 14.220000, 8.940000, 2.624000>
    }
    texture {DEFAULT}
  }
  // wingsr
  union {
    triangle {
      < 14.220000, 13.464000, 2.640000>,
      < 9.416000, 13.948000, 1.792000>,
      < 13.192000, 8.836000, 2.460000>
    }
    triangle {
      < 13.192000, 8.836000, 2.460000>,
      < 7.416000, 14.144000, 1.440000>,
      < 12.836000, 8.808000, 2.396000>
    }
    triangle {
      < 13.192000, 8.836000, 2.460000>,
      < 9.416000, 13.948000, 1.792000>,
      < 7.416000, 14.144000, 1.440000>
    }
    triangle {
      < 12.836000, 8.808000, 2.396000>,
      < 6.804000, 11.844000, 1.332000>,
      < 12.064000, 8.724000, 2.260000>
    }
    triangle {
      < 12.836000, 8.808000, 2.396000>,
      < 7.416000, 14.144000, 1.440000>,
      < 6.804000, 11.844000, 1.332000>
    }
    texture {wingsr}
  }
  // wingsr_body
  union {
    triangle {
      < 1.916000, 7.704000, 0.416000>,
      < 1.916000, 8.412000, 0.416000>,
      < 1.968000, 14.700000, 0.112000>
    }
    triangle {
      < 1.916000, 7.704000, 0.416000>,
      < 1.968000, 14.700000, 0.112000>,
      < 1.916000, 7.704000, 0.412000>
    }
    triangle {
      < 1.916000, 7.704000, 0.412000>,
      < 1.968000, 14.700000, 0.112000>,
      < 1.968000, 7.704000, 0.112000>
    }
    texture {wingsr_body}
  }
  // wingsr
  union {
    triangle {
      < 6.760000, 8.192000, 1.588000>,
      < 6.764000, 14.212000, 1.560000>,
      < 6.760000, 14.212000, 1.588000>
    }
    triangle {
      < 6.760000, 8.192000, 1.588000>,
      < 6.760000, 8.192000, 1.584000>,
      < 6.764000, 14.212000, 1.560000>
    }
    triangle {
      < 6.760000, 8.192000, 1.584000>,
      < 6.804000, 8.596000, 1.332000>,
      < 6.764000, 14.212000, 1.560000>
    }
    triangle {
      < 6.760000, 8.192000, 1.584000>,
      < 6.784000, 8.192000, 1.424000>,
      < 6.804000, 8.596000, 1.332000>
    }
    texture {wingsr}
  }
  // wingsr_body
  union {
    triangle {
      < 1.916000, 8.412000, 0.416000>,
      < 1.868000, 7.700000, 0.412000>,
      < 1.860000, 7.700000, 0.412000>
    }
    triangle {
      < 1.916000, 8.412000, 0.416000>,
      < 1.860000, 7.700000, 0.412000>,
      < 1.916000, 14.700000, 0.416000>
    }
    triangle {
      < 1.916000, 14.700000, 0.416000>,
      < 1.860000, 7.700000, 0.412000>,
      < 1.856000, 7.700000, 0.412000>
    }
    triangle {
      < 1.916000, 14.700000, 0.416000>,
      < 1.856000, 7.700000, 0.412000>,
      < 1.856000, 14.708000, 0.412000>
    }
    texture {wingsr_body}
  }
  // DEFAULT
  union {
    triangle {
      < 14.264000, 8.940000, 2.356000>,
      < 14.232000, 13.464000, 2.572000>,
      < 14.220000, 8.940000, 2.624000>
    }
    triangle {
      < 14.220000, 8.940000, 2.624000>,
      < 14.220000, 13.464000, 2.640000>,
      < 14.220000, 8.940000, 2.640000>
    }
    triangle {
      < 14.220000, 8.940000, 2.624000>,
      < 14.232000, 13.464000, 2.572000>,
      < 14.220000, 13.464000, 2.640000>
    }
    triangle {
      < 14.280000, 8.940000, 2.284000>,
      < 14.232000, 13.464000, 2.572000>,
      < 14.264000, 8.940000, 2.356000>
    }
    triangle {
      < 14.280000, 8.940000, 2.284000>,
      < 14.280000, 13.464000, 2.284000>,
      < 14.232000, 13.464000, 2.572000>
    }
    texture {DEFAULT}
  }
  // wingsr
  union {
    triangle {
      < 14.280000, 13.464000, 2.284000>,
      < 14.280000, 8.940000, 2.284000>,
      < 6.004000, 8.108000, 0.824000>
    }
    triangle {
      < 14.280000, 13.464000, 2.284000>,
      < 6.004000, 8.108000, 0.824000>,
      < 2.624000, 7.772000, 0.228000>
    }
    triangle {
      < 14.280000, 13.464000, 2.284000>,
      < 2.624000, 7.772000, 0.228000>,
      < 2.484000, 7.760000, 0.204000>
    }
    triangle {
      < 14.280000, 13.464000, 2.284000>,
      < 2.484000, 7.760000, 0.204000>,
      < 12.428000, 13.652000, 1.956000>
    }
    triangle {
      < 10.928000, 13.796000, 1.692000>,
      < 12.428000, 13.652000, 1.956000>,
      < 2.484000, 7.760000, 0.204000>
    }
    triangle {
      < 10.928000, 13.796000, 1.692000>,
      < 2.484000, 7.760000, 0.204000>,
      < 2.392000, 7.748000, 0.188000>
    }
    triangle {
      < 1.968000, 7.704000, 0.112000>,
      < 1.968000, 14.700000, 0.112000>,
      < 10.928000, 13.796000, 1.692000>
    }
    triangle {
      < 1.968000, 7.704000, 0.112000>,
      < 10.928000, 13.796000, 1.692000>,
      < 2.392000, 7.748000, 0.188000>
    }
    texture {wingsr}
  }
  // wingsr_body
  union {
    triangle {
      < 1.700000, 7.700000, 1.324000>,
      < 1.692000, 14.708000, 1.324000>,
      < 1.692000, 7.700000, 1.324000>
    }
    triangle {
      < 1.700000, 7.700000, 1.324000>,
      < 1.712000, 14.708000, 1.328000>,
      < 1.692000, 14.708000, 1.324000>
    }
    texture {wingsr_body}
  }
  // wingsr
  union {
    triangle {
      < 6.760000, 8.192000, 1.588000>,
      < 4.572000, 14.420000, 1.800000>,
      < 6.536000, 8.176000, 1.612000>
    }
    triangle {
      < 6.760000, 8.192000, 1.588000>,
      < 6.760000, 14.212000, 1.588000>,
      < 4.572000, 14.420000, 1.800000>
    }
    texture {wingsr}
  }
  // wingsr_body
  union {
    triangle {
      < 1.856000, 14.708000, 0.412000>,
      < 1.856000, 7.700000, 0.412000>,
      < 1.700000, 7.700000, 1.296000>
    }
    triangle {
      < 1.856000, 14.708000, 0.412000>,
      < 1.700000, 7.700000, 1.296000>,
      < 1.856000, 14.708000, 0.416000>
    }
    triangle {
      < 1.856000, 14.708000, 0.416000>,
      < 1.700000, 7.700000, 1.296000>,
      < 1.692000, 7.700000, 1.324000>
    }
    triangle {
      < 1.856000, 14.708000, 0.416000>,
      < 1.692000, 7.700000, 1.324000>,
      < 1.692000, 14.708000, 1.324000>
    }
    texture {wingsr_body}
  }
  // wingsr
  union {
    triangle {
      < 6.804000, 11.844000, 1.332000>,
      < 8.380000, 8.360000, 1.612000>,
      < 12.064000, 8.724000, 2.260000>
    }
    triangle {
      < 6.804000, 11.844000, 1.332000>,
      < 6.804000, 8.596000, 1.332000>,
      < 8.380000, 8.360000, 1.612000>
    }
    triangle {
      < 7.380000, 8.256000, 1.436000>,
      < 6.804000, 8.596000, 1.332000>,
      < 6.804000, 8.192000, 1.332000>
    }
    triangle {
      < 7.380000, 8.256000, 1.436000>,
      < 8.380000, 8.360000, 1.612000>,
      < 6.804000, 8.596000, 1.332000>
    }
    triangle {
      < 6.804000, 8.192000, 1.332000>,
      < 6.804000, 8.596000, 1.332000>,
      < 6.784000, 8.192000, 1.424000>
    }
    texture {wingsr}
  }
  // wingsr_body
  union {
    triangle {
      < 1.916000, 8.412000, 0.416000>,
      < 1.916000, 7.704000, 0.416000>,
      < 1.868000, 7.700000, 0.412000>
    }
    texture {wingsr_body}
  }
  // wingsr
  union {
    triangle {
      < 14.264000, 8.940000, 2.356000>,
      < 6.004000, 8.108000, 0.824000>,
      < 14.280000, 8.940000, 2.284000>
    }
    triangle {
      < 6.004000, 8.108000, 0.824000>,
      < 8.380000, 8.360000, 1.612000>,
      < 7.380000, 8.256000, 1.436000>
    }
    triangle {
      < 6.004000, 8.108000, 0.824000>,
      < 14.220000, 8.940000, 2.624000>,
      < 13.192000, 8.836000, 2.460000>
    }
    triangle {
      < 6.004000, 8.108000, 0.824000>,
      < 14.264000, 8.940000, 2.356000>,
      < 14.220000, 8.940000, 2.624000>
    }
    texture {wingsr}
  }
  // wingsr_body
  union {
    triangle {
      < 1.856000, 7.700000, 0.412000>,
      < 1.860000, 7.700000, 0.412000>,
      < 1.968000, 7.704000, 0.112000>
    }
    triangle {
      < 2.392000, 7.748000, 0.188000>,
      < 1.916000, 7.704000, 0.412000>,
      < 1.968000, 7.704000, 0.112000>
    }
    triangle {
      < 2.484000, 7.760000, 0.204000>,
      < 1.916000, 7.704000, 0.412000>,
      < 2.392000, 7.748000, 0.188000>
    }
    triangle {
      < 2.624000, 7.772000, 0.228000>,
      < 1.916000, 7.704000, 0.412000>,
      < 2.484000, 7.760000, 0.204000>
    }
    triangle {
      < 1.916000, 7.704000, 0.416000>,
      < 1.868000, 7.700000, 0.412000>,
      < 1.700000, 7.700000, 1.324000>
    }
    texture {wingsr_body}
  }
  // wingsr
  union {
    triangle {
      < 6.804000, 8.192000, 1.332000>,
      < 6.004000, 8.108000, 0.824000>,
      < 7.380000, 8.256000, 1.436000>
    }
    triangle {
      < 6.004000, 8.108000, 0.824000>,
      < 1.916000, 7.704000, 0.412000>,
      < 2.624000, 7.772000, 0.228000>
    }
    triangle {
      < 6.004000, 8.108000, 0.824000>,
      < 1.916000, 7.704000, 0.416000>,
      < 1.916000, 7.704000, 0.412000>
    }
    triangle {
      < 7.416000, 14.144000, 1.440000>,
      < 6.804000, 14.212000, 1.332000>,
      < 6.804000, 11.844000, 1.332000>
    }
    texture {wingsr}
  }
  // wingsr_body
  union {
    triangle {
      < 1.968000, 14.700000, 0.112000>,
      < 1.916000, 8.412000, 0.416000>,
      < 1.916000, 14.700000, 0.416000>
    }
    texture {wingsr_body}
  }
  // wingsr
  union {
    triangle {
      < 6.804000, 14.212000, 1.332000>,
      < 6.768000, 14.212000, 1.544000>,
      < 6.804000, 11.844000, 1.332000>
    }
    triangle {
      < 6.804000, 8.596000, 1.332000>,
      < 6.768000, 14.212000, 1.544000>,
      < 6.764000, 14.212000, 1.560000>
    }
    triangle {
      < 6.804000, 8.596000, 1.332000>,
      < 6.804000, 11.844000, 1.332000>,
      < 6.768000, 14.212000, 1.544000>
    }
    triangle {
      < 14.232000, 13.464000, 2.572000>,
      < 14.280000, 13.464000, 2.284000>,
      < 12.428000, 13.652000, 1.956000>
    }
    triangle {
      < 14.220000, 13.464000, 2.640000>,
      < 14.232000, 13.464000, 2.572000>,
      < 12.428000, 13.652000, 1.956000>
    }
    triangle {
      < 14.220000, 13.464000, 2.640000>,
      < 12.428000, 13.652000, 1.956000>,
      < 10.928000, 13.796000, 1.692000>
    }
    triangle {
      < 14.220000, 13.464000, 2.640000>,
      < 10.928000, 13.796000, 1.692000>,
      < 9.416000, 13.948000, 1.792000>
    }
    texture {wingsr}
  }
  // DEFAULT
  union {
    triangle {
      < 1.916000, 14.700000, 0.416000>,
      < 1.712000, 14.708000, 1.328000>,
      < 4.468000, 14.424000, 1.812000>
    }
    texture {DEFAULT}
  }
  // wingsr
  union {
    triangle {
      < 7.416000, 14.144000, 1.440000>,
      < 9.416000, 13.948000, 1.792000>,
      < 10.928000, 13.796000, 1.692000>
    }
    triangle {
      < 6.804000, 14.212000, 1.332000>,
      < 7.416000, 14.144000, 1.440000>,
      < 10.928000, 13.796000, 1.692000>
    }
    triangle {
      < 6.804000, 14.212000, 1.332000>,
      < 10.928000, 13.796000, 1.692000>,
      < 1.968000, 14.700000, 0.112000>
    }
    texture {wingsr}
  }
  // DEFAULT
  union {
    triangle {
      < 6.768000, 14.212000, 1.544000>,
      < 6.804000, 14.212000, 1.332000>,
      < 1.968000, 14.700000, 0.112000>
    }
    triangle {
      < 6.764000, 14.212000, 1.560000>,
      < 6.768000, 14.212000, 1.544000>,
      < 1.968000, 14.700000, 0.112000>
    }
    triangle {
      < 1.968000, 14.700000, 0.112000>,
      < 4.468000, 14.424000, 1.812000>,
      < 4.572000, 14.420000, 1.800000>
    }
    triangle {
      < 1.968000, 14.700000, 0.112000>,
      < 4.572000, 14.420000, 1.800000>,
      < 6.760000, 14.212000, 1.588000>
    }
    triangle {
      < 1.968000, 14.700000, 0.112000>,
      < 6.760000, 14.212000, 1.588000>,
      < 6.764000, 14.212000, 1.560000>
    }
    texture {DEFAULT}
  }
  // body
  union {
    triangle {
      < 1.856000, 14.708000, 0.416000>,
      < 1.692000, 14.708000, 1.324000>,
      < 1.712000, 14.708000, 1.328000>
    }
    triangle {
      < 1.856000, 14.708000, 0.412000>,
      < 1.856000, 14.708000, 0.416000>,
      < 1.712000, 14.708000, 1.328000>
    }
    triangle {
      < 1.916000, 14.700000, 0.416000>,
      < 1.856000, 14.708000, 0.412000>,
      < 1.712000, 14.708000, 1.328000>
    }
    texture {body}
  }
  // DEFAULT
  union {
    triangle {
      < 1.968000, 14.700000, 0.112000>,
      < 1.916000, 14.700000, 0.416000>,
      < 4.468000, 14.424000, 1.812000>
    }
    triangle {
      < 14.220000, 13.464000, 2.640000>,
      < 14.220000, 8.940000, 2.624000>,
      < 14.220000, 8.940000, 2.640000>
    }
    texture {DEFAULT}
  }
  // wingsr
  union {
    triangle {
      < 6.004000, 8.108000, 0.824000>,
      < 12.064000, 8.724000, 2.260000>,
      < 8.380000, 8.360000, 1.612000>
    }
    triangle {
      < 6.004000, 8.108000, 0.824000>,
      < 12.836000, 8.808000, 2.396000>,
      < 12.064000, 8.724000, 2.260000>
    }
    triangle {
      < 6.004000, 8.108000, 0.824000>,
      < 13.192000, 8.836000, 2.460000>,
      < 12.836000, 8.808000, 2.396000>
    }
    texture {wingsr}
  }
  // wingsr_body
  union {
    triangle {
      < 1.860000, 7.700000, 0.412000>,
      < 1.916000, 7.704000, 0.416000>,
      < 1.916000, 7.704000, 0.412000>
    }
    triangle {
      < 1.868000, 7.700000, 0.412000>,
      < 1.700000, 7.700000, 1.296000>,
      < 1.692000, 7.700000, 1.324000>
    }
    triangle {
      < 1.700000, 7.700000, 1.324000>,
      < 1.868000, 7.700000, 0.412000>,
      < 1.692000, 7.700000, 1.324000>
    }
    texture {wingsr_body}
  }
  // wingsr
  union {
    triangle {
      < 6.536000, 8.176000, 1.612000>,
      < 6.784000, 8.192000, 1.424000>,
      < 6.760000, 8.192000, 1.584000>
    }
    texture {wingsr}
  }
  // engines
  union {
    triangle {
      < 3.772000, 4.664000, 2.132000>,
      < 3.772000, 4.520000, 2.128000>,
      < 3.772000, 4.664000, 2.128000>
    }
    triangle {
      < 3.748000, 4.520000, 2.200000>,
      < 3.772000, 4.664000, 2.132000>,
      < 3.748000, 4.664000, 2.200000>
    }
    triangle {
      < 3.748000, 4.520000, 2.200000>,
      < 3.772000, 4.520000, 2.128000>,
      < 3.772000, 4.664000, 2.132000>
    }
    triangle {
      < 3.924000, 6.980000, 2.256000>,
      < 4.224000, 7.208000, 2.308000>,
      < 4.164000, 7.208000, 2.472000>
    }
    triangle {
      < 3.808000, 6.896000, 2.232000>,
      < 3.924000, 6.980000, 2.256000>,
      < 4.164000, 7.208000, 2.472000>
    }
    triangle {
      < 4.556000, 5.872000, 2.364000>,
      < 4.568000, 5.928000, 2.300000>,
      < 4.624000, 5.744000, 2.284000>
    }
    triangle {
      < 4.556000, 5.872000, 2.364000>,
      < 4.624000, 5.744000, 2.284000>,
      < 4.472000, 5.744000, 2.668000>
    }
    triangle {
      < 4.472000, 5.744000, 2.668000>,
      < 4.316000, 6.848000, 2.324000>,
      < 4.556000, 5.872000, 2.364000>
    }
    triangle {
      < 4.316000, 6.848000, 2.324000>,
      < 4.472000, 5.744000, 2.668000>,
      < 4.164000, 7.208000, 2.472000>
    }
    triangle {
      < 4.316000, 6.848000, 2.324000>,
      < 4.164000, 7.208000, 2.472000>,
      < 4.224000, 7.208000, 2.308000>
    }
    triangle {
      < 3.748000, 4.664000, 2.204000>,
      < 3.748000, 4.520000, 2.200000>,
      < 3.748000, 4.664000, 2.200000>
    }
    triangle {
      < 3.724000, 5.504000, 2.220000>,
      < 3.724000, 6.844000, 2.220000>,
      < 3.696000, 6.844000, 2.260000>
    }
    triangle {
      < 3.736000, 4.664000, 2.216000>,
      < 3.748000, 4.520000, 2.200000>,
      < 3.748000, 4.664000, 2.204000>
    }
    triangle {
      < 3.724000, 4.664000, 2.220000>,
      < 3.748000, 4.520000, 2.200000>,
      < 3.736000, 4.664000, 2.216000>
    }
    triangle {
      < 3.724000, 4.664000, 2.220000>,
      < 3.696000, 4.520000, 2.260000>,
      < 3.748000, 4.520000, 2.200000>
    }
    triangle {
      < 3.696000, 4.520000, 2.260000>,
      < 3.724000, 5.504000, 2.220000>,
      < 3.696000, 6.844000, 2.260000>
    }
    triangle {
      < 3.696000, 4.520000, 2.260000>,
      < 3.724000, 4.664000, 2.220000>,
      < 3.724000, 5.504000, 2.220000>
    }
    triangle {
      < 3.784000, 6.880000, 2.228000>,
      < 3.972000, 7.208000, 2.668000>,
      < 3.764000, 6.868000, 2.224000>
    }
    triangle {
      < 3.784000, 6.880000, 2.228000>,
      < 4.164000, 7.208000, 2.472000>,
      < 3.972000, 7.208000, 2.668000>
    }
    triangle {
      < 3.784000, 6.880000, 2.228000>,
      < 3.808000, 6.896000, 2.232000>,
      < 4.164000, 7.208000, 2.472000>
    }
    triangle {
      < 3.724000, 6.844000, 2.220000>,
      < 3.972000, 7.208000, 2.668000>,
      < 3.696000, 6.844000, 2.260000>
    }
    triangle {
      < 3.724000, 6.844000, 2.220000>,
      < 3.764000, 6.868000, 2.224000>,
      < 3.972000, 7.208000, 2.668000>
    }
    triangle {
      < 3.652000, 5.724000, 2.272000>,
      < 3.696000, 6.844000, 2.260000>,
      < 3.652000, 6.844000, 2.272000>
    }
    triangle {
      < 3.652000, 5.724000, 2.272000>,
      < 3.696000, 4.520000, 2.260000>,
      < 3.696000, 6.844000, 2.260000>
    }
    triangle {
      < 3.652000, 4.832000, 2.272000>,
      < 3.696000, 4.520000, 2.260000>,
      < 3.652000, 5.724000, 2.272000>
    }
    triangle {
      < 3.652000, 4.664000, 2.272000>,
      < 3.696000, 4.520000, 2.260000>,
      < 3.652000, 4.832000, 2.272000>
    }
    triangle {
      < 3.620000, 4.520000, 2.284000>,
      < 3.652000, 4.664000, 2.272000>,
      < 3.620000, 4.664000, 2.284000>
    }
    triangle {
      < 3.620000, 4.520000, 2.284000>,
      < 3.696000, 4.520000, 2.260000>,
      < 3.652000, 4.664000, 2.272000>
    }
    triangle {
      < 3.652000, 6.844000, 2.272000>,
      < 3.720000, 7.208000, 2.776000>,
      < 3.636000, 6.912000, 2.376000>
    }
    triangle {
      < 3.652000, 6.844000, 2.272000>,
      < 3.696000, 6.844000, 2.260000>,
      < 3.720000, 7.208000, 2.776000>
    }
    triangle {
      < 3.616000, 4.664000, 2.284000>,
      < 3.620000, 4.520000, 2.284000>,
      < 3.620000, 4.664000, 2.284000>
    }
    triangle {
      < 3.612000, 4.664000, 2.284000>,
      < 3.620000, 4.520000, 2.284000>,
      < 3.616000, 4.664000, 2.284000>
    }
    triangle {
      < 3.568000, 4.664000, 2.284000>,
      < 3.620000, 4.520000, 2.284000>,
      < 3.612000, 4.664000, 2.284000>
    }
    triangle {
      < 3.548000, 4.664000, 2.292000>,
      < 3.620000, 4.520000, 2.284000>,
      < 3.568000, 4.664000, 2.284000>
    }
    triangle {
      < 3.540000, 4.520000, 2.288000>,
      < 3.620000, 4.520000, 2.284000>,
      < 3.520000, 4.664000, 2.276000>
    }
    triangle {
      < 3.564000, 7.208000, 2.776000>,
      < 3.636000, 6.912000, 2.376000>,
      < 3.720000, 7.208000, 2.776000>
    }
    triangle {
      < 3.508000, 5.916000, 3.096000>,
      < 3.528000, 6.372000, 2.984000>,
      < 3.720000, 7.208000, 2.776000>
    }
    triangle {
      < 3.508000, 5.916000, 3.096000>,
      < 3.720000, 7.208000, 2.776000>,
      < 3.800000, 5.744000, 3.140000>
    }
    triangle {
      < 3.508000, 5.916000, 3.096000>,
      < 3.800000, 5.744000, 3.140000>,
      < 3.388000, 5.744000, 3.144000>
    }
    triangle {
      < 3.456000, 5.956000, 3.088000>,
      < 3.508000, 5.916000, 3.096000>,
      < 3.388000, 5.744000, 3.144000>
    }
    triangle {
      < 3.388000, 5.744000, 3.144000>,
      < 3.440000, 5.968000, 3.084000>,
      < 3.456000, 5.956000, 3.088000>
    }
    triangle {
      < 3.540000, 6.676000, 2.904000>,
      < 3.564000, 7.208000, 2.776000>,
      < 3.720000, 7.208000, 2.776000>
    }
    triangle {
      < 3.720000, 7.208000, 2.776000>,
      < 3.528000, 6.372000, 2.984000>,
      < 3.540000, 6.676000, 2.904000>
    }
    triangle {
      < 3.408000, 5.992000, 3.080000>,
      < 3.440000, 5.968000, 3.084000>,
      < 3.388000, 5.744000, 3.144000>
    }
    triangle {
      < 3.388000, 5.744000, 3.144000>,
      < 3.428000, 6.660000, 2.912000>,
      < 3.408000, 5.992000, 3.080000>
    }
    triangle {
      < 3.520000, 5.396000, 2.276000>,
      < 3.520000, 6.844000, 2.276000>,
      < 3.472000, 6.844000, 2.260000>
    }
    triangle {
      < 3.520000, 4.664000, 2.276000>,
      < 3.472000, 4.520000, 2.260000>,
      < 3.540000, 4.520000, 2.288000>
    }
    triangle {
      < 3.472000, 4.520000, 2.260000>,
      < 3.520000, 5.396000, 2.276000>,
      < 3.472000, 6.844000, 2.260000>
    }
    triangle {
      < 3.472000, 4.520000, 2.260000>,
      < 3.520000, 4.664000, 2.276000>,
      < 3.520000, 5.396000, 2.276000>
    }
    triangle {
      < 3.508000, 6.880000, 2.328000>,
      < 3.448000, 7.208000, 2.772000>,
      < 3.200000, 7.208000, 2.676000>
    }
    triangle {
      < 3.512000, 6.872000, 2.312000>,
      < 3.472000, 6.844000, 2.260000>,
      < 3.520000, 6.844000, 2.276000>
    }
    triangle {
      < 3.512000, 6.872000, 2.312000>,
      < 3.200000, 7.208000, 2.676000>,
      < 3.472000, 6.844000, 2.260000>
    }
    triangle {
      < 3.512000, 6.872000, 2.312000>,
      < 3.508000, 6.880000, 2.328000>,
      < 3.200000, 7.208000, 2.676000>
    }
    triangle {
      < 3.428000, 6.660000, 2.912000>,
      < 3.388000, 5.744000, 3.144000>,
      < 3.000000, 5.744000, 2.988000>
    }
    triangle {
      < 3.428000, 6.660000, 2.912000>,
      < 3.000000, 5.744000, 2.988000>,
      < 3.448000, 7.184000, 2.776000>
    }
    triangle {
      < 3.448000, 7.184000, 2.776000>,
      < 3.000000, 5.744000, 2.988000>,
      < 3.200000, 7.208000, 2.676000>
    }
    triangle {
      < 3.448000, 7.184000, 2.776000>,
      < 3.200000, 7.208000, 2.676000>,
      < 3.448000, 7.208000, 2.772000>
    }
    triangle {
      < 3.416000, 4.520000, 2.208000>,
      < 3.416000, 6.844000, 2.208000>,
      < 3.396000, 6.844000, 2.160000>
    }
    triangle {
      < 3.416000, 4.520000, 2.208000>,
      < 3.396000, 6.844000, 2.160000>,
      < 3.396000, 5.800000, 2.160000>
    }
    triangle {
      < 3.396000, 4.664000, 2.160000>,
      < 3.384000, 4.664000, 2.132000>,
      < 3.384000, 4.520000, 2.132000>
    }
    triangle {
      < 3.396000, 4.664000, 2.160000>,
      < 3.384000, 4.520000, 2.132000>,
      < 3.416000, 4.520000, 2.208000>
    }
    triangle {
      < 3.396000, 5.016000, 2.160000>,
      < 3.396000, 4.664000, 2.160000>,
      < 3.416000, 4.520000, 2.208000>
    }
    triangle {
      < 3.416000, 4.520000, 2.208000>,
      < 3.396000, 5.800000, 2.160000>,
      < 3.396000, 5.016000, 2.160000>
    }
    triangle {
      < 3.396000, 6.844000, 2.160000>,
      < 2.896000, 7.208000, 2.228000>,
      < 3.300000, 6.908000, 2.144000>
    }
    triangle {
      < 3.396000, 6.844000, 2.160000>,
      < 3.416000, 6.844000, 2.208000>,
      < 2.896000, 7.208000, 2.228000>
    }
    triangle {
      < 3.384000, 4.520000, 2.132000>,
      < 3.384000, 4.664000, 2.132000>,
      < 3.384000, 4.664000, 2.128000>
    }
    triangle {
      < 3.384000, 4.520000, 2.132000>,
      < 3.384000, 4.664000, 2.128000>,
      < 3.384000, 4.664000, 2.060000>
    }
    triangle {
      < 3.384000, 4.520000, 2.132000>,
      < 3.384000, 4.664000, 2.060000>,
      < 3.384000, 4.520000, 2.060000>
    }
    triangle {
      < 2.900000, 7.208000, 2.072000>,
      < 3.300000, 6.908000, 2.144000>,
      < 2.896000, 7.208000, 2.228000>
    }
    triangle {
      < 2.568000, 5.888000, 2.016000>,
      < 2.532000, 5.744000, 1.900000>,
      < 2.580000, 5.940000, 1.956000>
    }
    triangle {
      < 2.568000, 5.888000, 2.016000>,
      < 2.536000, 5.744000, 2.308000>,
      < 2.532000, 5.744000, 1.900000>
    }
    triangle {
      < 2.684000, 6.360000, 2.036000>,
      < 2.536000, 5.744000, 2.308000>,
      < 2.568000, 5.888000, 2.016000>
    }
    triangle {
      < 2.684000, 6.360000, 2.036000>,
      < 2.896000, 7.208000, 2.228000>,
      < 2.536000, 5.744000, 2.308000>
    }
    triangle {
      < 2.768000, 6.696000, 2.052000>,
      < 2.896000, 7.208000, 2.228000>,
      < 2.684000, 6.360000, 2.036000>
    }
    triangle {
      < 2.900000, 7.208000, 2.072000>,
      < 2.896000, 7.208000, 2.228000>,
      < 2.768000, 6.696000, 2.052000>
    }
    triangle {
      < 2.588000, 5.968000, 1.912000>,
      < 2.580000, 5.944000, 1.944000>,
      < 2.532000, 5.744000, 1.900000>
    }
    triangle {
      < 3.384000, 4.520000, 2.060000>,
      < 3.384000, 4.664000, 2.060000>,
      < 3.384000, 4.664000, 2.056000>
    }
    triangle {
      < 3.388000, 6.732000, 2.024000>,
      < 3.388000, 6.844000, 2.024000>,
      < 3.408000, 6.844000, 1.984000>
    }
    triangle {
      < 3.408000, 6.844000, 1.984000>,
      < 3.388000, 5.524000, 2.024000>,
      < 3.388000, 6.732000, 2.024000>
    }
    triangle {
      < 3.388000, 4.664000, 2.024000>,
      < 3.388000, 5.524000, 2.024000>,
      < 3.408000, 6.844000, 1.984000>
    }
    triangle {
      < 3.388000, 4.664000, 2.024000>,
      < 3.408000, 6.844000, 1.984000>,
      < 3.408000, 4.520000, 1.984000>
    }
    triangle {
      < 3.384000, 4.664000, 2.052000>,
      < 3.388000, 4.664000, 2.024000>,
      < 3.408000, 4.520000, 1.984000>
    }
    triangle {
      < 3.384000, 4.520000, 2.060000>,
      < 3.384000, 4.664000, 2.056000>,
      < 3.384000, 4.664000, 2.052000>
    }
    triangle {
      < 3.384000, 4.520000, 2.060000>,
      < 3.384000, 4.664000, 2.052000>,
      < 3.408000, 4.520000, 1.984000>
    }
    texture {engines}
  }
  // engines_wingsr
  union {
    triangle {
      < 3.336000, 6.884000, 2.016000>,
      < 2.908000, 7.208000, 1.940000>,
      < 2.996000, 7.208000, 1.716000>
    }
    triangle {
      < 3.388000, 6.844000, 2.024000>,
      < 2.996000, 7.208000, 1.716000>,
      < 3.408000, 6.844000, 1.984000>
    }
    triangle {
      < 3.388000, 6.844000, 2.024000>,
      < 3.336000, 6.884000, 2.016000>,
      < 2.996000, 7.208000, 1.716000>
    }
    texture {engines_wingsr}
  }
  // engines
  union {
    triangle {
      < 2.592000, 5.948000, 1.884000>,
      < 2.684000, 5.744000, 1.512000>,
      < 2.884000, 7.104000, 1.936000>
    }
    triangle {
      < 2.592000, 5.948000, 1.884000>,
      < 2.532000, 5.744000, 1.900000>,
      < 2.684000, 5.744000, 1.512000>
    }
    triangle {
      < 2.592000, 5.948000, 1.884000>,
      < 2.588000, 5.968000, 1.912000>,
      < 2.532000, 5.744000, 1.900000>
    }
    texture {engines}
  }
  // engines_wingsr
  union {
    triangle {
      < 2.908000, 7.208000, 1.940000>,
      < 2.684000, 5.744000, 1.512000>,
      < 2.996000, 7.208000, 1.716000>
    }
    triangle {
      < 2.908000, 7.208000, 1.940000>,
      < 2.884000, 7.104000, 1.936000>,
      < 2.684000, 5.744000, 1.512000>
    }
    texture {engines_wingsr}
  }
  // engines
  union {
    triangle {
      < 3.700000, 7.200000, 1.420000>,
      < 3.440000, 7.208000, 1.412000>,
      < 3.704000, 7.208000, 1.412000>
    }
    triangle {
      < 3.700000, 7.200000, 1.420000>,
      < 3.540000, 6.844000, 1.900000>,
      < 3.440000, 7.208000, 1.412000>
    }
    triangle {
      < 3.612000, 6.844000, 1.892000>,
      < 3.540000, 6.844000, 1.900000>,
      < 3.616000, 6.848000, 1.892000>
    }
    triangle {
      < 3.756000, 6.004000, 1.112000>,
      < 3.440000, 7.208000, 1.412000>,
      < 3.768000, 5.744000, 1.048000>
    }
    triangle {
      < 3.724000, 6.736000, 1.292000>,
      < 3.440000, 7.208000, 1.412000>,
      < 3.756000, 6.004000, 1.112000>
    }
    triangle {
      < 3.704000, 7.208000, 1.412000>,
      < 3.440000, 7.208000, 1.412000>,
      < 3.724000, 6.736000, 1.292000>
    }
    triangle {
      < 3.612000, 4.520000, 1.892000>,
      < 3.612000, 6.844000, 1.892000>,
      < 3.616000, 6.848000, 1.892000>
    }
    triangle {
      < 3.652000, 4.664000, 1.912000>,
      < 3.688000, 4.664000, 1.928000>,
      < 3.688000, 4.520000, 1.928000>
    }
    triangle {
      < 3.612000, 4.520000, 1.892000>,
      < 3.616000, 4.664000, 1.900000>,
      < 3.652000, 4.664000, 1.912000>
    }
    triangle {
      < 3.612000, 4.520000, 1.892000>,
      < 3.652000, 4.664000, 1.912000>,
      < 3.688000, 4.520000, 1.928000>
    }
    triangle {
      < 3.748000, 6.984000, 1.744000>,
      < 3.800000, 7.208000, 1.452000>,
      < 3.952000, 7.208000, 1.508000>
    }
    triangle {
      < 3.728000, 6.900000, 1.856000>,
      < 3.748000, 6.984000, 1.744000>,
      < 3.952000, 7.208000, 1.508000>
    }
    triangle {
      < 3.856000, 5.920000, 1.128000>,
      < 4.160000, 5.744000, 1.196000>,
      < 3.816000, 6.844000, 1.360000>
    }
    triangle {
      < 3.856000, 5.920000, 1.128000>,
      < 3.768000, 5.744000, 1.048000>,
      < 4.160000, 5.744000, 1.196000>
    }
    triangle {
      < 3.808000, 5.964000, 1.120000>,
      < 3.768000, 5.744000, 1.048000>,
      < 3.856000, 5.920000, 1.128000>
    }
    triangle {
      < 3.808000, 5.964000, 1.120000>,
      < 3.756000, 6.004000, 1.112000>,
      < 3.768000, 5.744000, 1.048000>
    }
    triangle {
      < 3.800000, 7.208000, 1.452000>,
      < 4.160000, 5.744000, 1.196000>,
      < 3.952000, 7.208000, 1.508000>
    }
    triangle {
      < 3.800000, 7.208000, 1.452000>,
      < 3.816000, 6.844000, 1.360000>,
      < 4.160000, 5.744000, 1.196000>
    }
    triangle {
      < 3.688000, 4.520000, 1.928000>,
      < 3.688000, 4.664000, 1.928000>,
      < 3.700000, 4.664000, 1.936000>
    }
    triangle {
      < 3.712000, 6.844000, 1.948000>,
      < 3.748000, 6.844000, 1.976000>,
      < 3.712000, 5.588000, 1.948000>
    }
    triangle {
      < 3.712000, 4.664000, 1.948000>,
      < 3.712000, 5.588000, 1.948000>,
      < 3.748000, 6.844000, 1.976000>
    }
    triangle {
      < 3.712000, 4.664000, 1.948000>,
      < 3.748000, 6.844000, 1.976000>,
      < 3.748000, 4.520000, 1.976000>
    }
    triangle {
      < 3.700000, 4.664000, 1.936000>,
      < 3.712000, 4.664000, 1.948000>,
      < 3.748000, 4.520000, 1.976000>
    }
    triangle {
      < 3.688000, 4.520000, 1.928000>,
      < 3.700000, 4.664000, 1.936000>,
      < 3.748000, 4.520000, 1.976000>
    }
    triangle {
      < 3.716000, 6.872000, 1.908000>,
      < 3.952000, 7.208000, 1.508000>,
      < 4.152000, 7.208000, 1.700000>
    }
    triangle {
      < 3.716000, 6.872000, 1.908000>,
      < 3.728000, 6.900000, 1.856000>,
      < 3.952000, 7.208000, 1.508000>
    }
    triangle {
      < 3.712000, 6.848000, 1.940000>,
      < 3.748000, 6.844000, 1.976000>,
      < 3.712000, 6.844000, 1.948000>
    }
    triangle {
      < 3.712000, 6.848000, 1.940000>,
      < 4.152000, 7.208000, 1.700000>,
      < 3.748000, 6.844000, 1.976000>
    }
    triangle {
      < 3.712000, 6.848000, 1.940000>,
      < 3.716000, 6.872000, 1.908000>,
      < 4.152000, 7.208000, 1.700000>
    }
    triangle {
      < 3.772000, 5.796000, 2.092000>,
      < 3.772000, 6.844000, 2.052000>,
      < 3.772000, 6.844000, 2.092000>
    }
    triangle {
      < 3.772000, 5.796000, 2.092000>,
      < 3.772000, 4.520000, 2.052000>,
      < 3.772000, 6.844000, 2.052000>
    }
    triangle {
      < 3.772000, 4.908000, 2.092000>,
      < 3.772000, 4.520000, 2.052000>,
      < 3.772000, 5.796000, 2.092000>
    }
    triangle {
      < 3.772000, 4.664000, 2.092000>,
      < 3.772000, 4.520000, 2.052000>,
      < 3.772000, 4.908000, 2.092000>
    }
    triangle {
      < 3.772000, 4.520000, 2.128000>,
      < 3.772000, 4.664000, 2.092000>,
      < 3.772000, 4.664000, 2.128000>
    }
    triangle {
      < 3.772000, 4.520000, 2.128000>,
      < 3.772000, 4.520000, 2.052000>,
      < 3.772000, 4.664000, 2.092000>
    }
    triangle {
      < 4.032000, 7.040000, 2.140000>,
      < 4.260000, 7.208000, 1.952000>,
      < 4.260000, 7.208000, 2.180000>
    }
    triangle {
      < 4.032000, 7.040000, 2.140000>,
      < 3.772000, 6.844000, 2.052000>,
      < 4.260000, 7.208000, 1.952000>
    }
    triangle {
      < 3.772000, 6.844000, 2.092000>,
      < 3.772000, 6.844000, 2.052000>,
      < 4.032000, 7.040000, 2.140000>
    }
    triangle {
      < 4.580000, 5.920000, 2.236000>,
      < 4.580000, 5.928000, 2.244000>,
      < 4.260000, 7.208000, 1.952000>
    }
    triangle {
      < 4.580000, 5.920000, 2.236000>,
      < 4.260000, 7.208000, 1.952000>,
      < 4.624000, 5.744000, 1.860000>
    }
    triangle {
      < 4.580000, 5.920000, 2.236000>,
      < 4.624000, 5.744000, 1.860000>,
      < 4.624000, 5.744000, 2.284000>
    }
    triangle {
      < 4.624000, 5.744000, 2.284000>,
      < 4.580000, 5.928000, 2.244000>,
      < 4.580000, 5.920000, 2.236000>
    }
    triangle {
      < 4.396000, 6.680000, 2.204000>,
      < 4.260000, 7.208000, 2.180000>,
      < 4.260000, 7.208000, 1.952000>
    }
    triangle {
      < 4.260000, 7.208000, 1.952000>,
      < 4.572000, 5.964000, 2.236000>,
      < 4.396000, 6.680000, 2.204000>
    }
    triangle {
      < 4.580000, 5.928000, 2.244000>,
      < 4.624000, 5.744000, 2.284000>,
      < 4.572000, 5.952000, 2.276000>
    }
    triangle {
      < 3.736000, 4.664000, 2.216000>,
      < 3.772000, 4.664000, 2.092000>,
      < 3.772000, 4.664000, 2.128000>
    }
    triangle {
      < 3.748000, 4.664000, 2.204000>,
      < 4.580000, 4.664000, 2.236000>,
      < 3.736000, 4.664000, 2.216000>
    }
    triangle {
      < 3.748000, 4.664000, 2.200000>,
      < 4.580000, 4.664000, 2.236000>,
      < 3.748000, 4.664000, 2.204000>
    }
    triangle {
      < 3.772000, 4.664000, 2.128000>,
      < 4.580000, 4.664000, 2.236000>,
      < 3.772000, 4.664000, 2.132000>
    }
    triangle {
      < 3.772000, 4.664000, 2.128000>,
      < 3.772000, 4.664000, 2.092000>,
      < 4.580000, 4.664000, 2.236000>
    }
    triangle {
      < 3.808000, 6.896000, 2.232000>,
      < 4.316000, 6.848000, 2.324000>,
      < 3.924000, 6.980000, 2.256000>
    }
    triangle {
      < 3.808000, 6.896000, 2.232000>,
      < 4.556000, 5.872000, 2.364000>,
      < 4.316000, 6.848000, 2.324000>
    }
    triangle {
      < 3.808000, 6.896000, 2.232000>,
      < 4.556000, 4.664000, 2.364000>,
      < 4.556000, 5.872000, 2.364000>
    }
    triangle {
      < 3.808000, 6.896000, 2.232000>,
      < 3.784000, 6.880000, 2.228000>,
      < 4.556000, 4.664000, 2.364000>
    }
    triangle {
      < 4.568000, 5.928000, 2.300000>,
      < 4.556000, 4.664000, 2.364000>,
      < 4.580000, 4.664000, 2.236000>
    }
    triangle {
      < 4.568000, 5.928000, 2.300000>,
      < 4.556000, 5.872000, 2.364000>,
      < 4.556000, 4.664000, 2.364000>
    }
    triangle {
      < 4.572000, 5.952000, 2.276000>,
      < 4.580000, 4.664000, 2.236000>,
      < 4.580000, 5.928000, 2.244000>
    }
    triangle {
      < 4.572000, 5.952000, 2.276000>,
      < 4.568000, 5.928000, 2.300000>,
      < 4.580000, 4.664000, 2.236000>
    }
    triangle {
      < 3.724000, 5.504000, 2.220000>,
      < 3.784000, 6.880000, 2.228000>,
      < 3.724000, 6.844000, 2.220000>
    }
    triangle {
      < 3.724000, 5.504000, 2.220000>,
      < 4.556000, 4.664000, 2.364000>,
      < 3.784000, 6.880000, 2.228000>
    }
    triangle {
      < 3.724000, 5.504000, 2.220000>,
      < 3.724000, 4.664000, 2.220000>,
      < 4.556000, 4.664000, 2.364000>
    }
    triangle {
      < 3.724000, 4.664000, 2.220000>,
      < 4.580000, 4.664000, 2.236000>,
      < 4.556000, 4.664000, 2.364000>
    }
    triangle {
      < 3.724000, 4.664000, 2.220000>,
      < 3.736000, 4.664000, 2.216000>,
      < 4.580000, 4.664000, 2.236000>
    }
    triangle {
      < 3.636000, 6.912000, 2.376000>,
      < 3.652000, 5.724000, 2.272000>,
      < 3.652000, 6.844000, 2.272000>
    }
    triangle {
      < 3.564000, 7.208000, 2.776000>,
      < 3.652000, 5.724000, 2.272000>,
      < 3.636000, 6.912000, 2.376000>
    }
    triangle {
      < 3.564000, 7.208000, 2.776000>,
      < 3.652000, 4.832000, 2.272000>,
      < 3.652000, 5.724000, 2.272000>
    }
    triangle {
      < 3.564000, 7.208000, 2.776000>,
      < 3.540000, 6.676000, 2.904000>,
      < 3.652000, 4.832000, 2.272000>
    }
    triangle {
      < 3.528000, 6.372000, 2.984000>,
      < 3.652000, 4.832000, 2.272000>,
      < 3.540000, 6.676000, 2.904000>
    }
    triangle {
      < 3.528000, 6.372000, 2.984000>,
      < 3.652000, 4.664000, 2.272000>,
      < 3.652000, 4.832000, 2.272000>
    }
    triangle {
      < 3.528000, 6.372000, 2.984000>,
      < 3.508000, 4.664000, 3.096000>,
      < 3.652000, 4.664000, 2.272000>
    }
    triangle {
      < 3.528000, 6.372000, 2.984000>,
      < 3.508000, 5.916000, 3.096000>,
      < 3.508000, 4.664000, 3.096000>
    }
    triangle {
      < 3.616000, 4.664000, 2.284000>,
      < 3.508000, 4.664000, 3.096000>,
      < 3.612000, 4.664000, 2.284000>
    }
    triangle {
      < 3.620000, 4.664000, 2.284000>,
      < 3.508000, 4.664000, 3.096000>,
      < 3.616000, 4.664000, 2.284000>
    }
    triangle {
      < 3.652000, 4.664000, 2.272000>,
      < 3.508000, 4.664000, 3.096000>,
      < 3.620000, 4.664000, 2.284000>
    }
    triangle {
      < 3.688000, 4.664000, 1.928000>,
      < 3.652000, 4.664000, 1.912000>,
      < 3.756000, 4.664000, 1.112000>
    }
    triangle {
      < 3.540000, 4.664000, 2.288000>,
      < 3.408000, 4.664000, 3.080000>,
      < 3.540000, 4.664000, 2.288000>
    }
    triangle {
      < 3.540000, 4.664000, 2.288000>,
      < 3.548000, 4.664000, 2.292000>,
      < 3.408000, 4.664000, 3.080000>
    }
    triangle {
      < 3.548000, 4.664000, 2.292000>,
      < 3.508000, 4.664000, 3.096000>,
      < 3.408000, 4.664000, 3.080000>
    }
    triangle {
      < 3.548000, 4.664000, 2.292000>,
      < 3.568000, 4.664000, 2.284000>,
      < 3.508000, 4.664000, 3.096000>
    }
    triangle {
      < 3.612000, 4.664000, 2.284000>,
      < 3.508000, 4.664000, 3.096000>,
      < 3.568000, 4.664000, 2.284000>
    }
    triangle {
      < 3.616000, 4.664000, 1.900000>,
      < 3.756000, 4.664000, 1.112000>,
      < 3.652000, 4.664000, 1.912000>
    }
    triangle {
      < 3.440000, 5.968000, 3.084000>,
      < 3.508000, 4.664000, 3.096000>,
      < 3.456000, 5.956000, 3.088000>
    }
    triangle {
      < 3.440000, 5.968000, 3.084000>,
      < 3.408000, 4.664000, 3.080000>,
      < 3.508000, 4.664000, 3.096000>
    }
    triangle {
      < 3.440000, 5.968000, 3.084000>,
      < 3.408000, 5.992000, 3.080000>,
      < 3.408000, 4.664000, 3.080000>
    }
    triangle {
      < 3.508000, 5.916000, 3.096000>,
      < 3.456000, 5.956000, 3.088000>,
      < 3.508000, 4.664000, 3.096000>
    }
    triangle {
      < 3.512000, 6.872000, 2.312000>,
      < 3.408000, 4.664000, 3.080000>,
      < 3.408000, 5.992000, 3.080000>
    }
    triangle {
      < 3.512000, 6.872000, 2.312000>,
      < 3.408000, 5.992000, 3.080000>,
      < 3.428000, 6.660000, 2.912000>
    }
    triangle {
      < 3.512000, 6.872000, 2.312000>,
      < 3.428000, 6.660000, 2.912000>,
      < 3.508000, 6.880000, 2.328000>
    }
    triangle {
      < 3.520000, 5.396000, 2.276000>,
      < 3.520000, 4.664000, 2.276000>,
      < 3.408000, 4.664000, 3.080000>
    }
    triangle {
      < 3.408000, 4.664000, 3.080000>,
      < 3.512000, 6.872000, 2.312000>,
      < 3.520000, 6.844000, 2.276000>
    }
    triangle {
      < 3.408000, 4.664000, 3.080000>,
      < 3.520000, 6.844000, 2.276000>,
      < 3.520000, 5.396000, 2.276000>
    }
    triangle {
      < 3.300000, 6.908000, 2.144000>,
      < 3.396000, 5.800000, 2.160000>,
      < 3.396000, 6.844000, 2.160000>
    }
    triangle {
      < 2.900000, 7.208000, 2.072000>,
      < 3.396000, 5.800000, 2.160000>,
      < 3.300000, 6.908000, 2.144000>
    }
    triangle {
      < 2.900000, 7.208000, 2.072000>,
      < 3.396000, 5.016000, 2.160000>,
      < 3.396000, 5.800000, 2.160000>
    }
    triangle {
      < 2.900000, 7.208000, 2.072000>,
      < 2.768000, 6.696000, 2.052000>,
      < 3.396000, 5.016000, 2.160000>
    }
    triangle {
      < 2.684000, 6.360000, 2.036000>,
      < 3.396000, 5.016000, 2.160000>,
      < 2.768000, 6.696000, 2.052000>
    }
    triangle {
      < 2.684000, 6.360000, 2.036000>,
      < 3.396000, 4.664000, 2.160000>,
      < 3.396000, 5.016000, 2.160000>
    }
    triangle {
      < 2.684000, 6.360000, 2.036000>,
      < 2.568000, 4.664000, 2.016000>,
      < 3.396000, 4.664000, 2.160000>
    }
    triangle {
      < 2.684000, 6.360000, 2.036000>,
      < 2.568000, 5.888000, 2.016000>,
      < 2.568000, 4.664000, 2.016000>
    }
    triangle {
      < 3.384000, 4.664000, 2.060000>,
      < 2.568000, 4.664000, 2.016000>,
      < 3.384000, 4.664000, 2.056000>
    }
    triangle {
      < 3.384000, 4.664000, 2.128000>,
      < 2.568000, 4.664000, 2.016000>,
      < 3.384000, 4.664000, 2.060000>
    }
    triangle {
      < 3.384000, 4.664000, 2.132000>,
      < 2.568000, 4.664000, 2.016000>,
      < 3.384000, 4.664000, 2.128000>
    }
    triangle {
      < 3.384000, 4.664000, 2.132000>,
      < 3.396000, 4.664000, 2.160000>,
      < 2.568000, 4.664000, 2.016000>
    }
    triangle {
      < 2.580000, 5.944000, 1.944000>,
      < 2.588000, 5.968000, 1.912000>,
      < 2.592000, 5.948000, 1.884000>
    }
    triangle {
      < 2.592000, 5.948000, 1.884000>,
      < 2.592000, 4.664000, 1.884000>,
      < 2.568000, 4.664000, 2.016000>
    }
    triangle {
      < 2.592000, 5.948000, 1.884000>,
      < 2.568000, 4.664000, 2.016000>,
      < 2.580000, 5.944000, 1.944000>
    }
    triangle {
      < 2.580000, 5.940000, 1.956000>,
      < 2.568000, 4.664000, 2.016000>,
      < 2.568000, 5.888000, 2.016000>
    }
    triangle {
      < 3.388000, 5.524000, 2.024000>,
      < 3.388000, 4.664000, 2.024000>,
      < 2.592000, 4.664000, 1.884000>
    }
    triangle {
      < 2.592000, 4.664000, 1.884000>,
      < 3.388000, 6.732000, 2.024000>,
      < 3.388000, 5.524000, 2.024000>
    }
    triangle {
      < 3.388000, 6.732000, 2.024000>,
      < 2.592000, 4.664000, 1.884000>,
      < 2.592000, 5.948000, 1.884000>
    }
    triangle {
      < 3.388000, 6.732000, 2.024000>,
      < 2.592000, 5.948000, 1.884000>,
      < 2.884000, 7.104000, 1.936000>
    }
    texture {engines}
  }
  // engines_wingsr
  union {
    triangle {
      < 3.388000, 6.732000, 2.024000>,
      < 2.884000, 7.104000, 1.936000>,
      < 2.908000, 7.208000, 1.940000>
    }
    triangle {
      < 3.388000, 6.732000, 2.024000>,
      < 2.908000, 7.208000, 1.940000>,
      < 3.336000, 6.884000, 2.016000>
    }
    texture {engines_wingsr}
  }
  // engines
  union {
    triangle {
      < 3.388000, 6.732000, 2.024000>,
      < 3.336000, 6.884000, 2.016000>,
      < 3.388000, 6.844000, 2.024000>
    }
    triangle {
      < 3.388000, 4.664000, 2.024000>,
      < 2.568000, 4.664000, 2.016000>,
      < 2.592000, 4.664000, 1.884000>
    }
    triangle {
      < 3.388000, 4.664000, 2.024000>,
      < 3.384000, 4.664000, 2.052000>,
      < 2.568000, 4.664000, 2.016000>
    }
    triangle {
      < 3.672000, 7.072000, 1.580000>,
      < 3.700000, 7.200000, 1.420000>,
      < 3.724000, 6.736000, 1.292000>
    }
    triangle {
      < 3.724000, 6.736000, 1.292000>,
      < 3.616000, 5.104000, 1.900000>,
      < 3.616000, 6.844000, 1.900000>
    }
    triangle {
      < 3.724000, 6.736000, 1.292000>,
      < 3.616000, 6.844000, 1.900000>,
      < 3.616000, 6.848000, 1.892000>
    }
    triangle {
      < 3.724000, 6.736000, 1.292000>,
      < 3.616000, 6.848000, 1.892000>,
      < 3.672000, 7.072000, 1.580000>
    }
    triangle {
      < 3.808000, 5.964000, 1.120000>,
      < 3.756000, 4.664000, 1.112000>,
      < 3.756000, 6.004000, 1.112000>
    }
    triangle {
      < 3.756000, 6.004000, 1.112000>,
      < 3.756000, 4.664000, 1.112000>,
      < 3.616000, 4.664000, 1.900000>
    }
    triangle {
      < 3.756000, 6.004000, 1.112000>,
      < 3.616000, 4.664000, 1.900000>,
      < 3.616000, 5.104000, 1.900000>
    }
    triangle {
      < 3.756000, 6.004000, 1.112000>,
      < 3.616000, 5.104000, 1.900000>,
      < 3.724000, 6.736000, 1.292000>
    }
    triangle {
      < 3.728000, 6.900000, 1.856000>,
      < 3.816000, 6.844000, 1.360000>,
      < 3.748000, 6.984000, 1.744000>
    }
    triangle {
      < 3.716000, 6.872000, 1.908000>,
      < 3.816000, 6.844000, 1.360000>,
      < 3.728000, 6.900000, 1.856000>
    }
    triangle {
      < 3.716000, 6.872000, 1.908000>,
      < 3.856000, 5.920000, 1.128000>,
      < 3.816000, 6.844000, 1.360000>
    }
    triangle {
      < 3.716000, 6.872000, 1.908000>,
      < 3.856000, 4.664000, 1.128000>,
      < 3.856000, 5.920000, 1.128000>
    }
    triangle {
      < 3.716000, 6.872000, 1.908000>,
      < 3.712000, 6.848000, 1.940000>,
      < 3.856000, 4.664000, 1.128000>
    }
    triangle {
      < 3.856000, 5.920000, 1.128000>,
      < 3.856000, 4.664000, 1.128000>,
      < 3.756000, 4.664000, 1.112000>
    }
    triangle {
      < 3.856000, 5.920000, 1.128000>,
      < 3.756000, 4.664000, 1.112000>,
      < 3.808000, 5.964000, 1.120000>
    }
    triangle {
      < 3.712000, 5.588000, 1.948000>,
      < 3.856000, 4.664000, 1.128000>,
      < 3.712000, 6.844000, 1.948000>
    }
    triangle {
      < 3.712000, 5.588000, 1.948000>,
      < 3.712000, 4.664000, 1.948000>,
      < 3.856000, 4.664000, 1.128000>
    }
    triangle {
      < 3.688000, 4.664000, 1.928000>,
      < 3.756000, 4.664000, 1.112000>,
      < 3.700000, 4.664000, 1.936000>
    }
    triangle {
      < 3.712000, 4.664000, 1.948000>,
      < 3.756000, 4.664000, 1.112000>,
      < 3.856000, 4.664000, 1.128000>
    }
    triangle {
      < 3.712000, 4.664000, 1.948000>,
      < 3.700000, 4.664000, 1.936000>,
      < 3.756000, 4.664000, 1.112000>
    }
    triangle {
      < 3.772000, 5.796000, 2.092000>,
      < 3.772000, 6.844000, 2.092000>,
      < 4.032000, 7.040000, 2.140000>
    }
    triangle {
      < 4.396000, 6.680000, 2.204000>,
      < 3.772000, 4.908000, 2.092000>,
      < 3.772000, 5.796000, 2.092000>
    }
    triangle {
      < 4.396000, 6.680000, 2.204000>,
      < 3.772000, 5.796000, 2.092000>,
      < 4.032000, 7.040000, 2.140000>
    }
    triangle {
      < 4.396000, 6.680000, 2.204000>,
      < 4.032000, 7.040000, 2.140000>,
      < 4.260000, 7.208000, 2.180000>
    }
    triangle {
      < 4.580000, 5.920000, 2.236000>,
      < 4.580000, 4.664000, 2.236000>,
      < 3.772000, 4.664000, 2.092000>
    }
    triangle {
      < 4.580000, 5.920000, 2.236000>,
      < 3.772000, 4.664000, 2.092000>,
      < 3.772000, 4.908000, 2.092000>
    }
    triangle {
      < 4.580000, 5.920000, 2.236000>,
      < 3.772000, 4.908000, 2.092000>,
      < 4.572000, 5.964000, 2.236000>
    }
    triangle {
      < 3.572000, 4.520000, 2.096000>,
      < 3.772000, 4.520000, 2.128000>,
      < 3.748000, 4.520000, 2.200000>
    }
    triangle {
      < 4.624000, 5.744000, 2.284000>,
      < 4.624000, 4.520000, 2.284000>,
      < 4.472000, 4.520000, 2.668000>
    }
    triangle {
      < 4.624000, 5.744000, 2.284000>,
      < 4.472000, 4.520000, 2.668000>,
      < 4.472000, 5.744000, 2.668000>
    }
    triangle {
      < 4.624000, 4.520000, 2.284000>,
      < 4.868000, 4.520000, 2.332000>,
      < 4.680000, 4.520000, 2.808000>
    }
    triangle {
      < 4.624000, 4.520000, 2.284000>,
      < 4.680000, 4.520000, 2.808000>,
      < 4.472000, 4.520000, 2.668000>
    }
    triangle {
      < 4.868000, 4.520000, 2.332000>,
      < 4.868000, 9.416000, 2.332000>,
      < 4.680000, 9.416000, 2.808000>
    }
    triangle {
      < 4.868000, 4.520000, 2.332000>,
      < 4.680000, 9.416000, 2.808000>,
      < 4.680000, 4.520000, 2.808000>
    }
    triangle {
      < 4.868000, 9.416000, 2.332000>,
      < 4.748000, 9.780000, 2.304000>,
      < 4.576000, 9.780000, 2.740000>
    }
    triangle {
      < 4.868000, 9.416000, 2.332000>,
      < 4.576000, 9.780000, 2.740000>,
      < 4.680000, 9.416000, 2.808000>
    }
    triangle {
      < 4.748000, 9.780000, 2.304000>,
      < 4.748000, 11.368000, 2.304000>,
      < 4.576000, 11.368000, 2.740000>
    }
    triangle {
      < 4.748000, 9.780000, 2.304000>,
      < 4.576000, 11.368000, 2.740000>,
      < 4.576000, 9.780000, 2.740000>
    }
    triangle {
      < 4.748000, 11.368000, 2.304000>,
      < 3.572000, 11.368000, 2.096000>,
      < 4.576000, 11.368000, 2.740000>
    }
    triangle {
      < 3.572000, 4.520000, 2.096000>,
      < 3.748000, 4.520000, 2.200000>,
      < 3.696000, 4.520000, 2.260000>
    }
    triangle {
      < 4.164000, 7.208000, 2.472000>,
      < 4.472000, 5.744000, 2.668000>,
      < 4.184000, 5.744000, 2.968000>
    }
    triangle {
      < 4.164000, 7.208000, 2.472000>,
      < 4.184000, 5.744000, 2.968000>,
      < 3.972000, 7.208000, 2.668000>
    }
    triangle {
      < 4.472000, 5.744000, 2.668000>,
      < 4.472000, 4.520000, 2.668000>,
      < 4.184000, 4.520000, 2.968000>
    }
    triangle {
      < 4.472000, 5.744000, 2.668000>,
      < 4.184000, 4.520000, 2.968000>,
      < 4.184000, 5.744000, 2.968000>
    }
    triangle {
      < 4.472000, 4.520000, 2.668000>,
      < 4.680000, 4.520000, 2.808000>,
      < 4.324000, 4.520000, 3.180000>
    }
    triangle {
      < 4.472000, 4.520000, 2.668000>,
      < 4.324000, 4.520000, 3.180000>,
      < 4.184000, 4.520000, 2.968000>
    }
    triangle {
      < 4.680000, 4.520000, 2.808000>,
      < 4.680000, 9.416000, 2.808000>,
      < 4.324000, 9.416000, 3.180000>
    }
    triangle {
      < 4.680000, 4.520000, 2.808000>,
      < 4.324000, 9.416000, 3.180000>,
      < 4.324000, 4.520000, 3.180000>
    }
    triangle {
      < 4.680000, 9.416000, 2.808000>,
      < 4.576000, 9.780000, 2.740000>,
      < 4.252000, 9.780000, 3.076000>
    }
    triangle {
      < 4.680000, 9.416000, 2.808000>,
      < 4.252000, 9.780000, 3.076000>,
      < 4.324000, 9.416000, 3.180000>
    }
    triangle {
      < 4.576000, 9.780000, 2.740000>,
      < 4.576000, 11.368000, 2.740000>,
      < 4.252000, 11.368000, 3.076000>
    }
    triangle {
      < 4.576000, 9.780000, 2.740000>,
      < 4.252000, 11.368000, 3.076000>,
      < 4.252000, 9.780000, 3.076000>
    }
    triangle {
      < 4.576000, 11.368000, 2.740000>,
      < 3.572000, 11.368000, 2.096000>,
      < 4.252000, 11.368000, 3.076000>
    }
    triangle {
      < 3.572000, 4.520000, 2.096000>,
      < 3.696000, 4.520000, 2.260000>,
      < 3.620000, 4.520000, 2.284000>
    }
    triangle {
      < 3.696000, 6.844000, 2.260000>,
      < 3.972000, 7.208000, 2.668000>,
      < 3.720000, 7.208000, 2.776000>
    }
    triangle {
      < 3.972000, 7.208000, 2.668000>,
      < 4.184000, 5.744000, 2.968000>,
      < 3.800000, 5.744000, 3.140000>
    }
    triangle {
      < 3.972000, 7.208000, 2.668000>,
      < 3.800000, 5.744000, 3.140000>,
      < 3.720000, 7.208000, 2.776000>
    }
    triangle {
      < 4.184000, 5.744000, 2.968000>,
      < 4.184000, 4.520000, 2.968000>,
      < 3.800000, 4.520000, 3.140000>
    }
    triangle {
      < 4.184000, 5.744000, 2.968000>,
      < 3.800000, 4.520000, 3.140000>,
      < 3.800000, 5.744000, 3.140000>
    }
    triangle {
      < 4.184000, 4.520000, 2.968000>,
      < 4.324000, 4.520000, 3.180000>,
      < 3.848000, 4.520000, 3.372000>
    }
    triangle {
      < 4.184000, 4.520000, 2.968000>,
      < 3.848000, 4.520000, 3.372000>,
      < 3.800000, 4.520000, 3.140000>
    }
    triangle {
      < 4.324000, 4.520000, 3.180000>,
      < 4.324000, 9.416000, 3.180000>,
      < 3.848000, 9.416000, 3.372000>
    }
    triangle {
      < 4.324000, 4.520000, 3.180000>,
      < 3.848000, 9.416000, 3.372000>,
      < 3.848000, 4.520000, 3.372000>
    }
    triangle {
      < 4.324000, 9.416000, 3.180000>,
      < 4.252000, 9.780000, 3.076000>,
      < 3.824000, 9.780000, 3.256000>
    }
    triangle {
      < 4.324000, 9.416000, 3.180000>,
      < 3.824000, 9.780000, 3.256000>,
      < 3.848000, 9.416000, 3.372000>
    }
    triangle {
      < 4.252000, 9.780000, 3.076000>,
      < 4.252000, 11.368000, 3.076000>,
      < 3.824000, 11.368000, 3.256000>
    }
    triangle {
      < 4.252000, 9.780000, 3.076000>,
      < 3.824000, 11.368000, 3.256000>,
      < 3.824000, 9.780000, 3.256000>
    }
    triangle {
      < 4.252000, 11.368000, 3.076000>,
      < 3.572000, 11.368000, 2.096000>,
      < 3.824000, 11.368000, 3.256000>
    }
    triangle {
      < 3.572000, 4.520000, 2.096000>,
      < 3.620000, 4.520000, 2.284000>,
      < 3.540000, 4.520000, 2.288000>
    }
    triangle {
      < 3.800000, 5.744000, 3.140000>,
      < 3.800000, 4.520000, 3.140000>,
      < 3.388000, 4.520000, 3.144000>
    }
    triangle {
      < 3.800000, 5.744000, 3.140000>,
      < 3.388000, 4.520000, 3.144000>,
      < 3.388000, 5.744000, 3.144000>
    }
    triangle {
      < 3.800000, 4.520000, 3.140000>,
      < 3.848000, 4.520000, 3.372000>,
      < 3.340000, 4.520000, 3.384000>
    }
    triangle {
      < 3.800000, 4.520000, 3.140000>,
      < 3.340000, 4.520000, 3.384000>,
      < 3.388000, 4.520000, 3.144000>
    }
    triangle {
      < 3.848000, 4.520000, 3.372000>,
      < 3.848000, 9.416000, 3.372000>,
      < 3.340000, 9.416000, 3.384000>
    }
    triangle {
      < 3.848000, 4.520000, 3.372000>,
      < 3.340000, 9.416000, 3.384000>,
      < 3.340000, 4.520000, 3.384000>
    }
    triangle {
      < 3.848000, 9.416000, 3.372000>,
      < 3.824000, 9.780000, 3.256000>,
      < 3.368000, 9.780000, 3.264000>
    }
    triangle {
      < 3.848000, 9.416000, 3.372000>,
      < 3.368000, 9.780000, 3.264000>,
      < 3.340000, 9.416000, 3.384000>
    }
    triangle {
      < 3.824000, 9.780000, 3.256000>,
      < 3.824000, 11.368000, 3.256000>,
      < 3.368000, 11.368000, 3.264000>
    }
    triangle {
      < 3.824000, 9.780000, 3.256000>,
      < 3.368000, 11.368000, 3.264000>,
      < 3.368000, 9.780000, 3.264000>
    }
    triangle {
      < 3.824000, 11.368000, 3.256000>,
      < 3.572000, 11.368000, 2.096000>,
      < 3.368000, 11.368000, 3.264000>
    }
    triangle {
      < 3.572000, 4.520000, 2.096000>,
      < 3.540000, 4.520000, 2.288000>,
      < 3.472000, 4.520000, 2.260000>
    }
    triangle {
      < 3.388000, 5.744000, 3.144000>,
      < 3.388000, 4.520000, 3.144000>,
      < 3.000000, 4.520000, 2.988000>
    }
    triangle {
      < 3.388000, 5.744000, 3.144000>,
      < 3.000000, 4.520000, 2.988000>,
      < 3.000000, 5.744000, 2.988000>
    }
    triangle {
      < 3.388000, 4.520000, 3.144000>,
      < 3.340000, 4.520000, 3.384000>,
      < 2.864000, 4.520000, 3.196000>
    }
    triangle {
      < 3.388000, 4.520000, 3.144000>,
      < 2.864000, 4.520000, 3.196000>,
      < 3.000000, 4.520000, 2.988000>
    }
    triangle {
      < 3.340000, 4.520000, 3.384000>,
      < 3.340000, 9.416000, 3.384000>,
      < 2.864000, 9.416000, 3.196000>
    }
    triangle {
      < 3.340000, 4.520000, 3.384000>,
      < 2.864000, 9.416000, 3.196000>,
      < 2.864000, 4.520000, 3.196000>
    }
    triangle {
      < 3.340000, 9.416000, 3.384000>,
      < 3.368000, 9.780000, 3.264000>,
      < 2.932000, 9.780000, 3.088000>
    }
    triangle {
      < 3.340000, 9.416000, 3.384000>,
      < 2.932000, 9.780000, 3.088000>,
      < 2.864000, 9.416000, 3.196000>
    }
    triangle {
      < 3.368000, 9.780000, 3.264000>,
      < 3.368000, 11.368000, 3.264000>,
      < 2.932000, 11.368000, 3.088000>
    }
    triangle {
      < 3.368000, 9.780000, 3.264000>,
      < 2.932000, 11.368000, 3.088000>,
      < 2.932000, 9.780000, 3.088000>
    }
    triangle {
      < 3.368000, 11.368000, 3.264000>,
      < 3.572000, 11.368000, 2.096000>,
      < 2.932000, 11.368000, 3.088000>
    }
    triangle {
      < 3.572000, 4.520000, 2.096000>,
      < 3.472000, 4.520000, 2.260000>,
      < 3.416000, 4.520000, 2.208000>
    }
    triangle {
      < 3.472000, 4.520000, 2.260000>,
      < 3.472000, 6.844000, 2.260000>,
      < 3.416000, 6.844000, 2.208000>
    }
    triangle {
      < 3.472000, 4.520000, 2.260000>,
      < 3.416000, 6.844000, 2.208000>,
      < 3.416000, 4.520000, 2.208000>
    }
    triangle {
      < 3.472000, 6.844000, 2.260000>,
      < 3.200000, 7.208000, 2.676000>,
      < 3.004000, 7.208000, 2.488000>
    }
    triangle {
      < 3.472000, 6.844000, 2.260000>,
      < 3.004000, 7.208000, 2.488000>,
      < 3.416000, 6.844000, 2.208000>
    }
    triangle {
      < 3.200000, 7.208000, 2.676000>,
      < 3.000000, 5.744000, 2.988000>,
      < 2.700000, 5.744000, 2.692000>
    }
    triangle {
      < 3.200000, 7.208000, 2.676000>,
      < 2.700000, 5.744000, 2.692000>,
      < 3.004000, 7.208000, 2.488000>
    }
    triangle {
      < 3.000000, 5.744000, 2.988000>,
      < 3.000000, 4.520000, 2.988000>,
      < 2.700000, 4.520000, 2.692000>
    }
    triangle {
      < 3.000000, 5.744000, 2.988000>,
      < 2.700000, 4.520000, 2.692000>,
      < 2.700000, 5.744000, 2.692000>
    }
    triangle {
      < 3.000000, 4.520000, 2.988000>,
      < 2.864000, 4.520000, 3.196000>,
      < 2.496000, 4.520000, 2.836000>
    }
    triangle {
      < 3.000000, 4.520000, 2.988000>,
      < 2.496000, 4.520000, 2.836000>,
      < 2.700000, 4.520000, 2.692000>
    }
    triangle {
      < 2.864000, 4.520000, 3.196000>,
      < 2.864000, 9.416000, 3.196000>,
      < 2.496000, 9.416000, 2.836000>
    }
    triangle {
      < 2.864000, 4.520000, 3.196000>,
      < 2.496000, 9.416000, 2.836000>,
      < 2.496000, 4.520000, 2.836000>
    }
    triangle {
      < 2.864000, 9.416000, 3.196000>,
      < 2.932000, 9.780000, 3.088000>,
      < 2.600000, 9.780000, 2.768000>
    }
    triangle {
      < 2.864000, 9.416000, 3.196000>,
      < 2.600000, 9.780000, 2.768000>,
      < 2.496000, 9.416000, 2.836000>
    }
    triangle {
      < 2.932000, 9.780000, 3.088000>,
      < 2.932000, 11.368000, 3.088000>,
      < 2.600000, 11.368000, 2.768000>
    }
    triangle {
      < 2.932000, 9.780000, 3.088000>,
      < 2.600000, 11.368000, 2.768000>,
      < 2.600000, 9.780000, 2.768000>
    }
    triangle {
      < 2.932000, 11.368000, 3.088000>,
      < 3.572000, 11.368000, 2.096000>,
      < 2.600000, 11.368000, 2.768000>
    }
    triangle {
      < 3.572000, 4.520000, 2.096000>,
      < 3.416000, 4.520000, 2.208000>,
      < 3.384000, 4.520000, 2.132000>
    }
    triangle {
      < 3.416000, 6.844000, 2.208000>,
      < 3.004000, 7.208000, 2.488000>,
      < 2.896000, 7.208000, 2.228000>
    }
    triangle {
      < 3.004000, 7.208000, 2.488000>,
      < 2.700000, 5.744000, 2.692000>,
      < 2.536000, 5.744000, 2.308000>
    }
    triangle {
      < 3.004000, 7.208000, 2.488000>,
      < 2.536000, 5.744000, 2.308000>,
      < 2.896000, 7.208000, 2.228000>
    }
    triangle {
      < 2.700000, 5.744000, 2.692000>,
      < 2.700000, 4.520000, 2.692000>,
      < 2.536000, 4.520000, 2.308000>
    }
    triangle {
      < 2.700000, 5.744000, 2.692000>,
      < 2.536000, 4.520000, 2.308000>,
      < 2.536000, 5.744000, 2.308000>
    }
    triangle {
      < 2.700000, 4.520000, 2.692000>,
      < 2.496000, 4.520000, 2.836000>,
      < 2.296000, 4.520000, 2.364000>
    }
    triangle {
      < 2.700000, 4.520000, 2.692000>,
      < 2.296000, 4.520000, 2.364000>,
      < 2.536000, 4.520000, 2.308000>
    }
    texture {engines}
  }
  // engines_body
  union {
    triangle {
      < 2.496000, 4.520000, 2.836000>,
      < 2.496000, 9.416000, 2.836000>,
      < 2.296000, 9.416000, 2.364000>
    }
    triangle {
      < 2.496000, 4.520000, 2.836000>,
      < 2.296000, 9.416000, 2.364000>,
      < 2.296000, 4.520000, 2.364000>
    }
    texture {engines_body}
  }
  // engines
  union {
    triangle {
      < 2.496000, 9.416000, 2.836000>,
      < 2.600000, 9.780000, 2.768000>,
      < 2.420000, 9.780000, 2.336000>
    }
    triangle {
      < 2.496000, 9.416000, 2.836000>,
      < 2.420000, 9.780000, 2.336000>,
      < 2.296000, 9.416000, 2.364000>
    }
    texture {engines}
  }
  // DEFAULT
  union {
    triangle {
      < 2.600000, 9.780000, 2.768000>,
      < 2.600000, 11.368000, 2.768000>,
      < 2.420000, 11.368000, 2.336000>
    }
    triangle {
      < 2.600000, 9.780000, 2.768000>,
      < 2.420000, 11.368000, 2.336000>,
      < 2.420000, 9.780000, 2.336000>
    }
    triangle {
      < 2.600000, 11.368000, 2.768000>,
      < 3.572000, 11.368000, 2.096000>,
      < 2.420000, 11.368000, 2.336000>
    }
    texture {DEFAULT}
  }
  // engines
  union {
    triangle {
      < 3.572000, 4.520000, 2.096000>,
      < 3.384000, 4.520000, 2.132000>,
      < 3.384000, 4.520000, 2.060000>
    }
    triangle {
      < 2.536000, 5.744000, 2.308000>,
      < 2.536000, 4.520000, 2.308000>,
      < 2.532000, 4.520000, 1.900000>
    }
    triangle {
      < 2.536000, 5.744000, 2.308000>,
      < 2.532000, 4.520000, 1.900000>,
      < 2.532000, 5.744000, 1.900000>
    }
    triangle {
      < 2.536000, 4.520000, 2.308000>,
      < 2.296000, 4.520000, 2.364000>,
      < 2.288000, 4.520000, 1.860000>
    }
    triangle {
      < 2.536000, 4.520000, 2.308000>,
      < 2.288000, 4.520000, 1.860000>,
      < 2.532000, 4.520000, 1.900000>
    }
    texture {engines}
  }
  // engines_body
  union {
    triangle {
      < 2.296000, 4.520000, 2.364000>,
      < 2.296000, 9.416000, 2.364000>,
      < 2.288000, 9.416000, 1.860000>
    }
    triangle {
      < 2.296000, 4.520000, 2.364000>,
      < 2.288000, 9.416000, 1.860000>,
      < 2.288000, 4.520000, 1.860000>
    }
    texture {engines_body}
  }
  // engines
  union {
    triangle {
      < 2.296000, 9.416000, 2.364000>,
      < 2.420000, 9.780000, 2.336000>,
      < 2.408000, 9.780000, 1.876000>
    }
    triangle {
      < 2.296000, 9.416000, 2.364000>,
      < 2.408000, 9.780000, 1.876000>,
      < 2.288000, 9.416000, 1.860000>
    }
    texture {engines}
  }
  // DEFAULT
  union {
    triangle {
      < 2.420000, 9.780000, 2.336000>,
      < 2.420000, 11.368000, 2.336000>,
      < 2.408000, 11.368000, 1.876000>
    }
    triangle {
      < 2.420000, 9.780000, 2.336000>,
      < 2.408000, 11.368000, 1.876000>,
      < 2.408000, 9.780000, 1.876000>
    }
    triangle {
      < 2.420000, 11.368000, 2.336000>,
      < 3.572000, 11.368000, 2.096000>,
      < 2.408000, 11.368000, 1.876000>
    }
    texture {DEFAULT}
  }
  // engines
  union {
    triangle {
      < 3.572000, 4.520000, 2.096000>,
      < 3.384000, 4.520000, 2.060000>,
      < 3.408000, 4.520000, 1.984000>
    }
    triangle {
      < 2.532000, 5.744000, 1.900000>,
      < 2.532000, 4.520000, 1.900000>,
      < 2.684000, 4.520000, 1.512000>
    }
    triangle {
      < 2.532000, 5.744000, 1.900000>,
      < 2.684000, 4.520000, 1.512000>,
      < 2.684000, 5.744000, 1.512000>
    }
    triangle {
      < 2.532000, 4.520000, 1.900000>,
      < 2.288000, 4.520000, 1.860000>,
      < 2.476000, 4.520000, 1.368000>
    }
    triangle {
      < 2.532000, 4.520000, 1.900000>,
      < 2.476000, 4.520000, 1.368000>,
      < 2.684000, 4.520000, 1.512000>
    }
    triangle {
      < 3.572000, 4.520000, 2.096000>,
      < 3.408000, 4.520000, 1.984000>,
      < 3.464000, 4.520000, 1.928000>
    }
    triangle {
      < 3.408000, 4.520000, 1.984000>,
      < 3.408000, 6.844000, 1.984000>,
      < 3.464000, 6.844000, 1.928000>
    }
    triangle {
      < 3.408000, 4.520000, 1.984000>,
      < 3.464000, 6.844000, 1.928000>,
      < 3.464000, 4.520000, 1.928000>
    }
    texture {engines}
  }
  // engines_wingsr
  union {
    triangle {
      < 3.408000, 6.844000, 1.984000>,
      < 2.996000, 7.208000, 1.716000>,
      < 3.184000, 7.208000, 1.520000>
    }
    texture {engines_wingsr}
  }
  // engines
  union {
    triangle {
      < 3.408000, 6.844000, 1.984000>,
      < 3.184000, 7.208000, 1.520000>,
      < 3.464000, 6.844000, 1.928000>
    }
    texture {engines}
  }
  // engines_wingsr
  union {
    triangle {
      < 2.996000, 7.208000, 1.716000>,
      < 2.684000, 5.744000, 1.512000>,
      < 2.976000, 5.744000, 1.216000>
    }
    triangle {
      < 2.996000, 7.208000, 1.716000>,
      < 2.976000, 5.744000, 1.216000>,
      < 3.184000, 7.208000, 1.520000>
    }
    texture {engines_wingsr}
  }
  // engines
  union {
    triangle {
      < 2.684000, 5.744000, 1.512000>,
      < 2.684000, 4.520000, 1.512000>,
      < 2.976000, 4.520000, 1.216000>
    }
    triangle {
      < 2.684000, 5.744000, 1.512000>,
      < 2.976000, 4.520000, 1.216000>,
      < 2.976000, 5.744000, 1.216000>
    }
    triangle {
      < 2.684000, 4.520000, 1.512000>,
      < 2.476000, 4.520000, 1.368000>,
      < 2.836000, 4.520000, 1.012000>
    }
    triangle {
      < 2.684000, 4.520000, 1.512000>,
      < 2.836000, 4.520000, 1.012000>,
      < 2.976000, 4.520000, 1.216000>
    }
    triangle {
      < 3.572000, 4.520000, 2.096000>,
      < 3.464000, 4.520000, 1.928000>,
      < 3.540000, 4.520000, 1.900000>
    }
    triangle {
      < 3.464000, 4.520000, 1.928000>,
      < 3.464000, 6.844000, 1.928000>,
      < 3.540000, 6.844000, 1.900000>
    }
    triangle {
      < 3.464000, 4.520000, 1.928000>,
      < 3.540000, 6.844000, 1.900000>,
      < 3.540000, 4.520000, 1.900000>
    }
    triangle {
      < 3.464000, 6.844000, 1.928000>,
      < 3.184000, 7.208000, 1.520000>,
      < 3.440000, 7.208000, 1.412000>
    }
    triangle {
      < 3.464000, 6.844000, 1.928000>,
      < 3.440000, 7.208000, 1.412000>,
      < 3.540000, 6.844000, 1.900000>
    }
    triangle {
      < 3.184000, 7.208000, 1.520000>,
      < 2.976000, 5.744000, 1.216000>,
      < 3.356000, 5.744000, 1.052000>
    }
    triangle {
      < 3.184000, 7.208000, 1.520000>,
      < 3.356000, 5.744000, 1.052000>,
      < 3.440000, 7.208000, 1.412000>
    }
    triangle {
      < 2.976000, 5.744000, 1.216000>,
      < 2.976000, 4.520000, 1.216000>,
      < 3.356000, 4.520000, 1.052000>
    }
    triangle {
      < 2.976000, 5.744000, 1.216000>,
      < 3.356000, 4.520000, 1.052000>,
      < 3.356000, 5.744000, 1.052000>
    }
    triangle {
      < 2.976000, 4.520000, 1.216000>,
      < 2.836000, 4.520000, 1.012000>,
      < 3.304000, 4.520000, 0.808000>
    }
    triangle {
      < 2.976000, 4.520000, 1.216000>,
      < 3.304000, 4.520000, 0.808000>,
      < 3.356000, 4.520000, 1.052000>
    }
    triangle {
      < 3.572000, 4.520000, 2.096000>,
      < 3.540000, 4.520000, 1.900000>,
      < 3.612000, 4.520000, 1.892000>
    }
    triangle {
      < 3.540000, 4.520000, 1.900000>,
      < 3.540000, 6.844000, 1.900000>,
      < 3.612000, 6.844000, 1.892000>
    }
    triangle {
      < 3.540000, 4.520000, 1.900000>,
      < 3.612000, 6.844000, 1.892000>,
      < 3.612000, 4.520000, 1.892000>
    }
    triangle {
      < 3.440000, 7.208000, 1.412000>,
      < 3.356000, 5.744000, 1.052000>,
      < 3.768000, 5.744000, 1.048000>
    }
    triangle {
      < 3.356000, 5.744000, 1.052000>,
      < 3.356000, 4.520000, 1.052000>,
      < 3.768000, 4.520000, 1.048000>
    }
    triangle {
      < 3.356000, 5.744000, 1.052000>,
      < 3.768000, 4.520000, 1.048000>,
      < 3.768000, 5.744000, 1.048000>
    }
    triangle {
      < 3.356000, 4.520000, 1.052000>,
      < 3.304000, 4.520000, 0.808000>,
      < 3.808000, 4.520000, 0.804000>
    }
    triangle {
      < 3.356000, 4.520000, 1.052000>,
      < 3.808000, 4.520000, 0.804000>,
      < 3.768000, 4.520000, 1.048000>
    }
    triangle {
      < 3.572000, 4.520000, 2.096000>,
      < 3.612000, 4.520000, 1.892000>,
      < 3.688000, 4.520000, 1.928000>
    }
    triangle {
      < 3.768000, 5.744000, 1.048000>,
      < 3.768000, 4.520000, 1.048000>,
      < 4.160000, 4.520000, 1.196000>
    }
    triangle {
      < 3.768000, 5.744000, 1.048000>,
      < 4.160000, 4.520000, 1.196000>,
      < 4.160000, 5.744000, 1.196000>
    }
    triangle {
      < 3.768000, 4.520000, 1.048000>,
      < 3.808000, 4.520000, 0.804000>,
      < 4.292000, 4.520000, 0.988000>
    }
    triangle {
      < 3.768000, 4.520000, 1.048000>,
      < 4.292000, 4.520000, 0.988000>,
      < 4.160000, 4.520000, 1.196000>
    }
    triangle {
      < 3.572000, 4.520000, 2.096000>,
      < 3.688000, 4.520000, 1.928000>,
      < 3.748000, 4.520000, 1.976000>
    }
    triangle {
      < 3.952000, 7.208000, 1.508000>,
      < 4.160000, 5.744000, 1.196000>,
      < 4.456000, 5.744000, 1.492000>
    }
    triangle {
      < 3.952000, 7.208000, 1.508000>,
      < 4.456000, 5.744000, 1.492000>,
      < 4.152000, 7.208000, 1.700000>
    }
    triangle {
      < 4.160000, 5.744000, 1.196000>,
      < 4.160000, 4.520000, 1.196000>,
      < 4.456000, 4.520000, 1.492000>
    }
    triangle {
      < 4.160000, 5.744000, 1.196000>,
      < 4.456000, 4.520000, 1.492000>,
      < 4.456000, 5.744000, 1.492000>
    }
    triangle {
      < 4.160000, 4.520000, 1.196000>,
      < 4.292000, 4.520000, 0.988000>,
      < 4.664000, 4.520000, 1.340000>
    }
    triangle {
      < 4.160000, 4.520000, 1.196000>,
      < 4.664000, 4.520000, 1.340000>,
      < 4.456000, 4.520000, 1.492000>
    }
    triangle {
      < 3.572000, 4.520000, 2.096000>,
      < 3.748000, 4.520000, 1.976000>,
      < 3.772000, 4.520000, 2.052000>
    }
    triangle {
      < 3.748000, 4.520000, 1.976000>,
      < 3.748000, 6.844000, 1.976000>,
      < 3.772000, 6.844000, 2.052000>
    }
    triangle {
      < 3.748000, 4.520000, 1.976000>,
      < 3.772000, 6.844000, 2.052000>,
      < 3.772000, 4.520000, 2.052000>
    }
    triangle {
      < 3.748000, 6.844000, 1.976000>,
      < 4.152000, 7.208000, 1.700000>,
      < 4.260000, 7.208000, 1.952000>
    }
    triangle {
      < 3.748000, 6.844000, 1.976000>,
      < 4.260000, 7.208000, 1.952000>,
      < 3.772000, 6.844000, 2.052000>
    }
    triangle {
      < 4.152000, 7.208000, 1.700000>,
      < 4.456000, 5.744000, 1.492000>,
      < 4.624000, 5.744000, 1.860000>
    }
    triangle {
      < 4.152000, 7.208000, 1.700000>,
      < 4.624000, 5.744000, 1.860000>,
      < 4.260000, 7.208000, 1.952000>
    }
    triangle {
      < 4.456000, 5.744000, 1.492000>,
      < 4.456000, 4.520000, 1.492000>,
      < 4.624000, 4.520000, 1.860000>
    }
    triangle {
      < 4.456000, 5.744000, 1.492000>,
      < 4.624000, 4.520000, 1.860000>,
      < 4.624000, 5.744000, 1.860000>
    }
    triangle {
      < 4.456000, 4.520000, 1.492000>,
      < 4.664000, 4.520000, 1.340000>,
      < 4.864000, 4.520000, 1.816000>
    }
    triangle {
      < 4.456000, 4.520000, 1.492000>,
      < 4.864000, 4.520000, 1.816000>,
      < 4.624000, 4.520000, 1.860000>
    }
    triangle {
      < 3.572000, 4.520000, 2.096000>,
      < 3.772000, 4.520000, 2.052000>,
      < 3.772000, 4.520000, 2.128000>
    }
    triangle {
      < 4.624000, 5.744000, 1.860000>,
      < 4.624000, 4.520000, 1.860000>,
      < 4.624000, 4.520000, 2.284000>
    }
    triangle {
      < 4.624000, 5.744000, 1.860000>,
      < 4.624000, 4.520000, 2.284000>,
      < 4.624000, 5.744000, 2.284000>
    }
    triangle {
      < 4.624000, 4.520000, 1.860000>,
      < 4.864000, 4.520000, 1.816000>,
      < 4.868000, 4.520000, 2.332000>
    }
    triangle {
      < 4.624000, 4.520000, 1.860000>,
      < 4.868000, 4.520000, 2.332000>,
      < 4.624000, 4.520000, 2.284000>
    }
    triangle {
      < 4.864000, 4.520000, 1.816000>,
      < 4.864000, 9.416000, 1.816000>,
      < 4.868000, 9.416000, 2.332000>
    }
    triangle {
      < 4.864000, 4.520000, 1.816000>,
      < 4.868000, 9.416000, 2.332000>,
      < 4.868000, 4.520000, 2.332000>
    }
    triangle {
      < 4.864000, 9.416000, 1.816000>,
      < 4.744000, 9.780000, 1.844000>,
      < 4.748000, 9.780000, 2.304000>
    }
    triangle {
      < 4.864000, 9.416000, 1.816000>,
      < 4.748000, 9.780000, 2.304000>,
      < 4.868000, 9.416000, 2.332000>
    }
    triangle {
      < 4.744000, 9.780000, 1.844000>,
      < 4.744000, 11.368000, 1.844000>,
      < 4.748000, 11.368000, 2.304000>
    }
    triangle {
      < 4.744000, 9.780000, 1.844000>,
      < 4.748000, 11.368000, 2.304000>,
      < 4.748000, 9.780000, 2.304000>
    }
    triangle {
      < 4.744000, 11.368000, 1.844000>,
      < 3.572000, 11.368000, 2.096000>,
      < 4.748000, 11.368000, 2.304000>
    }
    triangle {
      < 4.568000, 5.928000, 2.300000>,
      < 4.572000, 5.952000, 2.276000>,
      < 4.624000, 5.744000, 2.284000>
    }
    triangle {
      < 3.540000, 4.664000, 2.288000>,
      < 3.620000, 4.520000, 2.284000>,
      < 3.548000, 4.664000, 2.292000>
    }
    triangle {
      < 3.540000, 4.664000, 2.288000>,
      < 3.620000, 4.520000, 2.284000>,
      < 3.540000, 4.664000, 2.288000>
    }
    triangle {
      < 3.520000, 4.664000, 2.276000>,
      < 3.620000, 4.520000, 2.284000>,
      < 3.540000, 4.664000, 2.288000>
    }
    triangle {
      < 2.580000, 5.940000, 1.956000>,
      < 2.532000, 5.744000, 1.900000>,
      < 2.580000, 5.944000, 1.944000>
    }
    triangle {
      < 3.672000, 7.072000, 1.580000>,
      < 3.540000, 6.844000, 1.900000>,
      < 3.700000, 7.200000, 1.420000>
    }
    triangle {
      < 3.616000, 6.848000, 1.892000>,
      < 3.540000, 6.844000, 1.900000>,
      < 3.672000, 7.072000, 1.580000>
    }
    triangle {
      < 3.612000, 4.520000, 1.892000>,
      < 3.616000, 6.848000, 1.892000>,
      < 3.616000, 6.844000, 1.900000>
    }
    triangle {
      < 4.580000, 5.928000, 2.244000>,
      < 4.572000, 5.964000, 2.236000>,
      < 4.260000, 7.208000, 1.952000>
    }
    triangle {
      < 3.736000, 4.664000, 2.216000>,
      < 3.772000, 4.664000, 2.128000>,
      < 3.772000, 4.664000, 2.132000>
    }
    triangle {
      < 3.772000, 4.664000, 2.132000>,
      < 4.580000, 4.664000, 2.236000>,
      < 3.748000, 4.664000, 2.200000>
    }
    triangle {
      < 3.924000, 6.980000, 2.256000>,
      < 4.316000, 6.848000, 2.324000>,
      < 4.224000, 7.208000, 2.308000>
    }
    triangle {
      < 4.580000, 5.928000, 2.244000>,
      < 4.580000, 4.664000, 2.236000>,
      < 4.580000, 5.920000, 2.236000>
    }
    triangle {
      < 3.724000, 6.844000, 2.220000>,
      < 3.784000, 6.880000, 2.228000>,
      < 3.764000, 6.868000, 2.224000>
    }
    triangle {
      < 3.540000, 4.664000, 2.288000>,
      < 3.408000, 4.664000, 3.080000>,
      < 3.520000, 4.664000, 2.276000>
    }
    triangle {
      < 3.508000, 6.880000, 2.328000>,
      < 3.428000, 6.660000, 2.912000>,
      < 3.448000, 7.184000, 2.776000>
    }
    triangle {
      < 3.384000, 4.664000, 2.056000>,
      < 2.568000, 4.664000, 2.016000>,
      < 3.384000, 4.664000, 2.052000>
    }
    triangle {
      < 2.580000, 5.944000, 1.944000>,
      < 2.568000, 4.664000, 2.016000>,
      < 2.580000, 5.940000, 1.956000>
    }
    triangle {
      < 3.700000, 7.200000, 1.420000>,
      < 3.704000, 7.208000, 1.412000>,
      < 3.724000, 6.736000, 1.292000>
    }
    triangle {
      < 3.748000, 6.984000, 1.744000>,
      < 3.816000, 6.844000, 1.360000>,
      < 3.800000, 7.208000, 1.452000>
    }
    triangle {
      < 3.712000, 6.844000, 1.948000>,
      < 3.856000, 4.664000, 1.128000>,
      < 3.712000, 6.848000, 1.940000>
    }
    triangle {
      < 4.572000, 5.964000, 2.236000>,
      < 3.772000, 4.908000, 2.092000>,
      < 4.396000, 6.680000, 2.204000>
    }
    texture {engines}
  }
  // body
  union {
    triangle {
      < 2.556000, 9.756000, 1.476000>,
      < 1.700000, 7.700000, 1.324000>,
      < 2.444000, 9.416000, 1.456000>
    }
    triangle {
      < 2.564000, 11.268000, 1.480000>,
      < 1.700000, 7.700000, 1.324000>,
      < 2.556000, 9.756000, 1.476000>
    }
    texture {body}
  }
  // wingsr
  union {
    triangle {
      < 4.552000, 7.972000, 1.244000>,
      < 6.004000, 8.108000, 0.824000>,
      < 4.664000, 7.984000, 1.340000>
    }
    triangle {
      < 4.140000, 7.928000, 0.928000>,
      < 6.004000, 8.108000, 0.824000>,
      < 4.292000, 7.944000, 0.988000>
    }
    texture {wingsr}
  }
  // DEFAULT
  union {
    triangle {
      < 3.652000, 7.880000, 0.808000>,
      < 1.916000, 7.704000, 0.416000>,
      < 3.808000, 7.892000, 0.804000>
    }
    texture {DEFAULT}
  }
  // engines_body
  union {
    triangle {
      < 2.288000, 9.416000, 1.860000>,
      < 2.576000, 9.780000, 1.448000>,
      < 2.556000, 9.756000, 1.476000>
    }
    triangle {
      < 2.408000, 9.780000, 1.876000>,
      < 2.576000, 9.780000, 1.448000>,
      < 2.564000, 9.780000, 1.480000>
    }
    texture {engines_body}
  }
  // engines
  union {
    triangle {
      < 4.472000, 11.368000, 1.812000>,
      < 3.572000, 11.368000, 2.096000>,
      < 4.744000, 11.368000, 1.844000>
    }
    triangle {
      < 4.736000, 7.996000, 1.520000>,
      < 4.664000, 4.520000, 1.340000>,
      < 4.664000, 7.984000, 1.340000>
    }
    triangle {
      < 4.776000, 8.000000, 1.612000>,
      < 4.664000, 4.520000, 1.340000>,
      < 4.736000, 7.996000, 1.520000>
    }
    triangle {
      < 4.828000, 8.008000, 1.736000>,
      < 4.664000, 4.520000, 1.340000>,
      < 4.808000, 8.008000, 1.676000>
    }
    triangle {
      < 4.844000, 8.008000, 1.768000>,
      < 4.844000, 8.960000, 1.768000>,
      < 4.864000, 9.416000, 1.816000>
    }
    triangle {
      < 4.732000, 9.736000, 1.784000>,
      < 4.744000, 9.780000, 1.844000>,
      < 4.864000, 9.416000, 1.816000>
    }
    triangle {
      < 4.716000, 11.148000, 1.784000>,
      < 4.744000, 11.368000, 1.844000>,
      < 4.744000, 9.780000, 1.844000>
    }
    triangle {
      < 2.900000, 7.808000, 0.976000>,
      < 3.152000, 7.824000, 0.876000>,
      < 2.836000, 4.520000, 1.012000>
    }
    texture {engines}
  }
  // wingsr_body
  union {
    triangle {
      < 1.860000, 7.700000, 0.412000>,
      < 1.916000, 7.704000, 0.412000>,
      < 1.968000, 7.704000, 0.112000>
    }
    texture {wingsr_body}
  }
  // engines
  union {
    triangle {
      < 3.504000, 11.396000, 2.524000>,
      < 4.228000, 11.396000, 2.660000>,
      < 4.120000, 11.396000, 2.924000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < 4.228000, 11.396000, 2.660000>,
      < 4.228000, 12.556000, 2.660000>,
      < 4.120000, 12.556000, 2.924000>
    }
    triangle {
      < 4.228000, 11.396000, 2.660000>,
      < 4.120000, 12.556000, 2.924000>,
      < 4.120000, 11.396000, 2.924000>
    }
    triangle {
      < 4.228000, 12.556000, 2.660000>,
      < 4.136000, 12.848000, 2.644000>,
      < 4.040000, 12.848000, 2.876000>
    }
    triangle {
      < 4.228000, 12.556000, 2.660000>,
      < 4.040000, 12.848000, 2.876000>,
      < 4.120000, 12.556000, 2.924000>
    }
    triangle {
      < 4.136000, 12.848000, 2.644000>,
      < 4.228000, 13.428000, 2.660000>,
      < 4.120000, 13.428000, 2.924000>
    }
    triangle {
      < 4.136000, 12.848000, 2.644000>,
      < 4.120000, 13.428000, 2.924000>,
      < 4.040000, 12.848000, 2.876000>
    }
    triangle {
      < 4.228000, 13.428000, 2.660000>,
      < 4.228000, 14.200000, 2.660000>,
      < 4.120000, 14.200000, 2.924000>
    }
    triangle {
      < 4.228000, 13.428000, 2.660000>,
      < 4.120000, 14.200000, 2.924000>,
      < 4.120000, 13.428000, 2.924000>
    }
    triangle {
      < 4.228000, 14.200000, 2.660000>,
      < 4.136000, 14.300000, 2.644000>,
      < 4.040000, 14.300000, 2.876000>
    }
    triangle {
      < 4.228000, 14.200000, 2.660000>,
      < 4.040000, 14.300000, 2.876000>,
      < 4.120000, 14.200000, 2.924000>
    }
    triangle {
      < 4.136000, 14.300000, 2.644000>,
      < 4.048000, 15.360000, 2.624000>,
      < 3.968000, 15.360000, 2.824000>
    }
    triangle {
      < 4.136000, 14.300000, 2.644000>,
      < 3.968000, 15.360000, 2.824000>,
      < 4.040000, 14.300000, 2.876000>
    }
    triangle {
      < 4.048000, 15.360000, 2.624000>,
      < 4.136000, 15.556000, 2.644000>,
      < 4.040000, 15.556000, 2.876000>
    }
    triangle {
      < 4.048000, 15.360000, 2.624000>,
      < 4.040000, 15.556000, 2.876000>,
      < 3.968000, 15.360000, 2.824000>
    }
    triangle {
      < 4.136000, 15.556000, 2.644000>,
      < 3.988000, 17.104000, 2.612000>,
      < 3.916000, 17.104000, 2.792000>
    }
    triangle {
      < 4.136000, 15.556000, 2.644000>,
      < 3.916000, 17.104000, 2.792000>,
      < 4.040000, 15.556000, 2.876000>
    }
    triangle {
      < 3.988000, 17.104000, 2.612000>,
      < 3.896000, 17.104000, 2.596000>,
      < 3.840000, 17.104000, 2.740000>
    }
    triangle {
      < 3.988000, 17.104000, 2.612000>,
      < 3.840000, 17.104000, 2.740000>,
      < 3.916000, 17.104000, 2.792000>
    }
    triangle {
      < 3.896000, 17.104000, 2.596000>,
      < 3.804000, 15.944000, 2.576000>,
      < 3.764000, 15.944000, 2.696000>
    }
    triangle {
      < 3.896000, 17.104000, 2.596000>,
      < 3.764000, 15.944000, 2.696000>,
      < 3.840000, 17.104000, 2.740000>
    }
    triangle {
      < 3.804000, 15.944000, 2.576000>,
      < 3.504000, 15.752000, 2.524000>,
      < 3.764000, 15.944000, 2.696000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < 3.504000, 11.396000, 2.524000>,
      < 4.120000, 11.396000, 2.924000>,
      < 3.920000, 11.396000, 3.132000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < 4.120000, 11.396000, 2.924000>,
      < 4.120000, 12.556000, 2.924000>,
      < 3.920000, 12.556000, 3.132000>
    }
    triangle {
      < 4.120000, 11.396000, 2.924000>,
      < 3.920000, 12.556000, 3.132000>,
      < 3.920000, 11.396000, 3.132000>
    }
    triangle {
      < 4.120000, 12.556000, 2.924000>,
      < 4.040000, 12.848000, 2.876000>,
      < 3.868000, 12.848000, 3.056000>
    }
    triangle {
      < 4.120000, 12.556000, 2.924000>,
      < 3.868000, 12.848000, 3.056000>,
      < 3.920000, 12.556000, 3.132000>
    }
    triangle {
      < 4.040000, 12.848000, 2.876000>,
      < 4.120000, 13.428000, 2.924000>,
      < 3.920000, 13.428000, 3.132000>
    }
    triangle {
      < 4.040000, 12.848000, 2.876000>,
      < 3.920000, 13.428000, 3.132000>,
      < 3.868000, 12.848000, 3.056000>
    }
    triangle {
      < 4.120000, 13.428000, 2.924000>,
      < 4.120000, 14.200000, 2.924000>,
      < 3.920000, 14.200000, 3.132000>
    }
    triangle {
      < 4.120000, 13.428000, 2.924000>,
      < 3.920000, 14.200000, 3.132000>,
      < 3.920000, 13.428000, 3.132000>
    }
    triangle {
      < 4.120000, 14.200000, 2.924000>,
      < 4.040000, 14.300000, 2.876000>,
      < 3.868000, 14.300000, 3.056000>
    }
    triangle {
      < 4.120000, 14.200000, 2.924000>,
      < 3.868000, 14.300000, 3.056000>,
      < 3.920000, 14.200000, 3.132000>
    }
    triangle {
      < 4.040000, 14.300000, 2.876000>,
      < 3.968000, 15.360000, 2.824000>,
      < 3.816000, 15.360000, 2.980000>
    }
    triangle {
      < 4.040000, 14.300000, 2.876000>,
      < 3.816000, 15.360000, 2.980000>,
      < 3.868000, 14.300000, 3.056000>
    }
    triangle {
      < 3.968000, 15.360000, 2.824000>,
      < 4.040000, 15.556000, 2.876000>,
      < 3.868000, 15.556000, 3.056000>
    }
    triangle {
      < 3.968000, 15.360000, 2.824000>,
      < 3.868000, 15.556000, 3.056000>,
      < 3.816000, 15.360000, 2.980000>
    }
    triangle {
      < 4.040000, 15.556000, 2.876000>,
      < 3.916000, 17.104000, 2.792000>,
      < 3.784000, 17.104000, 2.932000>
    }
    triangle {
      < 4.040000, 15.556000, 2.876000>,
      < 3.784000, 17.104000, 2.932000>,
      < 3.868000, 15.556000, 3.056000>
    }
    triangle {
      < 3.916000, 17.104000, 2.792000>,
      < 3.840000, 17.104000, 2.740000>,
      < 3.724000, 17.104000, 2.852000>
    }
    triangle {
      < 3.916000, 17.104000, 2.792000>,
      < 3.724000, 17.104000, 2.852000>,
      < 3.784000, 17.104000, 2.932000>
    }
    triangle {
      < 3.840000, 17.104000, 2.740000>,
      < 3.764000, 15.944000, 2.696000>,
      < 3.672000, 15.944000, 2.776000>
    }
    triangle {
      < 3.840000, 17.104000, 2.740000>,
      < 3.672000, 15.944000, 2.776000>,
      < 3.724000, 17.104000, 2.852000>
    }
    triangle {
      < 3.764000, 15.944000, 2.696000>,
      < 3.504000, 15.752000, 2.524000>,
      < 3.672000, 15.944000, 2.776000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < 3.504000, 11.396000, 2.524000>,
      < 3.920000, 11.396000, 3.132000>,
      < 3.656000, 11.396000, 3.248000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < 3.920000, 11.396000, 3.132000>,
      < 3.920000, 12.556000, 3.132000>,
      < 3.656000, 12.556000, 3.248000>
    }
    triangle {
      < 3.920000, 11.396000, 3.132000>,
      < 3.656000, 12.556000, 3.248000>,
      < 3.656000, 11.396000, 3.248000>
    }
    triangle {
      < 3.920000, 12.556000, 3.132000>,
      < 3.868000, 12.848000, 3.056000>,
      < 3.636000, 12.848000, 3.156000>
    }
    triangle {
      < 3.920000, 12.556000, 3.132000>,
      < 3.636000, 12.848000, 3.156000>,
      < 3.656000, 12.556000, 3.248000>
    }
    triangle {
      < 3.868000, 12.848000, 3.056000>,
      < 3.920000, 13.428000, 3.132000>,
      < 3.656000, 13.428000, 3.248000>
    }
    triangle {
      < 3.868000, 12.848000, 3.056000>,
      < 3.656000, 13.428000, 3.248000>,
      < 3.636000, 12.848000, 3.156000>
    }
    triangle {
      < 3.920000, 13.428000, 3.132000>,
      < 3.920000, 14.200000, 3.132000>,
      < 3.656000, 14.200000, 3.248000>
    }
    triangle {
      < 3.920000, 13.428000, 3.132000>,
      < 3.656000, 14.200000, 3.248000>,
      < 3.656000, 13.428000, 3.248000>
    }
    triangle {
      < 3.920000, 14.200000, 3.132000>,
      < 3.868000, 14.300000, 3.056000>,
      < 3.636000, 14.300000, 3.156000>
    }
    triangle {
      < 3.920000, 14.200000, 3.132000>,
      < 3.636000, 14.300000, 3.156000>,
      < 3.656000, 14.200000, 3.248000>
    }
    triangle {
      < 3.868000, 14.300000, 3.056000>,
      < 3.816000, 15.360000, 2.980000>,
      < 3.616000, 15.360000, 3.068000>
    }
    triangle {
      < 3.868000, 14.300000, 3.056000>,
      < 3.616000, 15.360000, 3.068000>,
      < 3.636000, 14.300000, 3.156000>
    }
    triangle {
      < 3.816000, 15.360000, 2.980000>,
      < 3.868000, 15.556000, 3.056000>,
      < 3.636000, 15.556000, 3.156000>
    }
    triangle {
      < 3.816000, 15.360000, 2.980000>,
      < 3.636000, 15.556000, 3.156000>,
      < 3.616000, 15.360000, 3.068000>
    }
    triangle {
      < 3.868000, 15.556000, 3.056000>,
      < 3.784000, 17.104000, 2.932000>,
      < 3.604000, 17.104000, 3.008000>
    }
    triangle {
      < 3.868000, 15.556000, 3.056000>,
      < 3.604000, 17.104000, 3.008000>,
      < 3.636000, 15.556000, 3.156000>
    }
    triangle {
      < 3.784000, 17.104000, 2.932000>,
      < 3.724000, 17.104000, 2.852000>,
      < 3.584000, 17.104000, 2.912000>
    }
    triangle {
      < 3.784000, 17.104000, 2.932000>,
      < 3.584000, 17.104000, 2.912000>,
      < 3.604000, 17.104000, 3.008000>
    }
    triangle {
      < 3.724000, 17.104000, 2.852000>,
      < 3.672000, 15.944000, 2.776000>,
      < 3.564000, 15.944000, 2.824000>
    }
    triangle {
      < 3.724000, 17.104000, 2.852000>,
      < 3.564000, 15.944000, 2.824000>,
      < 3.584000, 17.104000, 2.912000>
    }
    triangle {
      < 3.672000, 15.944000, 2.776000>,
      < 3.504000, 15.752000, 2.524000>,
      < 3.564000, 15.944000, 2.824000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < 3.504000, 11.396000, 2.524000>,
      < 3.656000, 11.396000, 3.248000>,
      < 3.368000, 11.396000, 3.252000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < 3.656000, 11.396000, 3.248000>,
      < 3.656000, 12.556000, 3.248000>,
      < 3.368000, 12.556000, 3.252000>
    }
    triangle {
      < 3.656000, 11.396000, 3.248000>,
      < 3.368000, 12.556000, 3.252000>,
      < 3.368000, 11.396000, 3.252000>
    }
    triangle {
      < 3.656000, 12.556000, 3.248000>,
      < 3.636000, 12.848000, 3.156000>,
      < 3.388000, 12.848000, 3.160000>
    }
    triangle {
      < 3.656000, 12.556000, 3.248000>,
      < 3.388000, 12.848000, 3.160000>,
      < 3.368000, 12.556000, 3.252000>
    }
    triangle {
      < 3.636000, 12.848000, 3.156000>,
      < 3.656000, 13.428000, 3.248000>,
      < 3.368000, 13.428000, 3.252000>
    }
    triangle {
      < 3.636000, 12.848000, 3.156000>,
      < 3.368000, 13.428000, 3.252000>,
      < 3.388000, 12.848000, 3.160000>
    }
    triangle {
      < 3.656000, 13.428000, 3.248000>,
      < 3.656000, 14.200000, 3.248000>,
      < 3.368000, 14.200000, 3.252000>
    }
    triangle {
      < 3.656000, 13.428000, 3.248000>,
      < 3.368000, 14.200000, 3.252000>,
      < 3.368000, 13.428000, 3.252000>
    }
    triangle {
      < 3.656000, 14.200000, 3.248000>,
      < 3.636000, 14.300000, 3.156000>,
      < 3.388000, 14.300000, 3.160000>
    }
    triangle {
      < 3.656000, 14.200000, 3.248000>,
      < 3.388000, 14.300000, 3.160000>,
      < 3.368000, 14.200000, 3.252000>
    }
    triangle {
      < 3.636000, 14.300000, 3.156000>,
      < 3.616000, 15.360000, 3.068000>,
      < 3.404000, 15.360000, 3.068000>
    }
    triangle {
      < 3.636000, 14.300000, 3.156000>,
      < 3.404000, 15.360000, 3.068000>,
      < 3.388000, 14.300000, 3.160000>
    }
    triangle {
      < 3.616000, 15.360000, 3.068000>,
      < 3.636000, 15.556000, 3.156000>,
      < 3.388000, 15.556000, 3.160000>
    }
    triangle {
      < 3.616000, 15.360000, 3.068000>,
      < 3.388000, 15.556000, 3.160000>,
      < 3.404000, 15.360000, 3.068000>
    }
    triangle {
      < 3.636000, 15.556000, 3.156000>,
      < 3.604000, 17.104000, 3.008000>,
      < 3.416000, 17.104000, 3.008000>
    }
    triangle {
      < 3.636000, 15.556000, 3.156000>,
      < 3.416000, 17.104000, 3.008000>,
      < 3.388000, 15.556000, 3.160000>
    }
    triangle {
      < 3.604000, 17.104000, 3.008000>,
      < 3.584000, 17.104000, 2.912000>,
      < 3.432000, 17.104000, 2.916000>
    }
    triangle {
      < 3.604000, 17.104000, 3.008000>,
      < 3.432000, 17.104000, 2.916000>,
      < 3.416000, 17.104000, 3.008000>
    }
    triangle {
      < 3.584000, 17.104000, 2.912000>,
      < 3.564000, 15.944000, 2.824000>,
      < 3.448000, 15.944000, 2.824000>
    }
    triangle {
      < 3.584000, 17.104000, 2.912000>,
      < 3.448000, 15.944000, 2.824000>,
      < 3.432000, 17.104000, 2.916000>
    }
    triangle {
      < 3.564000, 15.944000, 2.824000>,
      < 3.504000, 15.752000, 2.524000>,
      < 3.448000, 15.944000, 2.824000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < 3.504000, 11.396000, 2.524000>,
      < 3.368000, 11.396000, 3.252000>,
      < 3.100000, 11.396000, 3.140000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < 3.368000, 11.396000, 3.252000>,
      < 3.368000, 12.556000, 3.252000>,
      < 3.100000, 12.556000, 3.140000>
    }
    triangle {
      < 3.368000, 11.396000, 3.252000>,
      < 3.100000, 12.556000, 3.140000>,
      < 3.100000, 11.396000, 3.140000>
    }
    triangle {
      < 3.368000, 12.556000, 3.252000>,
      < 3.388000, 12.848000, 3.160000>,
      < 3.152000, 12.848000, 3.068000>
    }
    triangle {
      < 3.368000, 12.556000, 3.252000>,
      < 3.152000, 12.848000, 3.068000>,
      < 3.100000, 12.556000, 3.140000>
    }
    triangle {
      < 3.388000, 12.848000, 3.160000>,
      < 3.368000, 13.428000, 3.252000>,
      < 3.100000, 13.428000, 3.140000>
    }
    triangle {
      < 3.388000, 12.848000, 3.160000>,
      < 3.100000, 13.428000, 3.140000>,
      < 3.152000, 12.848000, 3.068000>
    }
    triangle {
      < 3.368000, 13.428000, 3.252000>,
      < 3.368000, 14.200000, 3.252000>,
      < 3.100000, 14.200000, 3.140000>
    }
    triangle {
      < 3.368000, 13.428000, 3.252000>,
      < 3.100000, 14.200000, 3.140000>,
      < 3.100000, 13.428000, 3.140000>
    }
    triangle {
      < 3.368000, 14.200000, 3.252000>,
      < 3.388000, 14.300000, 3.160000>,
      < 3.152000, 14.300000, 3.068000>
    }
    triangle {
      < 3.368000, 14.200000, 3.252000>,
      < 3.152000, 14.300000, 3.068000>,
      < 3.100000, 14.200000, 3.140000>
    }
    triangle {
      < 3.388000, 14.300000, 3.160000>,
      < 3.404000, 15.360000, 3.068000>,
      < 3.200000, 15.360000, 2.988000>
    }
    triangle {
      < 3.388000, 14.300000, 3.160000>,
      < 3.200000, 15.360000, 2.988000>,
      < 3.152000, 14.300000, 3.068000>
    }
    triangle {
      < 3.404000, 15.360000, 3.068000>,
      < 3.388000, 15.556000, 3.160000>,
      < 3.152000, 15.556000, 3.068000>
    }
    triangle {
      < 3.404000, 15.360000, 3.068000>,
      < 3.152000, 15.556000, 3.068000>,
      < 3.200000, 15.360000, 2.988000>
    }
    triangle {
      < 3.388000, 15.556000, 3.160000>,
      < 3.416000, 17.104000, 3.008000>,
      < 3.236000, 17.104000, 2.936000>
    }
    triangle {
      < 3.388000, 15.556000, 3.160000>,
      < 3.236000, 17.104000, 2.936000>,
      < 3.152000, 15.556000, 3.068000>
    }
    triangle {
      < 3.416000, 17.104000, 3.008000>,
      < 3.432000, 17.104000, 2.916000>,
      < 3.288000, 17.104000, 2.860000>
    }
    triangle {
      < 3.416000, 17.104000, 3.008000>,
      < 3.288000, 17.104000, 2.860000>,
      < 3.236000, 17.104000, 2.936000>
    }
    triangle {
      < 3.432000, 17.104000, 2.916000>,
      < 3.448000, 15.944000, 2.824000>,
      < 3.336000, 15.944000, 2.784000>
    }
    triangle {
      < 3.432000, 17.104000, 2.916000>,
      < 3.336000, 15.944000, 2.784000>,
      < 3.288000, 17.104000, 2.860000>
    }
    triangle {
      < 3.448000, 15.944000, 2.824000>,
      < 3.504000, 15.752000, 2.524000>,
      < 3.336000, 15.944000, 2.784000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < 3.504000, 11.396000, 2.524000>,
      < 3.100000, 11.396000, 3.140000>,
      < 2.896000, 11.396000, 2.944000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < 3.100000, 11.396000, 3.140000>,
      < 3.100000, 12.556000, 3.140000>,
      < 2.896000, 12.556000, 2.944000>
    }
    triangle {
      < 3.100000, 11.396000, 3.140000>,
      < 2.896000, 12.556000, 2.944000>,
      < 2.896000, 11.396000, 2.944000>
    }
    triangle {
      < 3.100000, 12.556000, 3.140000>,
      < 3.152000, 12.848000, 3.068000>,
      < 2.972000, 12.848000, 2.892000>
    }
    triangle {
      < 3.100000, 12.556000, 3.140000>,
      < 2.972000, 12.848000, 2.892000>,
      < 2.896000, 12.556000, 2.944000>
    }
    triangle {
      < 3.152000, 12.848000, 3.068000>,
      < 3.100000, 13.428000, 3.140000>,
      < 2.896000, 13.428000, 2.944000>
    }
    triangle {
      < 3.152000, 12.848000, 3.068000>,
      < 2.896000, 13.428000, 2.944000>,
      < 2.972000, 12.848000, 2.892000>
    }
    triangle {
      < 3.100000, 13.428000, 3.140000>,
      < 3.100000, 14.200000, 3.140000>,
      < 2.896000, 14.200000, 2.944000>
    }
    triangle {
      < 3.100000, 13.428000, 3.140000>,
      < 2.896000, 14.200000, 2.944000>,
      < 2.896000, 13.428000, 2.944000>
    }
    triangle {
      < 3.100000, 14.200000, 3.140000>,
      < 3.152000, 14.300000, 3.068000>,
      < 2.972000, 14.300000, 2.892000>
    }
    triangle {
      < 3.100000, 14.200000, 3.140000>,
      < 2.972000, 14.300000, 2.892000>,
      < 2.896000, 14.200000, 2.944000>
    }
    triangle {
      < 3.152000, 14.300000, 3.068000>,
      < 3.200000, 15.360000, 2.988000>,
      < 3.048000, 15.360000, 2.840000>
    }
    triangle {
      < 3.152000, 14.300000, 3.068000>,
      < 3.048000, 15.360000, 2.840000>,
      < 2.972000, 14.300000, 2.892000>
    }
    triangle {
      < 3.200000, 15.360000, 2.988000>,
      < 3.152000, 15.556000, 3.068000>,
      < 2.972000, 15.556000, 2.892000>
    }
    triangle {
      < 3.200000, 15.360000, 2.988000>,
      < 2.972000, 15.556000, 2.892000>,
      < 3.048000, 15.360000, 2.840000>
    }
    triangle {
      < 3.152000, 15.556000, 3.068000>,
      < 3.236000, 17.104000, 2.936000>,
      < 3.096000, 17.104000, 2.804000>
    }
    triangle {
      < 3.152000, 15.556000, 3.068000>,
      < 3.096000, 17.104000, 2.804000>,
      < 2.972000, 15.556000, 2.892000>
    }
    triangle {
      < 3.236000, 17.104000, 2.936000>,
      < 3.288000, 17.104000, 2.860000>,
      < 3.176000, 17.104000, 2.752000>
    }
    triangle {
      < 3.236000, 17.104000, 2.936000>,
      < 3.176000, 17.104000, 2.752000>,
      < 3.096000, 17.104000, 2.804000>
    }
    triangle {
      < 3.288000, 17.104000, 2.860000>,
      < 3.336000, 15.944000, 2.784000>,
      < 3.252000, 15.944000, 2.700000>
    }
    triangle {
      < 3.288000, 17.104000, 2.860000>,
      < 3.252000, 15.944000, 2.700000>,
      < 3.176000, 17.104000, 2.752000>
    }
    triangle {
      < 3.336000, 15.944000, 2.784000>,
      < 3.504000, 15.752000, 2.524000>,
      < 3.252000, 15.944000, 2.700000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < 3.504000, 11.396000, 2.524000>,
      < 2.896000, 11.396000, 2.944000>,
      < 2.784000, 11.396000, 2.680000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < 2.896000, 11.396000, 2.944000>,
      < 2.896000, 12.556000, 2.944000>,
      < 2.784000, 12.556000, 2.680000>
    }
    triangle {
      < 2.896000, 11.396000, 2.944000>,
      < 2.784000, 12.556000, 2.680000>,
      < 2.784000, 11.396000, 2.680000>
    }
    triangle {
      < 2.896000, 12.556000, 2.944000>,
      < 2.972000, 12.848000, 2.892000>,
      < 2.872000, 12.848000, 2.660000>
    }
    triangle {
      < 2.896000, 12.556000, 2.944000>,
      < 2.872000, 12.848000, 2.660000>,
      < 2.784000, 12.556000, 2.680000>
    }
    triangle {
      < 2.972000, 12.848000, 2.892000>,
      < 2.896000, 13.428000, 2.944000>,
      < 2.784000, 13.428000, 2.680000>
    }
    triangle {
      < 2.972000, 12.848000, 2.892000>,
      < 2.784000, 13.428000, 2.680000>,
      < 2.872000, 12.848000, 2.660000>
    }
    texture {rockets}
  }
  // rockets_body
  union {
    triangle {
      < 2.896000, 13.428000, 2.944000>,
      < 2.896000, 14.200000, 2.944000>,
      < 2.784000, 14.200000, 2.680000>
    }
    triangle {
      < 2.896000, 13.428000, 2.944000>,
      < 2.784000, 14.200000, 2.680000>,
      < 2.784000, 13.428000, 2.680000>
    }
    triangle {
      < 2.896000, 14.200000, 2.944000>,
      < 2.972000, 14.300000, 2.892000>,
      < 2.872000, 14.300000, 2.660000>
    }
    triangle {
      < 2.896000, 14.200000, 2.944000>,
      < 2.872000, 14.300000, 2.660000>,
      < 2.784000, 14.200000, 2.680000>
    }
    triangle {
      < 2.972000, 14.300000, 2.892000>,
      < 3.048000, 15.360000, 2.840000>,
      < 2.964000, 15.360000, 2.636000>
    }
    triangle {
      < 2.972000, 14.300000, 2.892000>,
      < 2.964000, 15.360000, 2.636000>,
      < 2.872000, 14.300000, 2.660000>
    }
    texture {rockets_body}
  }
  // rockets
  union {
    triangle {
      < 3.048000, 15.360000, 2.840000>,
      < 2.972000, 15.556000, 2.892000>,
      < 2.872000, 15.556000, 2.660000>
    }
    triangle {
      < 3.048000, 15.360000, 2.840000>,
      < 2.872000, 15.556000, 2.660000>,
      < 2.964000, 15.360000, 2.636000>
    }
    triangle {
      < 2.972000, 15.556000, 2.892000>,
      < 3.096000, 17.104000, 2.804000>,
      < 3.024000, 17.104000, 2.628000>
    }
    triangle {
      < 2.972000, 15.556000, 2.892000>,
      < 3.024000, 17.104000, 2.628000>,
      < 2.872000, 15.556000, 2.660000>
    }
    triangle {
      < 3.096000, 17.104000, 2.804000>,
      < 3.176000, 17.104000, 2.752000>,
      < 3.112000, 17.104000, 2.608000>
    }
    triangle {
      < 3.096000, 17.104000, 2.804000>,
      < 3.112000, 17.104000, 2.608000>,
      < 3.024000, 17.104000, 2.628000>
    }
    triangle {
      < 3.176000, 17.104000, 2.752000>,
      < 3.252000, 15.944000, 2.700000>,
      < 3.204000, 15.944000, 2.588000>
    }
    triangle {
      < 3.176000, 17.104000, 2.752000>,
      < 3.204000, 15.944000, 2.588000>,
      < 3.112000, 17.104000, 2.608000>
    }
    triangle {
      < 3.252000, 15.944000, 2.700000>,
      < 3.504000, 15.752000, 2.524000>,
      < 3.204000, 15.944000, 2.588000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < 3.504000, 11.396000, 2.524000>,
      < 2.784000, 11.396000, 2.680000>,
      < 2.780000, 11.396000, 2.396000>
    }
    texture {engines}
  }
  // DEFAULT
  union {
    triangle {
      < 2.784000, 11.396000, 2.680000>,
      < 2.784000, 12.556000, 2.680000>,
      < 2.780000, 12.556000, 2.396000>
    }
    triangle {
      < 2.784000, 11.396000, 2.680000>,
      < 2.780000, 12.556000, 2.396000>,
      < 2.780000, 11.396000, 2.396000>
    }
    texture {DEFAULT}
  }
  // rockets
  union {
    triangle {
      < 2.784000, 12.556000, 2.680000>,
      < 2.872000, 12.848000, 2.660000>,
      < 2.868000, 12.848000, 2.412000>
    }
    triangle {
      < 2.784000, 12.556000, 2.680000>,
      < 2.868000, 12.848000, 2.412000>,
      < 2.780000, 12.556000, 2.396000>
    }
    triangle {
      < 2.872000, 12.848000, 2.660000>,
      < 2.784000, 13.428000, 2.680000>,
      < 2.780000, 13.428000, 2.396000>
    }
    triangle {
      < 2.872000, 12.848000, 2.660000>,
      < 2.780000, 13.428000, 2.396000>,
      < 2.868000, 12.848000, 2.412000>
    }
    texture {rockets}
  }
  // body
  union {
    triangle {
      < 2.784000, 13.428000, 2.680000>,
      < 2.784000, 14.200000, 2.680000>,
      < 2.780000, 14.200000, 2.396000>
    }
    triangle {
      < 2.784000, 13.428000, 2.680000>,
      < 2.780000, 14.200000, 2.396000>,
      < 2.780000, 13.428000, 2.396000>
    }
    texture {body}
  }
  // rockets_body
  union {
    triangle {
      < 2.784000, 14.200000, 2.680000>,
      < 2.872000, 14.300000, 2.660000>,
      < 2.868000, 14.300000, 2.412000>
    }
    triangle {
      < 2.784000, 14.200000, 2.680000>,
      < 2.868000, 14.300000, 2.412000>,
      < 2.780000, 14.200000, 2.396000>
    }
    triangle {
      < 2.872000, 14.300000, 2.660000>,
      < 2.964000, 15.360000, 2.636000>,
      < 2.960000, 15.360000, 2.428000>
    }
    triangle {
      < 2.872000, 14.300000, 2.660000>,
      < 2.960000, 15.360000, 2.428000>,
      < 2.868000, 14.300000, 2.412000>
    }
    texture {rockets_body}
  }
  // rockets
  union {
    triangle {
      < 2.964000, 15.360000, 2.636000>,
      < 2.872000, 15.556000, 2.660000>,
      < 2.868000, 15.556000, 2.412000>
    }
    triangle {
      < 2.964000, 15.360000, 2.636000>,
      < 2.868000, 15.556000, 2.412000>,
      < 2.960000, 15.360000, 2.428000>
    }
    triangle {
      < 2.872000, 15.556000, 2.660000>,
      < 3.024000, 17.104000, 2.628000>,
      < 3.020000, 17.104000, 2.440000>
    }
    triangle {
      < 2.872000, 15.556000, 2.660000>,
      < 3.020000, 17.104000, 2.440000>,
      < 2.868000, 15.556000, 2.412000>
    }
    triangle {
      < 3.024000, 17.104000, 2.628000>,
      < 3.112000, 17.104000, 2.608000>,
      < 3.112000, 17.104000, 2.456000>
    }
    triangle {
      < 3.024000, 17.104000, 2.628000>,
      < 3.112000, 17.104000, 2.456000>,
      < 3.020000, 17.104000, 2.440000>
    }
    triangle {
      < 3.112000, 17.104000, 2.608000>,
      < 3.204000, 15.944000, 2.588000>,
      < 3.200000, 15.944000, 2.472000>
    }
    triangle {
      < 3.112000, 17.104000, 2.608000>,
      < 3.200000, 15.944000, 2.472000>,
      < 3.112000, 17.104000, 2.456000>
    }
    triangle {
      < 3.204000, 15.944000, 2.588000>,
      < 3.504000, 15.752000, 2.524000>,
      < 3.200000, 15.944000, 2.472000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < 3.504000, 11.396000, 2.524000>,
      < 2.780000, 11.396000, 2.396000>,
      < 2.884000, 11.396000, 2.124000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < 2.780000, 11.396000, 2.396000>,
      < 2.780000, 12.556000, 2.396000>,
      < 2.884000, 12.556000, 2.124000>
    }
    triangle {
      < 2.780000, 11.396000, 2.396000>,
      < 2.884000, 12.556000, 2.124000>,
      < 2.884000, 11.396000, 2.124000>
    }
    triangle {
      < 2.780000, 12.556000, 2.396000>,
      < 2.868000, 12.848000, 2.412000>,
      < 2.960000, 12.848000, 2.176000>
    }
    triangle {
      < 2.780000, 12.556000, 2.396000>,
      < 2.960000, 12.848000, 2.176000>,
      < 2.884000, 12.556000, 2.124000>
    }
    triangle {
      < 2.868000, 12.848000, 2.412000>,
      < 2.780000, 13.428000, 2.396000>,
      < 2.884000, 13.428000, 2.124000>
    }
    triangle {
      < 2.868000, 12.848000, 2.412000>,
      < 2.884000, 13.428000, 2.124000>,
      < 2.960000, 12.848000, 2.176000>
    }
    texture {rockets}
  }
  // rockets_body
  union {
    triangle {
      < 2.780000, 13.428000, 2.396000>,
      < 2.780000, 14.200000, 2.396000>,
      < 2.884000, 14.200000, 2.124000>
    }
    triangle {
      < 2.780000, 13.428000, 2.396000>,
      < 2.884000, 14.200000, 2.124000>,
      < 2.884000, 13.428000, 2.124000>
    }
    triangle {
      < 2.780000, 14.200000, 2.396000>,
      < 2.868000, 14.300000, 2.412000>,
      < 2.960000, 14.300000, 2.176000>
    }
    triangle {
      < 2.780000, 14.200000, 2.396000>,
      < 2.960000, 14.300000, 2.176000>,
      < 2.884000, 14.200000, 2.124000>
    }
    triangle {
      < 2.868000, 14.300000, 2.412000>,
      < 2.960000, 15.360000, 2.428000>,
      < 3.044000, 15.360000, 2.220000>
    }
    triangle {
      < 2.868000, 14.300000, 2.412000>,
      < 3.044000, 15.360000, 2.220000>,
      < 2.960000, 14.300000, 2.176000>
    }
    texture {rockets_body}
  }
  // rockets
  union {
    triangle {
      < 2.960000, 15.360000, 2.428000>,
      < 2.868000, 15.556000, 2.412000>,
      < 2.960000, 15.556000, 2.176000>
    }
    triangle {
      < 2.960000, 15.360000, 2.428000>,
      < 2.960000, 15.556000, 2.176000>,
      < 3.044000, 15.360000, 2.220000>
    }
    triangle {
      < 2.868000, 15.556000, 2.412000>,
      < 3.020000, 17.104000, 2.440000>,
      < 3.088000, 17.104000, 2.256000>
    }
    triangle {
      < 2.868000, 15.556000, 2.412000>,
      < 3.088000, 17.104000, 2.256000>,
      < 2.960000, 15.556000, 2.176000>
    }
    triangle {
      < 3.020000, 17.104000, 2.440000>,
      < 3.112000, 17.104000, 2.456000>,
      < 3.168000, 17.104000, 2.308000>
    }
    triangle {
      < 3.020000, 17.104000, 2.440000>,
      < 3.168000, 17.104000, 2.308000>,
      < 3.088000, 17.104000, 2.256000>
    }
    triangle {
      < 3.112000, 17.104000, 2.456000>,
      < 3.200000, 15.944000, 2.472000>,
      < 3.240000, 15.944000, 2.356000>
    }
    triangle {
      < 3.112000, 17.104000, 2.456000>,
      < 3.240000, 15.944000, 2.356000>,
      < 3.168000, 17.104000, 2.308000>
    }
    triangle {
      < 3.200000, 15.944000, 2.472000>,
      < 3.504000, 15.752000, 2.524000>,
      < 3.240000, 15.944000, 2.356000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < 3.504000, 11.396000, 2.524000>,
      < 2.884000, 11.396000, 2.124000>,
      < 3.088000, 11.396000, 1.920000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < 2.884000, 11.396000, 2.124000>,
      < 2.884000, 12.556000, 2.124000>,
      < 3.088000, 12.556000, 1.920000>
    }
    triangle {
      < 2.884000, 11.396000, 2.124000>,
      < 3.088000, 12.556000, 1.920000>,
      < 3.088000, 11.396000, 1.920000>
    }
    triangle {
      < 2.884000, 12.556000, 2.124000>,
      < 2.960000, 12.848000, 2.176000>,
      < 3.136000, 12.848000, 1.992000>
    }
    triangle {
      < 2.884000, 12.556000, 2.124000>,
      < 3.136000, 12.848000, 1.992000>,
      < 3.088000, 12.556000, 1.920000>
    }
    triangle {
      < 2.960000, 12.848000, 2.176000>,
      < 2.884000, 13.428000, 2.124000>,
      < 3.088000, 13.428000, 1.920000>
    }
    triangle {
      < 2.960000, 12.848000, 2.176000>,
      < 3.088000, 13.428000, 1.920000>,
      < 3.136000, 12.848000, 1.992000>
    }
    triangle {
      < 2.884000, 13.428000, 2.124000>,
      < 2.884000, 14.200000, 2.124000>,
      < 3.088000, 14.200000, 1.920000>
    }
    triangle {
      < 2.884000, 13.428000, 2.124000>,
      < 3.088000, 14.200000, 1.920000>,
      < 3.088000, 13.428000, 1.920000>
    }
    triangle {
      < 2.884000, 14.200000, 2.124000>,
      < 2.960000, 14.300000, 2.176000>,
      < 3.136000, 14.300000, 1.992000>
    }
    triangle {
      < 2.884000, 14.200000, 2.124000>,
      < 3.136000, 14.300000, 1.992000>,
      < 3.088000, 14.200000, 1.920000>
    }
    triangle {
      < 2.960000, 14.300000, 2.176000>,
      < 3.044000, 15.360000, 2.220000>,
      < 3.188000, 15.360000, 2.072000>
    }
    triangle {
      < 2.960000, 14.300000, 2.176000>,
      < 3.188000, 15.360000, 2.072000>,
      < 3.136000, 14.300000, 1.992000>
    }
    triangle {
      < 3.044000, 15.360000, 2.220000>,
      < 2.960000, 15.556000, 2.176000>,
      < 3.136000, 15.556000, 1.992000>
    }
    triangle {
      < 3.044000, 15.360000, 2.220000>,
      < 3.136000, 15.556000, 1.992000>,
      < 3.188000, 15.360000, 2.072000>
    }
    triangle {
      < 2.960000, 15.556000, 2.176000>,
      < 3.088000, 17.104000, 2.256000>,
      < 3.224000, 17.104000, 2.120000>
    }
    triangle {
      < 2.960000, 15.556000, 2.176000>,
      < 3.224000, 17.104000, 2.120000>,
      < 3.136000, 15.556000, 1.992000>
    }
    triangle {
      < 3.088000, 17.104000, 2.256000>,
      < 3.168000, 17.104000, 2.308000>,
      < 3.280000, 17.104000, 2.200000>
    }
    triangle {
      < 3.088000, 17.104000, 2.256000>,
      < 3.280000, 17.104000, 2.200000>,
      < 3.224000, 17.104000, 2.120000>
    }
    triangle {
      < 3.168000, 17.104000, 2.308000>,
      < 3.240000, 15.944000, 2.356000>,
      < 3.328000, 15.944000, 2.268000>
    }
    triangle {
      < 3.168000, 17.104000, 2.308000>,
      < 3.328000, 15.944000, 2.268000>,
      < 3.280000, 17.104000, 2.200000>
    }
    triangle {
      < 3.240000, 15.944000, 2.356000>,
      < 3.504000, 15.752000, 2.524000>,
      < 3.328000, 15.944000, 2.268000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < 3.504000, 11.396000, 2.524000>,
      < 3.088000, 11.396000, 1.920000>,
      < 3.348000, 11.396000, 1.804000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < 3.088000, 11.396000, 1.920000>,
      < 3.088000, 12.556000, 1.920000>,
      < 3.348000, 12.556000, 1.804000>
    }
    triangle {
      < 3.088000, 11.396000, 1.920000>,
      < 3.348000, 12.556000, 1.804000>,
      < 3.348000, 11.396000, 1.804000>
    }
    triangle {
      < 3.088000, 12.556000, 1.920000>,
      < 3.136000, 12.848000, 1.992000>,
      < 3.372000, 12.848000, 1.892000>
    }
    triangle {
      < 3.088000, 12.556000, 1.920000>,
      < 3.372000, 12.848000, 1.892000>,
      < 3.348000, 12.556000, 1.804000>
    }
    triangle {
      < 3.136000, 12.848000, 1.992000>,
      < 3.088000, 13.428000, 1.920000>,
      < 3.348000, 13.428000, 1.804000>
    }
    triangle {
      < 3.136000, 12.848000, 1.992000>,
      < 3.348000, 13.428000, 1.804000>,
      < 3.372000, 12.848000, 1.892000>
    }
    triangle {
      < 3.088000, 13.428000, 1.920000>,
      < 3.088000, 14.200000, 1.920000>,
      < 3.348000, 14.200000, 1.804000>
    }
    triangle {
      < 3.088000, 13.428000, 1.920000>,
      < 3.348000, 14.200000, 1.804000>,
      < 3.348000, 13.428000, 1.804000>
    }
    triangle {
      < 3.088000, 14.200000, 1.920000>,
      < 3.136000, 14.300000, 1.992000>,
      < 3.372000, 14.300000, 1.892000>
    }
    triangle {
      < 3.088000, 14.200000, 1.920000>,
      < 3.372000, 14.300000, 1.892000>,
      < 3.348000, 14.200000, 1.804000>
    }
    triangle {
      < 3.136000, 14.300000, 1.992000>,
      < 3.188000, 15.360000, 2.072000>,
      < 3.388000, 15.360000, 1.984000>
    }
    triangle {
      < 3.136000, 14.300000, 1.992000>,
      < 3.388000, 15.360000, 1.984000>,
      < 3.372000, 14.300000, 1.892000>
    }
    triangle {
      < 3.188000, 15.360000, 2.072000>,
      < 3.136000, 15.556000, 1.992000>,
      < 3.372000, 15.556000, 1.892000>
    }
    triangle {
      < 3.188000, 15.360000, 2.072000>,
      < 3.372000, 15.556000, 1.892000>,
      < 3.388000, 15.360000, 1.984000>
    }
    triangle {
      < 3.136000, 15.556000, 1.992000>,
      < 3.224000, 17.104000, 2.120000>,
      < 3.400000, 17.104000, 2.044000>
    }
    triangle {
      < 3.136000, 15.556000, 1.992000>,
      < 3.400000, 17.104000, 2.044000>,
      < 3.372000, 15.556000, 1.892000>
    }
    triangle {
      < 3.224000, 17.104000, 2.120000>,
      < 3.280000, 17.104000, 2.200000>,
      < 3.424000, 17.104000, 2.136000>
    }
    triangle {
      < 3.224000, 17.104000, 2.120000>,
      < 3.424000, 17.104000, 2.136000>,
      < 3.400000, 17.104000, 2.044000>
    }
    triangle {
      < 3.280000, 17.104000, 2.200000>,
      < 3.328000, 15.944000, 2.268000>,
      < 3.440000, 15.944000, 2.228000>
    }
    triangle {
      < 3.280000, 17.104000, 2.200000>,
      < 3.440000, 15.944000, 2.228000>,
      < 3.424000, 17.104000, 2.136000>
    }
    triangle {
      < 3.328000, 15.944000, 2.268000>,
      < 3.504000, 15.752000, 2.524000>,
      < 3.440000, 15.944000, 2.228000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < 3.504000, 11.396000, 2.524000>,
      < 3.348000, 11.396000, 1.804000>,
      < 3.636000, 11.396000, 1.800000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < 3.348000, 11.396000, 1.804000>,
      < 3.348000, 12.556000, 1.804000>,
      < 3.636000, 12.556000, 1.800000>
    }
    triangle {
      < 3.348000, 11.396000, 1.804000>,
      < 3.636000, 12.556000, 1.800000>,
      < 3.636000, 11.396000, 1.800000>
    }
    triangle {
      < 3.348000, 12.556000, 1.804000>,
      < 3.372000, 12.848000, 1.892000>,
      < 3.620000, 12.848000, 1.892000>
    }
    triangle {
      < 3.348000, 12.556000, 1.804000>,
      < 3.620000, 12.848000, 1.892000>,
      < 3.636000, 12.556000, 1.800000>
    }
    triangle {
      < 3.372000, 12.848000, 1.892000>,
      < 3.348000, 13.428000, 1.804000>,
      < 3.636000, 13.428000, 1.800000>
    }
    triangle {
      < 3.372000, 12.848000, 1.892000>,
      < 3.636000, 13.428000, 1.800000>,
      < 3.620000, 12.848000, 1.892000>
    }
    triangle {
      < 3.348000, 13.428000, 1.804000>,
      < 3.348000, 14.200000, 1.804000>,
      < 3.636000, 14.200000, 1.800000>
    }
    triangle {
      < 3.348000, 13.428000, 1.804000>,
      < 3.636000, 14.200000, 1.800000>,
      < 3.636000, 13.428000, 1.800000>
    }
    triangle {
      < 3.348000, 14.200000, 1.804000>,
      < 3.372000, 14.300000, 1.892000>,
      < 3.620000, 14.300000, 1.892000>
    }
    triangle {
      < 3.348000, 14.200000, 1.804000>,
      < 3.620000, 14.300000, 1.892000>,
      < 3.636000, 14.200000, 1.800000>
    }
    triangle {
      < 3.372000, 14.300000, 1.892000>,
      < 3.388000, 15.360000, 1.984000>,
      < 3.604000, 15.360000, 1.984000>
    }
    triangle {
      < 3.372000, 14.300000, 1.892000>,
      < 3.604000, 15.360000, 1.984000>,
      < 3.620000, 14.300000, 1.892000>
    }
    triangle {
      < 3.388000, 15.360000, 1.984000>,
      < 3.372000, 15.556000, 1.892000>,
      < 3.620000, 15.556000, 1.892000>
    }
    triangle {
      < 3.388000, 15.360000, 1.984000>,
      < 3.620000, 15.556000, 1.892000>,
      < 3.604000, 15.360000, 1.984000>
    }
    triangle {
      < 3.372000, 15.556000, 1.892000>,
      < 3.400000, 17.104000, 2.044000>,
      < 3.588000, 17.104000, 2.044000>
    }
    triangle {
      < 3.372000, 15.556000, 1.892000>,
      < 3.588000, 17.104000, 2.044000>,
      < 3.620000, 15.556000, 1.892000>
    }
    triangle {
      < 3.400000, 17.104000, 2.044000>,
      < 3.424000, 17.104000, 2.136000>,
      < 3.572000, 17.104000, 2.132000>
    }
    triangle {
      < 3.400000, 17.104000, 2.044000>,
      < 3.572000, 17.104000, 2.132000>,
      < 3.588000, 17.104000, 2.044000>
    }
    triangle {
      < 3.424000, 17.104000, 2.136000>,
      < 3.440000, 15.944000, 2.228000>,
      < 3.556000, 15.944000, 2.224000>
    }
    triangle {
      < 3.424000, 17.104000, 2.136000>,
      < 3.556000, 15.944000, 2.224000>,
      < 3.572000, 17.104000, 2.132000>
    }
    triangle {
      < 3.440000, 15.944000, 2.228000>,
      < 3.504000, 15.752000, 2.524000>,
      < 3.556000, 15.944000, 2.224000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < 3.504000, 11.396000, 2.524000>,
      < 3.636000, 11.396000, 1.800000>,
      < 3.900000, 11.396000, 1.908000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < 3.636000, 11.396000, 1.800000>,
      < 3.636000, 12.556000, 1.800000>,
      < 3.900000, 12.556000, 1.908000>
    }
    triangle {
      < 3.636000, 11.396000, 1.800000>,
      < 3.900000, 12.556000, 1.908000>,
      < 3.900000, 11.396000, 1.908000>
    }
    triangle {
      < 3.636000, 12.556000, 1.800000>,
      < 3.620000, 12.848000, 1.892000>,
      < 3.852000, 12.848000, 1.984000>
    }
    triangle {
      < 3.636000, 12.556000, 1.800000>,
      < 3.852000, 12.848000, 1.984000>,
      < 3.900000, 12.556000, 1.908000>
    }
    triangle {
      < 3.620000, 12.848000, 1.892000>,
      < 3.636000, 13.428000, 1.800000>,
      < 3.900000, 13.428000, 1.908000>
    }
    triangle {
      < 3.620000, 12.848000, 1.892000>,
      < 3.900000, 13.428000, 1.908000>,
      < 3.852000, 12.848000, 1.984000>
    }
    triangle {
      < 3.636000, 13.428000, 1.800000>,
      < 3.636000, 14.200000, 1.800000>,
      < 3.900000, 14.200000, 1.908000>
    }
    triangle {
      < 3.636000, 13.428000, 1.800000>,
      < 3.900000, 14.200000, 1.908000>,
      < 3.900000, 13.428000, 1.908000>
    }
    triangle {
      < 3.636000, 14.200000, 1.800000>,
      < 3.620000, 14.300000, 1.892000>,
      < 3.852000, 14.300000, 1.984000>
    }
    triangle {
      < 3.636000, 14.200000, 1.800000>,
      < 3.852000, 14.300000, 1.984000>,
      < 3.900000, 14.200000, 1.908000>
    }
    triangle {
      < 3.620000, 14.300000, 1.892000>,
      < 3.604000, 15.360000, 1.984000>,
      < 3.804000, 15.360000, 2.064000>
    }
    triangle {
      < 3.620000, 14.300000, 1.892000>,
      < 3.804000, 15.360000, 2.064000>,
      < 3.852000, 14.300000, 1.984000>
    }
    triangle {
      < 3.604000, 15.360000, 1.984000>,
      < 3.620000, 15.556000, 1.892000>,
      < 3.852000, 15.556000, 1.984000>
    }
    triangle {
      < 3.604000, 15.360000, 1.984000>,
      < 3.852000, 15.556000, 1.984000>,
      < 3.804000, 15.360000, 2.064000>
    }
    triangle {
      < 3.620000, 15.556000, 1.892000>,
      < 3.588000, 17.104000, 2.044000>,
      < 3.772000, 17.104000, 2.116000>
    }
    triangle {
      < 3.620000, 15.556000, 1.892000>,
      < 3.772000, 17.104000, 2.116000>,
      < 3.852000, 15.556000, 1.984000>
    }
    triangle {
      < 3.588000, 17.104000, 2.044000>,
      < 3.572000, 17.104000, 2.132000>,
      < 3.712000, 17.104000, 2.192000>
    }
    triangle {
      < 3.588000, 17.104000, 2.044000>,
      < 3.712000, 17.104000, 2.192000>,
      < 3.772000, 17.104000, 2.116000>
    }
    triangle {
      < 3.572000, 17.104000, 2.132000>,
      < 3.556000, 15.944000, 2.224000>,
      < 3.664000, 15.944000, 2.268000>
    }
    triangle {
      < 3.572000, 17.104000, 2.132000>,
      < 3.664000, 15.944000, 2.268000>,
      < 3.712000, 17.104000, 2.192000>
    }
    triangle {
      < 3.556000, 15.944000, 2.224000>,
      < 3.504000, 15.752000, 2.524000>,
      < 3.664000, 15.944000, 2.268000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < 3.504000, 11.396000, 2.524000>,
      < 3.900000, 11.396000, 1.908000>,
      < 4.108000, 11.396000, 2.108000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < 3.900000, 11.396000, 1.908000>,
      < 3.900000, 12.556000, 1.908000>,
      < 4.108000, 12.556000, 2.108000>
    }
    triangle {
      < 3.900000, 11.396000, 1.908000>,
      < 4.108000, 12.556000, 2.108000>,
      < 4.108000, 11.396000, 2.108000>
    }
    triangle {
      < 3.900000, 12.556000, 1.908000>,
      < 3.852000, 12.848000, 1.984000>,
      < 4.036000, 12.848000, 2.160000>
    }
    triangle {
      < 3.900000, 12.556000, 1.908000>,
      < 4.036000, 12.848000, 2.160000>,
      < 4.108000, 12.556000, 2.108000>
    }
    triangle {
      < 3.852000, 12.848000, 1.984000>,
      < 3.900000, 13.428000, 1.908000>,
      < 4.108000, 13.428000, 2.108000>
    }
    triangle {
      < 3.852000, 12.848000, 1.984000>,
      < 4.108000, 13.428000, 2.108000>,
      < 4.036000, 12.848000, 2.160000>
    }
    triangle {
      < 3.900000, 13.428000, 1.908000>,
      < 3.900000, 14.200000, 1.908000>,
      < 4.108000, 14.200000, 2.108000>
    }
    triangle {
      < 3.900000, 13.428000, 1.908000>,
      < 4.108000, 14.200000, 2.108000>,
      < 4.108000, 13.428000, 2.108000>
    }
    triangle {
      < 3.900000, 14.200000, 1.908000>,
      < 3.852000, 14.300000, 1.984000>,
      < 4.036000, 14.300000, 2.160000>
    }
    triangle {
      < 3.900000, 14.200000, 1.908000>,
      < 4.036000, 14.300000, 2.160000>,
      < 4.108000, 14.200000, 2.108000>
    }
    triangle {
      < 3.852000, 14.300000, 1.984000>,
      < 3.804000, 15.360000, 2.064000>,
      < 3.956000, 15.360000, 2.212000>
    }
    triangle {
      < 3.852000, 14.300000, 1.984000>,
      < 3.956000, 15.360000, 2.212000>,
      < 4.036000, 14.300000, 2.160000>
    }
    triangle {
      < 3.804000, 15.360000, 2.064000>,
      < 3.852000, 15.556000, 1.984000>,
      < 4.036000, 15.556000, 2.160000>
    }
    triangle {
      < 3.804000, 15.360000, 2.064000>,
      < 4.036000, 15.556000, 2.160000>,
      < 3.956000, 15.360000, 2.212000>
    }
    triangle {
      < 3.852000, 15.556000, 1.984000>,
      < 3.772000, 17.104000, 2.116000>,
      < 3.904000, 17.104000, 2.248000>
    }
    triangle {
      < 3.852000, 15.556000, 1.984000>,
      < 3.904000, 17.104000, 2.248000>,
      < 4.036000, 15.556000, 2.160000>
    }
    triangle {
      < 3.772000, 17.104000, 2.116000>,
      < 3.712000, 17.104000, 2.192000>,
      < 3.832000, 17.104000, 2.300000>
    }
    triangle {
      < 3.772000, 17.104000, 2.116000>,
      < 3.832000, 17.104000, 2.300000>,
      < 3.904000, 17.104000, 2.248000>
    }
    triangle {
      < 3.712000, 17.104000, 2.192000>,
      < 3.664000, 15.944000, 2.268000>,
      < 3.756000, 15.944000, 2.344000>
    }
    triangle {
      < 3.712000, 17.104000, 2.192000>,
      < 3.756000, 15.944000, 2.344000>,
      < 3.832000, 17.104000, 2.300000>
    }
    triangle {
      < 3.664000, 15.944000, 2.268000>,
      < 3.504000, 15.752000, 2.524000>,
      < 3.756000, 15.944000, 2.344000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < 3.504000, 11.396000, 2.524000>,
      < 4.108000, 11.396000, 2.108000>,
      < 4.228000, 11.396000, 2.368000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < 4.108000, 11.396000, 2.108000>,
      < 4.108000, 12.556000, 2.108000>,
      < 4.228000, 12.556000, 2.368000>
    }
    triangle {
      < 4.108000, 11.396000, 2.108000>,
      < 4.228000, 12.556000, 2.368000>,
      < 4.228000, 11.396000, 2.368000>
    }
    triangle {
      < 4.108000, 12.556000, 2.108000>,
      < 4.036000, 12.848000, 2.160000>,
      < 4.136000, 12.848000, 2.384000>
    }
    triangle {
      < 4.108000, 12.556000, 2.108000>,
      < 4.136000, 12.848000, 2.384000>,
      < 4.228000, 12.556000, 2.368000>
    }
    triangle {
      < 4.036000, 12.848000, 2.160000>,
      < 4.108000, 13.428000, 2.108000>,
      < 4.228000, 13.428000, 2.368000>
    }
    triangle {
      < 4.036000, 12.848000, 2.160000>,
      < 4.228000, 13.428000, 2.368000>,
      < 4.136000, 12.848000, 2.384000>
    }
    triangle {
      < 4.108000, 13.428000, 2.108000>,
      < 4.108000, 14.200000, 2.108000>,
      < 4.228000, 14.200000, 2.368000>
    }
    triangle {
      < 4.108000, 13.428000, 2.108000>,
      < 4.228000, 14.200000, 2.368000>,
      < 4.228000, 13.428000, 2.368000>
    }
    triangle {
      < 4.108000, 14.200000, 2.108000>,
      < 4.036000, 14.300000, 2.160000>,
      < 4.136000, 14.300000, 2.384000>
    }
    triangle {
      < 4.108000, 14.200000, 2.108000>,
      < 4.136000, 14.300000, 2.384000>,
      < 4.228000, 14.200000, 2.368000>
    }
    triangle {
      < 4.036000, 14.300000, 2.160000>,
      < 3.956000, 15.360000, 2.212000>,
      < 4.040000, 15.360000, 2.412000>
    }
    triangle {
      < 4.036000, 14.300000, 2.160000>,
      < 4.040000, 15.360000, 2.412000>,
      < 4.136000, 14.300000, 2.384000>
    }
    triangle {
      < 3.956000, 15.360000, 2.212000>,
      < 4.036000, 15.556000, 2.160000>,
      < 4.136000, 15.556000, 2.384000>
    }
    triangle {
      < 3.956000, 15.360000, 2.212000>,
      < 4.136000, 15.556000, 2.384000>,
      < 4.040000, 15.360000, 2.412000>
    }
    triangle {
      < 4.036000, 15.556000, 2.160000>,
      < 3.904000, 17.104000, 2.248000>,
      < 3.984000, 17.104000, 2.420000>
    }
    triangle {
      < 4.036000, 15.556000, 2.160000>,
      < 3.984000, 17.104000, 2.420000>,
      < 4.136000, 15.556000, 2.384000>
    }
    triangle {
      < 3.904000, 17.104000, 2.248000>,
      < 3.832000, 17.104000, 2.300000>,
      < 3.888000, 17.104000, 2.444000>
    }
    triangle {
      < 3.904000, 17.104000, 2.248000>,
      < 3.888000, 17.104000, 2.444000>,
      < 3.984000, 17.104000, 2.420000>
    }
    triangle {
      < 3.832000, 17.104000, 2.300000>,
      < 3.756000, 15.944000, 2.344000>,
      < 3.804000, 15.944000, 2.464000>
    }
    triangle {
      < 3.832000, 17.104000, 2.300000>,
      < 3.804000, 15.944000, 2.464000>,
      < 3.888000, 17.104000, 2.444000>
    }
    triangle {
      < 3.756000, 15.944000, 2.344000>,
      < 3.504000, 15.752000, 2.524000>,
      < 3.804000, 15.944000, 2.464000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < 3.504000, 11.396000, 2.524000>,
      < 4.228000, 11.396000, 2.368000>,
      < 4.228000, 11.396000, 2.660000>
    }
    texture {engines}
  }
  // DEFAULT
  union {
    triangle {
      < 4.228000, 11.396000, 2.368000>,
      < 4.228000, 12.556000, 2.368000>,
      < 4.228000, 12.556000, 2.660000>
    }
    triangle {
      < 4.228000, 11.396000, 2.368000>,
      < 4.228000, 12.556000, 2.660000>,
      < 4.228000, 11.396000, 2.660000>
    }
    texture {DEFAULT}
  }
  // rockets
  union {
    triangle {
      < 4.228000, 12.556000, 2.368000>,
      < 4.136000, 12.848000, 2.384000>,
      < 4.136000, 12.848000, 2.644000>
    }
    triangle {
      < 4.228000, 12.556000, 2.368000>,
      < 4.136000, 12.848000, 2.644000>,
      < 4.228000, 12.556000, 2.660000>
    }
    triangle {
      < 4.136000, 12.848000, 2.384000>,
      < 4.228000, 13.428000, 2.368000>,
      < 4.228000, 13.428000, 2.660000>
    }
    triangle {
      < 4.136000, 12.848000, 2.384000>,
      < 4.228000, 13.428000, 2.660000>,
      < 4.136000, 12.848000, 2.644000>
    }
    triangle {
      < 4.228000, 13.428000, 2.368000>,
      < 4.228000, 14.200000, 2.368000>,
      < 4.228000, 14.200000, 2.660000>
    }
    triangle {
      < 4.228000, 13.428000, 2.368000>,
      < 4.228000, 14.200000, 2.660000>,
      < 4.228000, 13.428000, 2.660000>
    }
    triangle {
      < 4.228000, 14.200000, 2.368000>,
      < 4.136000, 14.300000, 2.384000>,
      < 4.136000, 14.300000, 2.644000>
    }
    triangle {
      < 4.228000, 14.200000, 2.368000>,
      < 4.136000, 14.300000, 2.644000>,
      < 4.228000, 14.200000, 2.660000>
    }
    triangle {
      < 4.136000, 14.300000, 2.384000>,
      < 4.040000, 15.360000, 2.412000>,
      < 4.048000, 15.360000, 2.624000>
    }
    triangle {
      < 4.136000, 14.300000, 2.384000>,
      < 4.048000, 15.360000, 2.624000>,
      < 4.136000, 14.300000, 2.644000>
    }
    triangle {
      < 4.040000, 15.360000, 2.412000>,
      < 4.136000, 15.556000, 2.384000>,
      < 4.136000, 15.556000, 2.644000>
    }
    triangle {
      < 4.040000, 15.360000, 2.412000>,
      < 4.136000, 15.556000, 2.644000>,
      < 4.048000, 15.360000, 2.624000>
    }
    triangle {
      < 4.136000, 15.556000, 2.384000>,
      < 3.984000, 17.104000, 2.420000>,
      < 3.988000, 17.104000, 2.612000>
    }
    triangle {
      < 4.136000, 15.556000, 2.384000>,
      < 3.988000, 17.104000, 2.612000>,
      < 4.136000, 15.556000, 2.644000>
    }
    triangle {
      < 3.984000, 17.104000, 2.420000>,
      < 3.888000, 17.104000, 2.444000>,
      < 3.896000, 17.104000, 2.596000>
    }
    triangle {
      < 3.984000, 17.104000, 2.420000>,
      < 3.896000, 17.104000, 2.596000>,
      < 3.988000, 17.104000, 2.612000>
    }
    triangle {
      < 3.888000, 17.104000, 2.444000>,
      < 3.804000, 15.944000, 2.464000>,
      < 3.804000, 15.944000, 2.576000>
    }
    triangle {
      < 3.888000, 17.104000, 2.444000>,
      < 3.804000, 15.944000, 2.576000>,
      < 3.896000, 17.104000, 2.596000>
    }
    triangle {
      < 3.804000, 15.944000, 2.464000>,
      < 3.504000, 15.752000, 2.524000>,
      < 3.804000, 15.944000, 2.576000>
    }
    texture {rockets}
  }
  // gunsr
  union {
    triangle {
      < 13.956000, -1.024000, 3.132000>,
      < 13.964000, 6.340000, 3.192000>,
      < 13.964000, -1.024000, 3.192000>
    }
    triangle {
      < 13.956000, -1.240000, 3.128000>,
      < 13.964000, -1.892000, 3.192000>,
      < 13.960000, -1.892000, 3.124000>
    }
    triangle {
      < 13.956000, -1.240000, 3.128000>,
      < 13.964000, -1.232000, 3.192000>,
      < 13.964000, -1.892000, 3.192000>
    }
    triangle {
      < 13.960000, 6.340000, 3.124000>,
      < 13.956000, -1.024000, 3.132000>,
      < 13.960000, -1.024000, 3.124000>
    }
    triangle {
      < 13.960000, 6.340000, 3.124000>,
      < 13.964000, 6.340000, 3.192000>,
      < 13.956000, -1.024000, 3.132000>
    }
    triangle {
      < 13.960000, -1.240000, 3.124000>,
      < 13.956000, -1.240000, 3.128000>,
      < 13.960000, -1.892000, 3.124000>
    }
    triangle {
      < 13.948000, -1.024000, 3.116000>,
      < 13.920000, -1.024000, 3.080000>,
      < 13.960000, 6.340000, 3.124000>
    }
    triangle {
      < 13.960000, 6.340000, 3.124000>,
      < 13.960000, -1.024000, 3.124000>,
      < 13.948000, -1.024000, 3.116000>
    }
    triangle {
      < 13.960000, -1.240000, 3.124000>,
      < 13.960000, -1.892000, 3.124000>,
      < 13.920000, -1.892000, 3.072000>
    }
    triangle {
      < 13.960000, -1.240000, 3.124000>,
      < 13.920000, -1.892000, 3.072000>,
      < 13.924000, -1.248000, 3.076000>
    }
    triangle {
      < 13.960000, 6.340000, 3.124000>,
      < 13.920000, -1.024000, 3.080000>,
      < 13.920000, -1.024000, 3.072000>
    }
    triangle {
      < 13.960000, 6.340000, 3.124000>,
      < 13.920000, -1.024000, 3.072000>,
      < 13.920000, 6.340000, 3.072000>
    }
    triangle {
      < 13.924000, -1.248000, 3.076000>,
      < 13.920000, -1.892000, 3.072000>,
      < 13.920000, -1.248000, 3.072000>
    }
    triangle {
      < 13.920000, 6.340000, 3.072000>,
      < 13.920000, -1.024000, 3.072000>,
      < 13.864000, -1.024000, 3.048000>
    }
    triangle {
      < 13.920000, -1.248000, 3.072000>,
      < 13.920000, -1.892000, 3.072000>,
      < 13.860000, -1.892000, 3.044000>
    }
    triangle {
      < 13.920000, -1.248000, 3.072000>,
      < 13.860000, -1.892000, 3.044000>,
      < 13.864000, -1.252000, 3.048000>
    }
    triangle {
      < 13.920000, 6.340000, 3.072000>,
      < 13.864000, -1.024000, 3.048000>,
      < 13.860000, -1.024000, 3.044000>
    }
    triangle {
      < 13.920000, 6.340000, 3.072000>,
      < 13.860000, -1.024000, 3.044000>,
      < 13.860000, 6.340000, 3.044000>
    }
    triangle {
      < 13.864000, -1.252000, 3.048000>,
      < 13.860000, -1.892000, 3.044000>,
      < 13.860000, -1.252000, 3.044000>
    }
    triangle {
      < 13.860000, 6.340000, 3.044000>,
      < 13.860000, -1.024000, 3.044000>,
      < 13.796000, -1.024000, 3.048000>
    }
    triangle {
      < 13.860000, -1.252000, 3.044000>,
      < 13.860000, -1.892000, 3.044000>,
      < 13.788000, -1.892000, 3.052000>
    }
    triangle {
      < 13.860000, -1.252000, 3.044000>,
      < 13.788000, -1.892000, 3.052000>,
      < 13.796000, -1.248000, 3.048000>
    }
    triangle {
      < 13.860000, 6.340000, 3.044000>,
      < 13.796000, -1.024000, 3.048000>,
      < 13.788000, -1.024000, 3.052000>
    }
    triangle {
      < 13.860000, 6.340000, 3.044000>,
      < 13.788000, -1.024000, 3.052000>,
      < 13.788000, 6.340000, 3.052000>
    }
    triangle {
      < 13.796000, -1.248000, 3.048000>,
      < 13.788000, -1.892000, 3.052000>,
      < 13.788000, -1.248000, 3.052000>
    }
    triangle {
      < 13.788000, 6.340000, 3.052000>,
      < 13.788000, -1.024000, 3.052000>,
      < 13.736000, -1.024000, 3.088000>
    }
    triangle {
      < 13.788000, -1.248000, 3.052000>,
      < 13.788000, -1.892000, 3.052000>,
      < 13.736000, -1.892000, 3.092000>
    }
    triangle {
      < 13.788000, -1.248000, 3.052000>,
      < 13.736000, -1.892000, 3.092000>,
      < 13.756000, -1.244000, 3.076000>
    }
    triangle {
      < 13.788000, 6.340000, 3.052000>,
      < 13.736000, -1.024000, 3.088000>,
      < 13.736000, -1.024000, 3.092000>
    }
    triangle {
      < 13.788000, 6.340000, 3.052000>,
      < 13.736000, -1.024000, 3.092000>,
      < 13.736000, 6.340000, 3.092000>
    }
    triangle {
      < 13.736000, -1.240000, 3.088000>,
      < 13.736000, -1.892000, 3.092000>,
      < 13.736000, -1.240000, 3.092000>
    }
    triangle {
      < 13.736000, 6.340000, 3.092000>,
      < 13.736000, -1.024000, 3.092000>,
      < 13.712000, -1.024000, 3.144000>
    }
    triangle {
      < 13.736000, -1.240000, 3.092000>,
      < 13.736000, -1.892000, 3.092000>,
      < 13.712000, -1.892000, 3.148000>
    }
    triangle {
      < 13.736000, -1.240000, 3.092000>,
      < 13.712000, -1.892000, 3.148000>,
      < 13.712000, -1.232000, 3.144000>
    }
    triangle {
      < 13.736000, 6.340000, 3.092000>,
      < 13.712000, -1.024000, 3.144000>,
      < 13.712000, -1.024000, 3.148000>
    }
    triangle {
      < 13.736000, 6.340000, 3.092000>,
      < 13.712000, -1.024000, 3.148000>,
      < 13.712000, 6.340000, 3.148000>
    }
    triangle {
      < 13.712000, -1.232000, 3.144000>,
      < 13.712000, -1.892000, 3.148000>,
      < 13.712000, -1.232000, 3.148000>
    }
    triangle {
      < 13.712000, 6.340000, 3.148000>,
      < 13.712000, -1.024000, 3.148000>,
      < 13.716000, -1.024000, 3.208000>
    }
    triangle {
      < 13.712000, -1.232000, 3.148000>,
      < 13.712000, -1.892000, 3.148000>,
      < 13.716000, -1.892000, 3.216000>
    }
    triangle {
      < 13.712000, -1.232000, 3.148000>,
      < 13.716000, -1.892000, 3.216000>,
      < 13.716000, -1.216000, 3.212000>
    }
    triangle {
      < 13.712000, 6.340000, 3.148000>,
      < 13.716000, -1.024000, 3.208000>,
      < 13.716000, -1.024000, 3.216000>
    }
    triangle {
      < 13.712000, 6.340000, 3.148000>,
      < 13.716000, -1.024000, 3.216000>,
      < 13.716000, 6.340000, 3.216000>
    }
    triangle {
      < 13.716000, -1.216000, 3.212000>,
      < 13.716000, -1.892000, 3.216000>,
      < 13.716000, -1.216000, 3.216000>
    }
    triangle {
      < 13.728000, -1.024000, 3.236000>,
      < 13.716000, 6.340000, 3.216000>,
      < 13.716000, -1.024000, 3.216000>
    }
    triangle {
      < 13.752000, -1.024000, 3.264000>,
      < 13.716000, 6.340000, 3.216000>,
      < 13.728000, -1.024000, 3.236000>
    }
    triangle {
      < 13.752000, -1.208000, 3.264000>,
      < 13.760000, -1.892000, 3.268000>,
      < 13.756000, -1.212000, 3.268000>
    }
    triangle {
      < 13.752000, -1.208000, 3.264000>,
      < 13.716000, -1.892000, 3.216000>,
      < 13.760000, -1.892000, 3.268000>
    }
    triangle {
      < 13.752000, -1.208000, 3.264000>,
      < 13.716000, -1.216000, 3.216000>,
      < 13.716000, -1.892000, 3.216000>
    }
    triangle {
      < 13.760000, 6.340000, 3.268000>,
      < 13.752000, -1.024000, 3.264000>,
      < 13.760000, -1.024000, 3.268000>
    }
    triangle {
      < 13.760000, 6.340000, 3.268000>,
      < 13.716000, 6.340000, 3.216000>,
      < 13.752000, -1.024000, 3.264000>
    }
    triangle {
      < 13.760000, -1.220000, 3.268000>,
      < 13.756000, -1.212000, 3.268000>,
      < 13.760000, -1.892000, 3.268000>
    }
    triangle {
      < 13.808000, -1.024000, 3.296000>,
      < 13.760000, 6.340000, 3.268000>,
      < 13.760000, -1.024000, 3.268000>
    }
    triangle {
      < 13.812000, -1.260000, 3.296000>,
      < 13.760000, -1.892000, 3.268000>,
      < 13.816000, -1.892000, 3.296000>
    }
    triangle {
      < 13.812000, -1.260000, 3.296000>,
      < 13.760000, -1.220000, 3.268000>,
      < 13.760000, -1.892000, 3.268000>
    }
    triangle {
      < 13.816000, 6.340000, 3.296000>,
      < 13.808000, -1.024000, 3.296000>,
      < 13.816000, -1.024000, 3.296000>
    }
    triangle {
      < 13.816000, 6.340000, 3.296000>,
      < 13.760000, 6.340000, 3.268000>,
      < 13.808000, -1.024000, 3.296000>
    }
    triangle {
      < 13.816000, -1.264000, 3.296000>,
      < 13.812000, -1.260000, 3.296000>,
      < 13.816000, -1.892000, 3.296000>
    }
    triangle {
      < 13.872000, -1.024000, 3.288000>,
      < 13.816000, 6.340000, 3.296000>,
      < 13.816000, -1.024000, 3.296000>
    }
    triangle {
      < 13.872000, -1.224000, 3.288000>,
      < 13.816000, -1.892000, 3.296000>,
      < 13.880000, -1.892000, 3.288000>
    }
    triangle {
      < 13.872000, -1.224000, 3.288000>,
      < 13.816000, -1.264000, 3.296000>,
      < 13.816000, -1.892000, 3.296000>
    }
    triangle {
      < 13.880000, 6.340000, 3.288000>,
      < 13.872000, -1.024000, 3.288000>,
      < 13.880000, -1.024000, 3.288000>
    }
    triangle {
      < 13.880000, 6.340000, 3.288000>,
      < 13.816000, 6.340000, 3.296000>,
      < 13.872000, -1.024000, 3.288000>
    }
    triangle {
      < 13.880000, -1.220000, 3.288000>,
      < 13.872000, -1.224000, 3.288000>,
      < 13.880000, -1.892000, 3.288000>
    }
    triangle {
      < 13.932000, -1.024000, 3.256000>,
      < 13.880000, 6.340000, 3.288000>,
      < 13.880000, -1.024000, 3.288000>
    }
    triangle {
      < 13.884000, -1.208000, 3.288000>,
      < 13.936000, -1.892000, 3.252000>,
      < 13.932000, -1.216000, 3.256000>
    }
    triangle {
      < 13.884000, -1.208000, 3.288000>,
      < 13.880000, -1.892000, 3.288000>,
      < 13.936000, -1.892000, 3.252000>
    }
    triangle {
      < 13.884000, -1.208000, 3.288000>,
      < 13.880000, -1.220000, 3.288000>,
      < 13.880000, -1.892000, 3.288000>
    }
    triangle {
      < 13.936000, 6.340000, 3.252000>,
      < 13.932000, -1.024000, 3.256000>,
      < 13.936000, -1.024000, 3.252000>
    }
    triangle {
      < 13.936000, 6.340000, 3.252000>,
      < 13.880000, 6.340000, 3.288000>,
      < 13.932000, -1.024000, 3.256000>
    }
    triangle {
      < 13.936000, -1.216000, 3.252000>,
      < 13.932000, -1.216000, 3.256000>,
      < 13.936000, -1.892000, 3.252000>
    }
    triangle {
      < 13.960000, -1.024000, 3.200000>,
      < 13.936000, 6.340000, 3.252000>,
      < 13.936000, -1.024000, 3.252000>
    }
    triangle {
      < 13.944000, -1.220000, 3.236000>,
      < 13.964000, -1.892000, 3.192000>,
      < 13.964000, -1.224000, 3.196000>
    }
    triangle {
      < 13.944000, -1.220000, 3.236000>,
      < 13.936000, -1.892000, 3.252000>,
      < 13.964000, -1.892000, 3.192000>
    }
    triangle {
      < 13.944000, -1.220000, 3.236000>,
      < 13.936000, -1.216000, 3.252000>,
      < 13.936000, -1.892000, 3.252000>
    }
    triangle {
      < 13.964000, 6.340000, 3.192000>,
      < 13.960000, -1.024000, 3.200000>,
      < 13.964000, -1.024000, 3.192000>
    }
    triangle {
      < 13.964000, 6.340000, 3.192000>,
      < 13.936000, 6.340000, 3.252000>,
      < 13.960000, -1.024000, 3.200000>
    }
    triangle {
      < 13.964000, -1.232000, 3.192000>,
      < 13.964000, -1.224000, 3.196000>,
      < 13.964000, -1.892000, 3.192000>
    }
    triangle {
      < 13.964000, -1.224000, 3.196000>,
      < 14.044000, -1.208000, 3.316000>,
      < 13.944000, -1.220000, 3.236000>
    }
    triangle {
      < 13.964000, -1.232000, 3.192000>,
      < 14.044000, -1.208000, 3.316000>,
      < 13.964000, -1.224000, 3.196000>
    }
    triangle {
      < 13.960000, -1.240000, 3.124000>,
      < 14.044000, -1.208000, 3.316000>,
      < 13.956000, -1.240000, 3.128000>
    }
    triangle {
      < 13.960000, -1.240000, 3.124000>,
      < 14.088000, -1.256000, 3.068000>,
      < 14.044000, -1.208000, 3.316000>
    }
    triangle {
      < 13.920000, -1.248000, 3.072000>,
      < 14.088000, -1.256000, 3.068000>,
      < 13.924000, -1.248000, 3.076000>
    }
    triangle {
      < 13.860000, -1.252000, 3.044000>,
      < 14.088000, -1.256000, 3.068000>,
      < 13.864000, -1.252000, 3.048000>
    }
    triangle {
      < 13.860000, -1.252000, 3.044000>,
      < 13.652000, -1.256000, 2.992000>,
      < 14.088000, -1.256000, 3.068000>
    }
    triangle {
      < 13.788000, -1.248000, 3.052000>,
      < 13.652000, -1.256000, 2.992000>,
      < 13.796000, -1.248000, 3.048000>
    }
    triangle {
      < 13.652000, -1.256000, 2.992000>,
      < 13.788000, -1.248000, 3.052000>,
      < 13.756000, -1.244000, 3.076000>
    }
    triangle {
      < 13.760000, -1.024000, 3.268000>,
      < 13.752000, -1.024000, 3.264000>,
      < 13.596000, -1.024000, 3.312000>
    }
    triangle {
      < 13.816000, -1.024000, 3.296000>,
      < 13.808000, -1.024000, 3.296000>,
      < 13.596000, -1.024000, 3.312000>
    }
    triangle {
      < 13.816000, -1.024000, 3.296000>,
      < 13.596000, -1.024000, 3.312000>,
      < 14.032000, -1.024000, 3.388000>
    }
    triangle {
      < 13.880000, -1.024000, 3.288000>,
      < 13.872000, -1.024000, 3.288000>,
      < 14.032000, -1.024000, 3.388000>
    }
    triangle {
      < 13.936000, -1.024000, 3.252000>,
      < 13.932000, -1.024000, 3.256000>,
      < 14.032000, -1.024000, 3.388000>
    }
    triangle {
      < 13.960000, -1.024000, 3.200000>,
      < 13.936000, -1.024000, 3.252000>,
      < 14.032000, -1.024000, 3.388000>
    }
    triangle {
      < 13.964000, -1.024000, 3.192000>,
      < 13.960000, -1.024000, 3.200000>,
      < 14.032000, -1.024000, 3.388000>
    }
    triangle {
      < 13.960000, -1.024000, 3.124000>,
      < 13.956000, -1.024000, 3.132000>,
      < 14.032000, -1.024000, 3.388000>
    }
    triangle {
      < 13.960000, -1.024000, 3.124000>,
      < 14.032000, -1.024000, 3.388000>,
      < 14.096000, -1.024000, 3.028000>
    }
    triangle {
      < 14.096000, -1.024000, 3.028000>,
      < 13.948000, -1.024000, 3.116000>,
      < 13.960000, -1.024000, 3.124000>
    }
    triangle {
      < 13.920000, -1.024000, 3.072000>,
      < 13.920000, -1.024000, 3.080000>,
      < 14.096000, -1.024000, 3.028000>
    }
    triangle {
      < 13.860000, -1.024000, 3.044000>,
      < 13.864000, -1.024000, 3.048000>,
      < 14.096000, -1.024000, 3.028000>
    }
    triangle {
      < 13.860000, -1.024000, 3.044000>,
      < 14.096000, -1.024000, 3.028000>,
      < 13.660000, -1.024000, 2.952000>
    }
    triangle {
      < 13.788000, -1.024000, 3.052000>,
      < 13.796000, -1.024000, 3.048000>,
      < 13.660000, -1.024000, 2.952000>
    }
    triangle {
      < 13.736000, -1.024000, 3.092000>,
      < 13.736000, -1.024000, 3.088000>,
      < 13.660000, -1.024000, 2.952000>
    }
    triangle {
      < 13.712000, -1.024000, 3.148000>,
      < 13.712000, -1.024000, 3.144000>,
      < 13.660000, -1.024000, 2.952000>
    }
    triangle {
      < 13.716000, -1.024000, 3.216000>,
      < 13.716000, -1.024000, 3.208000>,
      < 13.660000, -1.024000, 2.952000>
    }
    triangle {
      < 13.716000, -1.024000, 3.216000>,
      < 13.660000, -1.024000, 2.952000>,
      < 13.596000, -1.024000, 3.312000>
    }
    triangle {
      < 13.596000, -1.024000, 3.312000>,
      < 13.728000, -1.024000, 3.236000>,
      < 13.716000, -1.024000, 3.216000>
    }
    triangle {
      < 13.936000, -1.216000, 3.252000>,
      < 14.044000, -1.208000, 3.316000>,
      < 13.932000, -1.216000, 3.256000>
    }
    triangle {
      < 13.944000, -1.220000, 3.236000>,
      < 14.044000, -1.208000, 3.316000>,
      < 13.936000, -1.216000, 3.252000>
    }
    triangle {
      < 13.736000, -1.240000, 3.092000>,
      < 13.652000, -1.256000, 2.992000>,
      < 13.736000, -1.240000, 3.088000>
    }
    triangle {
      < 13.712000, -1.232000, 3.148000>,
      < 13.652000, -1.256000, 2.992000>,
      < 13.712000, -1.232000, 3.144000>
    }
    triangle {
      < 13.716000, -1.216000, 3.216000>,
      < 13.652000, -1.256000, 2.992000>,
      < 13.716000, -1.216000, 3.212000>
    }
    triangle {
      < 13.716000, -1.216000, 3.216000>,
      < 13.608000, -1.208000, 3.236000>,
      < 13.652000, -1.256000, 2.992000>
    }
    triangle {
      < 13.716000, -1.216000, 3.216000>,
      < 13.752000, -1.208000, 3.264000>,
      < 13.608000, -1.208000, 3.236000>
    }
    triangle {
      < 13.756000, -1.212000, 3.268000>,
      < 13.608000, -1.208000, 3.236000>,
      < 13.752000, -1.208000, 3.264000>
    }
    triangle {
      < 13.760000, -1.220000, 3.268000>,
      < 13.608000, -1.208000, 3.236000>,
      < 13.756000, -1.212000, 3.268000>
    }
    triangle {
      < 13.816000, -1.264000, 3.296000>,
      < 13.608000, -1.208000, 3.236000>,
      < 13.812000, -1.260000, 3.296000>
    }
    triangle {
      < 13.816000, -1.264000, 3.296000>,
      < 14.000000, -1.812000, 3.568000>,
      < 13.608000, -1.208000, 3.236000>
    }
    triangle {
      < 13.880000, -1.220000, 3.288000>,
      < 14.000000, -1.812000, 3.568000>,
      < 13.872000, -1.224000, 3.288000>
    }
    triangle {
      < 14.044000, -1.208000, 3.316000>,
      < 13.880000, -1.220000, 3.288000>,
      < 13.884000, -1.208000, 3.288000>
    }
    triangle {
      < 14.044000, -1.208000, 3.316000>,
      < 14.000000, -1.812000, 3.568000>,
      < 13.880000, -1.220000, 3.288000>
    }
    triangle {
      < 13.836000, 14.308000, 3.172000>,
      < 13.996000, 14.308000, 3.200000>,
      < 13.992000, 14.308000, 3.116000>
    }
    triangle {
      < 13.996000, 14.308000, 3.200000>,
      < 14.124000, 14.880000, 3.220000>,
      < 14.112000, 14.880000, 3.068000>
    }
    triangle {
      < 13.996000, 14.308000, 3.200000>,
      < 14.112000, 14.880000, 3.068000>,
      < 13.992000, 14.308000, 3.116000>
    }
    triangle {
      < 14.124000, 14.880000, 3.220000>,
      < 14.256000, 14.880000, 3.240000>,
      < 14.236000, 14.880000, 3.016000>
    }
    triangle {
      < 14.124000, 14.880000, 3.220000>,
      < 14.236000, 14.880000, 3.016000>,
      < 14.112000, 14.880000, 3.068000>
    }
    triangle {
      < 14.256000, 14.880000, 3.240000>,
      < 14.256000, 13.596000, 3.240000>,
      < 14.236000, 13.596000, 3.016000>
    }
    triangle {
      < 14.256000, 14.880000, 3.240000>,
      < 14.236000, 13.596000, 3.016000>,
      < 14.236000, 14.880000, 3.016000>
    }
    triangle {
      < 14.256000, 13.596000, 3.240000>,
      < 14.188000, 13.596000, 3.232000>,
      < 14.172000, 13.596000, 3.048000>
    }
    triangle {
      < 14.256000, 13.596000, 3.240000>,
      < 14.172000, 13.596000, 3.048000>,
      < 14.236000, 13.596000, 3.016000>
    }
    triangle {
      < 14.188000, 13.596000, 3.232000>,
      < 14.288000, 13.316000, 3.252000>,
      < 14.264000, 13.316000, 3.008000>
    }
    triangle {
      < 14.188000, 13.596000, 3.232000>,
      < 14.264000, 13.316000, 3.008000>,
      < 14.172000, 13.596000, 3.048000>
    }
    triangle {
      < 14.288000, 13.316000, 3.252000>,
      < 14.288000, 7.480000, 3.252000>,
      < 14.264000, 7.480000, 3.008000>
    }
    triangle {
      < 14.288000, 13.316000, 3.252000>,
      < 14.264000, 7.480000, 3.008000>,
      < 14.264000, 13.316000, 3.008000>
    }
    triangle {
      < 14.288000, 7.480000, 3.252000>,
      < 14.224000, 6.764000, 3.240000>,
      < 14.208000, 6.764000, 3.032000>
    }
    triangle {
      < 14.288000, 7.480000, 3.252000>,
      < 14.208000, 6.764000, 3.032000>,
      < 14.264000, 7.480000, 3.008000>
    }
    texture {gunsr}
  }
  // DEFAULT
  union {
    triangle {
      < 14.224000, 6.764000, 3.240000>,
      < 14.060000, 6.480000, 3.212000>,
      < 14.048000, 6.480000, 3.092000>
    }
    triangle {
      < 14.224000, 6.764000, 3.240000>,
      < 14.048000, 6.480000, 3.092000>,
      < 14.208000, 6.764000, 3.032000>
    }
    triangle {
      < 14.060000, 6.480000, 3.212000>,
      < 13.964000, 6.340000, 3.192000>,
      < 13.960000, 6.340000, 3.124000>
    }
    triangle {
      < 14.060000, 6.480000, 3.212000>,
      < 13.960000, 6.340000, 3.124000>,
      < 14.048000, 6.480000, 3.092000>
    }
    texture {DEFAULT}
  }
  // gunsr
  union {
    triangle {
      < 13.964000, -1.892000, 3.192000>,
      < 13.836000, -3.176000, 3.172000>,
      < 13.960000, -1.892000, 3.124000>
    }
    triangle {
      < 13.836000, 14.308000, 3.172000>,
      < 13.992000, 14.308000, 3.116000>,
      < 13.936000, 14.308000, 3.044000>
    }
    triangle {
      < 13.992000, 14.308000, 3.116000>,
      < 14.112000, 14.880000, 3.068000>,
      < 14.024000, 14.880000, 2.940000>
    }
    triangle {
      < 13.992000, 14.308000, 3.116000>,
      < 14.024000, 14.880000, 2.940000>,
      < 13.936000, 14.308000, 3.044000>
    }
    triangle {
      < 14.112000, 14.880000, 3.068000>,
      < 14.236000, 14.880000, 3.016000>,
      < 14.108000, 14.880000, 2.840000>
    }
    triangle {
      < 14.112000, 14.880000, 3.068000>,
      < 14.108000, 14.880000, 2.840000>,
      < 14.024000, 14.880000, 2.940000>
    }
    triangle {
      < 14.236000, 14.880000, 3.016000>,
      < 14.236000, 13.596000, 3.016000>,
      < 14.108000, 13.596000, 2.840000>
    }
    triangle {
      < 14.236000, 14.880000, 3.016000>,
      < 14.108000, 13.596000, 2.840000>,
      < 14.108000, 14.880000, 2.840000>
    }
    triangle {
      < 14.236000, 13.596000, 3.016000>,
      < 14.172000, 13.596000, 3.048000>,
      < 14.064000, 13.596000, 2.896000>
    }
    triangle {
      < 14.236000, 13.596000, 3.016000>,
      < 14.064000, 13.596000, 2.896000>,
      < 14.108000, 13.596000, 2.840000>
    }
    triangle {
      < 14.172000, 13.596000, 3.048000>,
      < 14.264000, 13.316000, 3.008000>,
      < 14.124000, 13.316000, 2.816000>
    }
    triangle {
      < 14.172000, 13.596000, 3.048000>,
      < 14.124000, 13.316000, 2.816000>,
      < 14.064000, 13.596000, 2.896000>
    }
    triangle {
      < 14.264000, 13.316000, 3.008000>,
      < 14.264000, 7.480000, 3.008000>,
      < 14.124000, 7.480000, 2.816000>
    }
    texture {gunsr}
  }
  // DEFAULT
  union {
    triangle {
      < 14.264000, 13.316000, 3.008000>,
      < 14.124000, 7.480000, 2.816000>,
      < 14.124000, 13.316000, 2.816000>
    }
    texture {DEFAULT}
  }
  // gunsr
  union {
    triangle {
      < 14.264000, 7.480000, 3.008000>,
      < 14.208000, 6.764000, 3.032000>,
      < 14.088000, 6.764000, 2.868000>
    }
    triangle {
      < 14.264000, 7.480000, 3.008000>,
      < 14.088000, 6.764000, 2.868000>,
      < 14.124000, 7.480000, 2.816000>
    }
    triangle {
      < 14.208000, 6.764000, 3.032000>,
      < 14.048000, 6.480000, 3.092000>,
      < 13.980000, 6.480000, 2.996000>
    }
    triangle {
      < 14.208000, 6.764000, 3.032000>,
      < 13.980000, 6.480000, 2.996000>,
      < 14.088000, 6.764000, 2.868000>
    }
    triangle {
      < 14.048000, 6.480000, 3.092000>,
      < 13.960000, 6.340000, 3.124000>,
      < 13.920000, 6.340000, 3.072000>
    }
    triangle {
      < 14.048000, 6.480000, 3.092000>,
      < 13.920000, 6.340000, 3.072000>,
      < 13.980000, 6.480000, 2.996000>
    }
    triangle {
      < 13.960000, -1.892000, 3.124000>,
      < 13.836000, -3.176000, 3.172000>,
      < 13.920000, -1.892000, 3.072000>
    }
    triangle {
      < 13.836000, 14.308000, 3.172000>,
      < 13.936000, 14.308000, 3.044000>,
      < 13.864000, 14.308000, 3.012000>
    }
    triangle {
      < 13.936000, 14.308000, 3.044000>,
      < 14.024000, 14.880000, 2.940000>,
      < 13.888000, 14.880000, 2.880000>
    }
    triangle {
      < 13.936000, 14.308000, 3.044000>,
      < 13.888000, 14.880000, 2.880000>,
      < 13.864000, 14.308000, 3.012000>
    }
    triangle {
      < 14.024000, 14.880000, 2.940000>,
      < 14.108000, 14.880000, 2.840000>,
      < 13.908000, 14.880000, 2.752000>
    }
    triangle {
      < 14.024000, 14.880000, 2.940000>,
      < 13.908000, 14.880000, 2.752000>,
      < 13.888000, 14.880000, 2.880000>
    }
    triangle {
      < 14.108000, 14.880000, 2.840000>,
      < 14.108000, 13.596000, 2.840000>,
      < 13.908000, 13.596000, 2.752000>
    }
    triangle {
      < 14.108000, 14.880000, 2.840000>,
      < 13.908000, 13.596000, 2.752000>,
      < 13.908000, 14.880000, 2.752000>
    }
    triangle {
      < 14.108000, 13.596000, 2.840000>,
      < 14.064000, 13.596000, 2.896000>,
      < 13.896000, 13.596000, 2.816000>
    }
    triangle {
      < 14.108000, 13.596000, 2.840000>,
      < 13.896000, 13.596000, 2.816000>,
      < 13.908000, 13.596000, 2.752000>
    }
    triangle {
      < 14.064000, 13.596000, 2.896000>,
      < 14.124000, 13.316000, 2.816000>,
      < 13.912000, 13.316000, 2.720000>
    }
    triangle {
      < 14.064000, 13.596000, 2.896000>,
      < 13.912000, 13.316000, 2.720000>,
      < 13.896000, 13.596000, 2.816000>
    }
    texture {gunsr}
  }
  // DEFAULT
  union {
    triangle {
      < 14.124000, 13.316000, 2.816000>,
      < 14.124000, 7.480000, 2.816000>,
      < 13.912000, 7.480000, 2.720000>
    }
    texture {DEFAULT}
  }
  // gunsr
  union {
    triangle {
      < 14.124000, 13.316000, 2.816000>,
      < 13.912000, 7.480000, 2.720000>,
      < 13.912000, 13.316000, 2.720000>
    }
    triangle {
      < 14.124000, 7.480000, 2.816000>,
      < 14.088000, 6.764000, 2.868000>,
      < 13.900000, 6.764000, 2.784000>
    }
    triangle {
      < 14.124000, 7.480000, 2.816000>,
      < 13.900000, 6.764000, 2.784000>,
      < 13.912000, 7.480000, 2.720000>
    }
    triangle {
      < 14.088000, 6.764000, 2.868000>,
      < 13.980000, 6.480000, 2.996000>,
      < 13.880000, 6.480000, 2.944000>
    }
    triangle {
      < 14.088000, 6.764000, 2.868000>,
      < 13.880000, 6.480000, 2.944000>,
      < 13.900000, 6.764000, 2.784000>
    }
    triangle {
      < 13.980000, 6.480000, 2.996000>,
      < 13.920000, 6.340000, 3.072000>,
      < 13.860000, 6.340000, 3.044000>
    }
    triangle {
      < 13.980000, 6.480000, 2.996000>,
      < 13.860000, 6.340000, 3.044000>,
      < 13.880000, 6.480000, 2.944000>
    }
    triangle {
      < 13.920000, -1.892000, 3.072000>,
      < 13.836000, -3.176000, 3.172000>,
      < 13.860000, -1.892000, 3.044000>
    }
    triangle {
      < 13.836000, 14.308000, 3.172000>,
      < 13.864000, 14.308000, 3.012000>,
      < 13.780000, 14.308000, 3.016000>
    }
    triangle {
      < 13.864000, 14.308000, 3.012000>,
      < 13.888000, 14.880000, 2.880000>,
      < 13.736000, 14.880000, 2.892000>
    }
    triangle {
      < 13.864000, 14.308000, 3.012000>,
      < 13.736000, 14.880000, 2.892000>,
      < 13.780000, 14.308000, 3.016000>
    }
    triangle {
      < 13.888000, 14.880000, 2.880000>,
      < 13.908000, 14.880000, 2.752000>,
      < 13.692000, 14.880000, 2.768000>
    }
    triangle {
      < 13.888000, 14.880000, 2.880000>,
      < 13.692000, 14.880000, 2.768000>,
      < 13.736000, 14.880000, 2.892000>
    }
    triangle {
      < 13.908000, 14.880000, 2.752000>,
      < 13.908000, 13.596000, 2.752000>,
      < 13.692000, 13.596000, 2.768000>
    }
    triangle {
      < 13.908000, 14.880000, 2.752000>,
      < 13.692000, 13.596000, 2.768000>,
      < 13.692000, 14.880000, 2.768000>
    }
    triangle {
      < 13.908000, 13.596000, 2.752000>,
      < 13.896000, 13.596000, 2.816000>,
      < 13.716000, 13.596000, 2.832000>
    }
    triangle {
      < 13.908000, 13.596000, 2.752000>,
      < 13.716000, 13.596000, 2.832000>,
      < 13.692000, 13.596000, 2.768000>
    }
    triangle {
      < 13.896000, 13.596000, 2.816000>,
      < 13.912000, 13.316000, 2.720000>,
      < 13.672000, 13.316000, 2.740000>
    }
    triangle {
      < 13.896000, 13.596000, 2.816000>,
      < 13.672000, 13.316000, 2.740000>,
      < 13.716000, 13.596000, 2.832000>
    }
    triangle {
      < 13.912000, 13.316000, 2.720000>,
      < 13.912000, 7.480000, 2.720000>,
      < 13.672000, 7.480000, 2.740000>
    }
    triangle {
      < 13.912000, 13.316000, 2.720000>,
      < 13.672000, 7.480000, 2.740000>,
      < 13.672000, 13.316000, 2.740000>
    }
    triangle {
      < 13.912000, 7.480000, 2.720000>,
      < 13.900000, 6.764000, 2.784000>,
      < 13.700000, 6.764000, 2.804000>
    }
    triangle {
      < 13.912000, 7.480000, 2.720000>,
      < 13.700000, 6.764000, 2.804000>,
      < 13.672000, 7.480000, 2.740000>
    }
    triangle {
      < 13.900000, 6.764000, 2.784000>,
      < 13.880000, 6.480000, 2.944000>,
      < 13.760000, 6.480000, 2.956000>
    }
    triangle {
      < 13.900000, 6.764000, 2.784000>,
      < 13.760000, 6.480000, 2.956000>,
      < 13.700000, 6.764000, 2.804000>
    }
    triangle {
      < 13.880000, 6.480000, 2.944000>,
      < 13.860000, 6.340000, 3.044000>,
      < 13.788000, 6.340000, 3.052000>
    }
    triangle {
      < 13.880000, 6.480000, 2.944000>,
      < 13.788000, 6.340000, 3.052000>,
      < 13.760000, 6.480000, 2.956000>
    }
    triangle {
      < 13.860000, -1.892000, 3.044000>,
      < 13.836000, -3.176000, 3.172000>,
      < 13.788000, -1.892000, 3.052000>
    }
    triangle {
      < 13.836000, 14.308000, 3.172000>,
      < 13.780000, 14.308000, 3.016000>,
      < 13.712000, 14.308000, 3.068000>
    }
    triangle {
      < 13.780000, 14.308000, 3.016000>,
      < 13.736000, 14.880000, 2.892000>,
      < 13.608000, 14.880000, 2.984000>
    }
    triangle {
      < 13.780000, 14.308000, 3.016000>,
      < 13.608000, 14.880000, 2.984000>,
      < 13.712000, 14.308000, 3.068000>
    }
    triangle {
      < 13.736000, 14.880000, 2.892000>,
      < 13.692000, 14.880000, 2.768000>,
      < 13.508000, 14.880000, 2.900000>
    }
    triangle {
      < 13.736000, 14.880000, 2.892000>,
      < 13.508000, 14.880000, 2.900000>,
      < 13.608000, 14.880000, 2.984000>
    }
    triangle {
      < 13.692000, 14.880000, 2.768000>,
      < 13.692000, 13.596000, 2.768000>,
      < 13.508000, 13.596000, 2.900000>
    }
    triangle {
      < 13.692000, 14.880000, 2.768000>,
      < 13.508000, 13.596000, 2.900000>,
      < 13.508000, 14.880000, 2.900000>
    }
    triangle {
      < 13.692000, 13.596000, 2.768000>,
      < 13.716000, 13.596000, 2.832000>,
      < 13.564000, 13.596000, 2.940000>
    }
    triangle {
      < 13.692000, 13.596000, 2.768000>,
      < 13.564000, 13.596000, 2.940000>,
      < 13.508000, 13.596000, 2.900000>
    }
    triangle {
      < 13.716000, 13.596000, 2.832000>,
      < 13.672000, 13.316000, 2.740000>,
      < 13.484000, 13.316000, 2.880000>
    }
    triangle {
      < 13.716000, 13.596000, 2.832000>,
      < 13.484000, 13.316000, 2.880000>,
      < 13.564000, 13.596000, 2.940000>
    }
    triangle {
      < 13.672000, 13.316000, 2.740000>,
      < 13.672000, 7.480000, 2.740000>,
      < 13.484000, 7.480000, 2.880000>
    }
    triangle {
      < 13.672000, 13.316000, 2.740000>,
      < 13.484000, 7.480000, 2.880000>,
      < 13.484000, 13.316000, 2.880000>
    }
    triangle {
      < 13.672000, 7.480000, 2.740000>,
      < 13.700000, 6.764000, 2.804000>,
      < 13.536000, 6.764000, 2.920000>
    }
    triangle {
      < 13.672000, 7.480000, 2.740000>,
      < 13.536000, 6.764000, 2.920000>,
      < 13.484000, 7.480000, 2.880000>
    }
    triangle {
      < 13.700000, 6.764000, 2.804000>,
      < 13.760000, 6.480000, 2.956000>,
      < 13.664000, 6.480000, 3.028000>
    }
    triangle {
      < 13.700000, 6.764000, 2.804000>,
      < 13.664000, 6.480000, 3.028000>,
      < 13.536000, 6.764000, 2.920000>
    }
    triangle {
      < 13.760000, 6.480000, 2.956000>,
      < 13.788000, 6.340000, 3.052000>,
      < 13.736000, 6.340000, 3.092000>
    }
    triangle {
      < 13.760000, 6.480000, 2.956000>,
      < 13.736000, 6.340000, 3.092000>,
      < 13.664000, 6.480000, 3.028000>
    }
    triangle {
      < 13.788000, -1.892000, 3.052000>,
      < 13.836000, -3.176000, 3.172000>,
      < 13.736000, -1.892000, 3.092000>
    }
    triangle {
      < 13.836000, 14.308000, 3.172000>,
      < 13.712000, 14.308000, 3.068000>,
      < 13.680000, 14.308000, 3.144000>
    }
    triangle {
      < 13.712000, 14.308000, 3.068000>,
      < 13.608000, 14.880000, 2.984000>,
      < 13.548000, 14.880000, 3.120000>
    }
    triangle {
      < 13.712000, 14.308000, 3.068000>,
      < 13.548000, 14.880000, 3.120000>,
      < 13.680000, 14.308000, 3.144000>
    }
    triangle {
      < 13.608000, 14.880000, 2.984000>,
      < 13.508000, 14.880000, 2.900000>,
      < 13.416000, 14.880000, 3.100000>
    }
    triangle {
      < 13.608000, 14.880000, 2.984000>,
      < 13.416000, 14.880000, 3.100000>,
      < 13.548000, 14.880000, 3.120000>
    }
    triangle {
      < 13.508000, 14.880000, 2.900000>,
      < 13.508000, 13.596000, 2.900000>,
      < 13.416000, 13.596000, 3.100000>
    }
    triangle {
      < 13.508000, 14.880000, 2.900000>,
      < 13.416000, 13.596000, 3.100000>,
      < 13.416000, 14.880000, 3.100000>
    }
    triangle {
      < 13.508000, 13.596000, 2.900000>,
      < 13.564000, 13.596000, 2.940000>,
      < 13.484000, 13.596000, 3.108000>
    }
    triangle {
      < 13.508000, 13.596000, 2.900000>,
      < 13.484000, 13.596000, 3.108000>,
      < 13.416000, 13.596000, 3.100000>
    }
    triangle {
      < 13.564000, 13.596000, 2.940000>,
      < 13.484000, 13.316000, 2.880000>,
      < 13.388000, 13.316000, 3.096000>
    }
    triangle {
      < 13.564000, 13.596000, 2.940000>,
      < 13.388000, 13.316000, 3.096000>,
      < 13.484000, 13.596000, 3.108000>
    }
    triangle {
      < 13.484000, 13.316000, 2.880000>,
      < 13.484000, 7.480000, 2.880000>,
      < 13.388000, 7.480000, 3.096000>
    }
    triangle {
      < 13.484000, 13.316000, 2.880000>,
      < 13.388000, 7.480000, 3.096000>,
      < 13.388000, 13.316000, 3.096000>
    }
    triangle {
      < 13.484000, 7.480000, 2.880000>,
      < 13.536000, 6.764000, 2.920000>,
      < 13.452000, 6.764000, 3.104000>
    }
    triangle {
      < 13.484000, 7.480000, 2.880000>,
      < 13.452000, 6.764000, 3.104000>,
      < 13.388000, 7.480000, 3.096000>
    }
    triangle {
      < 13.536000, 6.764000, 2.920000>,
      < 13.664000, 6.480000, 3.028000>,
      < 13.612000, 6.480000, 3.132000>
    }
    triangle {
      < 13.536000, 6.764000, 2.920000>,
      < 13.612000, 6.480000, 3.132000>,
      < 13.452000, 6.764000, 3.104000>
    }
    triangle {
      < 13.664000, 6.480000, 3.028000>,
      < 13.736000, 6.340000, 3.092000>,
      < 13.712000, 6.340000, 3.148000>
    }
    triangle {
      < 13.664000, 6.480000, 3.028000>,
      < 13.712000, 6.340000, 3.148000>,
      < 13.612000, 6.480000, 3.132000>
    }
    triangle {
      < 13.736000, -1.892000, 3.092000>,
      < 13.836000, -3.176000, 3.172000>,
      < 13.712000, -1.892000, 3.148000>
    }
    triangle {
      < 13.836000, 14.308000, 3.172000>,
      < 13.680000, 14.308000, 3.144000>,
      < 13.684000, 14.308000, 3.228000>
    }
    triangle {
      < 13.680000, 14.308000, 3.144000>,
      < 13.548000, 14.880000, 3.120000>,
      < 13.560000, 14.880000, 3.272000>
    }
    triangle {
      < 13.680000, 14.308000, 3.144000>,
      < 13.560000, 14.880000, 3.272000>,
      < 13.684000, 14.308000, 3.228000>
    }
    triangle {
      < 13.548000, 14.880000, 3.120000>,
      < 13.416000, 14.880000, 3.100000>,
      < 13.436000, 14.880000, 3.320000>
    }
    triangle {
      < 13.548000, 14.880000, 3.120000>,
      < 13.436000, 14.880000, 3.320000>,
      < 13.560000, 14.880000, 3.272000>
    }
    triangle {
      < 13.416000, 14.880000, 3.100000>,
      < 13.416000, 13.596000, 3.100000>,
      < 13.436000, 13.596000, 3.320000>
    }
    triangle {
      < 13.416000, 14.880000, 3.100000>,
      < 13.436000, 13.596000, 3.320000>,
      < 13.436000, 14.880000, 3.320000>
    }
    triangle {
      < 13.416000, 13.596000, 3.100000>,
      < 13.484000, 13.596000, 3.108000>,
      < 13.500000, 13.596000, 3.296000>
    }
    triangle {
      < 13.416000, 13.596000, 3.100000>,
      < 13.500000, 13.596000, 3.296000>,
      < 13.436000, 13.596000, 3.320000>
    }
    triangle {
      < 13.484000, 13.596000, 3.108000>,
      < 13.388000, 13.316000, 3.096000>,
      < 13.400000, 13.316000, 3.328000>
    }
    triangle {
      < 13.484000, 13.596000, 3.108000>,
      < 13.400000, 13.316000, 3.328000>,
      < 13.500000, 13.596000, 3.296000>
    }
    triangle {
      < 13.388000, 13.316000, 3.096000>,
      < 13.388000, 7.480000, 3.096000>,
      < 13.400000, 7.480000, 3.328000>
    }
    triangle {
      < 13.388000, 13.316000, 3.096000>,
      < 13.400000, 7.480000, 3.328000>,
      < 13.400000, 13.316000, 3.328000>
    }
    triangle {
      < 13.388000, 7.480000, 3.096000>,
      < 13.452000, 6.764000, 3.104000>,
      < 13.464000, 6.764000, 3.308000>
    }
    triangle {
      < 13.388000, 7.480000, 3.096000>,
      < 13.464000, 6.764000, 3.308000>,
      < 13.400000, 7.480000, 3.328000>
    }
    triangle {
      < 13.452000, 6.764000, 3.104000>,
      < 13.612000, 6.480000, 3.132000>,
      < 13.624000, 6.480000, 3.248000>
    }
    triangle {
      < 13.452000, 6.764000, 3.104000>,
      < 13.624000, 6.480000, 3.248000>,
      < 13.464000, 6.764000, 3.308000>
    }
    triangle {
      < 13.612000, 6.480000, 3.132000>,
      < 13.712000, 6.340000, 3.148000>,
      < 13.716000, 6.340000, 3.216000>
    }
    triangle {
      < 13.612000, 6.480000, 3.132000>,
      < 13.716000, 6.340000, 3.216000>,
      < 13.624000, 6.480000, 3.248000>
    }
    triangle {
      < 13.712000, -1.892000, 3.148000>,
      < 13.836000, -3.176000, 3.172000>,
      < 13.716000, -1.892000, 3.216000>
    }
    triangle {
      < 13.836000, 14.308000, 3.172000>,
      < 13.684000, 14.308000, 3.228000>,
      < 13.736000, 14.308000, 3.296000>
    }
    triangle {
      < 13.684000, 14.308000, 3.228000>,
      < 13.560000, 14.880000, 3.272000>,
      < 13.652000, 14.880000, 3.396000>
    }
    triangle {
      < 13.684000, 14.308000, 3.228000>,
      < 13.652000, 14.880000, 3.396000>,
      < 13.736000, 14.308000, 3.296000>
    }
    triangle {
      < 13.560000, 14.880000, 3.272000>,
      < 13.436000, 14.880000, 3.320000>,
      < 13.560000, 14.880000, 3.504000>
    }
    triangle {
      < 13.560000, 14.880000, 3.272000>,
      < 13.560000, 14.880000, 3.504000>,
      < 13.652000, 14.880000, 3.396000>
    }
    triangle {
      < 13.436000, 14.880000, 3.320000>,
      < 13.436000, 13.596000, 3.320000>,
      < 13.560000, 13.596000, 3.504000>
    }
    triangle {
      < 13.436000, 14.880000, 3.320000>,
      < 13.560000, 13.596000, 3.504000>,
      < 13.560000, 14.880000, 3.504000>
    }
    triangle {
      < 13.436000, 13.596000, 3.320000>,
      < 13.500000, 13.596000, 3.296000>,
      < 13.608000, 13.596000, 3.448000>
    }
    triangle {
      < 13.436000, 13.596000, 3.320000>,
      < 13.608000, 13.596000, 3.448000>,
      < 13.560000, 13.596000, 3.504000>
    }
    triangle {
      < 13.500000, 13.596000, 3.296000>,
      < 13.400000, 13.316000, 3.328000>,
      < 13.544000, 13.316000, 3.524000>
    }
    triangle {
      < 13.500000, 13.596000, 3.296000>,
      < 13.544000, 13.316000, 3.524000>,
      < 13.608000, 13.596000, 3.448000>
    }
    triangle {
      < 13.400000, 13.316000, 3.328000>,
      < 13.400000, 7.480000, 3.328000>,
      < 13.544000, 7.480000, 3.524000>
    }
    triangle {
      < 13.400000, 13.316000, 3.328000>,
      < 13.544000, 7.480000, 3.524000>,
      < 13.544000, 13.316000, 3.524000>
    }
    triangle {
      < 13.400000, 7.480000, 3.328000>,
      < 13.464000, 6.764000, 3.308000>,
      < 13.584000, 6.764000, 3.472000>
    }
    triangle {
      < 13.400000, 7.480000, 3.328000>,
      < 13.584000, 6.764000, 3.472000>,
      < 13.544000, 7.480000, 3.524000>
    }
    triangle {
      < 13.464000, 6.764000, 3.308000>,
      < 13.624000, 6.480000, 3.248000>,
      < 13.692000, 6.480000, 3.348000>
    }
    triangle {
      < 13.464000, 6.764000, 3.308000>,
      < 13.692000, 6.480000, 3.348000>,
      < 13.584000, 6.764000, 3.472000>
    }
    triangle {
      < 13.624000, 6.480000, 3.248000>,
      < 13.716000, 6.340000, 3.216000>,
      < 13.760000, 6.340000, 3.268000>
    }
    triangle {
      < 13.624000, 6.480000, 3.248000>,
      < 13.760000, 6.340000, 3.268000>,
      < 13.692000, 6.480000, 3.348000>
    }
    triangle {
      < 13.716000, -1.892000, 3.216000>,
      < 13.836000, -3.176000, 3.172000>,
      < 13.760000, -1.892000, 3.268000>
    }
    triangle {
      < 13.836000, 14.308000, 3.172000>,
      < 13.736000, 14.308000, 3.296000>,
      < 13.812000, 14.308000, 3.332000>
    }
    triangle {
      < 13.736000, 14.308000, 3.296000>,
      < 13.652000, 14.880000, 3.396000>,
      < 13.788000, 14.880000, 3.456000>
    }
    triangle {
      < 13.736000, 14.308000, 3.296000>,
      < 13.788000, 14.880000, 3.456000>,
      < 13.812000, 14.308000, 3.332000>
    }
    triangle {
      < 13.652000, 14.880000, 3.396000>,
      < 13.560000, 14.880000, 3.504000>,
      < 13.764000, 14.880000, 3.588000>
    }
    triangle {
      < 13.652000, 14.880000, 3.396000>,
      < 13.764000, 14.880000, 3.588000>,
      < 13.788000, 14.880000, 3.456000>
    }
    triangle {
      < 13.560000, 14.880000, 3.504000>,
      < 13.560000, 13.596000, 3.504000>,
      < 13.764000, 13.596000, 3.588000>
    }
    triangle {
      < 13.560000, 14.880000, 3.504000>,
      < 13.764000, 13.596000, 3.588000>,
      < 13.764000, 14.880000, 3.588000>
    }
    triangle {
      < 13.560000, 13.596000, 3.504000>,
      < 13.608000, 13.596000, 3.448000>,
      < 13.772000, 13.596000, 3.528000>
    }
    triangle {
      < 13.560000, 13.596000, 3.504000>,
      < 13.772000, 13.596000, 3.528000>,
      < 13.764000, 13.596000, 3.588000>
    }
    triangle {
      < 13.608000, 13.596000, 3.448000>,
      < 13.544000, 13.316000, 3.524000>,
      < 13.760000, 13.316000, 3.620000>
    }
    triangle {
      < 13.608000, 13.596000, 3.448000>,
      < 13.760000, 13.316000, 3.620000>,
      < 13.772000, 13.596000, 3.528000>
    }
    triangle {
      < 13.544000, 13.316000, 3.524000>,
      < 13.544000, 7.480000, 3.524000>,
      < 13.760000, 7.480000, 3.620000>
    }
    triangle {
      < 13.544000, 13.316000, 3.524000>,
      < 13.760000, 7.480000, 3.620000>,
      < 13.760000, 13.316000, 3.620000>
    }
    triangle {
      < 13.544000, 7.480000, 3.524000>,
      < 13.584000, 6.764000, 3.472000>,
      < 13.772000, 6.764000, 3.556000>
    }
    triangle {
      < 13.544000, 7.480000, 3.524000>,
      < 13.772000, 6.764000, 3.556000>,
      < 13.760000, 7.480000, 3.620000>
    }
    triangle {
      < 13.584000, 6.764000, 3.472000>,
      < 13.692000, 6.480000, 3.348000>,
      < 13.800000, 6.480000, 3.396000>
    }
    triangle {
      < 13.584000, 6.764000, 3.472000>,
      < 13.800000, 6.480000, 3.396000>,
      < 13.772000, 6.764000, 3.556000>
    }
    triangle {
      < 13.692000, 6.480000, 3.348000>,
      < 13.760000, 6.340000, 3.268000>,
      < 13.816000, 6.340000, 3.296000>
    }
    triangle {
      < 13.692000, 6.480000, 3.348000>,
      < 13.816000, 6.340000, 3.296000>,
      < 13.800000, 6.480000, 3.396000>
    }
    triangle {
      < 13.760000, -1.892000, 3.268000>,
      < 13.836000, -3.176000, 3.172000>,
      < 13.816000, -1.892000, 3.296000>
    }
    triangle {
      < 13.836000, 14.308000, 3.172000>,
      < 13.812000, 14.308000, 3.332000>,
      < 13.892000, 14.308000, 3.324000>
    }
    triangle {
      < 13.812000, 14.308000, 3.332000>,
      < 13.788000, 14.880000, 3.456000>,
      < 13.936000, 14.880000, 3.448000>
    }
    triangle {
      < 13.812000, 14.308000, 3.332000>,
      < 13.936000, 14.880000, 3.448000>,
      < 13.892000, 14.308000, 3.324000>
    }
    triangle {
      < 13.788000, 14.880000, 3.456000>,
      < 13.764000, 14.880000, 3.588000>,
      < 13.984000, 14.880000, 3.572000>
    }
    triangle {
      < 13.788000, 14.880000, 3.456000>,
      < 13.984000, 14.880000, 3.572000>,
      < 13.936000, 14.880000, 3.448000>
    }
    triangle {
      < 13.764000, 14.880000, 3.588000>,
      < 13.764000, 13.596000, 3.588000>,
      < 13.984000, 13.596000, 3.572000>
    }
    triangle {
      < 13.764000, 14.880000, 3.588000>,
      < 13.984000, 13.596000, 3.572000>,
      < 13.984000, 14.880000, 3.572000>
    }
    triangle {
      < 13.764000, 13.596000, 3.588000>,
      < 13.772000, 13.596000, 3.528000>,
      < 13.964000, 13.596000, 3.504000>
    }
    triangle {
      < 13.764000, 13.596000, 3.588000>,
      < 13.964000, 13.596000, 3.504000>,
      < 13.984000, 13.596000, 3.572000>
    }
    triangle {
      < 13.772000, 13.596000, 3.528000>,
      < 13.760000, 13.316000, 3.620000>,
      < 13.996000, 13.316000, 3.600000>
    }
    triangle {
      < 13.772000, 13.596000, 3.528000>,
      < 13.996000, 13.316000, 3.600000>,
      < 13.964000, 13.596000, 3.504000>
    }
    triangle {
      < 13.760000, 13.316000, 3.620000>,
      < 13.760000, 7.480000, 3.620000>,
      < 13.996000, 7.480000, 3.600000>
    }
    triangle {
      < 13.760000, 13.316000, 3.620000>,
      < 13.996000, 7.480000, 3.600000>,
      < 13.996000, 13.316000, 3.600000>
    }
    triangle {
      < 13.760000, 7.480000, 3.620000>,
      < 13.772000, 6.764000, 3.556000>,
      < 13.972000, 6.764000, 3.540000>
    }
    triangle {
      < 13.760000, 7.480000, 3.620000>,
      < 13.972000, 6.764000, 3.540000>,
      < 13.996000, 7.480000, 3.600000>
    }
    triangle {
      < 13.772000, 6.764000, 3.556000>,
      < 13.800000, 6.480000, 3.396000>,
      < 13.916000, 6.480000, 3.388000>
    }
    triangle {
      < 13.772000, 6.764000, 3.556000>,
      < 13.916000, 6.480000, 3.388000>,
      < 13.972000, 6.764000, 3.540000>
    }
    triangle {
      < 13.800000, 6.480000, 3.396000>,
      < 13.816000, 6.340000, 3.296000>,
      < 13.880000, 6.340000, 3.288000>
    }
    triangle {
      < 13.800000, 6.480000, 3.396000>,
      < 13.880000, 6.340000, 3.288000>,
      < 13.916000, 6.480000, 3.388000>
    }
    triangle {
      < 13.816000, -1.892000, 3.296000>,
      < 13.836000, -3.176000, 3.172000>,
      < 13.880000, -1.892000, 3.288000>
    }
    triangle {
      < 13.836000, 14.308000, 3.172000>,
      < 13.892000, 14.308000, 3.324000>,
      < 13.964000, 14.308000, 3.272000>
    }
    triangle {
      < 13.892000, 14.308000, 3.324000>,
      < 13.936000, 14.880000, 3.448000>,
      < 14.064000, 14.880000, 3.356000>
    }
    triangle {
      < 13.892000, 14.308000, 3.324000>,
      < 14.064000, 14.880000, 3.356000>,
      < 13.964000, 14.308000, 3.272000>
    }
    triangle {
      < 13.936000, 14.880000, 3.448000>,
      < 13.984000, 14.880000, 3.572000>,
      < 14.164000, 14.880000, 3.440000>
    }
    triangle {
      < 13.936000, 14.880000, 3.448000>,
      < 14.164000, 14.880000, 3.440000>,
      < 14.064000, 14.880000, 3.356000>
    }
    triangle {
      < 13.984000, 14.880000, 3.572000>,
      < 13.984000, 13.596000, 3.572000>,
      < 14.164000, 13.596000, 3.440000>
    }
    triangle {
      < 13.984000, 14.880000, 3.572000>,
      < 14.164000, 13.596000, 3.440000>,
      < 14.164000, 14.880000, 3.440000>
    }
    triangle {
      < 13.984000, 13.596000, 3.572000>,
      < 13.964000, 13.596000, 3.504000>,
      < 14.116000, 13.596000, 3.400000>
    }
    triangle {
      < 13.984000, 13.596000, 3.572000>,
      < 14.116000, 13.596000, 3.400000>,
      < 14.164000, 13.596000, 3.440000>
    }
    triangle {
      < 13.964000, 13.596000, 3.504000>,
      < 13.996000, 13.316000, 3.600000>,
      < 14.188000, 13.316000, 3.464000>
    }
    triangle {
      < 13.964000, 13.596000, 3.504000>,
      < 14.188000, 13.316000, 3.464000>,
      < 14.116000, 13.596000, 3.400000>
    }
    triangle {
      < 13.996000, 13.316000, 3.600000>,
      < 13.996000, 7.480000, 3.600000>,
      < 14.188000, 7.480000, 3.464000>
    }
    triangle {
      < 13.996000, 13.316000, 3.600000>,
      < 14.188000, 7.480000, 3.464000>,
      < 14.188000, 13.316000, 3.464000>
    }
    triangle {
      < 13.996000, 7.480000, 3.600000>,
      < 13.972000, 6.764000, 3.540000>,
      < 14.136000, 6.764000, 3.420000>
    }
    triangle {
      < 13.996000, 7.480000, 3.600000>,
      < 14.136000, 6.764000, 3.420000>,
      < 14.188000, 7.480000, 3.464000>
    }
    triangle {
      < 13.972000, 6.764000, 3.540000>,
      < 13.916000, 6.480000, 3.388000>,
      < 14.012000, 6.480000, 3.312000>
    }
    triangle {
      < 13.972000, 6.764000, 3.540000>,
      < 14.012000, 6.480000, 3.312000>,
      < 14.136000, 6.764000, 3.420000>
    }
    triangle {
      < 13.916000, 6.480000, 3.388000>,
      < 13.880000, 6.340000, 3.288000>,
      < 13.936000, 6.340000, 3.252000>
    }
    triangle {
      < 13.916000, 6.480000, 3.388000>,
      < 13.936000, 6.340000, 3.252000>,
      < 14.012000, 6.480000, 3.312000>
    }
    triangle {
      < 13.880000, -1.892000, 3.288000>,
      < 13.836000, -3.176000, 3.172000>,
      < 13.936000, -1.892000, 3.252000>
    }
    triangle {
      < 13.836000, 14.308000, 3.172000>,
      < 13.964000, 14.308000, 3.272000>,
      < 13.996000, 14.308000, 3.200000>
    }
    triangle {
      < 13.964000, 14.308000, 3.272000>,
      < 14.064000, 14.880000, 3.356000>,
      < 14.124000, 14.880000, 3.220000>
    }
    triangle {
      < 13.964000, 14.308000, 3.272000>,
      < 14.124000, 14.880000, 3.220000>,
      < 13.996000, 14.308000, 3.200000>
    }
    triangle {
      < 14.064000, 14.880000, 3.356000>,
      < 14.164000, 14.880000, 3.440000>,
      < 14.256000, 14.880000, 3.240000>
    }
    triangle {
      < 14.064000, 14.880000, 3.356000>,
      < 14.256000, 14.880000, 3.240000>,
      < 14.124000, 14.880000, 3.220000>
    }
    triangle {
      < 14.164000, 14.880000, 3.440000>,
      < 14.164000, 13.596000, 3.440000>,
      < 14.256000, 13.596000, 3.240000>
    }
    triangle {
      < 14.164000, 14.880000, 3.440000>,
      < 14.256000, 13.596000, 3.240000>,
      < 14.256000, 14.880000, 3.240000>
    }
    triangle {
      < 14.164000, 13.596000, 3.440000>,
      < 14.116000, 13.596000, 3.400000>,
      < 14.188000, 13.596000, 3.232000>
    }
    triangle {
      < 14.164000, 13.596000, 3.440000>,
      < 14.188000, 13.596000, 3.232000>,
      < 14.256000, 13.596000, 3.240000>
    }
    triangle {
      < 14.116000, 13.596000, 3.400000>,
      < 14.188000, 13.316000, 3.464000>,
      < 14.288000, 13.316000, 3.252000>
    }
    triangle {
      < 14.116000, 13.596000, 3.400000>,
      < 14.288000, 13.316000, 3.252000>,
      < 14.188000, 13.596000, 3.232000>
    }
    triangle {
      < 14.188000, 13.316000, 3.464000>,
      < 14.188000, 7.480000, 3.464000>,
      < 14.288000, 7.480000, 3.252000>
    }
    triangle {
      < 14.188000, 13.316000, 3.464000>,
      < 14.288000, 7.480000, 3.252000>,
      < 14.288000, 13.316000, 3.252000>
    }
    triangle {
      < 14.188000, 7.480000, 3.464000>,
      < 14.136000, 6.764000, 3.420000>,
      < 14.224000, 6.764000, 3.240000>
    }
    triangle {
      < 14.188000, 7.480000, 3.464000>,
      < 14.224000, 6.764000, 3.240000>,
      < 14.288000, 7.480000, 3.252000>
    }
    triangle {
      < 14.136000, 6.764000, 3.420000>,
      < 14.012000, 6.480000, 3.312000>,
      < 14.060000, 6.480000, 3.212000>
    }
    triangle {
      < 14.136000, 6.764000, 3.420000>,
      < 14.060000, 6.480000, 3.212000>,
      < 14.224000, 6.764000, 3.240000>
    }
    texture {gunsr}
  }
  // DEFAULT
  union {
    triangle {
      < 14.012000, 6.480000, 3.312000>,
      < 13.936000, 6.340000, 3.252000>,
      < 13.964000, 6.340000, 3.192000>
    }
    triangle {
      < 14.012000, 6.480000, 3.312000>,
      < 13.964000, 6.340000, 3.192000>,
      < 14.060000, 6.480000, 3.212000>
    }
    texture {DEFAULT}
  }
  // gunsr
  union {
    triangle {
      < 13.936000, -1.892000, 3.252000>,
      < 13.836000, -3.176000, 3.172000>,
      < 13.964000, -1.892000, 3.192000>
    }
    triangle {
      < 14.032000, -1.024000, 3.388000>,
      < 13.596000, -1.024000, 3.312000>,
      < 13.544000, -1.812000, 3.596000>
    }
    triangle {
      < 14.032000, -1.024000, 3.388000>,
      < 13.544000, -1.812000, 3.596000>,
      < 13.984000, -1.812000, 3.672000>
    }
    triangle {
      < 13.984000, -1.812000, 3.672000>,
      < 13.544000, -1.812000, 3.596000>,
      < 13.564000, -1.812000, 3.488000>
    }
    triangle {
      < 13.984000, -1.812000, 3.672000>,
      < 13.564000, -1.812000, 3.488000>,
      < 14.000000, -1.812000, 3.568000>
    }
    triangle {
      < 14.000000, -1.812000, 3.568000>,
      < 13.564000, -1.812000, 3.488000>,
      < 13.608000, -1.208000, 3.236000>
    }
    triangle {
      < 14.088000, -1.256000, 3.068000>,
      < 13.652000, -1.256000, 2.992000>,
      < 13.696000, -1.720000, 2.740000>
    }
    triangle {
      < 14.088000, -1.256000, 3.068000>,
      < 13.696000, -1.720000, 2.740000>,
      < 14.132000, -1.720000, 2.816000>
    }
    triangle {
      < 14.132000, -1.720000, 2.816000>,
      < 13.696000, -1.720000, 2.740000>,
      < 13.716000, -1.720000, 2.632000>
    }
    triangle {
      < 14.132000, -1.720000, 2.816000>,
      < 13.716000, -1.720000, 2.632000>,
      < 14.152000, -1.720000, 2.708000>
    }
    triangle {
      < 14.152000, -1.720000, 2.708000>,
      < 13.716000, -1.720000, 2.632000>,
      < 13.660000, -1.024000, 2.952000>
    }
    triangle {
      < 14.152000, -1.720000, 2.708000>,
      < 13.660000, -1.024000, 2.952000>,
      < 14.096000, -1.024000, 3.028000>
    }
    triangle {
      < 14.088000, -1.256000, 3.068000>,
      < 14.132000, -1.720000, 2.816000>,
      < 14.152000, -1.720000, 2.708000>
    }
    triangle {
      < 13.652000, -1.256000, 2.992000>,
      < 13.716000, -1.720000, 2.632000>,
      < 13.696000, -1.720000, 2.740000>
    }
    triangle {
      < 14.088000, -1.256000, 3.068000>,
      < 14.152000, -1.720000, 2.708000>,
      < 14.096000, -1.024000, 3.028000>
    }
    triangle {
      < 13.652000, -1.256000, 2.992000>,
      < 13.660000, -1.024000, 2.952000>,
      < 13.716000, -1.720000, 2.632000>
    }
    triangle {
      < 14.044000, -1.208000, 3.316000>,
      < 14.088000, -1.256000, 3.068000>,
      < 14.096000, -1.024000, 3.028000>
    }
    triangle {
      < 13.608000, -1.208000, 3.236000>,
      < 13.660000, -1.024000, 2.952000>,
      < 13.652000, -1.256000, 2.992000>
    }
    triangle {
      < 14.044000, -1.208000, 3.316000>,
      < 14.096000, -1.024000, 3.028000>,
      < 14.032000, -1.024000, 3.388000>
    }
    triangle {
      < 13.608000, -1.208000, 3.236000>,
      < 13.596000, -1.024000, 3.312000>,
      < 13.660000, -1.024000, 2.952000>
    }
    triangle {
      < 14.032000, -1.024000, 3.388000>,
      < 13.984000, -1.812000, 3.672000>,
      < 14.000000, -1.812000, 3.568000>
    }
    triangle {
      < 13.596000, -1.024000, 3.312000>,
      < 13.564000, -1.812000, 3.488000>,
      < 13.544000, -1.812000, 3.596000>
    }
    triangle {
      < 14.032000, -1.024000, 3.388000>,
      < 14.000000, -1.812000, 3.568000>,
      < 14.044000, -1.208000, 3.316000>
    }
    triangle {
      < 13.596000, -1.024000, 3.312000>,
      < 13.608000, -1.208000, 3.236000>,
      < 13.564000, -1.812000, 3.488000>
    }
    triangle {
      < 13.756000, -1.244000, 3.076000>,
      < 13.736000, -1.892000, 3.092000>,
      < 13.736000, -1.240000, 3.088000>
    }
    triangle {
      < 13.956000, -1.240000, 3.128000>,
      < 14.044000, -1.208000, 3.316000>,
      < 13.964000, -1.232000, 3.192000>
    }
    triangle {
      < 13.924000, -1.248000, 3.076000>,
      < 14.088000, -1.256000, 3.068000>,
      < 13.960000, -1.240000, 3.124000>
    }
    triangle {
      < 13.864000, -1.252000, 3.048000>,
      < 14.088000, -1.256000, 3.068000>,
      < 13.920000, -1.248000, 3.072000>
    }
    triangle {
      < 13.796000, -1.248000, 3.048000>,
      < 13.652000, -1.256000, 2.992000>,
      < 13.860000, -1.252000, 3.044000>
    }
    triangle {
      < 13.752000, -1.024000, 3.264000>,
      < 13.728000, -1.024000, 3.236000>,
      < 13.596000, -1.024000, 3.312000>
    }
    triangle {
      < 13.808000, -1.024000, 3.296000>,
      < 13.760000, -1.024000, 3.268000>,
      < 13.596000, -1.024000, 3.312000>
    }
    triangle {
      < 13.872000, -1.024000, 3.288000>,
      < 13.816000, -1.024000, 3.296000>,
      < 14.032000, -1.024000, 3.388000>
    }
    triangle {
      < 13.932000, -1.024000, 3.256000>,
      < 13.880000, -1.024000, 3.288000>,
      < 14.032000, -1.024000, 3.388000>
    }
    triangle {
      < 13.956000, -1.024000, 3.132000>,
      < 13.964000, -1.024000, 3.192000>,
      < 14.032000, -1.024000, 3.388000>
    }
    triangle {
      < 13.920000, -1.024000, 3.080000>,
      < 13.948000, -1.024000, 3.116000>,
      < 14.096000, -1.024000, 3.028000>
    }
    triangle {
      < 13.864000, -1.024000, 3.048000>,
      < 13.920000, -1.024000, 3.072000>,
      < 14.096000, -1.024000, 3.028000>
    }
    triangle {
      < 13.796000, -1.024000, 3.048000>,
      < 13.860000, -1.024000, 3.044000>,
      < 13.660000, -1.024000, 2.952000>
    }
    triangle {
      < 13.736000, -1.024000, 3.088000>,
      < 13.788000, -1.024000, 3.052000>,
      < 13.660000, -1.024000, 2.952000>
    }
    triangle {
      < 13.712000, -1.024000, 3.144000>,
      < 13.736000, -1.024000, 3.092000>,
      < 13.660000, -1.024000, 2.952000>
    }
    triangle {
      < 13.716000, -1.024000, 3.208000>,
      < 13.712000, -1.024000, 3.148000>,
      < 13.660000, -1.024000, 2.952000>
    }
    triangle {
      < 13.932000, -1.216000, 3.256000>,
      < 14.044000, -1.208000, 3.316000>,
      < 13.884000, -1.208000, 3.288000>
    }
    triangle {
      < 13.736000, -1.240000, 3.088000>,
      < 13.652000, -1.256000, 2.992000>,
      < 13.756000, -1.244000, 3.076000>
    }
    triangle {
      < 13.712000, -1.232000, 3.144000>,
      < 13.652000, -1.256000, 2.992000>,
      < 13.736000, -1.240000, 3.092000>
    }
    triangle {
      < 13.716000, -1.216000, 3.212000>,
      < 13.652000, -1.256000, 2.992000>,
      < 13.712000, -1.232000, 3.148000>
    }
    triangle {
      < 13.812000, -1.260000, 3.296000>,
      < 13.608000, -1.208000, 3.236000>,
      < 13.760000, -1.220000, 3.268000>
    }
    triangle {
      < 13.872000, -1.224000, 3.288000>,
      < 14.000000, -1.812000, 3.568000>,
      < 13.816000, -1.264000, 3.296000>
    }
    texture {gunsr}
  }
  // body
  union {
    triangle {
      < 2.380000, 16.851999, -0.272000>,
      < 1.904000, 15.688000, 2.216000>,
      < 2.340000, 16.851999, -0.272000>
    }
    triangle {
      < 2.380000, 16.851999, -0.272000>,
      < 1.904000, 16.440001, 2.216000>,
      < 1.904000, 15.688000, 2.216000>
    }
    triangle {
      < 2.472000, 16.775999, -0.732000>,
      < 2.400000, 16.827999, -0.380000>,
      < 2.472000, 6.468000, -0.732000>
    }
    triangle {
      < 2.400000, 16.827999, -0.380000>,
      < 1.904000, 15.688000, 2.216000>,
      < 2.472000, 6.468000, -0.732000>
    }
    triangle {
      < 2.400000, 16.827999, -0.380000>,
      < 2.388000, 16.840000, -0.320000>,
      < 1.904000, 15.688000, 2.216000>
    }
    texture {body}
  }
  // DEFAULT
  union {
    triangle {
      < -1.968000, 7.596000, 2.216000>,
      < -1.968000, 8.024000, 2.216000>,
      < -2.456000, 16.788000, -0.652000>
    }
    triangle {
      < -2.476000, 16.775999, -0.732000>,
      < -2.476000, 6.468000, -0.732000>,
      < -1.968000, 6.468000, 2.216000>
    }
    triangle {
      < -2.476000, 16.775999, -0.732000>,
      < -1.968000, 6.468000, 2.216000>,
      < -2.468000, 16.780001, -0.688000>
    }
    triangle {
      < -2.468000, 16.780001, -0.688000>,
      < -1.968000, 6.468000, 2.216000>,
      < -2.456000, 16.788000, -0.664000>
    }
    triangle {
      < -1.968000, 6.468000, 2.216000>,
      < -1.952000, 6.468000, 2.216000>,
      < -2.456000, 16.788000, -0.664000>
    }
    texture {DEFAULT}
  }
  // body
  union {
    triangle {
      < -2.456000, 16.788000, -0.652000>,
      < -1.968000, 8.024000, 2.216000>,
      < -1.968000, 16.440001, 2.216000>
    }
    triangle {
      < -2.456000, 16.788000, -0.652000>,
      < -1.968000, 16.440001, 2.216000>,
      < -2.392000, 16.851999, -0.284000>
    }
    triangle {
      < 2.448000, 16.768000, -0.764000>,
      < 2.472000, 6.468000, -0.732000>,
      < 1.768000, 6.468000, -2.472000>
    }
    triangle {
      < 2.448000, 16.768000, -0.764000>,
      < 2.464000, 16.771999, -0.740000>,
      < 2.472000, 6.468000, -0.732000>
    }
    triangle {
      < 2.464000, 16.771999, -0.740000>,
      < 2.472000, 16.775999, -0.732000>,
      < 2.472000, 6.468000, -0.732000>
    }
    triangle {
      < 1.768000, 16.488001, -2.472000>,
      < 2.220000, 16.676001, -1.332000>,
      < 1.768000, 6.468000, -2.472000>
    }
    triangle {
      < 2.220000, 16.676001, -1.332000>,
      < 2.448000, 16.768000, -0.764000>,
      < 1.768000, 6.468000, -2.472000>
    }
    texture {body}
  }
  // DEFAULT
  union {
    triangle {
      < -1.916000, 16.500000, -2.380000>,
      < -2.476000, 6.468000, -0.732000>,
      < -2.476000, 16.775999, -0.732000>
    }
    triangle {
      < -2.456000, 16.788000, -0.664000>,
      < -1.952000, 6.468000, 2.216000>,
      < -1.968000, 7.596000, 2.216000>
    }
    triangle {
      < -2.456000, 16.788000, -0.664000>,
      < -1.968000, 7.596000, 2.216000>,
      < -2.456000, 16.788000, -0.660000>
    }
    triangle {
      < -2.456000, 16.788000, -0.660000>,
      < -1.968000, 7.596000, 2.216000>,
      < -2.456000, 16.788000, -0.652000>
    }
    texture {DEFAULT}
  }
  // body
  union {
    triangle {
      < 1.020000, 16.440001, 2.216000>,
      < 1.904000, 16.440001, 2.216000>,
      < 2.380000, 16.851999, -0.272000>
    }
    triangle {
      < 1.020000, 16.440001, 2.216000>,
      < 2.380000, 16.851999, -0.272000>,
      < 2.340000, 16.851999, -0.272000>
    }
    texture {body}
  }
  // DEFAULT
  union {
    triangle {
      < -1.608000, 16.851999, -0.280000>,
      < 0.884000, 16.440001, 2.216000>,
      < 0.908000, 16.440001, 2.216000>
    }
    triangle {
      < -1.608000, 16.851999, -0.280000>,
      < 0.908000, 16.440001, 2.216000>,
      < -1.600000, 16.851999, -0.280000>
    }
    triangle {
      < -1.600000, 16.851999, -0.280000>,
      < 0.908000, 16.440001, 2.216000>,
      < 1.020000, 16.440001, 2.216000>
    }
    triangle {
      < -1.600000, 16.851999, -0.280000>,
      < 1.020000, 16.440001, 2.216000>,
      < -1.576000, 16.851999, -0.280000>
    }
    texture {DEFAULT}
  }
  // body
  union {
    triangle {
      < -2.392000, 16.851999, -0.284000>,
      < -1.968000, 16.440001, 2.216000>,
      < -2.392000, 16.851999, -0.272000>
    }
    triangle {
      < -2.392000, 16.851999, -0.272000>,
      < -1.968000, 16.440001, 2.216000>,
      < -0.492000, 16.440001, 2.216000>
    }
    triangle {
      < -2.392000, 16.851999, -0.272000>,
      < -0.492000, 16.440001, 2.216000>,
      < -2.172000, 16.851999, -0.272000>
    }
    texture {body}
  }
  // DEFAULT
  union {
    triangle {
      < 0.708000, 16.440001, 2.216000>,
      < 0.884000, 16.440001, 2.216000>,
      < -1.608000, 16.851999, -0.280000>
    }
    triangle {
      < 0.708000, 16.440001, 2.216000>,
      < -1.608000, 16.851999, -0.280000>,
      < -1.648000, 16.851999, -0.280000>
    }
    texture {DEFAULT}
  }
  // body
  union {
    triangle {
      < -2.172000, 16.851999, -0.272000>,
      < -0.492000, 16.440001, 2.216000>,
      < -2.164000, 16.851999, -0.276000>
    }
    texture {body}
  }
  // DEFAULT
  union {
    triangle {
      < -2.164000, 16.851999, -0.276000>,
      < -0.492000, 16.440001, 2.216000>,
      < 0.608000, 16.440001, 2.216000>
    }
    triangle {
      < -2.164000, 16.851999, -0.276000>,
      < 0.608000, 16.440001, 2.216000>,
      < -1.992000, 16.851999, -0.276000>
    }
    triangle {
      < -1.992000, 16.851999, -0.276000>,
      < 0.608000, 16.440001, 2.216000>,
      < 0.708000, 16.440001, 2.216000>
    }
    triangle {
      < -1.992000, 16.851999, -0.276000>,
      < 0.708000, 16.440001, 2.216000>,
      < -1.976000, 16.851999, -0.276000>
    }
    texture {DEFAULT}
  }
  // body
  union {
    triangle {
      < 1.768000, 16.488001, -2.472000>,
      < 1.768000, 6.468000, -2.472000>,
      < -1.892000, 6.468000, -2.472000>
    }
    triangle {
      < 1.768000, 16.488001, -2.472000>,
      < -1.892000, 6.468000, -2.472000>,
      < 1.584000, 16.488001, -2.472000>
    }
    triangle {
      < -0.080000, 16.488001, -2.472000>,
      < 1.584000, 16.488001, -2.472000>,
      < -1.892000, 6.468000, -2.472000>
    }
    triangle {
      < -1.892000, 6.468000, -2.472000>,
      < -1.892000, 16.488001, -2.472000>,
      < -0.080000, 16.488001, -2.472000>
    }
    texture {body}
  }
  // DEFAULT
  union {
    triangle {
      < -1.892000, 16.488001, -2.472000>,
      < -1.892000, 6.468000, -2.472000>,
      < -2.476000, 6.468000, -0.732000>
    }
    triangle {
      < -1.892000, 16.488001, -2.472000>,
      < -2.476000, 6.468000, -0.732000>,
      < -1.916000, 16.500000, -2.380000>
    }
    texture {DEFAULT}
  }
  // body
  union {
    triangle {
      < 2.208000, 16.836000, -0.176000>,
      < -1.576000, 16.851999, -0.280000>,
      < 1.020000, 16.440001, 2.216000>
    }
    triangle {
      < 1.020000, 16.440001, 2.216000>,
      < 2.340000, 16.851999, -0.272000>,
      < 2.208000, 16.836000, -0.176000>
    }
    texture {body}
  }
  // DEFAULT
  union {
    triangle {
      < -1.976000, 16.851999, -0.276000>,
      < 0.708000, 16.440001, 2.216000>,
      < -1.648000, 16.851999, -0.280000>
    }
    texture {DEFAULT}
  }
  // body
  union {
    triangle {
      < 2.220000, 16.676001, -1.332000>,
      < 1.768000, 16.488001, -2.472000>,
      < 1.584000, 16.488001, -2.472000>
    }
    triangle {
      < 2.448000, 16.768000, -0.764000>,
      < 2.220000, 16.676001, -1.332000>,
      < 1.584000, 16.488001, -2.472000>
    }
    triangle {
      < 2.340000, 16.851999, -0.272000>,
      < 2.388000, 16.840000, -0.320000>,
      < 2.400000, 16.827999, -0.380000>
    }
    triangle {
      < 2.340000, 16.851999, -0.272000>,
      < 2.464000, 16.771999, -0.740000>,
      < 2.448000, 16.768000, -0.764000>
    }
    triangle {
      < 2.340000, 16.851999, -0.272000>,
      < 2.448000, 16.768000, -0.764000>,
      < 1.584000, 16.488001, -2.472000>
    }
    triangle {
      < 2.340000, 16.851999, -0.272000>,
      < 1.584000, 16.488001, -2.472000>,
      < -0.080000, 16.488001, -2.472000>
    }
    triangle {
      < 2.340000, 16.851999, -0.272000>,
      < -0.080000, 16.488001, -2.472000>,
      < 2.208000, 16.836000, -0.176000>
    }
    texture {body}
  }
  // rockets
  union {
    triangle {
      < -2.456000, 16.788000, -0.652000>,
      < -2.468000, 16.780001, -0.688000>,
      < -2.456000, 16.788000, -0.664000>
    }
    triangle {
      < -2.392000, 16.851999, -0.272000>,
      < -2.468000, 16.780001, -0.688000>,
      < -2.456000, 16.788000, -0.652000>
    }
    texture {rockets}
  }
  // DEFAULT
  union {
    triangle {
      < -1.916000, 16.500000, -2.380000>,
      < -2.456000, 16.788000, -0.660000>,
      < -2.456000, 16.788000, -0.664000>
    }
    triangle {
      < -1.916000, 16.500000, -2.380000>,
      < -2.456000, 16.788000, -0.660000>,
      < -2.392000, 16.851999, -0.284000>
    }
    texture {DEFAULT}
  }
  // body
  union {
    triangle {
      < -1.576000, 16.851999, -0.280000>,
      < 2.208000, 16.836000, -0.176000>,
      < -0.080000, 16.488001, -2.472000>
    }
    triangle {
      < -2.164000, 16.851999, -0.276000>,
      < -1.992000, 16.851999, -0.276000>,
      < -0.080000, 16.488001, -2.472000>
    }
    texture {body}
  }
  // DEFAULT
  union {
    triangle {
      < -1.892000, 16.488001, -2.472000>,
      < -1.916000, 16.500000, -2.380000>,
      < -2.392000, 16.851999, -0.272000>
    }
    triangle {
      < -1.892000, 16.488001, -2.472000>,
      < -2.392000, 16.851999, -0.272000>,
      < -2.164000, 16.851999, -0.276000>
    }
    triangle {
      < -1.892000, 16.488001, -2.472000>,
      < -2.164000, 16.851999, -0.276000>,
      < -0.080000, 16.488001, -2.472000>
    }
    texture {DEFAULT}
  }
  // body
  union {
    triangle {
      < -1.968000, 16.440001, 2.216000>,
      < -1.968000, 8.024000, 2.216000>,
      < -0.492000, 16.440001, 2.216000>
    }
    triangle {
      < 1.904000, 16.440001, 2.216000>,
      < 1.020000, 16.440001, 2.216000>,
      < 1.904000, 15.688000, 2.216000>
    }
    triangle {
      < 1.020000, 16.440001, 2.216000>,
      < 0.908000, 16.440001, 2.216000>,
      < 1.904000, 15.688000, 2.216000>
    }
    triangle {
      < 0.884000, 16.440001, 2.216000>,
      < 1.904000, 15.688000, 2.216000>,
      < 0.908000, 16.440001, 2.216000>
    }
    triangle {
      < 0.884000, 16.440001, 2.216000>,
      < 0.708000, 16.440001, 2.216000>,
      < 1.904000, 15.688000, 2.216000>
    }
    triangle {
      < -1.968000, 8.024000, 2.216000>,
      < 0.608000, 16.440001, 2.216000>,
      < -0.492000, 16.440001, 2.216000>
    }
    triangle {
      < -1.968000, 8.024000, 2.216000>,
      < 1.904000, 15.688000, 2.216000>,
      < 0.608000, 16.440001, 2.216000>
    }
    triangle {
      < 0.608000, 16.440001, 2.216000>,
      < 1.904000, 15.688000, 2.216000>,
      < 0.708000, 16.440001, 2.216000>
    }
    triangle {
      < 0.532000, 6.468000, 1.928000>,
      < 0.680000, 6.468000, 2.216000>,
      < 0.324000, 6.468000, 2.216000>
    }
    triangle {
      < 0.532000, 6.468000, 1.928000>,
      < 1.076000, 6.468000, 1.940000>,
      < 0.680000, 6.468000, 2.216000>
    }
    triangle {
      < 0.680000, 6.468000, 2.216000>,
      < 1.076000, 6.468000, 1.940000>,
      < 1.332000, 6.468000, 2.216000>
    }
    triangle {
      < 1.080000, 6.468000, 1.928000>,
      < 1.868000, 6.468000, 2.216000>,
      < 1.340000, 6.468000, 2.216000>
    }
    texture {body}
  }
  // cockpit_body
  union {
    triangle {
      < 1.080000, 6.468000, 1.928000>,
      < 2.212000, 6.468000, -0.228000>,
      < 1.868000, 6.468000, 2.216000>
    }
    texture {cockpit_body}
  }
  // body
  union {
    triangle {
      < 1.868000, 6.468000, 2.216000>,
      < 2.472000, 6.468000, -0.732000>,
      < 1.904000, 6.468000, 2.216000>
    }
    triangle {
      < 1.868000, 6.468000, 2.216000>,
      < 2.212000, 6.468000, -0.228000>,
      < 2.472000, 6.468000, -0.732000>
    }
    triangle {
      < 0.232000, 6.468000, 1.928000>,
      < 0.324000, 6.468000, 2.216000>,
      < 0.132000, 6.468000, 2.216000>
    }
    triangle {
      < 0.232000, 6.468000, 1.928000>,
      < 0.532000, 6.468000, 1.928000>,
      < 0.324000, 6.468000, 2.216000>
    }
    triangle {
      < -0.320000, 6.468000, 1.920000>,
      < 0.132000, 6.468000, 2.216000>,
      < -0.208000, 6.468000, 2.216000>
    }
    triangle {
      < -0.320000, 6.468000, 1.920000>,
      < 0.232000, 6.468000, 1.928000>,
      < 0.132000, 6.468000, 2.216000>
    }
    triangle {
      < -0.600000, 6.468000, 1.916000>,
      < -0.208000, 6.468000, 2.216000>,
      < -0.388000, 6.468000, 2.216000>
    }
    triangle {
      < -0.600000, 6.468000, 1.916000>,
      < -0.320000, 6.468000, 1.920000>,
      < -0.208000, 6.468000, 2.216000>
    }
    texture {body}
  }
  // DEFAULT
  union {
    triangle {
      < -2.476000, 6.468000, -0.732000>,
      < -1.952000, 6.468000, 2.216000>,
      < -1.968000, 6.468000, 2.216000>
    }
    triangle {
      < -2.476000, 6.468000, -0.732000>,
      < -2.296000, 6.468000, -0.268000>,
      < -1.952000, 6.468000, 2.216000>
    }
    triangle {
      < -2.296000, 6.468000, -0.268000>,
      < -2.276000, 6.468000, -0.232000>,
      < -1.952000, 6.468000, 2.216000>
    }
    texture {DEFAULT}
  }
  // body
  union {
    triangle {
      < -2.276000, 6.468000, -0.232000>,
      < -1.456000, 6.468000, 2.216000>,
      < -1.952000, 6.468000, 2.216000>
    }
    triangle {
      < -2.276000, 6.468000, -0.232000>,
      < -1.200000, 6.468000, 1.912000>,
      < -1.456000, 6.468000, 2.216000>
    }
    triangle {
      < -1.188000, 6.468000, 1.912000>,
      < -1.076000, 6.468000, 2.216000>,
      < -1.444000, 6.468000, 2.216000>
    }
    triangle {
      < -1.188000, 6.468000, 1.912000>,
      < -0.600000, 6.468000, 1.916000>,
      < -1.076000, 6.468000, 2.216000>
    }
    triangle {
      < -1.076000, 6.468000, 2.216000>,
      < -0.600000, 6.468000, 1.916000>,
      < -0.388000, 6.468000, 2.216000>
    }
    triangle {
      < 1.904000, 15.464000, 2.216000>,
      < 1.904000, 6.468000, 2.216000>,
      < 2.472000, 6.468000, -0.732000>
    }
    triangle {
      < 1.904000, 15.688000, 2.216000>,
      < 1.904000, 15.464000, 2.216000>,
      < 2.472000, 6.468000, -0.732000>
    }
    texture {body}
  }
  // DEFAULT
  union {
    triangle {
      < 1.076000, 6.468000, 1.940000>,
      < 1.340000, 6.468000, 2.216000>,
      < 1.332000, 6.468000, 2.216000>
    }
    triangle {
      < 1.076000, 6.468000, 1.940000>,
      < 1.080000, 6.468000, 1.928000>,
      < 1.340000, 6.468000, 2.216000>
    }
    texture {DEFAULT}
  }
  // body
  union {
    triangle {
      < -1.200000, 6.468000, 1.912000>,
      < -1.444000, 6.468000, 2.216000>,
      < -1.456000, 6.468000, 2.216000>
    }
    triangle {
      < -1.200000, 6.468000, 1.912000>,
      < -1.188000, 6.468000, 1.912000>,
      < -1.444000, 6.468000, 2.216000>
    }
    triangle {
      < 1.904000, 15.464000, 2.216000>,
      < 1.868000, 6.468000, 2.216000>,
      < 1.904000, 6.468000, 2.216000>
    }
    triangle {
      < -1.456000, 6.468000, 2.216000>,
      < -1.968000, 7.596000, 2.216000>,
      < -1.952000, 6.468000, 2.216000>
    }
    triangle {
      < -0.388000, 6.468000, 2.216000>,
      < -1.968000, 7.596000, 2.216000>,
      < -1.076000, 6.468000, 2.216000>
    }
    triangle {
      < 1.332000, 6.468000, 2.216000>,
      < -1.968000, 7.596000, 2.216000>,
      < 0.680000, 6.468000, 2.216000>
    }
    triangle {
      < -1.968000, 7.596000, 2.216000>,
      < 1.904000, 15.464000, 2.216000>,
      < 1.904000, 15.688000, 2.216000>
    }
    triangle {
      < -1.968000, 7.596000, 2.216000>,
      < 1.868000, 6.468000, 2.216000>,
      < 1.904000, 15.464000, 2.216000>
    }
    triangle {
      < -1.968000, 7.596000, 2.216000>,
      < 1.340000, 6.468000, 2.216000>,
      < 1.868000, 6.468000, 2.216000>
    }
    triangle {
      < 1.904000, 15.688000, 2.216000>,
      < -1.968000, 8.024000, 2.216000>,
      < -1.968000, 7.596000, 2.216000>
    }
    triangle {
      < 2.200000, 6.468000, -0.256000>,
      < 2.472000, 6.468000, -0.732000>,
      < 2.212000, 6.468000, -0.228000>
    }
    triangle {
      < 2.472000, 6.468000, -0.732000>,
      < 2.200000, 6.468000, -0.256000>,
      < 2.168000, 6.468000, -0.316000>
    }
    triangle {
      < 2.168000, 6.468000, -0.316000>,
      < 1.768000, 6.468000, -2.472000>,
      < 2.472000, 6.468000, -0.732000>
    }
    texture {body}
  }
  // cockpit_body
  union {
    triangle {
      < 2.168000, 6.468000, -0.316000>,
      < 1.472000, 6.468000, -1.620000>,
      < 1.768000, 6.468000, -2.472000>
    }
    triangle {
      < 1.080000, 6.468000, -2.360000>,
      < 1.768000, 6.468000, -2.472000>,
      < 1.472000, 6.468000, -1.620000>
    }
    triangle {
      < -1.136000, 6.468000, -2.380000>,
      < 1.768000, 6.468000, -2.472000>,
      < 1.020000, 6.468000, -2.360000>
    }
    texture {cockpit_body}
  }
  // cockpit
  union {
    triangle {
      < -1.136000, 6.468000, -2.380000>,
      < -1.892000, 6.468000, -2.472000>,
      < 1.768000, 6.468000, -2.472000>
    }
    texture {cockpit}
  }
  // DEFAULT
  union {
    triangle {
      < -1.164000, 6.468000, -2.332000>,
      < -1.892000, 6.468000, -2.472000>,
      < -1.136000, 6.468000, -2.380000>
    }
    triangle {
      < -1.164000, 6.468000, -2.332000>,
      < -1.572000, 6.468000, -1.576000>,
      < -1.892000, 6.468000, -2.472000>
    }
    triangle {
      < -1.572000, 6.468000, -1.576000>,
      < -2.476000, 6.468000, -0.732000>,
      < -1.892000, 6.468000, -2.472000>
    }
    triangle {
      < -1.572000, 6.468000, -1.576000>,
      < -2.228000, 6.468000, -0.380000>,
      < -2.476000, 6.468000, -0.732000>
    }
    triangle {
      < -2.296000, 6.468000, -0.268000>,
      < -2.476000, 6.468000, -0.732000>,
      < -2.228000, 6.468000, -0.380000>
    }
    texture {DEFAULT}
  }
  // body
  union {
    triangle {
      < 1.080000, 6.468000, 1.928000>,
      < 0.908000, -13.936000, -0.952000>,
      < 2.212000, 6.468000, -0.228000>
    }
    triangle {
      < 0.428000, -14.148000, -0.028000>,
      < 1.080000, 6.468000, 1.928000>,
      < 1.076000, 6.468000, 1.940000>
    }
    triangle {
      < 0.428000, -14.148000, -0.028000>,
      < 0.908000, -13.936000, -0.952000>,
      < 1.080000, 6.468000, 1.928000>
    }
    triangle {
      < 0.532000, 6.468000, 1.928000>,
      < 0.428000, -14.148000, -0.028000>,
      < 1.076000, 6.468000, 1.940000>
    }
    triangle {
      < 0.232000, 6.468000, 1.928000>,
      < 0.428000, -14.148000, -0.028000>,
      < 0.532000, 6.468000, 1.928000>
    }
    triangle {
      < -0.320000, 6.468000, 1.920000>,
      < 0.428000, -14.148000, -0.028000>,
      < 0.232000, 6.468000, 1.928000>
    }
    triangle {
      < -0.600000, 6.468000, 1.916000>,
      < 0.428000, -14.148000, -0.028000>,
      < -0.320000, 6.468000, 1.920000>
    }
    triangle {
      < -1.188000, 6.468000, 1.912000>,
      < 0.428000, -14.148000, -0.028000>,
      < -0.600000, 6.468000, 1.916000>
    }
    texture {body}
  }
  // engines_body
  union {
    triangle {
      < 1.472000, 6.468000, -1.620000>,
      < 0.448000, -13.736000, -1.876000>,
      < 1.080000, 6.468000, -2.360000>
    }
    texture {engines_body}
  }
  // body
  union {
    triangle {
      < 2.168000, 6.468000, -0.316000>,
      < 0.448000, -13.736000, -1.876000>,
      < 1.472000, 6.468000, -1.620000>
    }
    triangle {
      < 2.200000, 6.468000, -0.256000>,
      < 0.448000, -13.736000, -1.876000>,
      < 2.168000, 6.468000, -0.316000>
    }
    triangle {
      < 0.908000, -13.936000, -0.952000>,
      < 2.200000, 6.468000, -0.256000>,
      < 2.212000, 6.468000, -0.228000>
    }
    triangle {
      < 0.908000, -13.936000, -0.952000>,
      < 0.448000, -13.736000, -1.876000>,
      < 2.200000, 6.468000, -0.256000>
    }
    triangle {
      < -1.572000, 6.468000, -1.576000>,
      < -1.164000, 6.468000, -2.332000>,
      < -1.012000, -13.936000, -0.960000>
    }
    triangle {
      < -2.228000, 6.468000, -0.380000>,
      < -1.572000, 6.468000, -1.576000>,
      < -1.012000, -13.936000, -0.960000>
    }
    triangle {
      < -1.012000, -13.936000, -0.960000>,
      < -2.296000, 6.468000, -0.268000>,
      < -2.228000, 6.468000, -0.380000>
    }
    triangle {
      < -1.012000, -13.936000, -0.960000>,
      < -1.164000, 6.468000, -2.332000>,
      < -1.136000, 6.468000, -2.380000>
    }
    triangle {
      < -1.012000, -13.936000, -0.960000>,
      < -1.136000, 6.468000, -2.380000>,
      < -0.508000, -13.736000, -1.884000>
    }
    texture {body}
  }
  // engines_body
  union {
    triangle {
      < -0.508000, -13.736000, -1.884000>,
      < -1.136000, 6.468000, -2.380000>,
      < 1.020000, 6.468000, -2.360000>
    }
    triangle {
      < -0.508000, -13.736000, -1.884000>,
      < 1.020000, 6.468000, -2.360000>,
      < 1.080000, 6.468000, -2.360000>
    }
    triangle {
      < -0.508000, -13.736000, -1.884000>,
      < 1.080000, 6.468000, -2.360000>,
      < 0.448000, -13.736000, -1.876000>
    }
    texture {engines_body}
  }
  // body
  union {
    triangle {
      < -0.528000, -14.144000, -0.044000>,
      < -1.188000, 6.468000, 1.912000>,
      < -1.200000, 6.468000, 1.912000>
    }
    triangle {
      < -0.528000, -14.144000, -0.044000>,
      < 0.428000, -14.148000, -0.028000>,
      < -1.188000, 6.468000, 1.912000>
    }
    triangle {
      < -0.528000, -14.144000, -0.044000>,
      < -1.200000, 6.468000, 1.912000>,
      < -2.276000, 6.468000, -0.232000>
    }
    triangle {
      < -0.528000, -14.144000, -0.044000>,
      < -2.276000, 6.468000, -0.232000>,
      < -2.296000, 6.468000, -0.268000>
    }
    triangle {
      < -0.528000, -14.144000, -0.044000>,
      < -2.296000, 6.468000, -0.268000>,
      < -1.012000, -13.936000, -0.960000>
    }
    texture {body}
  }
  // nose
  union {
    triangle {
      < -0.032000, -13.936000, -0.956000>,
      < 0.908000, -13.936000, -0.952000>,
      < 0.428000, -14.148000, -0.028000>
    }
    triangle {
      < -0.032000, -13.936000, -0.956000>,
      < 0.428000, -14.148000, -0.028000>,
      < -0.528000, -14.144000, -0.044000>
    }
    triangle {
      < -0.032000, -13.936000, -0.956000>,
      < -0.528000, -14.144000, -0.044000>,
      < -1.012000, -13.936000, -0.960000>
    }
    texture {nose}
  }
  // body_nose
  union {
    triangle {
      < -0.032000, -13.936000, -0.956000>,
      < -1.012000, -13.936000, -0.960000>,
      < -0.508000, -13.736000, -1.884000>
    }
    triangle {
      < -0.032000, -13.936000, -0.956000>,
      < -0.508000, -13.736000, -1.884000>,
      < 0.448000, -13.736000, -1.876000>
    }
    triangle {
      < -0.032000, -13.936000, -0.956000>,
      < 0.448000, -13.736000, -1.876000>,
      < 0.908000, -13.936000, -0.952000>
    }
    texture {body_nose}
  }
  // cockpit_body
  union {
    triangle {
      < 1.020000, 6.468000, -2.360000>,
      < 1.768000, 6.468000, -2.472000>,
      < 1.080000, 6.468000, -2.360000>
    }
    texture {cockpit_body}
  }
  // body
  union {
    triangle {
      < 2.340000, 16.851999, -0.272000>,
      < 1.904000, 15.688000, 2.216000>,
      < 2.388000, 16.840000, -0.320000>
    }
    triangle {
      < 2.340000, 16.851999, -0.272000>,
      < 2.472000, 16.775999, -0.732000>,
      < 2.464000, 16.771999, -0.740000>
    }
    triangle {
      < 2.340000, 16.851999, -0.272000>,
      < 2.400000, 16.827999, -0.380000>,
      < 2.472000, 16.775999, -0.732000>
    }
    texture {body}
  }
  // rockets
  union {
    triangle {
      < -2.456000, 16.788000, -0.652000>,
      < -2.456000, 16.788000, -0.664000>,
      < -2.456000, 16.788000, -0.660000>
    }
    triangle {
      < -2.456000, 16.788000, -0.660000>,
      < -2.456000, 16.788000, -0.652000>,
      < -2.392000, 16.851999, -0.284000>
    }
    texture {rockets}
  }
  // DEFAULT
  union {
    triangle {
      < -1.992000, 16.851999, -0.276000>,
      < -1.648000, 16.851999, -0.280000>,
      < -0.080000, 16.488001, -2.472000>
    }
    triangle {
      < -2.392000, 16.851999, -0.272000>,
      < -1.916000, 16.500000, -2.380000>,
      < -2.392000, 16.851999, -0.284000>
    }
    triangle {
      < -2.164000, 16.851999, -0.276000>,
      < -2.392000, 16.851999, -0.272000>,
      < -2.172000, 16.851999, -0.272000>
    }
    texture {DEFAULT}
  }
  // body
  union {
    triangle {
      < -0.028000, -12.040000, -1.064000>,
      < -1.352000, -12.040000, -1.048000>,
      < -0.680000, -12.040000, 0.372000>
    }
    texture {body}
  }
  // nose
  union {
    triangle {
      < -1.352000, -12.040000, -1.048000>,
      < -1.204000, -14.336000, -1.048000>,
      < -0.608000, -14.336000, 0.204000>
    }
    triangle {
      < -1.352000, -12.040000, -1.048000>,
      < -0.608000, -14.336000, 0.204000>,
      < -0.680000, -12.040000, 0.372000>
    }
    triangle {
      < -1.204000, -14.336000, -1.048000>,
      < -0.860000, -16.372000, -1.060000>,
      < -0.440000, -16.372000, -0.152000>
    }
    triangle {
      < -1.204000, -14.336000, -1.048000>,
      < -0.440000, -16.372000, -0.152000>,
      < -0.608000, -14.336000, 0.204000>
    }
    triangle {
      < -0.860000, -16.372000, -1.060000>,
      < -0.220000, -17.184000, -1.064000>,
      < -0.120000, -17.184000, -0.856000>
    }
    triangle {
      < -0.860000, -16.372000, -1.060000>,
      < -0.120000, -17.184000, -0.856000>,
      < -0.440000, -16.372000, -0.152000>
    }
    texture {nose}
  }
  // DEFAULT
  union {
    triangle {
      < -0.220000, -17.184000, -1.064000>,
      < -0.028000, -17.048000, -1.064000>,
      < -0.120000, -17.184000, -0.856000>
    }
    texture {DEFAULT}
  }
  // body
  union {
    triangle {
      < -0.028000, -12.040000, -1.064000>,
      < -0.680000, -12.040000, 0.372000>,
      < 0.636000, -12.040000, 0.352000>
    }
    texture {body}
  }
  // nose
  union {
    triangle {
      < -0.680000, -12.040000, 0.372000>,
      < -0.608000, -14.336000, 0.204000>,
      < 0.556000, -14.336000, 0.192000>
    }
    triangle {
      < -0.680000, -12.040000, 0.372000>,
      < 0.556000, -14.336000, 0.192000>,
      < 0.636000, -12.040000, 0.352000>
    }
    triangle {
      < -0.608000, -14.336000, 0.204000>,
      < -0.440000, -16.372000, -0.152000>,
      < 0.384000, -16.372000, -0.164000>
    }
    triangle {
      < -0.608000, -14.336000, 0.204000>,
      < 0.384000, -16.372000, -0.164000>,
      < 0.556000, -14.336000, 0.192000>
    }
    triangle {
      < -0.440000, -16.372000, -0.152000>,
      < -0.120000, -17.184000, -0.856000>,
      < 0.060000, -17.184000, -0.856000>
    }
    triangle {
      < -0.440000, -16.372000, -0.152000>,
      < 0.060000, -17.184000, -0.856000>,
      < 0.384000, -16.372000, -0.164000>
    }
    texture {nose}
  }
  // DEFAULT
  union {
    triangle {
      < -0.120000, -17.184000, -0.856000>,
      < -0.028000, -17.048000, -1.064000>,
      < 0.060000, -17.184000, -0.856000>
    }
    texture {DEFAULT}
  }
  // body
  union {
    triangle {
      < -0.028000, -12.040000, -1.064000>,
      < 0.636000, -12.040000, 0.352000>,
      < 1.288000, -12.040000, -1.076000>
    }
    texture {body}
  }
  // nose
  union {
    triangle {
      < 0.636000, -12.040000, 0.352000>,
      < 0.556000, -14.336000, 0.192000>,
      < 1.136000, -14.336000, -1.072000>
    }
    triangle {
      < 0.636000, -12.040000, 0.352000>,
      < 1.136000, -14.336000, -1.072000>,
      < 1.288000, -12.040000, -1.076000>
    }
    triangle {
      < 0.556000, -14.336000, 0.192000>,
      < 0.384000, -16.372000, -0.164000>,
      < 0.796000, -16.372000, -1.072000>
    }
    triangle {
      < 0.556000, -14.336000, 0.192000>,
      < 0.796000, -16.372000, -1.072000>,
      < 1.136000, -14.336000, -1.072000>
    }
    triangle {
      < 0.384000, -16.372000, -0.164000>,
      < 0.060000, -17.184000, -0.856000>,
      < 0.152000, -17.184000, -1.064000>
    }
    triangle {
      < 0.384000, -16.372000, -0.164000>,
      < 0.152000, -17.184000, -1.064000>,
      < 0.796000, -16.372000, -1.072000>
    }
    texture {nose}
  }
  // DEFAULT
  union {
    triangle {
      < 0.060000, -17.184000, -0.856000>,
      < -0.028000, -17.048000, -1.064000>,
      < 0.152000, -17.184000, -1.064000>
    }
    texture {DEFAULT}
  }
  // nose
  union {
    triangle {
      < -1.352000, -12.040000, -1.048000>,
      < -0.028000, -12.040000, -1.064000>,
      < -1.204000, -14.336000, -1.048000>
    }
    triangle {
      < 1.288000, -12.040000, -1.076000>,
      < 1.136000, -14.336000, -1.072000>,
      < -0.028000, -12.040000, -1.064000>
    }
    triangle {
      < -1.204000, -14.336000, -1.048000>,
      < -0.028000, -12.040000, -1.064000>,
      < -0.860000, -16.372000, -1.060000>
    }
    triangle {
      < 1.136000, -14.336000, -1.072000>,
      < 0.796000, -16.372000, -1.072000>,
      < -0.028000, -12.040000, -1.064000>
    }
    triangle {
      < -0.860000, -16.372000, -1.060000>,
      < -0.028000, -12.040000, -1.064000>,
      < -0.220000, -17.184000, -1.064000>
    }
    triangle {
      < 0.796000, -16.372000, -1.072000>,
      < 0.152000, -17.184000, -1.064000>,
      < -0.028000, -12.040000, -1.064000>
    }
    triangle {
      < -0.220000, -17.184000, -1.064000>,
      < -0.028000, -12.040000, -1.064000>,
      < -0.028000, -17.048000, -1.064000>
    }
    triangle {
      < 0.152000, -17.184000, -1.064000>,
      < -0.028000, -17.048000, -1.064000>,
      < -0.028000, -12.040000, -1.064000>
    }
    texture {nose}
  }
  // body
  union {
    triangle {
      < -0.028000, -12.040000, -1.056000>,
      < 1.288000, -12.040000, -1.064000>,
      < 0.612000, -12.040000, -2.212000>
    }
    texture {body}
  }
  // nose
  union {
    triangle {
      < 1.288000, -12.040000, -1.064000>,
      < 1.140000, -14.336000, -1.064000>,
      < 0.540000, -14.336000, -2.076000>
    }
    triangle {
      < 1.288000, -12.040000, -1.064000>,
      < 0.540000, -14.336000, -2.076000>,
      < 0.612000, -12.040000, -2.212000>
    }
    triangle {
      < 1.140000, -14.336000, -1.064000>,
      < 0.796000, -16.372000, -1.060000>,
      < 0.368000, -16.372000, -1.784000>
    }
    triangle {
      < 1.140000, -14.336000, -1.064000>,
      < 0.368000, -16.372000, -1.784000>,
      < 0.540000, -14.336000, -2.076000>
    }
    triangle {
      < 0.796000, -16.372000, -1.060000>,
      < 0.156000, -17.184000, -1.056000>,
      < 0.056000, -17.184000, -1.224000>
    }
    triangle {
      < 0.796000, -16.372000, -1.060000>,
      < 0.056000, -17.184000, -1.224000>,
      < 0.368000, -16.372000, -1.784000>
    }
    texture {nose}
  }
  // DEFAULT
  union {
    triangle {
      < 0.156000, -17.184000, -1.056000>,
      < -0.028000, -17.044001, -1.056000>,
      < 0.056000, -17.184000, -1.224000>
    }
    texture {DEFAULT}
  }
  // body
  union {
    triangle {
      < -0.028000, -12.040000, -1.056000>,
      < 0.612000, -12.040000, -2.212000>,
      < -0.700000, -12.040000, -2.200000>
    }
    texture {body}
  }
  // nose
  union {
    triangle {
      < 0.612000, -12.040000, -2.212000>,
      < 0.540000, -14.336000, -2.076000>,
      < -0.620000, -14.336000, -2.068000>
    }
    triangle {
      < 0.612000, -12.040000, -2.212000>,
      < -0.620000, -14.336000, -2.068000>,
      < -0.700000, -12.040000, -2.200000>
    }
    triangle {
      < 0.540000, -14.336000, -2.076000>,
      < 0.368000, -16.372000, -1.784000>,
      < -0.448000, -16.372000, -1.776000>
    }
    triangle {
      < 0.540000, -14.336000, -2.076000>,
      < -0.448000, -16.372000, -1.776000>,
      < -0.620000, -14.336000, -2.068000>
    }
    triangle {
      < 0.368000, -16.372000, -1.784000>,
      < 0.056000, -17.184000, -1.224000>,
      < -0.124000, -17.184000, -1.224000>
    }
    triangle {
      < 0.368000, -16.372000, -1.784000>,
      < -0.124000, -17.184000, -1.224000>,
      < -0.448000, -16.372000, -1.776000>
    }
    texture {nose}
  }
  // DEFAULT
  union {
    triangle {
      < 0.056000, -17.184000, -1.224000>,
      < -0.028000, -17.044001, -1.056000>,
      < -0.124000, -17.184000, -1.224000>
    }
    texture {DEFAULT}
  }
  // body
  union {
    triangle {
      < -0.028000, -12.040000, -1.056000>,
      < -0.700000, -12.040000, -2.200000>,
      < -1.352000, -12.040000, -1.048000>
    }
    texture {body}
  }
  // nose
  union {
    triangle {
      < -0.700000, -12.040000, -2.200000>,
      < -0.620000, -14.336000, -2.068000>,
      < -1.200000, -14.336000, -1.052000>
    }
    triangle {
      < -0.700000, -12.040000, -2.200000>,
      < -1.200000, -14.336000, -1.052000>,
      < -1.352000, -12.040000, -1.048000>
    }
    triangle {
      < -0.620000, -14.336000, -2.068000>,
      < -0.448000, -16.372000, -1.776000>,
      < -0.860000, -16.372000, -1.052000>
    }
    triangle {
      < -0.620000, -14.336000, -2.068000>,
      < -0.860000, -16.372000, -1.052000>,
      < -1.200000, -14.336000, -1.052000>
    }
    triangle {
      < -0.448000, -16.372000, -1.776000>,
      < -0.124000, -17.184000, -1.224000>,
      < -0.216000, -17.184000, -1.056000>
    }
    triangle {
      < -0.448000, -16.372000, -1.776000>,
      < -0.216000, -17.184000, -1.056000>,
      < -0.860000, -16.372000, -1.052000>
    }
    texture {nose}
  }
  // DEFAULT
  union {
    triangle {
      < -0.124000, -17.184000, -1.224000>,
      < -0.028000, -17.044001, -1.056000>,
      < -0.216000, -17.184000, -1.056000>
    }
    texture {DEFAULT}
  }
  // nose
  union {
    triangle {
      < 1.288000, -12.040000, -1.064000>,
      < -0.028000, -12.040000, -1.056000>,
      < 1.140000, -14.336000, -1.064000>
    }
    triangle {
      < -1.352000, -12.040000, -1.048000>,
      < -1.200000, -14.336000, -1.052000>,
      < -0.028000, -12.040000, -1.056000>
    }
    triangle {
      < 1.140000, -14.336000, -1.064000>,
      < -0.028000, -12.040000, -1.056000>,
      < 0.796000, -16.372000, -1.060000>
    }
    triangle {
      < -1.200000, -14.336000, -1.052000>,
      < -0.860000, -16.372000, -1.052000>,
      < -0.028000, -12.040000, -1.056000>
    }
    triangle {
      < 0.796000, -16.372000, -1.060000>,
      < -0.028000, -12.040000, -1.056000>,
      < 0.156000, -17.184000, -1.056000>
    }
    triangle {
      < -0.860000, -16.372000, -1.052000>,
      < -0.216000, -17.184000, -1.056000>,
      < -0.028000, -12.040000, -1.056000>
    }
    triangle {
      < 0.156000, -17.184000, -1.056000>,
      < -0.028000, -12.040000, -1.056000>,
      < -0.028000, -17.044001, -1.056000>
    }
    triangle {
      < -0.216000, -17.184000, -1.056000>,
      < -0.028000, -17.044001, -1.056000>,
      < -0.028000, -12.040000, -1.056000>
    }
    texture {nose}
  }
  // cockpit
  union {
    triangle {
      < 0.000000, -1.148000, 0.852000>,
      < 1.032000, 2.408000, 1.176000>,
      < 0.504000, 2.300000, 2.424000>
    }
    triangle {
      < 1.032000, 2.408000, 1.176000>,
      < 1.192000, 5.592000, 1.460000>,
      < 0.580000, 5.468000, 2.888000>
    }
    triangle {
      < 1.032000, 2.408000, 1.176000>,
      < 0.580000, 5.468000, 2.888000>,
      < 0.504000, 2.300000, 2.424000>
    }
    texture {cockpit}
  }
  // cockpit_body
  union {
    triangle {
      < 1.192000, 5.592000, 1.460000>,
      < 0.000000, 6.748000, 1.548000>,
      < 0.580000, 5.468000, 2.888000>
    }
    texture {cockpit_body}
  }
  // cockpit
  union {
    triangle {
      < 0.000000, -1.148000, 0.852000>,
      < 0.504000, 2.300000, 2.424000>,
      < -0.528000, 2.304000, 2.408000>
    }
    triangle {
      < 0.504000, 2.300000, 2.424000>,
      < 0.580000, 5.468000, 2.888000>,
      < -0.604000, 5.468000, 2.876000>
    }
    triangle {
      < 0.504000, 2.300000, 2.424000>,
      < -0.604000, 5.468000, 2.876000>,
      < -0.528000, 2.304000, 2.408000>
    }
    texture {cockpit}
  }
  // cockpit_body
  union {
    triangle {
      < 0.580000, 5.468000, 2.888000>,
      < 0.000000, 6.748000, 1.548000>,
      < -0.604000, 5.468000, 2.876000>
    }
    texture {cockpit_body}
  }
  // cockpit
  union {
    triangle {
      < 0.000000, -1.148000, 0.852000>,
      < -0.528000, 2.304000, 2.408000>,
      < -1.036000, 2.408000, 1.156000>
    }
    triangle {
      < -0.528000, 2.304000, 2.408000>,
      < -0.604000, 5.468000, 2.876000>,
      < -1.196000, 5.596000, 1.432000>
    }
    triangle {
      < -0.528000, 2.304000, 2.408000>,
      < -1.196000, 5.596000, 1.432000>,
      < -1.036000, 2.408000, 1.156000>
    }
    texture {cockpit}
  }
  // cockpit_body
  union {
    triangle {
      < -0.604000, 5.468000, 2.876000>,
      < 0.000000, 6.748000, 1.548000>,
      < -1.196000, 5.596000, 1.432000>
    }
    texture {cockpit_body}
  }
  // cockpit
  union {
    triangle {
      < 1.032000, 2.408000, 1.176000>,
      < 0.000000, -1.148000, 0.852000>,
      < 1.192000, 5.592000, 1.460000>
    }
    triangle {
      < -1.036000, 2.408000, 1.156000>,
      < -1.196000, 5.596000, 1.432000>,
      < 0.000000, -1.148000, 0.852000>
    }
    triangle {
      < 1.192000, 5.592000, 1.460000>,
      < 0.000000, -1.148000, 0.852000>,
      < 0.000000, 6.748000, 1.548000>
    }
    triangle {
      < -1.196000, 5.596000, 1.432000>,
      < 0.000000, 6.748000, 1.548000>,
      < 0.000000, -1.148000, 0.852000>
    }
    texture {cockpit}
  }
  // dome_body
  union {
    triangle {
      < 0.000000, 8.116000, 2.404000>,
      < 0.360000, 8.192000, 2.408000>,
      < 0.352000, 8.192000, 2.480000>
    }
    triangle {
      < 0.360000, 8.192000, 2.408000>,
      < 0.684000, 8.380000, 2.412000>,
      < 0.668000, 8.380000, 2.544000>
    }
    triangle {
      < 0.360000, 8.192000, 2.408000>,
      < 0.668000, 8.380000, 2.544000>,
      < 0.352000, 8.192000, 2.480000>
    }
    triangle {
      < 0.684000, 8.380000, 2.412000>,
      < 0.888000, 8.716000, 2.412000>,
      < 0.868000, 8.716000, 2.588000>
    }
    triangle {
      < 0.684000, 8.380000, 2.412000>,
      < 0.868000, 8.716000, 2.588000>,
      < 0.668000, 8.380000, 2.544000>
    }
    triangle {
      < 0.888000, 8.716000, 2.412000>,
      < 0.960000, 9.072000, 2.412000>,
      < 0.940000, 9.072000, 2.604000>
    }
    triangle {
      < 0.888000, 8.716000, 2.412000>,
      < 0.940000, 9.072000, 2.604000>,
      < 0.868000, 8.716000, 2.588000>
    }
    triangle {
      < 0.960000, 9.072000, 2.412000>,
      < 0.888000, 9.428000, 2.412000>,
      < 0.868000, 9.428000, 2.588000>
    }
    triangle {
      < 0.960000, 9.072000, 2.412000>,
      < 0.868000, 9.428000, 2.588000>,
      < 0.940000, 9.072000, 2.604000>
    }
    triangle {
      < 0.888000, 9.428000, 2.412000>,
      < 0.684000, 9.756000, 2.412000>,
      < 0.668000, 9.756000, 2.544000>
    }
    triangle {
      < 0.888000, 9.428000, 2.412000>,
      < 0.668000, 9.756000, 2.544000>,
      < 0.868000, 9.428000, 2.588000>
    }
    triangle {
      < 0.684000, 9.756000, 2.412000>,
      < 0.360000, 9.948000, 2.408000>,
      < 0.352000, 9.948000, 2.480000>
    }
    triangle {
      < 0.684000, 9.756000, 2.412000>,
      < 0.352000, 9.948000, 2.480000>,
      < 0.668000, 9.756000, 2.544000>
    }
    triangle {
      < 0.360000, 9.948000, 2.408000>,
      < 0.000000, 10.016000, 2.404000>,
      < 0.352000, 9.948000, 2.480000>
    }
    triangle {
      < 0.000000, 8.116000, 2.404000>,
      < 0.352000, 8.192000, 2.480000>,
      < 0.328000, 8.192000, 2.552000>
    }
    triangle {
      < 0.352000, 8.192000, 2.480000>,
      < 0.668000, 8.380000, 2.544000>,
      < 0.628000, 8.380000, 2.672000>
    }
    triangle {
      < 0.352000, 8.192000, 2.480000>,
      < 0.628000, 8.380000, 2.672000>,
      < 0.328000, 8.192000, 2.552000>
    }
    triangle {
      < 0.668000, 8.380000, 2.544000>,
      < 0.868000, 8.716000, 2.588000>,
      < 0.816000, 8.716000, 2.756000>
    }
    triangle {
      < 0.668000, 8.380000, 2.544000>,
      < 0.816000, 8.716000, 2.756000>,
      < 0.628000, 8.380000, 2.672000>
    }
    triangle {
      < 0.868000, 8.716000, 2.588000>,
      < 0.940000, 9.072000, 2.604000>,
      < 0.888000, 9.072000, 2.784000>
    }
    triangle {
      < 0.868000, 8.716000, 2.588000>,
      < 0.888000, 9.072000, 2.784000>,
      < 0.816000, 8.716000, 2.756000>
    }
    triangle {
      < 0.940000, 9.072000, 2.604000>,
      < 0.868000, 9.428000, 2.588000>,
      < 0.816000, 9.428000, 2.756000>
    }
    triangle {
      < 0.940000, 9.072000, 2.604000>,
      < 0.816000, 9.428000, 2.756000>,
      < 0.888000, 9.072000, 2.784000>
    }
    triangle {
      < 0.868000, 9.428000, 2.588000>,
      < 0.668000, 9.756000, 2.544000>,
      < 0.628000, 9.756000, 2.672000>
    }
    triangle {
      < 0.868000, 9.428000, 2.588000>,
      < 0.628000, 9.756000, 2.672000>,
      < 0.816000, 9.428000, 2.756000>
    }
    triangle {
      < 0.668000, 9.756000, 2.544000>,
      < 0.352000, 9.948000, 2.480000>,
      < 0.328000, 9.948000, 2.552000>
    }
    triangle {
      < 0.668000, 9.756000, 2.544000>,
      < 0.328000, 9.948000, 2.552000>,
      < 0.628000, 9.756000, 2.672000>
    }
    triangle {
      < 0.352000, 9.948000, 2.480000>,
      < 0.000000, 10.016000, 2.404000>,
      < 0.328000, 9.948000, 2.552000>
    }
    triangle {
      < 0.000000, 8.116000, 2.404000>,
      < 0.328000, 8.192000, 2.552000>,
      < 0.296000, 8.192000, 2.612000>
    }
    triangle {
      < 0.328000, 8.192000, 2.552000>,
      < 0.628000, 8.380000, 2.672000>,
      < 0.560000, 8.380000, 2.792000>
    }
    triangle {
      < 0.328000, 8.192000, 2.552000>,
      < 0.560000, 8.380000, 2.792000>,
      < 0.296000, 8.192000, 2.612000>
    }
    triangle {
      < 0.628000, 8.380000, 2.672000>,
      < 0.816000, 8.716000, 2.756000>,
      < 0.732000, 8.716000, 2.912000>
    }
    triangle {
      < 0.628000, 8.380000, 2.672000>,
      < 0.732000, 8.716000, 2.912000>,
      < 0.560000, 8.380000, 2.792000>
    }
    triangle {
      < 0.816000, 8.716000, 2.756000>,
      < 0.888000, 9.072000, 2.784000>,
      < 0.796000, 9.072000, 2.952000>
    }
    triangle {
      < 0.816000, 8.716000, 2.756000>,
      < 0.796000, 9.072000, 2.952000>,
      < 0.732000, 8.716000, 2.912000>
    }
    triangle {
      < 0.888000, 9.072000, 2.784000>,
      < 0.816000, 9.428000, 2.756000>,
      < 0.732000, 9.428000, 2.912000>
    }
    triangle {
      < 0.888000, 9.072000, 2.784000>,
      < 0.732000, 9.428000, 2.912000>,
      < 0.796000, 9.072000, 2.952000>
    }
    triangle {
      < 0.816000, 9.428000, 2.756000>,
      < 0.628000, 9.756000, 2.672000>,
      < 0.560000, 9.756000, 2.792000>
    }
    triangle {
      < 0.816000, 9.428000, 2.756000>,
      < 0.560000, 9.756000, 2.792000>,
      < 0.732000, 9.428000, 2.912000>
    }
    triangle {
      < 0.628000, 9.756000, 2.672000>,
      < 0.328000, 9.948000, 2.552000>,
      < 0.296000, 9.948000, 2.612000>
    }
    triangle {
      < 0.628000, 9.756000, 2.672000>,
      < 0.296000, 9.948000, 2.612000>,
      < 0.560000, 9.756000, 2.792000>
    }
    triangle {
      < 0.328000, 9.948000, 2.552000>,
      < 0.000000, 10.016000, 2.404000>,
      < 0.296000, 9.948000, 2.612000>
    }
    triangle {
      < 0.000000, 8.116000, 2.404000>,
      < 0.296000, 8.192000, 2.612000>,
      < 0.248000, 8.192000, 2.664000>
    }
    triangle {
      < 0.296000, 8.192000, 2.612000>,
      < 0.560000, 8.380000, 2.792000>,
      < 0.476000, 8.380000, 2.896000>
    }
    triangle {
      < 0.296000, 8.192000, 2.612000>,
      < 0.476000, 8.380000, 2.896000>,
      < 0.248000, 8.192000, 2.664000>
    }
    triangle {
      < 0.560000, 8.380000, 2.792000>,
      < 0.732000, 8.716000, 2.912000>,
      < 0.620000, 8.716000, 3.044000>
    }
    triangle {
      < 0.560000, 8.380000, 2.792000>,
      < 0.620000, 8.716000, 3.044000>,
      < 0.476000, 8.380000, 2.896000>
    }
    triangle {
      < 0.732000, 8.716000, 2.912000>,
      < 0.796000, 9.072000, 2.952000>,
      < 0.672000, 9.072000, 3.096000>
    }
    triangle {
      < 0.732000, 8.716000, 2.912000>,
      < 0.672000, 9.072000, 3.096000>,
      < 0.620000, 8.716000, 3.044000>
    }
    triangle {
      < 0.796000, 9.072000, 2.952000>,
      < 0.732000, 9.428000, 2.912000>,
      < 0.620000, 9.428000, 3.044000>
    }
    triangle {
      < 0.796000, 9.072000, 2.952000>,
      < 0.620000, 9.428000, 3.044000>,
      < 0.672000, 9.072000, 3.096000>
    }
    triangle {
      < 0.732000, 9.428000, 2.912000>,
      < 0.560000, 9.756000, 2.792000>,
      < 0.476000, 9.756000, 2.896000>
    }
    triangle {
      < 0.732000, 9.428000, 2.912000>,
      < 0.476000, 9.756000, 2.896000>,
      < 0.620000, 9.428000, 3.044000>
    }
    triangle {
      < 0.560000, 9.756000, 2.792000>,
      < 0.296000, 9.948000, 2.612000>,
      < 0.248000, 9.948000, 2.664000>
    }
    triangle {
      < 0.560000, 9.756000, 2.792000>,
      < 0.248000, 9.948000, 2.664000>,
      < 0.476000, 9.756000, 2.896000>
    }
    triangle {
      < 0.296000, 9.948000, 2.612000>,
      < 0.000000, 10.016000, 2.404000>,
      < 0.248000, 9.948000, 2.664000>
    }
    triangle {
      < 0.000000, 8.116000, 2.404000>,
      < 0.248000, 8.192000, 2.664000>,
      < 0.196000, 8.192000, 2.712000>
    }
    triangle {
      < 0.248000, 8.192000, 2.664000>,
      < 0.476000, 8.380000, 2.896000>,
      < 0.372000, 8.380000, 2.980000>
    }
    triangle {
      < 0.248000, 8.192000, 2.664000>,
      < 0.372000, 8.380000, 2.980000>,
      < 0.196000, 8.192000, 2.712000>
    }
    triangle {
      < 0.476000, 8.380000, 2.896000>,
      < 0.620000, 8.716000, 3.044000>,
      < 0.484000, 8.716000, 3.152000>
    }
    triangle {
      < 0.476000, 8.380000, 2.896000>,
      < 0.484000, 8.716000, 3.152000>,
      < 0.372000, 8.380000, 2.980000>
    }
    triangle {
      < 0.620000, 8.716000, 3.044000>,
      < 0.672000, 9.072000, 3.096000>,
      < 0.528000, 9.072000, 3.220000>
    }
    triangle {
      < 0.620000, 8.716000, 3.044000>,
      < 0.528000, 9.072000, 3.220000>,
      < 0.484000, 8.716000, 3.152000>
    }
    triangle {
      < 0.672000, 9.072000, 3.096000>,
      < 0.620000, 9.428000, 3.044000>,
      < 0.484000, 9.428000, 3.152000>
    }
    triangle {
      < 0.672000, 9.072000, 3.096000>,
      < 0.484000, 9.428000, 3.152000>,
      < 0.528000, 9.072000, 3.220000>
    }
    triangle {
      < 0.620000, 9.428000, 3.044000>,
      < 0.476000, 9.756000, 2.896000>,
      < 0.372000, 9.756000, 2.980000>
    }
    triangle {
      < 0.620000, 9.428000, 3.044000>,
      < 0.372000, 9.756000, 2.980000>,
      < 0.484000, 9.428000, 3.152000>
    }
    triangle {
      < 0.476000, 9.756000, 2.896000>,
      < 0.248000, 9.948000, 2.664000>,
      < 0.196000, 9.948000, 2.712000>
    }
    triangle {
      < 0.476000, 9.756000, 2.896000>,
      < 0.196000, 9.948000, 2.712000>,
      < 0.372000, 9.756000, 2.980000>
    }
    triangle {
      < 0.248000, 9.948000, 2.664000>,
      < 0.000000, 10.016000, 2.404000>,
      < 0.196000, 9.948000, 2.712000>
    }
    triangle {
      < 0.000000, 8.116000, 2.404000>,
      < 0.196000, 8.192000, 2.712000>,
      < 0.132000, 8.192000, 2.744000>
    }
    triangle {
      < 0.196000, 8.192000, 2.712000>,
      < 0.372000, 8.380000, 2.980000>,
      < 0.252000, 8.380000, 3.044000>
    }
    triangle {
      < 0.196000, 8.192000, 2.712000>,
      < 0.252000, 8.380000, 3.044000>,
      < 0.132000, 8.192000, 2.744000>
    }
    triangle {
      < 0.372000, 8.380000, 2.980000>,
      < 0.484000, 8.716000, 3.152000>,
      < 0.328000, 8.716000, 3.236000>
    }
    triangle {
      < 0.372000, 8.380000, 2.980000>,
      < 0.328000, 8.716000, 3.236000>,
      < 0.252000, 8.380000, 3.044000>
    }
    triangle {
      < 0.484000, 8.716000, 3.152000>,
      < 0.528000, 9.072000, 3.220000>,
      < 0.356000, 9.072000, 3.304000>
    }
    triangle {
      < 0.484000, 8.716000, 3.152000>,
      < 0.356000, 9.072000, 3.304000>,
      < 0.328000, 8.716000, 3.236000>
    }
    triangle {
      < 0.528000, 9.072000, 3.220000>,
      < 0.484000, 9.428000, 3.152000>,
      < 0.328000, 9.428000, 3.236000>
    }
    triangle {
      < 0.528000, 9.072000, 3.220000>,
      < 0.328000, 9.428000, 3.236000>,
      < 0.356000, 9.072000, 3.304000>
    }
    triangle {
      < 0.484000, 9.428000, 3.152000>,
      < 0.372000, 9.756000, 2.980000>,
      < 0.252000, 9.756000, 3.044000>
    }
    triangle {
      < 0.484000, 9.428000, 3.152000>,
      < 0.252000, 9.756000, 3.044000>,
      < 0.328000, 9.428000, 3.236000>
    }
    triangle {
      < 0.372000, 9.756000, 2.980000>,
      < 0.196000, 9.948000, 2.712000>,
      < 0.132000, 9.948000, 2.744000>
    }
    triangle {
      < 0.372000, 9.756000, 2.980000>,
      < 0.132000, 9.948000, 2.744000>,
      < 0.252000, 9.756000, 3.044000>
    }
    triangle {
      < 0.196000, 9.948000, 2.712000>,
      < 0.000000, 10.016000, 2.404000>,
      < 0.132000, 9.948000, 2.744000>
    }
    triangle {
      < 0.000000, 8.116000, 2.404000>,
      < 0.132000, 8.192000, 2.744000>,
      < 0.060000, 8.192000, 2.764000>
    }
    triangle {
      < 0.132000, 8.192000, 2.744000>,
      < 0.252000, 8.380000, 3.044000>,
      < 0.120000, 8.380000, 3.084000>
    }
    triangle {
      < 0.132000, 8.192000, 2.744000>,
      < 0.120000, 8.380000, 3.084000>,
      < 0.060000, 8.192000, 2.764000>
    }
    triangle {
      < 0.252000, 8.380000, 3.044000>,
      < 0.328000, 8.716000, 3.236000>,
      < 0.160000, 8.716000, 3.284000>
    }
    triangle {
      < 0.252000, 8.380000, 3.044000>,
      < 0.160000, 8.716000, 3.284000>,
      < 0.120000, 8.380000, 3.084000>
    }
    triangle {
      < 0.328000, 8.716000, 3.236000>,
      < 0.356000, 9.072000, 3.304000>,
      < 0.176000, 9.072000, 3.356000>
    }
    triangle {
      < 0.328000, 8.716000, 3.236000>,
      < 0.176000, 9.072000, 3.356000>,
      < 0.160000, 8.716000, 3.284000>
    }
    triangle {
      < 0.356000, 9.072000, 3.304000>,
      < 0.328000, 9.428000, 3.236000>,
      < 0.160000, 9.428000, 3.284000>
    }
    triangle {
      < 0.356000, 9.072000, 3.304000>,
      < 0.160000, 9.428000, 3.284000>,
      < 0.176000, 9.072000, 3.356000>
    }
    triangle {
      < 0.328000, 9.428000, 3.236000>,
      < 0.252000, 9.756000, 3.044000>,
      < 0.120000, 9.756000, 3.084000>
    }
    triangle {
      < 0.328000, 9.428000, 3.236000>,
      < 0.120000, 9.756000, 3.084000>,
      < 0.160000, 9.428000, 3.284000>
    }
    triangle {
      < 0.252000, 9.756000, 3.044000>,
      < 0.132000, 9.948000, 2.744000>,
      < 0.060000, 9.948000, 2.764000>
    }
    triangle {
      < 0.252000, 9.756000, 3.044000>,
      < 0.060000, 9.948000, 2.764000>,
      < 0.120000, 9.756000, 3.084000>
    }
    triangle {
      < 0.132000, 9.948000, 2.744000>,
      < 0.000000, 10.016000, 2.404000>,
      < 0.060000, 9.948000, 2.764000>
    }
    triangle {
      < 0.000000, 8.116000, 2.404000>,
      < 0.060000, 8.192000, 2.764000>,
      < -0.004000, 8.192000, 2.772000>
    }
    triangle {
      < 0.060000, 8.192000, 2.764000>,
      < 0.120000, 8.380000, 3.084000>,
      < -0.004000, 8.380000, 3.096000>
    }
    triangle {
      < 0.060000, 8.192000, 2.764000>,
      < -0.004000, 8.380000, 3.096000>,
      < -0.004000, 8.192000, 2.772000>
    }
    triangle {
      < 0.120000, 8.380000, 3.084000>,
      < 0.160000, 8.716000, 3.284000>,
      < -0.008000, 8.716000, 3.300000>
    }
    triangle {
      < 0.120000, 8.380000, 3.084000>,
      < -0.008000, 8.716000, 3.300000>,
      < -0.004000, 8.380000, 3.096000>
    }
    triangle {
      < 0.160000, 8.716000, 3.284000>,
      < 0.176000, 9.072000, 3.356000>,
      < -0.008000, 9.072000, 3.372000>
    }
    triangle {
      < 0.160000, 8.716000, 3.284000>,
      < -0.008000, 9.072000, 3.372000>,
      < -0.008000, 8.716000, 3.300000>
    }
    triangle {
      < 0.176000, 9.072000, 3.356000>,
      < 0.160000, 9.428000, 3.284000>,
      < -0.008000, 9.428000, 3.300000>
    }
    triangle {
      < 0.176000, 9.072000, 3.356000>,
      < -0.008000, 9.428000, 3.300000>,
      < -0.008000, 9.072000, 3.372000>
    }
    triangle {
      < 0.160000, 9.428000, 3.284000>,
      < 0.120000, 9.756000, 3.084000>,
      < -0.004000, 9.756000, 3.096000>
    }
    triangle {
      < 0.160000, 9.428000, 3.284000>,
      < -0.004000, 9.756000, 3.096000>,
      < -0.008000, 9.428000, 3.300000>
    }
    triangle {
      < 0.120000, 9.756000, 3.084000>,
      < 0.060000, 9.948000, 2.764000>,
      < -0.004000, 9.948000, 2.772000>
    }
    triangle {
      < 0.120000, 9.756000, 3.084000>,
      < -0.004000, 9.948000, 2.772000>,
      < -0.004000, 9.756000, 3.096000>
    }
    triangle {
      < 0.060000, 9.948000, 2.764000>,
      < 0.000000, 10.016000, 2.404000>,
      < -0.004000, 9.948000, 2.772000>
    }
    triangle {
      < 0.000000, 8.116000, 2.404000>,
      < -0.004000, 8.192000, 2.772000>,
      < -0.072000, 8.192000, 2.760000>
    }
    triangle {
      < -0.004000, 8.192000, 2.772000>,
      < -0.004000, 8.380000, 3.096000>,
      < -0.140000, 8.380000, 3.084000>
    }
    triangle {
      < -0.004000, 8.192000, 2.772000>,
      < -0.140000, 8.380000, 3.084000>,
      < -0.072000, 8.192000, 2.760000>
    }
    triangle {
      < -0.004000, 8.380000, 3.096000>,
      < -0.008000, 8.716000, 3.300000>,
      < -0.180000, 8.716000, 3.280000>
    }
    triangle {
      < -0.004000, 8.380000, 3.096000>,
      < -0.180000, 8.716000, 3.280000>,
      < -0.140000, 8.380000, 3.084000>
    }
    triangle {
      < -0.008000, 8.716000, 3.300000>,
      < -0.008000, 9.072000, 3.372000>,
      < -0.196000, 9.072000, 3.356000>
    }
    triangle {
      < -0.008000, 8.716000, 3.300000>,
      < -0.196000, 9.072000, 3.356000>,
      < -0.180000, 8.716000, 3.280000>
    }
    triangle {
      < -0.008000, 9.072000, 3.372000>,
      < -0.008000, 9.428000, 3.300000>,
      < -0.180000, 9.428000, 3.280000>
    }
    triangle {
      < -0.008000, 9.072000, 3.372000>,
      < -0.180000, 9.428000, 3.280000>,
      < -0.196000, 9.072000, 3.356000>
    }
    triangle {
      < -0.008000, 9.428000, 3.300000>,
      < -0.004000, 9.756000, 3.096000>,
      < -0.140000, 9.756000, 3.084000>
    }
    triangle {
      < -0.008000, 9.428000, 3.300000>,
      < -0.140000, 9.756000, 3.084000>,
      < -0.180000, 9.428000, 3.280000>
    }
    triangle {
      < -0.004000, 9.756000, 3.096000>,
      < -0.004000, 9.948000, 2.772000>,
      < -0.072000, 9.948000, 2.760000>
    }
    triangle {
      < -0.004000, 9.756000, 3.096000>,
      < -0.072000, 9.948000, 2.760000>,
      < -0.140000, 9.756000, 3.084000>
    }
    triangle {
      < -0.004000, 9.948000, 2.772000>,
      < 0.000000, 10.016000, 2.404000>,
      < -0.072000, 9.948000, 2.760000>
    }
    triangle {
      < 0.000000, 8.116000, 2.404000>,
      < -0.072000, 8.192000, 2.760000>,
      < -0.140000, 8.192000, 2.744000>
    }
    triangle {
      < -0.072000, 8.192000, 2.760000>,
      < -0.140000, 8.380000, 3.084000>,
      < -0.268000, 8.380000, 3.040000>
    }
    triangle {
      < -0.072000, 8.192000, 2.760000>,
      < -0.268000, 8.380000, 3.040000>,
      < -0.140000, 8.192000, 2.744000>
    }
    triangle {
      < -0.140000, 8.380000, 3.084000>,
      < -0.180000, 8.716000, 3.280000>,
      < -0.344000, 8.716000, 3.228000>
    }
    triangle {
      < -0.140000, 8.380000, 3.084000>,
      < -0.344000, 8.716000, 3.228000>,
      < -0.268000, 8.380000, 3.040000>
    }
    triangle {
      < -0.180000, 8.716000, 3.280000>,
      < -0.196000, 9.072000, 3.356000>,
      < -0.376000, 9.072000, 3.300000>
    }
    triangle {
      < -0.180000, 8.716000, 3.280000>,
      < -0.376000, 9.072000, 3.300000>,
      < -0.344000, 8.716000, 3.228000>
    }
    triangle {
      < -0.196000, 9.072000, 3.356000>,
      < -0.180000, 9.428000, 3.280000>,
      < -0.344000, 9.428000, 3.228000>
    }
    triangle {
      < -0.196000, 9.072000, 3.356000>,
      < -0.344000, 9.428000, 3.228000>,
      < -0.376000, 9.072000, 3.300000>
    }
    triangle {
      < -0.180000, 9.428000, 3.280000>,
      < -0.140000, 9.756000, 3.084000>,
      < -0.268000, 9.756000, 3.040000>
    }
    triangle {
      < -0.180000, 9.428000, 3.280000>,
      < -0.268000, 9.756000, 3.040000>,
      < -0.344000, 9.428000, 3.228000>
    }
    triangle {
      < -0.140000, 9.756000, 3.084000>,
      < -0.072000, 9.948000, 2.760000>,
      < -0.140000, 9.948000, 2.744000>
    }
    triangle {
      < -0.140000, 9.756000, 3.084000>,
      < -0.140000, 9.948000, 2.744000>,
      < -0.268000, 9.756000, 3.040000>
    }
    triangle {
      < -0.072000, 9.948000, 2.760000>,
      < 0.000000, 10.016000, 2.404000>,
      < -0.140000, 9.948000, 2.744000>
    }
    triangle {
      < 0.000000, 8.116000, 2.404000>,
      < -0.140000, 8.192000, 2.744000>,
      < -0.204000, 8.192000, 2.708000>
    }
    triangle {
      < -0.140000, 8.192000, 2.744000>,
      < -0.268000, 8.380000, 3.040000>,
      < -0.384000, 8.380000, 2.976000>
    }
    triangle {
      < -0.140000, 8.192000, 2.744000>,
      < -0.384000, 8.380000, 2.976000>,
      < -0.204000, 8.192000, 2.708000>
    }
    triangle {
      < -0.268000, 8.380000, 3.040000>,
      < -0.344000, 8.716000, 3.228000>,
      < -0.500000, 8.716000, 3.144000>
    }
    triangle {
      < -0.268000, 8.380000, 3.040000>,
      < -0.500000, 8.716000, 3.144000>,
      < -0.384000, 8.380000, 2.976000>
    }
    triangle {
      < -0.344000, 8.716000, 3.228000>,
      < -0.376000, 9.072000, 3.300000>,
      < -0.544000, 9.072000, 3.204000>
    }
    triangle {
      < -0.344000, 8.716000, 3.228000>,
      < -0.544000, 9.072000, 3.204000>,
      < -0.500000, 8.716000, 3.144000>
    }
    triangle {
      < -0.376000, 9.072000, 3.300000>,
      < -0.344000, 9.428000, 3.228000>,
      < -0.500000, 9.428000, 3.144000>
    }
    triangle {
      < -0.376000, 9.072000, 3.300000>,
      < -0.500000, 9.428000, 3.144000>,
      < -0.544000, 9.072000, 3.204000>
    }
    triangle {
      < -0.344000, 9.428000, 3.228000>,
      < -0.268000, 9.756000, 3.040000>,
      < -0.384000, 9.756000, 2.976000>
    }
    triangle {
      < -0.344000, 9.428000, 3.228000>,
      < -0.384000, 9.756000, 2.976000>,
      < -0.500000, 9.428000, 3.144000>
    }
    triangle {
      < -0.268000, 9.756000, 3.040000>,
      < -0.140000, 9.948000, 2.744000>,
      < -0.204000, 9.948000, 2.708000>
    }
    triangle {
      < -0.268000, 9.756000, 3.040000>,
      < -0.204000, 9.948000, 2.708000>,
      < -0.384000, 9.756000, 2.976000>
    }
    triangle {
      < -0.140000, 9.948000, 2.744000>,
      < 0.000000, 10.016000, 2.404000>,
      < -0.204000, 9.948000, 2.708000>
    }
    triangle {
      < 0.000000, 8.116000, 2.404000>,
      < -0.204000, 8.192000, 2.708000>,
      < -0.256000, 8.192000, 2.660000>
    }
    triangle {
      < -0.204000, 8.192000, 2.708000>,
      < -0.384000, 8.380000, 2.976000>,
      < -0.492000, 8.380000, 2.888000>
    }
    triangle {
      < -0.204000, 8.192000, 2.708000>,
      < -0.492000, 8.380000, 2.888000>,
      < -0.256000, 8.192000, 2.660000>
    }
    triangle {
      < -0.384000, 8.380000, 2.976000>,
      < -0.500000, 8.716000, 3.144000>,
      < -0.636000, 8.716000, 3.028000>
    }
    triangle {
      < -0.384000, 8.380000, 2.976000>,
      < -0.636000, 8.716000, 3.028000>,
      < -0.492000, 8.380000, 2.888000>
    }
    triangle {
      < -0.500000, 8.716000, 3.144000>,
      < -0.544000, 9.072000, 3.204000>,
      < -0.688000, 9.072000, 3.084000>
    }
    triangle {
      < -0.500000, 8.716000, 3.144000>,
      < -0.688000, 9.072000, 3.084000>,
      < -0.636000, 8.716000, 3.028000>
    }
    triangle {
      < -0.544000, 9.072000, 3.204000>,
      < -0.500000, 9.428000, 3.144000>,
      < -0.636000, 9.428000, 3.028000>
    }
    triangle {
      < -0.544000, 9.072000, 3.204000>,
      < -0.636000, 9.428000, 3.028000>,
      < -0.688000, 9.072000, 3.084000>
    }
    triangle {
      < -0.500000, 9.428000, 3.144000>,
      < -0.384000, 9.756000, 2.976000>,
      < -0.492000, 9.756000, 2.888000>
    }
    triangle {
      < -0.500000, 9.428000, 3.144000>,
      < -0.492000, 9.756000, 2.888000>,
      < -0.636000, 9.428000, 3.028000>
    }
    triangle {
      < -0.384000, 9.756000, 2.976000>,
      < -0.204000, 9.948000, 2.708000>,
      < -0.256000, 9.948000, 2.660000>
    }
    triangle {
      < -0.384000, 9.756000, 2.976000>,
      < -0.256000, 9.948000, 2.660000>,
      < -0.492000, 9.756000, 2.888000>
    }
    triangle {
      < -0.204000, 9.948000, 2.708000>,
      < 0.000000, 10.016000, 2.404000>,
      < -0.256000, 9.948000, 2.660000>
    }
    triangle {
      < 0.000000, 8.116000, 2.404000>,
      < -0.256000, 8.192000, 2.660000>,
      < -0.308000, 8.192000, 2.608000>
    }
    triangle {
      < -0.256000, 8.192000, 2.660000>,
      < -0.492000, 8.380000, 2.888000>,
      < -0.576000, 8.380000, 2.784000>
    }
    triangle {
      < -0.256000, 8.192000, 2.660000>,
      < -0.576000, 8.380000, 2.784000>,
      < -0.308000, 8.192000, 2.608000>
    }
    triangle {
      < -0.492000, 8.380000, 2.888000>,
      < -0.636000, 8.716000, 3.028000>,
      < -0.748000, 8.716000, 2.896000>
    }
    triangle {
      < -0.492000, 8.380000, 2.888000>,
      < -0.748000, 8.716000, 2.896000>,
      < -0.576000, 8.380000, 2.784000>
    }
    triangle {
      < -0.636000, 8.716000, 3.028000>,
      < -0.688000, 9.072000, 3.084000>,
      < -0.808000, 9.072000, 2.936000>
    }
    triangle {
      < -0.636000, 8.716000, 3.028000>,
      < -0.808000, 9.072000, 2.936000>,
      < -0.748000, 8.716000, 2.896000>
    }
    triangle {
      < -0.688000, 9.072000, 3.084000>,
      < -0.636000, 9.428000, 3.028000>,
      < -0.748000, 9.428000, 2.896000>
    }
    triangle {
      < -0.688000, 9.072000, 3.084000>,
      < -0.748000, 9.428000, 2.896000>,
      < -0.808000, 9.072000, 2.936000>
    }
    triangle {
      < -0.636000, 9.428000, 3.028000>,
      < -0.492000, 9.756000, 2.888000>,
      < -0.576000, 9.756000, 2.784000>
    }
    triangle {
      < -0.636000, 9.428000, 3.028000>,
      < -0.576000, 9.756000, 2.784000>,
      < -0.748000, 9.428000, 2.896000>
    }
    triangle {
      < -0.492000, 9.756000, 2.888000>,
      < -0.256000, 9.948000, 2.660000>,
      < -0.308000, 9.948000, 2.608000>
    }
    triangle {
      < -0.492000, 9.756000, 2.888000>,
      < -0.308000, 9.948000, 2.608000>,
      < -0.576000, 9.756000, 2.784000>
    }
    triangle {
      < -0.256000, 9.948000, 2.660000>,
      < 0.000000, 10.016000, 2.404000>,
      < -0.308000, 9.948000, 2.608000>
    }
    triangle {
      < 0.000000, 8.116000, 2.404000>,
      < -0.308000, 8.192000, 2.608000>,
      < -0.336000, 8.192000, 2.540000>
    }
    triangle {
      < -0.308000, 8.192000, 2.608000>,
      < -0.576000, 8.380000, 2.784000>,
      < -0.636000, 8.380000, 2.664000>
    }
    triangle {
      < -0.308000, 8.192000, 2.608000>,
      < -0.636000, 8.380000, 2.664000>,
      < -0.336000, 8.192000, 2.540000>
    }
    triangle {
      < -0.576000, 8.380000, 2.784000>,
      < -0.748000, 8.716000, 2.896000>,
      < -0.824000, 8.716000, 2.740000>
    }
    triangle {
      < -0.576000, 8.380000, 2.784000>,
      < -0.824000, 8.716000, 2.740000>,
      < -0.636000, 8.380000, 2.664000>
    }
    triangle {
      < -0.748000, 8.716000, 2.896000>,
      < -0.808000, 9.072000, 2.936000>,
      < -0.896000, 9.072000, 2.772000>
    }
    triangle {
      < -0.748000, 8.716000, 2.896000>,
      < -0.896000, 9.072000, 2.772000>,
      < -0.824000, 8.716000, 2.740000>
    }
    triangle {
      < -0.808000, 9.072000, 2.936000>,
      < -0.748000, 9.428000, 2.896000>,
      < -0.824000, 9.428000, 2.740000>
    }
    triangle {
      < -0.808000, 9.072000, 2.936000>,
      < -0.824000, 9.428000, 2.740000>,
      < -0.896000, 9.072000, 2.772000>
    }
    triangle {
      < -0.748000, 9.428000, 2.896000>,
      < -0.576000, 9.756000, 2.784000>,
      < -0.636000, 9.756000, 2.664000>
    }
    triangle {
      < -0.748000, 9.428000, 2.896000>,
      < -0.636000, 9.756000, 2.664000>,
      < -0.824000, 9.428000, 2.740000>
    }
    triangle {
      < -0.576000, 9.756000, 2.784000>,
      < -0.308000, 9.948000, 2.608000>,
      < -0.336000, 9.948000, 2.540000>
    }
    triangle {
      < -0.576000, 9.756000, 2.784000>,
      < -0.336000, 9.948000, 2.540000>,
      < -0.636000, 9.756000, 2.664000>
    }
    triangle {
      < -0.308000, 9.948000, 2.608000>,
      < 0.000000, 10.016000, 2.404000>,
      < -0.336000, 9.948000, 2.540000>
    }
    triangle {
      < 0.000000, 8.116000, 2.404000>,
      < -0.336000, 8.192000, 2.540000>,
      < -0.360000, 8.192000, 2.476000>
    }
    triangle {
      < -0.336000, 8.192000, 2.540000>,
      < -0.636000, 8.380000, 2.664000>,
      < -0.676000, 8.380000, 2.532000>
    }
    triangle {
      < -0.336000, 8.192000, 2.540000>,
      < -0.676000, 8.380000, 2.532000>,
      < -0.360000, 8.192000, 2.476000>
    }
    triangle {
      < -0.636000, 8.380000, 2.664000>,
      < -0.824000, 8.716000, 2.740000>,
      < -0.880000, 8.716000, 2.572000>
    }
    triangle {
      < -0.636000, 8.380000, 2.664000>,
      < -0.880000, 8.716000, 2.572000>,
      < -0.676000, 8.380000, 2.532000>
    }
    triangle {
      < -0.824000, 8.716000, 2.740000>,
      < -0.896000, 9.072000, 2.772000>,
      < -0.952000, 9.072000, 2.584000>
    }
    triangle {
      < -0.824000, 8.716000, 2.740000>,
      < -0.952000, 9.072000, 2.584000>,
      < -0.880000, 8.716000, 2.572000>
    }
    triangle {
      < -0.896000, 9.072000, 2.772000>,
      < -0.824000, 9.428000, 2.740000>,
      < -0.880000, 9.428000, 2.572000>
    }
    triangle {
      < -0.896000, 9.072000, 2.772000>,
      < -0.880000, 9.428000, 2.572000>,
      < -0.952000, 9.072000, 2.584000>
    }
    triangle {
      < -0.824000, 9.428000, 2.740000>,
      < -0.636000, 9.756000, 2.664000>,
      < -0.676000, 9.756000, 2.532000>
    }
    triangle {
      < -0.824000, 9.428000, 2.740000>,
      < -0.676000, 9.756000, 2.532000>,
      < -0.880000, 9.428000, 2.572000>
    }
    triangle {
      < -0.636000, 9.756000, 2.664000>,
      < -0.336000, 9.948000, 2.540000>,
      < -0.360000, 9.948000, 2.476000>
    }
    triangle {
      < -0.636000, 9.756000, 2.664000>,
      < -0.360000, 9.948000, 2.476000>,
      < -0.676000, 9.756000, 2.532000>
    }
    triangle {
      < -0.336000, 9.948000, 2.540000>,
      < 0.000000, 10.016000, 2.404000>,
      < -0.360000, 9.948000, 2.476000>
    }
    triangle {
      < 0.000000, 8.116000, 2.404000>,
      < -0.360000, 8.192000, 2.476000>,
      < -0.364000, 8.192000, 2.404000>
    }
    triangle {
      < -0.360000, 8.192000, 2.476000>,
      < -0.676000, 8.380000, 2.532000>,
      < -0.688000, 8.380000, 2.400000>
    }
    triangle {
      < -0.360000, 8.192000, 2.476000>,
      < -0.688000, 8.380000, 2.400000>,
      < -0.364000, 8.192000, 2.404000>
    }
    triangle {
      < -0.676000, 8.380000, 2.532000>,
      < -0.880000, 8.716000, 2.572000>,
      < -0.892000, 8.716000, 2.400000>
    }
    triangle {
      < -0.676000, 8.380000, 2.532000>,
      < -0.892000, 8.716000, 2.400000>,
      < -0.688000, 8.380000, 2.400000>
    }
    triangle {
      < -0.880000, 8.716000, 2.572000>,
      < -0.952000, 9.072000, 2.584000>,
      < -0.968000, 9.072000, 2.396000>
    }
    triangle {
      < -0.880000, 8.716000, 2.572000>,
      < -0.968000, 9.072000, 2.396000>,
      < -0.892000, 8.716000, 2.400000>
    }
    triangle {
      < -0.952000, 9.072000, 2.584000>,
      < -0.880000, 9.428000, 2.572000>,
      < -0.892000, 9.428000, 2.400000>
    }
    triangle {
      < -0.952000, 9.072000, 2.584000>,
      < -0.892000, 9.428000, 2.400000>,
      < -0.968000, 9.072000, 2.396000>
    }
    triangle {
      < -0.880000, 9.428000, 2.572000>,
      < -0.676000, 9.756000, 2.532000>,
      < -0.688000, 9.756000, 2.400000>
    }
    triangle {
      < -0.880000, 9.428000, 2.572000>,
      < -0.688000, 9.756000, 2.400000>,
      < -0.892000, 9.428000, 2.400000>
    }
    triangle {
      < -0.676000, 9.756000, 2.532000>,
      < -0.360000, 9.948000, 2.476000>,
      < -0.364000, 9.948000, 2.404000>
    }
    triangle {
      < -0.676000, 9.756000, 2.532000>,
      < -0.364000, 9.948000, 2.404000>,
      < -0.688000, 9.756000, 2.400000>
    }
    triangle {
      < -0.360000, 9.948000, 2.476000>,
      < 0.000000, 10.016000, 2.404000>,
      < -0.364000, 9.948000, 2.404000>
    }
    triangle {
      < 0.360000, 8.192000, 2.408000>,
      < 0.000000, 8.116000, 2.404000>,
      < 0.684000, 8.380000, 2.412000>
    }
    triangle {
      < -0.364000, 8.192000, 2.404000>,
      < -0.688000, 8.380000, 2.400000>,
      < 0.000000, 8.116000, 2.404000>
    }
    triangle {
      < 0.684000, 8.380000, 2.412000>,
      < 0.000000, 8.116000, 2.404000>,
      < 0.888000, 8.716000, 2.412000>
    }
    triangle {
      < -0.688000, 8.380000, 2.400000>,
      < -0.892000, 8.716000, 2.400000>,
      < 0.000000, 8.116000, 2.404000>
    }
    triangle {
      < 0.888000, 8.716000, 2.412000>,
      < 0.000000, 8.116000, 2.404000>,
      < 0.960000, 9.072000, 2.412000>
    }
    triangle {
      < -0.892000, 8.716000, 2.400000>,
      < -0.968000, 9.072000, 2.396000>,
      < 0.000000, 8.116000, 2.404000>
    }
    triangle {
      < 0.960000, 9.072000, 2.412000>,
      < 0.000000, 8.116000, 2.404000>,
      < 0.888000, 9.428000, 2.412000>
    }
    triangle {
      < -0.968000, 9.072000, 2.396000>,
      < -0.892000, 9.428000, 2.400000>,
      < 0.000000, 8.116000, 2.404000>
    }
    triangle {
      < 0.888000, 9.428000, 2.412000>,
      < 0.000000, 8.116000, 2.404000>,
      < 0.684000, 9.756000, 2.412000>
    }
    triangle {
      < -0.892000, 9.428000, 2.400000>,
      < -0.688000, 9.756000, 2.400000>,
      < 0.000000, 8.116000, 2.404000>
    }
    triangle {
      < 0.684000, 9.756000, 2.412000>,
      < 0.000000, 8.116000, 2.404000>,
      < 0.360000, 9.948000, 2.408000>
    }
    triangle {
      < -0.688000, 9.756000, 2.400000>,
      < -0.364000, 9.948000, 2.404000>,
      < 0.000000, 8.116000, 2.404000>
    }
    triangle {
      < 0.360000, 9.948000, 2.408000>,
      < 0.000000, 8.116000, 2.404000>,
      < 0.000000, 10.016000, 2.404000>
    }
    triangle {
      < -0.364000, 9.948000, 2.404000>,
      < 0.000000, 10.016000, 2.404000>,
      < 0.000000, 8.116000, 2.404000>
    }
    texture {dome_body}
  }
  // body
  union {
    triangle {
      < -2.328000, 8.660000, -2.104000>,
      < -1.584000, 7.700000, -1.968000>,
      < -2.328000, 7.772000, -2.104000>
    }
    triangle {
      < -2.328000, 9.416000, -2.104000>,
      < -1.584000, 7.700000, -1.968000>,
      < -2.328000, 8.660000, -2.104000>
    }
    triangle {
      < -2.452000, 11.368000, -2.124000>,
      < -1.584000, 7.700000, -1.968000>,
      < -2.452000, 11.268000, -2.124000>
    }
    triangle {
      < -2.452000, 11.368000, -2.124000>,
      < -1.596000, 14.708000, -1.968000>,
      < -1.584000, 7.700000, -1.968000>
    }
    texture {body}
  }
  // DEFAULT
  union {
    triangle {
      < -2.520000, 11.368000, -2.136000>,
      < -1.596000, 14.708000, -1.968000>,
      < -2.452000, 11.368000, -2.124000>
    }
    triangle {
      < -2.520000, 11.368000, -2.136000>,
      < -2.868000, 11.368000, -2.196000>,
      < -1.596000, 14.708000, -1.968000>
    }
    triangle {
      < -2.868000, 11.368000, -2.196000>,
      < -2.964000, 11.368000, -2.216000>,
      < -1.596000, 14.708000, -1.968000>
    }
    triangle {
      < -3.124000, 11.368000, -2.244000>,
      < -1.596000, 14.708000, -1.968000>,
      < -2.964000, 11.368000, -2.216000>
    }
    triangle {
      < -3.356000, 11.368000, -2.284000>,
      < -1.596000, 14.708000, -1.968000>,
      < -3.124000, 11.368000, -2.244000>
    }
    triangle {
      < -3.540000, 11.368000, -2.316000>,
      < -1.596000, 14.708000, -1.968000>,
      < -3.356000, 11.368000, -2.284000>
    }
    triangle {
      < -3.716000, 11.368000, -2.348000>,
      < -1.596000, 14.708000, -1.968000>,
      < -3.540000, 11.368000, -2.316000>
    }
    triangle {
      < -3.972000, 11.368000, -2.392000>,
      < -1.596000, 14.708000, -1.968000>,
      < -3.716000, 11.368000, -2.348000>
    }
    texture {DEFAULT}
  }
  // wingsl
  union {
    triangle {
      < -3.972000, 11.368000, -2.392000>,
      < -4.352000, 14.424000, -2.460000>,
      < -1.596000, 14.708000, -1.968000>
    }
    triangle {
      < -3.972000, 11.368000, -2.392000>,
      < -4.352000, 11.368000, -2.460000>,
      < -4.352000, 14.424000, -2.460000>
    }
    triangle {
      < -4.604000, 11.368000, -2.432000>,
      < -4.460000, 14.420000, -2.448000>,
      < -4.412000, 11.368000, -2.448000>
    }
    triangle {
      < -4.732000, 9.416000, -2.420000>,
      < -4.460000, 14.420000, -2.448000>,
      < -4.604000, 11.368000, -2.432000>
    }
    triangle {
      < -4.732000, 9.416000, -2.420000>,
      < -6.424000, 8.176000, -2.256000>,
      < -4.460000, 14.420000, -2.448000>
    }
    texture {wingsl}
  }
  // wingsl_engines
  union {
    triangle {
      < -4.732000, 8.960000, -2.420000>,
      < -6.424000, 8.176000, -2.256000>,
      < -4.732000, 9.416000, -2.420000>
    }
    triangle {
      < -4.732000, 8.008000, -2.420000>,
      < -6.424000, 8.176000, -2.256000>,
      < -4.732000, 8.960000, -2.420000>
    }
    texture {wingsl_engines}
  }
  // wingsl
  union {
    triangle {
      < -4.352000, 11.368000, -2.460000>,
      < -4.360000, 11.368000, -2.456000>,
      < -4.352000, 14.424000, -2.460000>
    }
    triangle {
      < -4.360000, 11.368000, -2.456000>,
      < -4.460000, 14.420000, -2.448000>,
      < -4.352000, 14.424000, -2.460000>
    }
    triangle {
      < -4.360000, 11.368000, -2.456000>,
      < -4.412000, 11.368000, -2.448000>,
      < -4.460000, 14.420000, -2.448000>
    }
    texture {wingsl}
  }
  // DEFAULT
  union {
    triangle {
      < -2.720000, 7.804000, -1.656000>,
      < -1.804000, 7.704000, -1.068000>,
      < -2.784000, 7.808000, -1.620000>
    }
    triangle {
      < -2.600000, 7.784000, -1.776000>,
      < -1.804000, 7.704000, -1.068000>,
      < -2.720000, 7.804000, -1.656000>
    }
    triangle {
      < -2.364000, 7.772000, -2.020000>,
      < -1.804000, 7.704000, -1.068000>,
      < -2.600000, 7.784000, -1.776000>
    }
    texture {DEFAULT}
  }
  // body
  union {
    triangle {
      < -1.584000, 7.700000, -1.968000>,
      < -2.364000, 7.772000, -2.020000>,
      < -2.328000, 7.772000, -2.104000>
    }
    triangle {
      < -1.584000, 7.700000, -1.968000>,
      < -1.804000, 7.704000, -1.068000>,
      < -2.364000, 7.772000, -2.020000>
    }
    texture {body}
  }
  // wingsl
  union {
    triangle {
      < -4.732000, 8.008000, -2.420000>,
      < -6.676000, 8.192000, -2.068000>,
      < -6.424000, 8.176000, -2.256000>
    }
    triangle {
      < -4.732000, 8.008000, -2.420000>,
      < -4.724000, 8.008000, -2.396000>,
      < -6.676000, 8.192000, -2.068000>
    }
    triangle {
      < -4.548000, 7.984000, -1.984000>,
      < -5.892000, 8.108000, -1.472000>,
      < -4.624000, 7.996000, -2.168000>
    }
    triangle {
      < -4.176000, 7.944000, -1.632000>,
      < -5.892000, 8.108000, -1.472000>,
      < -4.436000, 7.972000, -1.884000>
    }
    triangle {
      < -3.696000, 7.892000, -1.448000>,
      < -5.892000, 8.108000, -1.472000>,
      < -4.028000, 7.928000, -1.580000>
    }
    triangle {
      < -3.696000, 7.892000, -1.448000>,
      < -1.804000, 7.704000, -1.068000>,
      < -5.892000, 8.108000, -1.472000>
    }
    texture {wingsl}
  }
  // DEFAULT
  union {
    triangle {
      < -3.192000, 7.844000, -1.456000>,
      < -1.804000, 7.704000, -1.068000>,
      < -3.540000, 7.880000, -1.452000>
    }
    triangle {
      < -1.804000, 7.704000, -1.068000>,
      < -3.040000, 7.824000, -1.520000>,
      < -2.784000, 7.808000, -1.620000>
    }
    triangle {
      < -1.804000, 7.704000, -1.068000>,
      < -3.192000, 7.844000, -1.456000>,
      < -3.040000, 7.824000, -1.520000>
    }
    texture {DEFAULT}
  }
  // wingsl
  union {
    triangle {
      < -4.624000, 7.996000, -2.168000>,
      < -5.892000, 8.108000, -1.472000>,
      < -4.660000, 8.000000, -2.260000>
    }
    triangle {
      < -4.660000, 8.000000, -2.260000>,
      < -5.892000, 8.108000, -1.472000>,
      < -4.664000, 8.000000, -2.260000>
    }
    triangle {
      < -4.696000, 8.008000, -2.328000>,
      < -6.692000, 8.192000, -1.976000>,
      < -4.716000, 8.008000, -2.380000>
    }
    triangle {
      < -4.664000, 8.000000, -2.260000>,
      < -6.692000, 8.192000, -1.976000>,
      < -4.696000, 8.008000, -2.328000>
    }
    triangle {
      < -4.664000, 8.000000, -2.260000>,
      < -5.892000, 8.108000, -1.472000>,
      < -6.692000, 8.192000, -1.976000>
    }
    triangle {
      < -4.716000, 8.008000, -2.380000>,
      < -6.676000, 8.192000, -2.068000>,
      < -4.724000, 8.008000, -2.396000>
    }
    triangle {
      < -4.716000, 8.008000, -2.380000>,
      < -6.692000, 8.192000, -1.976000>,
      < -6.676000, 8.192000, -2.068000>
    }
    texture {wingsl}
  }
  // engines
  union {
    triangle {
      < -2.176000, 4.520000, -2.504000>,
      < -2.176000, 9.416000, -2.504000>,
      < -2.328000, 9.416000, -2.104000>
    }
    triangle {
      < -2.176000, 4.520000, -2.504000>,
      < -2.328000, 9.416000, -2.104000>,
      < -2.328000, 8.660000, -2.104000>
    }
    triangle {
      < -2.328000, 7.772000, -2.104000>,
      < -2.364000, 7.772000, -2.020000>,
      < -2.364000, 4.520000, -2.020000>
    }
    triangle {
      < -2.328000, 7.772000, -2.104000>,
      < -2.364000, 4.520000, -2.020000>,
      < -2.176000, 4.520000, -2.504000>
    }
    triangle {
      < -2.176000, 4.520000, -2.504000>,
      < -2.328000, 8.660000, -2.104000>,
      < -2.328000, 7.772000, -2.104000>
    }
    triangle {
      < -2.176000, 9.416000, -2.504000>,
      < -2.296000, 9.780000, -2.524000>,
      < -2.452000, 9.780000, -2.124000>
    }
    triangle {
      < -2.176000, 9.416000, -2.504000>,
      < -2.452000, 9.780000, -2.124000>,
      < -2.460000, 9.780000, -2.096000>
    }
    triangle {
      < -2.176000, 9.416000, -2.504000>,
      < -2.444000, 9.756000, -2.124000>,
      < -2.328000, 9.416000, -2.104000>
    }
    triangle {
      < -2.296000, 9.780000, -2.524000>,
      < -2.296000, 11.368000, -2.524000>,
      < -2.452000, 11.368000, -2.124000>
    }
    triangle {
      < -2.296000, 9.780000, -2.524000>,
      < -2.452000, 11.368000, -2.124000>,
      < -2.452000, 11.268000, -2.124000>
    }
    triangle {
      < -2.296000, 9.780000, -2.524000>,
      < -2.452000, 11.268000, -2.124000>,
      < -2.460000, 9.780000, -2.096000>
    }
    triangle {
      < -2.296000, 11.368000, -2.524000>,
      < -3.464000, 11.368000, -2.740000>,
      < -2.520000, 11.368000, -2.136000>
    }
    triangle {
      < -2.296000, 11.368000, -2.524000>,
      < -2.520000, 11.368000, -2.136000>,
      < -2.452000, 11.368000, -2.124000>
    }
    triangle {
      < -2.868000, 11.368000, -2.196000>,
      < -2.520000, 11.368000, -2.136000>,
      < -3.464000, 11.368000, -2.740000>
    }
    triangle {
      < -3.464000, 11.368000, -2.740000>,
      < -3.124000, 11.368000, -2.244000>,
      < -2.964000, 11.368000, -2.216000>
    }
    triangle {
      < -3.124000, 11.368000, -2.244000>,
      < -3.464000, 11.368000, -2.740000>,
      < -3.356000, 11.368000, -2.284000>
    }
    triangle {
      < -3.356000, 11.368000, -2.284000>,
      < -3.464000, 11.368000, -2.740000>,
      < -3.540000, 11.368000, -2.316000>
    }
    texture {engines}
  }
  // wingsl
  union {
    triangle {
      < -3.540000, 11.368000, -2.316000>,
      < -3.464000, 11.368000, -2.740000>,
      < -3.716000, 11.368000, -2.348000>
    }
    texture {wingsl}
  }
  // engines
  union {
    triangle {
      < -3.716000, 11.368000, -2.348000>,
      < -3.464000, 11.368000, -2.740000>,
      < -3.972000, 11.368000, -2.392000>
    }
    triangle {
      < -4.352000, 11.368000, -2.460000>,
      < -3.972000, 11.368000, -2.392000>,
      < -3.464000, 11.368000, -2.740000>
    }
    triangle {
      < -4.352000, 11.368000, -2.460000>,
      < -3.464000, 11.368000, -2.740000>,
      < -4.360000, 11.368000, -2.456000>
    }
    triangle {
      < -4.664000, 8.000000, -2.260000>,
      < -4.548000, 4.520000, -1.984000>,
      < -4.660000, 8.000000, -2.260000>
    }
    triangle {
      < -4.696000, 8.008000, -2.328000>,
      < -4.548000, 4.520000, -1.984000>,
      < -4.664000, 8.000000, -2.260000>
    }
    triangle {
      < -4.724000, 8.008000, -2.396000>,
      < -4.548000, 4.520000, -1.984000>,
      < -4.716000, 8.008000, -2.380000>
    }
    triangle {
      < -4.732000, 8.008000, -2.420000>,
      < -4.548000, 4.520000, -1.984000>,
      < -4.724000, 8.008000, -2.396000>
    }
    triangle {
      < -4.732000, 8.008000, -2.420000>,
      < -4.752000, 4.520000, -2.464000>,
      < -4.548000, 4.520000, -1.984000>
    }
    triangle {
      < -4.752000, 4.520000, -2.464000>,
      < -4.732000, 8.008000, -2.420000>,
      < -4.752000, 9.416000, -2.464000>
    }
    triangle {
      < -4.732000, 9.416000, -2.420000>,
      < -4.616000, 9.736000, -2.428000>,
      < -4.752000, 9.416000, -2.464000>
    }
    triangle {
      < -4.604000, 9.780000, -2.432000>,
      < -4.604000, 11.148000, -2.432000>,
      < -4.628000, 9.780000, -2.492000>
    }
    triangle {
      < -2.364000, 4.520000, -2.020000>,
      < -2.364000, 7.772000, -2.020000>,
      < -2.600000, 7.784000, -1.776000>
    }
    triangle {
      < -2.364000, 4.520000, -2.020000>,
      < -2.600000, 7.784000, -1.776000>,
      < -2.720000, 7.804000, -1.656000>
    }
    triangle {
      < -2.364000, 4.520000, -2.020000>,
      < -2.720000, 7.804000, -1.656000>,
      < -2.720000, 4.520000, -1.656000>
    }
    triangle {
      < -2.720000, 4.520000, -1.656000>,
      < -2.720000, 7.804000, -1.656000>,
      < -2.784000, 7.808000, -1.620000>
    }
    triangle {
      < -2.720000, 4.520000, -1.656000>,
      < -3.040000, 7.824000, -1.520000>,
      < -3.192000, 7.844000, -1.456000>
    }
    triangle {
      < -2.720000, 4.520000, -1.656000>,
      < -3.192000, 7.844000, -1.456000>,
      < -3.192000, 4.520000, -1.456000>
    }
    triangle {
      < -3.192000, 4.520000, -1.456000>,
      < -3.192000, 7.844000, -1.456000>,
      < -3.540000, 7.880000, -1.452000>
    }
    triangle {
      < -3.192000, 4.520000, -1.456000>,
      < -3.540000, 7.880000, -1.452000>,
      < -3.696000, 7.892000, -1.448000>
    }
    triangle {
      < -3.192000, 4.520000, -1.456000>,
      < -3.696000, 7.892000, -1.448000>,
      < -3.696000, 4.520000, -1.448000>
    }
    triangle {
      < -3.696000, 4.520000, -1.448000>,
      < -3.696000, 7.892000, -1.448000>,
      < -4.028000, 7.928000, -1.580000>
    }
    triangle {
      < -3.696000, 4.520000, -1.448000>,
      < -4.028000, 7.928000, -1.580000>,
      < -4.176000, 7.944000, -1.632000>
    }
    triangle {
      < -3.696000, 4.520000, -1.448000>,
      < -4.176000, 7.944000, -1.632000>,
      < -4.176000, 4.520000, -1.632000>
    }
    triangle {
      < -4.176000, 4.520000, -1.632000>,
      < -4.176000, 7.944000, -1.632000>,
      < -4.436000, 7.972000, -1.884000>
    }
    triangle {
      < -4.176000, 4.520000, -1.632000>,
      < -4.436000, 7.972000, -1.884000>,
      < -4.548000, 7.984000, -1.984000>
    }
    triangle {
      < -4.176000, 4.520000, -1.632000>,
      < -4.548000, 7.984000, -1.984000>,
      < -4.548000, 4.520000, -1.984000>
    }
    texture {engines}
  }
  // DEFAULT
  union {
    triangle {
      < -14.100000, 13.464000, -3.284000>,
      < -13.072000, 8.836000, -3.104000>,
      < -14.108000, 8.940000, -3.272000>
    }
    triangle {
      < -14.100000, 13.464000, -3.284000>,
      < -9.304000, 13.948000, -2.440000>,
      < -13.072000, 8.836000, -3.104000>
    }
    texture {DEFAULT}
  }
  // wingsl
  union {
    triangle {
      < -13.072000, 8.836000, -3.104000>,
      < -7.300000, 14.144000, -2.084000>,
      < -12.728000, 8.808000, -3.044000>
    }
    triangle {
      < -13.072000, 8.836000, -3.104000>,
      < -9.304000, 13.948000, -2.440000>,
      < -7.300000, 14.144000, -2.084000>
    }
    triangle {
      < -12.728000, 8.808000, -3.044000>,
      < -6.692000, 11.844000, -1.976000>,
      < -11.952000, 8.724000, -2.904000>
    }
    triangle {
      < -12.728000, 8.808000, -3.044000>,
      < -7.300000, 14.144000, -2.084000>,
      < -6.692000, 11.844000, -1.976000>
    }
    texture {wingsl}
  }
  // body
  union {
    triangle {
      < -1.804000, 7.704000, -1.068000>,
      < -1.804000, 8.412000, -1.068000>,
      < -1.856000, 14.700000, -0.760000>
    }
    triangle {
      < -1.804000, 7.704000, -1.068000>,
      < -1.856000, 14.700000, -0.760000>,
      < -1.804000, 7.704000, -1.060000>
    }
    texture {body}
  }
  // DEFAULT
  union {
    triangle {
      < -1.804000, 7.704000, -1.060000>,
      < -1.856000, 14.700000, -0.760000>,
      < -1.856000, 7.704000, -0.760000>
    }
    texture {DEFAULT}
  }
  // wingsl
  union {
    triangle {
      < -6.644000, 8.192000, -2.232000>,
      < -6.648000, 14.212000, -2.212000>,
      < -6.644000, 14.212000, -2.232000>
    }
    triangle {
      < -6.644000, 8.192000, -2.232000>,
      < -6.644000, 8.192000, -2.228000>,
      < -6.648000, 14.212000, -2.212000>
    }
    triangle {
      < -6.644000, 8.192000, -2.228000>,
      < -6.692000, 8.596000, -1.976000>,
      < -6.648000, 14.212000, -2.212000>
    }
    triangle {
      < -6.644000, 8.192000, -2.228000>,
      < -6.676000, 8.192000, -2.068000>,
      < -6.692000, 8.596000, -1.976000>
    }
    texture {wingsl}
  }
  // body
  union {
    triangle {
      < -1.804000, 8.412000, -1.068000>,
      < -1.760000, 7.700000, -1.060000>,
      < -1.744000, 7.700000, -1.056000>
    }
    triangle {
      < -1.804000, 8.412000, -1.068000>,
      < -1.744000, 7.700000, -1.056000>,
      < -1.804000, 14.700000, -1.068000>
    }
    triangle {
      < -1.804000, 14.700000, -1.068000>,
      < -1.744000, 7.700000, -1.056000>,
      < -1.740000, 7.700000, -1.056000>
    }
    triangle {
      < -1.804000, 14.700000, -1.068000>,
      < -1.740000, 7.700000, -1.056000>,
      < -1.740000, 14.708000, -1.056000>
    }
    texture {body}
  }
  // DEFAULT
  union {
    triangle {
      < -14.152000, 8.940000, -3.004000>,
      < -14.116000, 13.464000, -3.220000>,
      < -14.108000, 8.940000, -3.272000>
    }
    triangle {
      < -14.108000, 8.940000, -3.272000>,
      < -14.100000, 13.464000, -3.284000>,
      < -14.100000, 8.940000, -3.284000>
    }
    triangle {
      < -14.108000, 8.940000, -3.272000>,
      < -14.116000, 13.464000, -3.220000>,
      < -14.100000, 13.464000, -3.284000>
    }
    triangle {
      < -14.164000, 8.940000, -2.928000>,
      < -14.116000, 13.464000, -3.220000>,
      < -14.152000, 8.940000, -3.004000>
    }
    triangle {
      < -14.164000, 8.940000, -2.928000>,
      < -14.164000, 13.464000, -2.928000>,
      < -14.116000, 13.464000, -3.220000>
    }
    texture {DEFAULT}
  }
  // wingsl
  union {
    triangle {
      < -14.164000, 13.464000, -2.928000>,
      < -14.164000, 8.940000, -2.928000>,
      < -5.892000, 8.108000, -1.472000>
    }
    texture {wingsl}
  }
  // wingsl_engines
  union {
    triangle {
      < -14.164000, 13.464000, -2.928000>,
      < -5.892000, 8.108000, -1.472000>,
      < -2.512000, 7.772000, -0.876000>
    }
    triangle {
      < -14.164000, 13.464000, -2.928000>,
      < -2.512000, 7.772000, -0.876000>,
      < -2.372000, 7.760000, -0.852000>
    }
    triangle {
      < -14.164000, 13.464000, -2.928000>,
      < -2.372000, 7.760000, -0.852000>,
      < -12.312000, 13.652000, -2.604000>
    }
    triangle {
      < -10.812000, 13.796000, -2.340000>,
      < -12.312000, 13.652000, -2.604000>,
      < -2.372000, 7.760000, -0.852000>
    }
    triangle {
      < -10.812000, 13.796000, -2.340000>,
      < -2.372000, 7.760000, -0.852000>,
      < -2.276000, 7.748000, -0.832000>
    }
    texture {wingsl_engines}
  }
  // wingsl
  union {
    triangle {
      < -1.856000, 7.704000, -0.760000>,
      < -1.856000, 14.700000, -0.760000>,
      < -10.812000, 13.796000, -2.340000>
    }
    texture {wingsl}
  }
  // wingsl_engines
  union {
    triangle {
      < -1.856000, 7.704000, -0.760000>,
      < -10.812000, 13.796000, -2.340000>,
      < -2.276000, 7.748000, -0.832000>
    }
    texture {wingsl_engines}
  }
  // body
  union {
    triangle {
      < -1.584000, 7.700000, -1.968000>,
      < -1.580000, 14.708000, -1.968000>,
      < -1.580000, 7.700000, -1.968000>
    }
    triangle {
      < -1.584000, 7.700000, -1.968000>,
      < -1.596000, 14.708000, -1.968000>,
      < -1.580000, 14.708000, -1.968000>
    }
    texture {body}
  }
  // wingsl
  union {
    triangle {
      < -6.644000, 8.192000, -2.232000>,
      < -4.460000, 14.420000, -2.448000>,
      < -6.424000, 8.176000, -2.256000>
    }
    triangle {
      < -6.644000, 8.192000, -2.232000>,
      < -6.644000, 14.212000, -2.232000>,
      < -4.460000, 14.420000, -2.448000>
    }
    texture {wingsl}
  }
  // body
  union {
    triangle {
      < -1.740000, 14.708000, -1.056000>,
      < -1.740000, 7.700000, -1.056000>,
      < -1.584000, 7.700000, -1.940000>
    }
    triangle {
      < -1.740000, 14.708000, -1.056000>,
      < -1.584000, 7.700000, -1.940000>,
      < -1.740000, 14.708000, -1.064000>
    }
    triangle {
      < -1.740000, 14.708000, -1.064000>,
      < -1.584000, 7.700000, -1.940000>,
      < -1.580000, 7.700000, -1.968000>
    }
    triangle {
      < -1.740000, 14.708000, -1.064000>,
      < -1.580000, 7.700000, -1.968000>,
      < -1.580000, 14.708000, -1.968000>
    }
    texture {body}
  }
  // wingsl
  union {
    triangle {
      < -6.692000, 11.844000, -1.976000>,
      < -8.268000, 8.360000, -2.256000>,
      < -11.952000, 8.724000, -2.904000>
    }
    triangle {
      < -6.692000, 11.844000, -1.976000>,
      < -6.692000, 8.596000, -1.976000>,
      < -8.268000, 8.360000, -2.256000>
    }
    triangle {
      < -7.272000, 8.256000, -2.080000>,
      < -6.692000, 8.596000, -1.976000>,
      < -6.692000, 8.192000, -1.976000>
    }
    triangle {
      < -7.272000, 8.256000, -2.080000>,
      < -8.268000, 8.360000, -2.256000>,
      < -6.692000, 8.596000, -1.976000>
    }
    triangle {
      < -6.692000, 8.192000, -1.976000>,
      < -6.692000, 8.596000, -1.976000>,
      < -6.676000, 8.192000, -2.068000>
    }
    texture {wingsl}
  }
  // body
  union {
    triangle {
      < -1.804000, 8.412000, -1.068000>,
      < -1.804000, 7.704000, -1.068000>,
      < -1.760000, 7.700000, -1.060000>
    }
    texture {body}
  }
  // wingsl
  union {
    triangle {
      < -14.152000, 8.940000, -3.004000>,
      < -5.892000, 8.108000, -1.472000>,
      < -14.164000, 8.940000, -2.928000>
    }
    triangle {
      < -5.892000, 8.108000, -1.472000>,
      < -8.268000, 8.360000, -2.256000>,
      < -7.272000, 8.256000, -2.080000>
    }
    triangle {
      < -5.892000, 8.108000, -1.472000>,
      < -14.108000, 8.940000, -3.272000>,
      < -13.072000, 8.836000, -3.104000>
    }
    triangle {
      < -5.892000, 8.108000, -1.472000>,
      < -14.152000, 8.940000, -3.004000>,
      < -14.108000, 8.940000, -3.272000>
    }
    texture {wingsl}
  }
  // DEFAULT
  union {
    triangle {
      < -1.740000, 7.700000, -1.056000>,
      < -1.744000, 7.700000, -1.056000>,
      < -1.856000, 7.704000, -0.760000>
    }
    triangle {
      < -2.276000, 7.748000, -0.832000>,
      < -1.804000, 7.704000, -1.060000>,
      < -1.856000, 7.704000, -0.760000>
    }
    triangle {
      < -2.372000, 7.760000, -0.852000>,
      < -1.804000, 7.704000, -1.060000>,
      < -2.276000, 7.748000, -0.832000>
    }
    triangle {
      < -2.512000, 7.772000, -0.876000>,
      < -1.804000, 7.704000, -1.060000>,
      < -2.372000, 7.760000, -0.852000>
    }
    texture {DEFAULT}
  }
  // body
  union {
    triangle {
      < -1.804000, 7.704000, -1.068000>,
      < -1.760000, 7.700000, -1.060000>,
      < -1.584000, 7.700000, -1.968000>
    }
    texture {body}
  }
  // wingsl
  union {
    triangle {
      < -6.692000, 8.192000, -1.976000>,
      < -5.892000, 8.108000, -1.472000>,
      < -7.272000, 8.256000, -2.080000>
    }
    triangle {
      < -5.892000, 8.108000, -1.472000>,
      < -1.804000, 7.704000, -1.060000>,
      < -2.512000, 7.772000, -0.876000>
    }
    triangle {
      < -5.892000, 8.108000, -1.472000>,
      < -1.804000, 7.704000, -1.068000>,
      < -1.804000, 7.704000, -1.060000>
    }
    triangle {
      < -7.300000, 14.144000, -2.084000>,
      < -6.692000, 14.212000, -1.976000>,
      < -6.692000, 11.844000, -1.976000>
    }
    texture {wingsl}
  }
  // body
  union {
    triangle {
      < -1.856000, 14.700000, -0.760000>,
      < -1.804000, 8.412000, -1.068000>,
      < -1.804000, 14.700000, -1.068000>
    }
    texture {body}
  }
  // DEFAULT
  union {
    triangle {
      < -6.692000, 14.212000, -1.976000>,
      < -6.648000, 14.212000, -2.192000>,
      < -6.692000, 11.844000, -1.976000>
    }
    texture {DEFAULT}
  }
  // wingsl
  union {
    triangle {
      < -6.692000, 8.596000, -1.976000>,
      < -6.648000, 14.212000, -2.192000>,
      < -6.648000, 14.212000, -2.212000>
    }
    triangle {
      < -6.692000, 8.596000, -1.976000>,
      < -6.692000, 11.844000, -1.976000>,
      < -6.648000, 14.212000, -2.192000>
    }
    texture {wingsl}
  }
  // DEFAULT
  union {
    triangle {
      < -14.116000, 13.464000, -3.220000>,
      < -14.164000, 13.464000, -2.928000>,
      < -12.312000, 13.652000, -2.604000>
    }
    triangle {
      < -14.100000, 13.464000, -3.284000>,
      < -14.116000, 13.464000, -3.220000>,
      < -12.312000, 13.652000, -2.604000>
    }
    triangle {
      < -14.100000, 13.464000, -3.284000>,
      < -12.312000, 13.652000, -2.604000>,
      < -10.812000, 13.796000, -2.340000>
    }
    texture {DEFAULT}
  }
  // wingsl
  union {
    triangle {
      < -14.100000, 13.464000, -3.284000>,
      < -10.812000, 13.796000, -2.340000>,
      < -9.304000, 13.948000, -2.440000>
    }
    triangle {
      < -1.804000, 14.700000, -1.068000>,
      < -1.596000, 14.708000, -1.968000>,
      < -4.352000, 14.424000, -2.460000>
    }
    triangle {
      < -7.300000, 14.144000, -2.084000>,
      < -9.304000, 13.948000, -2.440000>,
      < -10.812000, 13.796000, -2.340000>
    }
    triangle {
      < -6.692000, 14.212000, -1.976000>,
      < -7.300000, 14.144000, -2.084000>,
      < -10.812000, 13.796000, -2.340000>
    }
    triangle {
      < -6.692000, 14.212000, -1.976000>,
      < -10.812000, 13.796000, -2.340000>,
      < -1.856000, 14.700000, -0.760000>
    }
    triangle {
      < -6.648000, 14.212000, -2.192000>,
      < -6.692000, 14.212000, -1.976000>,
      < -1.856000, 14.700000, -0.760000>
    }
    triangle {
      < -6.648000, 14.212000, -2.212000>,
      < -6.648000, 14.212000, -2.192000>,
      < -1.856000, 14.700000, -0.760000>
    }
    triangle {
      < -1.856000, 14.700000, -0.760000>,
      < -4.352000, 14.424000, -2.460000>,
      < -4.460000, 14.420000, -2.448000>
    }
    triangle {
      < -1.856000, 14.700000, -0.760000>,
      < -4.460000, 14.420000, -2.448000>,
      < -6.644000, 14.212000, -2.232000>
    }
    triangle {
      < -1.856000, 14.700000, -0.760000>,
      < -6.644000, 14.212000, -2.232000>,
      < -6.648000, 14.212000, -2.212000>
    }
    texture {wingsl}
  }
  // body
  union {
    triangle {
      < -1.740000, 14.708000, -1.064000>,
      < -1.580000, 14.708000, -1.968000>,
      < -1.596000, 14.708000, -1.968000>
    }
    triangle {
      < -1.740000, 14.708000, -1.056000>,
      < -1.740000, 14.708000, -1.064000>,
      < -1.596000, 14.708000, -1.968000>
    }
    triangle {
      < -1.804000, 14.700000, -1.068000>,
      < -1.740000, 14.708000, -1.056000>,
      < -1.596000, 14.708000, -1.968000>
    }
    texture {body}
  }
  // wingsl
  union {
    triangle {
      < -1.856000, 14.700000, -0.760000>,
      < -1.804000, 14.700000, -1.068000>,
      < -4.352000, 14.424000, -2.460000>
    }
    texture {wingsl}
  }
  // DEFAULT
  union {
    triangle {
      < -14.100000, 13.464000, -3.284000>,
      < -14.108000, 8.940000, -3.272000>,
      < -14.100000, 8.940000, -3.284000>
    }
    texture {DEFAULT}
  }
  // wingsl
  union {
    triangle {
      < -5.892000, 8.108000, -1.472000>,
      < -11.952000, 8.724000, -2.904000>,
      < -8.268000, 8.360000, -2.256000>
    }
    triangle {
      < -5.892000, 8.108000, -1.472000>,
      < -12.728000, 8.808000, -3.044000>,
      < -11.952000, 8.724000, -2.904000>
    }
    triangle {
      < -5.892000, 8.108000, -1.472000>,
      < -13.072000, 8.836000, -3.104000>,
      < -12.728000, 8.808000, -3.044000>
    }
    texture {wingsl}
  }
  // body
  union {
    triangle {
      < -1.744000, 7.700000, -1.056000>,
      < -1.804000, 7.704000, -1.068000>,
      < -1.804000, 7.704000, -1.060000>
    }
    triangle {
      < -1.760000, 7.700000, -1.060000>,
      < -1.584000, 7.700000, -1.940000>,
      < -1.580000, 7.700000, -1.968000>
    }
    triangle {
      < -1.584000, 7.700000, -1.968000>,
      < -1.760000, 7.700000, -1.060000>,
      < -1.580000, 7.700000, -1.968000>
    }
    texture {body}
  }
  // wingsl
  union {
    triangle {
      < -6.424000, 8.176000, -2.256000>,
      < -6.676000, 8.192000, -2.068000>,
      < -6.644000, 8.192000, -2.228000>
    }
    texture {wingsl}
  }
  // engines
  union {
    triangle {
      < -3.656000, 4.664000, -2.780000>,
      < -3.664000, 4.520000, -2.776000>,
      < -3.664000, 4.664000, -2.776000>
    }
    triangle {
      < -3.632000, 4.520000, -2.848000>,
      < -3.656000, 4.664000, -2.780000>,
      < -3.632000, 4.664000, -2.848000>
    }
    triangle {
      < -3.632000, 4.520000, -2.848000>,
      < -3.664000, 4.520000, -2.776000>,
      < -3.656000, 4.664000, -2.780000>
    }
    triangle {
      < -3.812000, 6.980000, -2.904000>,
      < -4.108000, 7.208000, -2.956000>,
      < -4.052000, 7.208000, -3.116000>
    }
    triangle {
      < -3.688000, 6.896000, -2.884000>,
      < -3.812000, 6.980000, -2.904000>,
      < -4.052000, 7.208000, -3.116000>
    }
    texture {engines}
  }
  // DEFAULT
  union {
    triangle {
      < -4.444000, 5.872000, -3.016000>,
      < -4.456000, 5.928000, -2.948000>,
      < -4.512000, 5.744000, -2.928000>
    }
    triangle {
      < -4.444000, 5.872000, -3.016000>,
      < -4.512000, 5.744000, -2.928000>,
      < -4.360000, 5.744000, -3.312000>
    }
    texture {DEFAULT}
  }
  // engines
  union {
    triangle {
      < -4.360000, 5.744000, -3.312000>,
      < -4.200000, 6.848000, -2.972000>,
      < -4.444000, 5.872000, -3.016000>
    }
    triangle {
      < -4.200000, 6.848000, -2.972000>,
      < -4.360000, 5.744000, -3.312000>,
      < -4.052000, 7.208000, -3.116000>
    }
    triangle {
      < -4.200000, 6.848000, -2.972000>,
      < -4.052000, 7.208000, -3.116000>,
      < -4.108000, 7.208000, -2.956000>
    }
    triangle {
      < -3.632000, 4.664000, -2.852000>,
      < -3.632000, 4.520000, -2.848000>,
      < -3.632000, 4.664000, -2.848000>
    }
    triangle {
      < -3.612000, 5.504000, -2.868000>,
      < -3.612000, 6.844000, -2.868000>,
      < -3.584000, 6.844000, -2.904000>
    }
    triangle {
      < -3.620000, 4.664000, -2.860000>,
      < -3.632000, 4.520000, -2.848000>,
      < -3.632000, 4.664000, -2.852000>
    }
    triangle {
      < -3.612000, 4.664000, -2.868000>,
      < -3.632000, 4.520000, -2.848000>,
      < -3.620000, 4.664000, -2.860000>
    }
    triangle {
      < -3.612000, 4.664000, -2.868000>,
      < -3.584000, 4.520000, -2.904000>,
      < -3.632000, 4.520000, -2.848000>
    }
    triangle {
      < -3.584000, 4.520000, -2.904000>,
      < -3.612000, 5.504000, -2.868000>,
      < -3.584000, 6.844000, -2.904000>
    }
    triangle {
      < -3.584000, 4.520000, -2.904000>,
      < -3.612000, 4.664000, -2.868000>,
      < -3.612000, 5.504000, -2.868000>
    }
    triangle {
      < -3.668000, 6.880000, -2.880000>,
      < -3.856000, 7.208000, -3.316000>,
      < -3.652000, 6.868000, -2.876000>
    }
    triangle {
      < -3.668000, 6.880000, -2.880000>,
      < -4.052000, 7.208000, -3.116000>,
      < -3.856000, 7.208000, -3.316000>
    }
    triangle {
      < -3.668000, 6.880000, -2.880000>,
      < -3.688000, 6.896000, -2.884000>,
      < -4.052000, 7.208000, -3.116000>
    }
    triangle {
      < -3.612000, 6.844000, -2.868000>,
      < -3.856000, 7.208000, -3.316000>,
      < -3.584000, 6.844000, -2.904000>
    }
    triangle {
      < -3.612000, 6.844000, -2.868000>,
      < -3.652000, 6.868000, -2.876000>,
      < -3.856000, 7.208000, -3.316000>
    }
    triangle {
      < -3.540000, 5.724000, -2.920000>,
      < -3.584000, 6.844000, -2.904000>,
      < -3.540000, 6.844000, -2.920000>
    }
    triangle {
      < -3.540000, 5.724000, -2.920000>,
      < -3.584000, 4.520000, -2.904000>,
      < -3.584000, 6.844000, -2.904000>
    }
    triangle {
      < -3.540000, 4.832000, -2.920000>,
      < -3.584000, 4.520000, -2.904000>,
      < -3.540000, 5.724000, -2.920000>
    }
    triangle {
      < -3.540000, 4.664000, -2.920000>,
      < -3.584000, 4.520000, -2.904000>,
      < -3.540000, 4.832000, -2.920000>
    }
    triangle {
      < -3.504000, 4.520000, -2.936000>,
      < -3.540000, 4.664000, -2.920000>,
      < -3.504000, 4.664000, -2.936000>
    }
    triangle {
      < -3.504000, 4.520000, -2.936000>,
      < -3.584000, 4.520000, -2.904000>,
      < -3.540000, 4.664000, -2.920000>
    }
    triangle {
      < -3.540000, 6.844000, -2.920000>,
      < -3.608000, 7.208000, -3.424000>,
      < -3.520000, 6.912000, -3.024000>
    }
    triangle {
      < -3.540000, 6.844000, -2.920000>,
      < -3.584000, 6.844000, -2.904000>,
      < -3.608000, 7.208000, -3.424000>
    }
    triangle {
      < -3.500000, 4.664000, -2.936000>,
      < -3.504000, 4.520000, -2.936000>,
      < -3.504000, 4.664000, -2.936000>
    }
    triangle {
      < -3.496000, 4.664000, -2.932000>,
      < -3.504000, 4.520000, -2.936000>,
      < -3.500000, 4.664000, -2.936000>
    }
    triangle {
      < -3.452000, 4.664000, -2.936000>,
      < -3.504000, 4.520000, -2.936000>,
      < -3.496000, 4.664000, -2.932000>
    }
    triangle {
      < -3.436000, 4.664000, -2.936000>,
      < -3.504000, 4.520000, -2.936000>,
      < -3.452000, 4.664000, -2.936000>
    }
    triangle {
      < -3.428000, 4.520000, -2.936000>,
      < -3.504000, 4.520000, -2.936000>,
      < -3.404000, 4.664000, -2.928000>
    }
    triangle {
      < -3.452000, 7.208000, -3.420000>,
      < -3.520000, 6.912000, -3.024000>,
      < -3.608000, 7.208000, -3.424000>
    }
    triangle {
      < -3.396000, 5.916000, -3.740000>,
      < -3.416000, 6.372000, -3.628000>,
      < -3.608000, 7.208000, -3.424000>
    }
    triangle {
      < -3.396000, 5.916000, -3.740000>,
      < -3.608000, 7.208000, -3.424000>,
      < -3.688000, 5.744000, -3.784000>
    }
    triangle {
      < -3.396000, 5.916000, -3.740000>,
      < -3.688000, 5.744000, -3.784000>,
      < -3.272000, 5.744000, -3.788000>
    }
    triangle {
      < -3.340000, 5.956000, -3.732000>,
      < -3.396000, 5.916000, -3.740000>,
      < -3.272000, 5.744000, -3.788000>
    }
    triangle {
      < -3.272000, 5.744000, -3.788000>,
      < -3.324000, 5.968000, -3.732000>,
      < -3.340000, 5.956000, -3.732000>
    }
    triangle {
      < -3.428000, 6.676000, -3.552000>,
      < -3.452000, 7.208000, -3.420000>,
      < -3.608000, 7.208000, -3.424000>
    }
    triangle {
      < -3.608000, 7.208000, -3.424000>,
      < -3.416000, 6.372000, -3.628000>,
      < -3.428000, 6.676000, -3.552000>
    }
    triangle {
      < -3.296000, 5.992000, -3.724000>,
      < -3.324000, 5.968000, -3.732000>,
      < -3.272000, 5.744000, -3.788000>
    }
    triangle {
      < -3.272000, 5.744000, -3.788000>,
      < -3.316000, 6.660000, -3.556000>,
      < -3.296000, 5.992000, -3.724000>
    }
    triangle {
      < -3.404000, 5.396000, -2.928000>,
      < -3.404000, 6.844000, -2.928000>,
      < -3.356000, 6.844000, -2.908000>
    }
    triangle {
      < -3.404000, 4.664000, -2.928000>,
      < -3.356000, 4.520000, -2.908000>,
      < -3.428000, 4.520000, -2.936000>
    }
    triangle {
      < -3.356000, 4.520000, -2.908000>,
      < -3.404000, 5.396000, -2.928000>,
      < -3.356000, 6.844000, -2.908000>
    }
    triangle {
      < -3.356000, 4.520000, -2.908000>,
      < -3.404000, 4.664000, -2.928000>,
      < -3.404000, 5.396000, -2.928000>
    }
    triangle {
      < -3.396000, 6.880000, -2.976000>,
      < -3.336000, 7.208000, -3.420000>,
      < -3.084000, 7.208000, -3.320000>
    }
    triangle {
      < -3.400000, 6.872000, -2.960000>,
      < -3.356000, 6.844000, -2.908000>,
      < -3.404000, 6.844000, -2.928000>
    }
    triangle {
      < -3.400000, 6.872000, -2.960000>,
      < -3.084000, 7.208000, -3.320000>,
      < -3.356000, 6.844000, -2.908000>
    }
    triangle {
      < -3.400000, 6.872000, -2.960000>,
      < -3.396000, 6.880000, -2.976000>,
      < -3.084000, 7.208000, -3.320000>
    }
    triangle {
      < -3.316000, 6.660000, -3.556000>,
      < -3.272000, 5.744000, -3.788000>,
      < -2.884000, 5.744000, -3.636000>
    }
    triangle {
      < -3.316000, 6.660000, -3.556000>,
      < -2.884000, 5.744000, -3.636000>,
      < -3.336000, 7.184000, -3.424000>
    }
    triangle {
      < -3.336000, 7.184000, -3.424000>,
      < -2.884000, 5.744000, -3.636000>,
      < -3.084000, 7.208000, -3.320000>
    }
    triangle {
      < -3.336000, 7.184000, -3.424000>,
      < -3.084000, 7.208000, -3.320000>,
      < -3.336000, 7.208000, -3.420000>
    }
    triangle {
      < -3.300000, 4.520000, -2.856000>,
      < -3.300000, 6.844000, -2.856000>,
      < -3.280000, 6.844000, -2.812000>
    }
    triangle {
      < -3.300000, 4.520000, -2.856000>,
      < -3.280000, 6.844000, -2.812000>,
      < -3.280000, 5.800000, -2.812000>
    }
    triangle {
      < -3.280000, 4.664000, -2.812000>,
      < -3.268000, 4.664000, -2.776000>,
      < -3.268000, 4.520000, -2.776000>
    }
    triangle {
      < -3.280000, 4.664000, -2.812000>,
      < -3.268000, 4.520000, -2.776000>,
      < -3.300000, 4.520000, -2.856000>
    }
    triangle {
      < -3.280000, 5.016000, -2.812000>,
      < -3.280000, 4.664000, -2.812000>,
      < -3.300000, 4.520000, -2.856000>
    }
    triangle {
      < -3.300000, 4.520000, -2.856000>,
      < -3.280000, 5.800000, -2.812000>,
      < -3.280000, 5.016000, -2.812000>
    }
    triangle {
      < -3.280000, 6.844000, -2.812000>,
      < -2.784000, 7.208000, -2.880000>,
      < -3.188000, 6.908000, -2.796000>
    }
    triangle {
      < -3.280000, 6.844000, -2.812000>,
      < -3.300000, 6.844000, -2.856000>,
      < -2.784000, 7.208000, -2.880000>
    }
    triangle {
      < -3.268000, 4.520000, -2.776000>,
      < -3.268000, 4.664000, -2.776000>,
      < -3.272000, 4.664000, -2.772000>
    }
    triangle {
      < -3.268000, 4.520000, -2.776000>,
      < -3.272000, 4.664000, -2.772000>,
      < -3.268000, 4.664000, -2.704000>
    }
    triangle {
      < -3.268000, 4.520000, -2.776000>,
      < -3.268000, 4.664000, -2.704000>,
      < -3.268000, 4.520000, -2.704000>
    }
    triangle {
      < -2.784000, 7.208000, -2.724000>,
      < -3.188000, 6.908000, -2.796000>,
      < -2.784000, 7.208000, -2.880000>
    }
    triangle {
      < -2.456000, 5.888000, -2.664000>,
      < -2.416000, 5.744000, -2.548000>,
      < -2.464000, 5.940000, -2.600000>
    }
    triangle {
      < -2.456000, 5.888000, -2.664000>,
      < -2.420000, 5.744000, -2.956000>,
      < -2.416000, 5.744000, -2.548000>
    }
    triangle {
      < -2.572000, 6.360000, -2.684000>,
      < -2.420000, 5.744000, -2.956000>,
      < -2.456000, 5.888000, -2.664000>
    }
    triangle {
      < -2.572000, 6.360000, -2.684000>,
      < -2.784000, 7.208000, -2.880000>,
      < -2.420000, 5.744000, -2.956000>
    }
    triangle {
      < -2.652000, 6.696000, -2.700000>,
      < -2.784000, 7.208000, -2.880000>,
      < -2.572000, 6.360000, -2.684000>
    }
    triangle {
      < -2.784000, 7.208000, -2.724000>,
      < -2.784000, 7.208000, -2.880000>,
      < -2.652000, 6.696000, -2.700000>
    }
    triangle {
      < -2.472000, 5.968000, -2.556000>,
      < -2.468000, 5.944000, -2.592000>,
      < -2.416000, 5.744000, -2.548000>
    }
    triangle {
      < -3.268000, 4.520000, -2.704000>,
      < -3.268000, 4.664000, -2.704000>,
      < -3.268000, 4.664000, -2.700000>
    }
    triangle {
      < -3.272000, 6.732000, -2.672000>,
      < -3.272000, 6.844000, -2.672000>,
      < -3.296000, 6.844000, -2.632000>
    }
    triangle {
      < -3.296000, 6.844000, -2.632000>,
      < -3.272000, 5.524000, -2.672000>,
      < -3.272000, 6.732000, -2.672000>
    }
    triangle {
      < -3.272000, 4.664000, -2.672000>,
      < -3.272000, 5.524000, -2.672000>,
      < -3.296000, 6.844000, -2.632000>
    }
    triangle {
      < -3.272000, 4.664000, -2.672000>,
      < -3.296000, 6.844000, -2.632000>,
      < -3.296000, 4.520000, -2.632000>
    }
    triangle {
      < -3.272000, 4.664000, -2.696000>,
      < -3.272000, 4.664000, -2.672000>,
      < -3.296000, 4.520000, -2.632000>
    }
    triangle {
      < -3.268000, 4.520000, -2.704000>,
      < -3.268000, 4.664000, -2.700000>,
      < -3.272000, 4.664000, -2.696000>
    }
    triangle {
      < -3.268000, 4.520000, -2.704000>,
      < -3.272000, 4.664000, -2.696000>,
      < -3.296000, 4.520000, -2.632000>
    }
    triangle {
      < -3.224000, 6.884000, -2.664000>,
      < -2.796000, 7.208000, -2.588000>,
      < -2.884000, 7.208000, -2.360000>
    }
    triangle {
      < -3.272000, 6.844000, -2.672000>,
      < -2.884000, 7.208000, -2.360000>,
      < -3.296000, 6.844000, -2.632000>
    }
    triangle {
      < -3.272000, 6.844000, -2.672000>,
      < -3.224000, 6.884000, -2.664000>,
      < -2.884000, 7.208000, -2.360000>
    }
    triangle {
      < -2.476000, 5.948000, -2.532000>,
      < -2.572000, 5.744000, -2.160000>,
      < -2.768000, 7.104000, -2.580000>
    }
    triangle {
      < -2.476000, 5.948000, -2.532000>,
      < -2.416000, 5.744000, -2.548000>,
      < -2.572000, 5.744000, -2.160000>
    }
    triangle {
      < -2.476000, 5.948000, -2.532000>,
      < -2.472000, 5.968000, -2.556000>,
      < -2.416000, 5.744000, -2.548000>
    }
    triangle {
      < -2.796000, 7.208000, -2.588000>,
      < -2.572000, 5.744000, -2.160000>,
      < -2.884000, 7.208000, -2.360000>
    }
    triangle {
      < -2.796000, 7.208000, -2.588000>,
      < -2.768000, 7.104000, -2.580000>,
      < -2.572000, 5.744000, -2.160000>
    }
    triangle {
      < -3.588000, 7.200000, -2.064000>,
      < -3.324000, 7.208000, -2.060000>,
      < -3.588000, 7.208000, -2.056000>
    }
    triangle {
      < -3.588000, 7.200000, -2.064000>,
      < -3.428000, 6.844000, -2.548000>,
      < -3.324000, 7.208000, -2.060000>
    }
    triangle {
      < -3.500000, 6.844000, -2.540000>,
      < -3.428000, 6.844000, -2.548000>,
      < -3.504000, 6.848000, -2.540000>
    }
    triangle {
      < -3.640000, 6.004000, -1.756000>,
      < -3.324000, 7.208000, -2.060000>,
      < -3.652000, 5.744000, -1.692000>
    }
    triangle {
      < -3.608000, 6.736000, -1.940000>,
      < -3.324000, 7.208000, -2.060000>,
      < -3.640000, 6.004000, -1.756000>
    }
    triangle {
      < -3.588000, 7.208000, -2.056000>,
      < -3.324000, 7.208000, -2.060000>,
      < -3.608000, 6.736000, -1.940000>
    }
    triangle {
      < -3.500000, 4.520000, -2.540000>,
      < -3.500000, 6.844000, -2.540000>,
      < -3.504000, 6.848000, -2.540000>
    }
    triangle {
      < -3.536000, 4.664000, -2.556000>,
      < -3.572000, 4.664000, -2.572000>,
      < -3.572000, 4.520000, -2.572000>
    }
    triangle {
      < -3.500000, 4.520000, -2.540000>,
      < -3.504000, 4.664000, -2.548000>,
      < -3.536000, 4.664000, -2.556000>
    }
    triangle {
      < -3.500000, 4.520000, -2.540000>,
      < -3.536000, 4.664000, -2.556000>,
      < -3.572000, 4.520000, -2.572000>
    }
    triangle {
      < -3.632000, 6.984000, -2.392000>,
      < -3.684000, 7.208000, -2.096000>,
      < -3.840000, 7.208000, -2.156000>
    }
    triangle {
      < -3.612000, 6.900000, -2.504000>,
      < -3.632000, 6.984000, -2.392000>,
      < -3.840000, 7.208000, -2.156000>
    }
    triangle {
      < -3.740000, 5.920000, -1.776000>,
      < -4.048000, 5.744000, -1.844000>,
      < -3.700000, 6.844000, -2.004000>
    }
    triangle {
      < -3.740000, 5.920000, -1.776000>,
      < -3.652000, 5.744000, -1.692000>,
      < -4.048000, 5.744000, -1.844000>
    }
    triangle {
      < -3.688000, 5.964000, -1.768000>,
      < -3.652000, 5.744000, -1.692000>,
      < -3.740000, 5.920000, -1.776000>
    }
    triangle {
      < -3.688000, 5.964000, -1.768000>,
      < -3.640000, 6.004000, -1.756000>,
      < -3.652000, 5.744000, -1.692000>
    }
    triangle {
      < -3.684000, 7.208000, -2.096000>,
      < -4.048000, 5.744000, -1.844000>,
      < -3.840000, 7.208000, -2.156000>
    }
    triangle {
      < -3.684000, 7.208000, -2.096000>,
      < -3.700000, 6.844000, -2.004000>,
      < -4.048000, 5.744000, -1.844000>
    }
    triangle {
      < -3.572000, 4.520000, -2.572000>,
      < -3.572000, 4.664000, -2.572000>,
      < -3.584000, 4.664000, -2.584000>
    }
    triangle {
      < -3.596000, 6.844000, -2.596000>,
      < -3.632000, 6.844000, -2.624000>,
      < -3.596000, 5.588000, -2.596000>
    }
    triangle {
      < -3.596000, 4.664000, -2.596000>,
      < -3.596000, 5.588000, -2.596000>,
      < -3.632000, 6.844000, -2.624000>
    }
    triangle {
      < -3.596000, 4.664000, -2.596000>,
      < -3.632000, 6.844000, -2.624000>,
      < -3.632000, 4.520000, -2.624000>
    }
    triangle {
      < -3.584000, 4.664000, -2.584000>,
      < -3.596000, 4.664000, -2.596000>,
      < -3.632000, 4.520000, -2.624000>
    }
    triangle {
      < -3.572000, 4.520000, -2.572000>,
      < -3.584000, 4.664000, -2.584000>,
      < -3.632000, 4.520000, -2.624000>
    }
    triangle {
      < -3.604000, 6.872000, -2.556000>,
      < -3.840000, 7.208000, -2.156000>,
      < -4.040000, 7.208000, -2.344000>
    }
    triangle {
      < -3.604000, 6.872000, -2.556000>,
      < -3.612000, 6.900000, -2.504000>,
      < -3.840000, 7.208000, -2.156000>
    }
    triangle {
      < -3.600000, 6.848000, -2.584000>,
      < -3.632000, 6.844000, -2.624000>,
      < -3.596000, 6.844000, -2.596000>
    }
    triangle {
      < -3.600000, 6.848000, -2.584000>,
      < -4.040000, 7.208000, -2.344000>,
      < -3.632000, 6.844000, -2.624000>
    }
    triangle {
      < -3.600000, 6.848000, -2.584000>,
      < -3.604000, 6.872000, -2.556000>,
      < -4.040000, 7.208000, -2.344000>
    }
    triangle {
      < -3.656000, 5.796000, -2.740000>,
      < -3.656000, 6.844000, -2.700000>,
      < -3.656000, 6.844000, -2.740000>
    }
    triangle {
      < -3.656000, 5.796000, -2.740000>,
      < -3.656000, 4.520000, -2.700000>,
      < -3.656000, 6.844000, -2.700000>
    }
    triangle {
      < -3.656000, 4.908000, -2.740000>,
      < -3.656000, 4.520000, -2.700000>,
      < -3.656000, 5.796000, -2.740000>
    }
    triangle {
      < -3.656000, 4.664000, -2.740000>,
      < -3.656000, 4.520000, -2.700000>,
      < -3.656000, 4.908000, -2.740000>
    }
    triangle {
      < -3.664000, 4.520000, -2.776000>,
      < -3.656000, 4.664000, -2.740000>,
      < -3.664000, 4.664000, -2.776000>
    }
    triangle {
      < -3.664000, 4.520000, -2.776000>,
      < -3.656000, 4.520000, -2.700000>,
      < -3.656000, 4.664000, -2.740000>
    }
    triangle {
      < -3.916000, 7.040000, -2.784000>,
      < -4.148000, 7.208000, -2.596000>,
      < -4.148000, 7.208000, -2.824000>
    }
    triangle {
      < -3.916000, 7.040000, -2.784000>,
      < -3.656000, 6.844000, -2.700000>,
      < -4.148000, 7.208000, -2.596000>
    }
    triangle {
      < -3.656000, 6.844000, -2.740000>,
      < -3.656000, 6.844000, -2.700000>,
      < -3.916000, 7.040000, -2.784000>
    }
    triangle {
      < -4.468000, 5.920000, -2.880000>,
      < -4.464000, 5.928000, -2.892000>,
      < -4.148000, 7.208000, -2.596000>
    }
    triangle {
      < -4.468000, 5.920000, -2.880000>,
      < -4.148000, 7.208000, -2.596000>,
      < -4.512000, 5.744000, -2.508000>
    }
    texture {engines}
  }
  // DEFAULT
  union {
    triangle {
      < -4.468000, 5.920000, -2.880000>,
      < -4.512000, 5.744000, -2.508000>,
      < -4.512000, 5.744000, -2.928000>
    }
    triangle {
      < -4.512000, 5.744000, -2.928000>,
      < -4.464000, 5.928000, -2.892000>,
      < -4.468000, 5.920000, -2.880000>
    }
    texture {DEFAULT}
  }
  // engines
  union {
    triangle {
      < -4.280000, 6.680000, -2.848000>,
      < -4.148000, 7.208000, -2.824000>,
      < -4.148000, 7.208000, -2.596000>
    }
    triangle {
      < -4.148000, 7.208000, -2.596000>,
      < -4.460000, 5.964000, -2.880000>,
      < -4.280000, 6.680000, -2.848000>
    }
    texture {engines}
  }
  // DEFAULT
  union {
    triangle {
      < -4.464000, 5.928000, -2.892000>,
      < -4.512000, 5.744000, -2.928000>,
      < -4.460000, 5.952000, -2.920000>
    }
    texture {DEFAULT}
  }
  // engines
  union {
    triangle {
      < -3.620000, 4.664000, -2.860000>,
      < -3.656000, 4.664000, -2.740000>,
      < -3.664000, 4.664000, -2.776000>
    }
    triangle {
      < -3.632000, 4.664000, -2.852000>,
      < -4.468000, 4.664000, -2.880000>,
      < -3.620000, 4.664000, -2.860000>
    }
    triangle {
      < -3.632000, 4.664000, -2.848000>,
      < -4.468000, 4.664000, -2.880000>,
      < -3.632000, 4.664000, -2.852000>
    }
    triangle {
      < -3.664000, 4.664000, -2.776000>,
      < -4.468000, 4.664000, -2.880000>,
      < -3.656000, 4.664000, -2.780000>
    }
    triangle {
      < -3.664000, 4.664000, -2.776000>,
      < -3.656000, 4.664000, -2.740000>,
      < -4.468000, 4.664000, -2.880000>
    }
    triangle {
      < -3.688000, 6.896000, -2.884000>,
      < -4.200000, 6.848000, -2.972000>,
      < -3.812000, 6.980000, -2.904000>
    }
    triangle {
      < -3.688000, 6.896000, -2.884000>,
      < -4.444000, 5.872000, -3.016000>,
      < -4.200000, 6.848000, -2.972000>
    }
    triangle {
      < -3.688000, 6.896000, -2.884000>,
      < -4.444000, 4.664000, -3.016000>,
      < -4.444000, 5.872000, -3.016000>
    }
    triangle {
      < -3.688000, 6.896000, -2.884000>,
      < -3.668000, 6.880000, -2.880000>,
      < -4.444000, 4.664000, -3.016000>
    }
    triangle {
      < -4.456000, 5.928000, -2.948000>,
      < -4.444000, 4.664000, -3.016000>,
      < -4.468000, 4.664000, -2.880000>
    }
    triangle {
      < -4.456000, 5.928000, -2.948000>,
      < -4.444000, 5.872000, -3.016000>,
      < -4.444000, 4.664000, -3.016000>
    }
    triangle {
      < -4.460000, 5.952000, -2.920000>,
      < -4.468000, 4.664000, -2.880000>,
      < -4.464000, 5.928000, -2.892000>
    }
    triangle {
      < -4.460000, 5.952000, -2.920000>,
      < -4.456000, 5.928000, -2.948000>,
      < -4.468000, 4.664000, -2.880000>
    }
    triangle {
      < -3.612000, 5.504000, -2.868000>,
      < -3.668000, 6.880000, -2.880000>,
      < -3.612000, 6.844000, -2.868000>
    }
    triangle {
      < -3.612000, 5.504000, -2.868000>,
      < -4.444000, 4.664000, -3.016000>,
      < -3.668000, 6.880000, -2.880000>
    }
    triangle {
      < -3.612000, 5.504000, -2.868000>,
      < -3.612000, 4.664000, -2.868000>,
      < -4.444000, 4.664000, -3.016000>
    }
    triangle {
      < -3.612000, 4.664000, -2.868000>,
      < -4.468000, 4.664000, -2.880000>,
      < -4.444000, 4.664000, -3.016000>
    }
    triangle {
      < -3.612000, 4.664000, -2.868000>,
      < -3.620000, 4.664000, -2.860000>,
      < -4.468000, 4.664000, -2.880000>
    }
    triangle {
      < -3.520000, 6.912000, -3.024000>,
      < -3.540000, 5.724000, -2.920000>,
      < -3.540000, 6.844000, -2.920000>
    }
    triangle {
      < -3.452000, 7.208000, -3.420000>,
      < -3.540000, 5.724000, -2.920000>,
      < -3.520000, 6.912000, -3.024000>
    }
    triangle {
      < -3.452000, 7.208000, -3.420000>,
      < -3.540000, 4.832000, -2.920000>,
      < -3.540000, 5.724000, -2.920000>
    }
    triangle {
      < -3.452000, 7.208000, -3.420000>,
      < -3.428000, 6.676000, -3.552000>,
      < -3.540000, 4.832000, -2.920000>
    }
    triangle {
      < -3.416000, 6.372000, -3.628000>,
      < -3.540000, 4.832000, -2.920000>,
      < -3.428000, 6.676000, -3.552000>
    }
    triangle {
      < -3.416000, 6.372000, -3.628000>,
      < -3.540000, 4.664000, -2.920000>,
      < -3.540000, 4.832000, -2.920000>
    }
    triangle {
      < -3.416000, 6.372000, -3.628000>,
      < -3.396000, 4.664000, -3.740000>,
      < -3.540000, 4.664000, -2.920000>
    }
    triangle {
      < -3.416000, 6.372000, -3.628000>,
      < -3.396000, 5.916000, -3.740000>,
      < -3.396000, 4.664000, -3.740000>
    }
    triangle {
      < -3.500000, 4.664000, -2.936000>,
      < -3.396000, 4.664000, -3.740000>,
      < -3.496000, 4.664000, -2.932000>
    }
    triangle {
      < -3.504000, 4.664000, -2.936000>,
      < -3.396000, 4.664000, -3.740000>,
      < -3.500000, 4.664000, -2.936000>
    }
    triangle {
      < -3.540000, 4.664000, -2.920000>,
      < -3.396000, 4.664000, -3.740000>,
      < -3.504000, 4.664000, -2.936000>
    }
    triangle {
      < -3.572000, 4.664000, -2.572000>,
      < -3.536000, 4.664000, -2.556000>,
      < -3.640000, 4.664000, -1.756000>
    }
    triangle {
      < -3.428000, 4.664000, -2.936000>,
      < -3.296000, 4.664000, -3.724000>,
      < -3.424000, 4.664000, -2.936000>
    }
    triangle {
      < -3.428000, 4.664000, -2.936000>,
      < -3.436000, 4.664000, -2.936000>,
      < -3.296000, 4.664000, -3.724000>
    }
    triangle {
      < -3.436000, 4.664000, -2.936000>,
      < -3.396000, 4.664000, -3.740000>,
      < -3.296000, 4.664000, -3.724000>
    }
    triangle {
      < -3.436000, 4.664000, -2.936000>,
      < -3.452000, 4.664000, -2.936000>,
      < -3.396000, 4.664000, -3.740000>
    }
    triangle {
      < -3.496000, 4.664000, -2.932000>,
      < -3.396000, 4.664000, -3.740000>,
      < -3.452000, 4.664000, -2.936000>
    }
    triangle {
      < -3.504000, 4.664000, -2.548000>,
      < -3.640000, 4.664000, -1.756000>,
      < -3.536000, 4.664000, -2.556000>
    }
    triangle {
      < -3.324000, 5.968000, -3.732000>,
      < -3.396000, 4.664000, -3.740000>,
      < -3.340000, 5.956000, -3.732000>
    }
    triangle {
      < -3.324000, 5.968000, -3.732000>,
      < -3.296000, 4.664000, -3.724000>,
      < -3.396000, 4.664000, -3.740000>
    }
    triangle {
      < -3.324000, 5.968000, -3.732000>,
      < -3.296000, 5.992000, -3.724000>,
      < -3.296000, 4.664000, -3.724000>
    }
    triangle {
      < -3.396000, 5.916000, -3.740000>,
      < -3.340000, 5.956000, -3.732000>,
      < -3.396000, 4.664000, -3.740000>
    }
    triangle {
      < -3.400000, 6.872000, -2.960000>,
      < -3.296000, 4.664000, -3.724000>,
      < -3.296000, 5.992000, -3.724000>
    }
    triangle {
      < -3.400000, 6.872000, -2.960000>,
      < -3.296000, 5.992000, -3.724000>,
      < -3.316000, 6.660000, -3.556000>
    }
    triangle {
      < -3.400000, 6.872000, -2.960000>,
      < -3.316000, 6.660000, -3.556000>,
      < -3.396000, 6.880000, -2.976000>
    }
    triangle {
      < -3.404000, 5.396000, -2.928000>,
      < -3.404000, 4.664000, -2.928000>,
      < -3.296000, 4.664000, -3.724000>
    }
    triangle {
      < -3.296000, 4.664000, -3.724000>,
      < -3.400000, 6.872000, -2.960000>,
      < -3.404000, 6.844000, -2.928000>
    }
    triangle {
      < -3.296000, 4.664000, -3.724000>,
      < -3.404000, 6.844000, -2.928000>,
      < -3.404000, 5.396000, -2.928000>
    }
    triangle {
      < -3.188000, 6.908000, -2.796000>,
      < -3.280000, 5.800000, -2.812000>,
      < -3.280000, 6.844000, -2.812000>
    }
    triangle {
      < -2.784000, 7.208000, -2.724000>,
      < -3.280000, 5.800000, -2.812000>,
      < -3.188000, 6.908000, -2.796000>
    }
    triangle {
      < -2.784000, 7.208000, -2.724000>,
      < -3.280000, 5.016000, -2.812000>,
      < -3.280000, 5.800000, -2.812000>
    }
    triangle {
      < -2.784000, 7.208000, -2.724000>,
      < -2.652000, 6.696000, -2.700000>,
      < -3.280000, 5.016000, -2.812000>
    }
    triangle {
      < -2.572000, 6.360000, -2.684000>,
      < -3.280000, 5.016000, -2.812000>,
      < -2.652000, 6.696000, -2.700000>
    }
    triangle {
      < -2.572000, 6.360000, -2.684000>,
      < -3.280000, 4.664000, -2.812000>,
      < -3.280000, 5.016000, -2.812000>
    }
    triangle {
      < -2.572000, 6.360000, -2.684000>,
      < -2.456000, 4.664000, -2.664000>,
      < -3.280000, 4.664000, -2.812000>
    }
    triangle {
      < -2.572000, 6.360000, -2.684000>,
      < -2.456000, 5.888000, -2.664000>,
      < -2.456000, 4.664000, -2.664000>
    }
    triangle {
      < -3.268000, 4.664000, -2.704000>,
      < -2.456000, 4.664000, -2.664000>,
      < -3.268000, 4.664000, -2.700000>
    }
    triangle {
      < -3.272000, 4.664000, -2.772000>,
      < -2.456000, 4.664000, -2.664000>,
      < -3.268000, 4.664000, -2.704000>
    }
    triangle {
      < -3.268000, 4.664000, -2.776000>,
      < -2.456000, 4.664000, -2.664000>,
      < -3.272000, 4.664000, -2.772000>
    }
    triangle {
      < -3.268000, 4.664000, -2.776000>,
      < -3.280000, 4.664000, -2.812000>,
      < -2.456000, 4.664000, -2.664000>
    }
    triangle {
      < -2.468000, 5.944000, -2.592000>,
      < -2.472000, 5.968000, -2.556000>,
      < -2.476000, 5.948000, -2.532000>
    }
    triangle {
      < -2.476000, 5.948000, -2.532000>,
      < -2.476000, 4.664000, -2.532000>,
      < -2.456000, 4.664000, -2.664000>
    }
    triangle {
      < -2.476000, 5.948000, -2.532000>,
      < -2.456000, 4.664000, -2.664000>,
      < -2.468000, 5.944000, -2.592000>
    }
    triangle {
      < -2.464000, 5.940000, -2.600000>,
      < -2.456000, 4.664000, -2.664000>,
      < -2.456000, 5.888000, -2.664000>
    }
    triangle {
      < -3.272000, 5.524000, -2.672000>,
      < -3.272000, 4.664000, -2.672000>,
      < -2.476000, 4.664000, -2.532000>
    }
    triangle {
      < -2.476000, 4.664000, -2.532000>,
      < -3.272000, 6.732000, -2.672000>,
      < -3.272000, 5.524000, -2.672000>
    }
    triangle {
      < -3.272000, 6.732000, -2.672000>,
      < -2.476000, 4.664000, -2.532000>,
      < -2.476000, 5.948000, -2.532000>
    }
    triangle {
      < -3.272000, 6.732000, -2.672000>,
      < -2.476000, 5.948000, -2.532000>,
      < -2.768000, 7.104000, -2.580000>
    }
    triangle {
      < -3.272000, 6.732000, -2.672000>,
      < -2.768000, 7.104000, -2.580000>,
      < -2.796000, 7.208000, -2.588000>
    }
    triangle {
      < -3.272000, 6.732000, -2.672000>,
      < -2.796000, 7.208000, -2.588000>,
      < -3.224000, 6.884000, -2.664000>
    }
    triangle {
      < -3.272000, 6.732000, -2.672000>,
      < -3.224000, 6.884000, -2.664000>,
      < -3.272000, 6.844000, -2.672000>
    }
    triangle {
      < -3.272000, 4.664000, -2.672000>,
      < -2.456000, 4.664000, -2.664000>,
      < -2.476000, 4.664000, -2.532000>
    }
    triangle {
      < -3.272000, 4.664000, -2.672000>,
      < -3.272000, 4.664000, -2.696000>,
      < -2.456000, 4.664000, -2.664000>
    }
    triangle {
      < -3.556000, 7.072000, -2.228000>,
      < -3.588000, 7.200000, -2.064000>,
      < -3.608000, 6.736000, -1.940000>
    }
    triangle {
      < -3.608000, 6.736000, -1.940000>,
      < -3.504000, 5.104000, -2.548000>,
      < -3.504000, 6.844000, -2.548000>
    }
    triangle {
      < -3.608000, 6.736000, -1.940000>,
      < -3.504000, 6.844000, -2.548000>,
      < -3.504000, 6.848000, -2.540000>
    }
    triangle {
      < -3.608000, 6.736000, -1.940000>,
      < -3.504000, 6.848000, -2.540000>,
      < -3.556000, 7.072000, -2.228000>
    }
    triangle {
      < -3.688000, 5.964000, -1.768000>,
      < -3.640000, 4.664000, -1.756000>,
      < -3.640000, 6.004000, -1.756000>
    }
    triangle {
      < -3.640000, 6.004000, -1.756000>,
      < -3.640000, 4.664000, -1.756000>,
      < -3.504000, 4.664000, -2.548000>
    }
    triangle {
      < -3.640000, 6.004000, -1.756000>,
      < -3.504000, 4.664000, -2.548000>,
      < -3.504000, 5.104000, -2.548000>
    }
    triangle {
      < -3.640000, 6.004000, -1.756000>,
      < -3.504000, 5.104000, -2.548000>,
      < -3.608000, 6.736000, -1.940000>
    }
    triangle {
      < -3.612000, 6.900000, -2.504000>,
      < -3.700000, 6.844000, -2.004000>,
      < -3.632000, 6.984000, -2.392000>
    }
    triangle {
      < -3.604000, 6.872000, -2.556000>,
      < -3.700000, 6.844000, -2.004000>,
      < -3.612000, 6.900000, -2.504000>
    }
    triangle {
      < -3.604000, 6.872000, -2.556000>,
      < -3.740000, 5.920000, -1.776000>,
      < -3.700000, 6.844000, -2.004000>
    }
    triangle {
      < -3.604000, 6.872000, -2.556000>,
      < -3.740000, 4.664000, -1.776000>,
      < -3.740000, 5.920000, -1.776000>
    }
    triangle {
      < -3.604000, 6.872000, -2.556000>,
      < -3.600000, 6.848000, -2.584000>,
      < -3.740000, 4.664000, -1.776000>
    }
    triangle {
      < -3.740000, 5.920000, -1.776000>,
      < -3.740000, 4.664000, -1.776000>,
      < -3.640000, 4.664000, -1.756000>
    }
    triangle {
      < -3.740000, 5.920000, -1.776000>,
      < -3.640000, 4.664000, -1.756000>,
      < -3.688000, 5.964000, -1.768000>
    }
    triangle {
      < -3.596000, 5.588000, -2.596000>,
      < -3.740000, 4.664000, -1.776000>,
      < -3.596000, 6.844000, -2.596000>
    }
    triangle {
      < -3.596000, 5.588000, -2.596000>,
      < -3.596000, 4.664000, -2.596000>,
      < -3.740000, 4.664000, -1.776000>
    }
    triangle {
      < -3.572000, 4.664000, -2.572000>,
      < -3.640000, 4.664000, -1.756000>,
      < -3.584000, 4.664000, -2.584000>
    }
    triangle {
      < -3.596000, 4.664000, -2.596000>,
      < -3.640000, 4.664000, -1.756000>,
      < -3.740000, 4.664000, -1.776000>
    }
    triangle {
      < -3.596000, 4.664000, -2.596000>,
      < -3.584000, 4.664000, -2.584000>,
      < -3.640000, 4.664000, -1.756000>
    }
    triangle {
      < -3.656000, 5.796000, -2.740000>,
      < -3.656000, 6.844000, -2.740000>,
      < -3.916000, 7.040000, -2.784000>
    }
    triangle {
      < -4.280000, 6.680000, -2.848000>,
      < -3.656000, 4.908000, -2.740000>,
      < -3.656000, 5.796000, -2.740000>
    }
    triangle {
      < -4.280000, 6.680000, -2.848000>,
      < -3.656000, 5.796000, -2.740000>,
      < -3.916000, 7.040000, -2.784000>
    }
    triangle {
      < -4.280000, 6.680000, -2.848000>,
      < -3.916000, 7.040000, -2.784000>,
      < -4.148000, 7.208000, -2.824000>
    }
    triangle {
      < -4.468000, 5.920000, -2.880000>,
      < -4.468000, 4.664000, -2.880000>,
      < -3.656000, 4.664000, -2.740000>
    }
    triangle {
      < -4.468000, 5.920000, -2.880000>,
      < -3.656000, 4.664000, -2.740000>,
      < -3.656000, 4.908000, -2.740000>
    }
    triangle {
      < -4.468000, 5.920000, -2.880000>,
      < -3.656000, 4.908000, -2.740000>,
      < -4.460000, 5.964000, -2.880000>
    }
    triangle {
      < -3.464000, 4.520000, -2.740000>,
      < -3.664000, 4.520000, -2.776000>,
      < -3.632000, 4.520000, -2.848000>
    }
    triangle {
      < -4.512000, 5.744000, -2.928000>,
      < -4.512000, 4.520000, -2.928000>,
      < -4.360000, 4.520000, -3.312000>
    }
    triangle {
      < -4.512000, 5.744000, -2.928000>,
      < -4.360000, 4.520000, -3.312000>,
      < -4.360000, 5.744000, -3.312000>
    }
    triangle {
      < -4.512000, 4.520000, -2.928000>,
      < -4.752000, 4.520000, -2.976000>,
      < -4.568000, 4.520000, -3.452000>
    }
    triangle {
      < -4.512000, 4.520000, -2.928000>,
      < -4.568000, 4.520000, -3.452000>,
      < -4.360000, 4.520000, -3.312000>
    }
    triangle {
      < -4.752000, 4.520000, -2.976000>,
      < -4.752000, 9.416000, -2.976000>,
      < -4.568000, 9.416000, -3.452000>
    }
    triangle {
      < -4.752000, 4.520000, -2.976000>,
      < -4.568000, 9.416000, -3.452000>,
      < -4.568000, 4.520000, -3.452000>
    }
    triangle {
      < -4.752000, 9.416000, -2.976000>,
      < -4.632000, 9.780000, -2.952000>,
      < -4.464000, 9.780000, -3.384000>
    }
    triangle {
      < -4.752000, 9.416000, -2.976000>,
      < -4.464000, 9.780000, -3.384000>,
      < -4.568000, 9.416000, -3.452000>
    }
    texture {engines}
  }
  // wingsl_engines
  union {
    triangle {
      < -4.632000, 9.780000, -2.952000>,
      < -4.632000, 11.368000, -2.952000>,
      < -4.464000, 11.368000, -3.384000>
    }
    triangle {
      < -4.632000, 9.780000, -2.952000>,
      < -4.464000, 11.368000, -3.384000>,
      < -4.464000, 9.780000, -3.384000>
    }
    triangle {
      < -4.632000, 11.368000, -2.952000>,
      < -3.464000, 11.368000, -2.740000>,
      < -4.464000, 11.368000, -3.384000>
    }
    texture {wingsl_engines}
  }
  // engines
  union {
    triangle {
      < -3.464000, 4.520000, -2.740000>,
      < -3.632000, 4.520000, -2.848000>,
      < -3.584000, 4.520000, -2.904000>
    }
    triangle {
      < -4.052000, 7.208000, -3.116000>,
      < -4.360000, 5.744000, -3.312000>,
      < -4.068000, 5.744000, -3.616000>
    }
    triangle {
      < -4.052000, 7.208000, -3.116000>,
      < -4.068000, 5.744000, -3.616000>,
      < -3.856000, 7.208000, -3.316000>
    }
    triangle {
      < -4.360000, 5.744000, -3.312000>,
      < -4.360000, 4.520000, -3.312000>,
      < -4.068000, 4.520000, -3.616000>
    }
    triangle {
      < -4.360000, 5.744000, -3.312000>,
      < -4.068000, 4.520000, -3.616000>,
      < -4.068000, 5.744000, -3.616000>
    }
    triangle {
      < -4.360000, 4.520000, -3.312000>,
      < -4.568000, 4.520000, -3.452000>,
      < -4.212000, 4.520000, -3.824000>
    }
    triangle {
      < -4.360000, 4.520000, -3.312000>,
      < -4.212000, 4.520000, -3.824000>,
      < -4.068000, 4.520000, -3.616000>
    }
    triangle {
      < -4.568000, 4.520000, -3.452000>,
      < -4.568000, 9.416000, -3.452000>,
      < -4.212000, 9.416000, -3.824000>
    }
    triangle {
      < -4.568000, 4.520000, -3.452000>,
      < -4.212000, 9.416000, -3.824000>,
      < -4.212000, 4.520000, -3.824000>
    }
    triangle {
      < -4.568000, 9.416000, -3.452000>,
      < -4.464000, 9.780000, -3.384000>,
      < -4.140000, 9.780000, -3.720000>
    }
    triangle {
      < -4.568000, 9.416000, -3.452000>,
      < -4.140000, 9.780000, -3.720000>,
      < -4.212000, 9.416000, -3.824000>
    }
    texture {engines}
  }
  // wingsl_engines
  union {
    triangle {
      < -4.464000, 9.780000, -3.384000>,
      < -4.464000, 11.368000, -3.384000>,
      < -4.140000, 11.368000, -3.720000>
    }
    triangle {
      < -4.464000, 9.780000, -3.384000>,
      < -4.140000, 11.368000, -3.720000>,
      < -4.140000, 9.780000, -3.720000>
    }
    texture {wingsl_engines}
  }
  // engines
  union {
    triangle {
      < -4.464000, 11.368000, -3.384000>,
      < -3.464000, 11.368000, -2.740000>,
      < -4.140000, 11.368000, -3.720000>
    }
    triangle {
      < -3.464000, 4.520000, -2.740000>,
      < -3.584000, 4.520000, -2.904000>,
      < -3.504000, 4.520000, -2.936000>
    }
    triangle {
      < -3.584000, 6.844000, -2.904000>,
      < -3.856000, 7.208000, -3.316000>,
      < -3.608000, 7.208000, -3.424000>
    }
    triangle {
      < -3.856000, 7.208000, -3.316000>,
      < -4.068000, 5.744000, -3.616000>,
      < -3.688000, 5.744000, -3.784000>
    }
    triangle {
      < -3.856000, 7.208000, -3.316000>,
      < -3.688000, 5.744000, -3.784000>,
      < -3.608000, 7.208000, -3.424000>
    }
    triangle {
      < -4.068000, 5.744000, -3.616000>,
      < -4.068000, 4.520000, -3.616000>,
      < -3.688000, 4.520000, -3.784000>
    }
    triangle {
      < -4.068000, 5.744000, -3.616000>,
      < -3.688000, 4.520000, -3.784000>,
      < -3.688000, 5.744000, -3.784000>
    }
    triangle {
      < -4.068000, 4.520000, -3.616000>,
      < -4.212000, 4.520000, -3.824000>,
      < -3.736000, 4.520000, -4.020000>
    }
    triangle {
      < -4.068000, 4.520000, -3.616000>,
      < -3.736000, 4.520000, -4.020000>,
      < -3.688000, 4.520000, -3.784000>
    }
    triangle {
      < -4.212000, 4.520000, -3.824000>,
      < -4.212000, 9.416000, -3.824000>,
      < -3.736000, 9.416000, -4.020000>
    }
    triangle {
      < -4.212000, 4.520000, -3.824000>,
      < -3.736000, 9.416000, -4.020000>,
      < -3.736000, 4.520000, -4.020000>
    }
    triangle {
      < -4.212000, 9.416000, -3.824000>,
      < -4.140000, 9.780000, -3.720000>,
      < -3.712000, 9.780000, -3.900000>
    }
    triangle {
      < -4.212000, 9.416000, -3.824000>,
      < -3.712000, 9.780000, -3.900000>,
      < -3.736000, 9.416000, -4.020000>
    }
    triangle {
      < -4.140000, 9.780000, -3.720000>,
      < -4.140000, 11.368000, -3.720000>,
      < -3.712000, 11.368000, -3.900000>
    }
    triangle {
      < -4.140000, 9.780000, -3.720000>,
      < -3.712000, 11.368000, -3.900000>,
      < -3.712000, 9.780000, -3.900000>
    }
    triangle {
      < -4.140000, 11.368000, -3.720000>,
      < -3.464000, 11.368000, -2.740000>,
      < -3.712000, 11.368000, -3.900000>
    }
    triangle {
      < -3.464000, 4.520000, -2.740000>,
      < -3.504000, 4.520000, -2.936000>,
      < -3.428000, 4.520000, -2.936000>
    }
    triangle {
      < -3.688000, 5.744000, -3.784000>,
      < -3.688000, 4.520000, -3.784000>,
      < -3.272000, 4.520000, -3.788000>
    }
    triangle {
      < -3.688000, 5.744000, -3.784000>,
      < -3.272000, 4.520000, -3.788000>,
      < -3.272000, 5.744000, -3.788000>
    }
    triangle {
      < -3.688000, 4.520000, -3.784000>,
      < -3.736000, 4.520000, -4.020000>,
      < -3.232000, 4.520000, -4.032000>
    }
    triangle {
      < -3.688000, 4.520000, -3.784000>,
      < -3.232000, 4.520000, -4.032000>,
      < -3.272000, 4.520000, -3.788000>
    }
    triangle {
      < -3.736000, 4.520000, -4.020000>,
      < -3.736000, 9.416000, -4.020000>,
      < -3.232000, 9.416000, -4.032000>
    }
    triangle {
      < -3.736000, 4.520000, -4.020000>,
      < -3.232000, 9.416000, -4.032000>,
      < -3.232000, 4.520000, -4.032000>
    }
    triangle {
      < -3.736000, 9.416000, -4.020000>,
      < -3.712000, 9.780000, -3.900000>,
      < -3.252000, 9.780000, -3.908000>
    }
    triangle {
      < -3.736000, 9.416000, -4.020000>,
      < -3.252000, 9.780000, -3.908000>,
      < -3.232000, 9.416000, -4.032000>
    }
    texture {engines}
  }
  // DEFAULT
  union {
    triangle {
      < -3.712000, 9.780000, -3.900000>,
      < -3.712000, 11.368000, -3.900000>,
      < -3.252000, 11.368000, -3.908000>
    }
    texture {DEFAULT}
  }
  // engines
  union {
    triangle {
      < -3.712000, 9.780000, -3.900000>,
      < -3.252000, 11.368000, -3.908000>,
      < -3.252000, 9.780000, -3.908000>
    }
    texture {engines}
  }
  // DEFAULT
  union {
    triangle {
      < -3.712000, 11.368000, -3.900000>,
      < -3.464000, 11.368000, -2.740000>,
      < -3.252000, 11.368000, -3.908000>
    }
    texture {DEFAULT}
  }
  // engines
  union {
    triangle {
      < -3.464000, 4.520000, -2.740000>,
      < -3.428000, 4.520000, -2.936000>,
      < -3.356000, 4.520000, -2.908000>
    }
    triangle {
      < -3.272000, 5.744000, -3.788000>,
      < -3.272000, 4.520000, -3.788000>,
      < -2.884000, 4.520000, -3.636000>
    }
    triangle {
      < -3.272000, 5.744000, -3.788000>,
      < -2.884000, 4.520000, -3.636000>,
      < -2.884000, 5.744000, -3.636000>
    }
    triangle {
      < -3.272000, 4.520000, -3.788000>,
      < -3.232000, 4.520000, -4.032000>,
      < -2.752000, 4.520000, -3.840000>
    }
    triangle {
      < -3.272000, 4.520000, -3.788000>,
      < -2.752000, 4.520000, -3.840000>,
      < -2.884000, 4.520000, -3.636000>
    }
    triangle {
      < -3.232000, 4.520000, -4.032000>,
      < -3.232000, 9.416000, -4.032000>,
      < -2.752000, 9.416000, -3.840000>
    }
    triangle {
      < -3.232000, 4.520000, -4.032000>,
      < -2.752000, 9.416000, -3.840000>,
      < -2.752000, 4.520000, -3.840000>
    }
    triangle {
      < -3.232000, 9.416000, -4.032000>,
      < -3.252000, 9.780000, -3.908000>,
      < -2.820000, 9.780000, -3.736000>
    }
    triangle {
      < -3.232000, 9.416000, -4.032000>,
      < -2.820000, 9.780000, -3.736000>,
      < -2.752000, 9.416000, -3.840000>
    }
    triangle {
      < -3.252000, 9.780000, -3.908000>,
      < -3.252000, 11.368000, -3.908000>,
      < -2.820000, 11.368000, -3.736000>
    }
    triangle {
      < -3.252000, 9.780000, -3.908000>,
      < -2.820000, 11.368000, -3.736000>,
      < -2.820000, 9.780000, -3.736000>
    }
    triangle {
      < -3.252000, 11.368000, -3.908000>,
      < -3.464000, 11.368000, -2.740000>,
      < -2.820000, 11.368000, -3.736000>
    }
    triangle {
      < -3.464000, 4.520000, -2.740000>,
      < -3.356000, 4.520000, -2.908000>,
      < -3.300000, 4.520000, -2.856000>
    }
    triangle {
      < -3.356000, 4.520000, -2.908000>,
      < -3.356000, 6.844000, -2.908000>,
      < -3.300000, 6.844000, -2.856000>
    }
    triangle {
      < -3.356000, 4.520000, -2.908000>,
      < -3.300000, 6.844000, -2.856000>,
      < -3.300000, 4.520000, -2.856000>
    }
    triangle {
      < -3.356000, 6.844000, -2.908000>,
      < -3.084000, 7.208000, -3.320000>,
      < -2.888000, 7.208000, -3.136000>
    }
    triangle {
      < -3.356000, 6.844000, -2.908000>,
      < -2.888000, 7.208000, -3.136000>,
      < -3.300000, 6.844000, -2.856000>
    }
    triangle {
      < -3.084000, 7.208000, -3.320000>,
      < -2.884000, 5.744000, -3.636000>,
      < -2.588000, 5.744000, -3.336000>
    }
    triangle {
      < -3.084000, 7.208000, -3.320000>,
      < -2.588000, 5.744000, -3.336000>,
      < -2.888000, 7.208000, -3.136000>
    }
    triangle {
      < -2.884000, 5.744000, -3.636000>,
      < -2.884000, 4.520000, -3.636000>,
      < -2.588000, 4.520000, -3.336000>
    }
    triangle {
      < -2.884000, 5.744000, -3.636000>,
      < -2.588000, 4.520000, -3.336000>,
      < -2.588000, 5.744000, -3.336000>
    }
    triangle {
      < -2.884000, 4.520000, -3.636000>,
      < -2.752000, 4.520000, -3.840000>,
      < -2.380000, 4.520000, -3.484000>
    }
    triangle {
      < -2.884000, 4.520000, -3.636000>,
      < -2.380000, 4.520000, -3.484000>,
      < -2.588000, 4.520000, -3.336000>
    }
    triangle {
      < -2.752000, 4.520000, -3.840000>,
      < -2.752000, 9.416000, -3.840000>,
      < -2.380000, 9.416000, -3.484000>
    }
    triangle {
      < -2.752000, 4.520000, -3.840000>,
      < -2.380000, 9.416000, -3.484000>,
      < -2.380000, 4.520000, -3.484000>
    }
    triangle {
      < -2.752000, 9.416000, -3.840000>,
      < -2.820000, 9.780000, -3.736000>,
      < -2.488000, 9.780000, -3.412000>
    }
    triangle {
      < -2.752000, 9.416000, -3.840000>,
      < -2.488000, 9.780000, -3.412000>,
      < -2.380000, 9.416000, -3.484000>
    }
    triangle {
      < -2.820000, 9.780000, -3.736000>,
      < -2.820000, 11.368000, -3.736000>,
      < -2.488000, 11.368000, -3.412000>
    }
    triangle {
      < -2.820000, 9.780000, -3.736000>,
      < -2.488000, 11.368000, -3.412000>,
      < -2.488000, 9.780000, -3.412000>
    }
    triangle {
      < -2.820000, 11.368000, -3.736000>,
      < -3.464000, 11.368000, -2.740000>,
      < -2.488000, 11.368000, -3.412000>
    }
    triangle {
      < -3.464000, 4.520000, -2.740000>,
      < -3.300000, 4.520000, -2.856000>,
      < -3.268000, 4.520000, -2.776000>
    }
    triangle {
      < -3.300000, 6.844000, -2.856000>,
      < -2.888000, 7.208000, -3.136000>,
      < -2.784000, 7.208000, -2.880000>
    }
    triangle {
      < -2.888000, 7.208000, -3.136000>,
      < -2.588000, 5.744000, -3.336000>,
      < -2.420000, 5.744000, -2.956000>
    }
    triangle {
      < -2.888000, 7.208000, -3.136000>,
      < -2.420000, 5.744000, -2.956000>,
      < -2.784000, 7.208000, -2.880000>
    }
    triangle {
      < -2.588000, 5.744000, -3.336000>,
      < -2.588000, 4.520000, -3.336000>,
      < -2.420000, 4.520000, -2.956000>
    }
    triangle {
      < -2.588000, 5.744000, -3.336000>,
      < -2.420000, 4.520000, -2.956000>,
      < -2.420000, 5.744000, -2.956000>
    }
    triangle {
      < -2.588000, 4.520000, -3.336000>,
      < -2.380000, 4.520000, -3.484000>,
      < -2.184000, 4.520000, -3.012000>
    }
    triangle {
      < -2.588000, 4.520000, -3.336000>,
      < -2.184000, 4.520000, -3.012000>,
      < -2.420000, 4.520000, -2.956000>
    }
    triangle {
      < -2.380000, 4.520000, -3.484000>,
      < -2.380000, 9.416000, -3.484000>,
      < -2.184000, 9.416000, -3.012000>
    }
    triangle {
      < -2.380000, 4.520000, -3.484000>,
      < -2.184000, 9.416000, -3.012000>,
      < -2.184000, 4.520000, -3.012000>
    }
    triangle {
      < -2.380000, 9.416000, -3.484000>,
      < -2.488000, 9.780000, -3.412000>,
      < -2.304000, 9.780000, -2.984000>
    }
    triangle {
      < -2.380000, 9.416000, -3.484000>,
      < -2.304000, 9.780000, -2.984000>,
      < -2.184000, 9.416000, -3.012000>
    }
    triangle {
      < -2.488000, 9.780000, -3.412000>,
      < -2.488000, 11.368000, -3.412000>,
      < -2.304000, 11.368000, -2.984000>
    }
    triangle {
      < -2.488000, 9.780000, -3.412000>,
      < -2.304000, 11.368000, -2.984000>,
      < -2.304000, 9.780000, -2.984000>
    }
    triangle {
      < -2.488000, 11.368000, -3.412000>,
      < -3.464000, 11.368000, -2.740000>,
      < -2.304000, 11.368000, -2.984000>
    }
    triangle {
      < -3.464000, 4.520000, -2.740000>,
      < -3.268000, 4.520000, -2.776000>,
      < -3.268000, 4.520000, -2.704000>
    }
    triangle {
      < -2.420000, 5.744000, -2.956000>,
      < -2.420000, 4.520000, -2.956000>,
      < -2.416000, 4.520000, -2.548000>
    }
    triangle {
      < -2.420000, 5.744000, -2.956000>,
      < -2.416000, 4.520000, -2.548000>,
      < -2.416000, 5.744000, -2.548000>
    }
    triangle {
      < -2.420000, 4.520000, -2.956000>,
      < -2.184000, 4.520000, -3.012000>,
      < -2.176000, 4.520000, -2.504000>
    }
    triangle {
      < -2.420000, 4.520000, -2.956000>,
      < -2.176000, 4.520000, -2.504000>,
      < -2.416000, 4.520000, -2.548000>
    }
    triangle {
      < -2.184000, 4.520000, -3.012000>,
      < -2.184000, 9.416000, -3.012000>,
      < -2.176000, 9.416000, -2.504000>
    }
    triangle {
      < -2.184000, 4.520000, -3.012000>,
      < -2.176000, 9.416000, -2.504000>,
      < -2.176000, 4.520000, -2.504000>
    }
    triangle {
      < -2.184000, 9.416000, -3.012000>,
      < -2.304000, 9.780000, -2.984000>,
      < -2.296000, 9.780000, -2.524000>
    }
    triangle {
      < -2.184000, 9.416000, -3.012000>,
      < -2.296000, 9.780000, -2.524000>,
      < -2.176000, 9.416000, -2.504000>
    }
    triangle {
      < -2.304000, 9.780000, -2.984000>,
      < -2.304000, 11.368000, -2.984000>,
      < -2.296000, 11.368000, -2.524000>
    }
    triangle {
      < -2.304000, 9.780000, -2.984000>,
      < -2.296000, 11.368000, -2.524000>,
      < -2.296000, 9.780000, -2.524000>
    }
    triangle {
      < -2.304000, 11.368000, -2.984000>,
      < -3.464000, 11.368000, -2.740000>,
      < -2.296000, 11.368000, -2.524000>
    }
    triangle {
      < -3.464000, 4.520000, -2.740000>,
      < -3.268000, 4.520000, -2.704000>,
      < -3.296000, 4.520000, -2.632000>
    }
    triangle {
      < -2.416000, 5.744000, -2.548000>,
      < -2.416000, 4.520000, -2.548000>,
      < -2.572000, 4.520000, -2.160000>
    }
    triangle {
      < -2.416000, 5.744000, -2.548000>,
      < -2.572000, 4.520000, -2.160000>,
      < -2.572000, 5.744000, -2.160000>
    }
    triangle {
      < -2.416000, 4.520000, -2.548000>,
      < -2.176000, 4.520000, -2.504000>,
      < -2.364000, 4.520000, -2.020000>
    }
    triangle {
      < -2.416000, 4.520000, -2.548000>,
      < -2.364000, 4.520000, -2.020000>,
      < -2.572000, 4.520000, -2.160000>
    }
    triangle {
      < -3.464000, 4.520000, -2.740000>,
      < -3.296000, 4.520000, -2.632000>,
      < -3.352000, 4.520000, -2.572000>
    }
    triangle {
      < -3.296000, 4.520000, -2.632000>,
      < -3.296000, 6.844000, -2.632000>,
      < -3.352000, 6.844000, -2.572000>
    }
    triangle {
      < -3.296000, 4.520000, -2.632000>,
      < -3.352000, 6.844000, -2.572000>,
      < -3.352000, 4.520000, -2.572000>
    }
    triangle {
      < -3.296000, 6.844000, -2.632000>,
      < -2.884000, 7.208000, -2.360000>,
      < -3.068000, 7.208000, -2.164000>
    }
    triangle {
      < -3.296000, 6.844000, -2.632000>,
      < -3.068000, 7.208000, -2.164000>,
      < -3.352000, 6.844000, -2.572000>
    }
    triangle {
      < -2.884000, 7.208000, -2.360000>,
      < -2.572000, 5.744000, -2.160000>,
      < -2.864000, 5.744000, -1.860000>
    }
    triangle {
      < -2.884000, 7.208000, -2.360000>,
      < -2.864000, 5.744000, -1.860000>,
      < -3.068000, 7.208000, -2.164000>
    }
    triangle {
      < -2.572000, 5.744000, -2.160000>,
      < -2.572000, 4.520000, -2.160000>,
      < -2.864000, 4.520000, -1.860000>
    }
    triangle {
      < -2.572000, 5.744000, -2.160000>,
      < -2.864000, 4.520000, -1.860000>,
      < -2.864000, 5.744000, -1.860000>
    }
    triangle {
      < -2.572000, 4.520000, -2.160000>,
      < -2.364000, 4.520000, -2.020000>,
      < -2.720000, 4.520000, -1.656000>
    }
    triangle {
      < -2.572000, 4.520000, -2.160000>,
      < -2.720000, 4.520000, -1.656000>,
      < -2.864000, 4.520000, -1.860000>
    }
    triangle {
      < -3.464000, 4.520000, -2.740000>,
      < -3.352000, 4.520000, -2.572000>,
      < -3.428000, 4.520000, -2.548000>
    }
    triangle {
      < -3.352000, 4.520000, -2.572000>,
      < -3.352000, 6.844000, -2.572000>,
      < -3.428000, 6.844000, -2.548000>
    }
    triangle {
      < -3.352000, 4.520000, -2.572000>,
      < -3.428000, 6.844000, -2.548000>,
      < -3.428000, 4.520000, -2.548000>
    }
    triangle {
      < -3.352000, 6.844000, -2.572000>,
      < -3.068000, 7.208000, -2.164000>,
      < -3.324000, 7.208000, -2.060000>
    }
    triangle {
      < -3.352000, 6.844000, -2.572000>,
      < -3.324000, 7.208000, -2.060000>,
      < -3.428000, 6.844000, -2.548000>
    }
    triangle {
      < -3.068000, 7.208000, -2.164000>,
      < -2.864000, 5.744000, -1.860000>,
      < -3.240000, 5.744000, -1.692000>
    }
    triangle {
      < -3.068000, 7.208000, -2.164000>,
      < -3.240000, 5.744000, -1.692000>,
      < -3.324000, 7.208000, -2.060000>
    }
    triangle {
      < -2.864000, 5.744000, -1.860000>,
      < -2.864000, 4.520000, -1.860000>,
      < -3.240000, 4.520000, -1.692000>
    }
    triangle {
      < -2.864000, 5.744000, -1.860000>,
      < -3.240000, 4.520000, -1.692000>,
      < -3.240000, 5.744000, -1.692000>
    }
    triangle {
      < -2.864000, 4.520000, -1.860000>,
      < -2.720000, 4.520000, -1.656000>,
      < -3.192000, 4.520000, -1.456000>
    }
    triangle {
      < -2.864000, 4.520000, -1.860000>,
      < -3.192000, 4.520000, -1.456000>,
      < -3.240000, 4.520000, -1.692000>
    }
    triangle {
      < -3.464000, 4.520000, -2.740000>,
      < -3.428000, 4.520000, -2.548000>,
      < -3.500000, 4.520000, -2.540000>
    }
    triangle {
      < -3.428000, 4.520000, -2.548000>,
      < -3.428000, 6.844000, -2.548000>,
      < -3.500000, 6.844000, -2.540000>
    }
    triangle {
      < -3.428000, 4.520000, -2.548000>,
      < -3.500000, 6.844000, -2.540000>,
      < -3.500000, 4.520000, -2.540000>
    }
    triangle {
      < -3.324000, 7.208000, -2.060000>,
      < -3.240000, 5.744000, -1.692000>,
      < -3.652000, 5.744000, -1.692000>
    }
    triangle {
      < -3.240000, 5.744000, -1.692000>,
      < -3.240000, 4.520000, -1.692000>,
      < -3.652000, 4.520000, -1.692000>
    }
    triangle {
      < -3.240000, 5.744000, -1.692000>,
      < -3.652000, 4.520000, -1.692000>,
      < -3.652000, 5.744000, -1.692000>
    }
    triangle {
      < -3.240000, 4.520000, -1.692000>,
      < -3.192000, 4.520000, -1.456000>,
      < -3.696000, 4.520000, -1.448000>
    }
    triangle {
      < -3.240000, 4.520000, -1.692000>,
      < -3.696000, 4.520000, -1.448000>,
      < -3.652000, 4.520000, -1.692000>
    }
    triangle {
      < -3.464000, 4.520000, -2.740000>,
      < -3.500000, 4.520000, -2.540000>,
      < -3.572000, 4.520000, -2.572000>
    }
    triangle {
      < -3.652000, 5.744000, -1.692000>,
      < -3.652000, 4.520000, -1.692000>,
      < -4.048000, 4.520000, -1.844000>
    }
    triangle {
      < -3.652000, 5.744000, -1.692000>,
      < -4.048000, 4.520000, -1.844000>,
      < -4.048000, 5.744000, -1.844000>
    }
    triangle {
      < -3.652000, 4.520000, -1.692000>,
      < -3.696000, 4.520000, -1.448000>,
      < -4.176000, 4.520000, -1.632000>
    }
    triangle {
      < -3.652000, 4.520000, -1.692000>,
      < -4.176000, 4.520000, -1.632000>,
      < -4.048000, 4.520000, -1.844000>
    }
    triangle {
      < -3.464000, 4.520000, -2.740000>,
      < -3.572000, 4.520000, -2.572000>,
      < -3.632000, 4.520000, -2.624000>
    }
    triangle {
      < -3.840000, 7.208000, -2.156000>,
      < -4.048000, 5.744000, -1.844000>,
      < -4.344000, 5.744000, -2.136000>
    }
    triangle {
      < -3.840000, 7.208000, -2.156000>,
      < -4.344000, 5.744000, -2.136000>,
      < -4.040000, 7.208000, -2.344000>
    }
    triangle {
      < -4.048000, 5.744000, -1.844000>,
      < -4.048000, 4.520000, -1.844000>,
      < -4.344000, 4.520000, -2.136000>
    }
    triangle {
      < -4.048000, 5.744000, -1.844000>,
      < -4.344000, 4.520000, -2.136000>,
      < -4.344000, 5.744000, -2.136000>
    }
    triangle {
      < -4.048000, 4.520000, -1.844000>,
      < -4.176000, 4.520000, -1.632000>,
      < -4.548000, 4.520000, -1.984000>
    }
    triangle {
      < -4.048000, 4.520000, -1.844000>,
      < -4.548000, 4.520000, -1.984000>,
      < -4.344000, 4.520000, -2.136000>
    }
    triangle {
      < -3.464000, 4.520000, -2.740000>,
      < -3.632000, 4.520000, -2.624000>,
      < -3.656000, 4.520000, -2.700000>
    }
    triangle {
      < -3.632000, 4.520000, -2.624000>,
      < -3.632000, 6.844000, -2.624000>,
      < -3.656000, 6.844000, -2.700000>
    }
    triangle {
      < -3.632000, 4.520000, -2.624000>,
      < -3.656000, 6.844000, -2.700000>,
      < -3.656000, 4.520000, -2.700000>
    }
    triangle {
      < -3.632000, 6.844000, -2.624000>,
      < -4.040000, 7.208000, -2.344000>,
      < -4.148000, 7.208000, -2.596000>
    }
    triangle {
      < -3.632000, 6.844000, -2.624000>,
      < -4.148000, 7.208000, -2.596000>,
      < -3.656000, 6.844000, -2.700000>
    }
    triangle {
      < -4.040000, 7.208000, -2.344000>,
      < -4.344000, 5.744000, -2.136000>,
      < -4.512000, 5.744000, -2.508000>
    }
    triangle {
      < -4.040000, 7.208000, -2.344000>,
      < -4.512000, 5.744000, -2.508000>,
      < -4.148000, 7.208000, -2.596000>
    }
    triangle {
      < -4.344000, 5.744000, -2.136000>,
      < -4.344000, 4.520000, -2.136000>,
      < -4.512000, 4.520000, -2.508000>
    }
    triangle {
      < -4.344000, 5.744000, -2.136000>,
      < -4.512000, 4.520000, -2.508000>,
      < -4.512000, 5.744000, -2.508000>
    }
    triangle {
      < -4.344000, 4.520000, -2.136000>,
      < -4.548000, 4.520000, -1.984000>,
      < -4.752000, 4.520000, -2.464000>
    }
    triangle {
      < -4.344000, 4.520000, -2.136000>,
      < -4.752000, 4.520000, -2.464000>,
      < -4.512000, 4.520000, -2.508000>
    }
    triangle {
      < -3.464000, 4.520000, -2.740000>,
      < -3.656000, 4.520000, -2.700000>,
      < -3.664000, 4.520000, -2.776000>
    }
    triangle {
      < -4.512000, 5.744000, -2.508000>,
      < -4.512000, 4.520000, -2.508000>,
      < -4.512000, 4.520000, -2.928000>
    }
    triangle {
      < -4.512000, 5.744000, -2.508000>,
      < -4.512000, 4.520000, -2.928000>,
      < -4.512000, 5.744000, -2.928000>
    }
    triangle {
      < -4.512000, 4.520000, -2.508000>,
      < -4.752000, 4.520000, -2.464000>,
      < -4.752000, 4.520000, -2.976000>
    }
    triangle {
      < -4.512000, 4.520000, -2.508000>,
      < -4.752000, 4.520000, -2.976000>,
      < -4.512000, 4.520000, -2.928000>
    }
    triangle {
      < -4.752000, 4.520000, -2.464000>,
      < -4.752000, 9.416000, -2.464000>,
      < -4.752000, 9.416000, -2.976000>
    }
    triangle {
      < -4.752000, 4.520000, -2.464000>,
      < -4.752000, 9.416000, -2.976000>,
      < -4.752000, 4.520000, -2.976000>
    }
    triangle {
      < -4.752000, 9.416000, -2.464000>,
      < -4.628000, 9.780000, -2.492000>,
      < -4.632000, 9.780000, -2.952000>
    }
    triangle {
      < -4.752000, 9.416000, -2.464000>,
      < -4.632000, 9.780000, -2.952000>,
      < -4.752000, 9.416000, -2.976000>
    }
    texture {engines}
  }
  // wingsl_engines
  union {
    triangle {
      < -4.628000, 9.780000, -2.492000>,
      < -4.628000, 11.368000, -2.492000>,
      < -4.632000, 11.368000, -2.952000>
    }
    triangle {
      < -4.628000, 9.780000, -2.492000>,
      < -4.632000, 11.368000, -2.952000>,
      < -4.632000, 9.780000, -2.952000>
    }
    triangle {
      < -4.628000, 11.368000, -2.492000>,
      < -3.464000, 11.368000, -2.740000>,
      < -4.632000, 11.368000, -2.952000>
    }
    texture {wingsl_engines}
  }
  // DEFAULT
  union {
    triangle {
      < -4.456000, 5.928000, -2.948000>,
      < -4.460000, 5.952000, -2.920000>,
      < -4.512000, 5.744000, -2.928000>
    }
    texture {DEFAULT}
  }
  // engines
  union {
    triangle {
      < -3.428000, 4.664000, -2.936000>,
      < -3.504000, 4.520000, -2.936000>,
      < -3.436000, 4.664000, -2.936000>
    }
    triangle {
      < -3.424000, 4.664000, -2.936000>,
      < -3.504000, 4.520000, -2.936000>,
      < -3.428000, 4.664000, -2.936000>
    }
    triangle {
      < -3.404000, 4.664000, -2.928000>,
      < -3.504000, 4.520000, -2.936000>,
      < -3.424000, 4.664000, -2.936000>
    }
    triangle {
      < -2.464000, 5.940000, -2.600000>,
      < -2.416000, 5.744000, -2.548000>,
      < -2.468000, 5.944000, -2.592000>
    }
    triangle {
      < -3.556000, 7.072000, -2.228000>,
      < -3.428000, 6.844000, -2.548000>,
      < -3.588000, 7.200000, -2.064000>
    }
    triangle {
      < -3.504000, 6.848000, -2.540000>,
      < -3.428000, 6.844000, -2.548000>,
      < -3.556000, 7.072000, -2.228000>
    }
    triangle {
      < -3.500000, 4.520000, -2.540000>,
      < -3.504000, 6.848000, -2.540000>,
      < -3.504000, 6.844000, -2.548000>
    }
    triangle {
      < -4.464000, 5.928000, -2.892000>,
      < -4.460000, 5.964000, -2.880000>,
      < -4.148000, 7.208000, -2.596000>
    }
    triangle {
      < -3.620000, 4.664000, -2.860000>,
      < -3.664000, 4.664000, -2.776000>,
      < -3.656000, 4.664000, -2.780000>
    }
    triangle {
      < -3.656000, 4.664000, -2.780000>,
      < -4.468000, 4.664000, -2.880000>,
      < -3.632000, 4.664000, -2.848000>
    }
    triangle {
      < -3.812000, 6.980000, -2.904000>,
      < -4.200000, 6.848000, -2.972000>,
      < -4.108000, 7.208000, -2.956000>
    }
    triangle {
      < -4.464000, 5.928000, -2.892000>,
      < -4.468000, 4.664000, -2.880000>,
      < -4.468000, 5.920000, -2.880000>
    }
    triangle {
      < -3.612000, 6.844000, -2.868000>,
      < -3.668000, 6.880000, -2.880000>,
      < -3.652000, 6.868000, -2.876000>
    }
    triangle {
      < -3.424000, 4.664000, -2.936000>,
      < -3.296000, 4.664000, -3.724000>,
      < -3.404000, 4.664000, -2.928000>
    }
    triangle {
      < -3.396000, 6.880000, -2.976000>,
      < -3.316000, 6.660000, -3.556000>,
      < -3.336000, 7.184000, -3.424000>
    }
    triangle {
      < -3.268000, 4.664000, -2.700000>,
      < -2.456000, 4.664000, -2.664000>,
      < -3.272000, 4.664000, -2.696000>
    }
    triangle {
      < -2.468000, 5.944000, -2.592000>,
      < -2.456000, 4.664000, -2.664000>,
      < -2.464000, 5.940000, -2.600000>
    }
    triangle {
      < -3.588000, 7.200000, -2.064000>,
      < -3.588000, 7.208000, -2.056000>,
      < -3.608000, 6.736000, -1.940000>
    }
    triangle {
      < -3.632000, 6.984000, -2.392000>,
      < -3.700000, 6.844000, -2.004000>,
      < -3.684000, 7.208000, -2.096000>
    }
    triangle {
      < -3.596000, 6.844000, -2.596000>,
      < -3.740000, 4.664000, -1.776000>,
      < -3.600000, 6.848000, -2.584000>
    }
    triangle {
      < -4.460000, 5.964000, -2.880000>,
      < -3.656000, 4.908000, -2.740000>,
      < -4.280000, 6.680000, -2.848000>
    }
    texture {engines}
  }
  // body
  union {
    triangle {
      < -2.444000, 9.756000, -2.124000>,
      < -1.584000, 7.700000, -1.968000>,
      < -2.328000, 9.416000, -2.104000>
    }
    triangle {
      < -2.452000, 11.268000, -2.124000>,
      < -1.584000, 7.700000, -1.968000>,
      < -2.444000, 9.756000, -2.124000>
    }
    texture {body}
  }
  // wingsl
  union {
    triangle {
      < -4.436000, 7.972000, -1.884000>,
      < -5.892000, 8.108000, -1.472000>,
      < -4.548000, 7.984000, -1.984000>
    }
    triangle {
      < -4.028000, 7.928000, -1.580000>,
      < -5.892000, 8.108000, -1.472000>,
      < -4.176000, 7.944000, -1.632000>
    }
    texture {wingsl}
  }
  // DEFAULT
  union {
    triangle {
      < -3.540000, 7.880000, -1.452000>,
      < -1.804000, 7.704000, -1.068000>,
      < -3.696000, 7.892000, -1.448000>
    }
    texture {DEFAULT}
  }
  // engines
  union {
    triangle {
      < -2.176000, 9.416000, -2.504000>,
      < -2.460000, 9.780000, -2.096000>,
      < -2.444000, 9.756000, -2.124000>
    }
    triangle {
      < -2.296000, 9.780000, -2.524000>,
      < -2.460000, 9.780000, -2.096000>,
      < -2.452000, 9.780000, -2.124000>
    }
    texture {engines}
  }
  // wingsl_engines
  union {
    triangle {
      < -4.360000, 11.368000, -2.456000>,
      < -3.464000, 11.368000, -2.740000>,
      < -4.628000, 11.368000, -2.492000>
    }
    texture {wingsl_engines}
  }
  // engines
  union {
    triangle {
      < -4.624000, 7.996000, -2.168000>,
      < -4.548000, 4.520000, -1.984000>,
      < -4.548000, 7.984000, -1.984000>
    }
    triangle {
      < -4.660000, 8.000000, -2.260000>,
      < -4.548000, 4.520000, -1.984000>,
      < -4.624000, 7.996000, -2.168000>
    }
    triangle {
      < -4.716000, 8.008000, -2.380000>,
      < -4.548000, 4.520000, -1.984000>,
      < -4.696000, 8.008000, -2.328000>
    }
    triangle {
      < -4.732000, 8.008000, -2.420000>,
      < -4.732000, 8.960000, -2.420000>,
      < -4.752000, 9.416000, -2.464000>
    }
    triangle {
      < -4.616000, 9.736000, -2.428000>,
      < -4.628000, 9.780000, -2.492000>,
      < -4.752000, 9.416000, -2.464000>
    }
    texture {engines}
  }
  // wingsl_engines
  union {
    triangle {
      < -4.604000, 11.148000, -2.432000>,
      < -4.628000, 11.368000, -2.492000>,
      < -4.628000, 9.780000, -2.492000>
    }
    texture {wingsl_engines}
  }
  // engines
  union {
    triangle {
      < -2.784000, 7.808000, -1.620000>,
      < -3.040000, 7.824000, -1.520000>,
      < -2.720000, 4.520000, -1.656000>
    }
    texture {engines}
  }
  // DEFAULT
  union {
    triangle {
      < -1.744000, 7.700000, -1.056000>,
      < -1.804000, 7.704000, -1.060000>,
      < -1.856000, 7.704000, -0.760000>
    }
    texture {DEFAULT}
  }
  // engines
  union {
    triangle {
      < -3.388000, 11.396000, -3.168000>,
      < -4.116000, 11.396000, -3.308000>,
      < -4.004000, 11.396000, -3.572000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < -4.116000, 11.396000, -3.308000>,
      < -4.116000, 12.556000, -3.308000>,
      < -4.004000, 12.556000, -3.572000>
    }
    triangle {
      < -4.116000, 11.396000, -3.308000>,
      < -4.004000, 12.556000, -3.572000>,
      < -4.004000, 11.396000, -3.572000>
    }
    triangle {
      < -4.116000, 12.556000, -3.308000>,
      < -4.024000, 12.848000, -3.288000>,
      < -3.924000, 12.848000, -3.524000>
    }
    triangle {
      < -4.116000, 12.556000, -3.308000>,
      < -3.924000, 12.848000, -3.524000>,
      < -4.004000, 12.556000, -3.572000>
    }
    triangle {
      < -4.024000, 12.848000, -3.288000>,
      < -4.116000, 13.428000, -3.308000>,
      < -4.004000, 13.428000, -3.572000>
    }
    triangle {
      < -4.024000, 12.848000, -3.288000>,
      < -4.004000, 13.428000, -3.572000>,
      < -3.924000, 12.848000, -3.524000>
    }
    triangle {
      < -4.116000, 13.428000, -3.308000>,
      < -4.116000, 14.200000, -3.308000>,
      < -4.004000, 14.200000, -3.572000>
    }
    triangle {
      < -4.116000, 13.428000, -3.308000>,
      < -4.004000, 14.200000, -3.572000>,
      < -4.004000, 13.428000, -3.572000>
    }
    triangle {
      < -4.116000, 14.200000, -3.308000>,
      < -4.024000, 14.300000, -3.288000>,
      < -3.924000, 14.300000, -3.524000>
    }
    triangle {
      < -4.116000, 14.200000, -3.308000>,
      < -3.924000, 14.300000, -3.524000>,
      < -4.004000, 14.200000, -3.572000>
    }
    triangle {
      < -4.024000, 14.300000, -3.288000>,
      < -3.932000, 15.360000, -3.268000>,
      < -3.852000, 15.360000, -3.472000>
    }
    triangle {
      < -4.024000, 14.300000, -3.288000>,
      < -3.852000, 15.360000, -3.472000>,
      < -3.924000, 14.300000, -3.524000>
    }
    triangle {
      < -3.932000, 15.360000, -3.268000>,
      < -4.024000, 15.556000, -3.288000>,
      < -3.924000, 15.556000, -3.524000>
    }
    triangle {
      < -3.932000, 15.360000, -3.268000>,
      < -3.924000, 15.556000, -3.524000>,
      < -3.852000, 15.360000, -3.472000>
    }
    triangle {
      < -4.024000, 15.556000, -3.288000>,
      < -3.872000, 17.104000, -3.256000>,
      < -3.800000, 17.104000, -3.440000>
    }
    triangle {
      < -4.024000, 15.556000, -3.288000>,
      < -3.800000, 17.104000, -3.440000>,
      < -3.924000, 15.556000, -3.524000>
    }
    triangle {
      < -3.872000, 17.104000, -3.256000>,
      < -3.780000, 17.104000, -3.240000>,
      < -3.724000, 17.104000, -3.384000>
    }
    triangle {
      < -3.872000, 17.104000, -3.256000>,
      < -3.724000, 17.104000, -3.384000>,
      < -3.800000, 17.104000, -3.440000>
    }
    triangle {
      < -3.780000, 17.104000, -3.240000>,
      < -3.688000, 15.944000, -3.224000>,
      < -3.648000, 15.944000, -3.340000>
    }
    triangle {
      < -3.780000, 17.104000, -3.240000>,
      < -3.648000, 15.944000, -3.340000>,
      < -3.724000, 17.104000, -3.384000>
    }
    triangle {
      < -3.688000, 15.944000, -3.224000>,
      < -3.388000, 15.752000, -3.168000>,
      < -3.648000, 15.944000, -3.340000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < -3.388000, 11.396000, -3.168000>,
      < -4.004000, 11.396000, -3.572000>,
      < -3.808000, 11.396000, -3.780000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < -4.004000, 11.396000, -3.572000>,
      < -4.004000, 12.556000, -3.572000>,
      < -3.808000, 12.556000, -3.780000>
    }
    triangle {
      < -4.004000, 11.396000, -3.572000>,
      < -3.808000, 12.556000, -3.780000>,
      < -3.808000, 11.396000, -3.780000>
    }
    triangle {
      < -4.004000, 12.556000, -3.572000>,
      < -3.924000, 12.848000, -3.524000>,
      < -3.756000, 12.848000, -3.704000>
    }
    triangle {
      < -4.004000, 12.556000, -3.572000>,
      < -3.756000, 12.848000, -3.704000>,
      < -3.808000, 12.556000, -3.780000>
    }
    triangle {
      < -3.924000, 12.848000, -3.524000>,
      < -4.004000, 13.428000, -3.572000>,
      < -3.808000, 13.428000, -3.780000>
    }
    triangle {
      < -3.924000, 12.848000, -3.524000>,
      < -3.808000, 13.428000, -3.780000>,
      < -3.756000, 12.848000, -3.704000>
    }
    triangle {
      < -4.004000, 13.428000, -3.572000>,
      < -4.004000, 14.200000, -3.572000>,
      < -3.808000, 14.200000, -3.780000>
    }
    triangle {
      < -4.004000, 13.428000, -3.572000>,
      < -3.808000, 14.200000, -3.780000>,
      < -3.808000, 13.428000, -3.780000>
    }
    triangle {
      < -4.004000, 14.200000, -3.572000>,
      < -3.924000, 14.300000, -3.524000>,
      < -3.756000, 14.300000, -3.704000>
    }
    triangle {
      < -4.004000, 14.200000, -3.572000>,
      < -3.756000, 14.300000, -3.704000>,
      < -3.808000, 14.200000, -3.780000>
    }
    triangle {
      < -3.924000, 14.300000, -3.524000>,
      < -3.852000, 15.360000, -3.472000>,
      < -3.700000, 15.360000, -3.628000>
    }
    triangle {
      < -3.924000, 14.300000, -3.524000>,
      < -3.700000, 15.360000, -3.628000>,
      < -3.756000, 14.300000, -3.704000>
    }
    triangle {
      < -3.852000, 15.360000, -3.472000>,
      < -3.924000, 15.556000, -3.524000>,
      < -3.756000, 15.556000, -3.704000>
    }
    triangle {
      < -3.852000, 15.360000, -3.472000>,
      < -3.756000, 15.556000, -3.704000>,
      < -3.700000, 15.360000, -3.628000>
    }
    triangle {
      < -3.924000, 15.556000, -3.524000>,
      < -3.800000, 17.104000, -3.440000>,
      < -3.668000, 17.104000, -3.572000>
    }
    triangle {
      < -3.924000, 15.556000, -3.524000>,
      < -3.668000, 17.104000, -3.572000>,
      < -3.756000, 15.556000, -3.704000>
    }
    triangle {
      < -3.800000, 17.104000, -3.440000>,
      < -3.724000, 17.104000, -3.384000>,
      < -3.612000, 17.104000, -3.500000>
    }
    triangle {
      < -3.800000, 17.104000, -3.440000>,
      < -3.612000, 17.104000, -3.500000>,
      < -3.668000, 17.104000, -3.572000>
    }
    triangle {
      < -3.724000, 17.104000, -3.384000>,
      < -3.648000, 15.944000, -3.340000>,
      < -3.564000, 15.944000, -3.424000>
    }
    triangle {
      < -3.724000, 17.104000, -3.384000>,
      < -3.564000, 15.944000, -3.424000>,
      < -3.612000, 17.104000, -3.500000>
    }
    triangle {
      < -3.648000, 15.944000, -3.340000>,
      < -3.388000, 15.752000, -3.168000>,
      < -3.564000, 15.944000, -3.424000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < -3.388000, 11.396000, -3.168000>,
      < -3.808000, 11.396000, -3.780000>,
      < -3.540000, 11.396000, -3.888000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < -3.808000, 11.396000, -3.780000>,
      < -3.808000, 12.556000, -3.780000>,
      < -3.540000, 12.556000, -3.888000>
    }
    triangle {
      < -3.808000, 11.396000, -3.780000>,
      < -3.540000, 12.556000, -3.888000>,
      < -3.540000, 11.396000, -3.888000>
    }
    triangle {
      < -3.808000, 12.556000, -3.780000>,
      < -3.756000, 12.848000, -3.704000>,
      < -3.524000, 12.848000, -3.800000>
    }
    triangle {
      < -3.808000, 12.556000, -3.780000>,
      < -3.524000, 12.848000, -3.800000>,
      < -3.540000, 12.556000, -3.888000>
    }
    triangle {
      < -3.756000, 12.848000, -3.704000>,
      < -3.808000, 13.428000, -3.780000>,
      < -3.540000, 13.428000, -3.888000>
    }
    triangle {
      < -3.756000, 12.848000, -3.704000>,
      < -3.540000, 13.428000, -3.888000>,
      < -3.524000, 12.848000, -3.800000>
    }
    triangle {
      < -3.808000, 13.428000, -3.780000>,
      < -3.808000, 14.200000, -3.780000>,
      < -3.540000, 14.200000, -3.888000>
    }
    triangle {
      < -3.808000, 13.428000, -3.780000>,
      < -3.540000, 14.200000, -3.888000>,
      < -3.540000, 13.428000, -3.888000>
    }
    triangle {
      < -3.808000, 14.200000, -3.780000>,
      < -3.756000, 14.300000, -3.704000>,
      < -3.524000, 14.300000, -3.800000>
    }
    triangle {
      < -3.808000, 14.200000, -3.780000>,
      < -3.524000, 14.300000, -3.800000>,
      < -3.540000, 14.200000, -3.888000>
    }
    triangle {
      < -3.756000, 14.300000, -3.704000>,
      < -3.700000, 15.360000, -3.628000>,
      < -3.504000, 15.360000, -3.712000>
    }
    triangle {
      < -3.756000, 14.300000, -3.704000>,
      < -3.504000, 15.360000, -3.712000>,
      < -3.524000, 14.300000, -3.800000>
    }
    triangle {
      < -3.700000, 15.360000, -3.628000>,
      < -3.756000, 15.556000, -3.704000>,
      < -3.524000, 15.556000, -3.800000>
    }
    triangle {
      < -3.700000, 15.360000, -3.628000>,
      < -3.524000, 15.556000, -3.800000>,
      < -3.504000, 15.360000, -3.712000>
    }
    triangle {
      < -3.756000, 15.556000, -3.704000>,
      < -3.668000, 17.104000, -3.572000>,
      < -3.488000, 17.104000, -3.652000>
    }
    triangle {
      < -3.756000, 15.556000, -3.704000>,
      < -3.488000, 17.104000, -3.652000>,
      < -3.524000, 15.556000, -3.800000>
    }
    triangle {
      < -3.668000, 17.104000, -3.572000>,
      < -3.612000, 17.104000, -3.500000>,
      < -3.472000, 17.104000, -3.556000>
    }
    triangle {
      < -3.668000, 17.104000, -3.572000>,
      < -3.472000, 17.104000, -3.556000>,
      < -3.488000, 17.104000, -3.652000>
    }
    triangle {
      < -3.612000, 17.104000, -3.500000>,
      < -3.564000, 15.944000, -3.424000>,
      < -3.452000, 15.944000, -3.472000>
    }
    triangle {
      < -3.612000, 17.104000, -3.500000>,
      < -3.452000, 15.944000, -3.472000>,
      < -3.472000, 17.104000, -3.556000>
    }
    triangle {
      < -3.564000, 15.944000, -3.424000>,
      < -3.388000, 15.752000, -3.168000>,
      < -3.452000, 15.944000, -3.472000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < -3.388000, 11.396000, -3.168000>,
      < -3.540000, 11.396000, -3.888000>,
      < -3.256000, 11.396000, -3.896000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < -3.540000, 11.396000, -3.888000>,
      < -3.540000, 12.556000, -3.888000>,
      < -3.256000, 12.556000, -3.896000>
    }
    triangle {
      < -3.540000, 11.396000, -3.888000>,
      < -3.256000, 12.556000, -3.896000>,
      < -3.256000, 11.396000, -3.896000>
    }
    triangle {
      < -3.540000, 12.556000, -3.888000>,
      < -3.524000, 12.848000, -3.800000>,
      < -3.272000, 12.848000, -3.808000>
    }
    triangle {
      < -3.540000, 12.556000, -3.888000>,
      < -3.272000, 12.848000, -3.808000>,
      < -3.256000, 12.556000, -3.896000>
    }
    triangle {
      < -3.524000, 12.848000, -3.800000>,
      < -3.540000, 13.428000, -3.888000>,
      < -3.256000, 13.428000, -3.896000>
    }
    triangle {
      < -3.524000, 12.848000, -3.800000>,
      < -3.256000, 13.428000, -3.896000>,
      < -3.272000, 12.848000, -3.808000>
    }
    triangle {
      < -3.540000, 13.428000, -3.888000>,
      < -3.540000, 14.200000, -3.888000>,
      < -3.256000, 14.200000, -3.896000>
    }
    triangle {
      < -3.540000, 13.428000, -3.888000>,
      < -3.256000, 14.200000, -3.896000>,
      < -3.256000, 13.428000, -3.896000>
    }
    triangle {
      < -3.540000, 14.200000, -3.888000>,
      < -3.524000, 14.300000, -3.800000>,
      < -3.272000, 14.300000, -3.808000>
    }
    triangle {
      < -3.540000, 14.200000, -3.888000>,
      < -3.272000, 14.300000, -3.808000>,
      < -3.256000, 14.200000, -3.896000>
    }
    triangle {
      < -3.524000, 14.300000, -3.800000>,
      < -3.504000, 15.360000, -3.712000>,
      < -3.288000, 15.360000, -3.716000>
    }
    triangle {
      < -3.524000, 14.300000, -3.800000>,
      < -3.288000, 15.360000, -3.716000>,
      < -3.272000, 14.300000, -3.808000>
    }
    triangle {
      < -3.504000, 15.360000, -3.712000>,
      < -3.524000, 15.556000, -3.800000>,
      < -3.272000, 15.556000, -3.808000>
    }
    triangle {
      < -3.504000, 15.360000, -3.712000>,
      < -3.272000, 15.556000, -3.808000>,
      < -3.288000, 15.360000, -3.716000>
    }
    triangle {
      < -3.524000, 15.556000, -3.800000>,
      < -3.488000, 17.104000, -3.652000>,
      < -3.304000, 17.104000, -3.656000>
    }
    triangle {
      < -3.524000, 15.556000, -3.800000>,
      < -3.304000, 17.104000, -3.656000>,
      < -3.272000, 15.556000, -3.808000>
    }
    triangle {
      < -3.488000, 17.104000, -3.652000>,
      < -3.472000, 17.104000, -3.556000>,
      < -3.320000, 17.104000, -3.564000>
    }
    triangle {
      < -3.488000, 17.104000, -3.652000>,
      < -3.320000, 17.104000, -3.564000>,
      < -3.304000, 17.104000, -3.656000>
    }
    triangle {
      < -3.472000, 17.104000, -3.556000>,
      < -3.452000, 15.944000, -3.472000>,
      < -3.336000, 15.944000, -3.472000>
    }
    triangle {
      < -3.472000, 17.104000, -3.556000>,
      < -3.336000, 15.944000, -3.472000>,
      < -3.320000, 17.104000, -3.564000>
    }
    triangle {
      < -3.452000, 15.944000, -3.472000>,
      < -3.388000, 15.752000, -3.168000>,
      < -3.336000, 15.944000, -3.472000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < -3.388000, 11.396000, -3.168000>,
      < -3.256000, 11.396000, -3.896000>,
      < -2.984000, 11.396000, -3.788000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < -3.256000, 11.396000, -3.896000>,
      < -3.256000, 12.556000, -3.896000>,
      < -2.984000, 12.556000, -3.788000>
    }
    triangle {
      < -3.256000, 11.396000, -3.896000>,
      < -2.984000, 12.556000, -3.788000>,
      < -2.984000, 11.396000, -3.788000>
    }
    triangle {
      < -3.256000, 12.556000, -3.896000>,
      < -3.272000, 12.848000, -3.808000>,
      < -3.036000, 12.848000, -3.716000>
    }
    triangle {
      < -3.256000, 12.556000, -3.896000>,
      < -3.036000, 12.848000, -3.716000>,
      < -2.984000, 12.556000, -3.788000>
    }
    triangle {
      < -3.272000, 12.848000, -3.808000>,
      < -3.256000, 13.428000, -3.896000>,
      < -2.984000, 13.428000, -3.788000>
    }
    triangle {
      < -3.272000, 12.848000, -3.808000>,
      < -2.984000, 13.428000, -3.788000>,
      < -3.036000, 12.848000, -3.716000>
    }
    triangle {
      < -3.256000, 13.428000, -3.896000>,
      < -3.256000, 14.200000, -3.896000>,
      < -2.984000, 14.200000, -3.788000>
    }
    triangle {
      < -3.256000, 13.428000, -3.896000>,
      < -2.984000, 14.200000, -3.788000>,
      < -2.984000, 13.428000, -3.788000>
    }
    triangle {
      < -3.256000, 14.200000, -3.896000>,
      < -3.272000, 14.300000, -3.808000>,
      < -3.036000, 14.300000, -3.716000>
    }
    triangle {
      < -3.256000, 14.200000, -3.896000>,
      < -3.036000, 14.300000, -3.716000>,
      < -2.984000, 14.200000, -3.788000>
    }
    triangle {
      < -3.272000, 14.300000, -3.808000>,
      < -3.288000, 15.360000, -3.716000>,
      < -3.088000, 15.360000, -3.636000>
    }
    triangle {
      < -3.272000, 14.300000, -3.808000>,
      < -3.088000, 15.360000, -3.636000>,
      < -3.036000, 14.300000, -3.716000>
    }
    triangle {
      < -3.288000, 15.360000, -3.716000>,
      < -3.272000, 15.556000, -3.808000>,
      < -3.036000, 15.556000, -3.716000>
    }
    triangle {
      < -3.288000, 15.360000, -3.716000>,
      < -3.036000, 15.556000, -3.716000>,
      < -3.088000, 15.360000, -3.636000>
    }
    triangle {
      < -3.272000, 15.556000, -3.808000>,
      < -3.304000, 17.104000, -3.656000>,
      < -3.124000, 17.104000, -3.584000>
    }
    triangle {
      < -3.272000, 15.556000, -3.808000>,
      < -3.124000, 17.104000, -3.584000>,
      < -3.036000, 15.556000, -3.716000>
    }
    triangle {
      < -3.304000, 17.104000, -3.656000>,
      < -3.320000, 17.104000, -3.564000>,
      < -3.172000, 17.104000, -3.508000>
    }
    triangle {
      < -3.304000, 17.104000, -3.656000>,
      < -3.172000, 17.104000, -3.508000>,
      < -3.124000, 17.104000, -3.584000>
    }
    triangle {
      < -3.320000, 17.104000, -3.564000>,
      < -3.336000, 15.944000, -3.472000>,
      < -3.220000, 15.944000, -3.432000>
    }
    triangle {
      < -3.320000, 17.104000, -3.564000>,
      < -3.220000, 15.944000, -3.432000>,
      < -3.172000, 17.104000, -3.508000>
    }
    triangle {
      < -3.336000, 15.944000, -3.472000>,
      < -3.388000, 15.752000, -3.168000>,
      < -3.220000, 15.944000, -3.432000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < -3.388000, 11.396000, -3.168000>,
      < -2.984000, 11.396000, -3.788000>,
      < -2.784000, 11.396000, -3.588000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < -2.984000, 11.396000, -3.788000>,
      < -2.984000, 12.556000, -3.788000>,
      < -2.784000, 12.556000, -3.588000>
    }
    triangle {
      < -2.984000, 11.396000, -3.788000>,
      < -2.784000, 12.556000, -3.588000>,
      < -2.784000, 11.396000, -3.588000>
    }
    triangle {
      < -2.984000, 12.556000, -3.788000>,
      < -3.036000, 12.848000, -3.716000>,
      < -2.860000, 12.848000, -3.536000>
    }
    triangle {
      < -2.984000, 12.556000, -3.788000>,
      < -2.860000, 12.848000, -3.536000>,
      < -2.784000, 12.556000, -3.588000>
    }
    triangle {
      < -3.036000, 12.848000, -3.716000>,
      < -2.984000, 13.428000, -3.788000>,
      < -2.784000, 13.428000, -3.588000>
    }
    triangle {
      < -3.036000, 12.848000, -3.716000>,
      < -2.784000, 13.428000, -3.588000>,
      < -2.860000, 12.848000, -3.536000>
    }
    triangle {
      < -2.984000, 13.428000, -3.788000>,
      < -2.984000, 14.200000, -3.788000>,
      < -2.784000, 14.200000, -3.588000>
    }
    triangle {
      < -2.984000, 13.428000, -3.788000>,
      < -2.784000, 14.200000, -3.588000>,
      < -2.784000, 13.428000, -3.588000>
    }
    triangle {
      < -2.984000, 14.200000, -3.788000>,
      < -3.036000, 14.300000, -3.716000>,
      < -2.860000, 14.300000, -3.536000>
    }
    triangle {
      < -2.984000, 14.200000, -3.788000>,
      < -2.860000, 14.300000, -3.536000>,
      < -2.784000, 14.200000, -3.588000>
    }
    triangle {
      < -3.036000, 14.300000, -3.716000>,
      < -3.088000, 15.360000, -3.636000>,
      < -2.936000, 15.360000, -3.488000>
    }
    triangle {
      < -3.036000, 14.300000, -3.716000>,
      < -2.936000, 15.360000, -3.488000>,
      < -2.860000, 14.300000, -3.536000>
    }
    triangle {
      < -3.088000, 15.360000, -3.636000>,
      < -3.036000, 15.556000, -3.716000>,
      < -2.860000, 15.556000, -3.536000>
    }
    triangle {
      < -3.088000, 15.360000, -3.636000>,
      < -2.860000, 15.556000, -3.536000>,
      < -2.936000, 15.360000, -3.488000>
    }
    triangle {
      < -3.036000, 15.556000, -3.716000>,
      < -3.124000, 17.104000, -3.584000>,
      < -2.980000, 17.104000, -3.452000>
    }
    triangle {
      < -3.036000, 15.556000, -3.716000>,
      < -2.980000, 17.104000, -3.452000>,
      < -2.860000, 15.556000, -3.536000>
    }
    triangle {
      < -3.124000, 17.104000, -3.584000>,
      < -3.172000, 17.104000, -3.508000>,
      < -3.064000, 17.104000, -3.396000>
    }
    triangle {
      < -3.124000, 17.104000, -3.584000>,
      < -3.064000, 17.104000, -3.396000>,
      < -2.980000, 17.104000, -3.452000>
    }
    triangle {
      < -3.172000, 17.104000, -3.508000>,
      < -3.220000, 15.944000, -3.432000>,
      < -3.140000, 15.944000, -3.340000>
    }
    triangle {
      < -3.172000, 17.104000, -3.508000>,
      < -3.140000, 15.944000, -3.340000>,
      < -3.064000, 17.104000, -3.396000>
    }
    triangle {
      < -3.220000, 15.944000, -3.432000>,
      < -3.388000, 15.752000, -3.168000>,
      < -3.140000, 15.944000, -3.340000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < -3.388000, 11.396000, -3.168000>,
      < -2.784000, 11.396000, -3.588000>,
      < -2.668000, 11.396000, -3.324000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < -2.784000, 11.396000, -3.588000>,
      < -2.784000, 12.556000, -3.588000>,
      < -2.668000, 12.556000, -3.324000>
    }
    texture {rockets}
  }
  // DEFAULT
  union {
    triangle {
      < -2.784000, 11.396000, -3.588000>,
      < -2.668000, 12.556000, -3.324000>,
      < -2.668000, 11.396000, -3.324000>
    }
    texture {DEFAULT}
  }
  // rockets
  union {
    triangle {
      < -2.784000, 12.556000, -3.588000>,
      < -2.860000, 12.848000, -3.536000>,
      < -2.756000, 12.848000, -3.304000>
    }
    triangle {
      < -2.784000, 12.556000, -3.588000>,
      < -2.756000, 12.848000, -3.304000>,
      < -2.668000, 12.556000, -3.324000>
    }
    triangle {
      < -2.860000, 12.848000, -3.536000>,
      < -2.784000, 13.428000, -3.588000>,
      < -2.668000, 13.428000, -3.324000>
    }
    triangle {
      < -2.860000, 12.848000, -3.536000>,
      < -2.668000, 13.428000, -3.324000>,
      < -2.756000, 12.848000, -3.304000>
    }
    triangle {
      < -2.784000, 13.428000, -3.588000>,
      < -2.784000, 14.200000, -3.588000>,
      < -2.668000, 14.200000, -3.324000>
    }
    triangle {
      < -2.784000, 13.428000, -3.588000>,
      < -2.668000, 14.200000, -3.324000>,
      < -2.668000, 13.428000, -3.324000>
    }
    triangle {
      < -2.784000, 14.200000, -3.588000>,
      < -2.860000, 14.300000, -3.536000>,
      < -2.756000, 14.300000, -3.304000>
    }
    triangle {
      < -2.784000, 14.200000, -3.588000>,
      < -2.756000, 14.300000, -3.304000>,
      < -2.668000, 14.200000, -3.324000>
    }
    triangle {
      < -2.860000, 14.300000, -3.536000>,
      < -2.936000, 15.360000, -3.488000>,
      < -2.848000, 15.360000, -3.284000>
    }
    triangle {
      < -2.860000, 14.300000, -3.536000>,
      < -2.848000, 15.360000, -3.284000>,
      < -2.756000, 14.300000, -3.304000>
    }
    triangle {
      < -2.936000, 15.360000, -3.488000>,
      < -2.860000, 15.556000, -3.536000>,
      < -2.756000, 15.556000, -3.304000>
    }
    triangle {
      < -2.936000, 15.360000, -3.488000>,
      < -2.756000, 15.556000, -3.304000>,
      < -2.848000, 15.360000, -3.284000>
    }
    triangle {
      < -2.860000, 15.556000, -3.536000>,
      < -2.980000, 17.104000, -3.452000>,
      < -2.904000, 17.104000, -3.272000>
    }
    triangle {
      < -2.860000, 15.556000, -3.536000>,
      < -2.904000, 17.104000, -3.272000>,
      < -2.756000, 15.556000, -3.304000>
    }
    triangle {
      < -2.980000, 17.104000, -3.452000>,
      < -3.064000, 17.104000, -3.396000>,
      < -3.000000, 17.104000, -3.252000>
    }
    triangle {
      < -2.980000, 17.104000, -3.452000>,
      < -3.000000, 17.104000, -3.252000>,
      < -2.904000, 17.104000, -3.272000>
    }
    triangle {
      < -3.064000, 17.104000, -3.396000>,
      < -3.140000, 15.944000, -3.340000>,
      < -3.092000, 15.944000, -3.232000>
    }
    triangle {
      < -3.064000, 17.104000, -3.396000>,
      < -3.092000, 15.944000, -3.232000>,
      < -3.000000, 17.104000, -3.252000>
    }
    triangle {
      < -3.140000, 15.944000, -3.340000>,
      < -3.388000, 15.752000, -3.168000>,
      < -3.092000, 15.944000, -3.232000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < -3.388000, 11.396000, -3.168000>,
      < -2.668000, 11.396000, -3.324000>,
      < -2.664000, 11.396000, -3.040000>
    }
    texture {engines}
  }
  // DEFAULT
  union {
    triangle {
      < -2.668000, 11.396000, -3.324000>,
      < -2.668000, 12.556000, -3.324000>,
      < -2.664000, 12.556000, -3.040000>
    }
    triangle {
      < -2.668000, 11.396000, -3.324000>,
      < -2.664000, 12.556000, -3.040000>,
      < -2.664000, 11.396000, -3.040000>
    }
    texture {DEFAULT}
  }
  // rockets
  union {
    triangle {
      < -2.668000, 12.556000, -3.324000>,
      < -2.756000, 12.848000, -3.304000>,
      < -2.756000, 12.848000, -3.056000>
    }
    triangle {
      < -2.668000, 12.556000, -3.324000>,
      < -2.756000, 12.848000, -3.056000>,
      < -2.664000, 12.556000, -3.040000>
    }
    triangle {
      < -2.756000, 12.848000, -3.304000>,
      < -2.668000, 13.428000, -3.324000>,
      < -2.664000, 13.428000, -3.040000>
    }
    triangle {
      < -2.756000, 12.848000, -3.304000>,
      < -2.664000, 13.428000, -3.040000>,
      < -2.756000, 12.848000, -3.056000>
    }
    triangle {
      < -2.668000, 13.428000, -3.324000>,
      < -2.668000, 14.200000, -3.324000>,
      < -2.664000, 14.200000, -3.040000>
    }
    triangle {
      < -2.668000, 13.428000, -3.324000>,
      < -2.664000, 14.200000, -3.040000>,
      < -2.664000, 13.428000, -3.040000>
    }
    triangle {
      < -2.668000, 14.200000, -3.324000>,
      < -2.756000, 14.300000, -3.304000>,
      < -2.756000, 14.300000, -3.056000>
    }
    triangle {
      < -2.668000, 14.200000, -3.324000>,
      < -2.756000, 14.300000, -3.056000>,
      < -2.664000, 14.200000, -3.040000>
    }
    triangle {
      < -2.756000, 14.300000, -3.304000>,
      < -2.848000, 15.360000, -3.284000>,
      < -2.848000, 15.360000, -3.072000>
    }
    triangle {
      < -2.756000, 14.300000, -3.304000>,
      < -2.848000, 15.360000, -3.072000>,
      < -2.756000, 14.300000, -3.056000>
    }
    triangle {
      < -2.848000, 15.360000, -3.284000>,
      < -2.756000, 15.556000, -3.304000>,
      < -2.756000, 15.556000, -3.056000>
    }
    triangle {
      < -2.848000, 15.360000, -3.284000>,
      < -2.756000, 15.556000, -3.056000>,
      < -2.848000, 15.360000, -3.072000>
    }
    triangle {
      < -2.756000, 15.556000, -3.304000>,
      < -2.904000, 17.104000, -3.272000>,
      < -2.908000, 17.104000, -3.084000>
    }
    triangle {
      < -2.756000, 15.556000, -3.304000>,
      < -2.908000, 17.104000, -3.084000>,
      < -2.756000, 15.556000, -3.056000>
    }
    triangle {
      < -2.904000, 17.104000, -3.272000>,
      < -3.000000, 17.104000, -3.252000>,
      < -2.996000, 17.104000, -3.100000>
    }
    triangle {
      < -2.904000, 17.104000, -3.272000>,
      < -2.996000, 17.104000, -3.100000>,
      < -2.908000, 17.104000, -3.084000>
    }
    triangle {
      < -3.000000, 17.104000, -3.252000>,
      < -3.092000, 15.944000, -3.232000>,
      < -3.084000, 15.944000, -3.116000>
    }
    triangle {
      < -3.000000, 17.104000, -3.252000>,
      < -3.084000, 15.944000, -3.116000>,
      < -2.996000, 17.104000, -3.100000>
    }
    triangle {
      < -3.092000, 15.944000, -3.232000>,
      < -3.388000, 15.752000, -3.168000>,
      < -3.084000, 15.944000, -3.116000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < -3.388000, 11.396000, -3.168000>,
      < -2.664000, 11.396000, -3.040000>,
      < -2.772000, 11.396000, -2.768000>
    }
    texture {engines}
  }
  // DEFAULT
  union {
    triangle {
      < -2.664000, 11.396000, -3.040000>,
      < -2.664000, 12.556000, -3.040000>,
      < -2.772000, 12.556000, -2.768000>
    }
    triangle {
      < -2.664000, 11.396000, -3.040000>,
      < -2.772000, 12.556000, -2.768000>,
      < -2.772000, 11.396000, -2.768000>
    }
    texture {DEFAULT}
  }
  // rockets
  union {
    triangle {
      < -2.664000, 12.556000, -3.040000>,
      < -2.756000, 12.848000, -3.056000>,
      < -2.848000, 12.848000, -2.824000>
    }
    triangle {
      < -2.664000, 12.556000, -3.040000>,
      < -2.848000, 12.848000, -2.824000>,
      < -2.772000, 12.556000, -2.768000>
    }
    triangle {
      < -2.756000, 12.848000, -3.056000>,
      < -2.664000, 13.428000, -3.040000>,
      < -2.772000, 13.428000, -2.768000>
    }
    triangle {
      < -2.756000, 12.848000, -3.056000>,
      < -2.772000, 13.428000, -2.768000>,
      < -2.848000, 12.848000, -2.824000>
    }
    triangle {
      < -2.664000, 13.428000, -3.040000>,
      < -2.664000, 14.200000, -3.040000>,
      < -2.772000, 14.200000, -2.768000>
    }
    triangle {
      < -2.664000, 13.428000, -3.040000>,
      < -2.772000, 14.200000, -2.768000>,
      < -2.772000, 13.428000, -2.768000>
    }
    triangle {
      < -2.664000, 14.200000, -3.040000>,
      < -2.756000, 14.300000, -3.056000>,
      < -2.848000, 14.300000, -2.824000>
    }
    triangle {
      < -2.664000, 14.200000, -3.040000>,
      < -2.848000, 14.300000, -2.824000>,
      < -2.772000, 14.200000, -2.768000>
    }
    triangle {
      < -2.756000, 14.300000, -3.056000>,
      < -2.848000, 15.360000, -3.072000>,
      < -2.928000, 15.360000, -2.868000>
    }
    triangle {
      < -2.756000, 14.300000, -3.056000>,
      < -2.928000, 15.360000, -2.868000>,
      < -2.848000, 14.300000, -2.824000>
    }
    triangle {
      < -2.848000, 15.360000, -3.072000>,
      < -2.756000, 15.556000, -3.056000>,
      < -2.848000, 15.556000, -2.824000>
    }
    triangle {
      < -2.848000, 15.360000, -3.072000>,
      < -2.848000, 15.556000, -2.824000>,
      < -2.928000, 15.360000, -2.868000>
    }
    triangle {
      < -2.756000, 15.556000, -3.056000>,
      < -2.908000, 17.104000, -3.084000>,
      < -2.972000, 17.104000, -2.904000>
    }
    triangle {
      < -2.756000, 15.556000, -3.056000>,
      < -2.972000, 17.104000, -2.904000>,
      < -2.848000, 15.556000, -2.824000>
    }
    triangle {
      < -2.908000, 17.104000, -3.084000>,
      < -2.996000, 17.104000, -3.100000>,
      < -3.056000, 17.104000, -2.956000>
    }
    triangle {
      < -2.908000, 17.104000, -3.084000>,
      < -3.056000, 17.104000, -2.956000>,
      < -2.972000, 17.104000, -2.904000>
    }
    triangle {
      < -2.996000, 17.104000, -3.100000>,
      < -3.084000, 15.944000, -3.116000>,
      < -3.132000, 15.944000, -3.004000>
    }
    triangle {
      < -2.996000, 17.104000, -3.100000>,
      < -3.132000, 15.944000, -3.004000>,
      < -3.056000, 17.104000, -2.956000>
    }
    triangle {
      < -3.084000, 15.944000, -3.116000>,
      < -3.388000, 15.752000, -3.168000>,
      < -3.132000, 15.944000, -3.004000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < -3.388000, 11.396000, -3.168000>,
      < -2.772000, 11.396000, -2.768000>,
      < -2.972000, 11.396000, -2.564000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < -2.772000, 11.396000, -2.768000>,
      < -2.772000, 12.556000, -2.768000>,
      < -2.972000, 12.556000, -2.564000>
    }
    triangle {
      < -2.772000, 11.396000, -2.768000>,
      < -2.972000, 12.556000, -2.564000>,
      < -2.972000, 11.396000, -2.564000>
    }
    triangle {
      < -2.772000, 12.556000, -2.768000>,
      < -2.848000, 12.848000, -2.824000>,
      < -3.016000, 12.848000, -2.640000>
    }
    triangle {
      < -2.772000, 12.556000, -2.768000>,
      < -3.016000, 12.848000, -2.640000>,
      < -2.972000, 12.556000, -2.564000>
    }
    triangle {
      < -2.848000, 12.848000, -2.824000>,
      < -2.772000, 13.428000, -2.768000>,
      < -2.972000, 13.428000, -2.564000>
    }
    triangle {
      < -2.848000, 12.848000, -2.824000>,
      < -2.972000, 13.428000, -2.564000>,
      < -3.016000, 12.848000, -2.640000>
    }
    triangle {
      < -2.772000, 13.428000, -2.768000>,
      < -2.772000, 14.200000, -2.768000>,
      < -2.972000, 14.200000, -2.564000>
    }
    triangle {
      < -2.772000, 13.428000, -2.768000>,
      < -2.972000, 14.200000, -2.564000>,
      < -2.972000, 13.428000, -2.564000>
    }
    triangle {
      < -2.772000, 14.200000, -2.768000>,
      < -2.848000, 14.300000, -2.824000>,
      < -3.016000, 14.300000, -2.640000>
    }
    triangle {
      < -2.772000, 14.200000, -2.768000>,
      < -3.016000, 14.300000, -2.640000>,
      < -2.972000, 14.200000, -2.564000>
    }
    triangle {
      < -2.848000, 14.300000, -2.824000>,
      < -2.928000, 15.360000, -2.868000>,
      < -3.076000, 15.360000, -2.716000>
    }
    triangle {
      < -2.848000, 14.300000, -2.824000>,
      < -3.076000, 15.360000, -2.716000>,
      < -3.016000, 14.300000, -2.640000>
    }
    triangle {
      < -2.928000, 15.360000, -2.868000>,
      < -2.848000, 15.556000, -2.824000>,
      < -3.016000, 15.556000, -2.640000>
    }
    triangle {
      < -2.928000, 15.360000, -2.868000>,
      < -3.016000, 15.556000, -2.640000>,
      < -3.076000, 15.360000, -2.716000>
    }
    triangle {
      < -2.848000, 15.556000, -2.824000>,
      < -2.972000, 17.104000, -2.904000>,
      < -3.112000, 17.104000, -2.768000>
    }
    triangle {
      < -2.848000, 15.556000, -2.824000>,
      < -3.112000, 17.104000, -2.768000>,
      < -3.016000, 15.556000, -2.640000>
    }
    triangle {
      < -2.972000, 17.104000, -2.904000>,
      < -3.056000, 17.104000, -2.956000>,
      < -3.164000, 17.104000, -2.844000>
    }
    triangle {
      < -2.972000, 17.104000, -2.904000>,
      < -3.164000, 17.104000, -2.844000>,
      < -3.112000, 17.104000, -2.768000>
    }
    triangle {
      < -3.056000, 17.104000, -2.956000>,
      < -3.132000, 15.944000, -3.004000>,
      < -3.212000, 15.944000, -2.920000>
    }
    triangle {
      < -3.056000, 17.104000, -2.956000>,
      < -3.212000, 15.944000, -2.920000>,
      < -3.164000, 17.104000, -2.844000>
    }
    triangle {
      < -3.132000, 15.944000, -3.004000>,
      < -3.388000, 15.752000, -3.168000>,
      < -3.212000, 15.944000, -2.920000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < -3.388000, 11.396000, -3.168000>,
      < -2.972000, 11.396000, -2.564000>,
      < -3.232000, 11.396000, -2.448000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < -2.972000, 11.396000, -2.564000>,
      < -2.972000, 12.556000, -2.564000>,
      < -3.232000, 12.556000, -2.448000>
    }
    triangle {
      < -2.972000, 11.396000, -2.564000>,
      < -3.232000, 12.556000, -2.448000>,
      < -3.232000, 11.396000, -2.448000>
    }
    triangle {
      < -2.972000, 12.556000, -2.564000>,
      < -3.016000, 12.848000, -2.640000>,
      < -3.256000, 12.848000, -2.544000>
    }
    triangle {
      < -2.972000, 12.556000, -2.564000>,
      < -3.256000, 12.848000, -2.544000>,
      < -3.232000, 12.556000, -2.448000>
    }
    triangle {
      < -3.016000, 12.848000, -2.640000>,
      < -2.972000, 13.428000, -2.564000>,
      < -3.232000, 13.428000, -2.448000>
    }
    triangle {
      < -3.016000, 12.848000, -2.640000>,
      < -3.232000, 13.428000, -2.448000>,
      < -3.256000, 12.848000, -2.544000>
    }
    triangle {
      < -2.972000, 13.428000, -2.564000>,
      < -2.972000, 14.200000, -2.564000>,
      < -3.232000, 14.200000, -2.448000>
    }
    triangle {
      < -2.972000, 13.428000, -2.564000>,
      < -3.232000, 14.200000, -2.448000>,
      < -3.232000, 13.428000, -2.448000>
    }
    triangle {
      < -2.972000, 14.200000, -2.564000>,
      < -3.016000, 14.300000, -2.640000>,
      < -3.256000, 14.300000, -2.544000>
    }
    triangle {
      < -2.972000, 14.200000, -2.564000>,
      < -3.256000, 14.300000, -2.544000>,
      < -3.232000, 14.200000, -2.448000>
    }
    triangle {
      < -3.016000, 14.300000, -2.640000>,
      < -3.076000, 15.360000, -2.716000>,
      < -3.272000, 15.360000, -2.632000>
    }
    triangle {
      < -3.016000, 14.300000, -2.640000>,
      < -3.272000, 15.360000, -2.632000>,
      < -3.256000, 14.300000, -2.544000>
    }
    triangle {
      < -3.076000, 15.360000, -2.716000>,
      < -3.016000, 15.556000, -2.640000>,
      < -3.256000, 15.556000, -2.544000>
    }
    triangle {
      < -3.076000, 15.360000, -2.716000>,
      < -3.256000, 15.556000, -2.544000>,
      < -3.272000, 15.360000, -2.632000>
    }
    triangle {
      < -3.016000, 15.556000, -2.640000>,
      < -3.112000, 17.104000, -2.768000>,
      < -3.284000, 17.104000, -2.692000>
    }
    triangle {
      < -3.016000, 15.556000, -2.640000>,
      < -3.284000, 17.104000, -2.692000>,
      < -3.256000, 15.556000, -2.544000>
    }
    triangle {
      < -3.112000, 17.104000, -2.768000>,
      < -3.164000, 17.104000, -2.844000>,
      < -3.308000, 17.104000, -2.780000>
    }
    triangle {
      < -3.112000, 17.104000, -2.768000>,
      < -3.308000, 17.104000, -2.780000>,
      < -3.284000, 17.104000, -2.692000>
    }
    triangle {
      < -3.164000, 17.104000, -2.844000>,
      < -3.212000, 15.944000, -2.920000>,
      < -3.324000, 15.944000, -2.872000>
    }
    triangle {
      < -3.164000, 17.104000, -2.844000>,
      < -3.324000, 15.944000, -2.872000>,
      < -3.308000, 17.104000, -2.780000>
    }
    triangle {
      < -3.212000, 15.944000, -2.920000>,
      < -3.388000, 15.752000, -3.168000>,
      < -3.324000, 15.944000, -2.872000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < -3.388000, 11.396000, -3.168000>,
      < -3.232000, 11.396000, -2.448000>,
      < -3.520000, 11.396000, -2.448000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < -3.232000, 11.396000, -2.448000>,
      < -3.232000, 12.556000, -2.448000>,
      < -3.520000, 12.556000, -2.448000>
    }
    triangle {
      < -3.232000, 11.396000, -2.448000>,
      < -3.520000, 12.556000, -2.448000>,
      < -3.520000, 11.396000, -2.448000>
    }
    triangle {
      < -3.232000, 12.556000, -2.448000>,
      < -3.256000, 12.848000, -2.544000>,
      < -3.504000, 12.848000, -2.536000>
    }
    triangle {
      < -3.232000, 12.556000, -2.448000>,
      < -3.504000, 12.848000, -2.536000>,
      < -3.520000, 12.556000, -2.448000>
    }
    triangle {
      < -3.256000, 12.848000, -2.544000>,
      < -3.232000, 13.428000, -2.448000>,
      < -3.520000, 13.428000, -2.448000>
    }
    triangle {
      < -3.256000, 12.848000, -2.544000>,
      < -3.520000, 13.428000, -2.448000>,
      < -3.504000, 12.848000, -2.536000>
    }
    triangle {
      < -3.232000, 13.428000, -2.448000>,
      < -3.232000, 14.200000, -2.448000>,
      < -3.520000, 14.200000, -2.448000>
    }
    triangle {
      < -3.232000, 13.428000, -2.448000>,
      < -3.520000, 14.200000, -2.448000>,
      < -3.520000, 13.428000, -2.448000>
    }
    triangle {
      < -3.232000, 14.200000, -2.448000>,
      < -3.256000, 14.300000, -2.544000>,
      < -3.504000, 14.300000, -2.536000>
    }
    triangle {
      < -3.232000, 14.200000, -2.448000>,
      < -3.504000, 14.300000, -2.536000>,
      < -3.520000, 14.200000, -2.448000>
    }
    triangle {
      < -3.256000, 14.300000, -2.544000>,
      < -3.272000, 15.360000, -2.632000>,
      < -3.488000, 15.360000, -2.628000>
    }
    triangle {
      < -3.256000, 14.300000, -2.544000>,
      < -3.488000, 15.360000, -2.628000>,
      < -3.504000, 14.300000, -2.536000>
    }
    triangle {
      < -3.272000, 15.360000, -2.632000>,
      < -3.256000, 15.556000, -2.544000>,
      < -3.504000, 15.556000, -2.536000>
    }
    triangle {
      < -3.272000, 15.360000, -2.632000>,
      < -3.504000, 15.556000, -2.536000>,
      < -3.488000, 15.360000, -2.628000>
    }
    triangle {
      < -3.256000, 15.556000, -2.544000>,
      < -3.284000, 17.104000, -2.692000>,
      < -3.472000, 17.104000, -2.688000>
    }
    triangle {
      < -3.256000, 15.556000, -2.544000>,
      < -3.472000, 17.104000, -2.688000>,
      < -3.504000, 15.556000, -2.536000>
    }
    triangle {
      < -3.284000, 17.104000, -2.692000>,
      < -3.308000, 17.104000, -2.780000>,
      < -3.456000, 17.104000, -2.780000>
    }
    triangle {
      < -3.284000, 17.104000, -2.692000>,
      < -3.456000, 17.104000, -2.780000>,
      < -3.472000, 17.104000, -2.688000>
    }
    triangle {
      < -3.308000, 17.104000, -2.780000>,
      < -3.324000, 15.944000, -2.872000>,
      < -3.440000, 15.944000, -2.872000>
    }
    triangle {
      < -3.308000, 17.104000, -2.780000>,
      < -3.440000, 15.944000, -2.872000>,
      < -3.456000, 17.104000, -2.780000>
    }
    triangle {
      < -3.324000, 15.944000, -2.872000>,
      < -3.388000, 15.752000, -3.168000>,
      < -3.440000, 15.944000, -2.872000>
    }
    texture {rockets}
  }
  // DEFAULT
  union {
    triangle {
      < -3.388000, 11.396000, -3.168000>,
      < -3.520000, 11.396000, -2.448000>,
      < -3.788000, 11.396000, -2.552000>
    }
    texture {DEFAULT}
  }
  // rockets
  union {
    triangle {
      < -3.520000, 11.396000, -2.448000>,
      < -3.520000, 12.556000, -2.448000>,
      < -3.788000, 12.556000, -2.552000>
    }
    triangle {
      < -3.520000, 11.396000, -2.448000>,
      < -3.788000, 12.556000, -2.552000>,
      < -3.788000, 11.396000, -2.552000>
    }
    triangle {
      < -3.520000, 12.556000, -2.448000>,
      < -3.504000, 12.848000, -2.536000>,
      < -3.740000, 12.848000, -2.628000>
    }
    triangle {
      < -3.520000, 12.556000, -2.448000>,
      < -3.740000, 12.848000, -2.628000>,
      < -3.788000, 12.556000, -2.552000>
    }
    triangle {
      < -3.504000, 12.848000, -2.536000>,
      < -3.520000, 13.428000, -2.448000>,
      < -3.788000, 13.428000, -2.552000>
    }
    triangle {
      < -3.504000, 12.848000, -2.536000>,
      < -3.788000, 13.428000, -2.552000>,
      < -3.740000, 12.848000, -2.628000>
    }
    triangle {
      < -3.520000, 13.428000, -2.448000>,
      < -3.520000, 14.200000, -2.448000>,
      < -3.788000, 14.200000, -2.552000>
    }
    triangle {
      < -3.520000, 13.428000, -2.448000>,
      < -3.788000, 14.200000, -2.552000>,
      < -3.788000, 13.428000, -2.552000>
    }
    triangle {
      < -3.520000, 14.200000, -2.448000>,
      < -3.504000, 14.300000, -2.536000>,
      < -3.740000, 14.300000, -2.628000>
    }
    triangle {
      < -3.520000, 14.200000, -2.448000>,
      < -3.740000, 14.300000, -2.628000>,
      < -3.788000, 14.200000, -2.552000>
    }
    triangle {
      < -3.504000, 14.300000, -2.536000>,
      < -3.488000, 15.360000, -2.628000>,
      < -3.688000, 15.360000, -2.708000>
    }
    triangle {
      < -3.504000, 14.300000, -2.536000>,
      < -3.688000, 15.360000, -2.708000>,
      < -3.740000, 14.300000, -2.628000>
    }
    triangle {
      < -3.488000, 15.360000, -2.628000>,
      < -3.504000, 15.556000, -2.536000>,
      < -3.740000, 15.556000, -2.628000>
    }
    triangle {
      < -3.488000, 15.360000, -2.628000>,
      < -3.740000, 15.556000, -2.628000>,
      < -3.688000, 15.360000, -2.708000>
    }
    triangle {
      < -3.504000, 15.556000, -2.536000>,
      < -3.472000, 17.104000, -2.688000>,
      < -3.656000, 17.104000, -2.760000>
    }
    triangle {
      < -3.504000, 15.556000, -2.536000>,
      < -3.656000, 17.104000, -2.760000>,
      < -3.740000, 15.556000, -2.628000>
    }
    triangle {
      < -3.472000, 17.104000, -2.688000>,
      < -3.456000, 17.104000, -2.780000>,
      < -3.600000, 17.104000, -2.836000>
    }
    triangle {
      < -3.472000, 17.104000, -2.688000>,
      < -3.600000, 17.104000, -2.836000>,
      < -3.656000, 17.104000, -2.760000>
    }
    triangle {
      < -3.456000, 17.104000, -2.780000>,
      < -3.440000, 15.944000, -2.872000>,
      < -3.548000, 15.944000, -2.912000>
    }
    triangle {
      < -3.456000, 17.104000, -2.780000>,
      < -3.548000, 15.944000, -2.912000>,
      < -3.600000, 17.104000, -2.836000>
    }
    triangle {
      < -3.440000, 15.944000, -2.872000>,
      < -3.388000, 15.752000, -3.168000>,
      < -3.548000, 15.944000, -2.912000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < -3.388000, 11.396000, -3.168000>,
      < -3.788000, 11.396000, -2.552000>,
      < -3.988000, 11.396000, -2.752000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < -3.788000, 11.396000, -2.552000>,
      < -3.788000, 12.556000, -2.552000>,
      < -3.988000, 12.556000, -2.752000>
    }
    triangle {
      < -3.788000, 11.396000, -2.552000>,
      < -3.988000, 12.556000, -2.752000>,
      < -3.988000, 11.396000, -2.752000>
    }
    triangle {
      < -3.788000, 12.556000, -2.552000>,
      < -3.740000, 12.848000, -2.628000>,
      < -3.920000, 12.848000, -2.808000>
    }
    triangle {
      < -3.788000, 12.556000, -2.552000>,
      < -3.920000, 12.848000, -2.808000>,
      < -3.988000, 12.556000, -2.752000>
    }
    triangle {
      < -3.740000, 12.848000, -2.628000>,
      < -3.788000, 13.428000, -2.552000>,
      < -3.988000, 13.428000, -2.752000>
    }
    triangle {
      < -3.740000, 12.848000, -2.628000>,
      < -3.988000, 13.428000, -2.752000>,
      < -3.920000, 12.848000, -2.808000>
    }
    triangle {
      < -3.788000, 13.428000, -2.552000>,
      < -3.788000, 14.200000, -2.552000>,
      < -3.988000, 14.200000, -2.752000>
    }
    triangle {
      < -3.788000, 13.428000, -2.552000>,
      < -3.988000, 14.200000, -2.752000>,
      < -3.988000, 13.428000, -2.752000>
    }
    triangle {
      < -3.788000, 14.200000, -2.552000>,
      < -3.740000, 14.300000, -2.628000>,
      < -3.920000, 14.300000, -2.808000>
    }
    triangle {
      < -3.788000, 14.200000, -2.552000>,
      < -3.920000, 14.300000, -2.808000>,
      < -3.988000, 14.200000, -2.752000>
    }
    triangle {
      < -3.740000, 14.300000, -2.628000>,
      < -3.688000, 15.360000, -2.708000>,
      < -3.840000, 15.360000, -2.856000>
    }
    triangle {
      < -3.740000, 14.300000, -2.628000>,
      < -3.840000, 15.360000, -2.856000>,
      < -3.920000, 14.300000, -2.808000>
    }
    triangle {
      < -3.688000, 15.360000, -2.708000>,
      < -3.740000, 15.556000, -2.628000>,
      < -3.920000, 15.556000, -2.808000>
    }
    triangle {
      < -3.688000, 15.360000, -2.708000>,
      < -3.920000, 15.556000, -2.808000>,
      < -3.840000, 15.360000, -2.856000>
    }
    triangle {
      < -3.740000, 15.556000, -2.628000>,
      < -3.656000, 17.104000, -2.760000>,
      < -3.788000, 17.104000, -2.892000>
    }
    triangle {
      < -3.740000, 15.556000, -2.628000>,
      < -3.788000, 17.104000, -2.892000>,
      < -3.920000, 15.556000, -2.808000>
    }
    triangle {
      < -3.656000, 17.104000, -2.760000>,
      < -3.600000, 17.104000, -2.836000>,
      < -3.720000, 17.104000, -2.944000>
    }
    triangle {
      < -3.656000, 17.104000, -2.760000>,
      < -3.720000, 17.104000, -2.944000>,
      < -3.788000, 17.104000, -2.892000>
    }
    triangle {
      < -3.600000, 17.104000, -2.836000>,
      < -3.548000, 15.944000, -2.912000>,
      < -3.640000, 15.944000, -2.996000>
    }
    triangle {
      < -3.600000, 17.104000, -2.836000>,
      < -3.640000, 15.944000, -2.996000>,
      < -3.720000, 17.104000, -2.944000>
    }
    triangle {
      < -3.548000, 15.944000, -2.912000>,
      < -3.388000, 15.752000, -3.168000>,
      < -3.640000, 15.944000, -2.996000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < -3.388000, 11.396000, -3.168000>,
      < -3.988000, 11.396000, -2.752000>,
      < -4.112000, 11.396000, -3.016000>
    }
    texture {engines}
  }
  // rockets_wingsl
  union {
    triangle {
      < -3.988000, 11.396000, -2.752000>,
      < -3.988000, 12.556000, -2.752000>,
      < -4.112000, 12.556000, -3.016000>
    }
    triangle {
      < -3.988000, 11.396000, -2.752000>,
      < -4.112000, 12.556000, -3.016000>,
      < -4.112000, 11.396000, -3.016000>
    }
    texture {rockets_wingsl}
  }
  // rockets
  union {
    triangle {
      < -3.988000, 12.556000, -2.752000>,
      < -3.920000, 12.848000, -2.808000>,
      < -4.020000, 12.848000, -3.036000>
    }
    triangle {
      < -3.988000, 12.556000, -2.752000>,
      < -4.020000, 12.848000, -3.036000>,
      < -4.112000, 12.556000, -3.016000>
    }
    triangle {
      < -3.920000, 12.848000, -2.808000>,
      < -3.988000, 13.428000, -2.752000>,
      < -4.112000, 13.428000, -3.016000>
    }
    triangle {
      < -3.920000, 12.848000, -2.808000>,
      < -4.112000, 13.428000, -3.016000>,
      < -4.020000, 12.848000, -3.036000>
    }
    triangle {
      < -3.988000, 13.428000, -2.752000>,
      < -3.988000, 14.200000, -2.752000>,
      < -4.112000, 14.200000, -3.016000>
    }
    triangle {
      < -3.988000, 13.428000, -2.752000>,
      < -4.112000, 14.200000, -3.016000>,
      < -4.112000, 13.428000, -3.016000>
    }
    triangle {
      < -3.988000, 14.200000, -2.752000>,
      < -3.920000, 14.300000, -2.808000>,
      < -4.020000, 14.300000, -3.036000>
    }
    triangle {
      < -3.988000, 14.200000, -2.752000>,
      < -4.020000, 14.300000, -3.036000>,
      < -4.112000, 14.200000, -3.016000>
    }
    triangle {
      < -3.920000, 14.300000, -2.808000>,
      < -3.840000, 15.360000, -2.856000>,
      < -3.928000, 15.360000, -3.060000>
    }
    triangle {
      < -3.920000, 14.300000, -2.808000>,
      < -3.928000, 15.360000, -3.060000>,
      < -4.020000, 14.300000, -3.036000>
    }
    triangle {
      < -3.840000, 15.360000, -2.856000>,
      < -3.920000, 15.556000, -2.808000>,
      < -4.020000, 15.556000, -3.036000>
    }
    triangle {
      < -3.840000, 15.360000, -2.856000>,
      < -4.020000, 15.556000, -3.036000>,
      < -3.928000, 15.360000, -3.060000>
    }
    triangle {
      < -3.920000, 15.556000, -2.808000>,
      < -3.788000, 17.104000, -2.892000>,
      < -3.872000, 17.104000, -3.068000>
    }
    triangle {
      < -3.920000, 15.556000, -2.808000>,
      < -3.872000, 17.104000, -3.068000>,
      < -4.020000, 15.556000, -3.036000>
    }
    triangle {
      < -3.788000, 17.104000, -2.892000>,
      < -3.720000, 17.104000, -2.944000>,
      < -3.772000, 17.104000, -3.092000>
    }
    triangle {
      < -3.788000, 17.104000, -2.892000>,
      < -3.772000, 17.104000, -3.092000>,
      < -3.872000, 17.104000, -3.068000>
    }
    triangle {
      < -3.720000, 17.104000, -2.944000>,
      < -3.640000, 15.944000, -2.996000>,
      < -3.688000, 15.944000, -3.112000>
    }
    triangle {
      < -3.720000, 17.104000, -2.944000>,
      < -3.688000, 15.944000, -3.112000>,
      < -3.772000, 17.104000, -3.092000>
    }
    triangle {
      < -3.640000, 15.944000, -2.996000>,
      < -3.388000, 15.752000, -3.168000>,
      < -3.688000, 15.944000, -3.112000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < -3.388000, 11.396000, -3.168000>,
      < -4.112000, 11.396000, -3.016000>,
      < -4.116000, 11.396000, -3.308000>
    }
    texture {engines}
  }
  // rockets_wingsl
  union {
    triangle {
      < -4.112000, 11.396000, -3.016000>,
      < -4.112000, 12.556000, -3.016000>,
      < -4.116000, 12.556000, -3.308000>
    }
    triangle {
      < -4.112000, 11.396000, -3.016000>,
      < -4.116000, 12.556000, -3.308000>,
      < -4.116000, 11.396000, -3.308000>
    }
    texture {rockets_wingsl}
  }
  // rockets
  union {
    triangle {
      < -4.112000, 12.556000, -3.016000>,
      < -4.020000, 12.848000, -3.036000>,
      < -4.024000, 12.848000, -3.288000>
    }
    triangle {
      < -4.112000, 12.556000, -3.016000>,
      < -4.024000, 12.848000, -3.288000>,
      < -4.116000, 12.556000, -3.308000>
    }
    triangle {
      < -4.020000, 12.848000, -3.036000>,
      < -4.112000, 13.428000, -3.016000>,
      < -4.116000, 13.428000, -3.308000>
    }
    triangle {
      < -4.020000, 12.848000, -3.036000>,
      < -4.116000, 13.428000, -3.308000>,
      < -4.024000, 12.848000, -3.288000>
    }
    triangle {
      < -4.112000, 13.428000, -3.016000>,
      < -4.112000, 14.200000, -3.016000>,
      < -4.116000, 14.200000, -3.308000>
    }
    triangle {
      < -4.112000, 13.428000, -3.016000>,
      < -4.116000, 14.200000, -3.308000>,
      < -4.116000, 13.428000, -3.308000>
    }
    triangle {
      < -4.112000, 14.200000, -3.016000>,
      < -4.020000, 14.300000, -3.036000>,
      < -4.024000, 14.300000, -3.288000>
    }
    triangle {
      < -4.112000, 14.200000, -3.016000>,
      < -4.024000, 14.300000, -3.288000>,
      < -4.116000, 14.200000, -3.308000>
    }
    triangle {
      < -4.020000, 14.300000, -3.036000>,
      < -3.928000, 15.360000, -3.060000>,
      < -3.932000, 15.360000, -3.268000>
    }
    triangle {
      < -4.020000, 14.300000, -3.036000>,
      < -3.932000, 15.360000, -3.268000>,
      < -4.024000, 14.300000, -3.288000>
    }
    triangle {
      < -3.928000, 15.360000, -3.060000>,
      < -4.020000, 15.556000, -3.036000>,
      < -4.024000, 15.556000, -3.288000>
    }
    triangle {
      < -3.928000, 15.360000, -3.060000>,
      < -4.024000, 15.556000, -3.288000>,
      < -3.932000, 15.360000, -3.268000>
    }
    triangle {
      < -4.020000, 15.556000, -3.036000>,
      < -3.872000, 17.104000, -3.068000>,
      < -3.872000, 17.104000, -3.256000>
    }
    triangle {
      < -4.020000, 15.556000, -3.036000>,
      < -3.872000, 17.104000, -3.256000>,
      < -4.024000, 15.556000, -3.288000>
    }
    triangle {
      < -3.872000, 17.104000, -3.068000>,
      < -3.772000, 17.104000, -3.092000>,
      < -3.780000, 17.104000, -3.240000>
    }
    triangle {
      < -3.872000, 17.104000, -3.068000>,
      < -3.780000, 17.104000, -3.240000>,
      < -3.872000, 17.104000, -3.256000>
    }
    triangle {
      < -3.772000, 17.104000, -3.092000>,
      < -3.688000, 15.944000, -3.112000>,
      < -3.688000, 15.944000, -3.224000>
    }
    triangle {
      < -3.772000, 17.104000, -3.092000>,
      < -3.688000, 15.944000, -3.224000>,
      < -3.780000, 17.104000, -3.240000>
    }
    triangle {
      < -3.688000, 15.944000, -3.112000>,
      < -3.388000, 15.752000, -3.168000>,
      < -3.688000, 15.944000, -3.224000>
    }
    texture {rockets}
  }
  // gunsl
  union {
    triangle {
      < -13.844000, -1.024000, -3.784000>,
      < -13.848000, 6.340000, -3.840000>,
      < -13.848000, -1.024000, -3.840000>
    }
    triangle {
      < -13.844000, -1.240000, -3.780000>,
      < -13.848000, -1.892000, -3.840000>,
      < -13.844000, -1.892000, -3.772000>
    }
    triangle {
      < -13.844000, -1.240000, -3.780000>,
      < -13.848000, -1.232000, -3.840000>,
      < -13.848000, -1.892000, -3.840000>
    }
    triangle {
      < -13.844000, 6.340000, -3.772000>,
      < -13.844000, -1.024000, -3.784000>,
      < -13.844000, -1.024000, -3.772000>
    }
    triangle {
      < -13.844000, 6.340000, -3.772000>,
      < -13.848000, 6.340000, -3.840000>,
      < -13.844000, -1.024000, -3.784000>
    }
    triangle {
      < -13.844000, -1.240000, -3.772000>,
      < -13.844000, -1.240000, -3.780000>,
      < -13.844000, -1.892000, -3.772000>
    }
    triangle {
      < -13.832000, -1.024000, -3.764000>,
      < -13.808000, -1.024000, -3.728000>,
      < -13.844000, 6.340000, -3.772000>
    }
    triangle {
      < -13.844000, 6.340000, -3.772000>,
      < -13.844000, -1.024000, -3.772000>,
      < -13.832000, -1.024000, -3.764000>
    }
    triangle {
      < -13.844000, -1.240000, -3.772000>,
      < -13.844000, -1.892000, -3.772000>,
      < -13.800000, -1.892000, -3.724000>
    }
    triangle {
      < -13.844000, -1.240000, -3.772000>,
      < -13.800000, -1.892000, -3.724000>,
      < -13.808000, -1.248000, -3.724000>
    }
    triangle {
      < -13.844000, 6.340000, -3.772000>,
      < -13.808000, -1.024000, -3.728000>,
      < -13.800000, -1.024000, -3.724000>
    }
    triangle {
      < -13.844000, 6.340000, -3.772000>,
      < -13.800000, -1.024000, -3.724000>,
      < -13.800000, 6.340000, -3.724000>
    }
    triangle {
      < -13.808000, -1.248000, -3.724000>,
      < -13.800000, -1.892000, -3.724000>,
      < -13.800000, -1.248000, -3.724000>
    }
    triangle {
      < -13.800000, 6.340000, -3.724000>,
      < -13.800000, -1.024000, -3.724000>,
      < -13.752000, -1.024000, -3.696000>
    }
    triangle {
      < -13.800000, -1.248000, -3.724000>,
      < -13.800000, -1.892000, -3.724000>,
      < -13.748000, -1.892000, -3.696000>
    }
    triangle {
      < -13.800000, -1.248000, -3.724000>,
      < -13.748000, -1.892000, -3.696000>,
      < -13.752000, -1.252000, -3.696000>
    }
    triangle {
      < -13.800000, 6.340000, -3.724000>,
      < -13.752000, -1.024000, -3.696000>,
      < -13.748000, -1.024000, -3.696000>
    }
    triangle {
      < -13.800000, 6.340000, -3.724000>,
      < -13.748000, -1.024000, -3.696000>,
      < -13.748000, 6.340000, -3.696000>
    }
    triangle {
      < -13.752000, -1.252000, -3.696000>,
      < -13.748000, -1.892000, -3.696000>,
      < -13.748000, -1.252000, -3.696000>
    }
    triangle {
      < -13.748000, 6.340000, -3.696000>,
      < -13.748000, -1.024000, -3.696000>,
      < -13.684000, -1.024000, -3.696000>
    }
    triangle {
      < -13.748000, -1.252000, -3.696000>,
      < -13.748000, -1.892000, -3.696000>,
      < -13.672000, -1.892000, -3.700000>
    }
    triangle {
      < -13.748000, -1.252000, -3.696000>,
      < -13.672000, -1.892000, -3.700000>,
      < -13.684000, -1.248000, -3.696000>
    }
    triangle {
      < -13.748000, 6.340000, -3.696000>,
      < -13.684000, -1.024000, -3.696000>,
      < -13.672000, -1.024000, -3.700000>
    }
    triangle {
      < -13.748000, 6.340000, -3.696000>,
      < -13.672000, -1.024000, -3.700000>,
      < -13.672000, 6.340000, -3.700000>
    }
    triangle {
      < -13.684000, -1.248000, -3.696000>,
      < -13.672000, -1.892000, -3.700000>,
      < -13.672000, -1.248000, -3.700000>
    }
    triangle {
      < -13.672000, 6.340000, -3.700000>,
      < -13.672000, -1.024000, -3.700000>,
      < -13.628000, -1.024000, -3.736000>
    }
    triangle {
      < -13.672000, -1.248000, -3.700000>,
      < -13.672000, -1.892000, -3.700000>,
      < -13.620000, -1.892000, -3.740000>
    }
    triangle {
      < -13.672000, -1.248000, -3.700000>,
      < -13.620000, -1.892000, -3.740000>,
      < -13.644000, -1.244000, -3.728000>
    }
    triangle {
      < -13.672000, 6.340000, -3.700000>,
      < -13.628000, -1.024000, -3.736000>,
      < -13.620000, -1.024000, -3.740000>
    }
    triangle {
      < -13.672000, 6.340000, -3.700000>,
      < -13.620000, -1.024000, -3.740000>,
      < -13.620000, 6.340000, -3.740000>
    }
    triangle {
      < -13.628000, -1.240000, -3.736000>,
      < -13.620000, -1.892000, -3.740000>,
      < -13.620000, -1.240000, -3.740000>
    }
    triangle {
      < -13.620000, 6.340000, -3.740000>,
      < -13.620000, -1.024000, -3.740000>,
      < -13.600000, -1.024000, -3.796000>
    }
    triangle {
      < -13.620000, -1.240000, -3.740000>,
      < -13.620000, -1.892000, -3.740000>,
      < -13.600000, -1.892000, -3.800000>
    }
    triangle {
      < -13.620000, -1.240000, -3.740000>,
      < -13.600000, -1.892000, -3.800000>,
      < -13.600000, -1.232000, -3.796000>
    }
    triangle {
      < -13.620000, 6.340000, -3.740000>,
      < -13.600000, -1.024000, -3.796000>,
      < -13.600000, -1.024000, -3.800000>
    }
    triangle {
      < -13.620000, 6.340000, -3.740000>,
      < -13.600000, -1.024000, -3.800000>,
      < -13.600000, 6.340000, -3.800000>
    }
    triangle {
      < -13.600000, -1.232000, -3.796000>,
      < -13.600000, -1.892000, -3.800000>,
      < -13.600000, -1.232000, -3.800000>
    }
    triangle {
      < -13.600000, 6.340000, -3.800000>,
      < -13.600000, -1.024000, -3.800000>,
      < -13.600000, -1.024000, -3.856000>
    }
    triangle {
      < -13.600000, -1.232000, -3.800000>,
      < -13.600000, -1.892000, -3.800000>,
      < -13.600000, -1.892000, -3.868000>
    }
    triangle {
      < -13.600000, -1.232000, -3.800000>,
      < -13.600000, -1.892000, -3.868000>,
      < -13.600000, -1.216000, -3.856000>
    }
    triangle {
      < -13.600000, 6.340000, -3.800000>,
      < -13.600000, -1.024000, -3.856000>,
      < -13.600000, -1.024000, -3.868000>
    }
    triangle {
      < -13.600000, 6.340000, -3.800000>,
      < -13.600000, -1.024000, -3.868000>,
      < -13.600000, 6.340000, -3.868000>
    }
    triangle {
      < -13.600000, -1.216000, -3.856000>,
      < -13.600000, -1.892000, -3.868000>,
      < -13.600000, -1.216000, -3.868000>
    }
    triangle {
      < -13.616000, -1.024000, -3.888000>,
      < -13.600000, 6.340000, -3.868000>,
      < -13.600000, -1.024000, -3.868000>
    }
    triangle {
      < -13.636000, -1.024000, -3.912000>,
      < -13.600000, 6.340000, -3.868000>,
      < -13.616000, -1.024000, -3.888000>
    }
    triangle {
      < -13.636000, -1.208000, -3.912000>,
      < -13.644000, -1.892000, -3.920000>,
      < -13.636000, -1.212000, -3.920000>
    }
    triangle {
      < -13.636000, -1.208000, -3.912000>,
      < -13.600000, -1.892000, -3.868000>,
      < -13.644000, -1.892000, -3.920000>
    }
    triangle {
      < -13.636000, -1.208000, -3.912000>,
      < -13.600000, -1.216000, -3.868000>,
      < -13.600000, -1.892000, -3.868000>
    }
    triangle {
      < -13.644000, 6.340000, -3.920000>,
      < -13.636000, -1.024000, -3.912000>,
      < -13.644000, -1.024000, -3.920000>
    }
    triangle {
      < -13.644000, 6.340000, -3.920000>,
      < -13.600000, 6.340000, -3.868000>,
      < -13.636000, -1.024000, -3.912000>
    }
    triangle {
      < -13.644000, -1.220000, -3.920000>,
      < -13.636000, -1.212000, -3.920000>,
      < -13.644000, -1.892000, -3.920000>
    }
    triangle {
      < -13.692000, -1.024000, -3.940000>,
      < -13.644000, 6.340000, -3.920000>,
      < -13.644000, -1.024000, -3.920000>
    }
    triangle {
      < -13.696000, -1.260000, -3.948000>,
      < -13.644000, -1.892000, -3.920000>,
      < -13.700000, -1.892000, -3.948000>
    }
    triangle {
      < -13.696000, -1.260000, -3.948000>,
      < -13.644000, -1.220000, -3.920000>,
      < -13.644000, -1.892000, -3.920000>
    }
    triangle {
      < -13.700000, 6.340000, -3.948000>,
      < -13.692000, -1.024000, -3.940000>,
      < -13.700000, -1.024000, -3.948000>
    }
    triangle {
      < -13.700000, 6.340000, -3.948000>,
      < -13.644000, 6.340000, -3.920000>,
      < -13.692000, -1.024000, -3.940000>
    }
    triangle {
      < -13.700000, -1.264000, -3.948000>,
      < -13.696000, -1.260000, -3.948000>,
      < -13.700000, -1.892000, -3.948000>
    }
    triangle {
      < -13.760000, -1.024000, -3.940000>,
      < -13.700000, 6.340000, -3.948000>,
      < -13.700000, -1.024000, -3.948000>
    }
    triangle {
      < -13.760000, -1.224000, -3.940000>,
      < -13.700000, -1.892000, -3.948000>,
      < -13.764000, -1.892000, -3.940000>
    }
    triangle {
      < -13.760000, -1.224000, -3.940000>,
      < -13.700000, -1.264000, -3.948000>,
      < -13.700000, -1.892000, -3.948000>
    }
    triangle {
      < -13.764000, 6.340000, -3.940000>,
      < -13.760000, -1.024000, -3.940000>,
      < -13.764000, -1.024000, -3.940000>
    }
    triangle {
      < -13.764000, 6.340000, -3.940000>,
      < -13.700000, 6.340000, -3.948000>,
      < -13.760000, -1.024000, -3.940000>
    }
    triangle {
      < -13.764000, -1.220000, -3.940000>,
      < -13.760000, -1.224000, -3.940000>,
      < -13.764000, -1.892000, -3.940000>
    }
    triangle {
      < -13.816000, -1.024000, -3.904000>,
      < -13.764000, 6.340000, -3.940000>,
      < -13.764000, -1.024000, -3.940000>
    }
    triangle {
      < -13.772000, -1.208000, -3.936000>,
      < -13.820000, -1.892000, -3.900000>,
      < -13.816000, -1.216000, -3.904000>
    }
    triangle {
      < -13.772000, -1.208000, -3.936000>,
      < -13.764000, -1.892000, -3.940000>,
      < -13.820000, -1.892000, -3.900000>
    }
    triangle {
      < -13.772000, -1.208000, -3.936000>,
      < -13.764000, -1.220000, -3.940000>,
      < -13.764000, -1.892000, -3.940000>
    }
    triangle {
      < -13.820000, 6.340000, -3.900000>,
      < -13.816000, -1.024000, -3.904000>,
      < -13.820000, -1.024000, -3.900000>
    }
    triangle {
      < -13.820000, 6.340000, -3.900000>,
      < -13.764000, 6.340000, -3.940000>,
      < -13.816000, -1.024000, -3.904000>
    }
    triangle {
      < -13.820000, -1.216000, -3.900000>,
      < -13.816000, -1.216000, -3.904000>,
      < -13.820000, -1.892000, -3.900000>
    }
    triangle {
      < -13.844000, -1.024000, -3.852000>,
      < -13.820000, 6.340000, -3.900000>,
      < -13.820000, -1.024000, -3.900000>
    }
    triangle {
      < -13.828000, -1.220000, -3.884000>,
      < -13.848000, -1.892000, -3.840000>,
      < -13.848000, -1.224000, -3.848000>
    }
    triangle {
      < -13.828000, -1.220000, -3.884000>,
      < -13.820000, -1.892000, -3.900000>,
      < -13.848000, -1.892000, -3.840000>
    }
    triangle {
      < -13.828000, -1.220000, -3.884000>,
      < -13.820000, -1.216000, -3.900000>,
      < -13.820000, -1.892000, -3.900000>
    }
    triangle {
      < -13.848000, 6.340000, -3.840000>,
      < -13.844000, -1.024000, -3.852000>,
      < -13.848000, -1.024000, -3.840000>
    }
    triangle {
      < -13.848000, 6.340000, -3.840000>,
      < -13.820000, 6.340000, -3.900000>,
      < -13.844000, -1.024000, -3.852000>
    }
    triangle {
      < -13.848000, -1.232000, -3.840000>,
      < -13.848000, -1.224000, -3.848000>,
      < -13.848000, -1.892000, -3.840000>
    }
    triangle {
      < -13.848000, -1.224000, -3.848000>,
      < -13.932000, -1.208000, -3.964000>,
      < -13.828000, -1.220000, -3.884000>
    }
    triangle {
      < -13.848000, -1.232000, -3.840000>,
      < -13.932000, -1.208000, -3.964000>,
      < -13.848000, -1.224000, -3.848000>
    }
    triangle {
      < -13.844000, -1.240000, -3.772000>,
      < -13.932000, -1.208000, -3.964000>,
      < -13.844000, -1.240000, -3.780000>
    }
    triangle {
      < -13.844000, -1.240000, -3.772000>,
      < -13.972000, -1.256000, -3.716000>,
      < -13.932000, -1.208000, -3.964000>
    }
    triangle {
      < -13.800000, -1.248000, -3.724000>,
      < -13.972000, -1.256000, -3.716000>,
      < -13.808000, -1.248000, -3.724000>
    }
    triangle {
      < -13.748000, -1.252000, -3.696000>,
      < -13.972000, -1.256000, -3.716000>,
      < -13.752000, -1.252000, -3.696000>
    }
    triangle {
      < -13.748000, -1.252000, -3.696000>,
      < -13.536000, -1.256000, -3.640000>,
      < -13.972000, -1.256000, -3.716000>
    }
    triangle {
      < -13.672000, -1.248000, -3.700000>,
      < -13.536000, -1.256000, -3.640000>,
      < -13.684000, -1.248000, -3.696000>
    }
    triangle {
      < -13.536000, -1.256000, -3.640000>,
      < -13.672000, -1.248000, -3.700000>,
      < -13.644000, -1.244000, -3.728000>
    }
    triangle {
      < -13.644000, -1.024000, -3.920000>,
      < -13.636000, -1.024000, -3.912000>,
      < -13.480000, -1.024000, -3.956000>
    }
    triangle {
      < -13.700000, -1.024000, -3.948000>,
      < -13.692000, -1.024000, -3.940000>,
      < -13.480000, -1.024000, -3.956000>
    }
    triangle {
      < -13.700000, -1.024000, -3.948000>,
      < -13.480000, -1.024000, -3.956000>,
      < -13.916000, -1.024000, -4.040000>
    }
    triangle {
      < -13.764000, -1.024000, -3.940000>,
      < -13.760000, -1.024000, -3.940000>,
      < -13.916000, -1.024000, -4.040000>
    }
    triangle {
      < -13.820000, -1.024000, -3.900000>,
      < -13.816000, -1.024000, -3.904000>,
      < -13.916000, -1.024000, -4.040000>
    }
    triangle {
      < -13.844000, -1.024000, -3.852000>,
      < -13.820000, -1.024000, -3.900000>,
      < -13.916000, -1.024000, -4.040000>
    }
    triangle {
      < -13.848000, -1.024000, -3.840000>,
      < -13.844000, -1.024000, -3.852000>,
      < -13.916000, -1.024000, -4.040000>
    }
    triangle {
      < -13.844000, -1.024000, -3.772000>,
      < -13.844000, -1.024000, -3.784000>,
      < -13.916000, -1.024000, -4.040000>
    }
    triangle {
      < -13.844000, -1.024000, -3.772000>,
      < -13.916000, -1.024000, -4.040000>,
      < -13.980000, -1.024000, -3.680000>
    }
    triangle {
      < -13.980000, -1.024000, -3.680000>,
      < -13.832000, -1.024000, -3.764000>,
      < -13.844000, -1.024000, -3.772000>
    }
    triangle {
      < -13.800000, -1.024000, -3.724000>,
      < -13.808000, -1.024000, -3.728000>,
      < -13.980000, -1.024000, -3.680000>
    }
    triangle {
      < -13.748000, -1.024000, -3.696000>,
      < -13.752000, -1.024000, -3.696000>,
      < -13.980000, -1.024000, -3.680000>
    }
    triangle {
      < -13.748000, -1.024000, -3.696000>,
      < -13.980000, -1.024000, -3.680000>,
      < -13.544000, -1.024000, -3.600000>
    }
    triangle {
      < -13.672000, -1.024000, -3.700000>,
      < -13.684000, -1.024000, -3.696000>,
      < -13.544000, -1.024000, -3.600000>
    }
    triangle {
      < -13.620000, -1.024000, -3.740000>,
      < -13.628000, -1.024000, -3.736000>,
      < -13.544000, -1.024000, -3.600000>
    }
    triangle {
      < -13.600000, -1.024000, -3.800000>,
      < -13.600000, -1.024000, -3.796000>,
      < -13.544000, -1.024000, -3.600000>
    }
    triangle {
      < -13.600000, -1.024000, -3.868000>,
      < -13.600000, -1.024000, -3.856000>,
      < -13.544000, -1.024000, -3.600000>
    }
    triangle {
      < -13.600000, -1.024000, -3.868000>,
      < -13.544000, -1.024000, -3.600000>,
      < -13.480000, -1.024000, -3.956000>
    }
    triangle {
      < -13.480000, -1.024000, -3.956000>,
      < -13.616000, -1.024000, -3.888000>,
      < -13.600000, -1.024000, -3.868000>
    }
    triangle {
      < -13.820000, -1.216000, -3.900000>,
      < -13.932000, -1.208000, -3.964000>,
      < -13.816000, -1.216000, -3.904000>
    }
    triangle {
      < -13.828000, -1.220000, -3.884000>,
      < -13.932000, -1.208000, -3.964000>,
      < -13.820000, -1.216000, -3.900000>
    }
    triangle {
      < -13.620000, -1.240000, -3.740000>,
      < -13.536000, -1.256000, -3.640000>,
      < -13.628000, -1.240000, -3.736000>
    }
    triangle {
      < -13.600000, -1.232000, -3.800000>,
      < -13.536000, -1.256000, -3.640000>,
      < -13.600000, -1.232000, -3.796000>
    }
    triangle {
      < -13.600000, -1.216000, -3.868000>,
      < -13.536000, -1.256000, -3.640000>,
      < -13.600000, -1.216000, -3.856000>
    }
    triangle {
      < -13.600000, -1.216000, -3.868000>,
      < -13.492000, -1.208000, -3.888000>,
      < -13.536000, -1.256000, -3.640000>
    }
    triangle {
      < -13.600000, -1.216000, -3.868000>,
      < -13.636000, -1.208000, -3.912000>,
      < -13.492000, -1.208000, -3.888000>
    }
    triangle {
      < -13.636000, -1.212000, -3.920000>,
      < -13.492000, -1.208000, -3.888000>,
      < -13.636000, -1.208000, -3.912000>
    }
    triangle {
      < -13.644000, -1.220000, -3.920000>,
      < -13.492000, -1.208000, -3.888000>,
      < -13.636000, -1.212000, -3.920000>
    }
    triangle {
      < -13.700000, -1.264000, -3.948000>,
      < -13.492000, -1.208000, -3.888000>,
      < -13.696000, -1.260000, -3.948000>
    }
    triangle {
      < -13.700000, -1.264000, -3.948000>,
      < -13.888000, -1.812000, -4.216000>,
      < -13.492000, -1.208000, -3.888000>
    }
    triangle {
      < -13.764000, -1.220000, -3.940000>,
      < -13.888000, -1.812000, -4.216000>,
      < -13.760000, -1.224000, -3.940000>
    }
    triangle {
      < -13.932000, -1.208000, -3.964000>,
      < -13.764000, -1.220000, -3.940000>,
      < -13.772000, -1.208000, -3.936000>
    }
    triangle {
      < -13.932000, -1.208000, -3.964000>,
      < -13.888000, -1.812000, -4.216000>,
      < -13.764000, -1.220000, -3.940000>
    }
    triangle {
      < -13.724000, 14.308000, -3.820000>,
      < -13.880000, 14.308000, -3.848000>,
      < -13.872000, 14.308000, -3.768000>
    }
    triangle {
      < -13.880000, 14.308000, -3.848000>,
      < -14.008000, 14.880000, -3.872000>,
      < -13.996000, 14.880000, -3.716000>
    }
    triangle {
      < -13.880000, 14.308000, -3.848000>,
      < -13.996000, 14.880000, -3.716000>,
      < -13.872000, 14.308000, -3.768000>
    }
    triangle {
      < -14.008000, 14.880000, -3.872000>,
      < -14.136000, 14.880000, -3.896000>,
      < -14.120000, 14.880000, -3.668000>
    }
    triangle {
      < -14.008000, 14.880000, -3.872000>,
      < -14.120000, 14.880000, -3.668000>,
      < -13.996000, 14.880000, -3.716000>
    }
    triangle {
      < -14.136000, 14.880000, -3.896000>,
      < -14.136000, 13.596000, -3.896000>,
      < -14.120000, 13.596000, -3.668000>
    }
    triangle {
      < -14.136000, 14.880000, -3.896000>,
      < -14.120000, 13.596000, -3.668000>,
      < -14.120000, 14.880000, -3.668000>
    }
    triangle {
      < -14.136000, 13.596000, -3.896000>,
      < -14.072000, 13.596000, -3.884000>,
      < -14.060000, 13.596000, -3.696000>
    }
    triangle {
      < -14.136000, 13.596000, -3.896000>,
      < -14.060000, 13.596000, -3.696000>,
      < -14.120000, 13.596000, -3.668000>
    }
    triangle {
      < -14.072000, 13.596000, -3.884000>,
      < -14.172000, 13.316000, -3.900000>,
      < -14.148000, 13.316000, -3.656000>
    }
    triangle {
      < -14.072000, 13.596000, -3.884000>,
      < -14.148000, 13.316000, -3.656000>,
      < -14.060000, 13.596000, -3.696000>
    }
    triangle {
      < -14.172000, 13.316000, -3.900000>,
      < -14.172000, 7.480000, -3.900000>,
      < -14.148000, 7.480000, -3.656000>
    }
    triangle {
      < -14.172000, 13.316000, -3.900000>,
      < -14.148000, 7.480000, -3.656000>,
      < -14.148000, 13.316000, -3.656000>
    }
    triangle {
      < -14.172000, 7.480000, -3.900000>,
      < -14.108000, 6.764000, -3.888000>,
      < -14.092000, 6.764000, -3.680000>
    }
    triangle {
      < -14.172000, 7.480000, -3.900000>,
      < -14.092000, 6.764000, -3.680000>,
      < -14.148000, 7.480000, -3.656000>
    }
    triangle {
      < -14.108000, 6.764000, -3.888000>,
      < -13.944000, 6.480000, -3.856000>,
      < -13.936000, 6.480000, -3.740000>
    }
    triangle {
      < -14.108000, 6.764000, -3.888000>,
      < -13.936000, 6.480000, -3.740000>,
      < -14.092000, 6.764000, -3.680000>
    }
    triangle {
      < -13.944000, 6.480000, -3.856000>,
      < -13.848000, 6.340000, -3.840000>,
      < -13.844000, 6.340000, -3.772000>
    }
    triangle {
      < -13.944000, 6.480000, -3.856000>,
      < -13.844000, 6.340000, -3.772000>,
      < -13.936000, 6.480000, -3.740000>
    }
    triangle {
      < -13.848000, -1.892000, -3.840000>,
      < -13.724000, -3.176000, -3.820000>,
      < -13.844000, -1.892000, -3.772000>
    }
    triangle {
      < -13.724000, 14.308000, -3.820000>,
      < -13.872000, 14.308000, -3.768000>,
      < -13.820000, 14.308000, -3.696000>
    }
    triangle {
      < -13.872000, 14.308000, -3.768000>,
      < -13.996000, 14.880000, -3.716000>,
      < -13.908000, 14.880000, -3.588000>
    }
    triangle {
      < -13.872000, 14.308000, -3.768000>,
      < -13.908000, 14.880000, -3.588000>,
      < -13.820000, 14.308000, -3.696000>
    }
    triangle {
      < -13.996000, 14.880000, -3.716000>,
      < -14.120000, 14.880000, -3.668000>,
      < -13.992000, 14.880000, -3.488000>
    }
    triangle {
      < -13.996000, 14.880000, -3.716000>,
      < -13.992000, 14.880000, -3.488000>,
      < -13.908000, 14.880000, -3.588000>
    }
    triangle {
      < -14.120000, 14.880000, -3.668000>,
      < -14.120000, 13.596000, -3.668000>,
      < -13.992000, 13.596000, -3.488000>
    }
    triangle {
      < -14.120000, 14.880000, -3.668000>,
      < -13.992000, 13.596000, -3.488000>,
      < -13.992000, 14.880000, -3.488000>
    }
    triangle {
      < -14.120000, 13.596000, -3.668000>,
      < -14.060000, 13.596000, -3.696000>,
      < -13.952000, 13.596000, -3.540000>
    }
    triangle {
      < -14.120000, 13.596000, -3.668000>,
      < -13.952000, 13.596000, -3.540000>,
      < -13.992000, 13.596000, -3.488000>
    }
    triangle {
      < -14.060000, 13.596000, -3.696000>,
      < -14.148000, 13.316000, -3.656000>,
      < -14.012000, 13.316000, -3.464000>
    }
    triangle {
      < -14.060000, 13.596000, -3.696000>,
      < -14.012000, 13.316000, -3.464000>,
      < -13.952000, 13.596000, -3.540000>
    }
    triangle {
      < -14.148000, 13.316000, -3.656000>,
      < -14.148000, 7.480000, -3.656000>,
      < -14.012000, 7.480000, -3.464000>
    }
    triangle {
      < -14.148000, 13.316000, -3.656000>,
      < -14.012000, 7.480000, -3.464000>,
      < -14.012000, 13.316000, -3.464000>
    }
    triangle {
      < -14.148000, 7.480000, -3.656000>,
      < -14.092000, 6.764000, -3.680000>,
      < -13.972000, 6.764000, -3.516000>
    }
    triangle {
      < -14.148000, 7.480000, -3.656000>,
      < -13.972000, 6.764000, -3.516000>,
      < -14.012000, 7.480000, -3.464000>
    }
    triangle {
      < -14.092000, 6.764000, -3.680000>,
      < -13.936000, 6.480000, -3.740000>,
      < -13.864000, 6.480000, -3.640000>
    }
    triangle {
      < -14.092000, 6.764000, -3.680000>,
      < -13.864000, 6.480000, -3.640000>,
      < -13.972000, 6.764000, -3.516000>
    }
    triangle {
      < -13.936000, 6.480000, -3.740000>,
      < -13.844000, 6.340000, -3.772000>,
      < -13.800000, 6.340000, -3.724000>
    }
    triangle {
      < -13.936000, 6.480000, -3.740000>,
      < -13.800000, 6.340000, -3.724000>,
      < -13.864000, 6.480000, -3.640000>
    }
    triangle {
      < -13.844000, -1.892000, -3.772000>,
      < -13.724000, -3.176000, -3.820000>,
      < -13.800000, -1.892000, -3.724000>
    }
    triangle {
      < -13.724000, 14.308000, -3.820000>,
      < -13.820000, 14.308000, -3.696000>,
      < -13.752000, 14.308000, -3.656000>
    }
    triangle {
      < -13.820000, 14.308000, -3.696000>,
      < -13.908000, 14.880000, -3.588000>,
      < -13.772000, 14.880000, -3.532000>
    }
    triangle {
      < -13.820000, 14.308000, -3.696000>,
      < -13.772000, 14.880000, -3.532000>,
      < -13.752000, 14.308000, -3.656000>
    }
    triangle {
      < -13.908000, 14.880000, -3.588000>,
      < -13.992000, 14.880000, -3.488000>,
      < -13.792000, 14.880000, -3.400000>
    }
    triangle {
      < -13.908000, 14.880000, -3.588000>,
      < -13.792000, 14.880000, -3.400000>,
      < -13.772000, 14.880000, -3.532000>
    }
    triangle {
      < -13.992000, 14.880000, -3.488000>,
      < -13.992000, 13.596000, -3.488000>,
      < -13.792000, 13.596000, -3.400000>
    }
    triangle {
      < -13.992000, 14.880000, -3.488000>,
      < -13.792000, 13.596000, -3.400000>,
      < -13.792000, 14.880000, -3.400000>
    }
    triangle {
      < -13.992000, 13.596000, -3.488000>,
      < -13.952000, 13.596000, -3.540000>,
      < -13.784000, 13.596000, -3.464000>
    }
    triangle {
      < -13.992000, 13.596000, -3.488000>,
      < -13.784000, 13.596000, -3.464000>,
      < -13.792000, 13.596000, -3.400000>
    }
    triangle {
      < -13.952000, 13.596000, -3.540000>,
      < -14.012000, 13.316000, -3.464000>,
      < -13.800000, 13.316000, -3.368000>
    }
    triangle {
      < -13.952000, 13.596000, -3.540000>,
      < -13.800000, 13.316000, -3.368000>,
      < -13.784000, 13.596000, -3.464000>
    }
    triangle {
      < -14.012000, 13.316000, -3.464000>,
      < -14.012000, 7.480000, -3.464000>,
      < -13.800000, 7.480000, -3.368000>
    }
    triangle {
      < -14.012000, 13.316000, -3.464000>,
      < -13.800000, 7.480000, -3.368000>,
      < -13.800000, 13.316000, -3.368000>
    }
    triangle {
      < -14.012000, 7.480000, -3.464000>,
      < -13.972000, 6.764000, -3.516000>,
      < -13.788000, 6.764000, -3.436000>
    }
    triangle {
      < -14.012000, 7.480000, -3.464000>,
      < -13.788000, 6.764000, -3.436000>,
      < -13.800000, 7.480000, -3.368000>
    }
    triangle {
      < -13.972000, 6.764000, -3.516000>,
      < -13.864000, 6.480000, -3.640000>,
      < -13.764000, 6.480000, -3.596000>
    }
    triangle {
      < -13.972000, 6.764000, -3.516000>,
      < -13.764000, 6.480000, -3.596000>,
      < -13.788000, 6.764000, -3.436000>
    }
    triangle {
      < -13.864000, 6.480000, -3.640000>,
      < -13.800000, 6.340000, -3.724000>,
      < -13.748000, 6.340000, -3.696000>
    }
    triangle {
      < -13.864000, 6.480000, -3.640000>,
      < -13.748000, 6.340000, -3.696000>,
      < -13.764000, 6.480000, -3.596000>
    }
    triangle {
      < -13.800000, -1.892000, -3.724000>,
      < -13.724000, -3.176000, -3.820000>,
      < -13.748000, -1.892000, -3.696000>
    }
    triangle {
      < -13.724000, 14.308000, -3.820000>,
      < -13.752000, 14.308000, -3.656000>,
      < -13.664000, 14.308000, -3.668000>
    }
    triangle {
      < -13.752000, 14.308000, -3.656000>,
      < -13.772000, 14.880000, -3.532000>,
      < -13.620000, 14.880000, -3.540000>
    }
    triangle {
      < -13.752000, 14.308000, -3.656000>,
      < -13.620000, 14.880000, -3.540000>,
      < -13.664000, 14.308000, -3.668000>
    }
    triangle {
      < -13.772000, 14.880000, -3.532000>,
      < -13.792000, 14.880000, -3.400000>,
      < -13.572000, 14.880000, -3.420000>
    }
    triangle {
      < -13.772000, 14.880000, -3.532000>,
      < -13.572000, 14.880000, -3.420000>,
      < -13.620000, 14.880000, -3.540000>
    }
    triangle {
      < -13.792000, 14.880000, -3.400000>,
      < -13.792000, 13.596000, -3.400000>,
      < -13.572000, 13.596000, -3.420000>
    }
    triangle {
      < -13.792000, 14.880000, -3.400000>,
      < -13.572000, 13.596000, -3.420000>,
      < -13.572000, 14.880000, -3.420000>
    }
    triangle {
      < -13.792000, 13.596000, -3.400000>,
      < -13.784000, 13.596000, -3.464000>,
      < -13.600000, 13.596000, -3.484000>
    }
    triangle {
      < -13.792000, 13.596000, -3.400000>,
      < -13.600000, 13.596000, -3.484000>,
      < -13.572000, 13.596000, -3.420000>
    }
    triangle {
      < -13.784000, 13.596000, -3.464000>,
      < -13.800000, 13.316000, -3.368000>,
      < -13.564000, 13.316000, -3.388000>
    }
    triangle {
      < -13.784000, 13.596000, -3.464000>,
      < -13.564000, 13.316000, -3.388000>,
      < -13.600000, 13.596000, -3.484000>
    }
    triangle {
      < -13.800000, 13.316000, -3.368000>,
      < -13.800000, 7.480000, -3.368000>,
      < -13.564000, 7.480000, -3.388000>
    }
    triangle {
      < -13.800000, 13.316000, -3.368000>,
      < -13.564000, 7.480000, -3.388000>,
      < -13.564000, 13.316000, -3.388000>
    }
    triangle {
      < -13.800000, 7.480000, -3.368000>,
      < -13.788000, 6.764000, -3.436000>,
      < -13.588000, 6.764000, -3.452000>
    }
    triangle {
      < -13.800000, 7.480000, -3.368000>,
      < -13.588000, 6.764000, -3.452000>,
      < -13.564000, 7.480000, -3.388000>
    }
    triangle {
      < -13.788000, 6.764000, -3.436000>,
      < -13.764000, 6.480000, -3.596000>,
      < -13.644000, 6.480000, -3.608000>
    }
    triangle {
      < -13.788000, 6.764000, -3.436000>,
      < -13.644000, 6.480000, -3.608000>,
      < -13.588000, 6.764000, -3.452000>
    }
    triangle {
      < -13.764000, 6.480000, -3.596000>,
      < -13.748000, 6.340000, -3.696000>,
      < -13.672000, 6.340000, -3.700000>
    }
    triangle {
      < -13.764000, 6.480000, -3.596000>,
      < -13.672000, 6.340000, -3.700000>,
      < -13.644000, 6.480000, -3.608000>
    }
    triangle {
      < -13.748000, -1.892000, -3.696000>,
      < -13.724000, -3.176000, -3.820000>,
      < -13.672000, -1.892000, -3.700000>
    }
    triangle {
      < -13.724000, 14.308000, -3.820000>,
      < -13.664000, 14.308000, -3.668000>,
      < -13.600000, 14.308000, -3.720000>
    }
    triangle {
      < -13.664000, 14.308000, -3.668000>,
      < -13.620000, 14.880000, -3.540000>,
      < -13.492000, 14.880000, -3.632000>
    }
    triangle {
      < -13.664000, 14.308000, -3.668000>,
      < -13.492000, 14.880000, -3.632000>,
      < -13.600000, 14.308000, -3.720000>
    }
    triangle {
      < -13.620000, 14.880000, -3.540000>,
      < -13.572000, 14.880000, -3.420000>,
      < -13.392000, 14.880000, -3.548000>
    }
    triangle {
      < -13.620000, 14.880000, -3.540000>,
      < -13.392000, 14.880000, -3.548000>,
      < -13.492000, 14.880000, -3.632000>
    }
    triangle {
      < -13.572000, 14.880000, -3.420000>,
      < -13.572000, 13.596000, -3.420000>,
      < -13.392000, 13.596000, -3.548000>
    }
    triangle {
      < -13.572000, 14.880000, -3.420000>,
      < -13.392000, 13.596000, -3.548000>,
      < -13.392000, 14.880000, -3.548000>
    }
    triangle {
      < -13.572000, 13.596000, -3.420000>,
      < -13.600000, 13.596000, -3.484000>,
      < -13.448000, 13.596000, -3.588000>
    }
    triangle {
      < -13.572000, 13.596000, -3.420000>,
      < -13.448000, 13.596000, -3.588000>,
      < -13.392000, 13.596000, -3.548000>
    }
    triangle {
      < -13.600000, 13.596000, -3.484000>,
      < -13.564000, 13.316000, -3.388000>,
      < -13.364000, 13.316000, -3.532000>
    }
    triangle {
      < -13.600000, 13.596000, -3.484000>,
      < -13.364000, 13.316000, -3.532000>,
      < -13.448000, 13.596000, -3.588000>
    }
    triangle {
      < -13.564000, 13.316000, -3.388000>,
      < -13.564000, 7.480000, -3.388000>,
      < -13.364000, 7.480000, -3.532000>
    }
    triangle {
      < -13.564000, 13.316000, -3.388000>,
      < -13.364000, 7.480000, -3.532000>,
      < -13.364000, 13.316000, -3.532000>
    }
    triangle {
      < -13.564000, 7.480000, -3.388000>,
      < -13.588000, 6.764000, -3.452000>,
      < -13.420000, 6.764000, -3.572000>
    }
    triangle {
      < -13.564000, 7.480000, -3.388000>,
      < -13.420000, 6.764000, -3.572000>,
      < -13.364000, 7.480000, -3.532000>
    }
    triangle {
      < -13.588000, 6.764000, -3.452000>,
      < -13.644000, 6.480000, -3.608000>,
      < -13.548000, 6.480000, -3.680000>
    }
    triangle {
      < -13.588000, 6.764000, -3.452000>,
      < -13.548000, 6.480000, -3.680000>,
      < -13.420000, 6.764000, -3.572000>
    }
    triangle {
      < -13.644000, 6.480000, -3.608000>,
      < -13.672000, 6.340000, -3.700000>,
      < -13.620000, 6.340000, -3.740000>
    }
    triangle {
      < -13.644000, 6.480000, -3.608000>,
      < -13.620000, 6.340000, -3.740000>,
      < -13.548000, 6.480000, -3.680000>
    }
    triangle {
      < -13.672000, -1.892000, -3.700000>,
      < -13.724000, -3.176000, -3.820000>,
      < -13.620000, -1.892000, -3.740000>
    }
    triangle {
      < -13.724000, 14.308000, -3.820000>,
      < -13.600000, 14.308000, -3.720000>,
      < -13.564000, 14.308000, -3.788000>
    }
    triangle {
      < -13.600000, 14.308000, -3.720000>,
      < -13.492000, 14.880000, -3.632000>,
      < -13.432000, 14.880000, -3.768000>
    }
    triangle {
      < -13.600000, 14.308000, -3.720000>,
      < -13.432000, 14.880000, -3.768000>,
      < -13.564000, 14.308000, -3.788000>
    }
    triangle {
      < -13.492000, 14.880000, -3.632000>,
      < -13.392000, 14.880000, -3.548000>,
      < -13.300000, 14.880000, -3.752000>
    }
    triangle {
      < -13.492000, 14.880000, -3.632000>,
      < -13.300000, 14.880000, -3.752000>,
      < -13.432000, 14.880000, -3.768000>
    }
    triangle {
      < -13.392000, 14.880000, -3.548000>,
      < -13.392000, 13.596000, -3.548000>,
      < -13.300000, 13.596000, -3.752000>
    }
    triangle {
      < -13.392000, 14.880000, -3.548000>,
      < -13.300000, 13.596000, -3.752000>,
      < -13.300000, 14.880000, -3.752000>
    }
    triangle {
      < -13.392000, 13.596000, -3.548000>,
      < -13.448000, 13.596000, -3.588000>,
      < -13.364000, 13.596000, -3.756000>
    }
    triangle {
      < -13.392000, 13.596000, -3.548000>,
      < -13.364000, 13.596000, -3.756000>,
      < -13.300000, 13.596000, -3.752000>
    }
    triangle {
      < -13.448000, 13.596000, -3.588000>,
      < -13.364000, 13.316000, -3.532000>,
      < -13.272000, 13.316000, -3.748000>
    }
    triangle {
      < -13.448000, 13.596000, -3.588000>,
      < -13.272000, 13.316000, -3.748000>,
      < -13.364000, 13.596000, -3.756000>
    }
    triangle {
      < -13.364000, 13.316000, -3.532000>,
      < -13.364000, 7.480000, -3.532000>,
      < -13.272000, 7.480000, -3.748000>
    }
    triangle {
      < -13.364000, 13.316000, -3.532000>,
      < -13.272000, 7.480000, -3.748000>,
      < -13.272000, 13.316000, -3.748000>
    }
    triangle {
      < -13.364000, 7.480000, -3.532000>,
      < -13.420000, 6.764000, -3.572000>,
      < -13.336000, 6.764000, -3.752000>
    }
    triangle {
      < -13.364000, 7.480000, -3.532000>,
      < -13.336000, 6.764000, -3.752000>,
      < -13.272000, 7.480000, -3.748000>
    }
    triangle {
      < -13.420000, 6.764000, -3.572000>,
      < -13.548000, 6.480000, -3.680000>,
      < -13.500000, 6.480000, -3.780000>
    }
    triangle {
      < -13.420000, 6.764000, -3.572000>,
      < -13.500000, 6.480000, -3.780000>,
      < -13.336000, 6.764000, -3.752000>
    }
    triangle {
      < -13.548000, 6.480000, -3.680000>,
      < -13.620000, 6.340000, -3.740000>,
      < -13.600000, 6.340000, -3.800000>
    }
    triangle {
      < -13.548000, 6.480000, -3.680000>,
      < -13.600000, 6.340000, -3.800000>,
      < -13.500000, 6.480000, -3.780000>
    }
    triangle {
      < -13.620000, -1.892000, -3.740000>,
      < -13.724000, -3.176000, -3.820000>,
      < -13.600000, -1.892000, -3.800000>
    }
    triangle {
      < -13.724000, 14.308000, -3.820000>,
      < -13.564000, 14.308000, -3.788000>,
      < -13.572000, 14.308000, -3.880000>
    }
    triangle {
      < -13.564000, 14.308000, -3.788000>,
      < -13.432000, 14.880000, -3.768000>,
      < -13.448000, 14.880000, -3.924000>
    }
    triangle {
      < -13.564000, 14.308000, -3.788000>,
      < -13.448000, 14.880000, -3.924000>,
      < -13.572000, 14.308000, -3.880000>
    }
    triangle {
      < -13.432000, 14.880000, -3.768000>,
      < -13.300000, 14.880000, -3.752000>,
      < -13.324000, 14.880000, -3.968000>
    }
    triangle {
      < -13.432000, 14.880000, -3.768000>,
      < -13.324000, 14.880000, -3.968000>,
      < -13.448000, 14.880000, -3.924000>
    }
    triangle {
      < -13.300000, 14.880000, -3.752000>,
      < -13.300000, 13.596000, -3.752000>,
      < -13.324000, 13.596000, -3.968000>
    }
    triangle {
      < -13.300000, 14.880000, -3.752000>,
      < -13.324000, 13.596000, -3.968000>,
      < -13.324000, 14.880000, -3.968000>
    }
    triangle {
      < -13.300000, 13.596000, -3.752000>,
      < -13.364000, 13.596000, -3.756000>,
      < -13.384000, 13.596000, -3.940000>
    }
    triangle {
      < -13.300000, 13.596000, -3.752000>,
      < -13.384000, 13.596000, -3.940000>,
      < -13.324000, 13.596000, -3.968000>
    }
    triangle {
      < -13.364000, 13.596000, -3.756000>,
      < -13.272000, 13.316000, -3.748000>,
      < -13.288000, 13.316000, -3.972000>
    }
    triangle {
      < -13.364000, 13.596000, -3.756000>,
      < -13.288000, 13.316000, -3.972000>,
      < -13.384000, 13.596000, -3.940000>
    }
    triangle {
      < -13.272000, 13.316000, -3.748000>,
      < -13.272000, 7.480000, -3.748000>,
      < -13.288000, 7.480000, -3.972000>
    }
    triangle {
      < -13.272000, 13.316000, -3.748000>,
      < -13.288000, 7.480000, -3.972000>,
      < -13.288000, 13.316000, -3.972000>
    }
    triangle {
      < -13.272000, 7.480000, -3.748000>,
      < -13.336000, 6.764000, -3.752000>,
      < -13.352000, 6.764000, -3.956000>
    }
    triangle {
      < -13.272000, 7.480000, -3.748000>,
      < -13.352000, 6.764000, -3.956000>,
      < -13.288000, 7.480000, -3.972000>
    }
    triangle {
      < -13.336000, 6.764000, -3.752000>,
      < -13.500000, 6.480000, -3.780000>,
      < -13.508000, 6.480000, -3.900000>
    }
    triangle {
      < -13.336000, 6.764000, -3.752000>,
      < -13.508000, 6.480000, -3.900000>,
      < -13.352000, 6.764000, -3.956000>
    }
    triangle {
      < -13.500000, 6.480000, -3.780000>,
      < -13.600000, 6.340000, -3.800000>,
      < -13.600000, 6.340000, -3.868000>
    }
    triangle {
      < -13.500000, 6.480000, -3.780000>,
      < -13.600000, 6.340000, -3.868000>,
      < -13.508000, 6.480000, -3.900000>
    }
    triangle {
      < -13.600000, -1.892000, -3.800000>,
      < -13.724000, -3.176000, -3.820000>,
      < -13.600000, -1.892000, -3.868000>
    }
    triangle {
      < -13.724000, 14.308000, -3.820000>,
      < -13.572000, 14.308000, -3.880000>,
      < -13.620000, 14.308000, -3.948000>
    }
    triangle {
      < -13.572000, 14.308000, -3.880000>,
      < -13.448000, 14.880000, -3.924000>,
      < -13.536000, 14.880000, -4.048000>
    }
    triangle {
      < -13.572000, 14.308000, -3.880000>,
      < -13.536000, 14.880000, -4.048000>,
      < -13.620000, 14.308000, -3.948000>
    }
    triangle {
      < -13.448000, 14.880000, -3.924000>,
      < -13.324000, 14.880000, -3.968000>,
      < -13.448000, 14.880000, -4.152000>
    }
    triangle {
      < -13.448000, 14.880000, -3.924000>,
      < -13.448000, 14.880000, -4.152000>,
      < -13.536000, 14.880000, -4.048000>
    }
    triangle {
      < -13.324000, 14.880000, -3.968000>,
      < -13.324000, 13.596000, -3.968000>,
      < -13.448000, 13.596000, -4.152000>
    }
    triangle {
      < -13.324000, 14.880000, -3.968000>,
      < -13.448000, 13.596000, -4.152000>,
      < -13.448000, 14.880000, -4.152000>
    }
    triangle {
      < -13.324000, 13.596000, -3.968000>,
      < -13.384000, 13.596000, -3.940000>,
      < -13.492000, 13.596000, -4.096000>
    }
    triangle {
      < -13.324000, 13.596000, -3.968000>,
      < -13.492000, 13.596000, -4.096000>,
      < -13.448000, 13.596000, -4.152000>
    }
    triangle {
      < -13.384000, 13.596000, -3.940000>,
      < -13.288000, 13.316000, -3.972000>,
      < -13.428000, 13.316000, -4.176000>
    }
    triangle {
      < -13.384000, 13.596000, -3.940000>,
      < -13.428000, 13.316000, -4.176000>,
      < -13.492000, 13.596000, -4.096000>
    }
    triangle {
      < -13.288000, 13.316000, -3.972000>,
      < -13.288000, 7.480000, -3.972000>,
      < -13.428000, 7.480000, -4.176000>
    }
    triangle {
      < -13.288000, 13.316000, -3.972000>,
      < -13.428000, 7.480000, -4.176000>,
      < -13.428000, 13.316000, -4.176000>
    }
    triangle {
      < -13.288000, 7.480000, -3.972000>,
      < -13.352000, 6.764000, -3.956000>,
      < -13.464000, 6.764000, -4.124000>
    }
    triangle {
      < -13.288000, 7.480000, -3.972000>,
      < -13.464000, 6.764000, -4.124000>,
      < -13.428000, 7.480000, -4.176000>
    }
    triangle {
      < -13.352000, 6.764000, -3.956000>,
      < -13.508000, 6.480000, -3.900000>,
      < -13.572000, 6.480000, -3.996000>
    }
    triangle {
      < -13.352000, 6.764000, -3.956000>,
      < -13.572000, 6.480000, -3.996000>,
      < -13.464000, 6.764000, -4.124000>
    }
    triangle {
      < -13.508000, 6.480000, -3.900000>,
      < -13.600000, 6.340000, -3.868000>,
      < -13.644000, 6.340000, -3.920000>
    }
    triangle {
      < -13.508000, 6.480000, -3.900000>,
      < -13.644000, 6.340000, -3.920000>,
      < -13.572000, 6.480000, -3.996000>
    }
    triangle {
      < -13.600000, -1.892000, -3.868000>,
      < -13.724000, -3.176000, -3.820000>,
      < -13.644000, -1.892000, -3.920000>
    }
    triangle {
      < -13.724000, 14.308000, -3.820000>,
      < -13.620000, 14.308000, -3.948000>,
      < -13.696000, 14.308000, -3.980000>
    }
    triangle {
      < -13.620000, 14.308000, -3.948000>,
      < -13.536000, 14.880000, -4.048000>,
      < -13.672000, 14.880000, -4.112000>
    }
    triangle {
      < -13.620000, 14.308000, -3.948000>,
      < -13.672000, 14.880000, -4.112000>,
      < -13.696000, 14.308000, -3.980000>
    }
    triangle {
      < -13.536000, 14.880000, -4.048000>,
      < -13.448000, 14.880000, -4.152000>,
      < -13.648000, 14.880000, -4.240000>
    }
    triangle {
      < -13.536000, 14.880000, -4.048000>,
      < -13.648000, 14.880000, -4.240000>,
      < -13.672000, 14.880000, -4.112000>
    }
    triangle {
      < -13.448000, 14.880000, -4.152000>,
      < -13.448000, 13.596000, -4.152000>,
      < -13.648000, 13.596000, -4.240000>
    }
    triangle {
      < -13.448000, 14.880000, -4.152000>,
      < -13.648000, 13.596000, -4.240000>,
      < -13.648000, 14.880000, -4.240000>
    }
    triangle {
      < -13.448000, 13.596000, -4.152000>,
      < -13.492000, 13.596000, -4.096000>,
      < -13.660000, 13.596000, -4.176000>
    }
    triangle {
      < -13.448000, 13.596000, -4.152000>,
      < -13.660000, 13.596000, -4.176000>,
      < -13.648000, 13.596000, -4.240000>
    }
    triangle {
      < -13.492000, 13.596000, -4.096000>,
      < -13.428000, 13.316000, -4.176000>,
      < -13.644000, 13.316000, -4.272000>
    }
    triangle {
      < -13.492000, 13.596000, -4.096000>,
      < -13.644000, 13.316000, -4.272000>,
      < -13.660000, 13.596000, -4.176000>
    }
    triangle {
      < -13.428000, 13.316000, -4.176000>,
      < -13.428000, 7.480000, -4.176000>,
      < -13.644000, 7.480000, -4.272000>
    }
    triangle {
      < -13.428000, 13.316000, -4.176000>,
      < -13.644000, 7.480000, -4.272000>,
      < -13.644000, 13.316000, -4.272000>
    }
    triangle {
      < -13.428000, 7.480000, -4.176000>,
      < -13.464000, 6.764000, -4.124000>,
      < -13.656000, 6.764000, -4.208000>
    }
    triangle {
      < -13.428000, 7.480000, -4.176000>,
      < -13.656000, 6.764000, -4.208000>,
      < -13.644000, 7.480000, -4.272000>
    }
    triangle {
      < -13.464000, 6.764000, -4.124000>,
      < -13.572000, 6.480000, -3.996000>,
      < -13.684000, 6.480000, -4.048000>
    }
    triangle {
      < -13.464000, 6.764000, -4.124000>,
      < -13.684000, 6.480000, -4.048000>,
      < -13.656000, 6.764000, -4.208000>
    }
    triangle {
      < -13.572000, 6.480000, -3.996000>,
      < -13.644000, 6.340000, -3.920000>,
      < -13.700000, 6.340000, -3.948000>
    }
    triangle {
      < -13.572000, 6.480000, -3.996000>,
      < -13.700000, 6.340000, -3.948000>,
      < -13.684000, 6.480000, -4.048000>
    }
    triangle {
      < -13.644000, -1.892000, -3.920000>,
      < -13.724000, -3.176000, -3.820000>,
      < -13.700000, -1.892000, -3.948000>
    }
    triangle {
      < -13.724000, 14.308000, -3.820000>,
      < -13.696000, 14.308000, -3.980000>,
      < -13.772000, 14.308000, -3.972000>
    }
    triangle {
      < -13.696000, 14.308000, -3.980000>,
      < -13.672000, 14.880000, -4.112000>,
      < -13.824000, 14.880000, -4.096000>
    }
    triangle {
      < -13.696000, 14.308000, -3.980000>,
      < -13.824000, 14.880000, -4.096000>,
      < -13.772000, 14.308000, -3.972000>
    }
    triangle {
      < -13.672000, 14.880000, -4.112000>,
      < -13.648000, 14.880000, -4.240000>,
      < -13.864000, 14.880000, -4.220000>
    }
    triangle {
      < -13.672000, 14.880000, -4.112000>,
      < -13.864000, 14.880000, -4.220000>,
      < -13.824000, 14.880000, -4.096000>
    }
    triangle {
      < -13.648000, 14.880000, -4.240000>,
      < -13.648000, 13.596000, -4.240000>,
      < -13.864000, 13.596000, -4.220000>
    }
    triangle {
      < -13.648000, 14.880000, -4.240000>,
      < -13.864000, 13.596000, -4.220000>,
      < -13.864000, 14.880000, -4.220000>
    }
    triangle {
      < -13.648000, 13.596000, -4.240000>,
      < -13.660000, 13.596000, -4.176000>,
      < -13.848000, 13.596000, -4.156000>
    }
    triangle {
      < -13.648000, 13.596000, -4.240000>,
      < -13.848000, 13.596000, -4.156000>,
      < -13.864000, 13.596000, -4.220000>
    }
    triangle {
      < -13.660000, 13.596000, -4.176000>,
      < -13.644000, 13.316000, -4.272000>,
      < -13.880000, 13.316000, -4.252000>
    }
    triangle {
      < -13.660000, 13.596000, -4.176000>,
      < -13.880000, 13.316000, -4.252000>,
      < -13.848000, 13.596000, -4.156000>
    }
    triangle {
      < -13.644000, 13.316000, -4.272000>,
      < -13.644000, 7.480000, -4.272000>,
      < -13.880000, 7.480000, -4.252000>
    }
    triangle {
      < -13.644000, 13.316000, -4.272000>,
      < -13.880000, 7.480000, -4.252000>,
      < -13.880000, 13.316000, -4.252000>
    }
    triangle {
      < -13.644000, 7.480000, -4.272000>,
      < -13.656000, 6.764000, -4.208000>,
      < -13.856000, 6.764000, -4.188000>
    }
    triangle {
      < -13.644000, 7.480000, -4.272000>,
      < -13.856000, 6.764000, -4.188000>,
      < -13.880000, 7.480000, -4.252000>
    }
    triangle {
      < -13.656000, 6.764000, -4.208000>,
      < -13.684000, 6.480000, -4.048000>,
      < -13.800000, 6.480000, -4.036000>
    }
    triangle {
      < -13.656000, 6.764000, -4.208000>,
      < -13.800000, 6.480000, -4.036000>,
      < -13.856000, 6.764000, -4.188000>
    }
    triangle {
      < -13.684000, 6.480000, -4.048000>,
      < -13.700000, 6.340000, -3.948000>,
      < -13.764000, 6.340000, -3.940000>
    }
    triangle {
      < -13.684000, 6.480000, -4.048000>,
      < -13.764000, 6.340000, -3.940000>,
      < -13.800000, 6.480000, -4.036000>
    }
    triangle {
      < -13.700000, -1.892000, -3.948000>,
      < -13.724000, -3.176000, -3.820000>,
      < -13.764000, -1.892000, -3.940000>
    }
    triangle {
      < -13.724000, 14.308000, -3.820000>,
      < -13.772000, 14.308000, -3.972000>,
      < -13.848000, 14.308000, -3.924000>
    }
    triangle {
      < -13.772000, 14.308000, -3.972000>,
      < -13.824000, 14.880000, -4.096000>,
      < -13.948000, 14.880000, -4.008000>
    }
    triangle {
      < -13.772000, 14.308000, -3.972000>,
      < -13.948000, 14.880000, -4.008000>,
      < -13.848000, 14.308000, -3.924000>
    }
    triangle {
      < -13.824000, 14.880000, -4.096000>,
      < -13.864000, 14.880000, -4.220000>,
      < -14.052000, 14.880000, -4.088000>
    }
    triangle {
      < -13.824000, 14.880000, -4.096000>,
      < -14.052000, 14.880000, -4.088000>,
      < -13.948000, 14.880000, -4.008000>
    }
    triangle {
      < -13.864000, 14.880000, -4.220000>,
      < -13.864000, 13.596000, -4.220000>,
      < -14.052000, 13.596000, -4.088000>
    }
    triangle {
      < -13.864000, 14.880000, -4.220000>,
      < -14.052000, 13.596000, -4.088000>,
      < -14.052000, 14.880000, -4.088000>
    }
    triangle {
      < -13.864000, 13.596000, -4.220000>,
      < -13.848000, 13.596000, -4.156000>,
      < -14.000000, 13.596000, -4.048000>
    }
    triangle {
      < -13.864000, 13.596000, -4.220000>,
      < -14.000000, 13.596000, -4.048000>,
      < -14.052000, 13.596000, -4.088000>
    }
    triangle {
      < -13.848000, 13.596000, -4.156000>,
      < -13.880000, 13.316000, -4.252000>,
      < -14.072000, 13.316000, -4.116000>
    }
    triangle {
      < -13.848000, 13.596000, -4.156000>,
      < -14.072000, 13.316000, -4.116000>,
      < -14.000000, 13.596000, -4.048000>
    }
    triangle {
      < -13.880000, 13.316000, -4.252000>,
      < -13.880000, 7.480000, -4.252000>,
      < -14.072000, 7.480000, -4.116000>
    }
    triangle {
      < -13.880000, 13.316000, -4.252000>,
      < -14.072000, 7.480000, -4.116000>,
      < -14.072000, 13.316000, -4.116000>
    }
    triangle {
      < -13.880000, 7.480000, -4.252000>,
      < -13.856000, 6.764000, -4.188000>,
      < -14.024000, 6.764000, -4.072000>
    }
    triangle {
      < -13.880000, 7.480000, -4.252000>,
      < -14.024000, 6.764000, -4.072000>,
      < -14.072000, 7.480000, -4.116000>
    }
    triangle {
      < -13.856000, 6.764000, -4.188000>,
      < -13.800000, 6.480000, -4.036000>,
      < -13.896000, 6.480000, -3.964000>
    }
    triangle {
      < -13.856000, 6.764000, -4.188000>,
      < -13.896000, 6.480000, -3.964000>,
      < -14.024000, 6.764000, -4.072000>
    }
    triangle {
      < -13.800000, 6.480000, -4.036000>,
      < -13.764000, 6.340000, -3.940000>,
      < -13.820000, 6.340000, -3.900000>
    }
    triangle {
      < -13.800000, 6.480000, -4.036000>,
      < -13.820000, 6.340000, -3.900000>,
      < -13.896000, 6.480000, -3.964000>
    }
    triangle {
      < -13.764000, -1.892000, -3.940000>,
      < -13.724000, -3.176000, -3.820000>,
      < -13.820000, -1.892000, -3.900000>
    }
    triangle {
      < -13.724000, 14.308000, -3.820000>,
      < -13.848000, 14.308000, -3.924000>,
      < -13.880000, 14.308000, -3.848000>
    }
    triangle {
      < -13.848000, 14.308000, -3.924000>,
      < -13.948000, 14.880000, -4.008000>,
      < -14.008000, 14.880000, -3.872000>
    }
    triangle {
      < -13.848000, 14.308000, -3.924000>,
      < -14.008000, 14.880000, -3.872000>,
      < -13.880000, 14.308000, -3.848000>
    }
    triangle {
      < -13.948000, 14.880000, -4.008000>,
      < -14.052000, 14.880000, -4.088000>,
      < -14.136000, 14.880000, -3.896000>
    }
    triangle {
      < -13.948000, 14.880000, -4.008000>,
      < -14.136000, 14.880000, -3.896000>,
      < -14.008000, 14.880000, -3.872000>
    }
    triangle {
      < -14.052000, 14.880000, -4.088000>,
      < -14.052000, 13.596000, -4.088000>,
      < -14.136000, 13.596000, -3.896000>
    }
    triangle {
      < -14.052000, 14.880000, -4.088000>,
      < -14.136000, 13.596000, -3.896000>,
      < -14.136000, 14.880000, -3.896000>
    }
    triangle {
      < -14.052000, 13.596000, -4.088000>,
      < -14.000000, 13.596000, -4.048000>,
      < -14.072000, 13.596000, -3.884000>
    }
    triangle {
      < -14.052000, 13.596000, -4.088000>,
      < -14.072000, 13.596000, -3.884000>,
      < -14.136000, 13.596000, -3.896000>
    }
    triangle {
      < -14.000000, 13.596000, -4.048000>,
      < -14.072000, 13.316000, -4.116000>,
      < -14.172000, 13.316000, -3.900000>
    }
    triangle {
      < -14.000000, 13.596000, -4.048000>,
      < -14.172000, 13.316000, -3.900000>,
      < -14.072000, 13.596000, -3.884000>
    }
    triangle {
      < -14.072000, 13.316000, -4.116000>,
      < -14.072000, 7.480000, -4.116000>,
      < -14.172000, 7.480000, -3.900000>
    }
    triangle {
      < -14.072000, 13.316000, -4.116000>,
      < -14.172000, 7.480000, -3.900000>,
      < -14.172000, 13.316000, -3.900000>
    }
    triangle {
      < -14.072000, 7.480000, -4.116000>,
      < -14.024000, 6.764000, -4.072000>,
      < -14.108000, 6.764000, -3.888000>
    }
    triangle {
      < -14.072000, 7.480000, -4.116000>,
      < -14.108000, 6.764000, -3.888000>,
      < -14.172000, 7.480000, -3.900000>
    }
    triangle {
      < -14.024000, 6.764000, -4.072000>,
      < -13.896000, 6.480000, -3.964000>,
      < -13.944000, 6.480000, -3.856000>
    }
    triangle {
      < -14.024000, 6.764000, -4.072000>,
      < -13.944000, 6.480000, -3.856000>,
      < -14.108000, 6.764000, -3.888000>
    }
    triangle {
      < -13.896000, 6.480000, -3.964000>,
      < -13.820000, 6.340000, -3.900000>,
      < -13.848000, 6.340000, -3.840000>
    }
    triangle {
      < -13.896000, 6.480000, -3.964000>,
      < -13.848000, 6.340000, -3.840000>,
      < -13.944000, 6.480000, -3.856000>
    }
    triangle {
      < -13.820000, -1.892000, -3.900000>,
      < -13.724000, -3.176000, -3.820000>,
      < -13.848000, -1.892000, -3.840000>
    }
    triangle {
      < -13.916000, -1.024000, -4.040000>,
      < -13.480000, -1.024000, -3.956000>,
      < -13.428000, -1.812000, -4.248000>
    }
    triangle {
      < -13.916000, -1.024000, -4.040000>,
      < -13.428000, -1.812000, -4.248000>,
      < -13.864000, -1.812000, -4.324000>
    }
    triangle {
      < -13.864000, -1.812000, -4.324000>,
      < -13.428000, -1.812000, -4.248000>,
      < -13.448000, -1.812000, -4.140000>
    }
    triangle {
      < -13.864000, -1.812000, -4.324000>,
      < -13.448000, -1.812000, -4.140000>,
      < -13.888000, -1.812000, -4.216000>
    }
    triangle {
      < -13.888000, -1.812000, -4.216000>,
      < -13.448000, -1.812000, -4.140000>,
      < -13.492000, -1.208000, -3.888000>
    }
    triangle {
      < -13.972000, -1.256000, -3.716000>,
      < -13.536000, -1.256000, -3.640000>,
      < -13.580000, -1.720000, -3.388000>
    }
    triangle {
      < -13.972000, -1.256000, -3.716000>,
      < -13.580000, -1.720000, -3.388000>,
      < -14.020000, -1.720000, -3.468000>
    }
    triangle {
      < -14.020000, -1.720000, -3.468000>,
      < -13.580000, -1.720000, -3.388000>,
      < -13.600000, -1.720000, -3.280000>
    }
    triangle {
      < -14.020000, -1.720000, -3.468000>,
      < -13.600000, -1.720000, -3.280000>,
      < -14.036000, -1.720000, -3.356000>
    }
    triangle {
      < -14.036000, -1.720000, -3.356000>,
      < -13.600000, -1.720000, -3.280000>,
      < -13.544000, -1.024000, -3.600000>
    }
    triangle {
      < -14.036000, -1.720000, -3.356000>,
      < -13.544000, -1.024000, -3.600000>,
      < -13.980000, -1.024000, -3.680000>
    }
    triangle {
      < -13.972000, -1.256000, -3.716000>,
      < -14.020000, -1.720000, -3.468000>,
      < -14.036000, -1.720000, -3.356000>
    }
    triangle {
      < -13.536000, -1.256000, -3.640000>,
      < -13.600000, -1.720000, -3.280000>,
      < -13.580000, -1.720000, -3.388000>
    }
    triangle {
      < -13.972000, -1.256000, -3.716000>,
      < -14.036000, -1.720000, -3.356000>,
      < -13.980000, -1.024000, -3.680000>
    }
    triangle {
      < -13.536000, -1.256000, -3.640000>,
      < -13.544000, -1.024000, -3.600000>,
      < -13.600000, -1.720000, -3.280000>
    }
    triangle {
      < -13.932000, -1.208000, -3.964000>,
      < -13.972000, -1.256000, -3.716000>,
      < -13.980000, -1.024000, -3.680000>
    }
    triangle {
      < -13.492000, -1.208000, -3.888000>,
      < -13.544000, -1.024000, -3.600000>,
      < -13.536000, -1.256000, -3.640000>
    }
    triangle {
      < -13.932000, -1.208000, -3.964000>,
      < -13.980000, -1.024000, -3.680000>,
      < -13.916000, -1.024000, -4.040000>
    }
    triangle {
      < -13.492000, -1.208000, -3.888000>,
      < -13.480000, -1.024000, -3.956000>,
      < -13.544000, -1.024000, -3.600000>
    }
    triangle {
      < -13.916000, -1.024000, -4.040000>,
      < -13.864000, -1.812000, -4.324000>,
      < -13.888000, -1.812000, -4.216000>
    }
    triangle {
      < -13.480000, -1.024000, -3.956000>,
      < -13.448000, -1.812000, -4.140000>,
      < -13.428000, -1.812000, -4.248000>
    }
    triangle {
      < -13.916000, -1.024000, -4.040000>,
      < -13.888000, -1.812000, -4.216000>,
      < -13.932000, -1.208000, -3.964000>
    }
    triangle {
      < -13.480000, -1.024000, -3.956000>,
      < -13.492000, -1.208000, -3.888000>,
      < -13.448000, -1.812000, -4.140000>
    }
    triangle {
      < -13.644000, -1.244000, -3.728000>,
      < -13.620000, -1.892000, -3.740000>,
      < -13.628000, -1.240000, -3.736000>
    }
    triangle {
      < -13.844000, -1.240000, -3.780000>,
      < -13.932000, -1.208000, -3.964000>,
      < -13.848000, -1.232000, -3.840000>
    }
    triangle {
      < -13.808000, -1.248000, -3.724000>,
      < -13.972000, -1.256000, -3.716000>,
      < -13.844000, -1.240000, -3.772000>
    }
    triangle {
      < -13.752000, -1.252000, -3.696000>,
      < -13.972000, -1.256000, -3.716000>,
      < -13.800000, -1.248000, -3.724000>
    }
    triangle {
      < -13.684000, -1.248000, -3.696000>,
      < -13.536000, -1.256000, -3.640000>,
      < -13.748000, -1.252000, -3.696000>
    }
    triangle {
      < -13.636000, -1.024000, -3.912000>,
      < -13.616000, -1.024000, -3.888000>,
      < -13.480000, -1.024000, -3.956000>
    }
    triangle {
      < -13.692000, -1.024000, -3.940000>,
      < -13.644000, -1.024000, -3.920000>,
      < -13.480000, -1.024000, -3.956000>
    }
    triangle {
      < -13.760000, -1.024000, -3.940000>,
      < -13.700000, -1.024000, -3.948000>,
      < -13.916000, -1.024000, -4.040000>
    }
    triangle {
      < -13.816000, -1.024000, -3.904000>,
      < -13.764000, -1.024000, -3.940000>,
      < -13.916000, -1.024000, -4.040000>
    }
    triangle {
      < -13.844000, -1.024000, -3.784000>,
      < -13.848000, -1.024000, -3.840000>,
      < -13.916000, -1.024000, -4.040000>
    }
    triangle {
      < -13.808000, -1.024000, -3.728000>,
      < -13.832000, -1.024000, -3.764000>,
      < -13.980000, -1.024000, -3.680000>
    }
    triangle {
      < -13.752000, -1.024000, -3.696000>,
      < -13.800000, -1.024000, -3.724000>,
      < -13.980000, -1.024000, -3.680000>
    }
    triangle {
      < -13.684000, -1.024000, -3.696000>,
      < -13.748000, -1.024000, -3.696000>,
      < -13.544000, -1.024000, -3.600000>
    }
    triangle {
      < -13.628000, -1.024000, -3.736000>,
      < -13.672000, -1.024000, -3.700000>,
      < -13.544000, -1.024000, -3.600000>
    }
    triangle {
      < -13.600000, -1.024000, -3.796000>,
      < -13.620000, -1.024000, -3.740000>,
      < -13.544000, -1.024000, -3.600000>
    }
    triangle {
      < -13.600000, -1.024000, -3.856000>,
      < -13.600000, -1.024000, -3.800000>,
      < -13.544000, -1.024000, -3.600000>
    }
    triangle {
      < -13.816000, -1.216000, -3.904000>,
      < -13.932000, -1.208000, -3.964000>,
      < -13.772000, -1.208000, -3.936000>
    }
    triangle {
      < -13.628000, -1.240000, -3.736000>,
      < -13.536000, -1.256000, -3.640000>,
      < -13.644000, -1.244000, -3.728000>
    }
    triangle {
      < -13.600000, -1.232000, -3.796000>,
      < -13.536000, -1.256000, -3.640000>,
      < -13.620000, -1.240000, -3.740000>
    }
    triangle {
      < -13.600000, -1.216000, -3.856000>,
      < -13.536000, -1.256000, -3.640000>,
      < -13.600000, -1.232000, -3.800000>
    }
    triangle {
      < -13.696000, -1.260000, -3.948000>,
      < -13.492000, -1.208000, -3.888000>,
      < -13.644000, -1.220000, -3.920000>
    }
    triangle {
      < -13.760000, -1.224000, -3.940000>,
      < -13.888000, -1.812000, -4.216000>,
      < -13.700000, -1.264000, -3.948000>
    }
    texture {gunsl}
  }
  // rockets_engines
  union {
    triangle {
      < 2.496000, 11.368000, -2.132000>,
      < 4.172000, 14.236000, -2.428000>,
      < 3.072000, 11.368000, -2.232000>
    }
    triangle {
      < 2.452000, 11.368000, -2.124000>,
      < 4.172000, 14.236000, -2.428000>,
      < 2.496000, 11.368000, -2.132000>
    }
    texture {rockets_engines}
  }
  // engines
  union {
    triangle {
      < 2.452000, 11.368000, -2.124000>,
      < 1.588000, 14.500000, -1.968000>,
      < 4.172000, 14.236000, -2.428000>
    }
    texture {engines}
  }
  // body
  union {
    triangle {
      < 2.328000, 9.416000, -2.104000>,
      < 1.588000, 14.500000, -1.968000>,
      < 2.348000, 9.464000, -2.104000>
    }
    triangle {
      < 1.588000, 14.500000, -1.968000>,
      < 2.328000, 9.408000, -2.104000>,
      < 1.604000, 7.492000, -1.976000>
    }
    triangle {
      < 1.588000, 14.500000, -1.968000>,
      < 2.328000, 9.416000, -2.104000>,
      < 2.328000, 9.408000, -2.104000>
    }
    texture {body}
  }
  // engines
  union {
    triangle {
      < 3.104000, 11.368000, -2.240000>,
      < 4.356000, 14.220000, -2.460000>,
      < 3.188000, 11.368000, -2.252000>
    }
    texture {engines}
  }
  // rockets_engines
  union {
    triangle {
      < 4.172000, 14.236000, -2.428000>,
      < 3.104000, 11.368000, -2.240000>,
      < 3.072000, 11.368000, -2.232000>
    }
    texture {rockets_engines}
  }
  // engines
  union {
    triangle {
      < 4.172000, 14.236000, -2.428000>,
      < 4.356000, 14.220000, -2.460000>,
      < 3.104000, 11.368000, -2.240000>
    }
    texture {engines}
  }
  // body
  union {
    triangle {
      < 2.328000, 9.408000, -2.104000>,
      < 2.356000, 9.416000, -2.040000>,
      < 1.604000, 7.492000, -1.976000>
    }
    texture {body}
  }
  // engines
  union {
    triangle {
      < 3.956000, 11.368000, -2.388000>,
      < 4.356000, 14.220000, -2.460000>,
      < 4.356000, 11.368000, -2.460000>
    }
    triangle {
      < 3.712000, 11.368000, -2.348000>,
      < 4.356000, 14.220000, -2.460000>,
      < 3.956000, 11.368000, -2.388000>
    }
    triangle {
      < 3.540000, 11.368000, -2.316000>,
      < 4.356000, 14.220000, -2.460000>,
      < 3.712000, 11.368000, -2.348000>
    }
    triangle {
      < 3.356000, 11.368000, -2.284000>,
      < 4.356000, 14.220000, -2.460000>,
      < 3.540000, 11.368000, -2.316000>
    }
    triangle {
      < 3.188000, 11.368000, -2.252000>,
      < 4.356000, 14.220000, -2.460000>,
      < 3.356000, 11.368000, -2.284000>
    }
    texture {engines}
  }
  // body
  union {
    triangle {
      < 2.328000, 9.272000, -2.104000>,
      < 2.328000, 7.560000, -2.104000>,
      < 1.604000, 7.492000, -1.976000>
    }
    texture {body}
  }
  // wingsr
  union {
    triangle {
      < 4.732000, 9.416000, -2.420000>,
      < 6.428000, 14.020000, -2.256000>,
      < 4.464000, 7.776000, -2.448000>
    }
    triangle {
      < 4.608000, 11.368000, -2.432000>,
      < 6.428000, 14.020000, -2.256000>,
      < 4.608000, 9.948000, -2.432000>
    }
    texture {wingsr}
  }
  // engines
  union {
    triangle {
      < 4.372000, 14.220000, -2.460000>,
      < 4.608000, 11.368000, -2.432000>,
      < 4.608000, 9.948000, -2.432000>
    }
    texture {engines}
  }
  // wingsr
  union {
    triangle {
      < 4.372000, 14.220000, -2.460000>,
      < 6.428000, 14.020000, -2.256000>,
      < 4.608000, 11.368000, -2.432000>
    }
    texture {wingsr}
  }
  // engines
  union {
    triangle {
      < 4.356000, 14.220000, -2.460000>,
      < 4.364000, 11.368000, -2.456000>,
      < 4.356000, 11.368000, -2.460000>
    }
    triangle {
      < 4.356000, 14.220000, -2.460000>,
      < 4.372000, 14.220000, -2.460000>,
      < 4.364000, 11.368000, -2.456000>
    }
    triangle {
      < 4.364000, 11.368000, -2.456000>,
      < 4.372000, 14.220000, -2.460000>,
      < 4.408000, 11.368000, -2.452000>
    }
    texture {engines}
  }
  // wingsr
  union {
    triangle {
      < 6.428000, 14.020000, -2.256000>,
      < 4.732000, 8.544000, -2.420000>,
      < 4.732000, 8.632000, -2.420000>
    }
    triangle {
      < 6.428000, 14.020000, -2.256000>,
      < 6.648000, 14.000000, -2.236000>,
      < 4.732000, 8.544000, -2.420000>
    }
    triangle {
      < 4.732000, 8.544000, -2.420000>,
      < 6.648000, 7.984000, -2.236000>,
      < 4.732000, 7.800000, -2.420000>
    }
    triangle {
      < 4.732000, 8.544000, -2.420000>,
      < 6.648000, 14.000000, -2.236000>,
      < 6.648000, 7.984000, -2.236000>
    }
    texture {wingsr}
  }
  // body
  union {
    triangle {
      < 2.356000, 7.568000, -2.040000>,
      < 1.604000, 7.492000, -1.976000>,
      < 2.328000, 7.560000, -2.104000>
    }
    texture {body}
  }
  // DEFAULT
  union {
    triangle {
      < 2.708000, 7.592000, -1.660000>,
      < 1.604000, 7.492000, -1.976000>,
      < 2.484000, 7.568000, -1.904000>
    }
    texture {DEFAULT}
  }
  // wingsr
  union {
    triangle {
      < 2.816000, 7.604000, -1.616000>,
      < 1.804000, 7.496000, -1.068000>,
      < 2.708000, 7.592000, -1.660000>
    }
    triangle {
      < 3.036000, 7.616000, -1.520000>,
      < 1.856000, 7.496000, -0.760000>,
      < 3.000000, 7.616000, -1.536000>
    }
    triangle {
      < 3.172000, 7.632000, -1.456000>,
      < 1.856000, 7.496000, -0.760000>,
      < 3.036000, 7.616000, -1.520000>
    }
    triangle {
      < 3.688000, 7.676000, -1.448000>,
      < 1.856000, 7.496000, -0.760000>,
      < 3.356000, 7.648000, -1.456000>
    }
    texture {wingsr}
  }
  // DEFAULT
  union {
    triangle {
      < 3.852000, 7.704000, -1.508000>,
      < 4.164000, 7.732000, -1.628000>,
      < 1.856000, 7.496000, -0.760000>
    }
    texture {DEFAULT}
  }
  // wingsr
  union {
    triangle {
      < 4.536000, 7.776000, -1.976000>,
      < 6.648000, 7.984000, -2.236000>,
      < 4.292000, 7.748000, -1.748000>
    }
    triangle {
      < 4.608000, 7.784000, -2.132000>,
      < 6.648000, 7.984000, -2.236000>,
      < 4.536000, 7.776000, -1.976000>
    }
    triangle {
      < 6.648000, 7.984000, -2.236000>,
      < 4.608000, 7.784000, -2.132000>,
      < 4.732000, 7.800000, -2.420000>
    }
    triangle {
      < 2.876000, 7.604000, -1.592000>,
      < 1.804000, 7.496000, -1.068000>,
      < 2.816000, 7.604000, -1.616000>
    }
    triangle {
      < 3.000000, 7.616000, -1.536000>,
      < 1.804000, 7.496000, -1.068000>,
      < 2.876000, 7.604000, -1.592000>
    }
    triangle {
      < 3.000000, 7.616000, -1.536000>,
      < 1.856000, 7.496000, -0.760000>,
      < 1.804000, 7.496000, -1.068000>
    }
    texture {wingsr}
  }
  // engines
  union {
    triangle {
      < 3.464000, 11.368000, -2.740000>,
      < 2.496000, 11.368000, -2.132000>,
      < 3.072000, 11.368000, -2.232000>
    }
    texture {engines}
  }
  // engines_body
  union {
    triangle {
      < 2.328000, 7.560000, -2.104000>,
      < 2.356000, 4.520000, -2.040000>,
      < 2.356000, 7.568000, -2.040000>
    }
    triangle {
      < 2.328000, 7.560000, -2.104000>,
      < 2.172000, 9.416000, -2.520000>,
      < 2.356000, 4.520000, -2.040000>
    }
    triangle {
      < 2.328000, 9.272000, -2.104000>,
      < 2.328000, 9.408000, -2.104000>,
      < 2.328000, 7.560000, -2.104000>
    }
    texture {engines_body}
  }
  // body
  union {
    triangle {
      < 2.172000, 9.416000, -2.520000>,
      < 2.328000, 9.408000, -2.104000>,
      < 2.328000, 9.416000, -2.104000>
    }
    texture {body}
  }
  // engines_body
  union {
    triangle {
      < 2.348000, 9.464000, -2.104000>,
      < 2.452000, 9.780000, -2.124000>,
      < 2.292000, 9.780000, -2.540000>
    }
    texture {engines_body}
  }
  // body
  union {
    triangle {
      < 2.328000, 9.416000, -2.104000>,
      < 2.292000, 9.780000, -2.540000>,
      < 2.172000, 9.416000, -2.520000>
    }
    texture {body}
  }
  // engines_body
  union {
    triangle {
      < 2.328000, 9.416000, -2.104000>,
      < 2.348000, 9.464000, -2.104000>,
      < 2.292000, 9.780000, -2.540000>
    }
    texture {engines_body}
  }
  // body
  union {
    triangle {
      < 2.452000, 9.832000, -2.124000>,
      < 2.452000, 11.368000, -2.124000>,
      < 2.292000, 11.368000, -2.540000>
    }
    triangle {
      < 2.452000, 9.780000, -2.124000>,
      < 2.292000, 11.368000, -2.540000>,
      < 2.292000, 9.780000, -2.540000>
    }
    triangle {
      < 2.452000, 9.780000, -2.124000>,
      < 2.452000, 9.832000, -2.124000>,
      < 2.292000, 11.368000, -2.540000>
    }
    texture {body}
  }
  // DEFAULT
  union {
    triangle {
      < 2.496000, 11.368000, -2.132000>,
      < 3.464000, 11.368000, -2.740000>,
      < 2.292000, 11.368000, -2.540000>
    }
    texture {DEFAULT}
  }
  // body
  union {
    triangle {
      < 2.496000, 11.368000, -2.132000>,
      < 2.292000, 11.368000, -2.540000>,
      < 2.452000, 11.368000, -2.124000>
    }
    texture {body}
  }
  // engines
  union {
    triangle {
      < 3.188000, 11.368000, -2.252000>,
      < 3.356000, 11.368000, -2.284000>,
      < 3.464000, 11.368000, -2.740000>
    }
    triangle {
      < 4.356000, 11.368000, -2.460000>,
      < 4.364000, 11.368000, -2.456000>,
      < 4.628000, 11.368000, -2.476000>
    }
    triangle {
      < 4.356000, 11.368000, -2.460000>,
      < 4.628000, 11.368000, -2.476000>,
      < 3.464000, 11.368000, -2.740000>
    }
    triangle {
      < 3.464000, 11.368000, -2.740000>,
      < 3.956000, 11.368000, -2.388000>,
      < 4.356000, 11.368000, -2.460000>
    }
    triangle {
      < 3.956000, 11.368000, -2.388000>,
      < 3.464000, 11.368000, -2.740000>,
      < 3.712000, 11.368000, -2.348000>
    }
    triangle {
      < 3.712000, 11.368000, -2.348000>,
      < 3.464000, 11.368000, -2.740000>,
      < 3.540000, 11.368000, -2.316000>
    }
    triangle {
      < 3.540000, 11.368000, -2.316000>,
      < 3.464000, 11.368000, -2.740000>,
      < 3.356000, 11.368000, -2.284000>
    }
    triangle {
      < 4.732000, 7.800000, -2.420000>,
      < 4.608000, 7.784000, -2.132000>,
      < 4.744000, 4.520000, -2.440000>
    }
    triangle {
      < 4.744000, 4.520000, -2.440000>,
      < 4.744000, 9.416000, -2.440000>,
      < 4.724000, 9.440000, -2.420000>
    }
    triangle {
      < 4.744000, 9.416000, -2.440000>,
      < 4.628000, 9.780000, -2.476000>,
      < 4.724000, 9.440000, -2.420000>
    }
    triangle {
      < 4.628000, 9.780000, -2.476000>,
      < 4.628000, 11.368000, -2.476000>,
      < 4.608000, 9.780000, -2.432000>
    }
    texture {engines}
  }
  // DEFAULT
  union {
    triangle {
      < 3.172000, 4.520000, -1.456000>,
      < 2.876000, 7.604000, -1.592000>,
      < 2.816000, 7.604000, -1.616000>
    }
    triangle {
      < 3.172000, 4.520000, -1.456000>,
      < 2.816000, 7.604000, -1.616000>,
      < 2.708000, 7.592000, -1.660000>
    }
    triangle {
      < 3.172000, 4.520000, -1.456000>,
      < 2.708000, 7.592000, -1.660000>,
      < 2.708000, 4.520000, -1.660000>
    }
    texture {DEFAULT}
  }
  // engines
  union {
    triangle {
      < 2.484000, 7.568000, -1.904000>,
      < 2.708000, 4.520000, -1.660000>,
      < 2.708000, 7.592000, -1.660000>
    }
    texture {engines}
  }
  // engines_body
  union {
    triangle {
      < 2.356000, 4.520000, -2.040000>,
      < 2.484000, 7.568000, -1.904000>,
      < 2.356000, 7.568000, -2.040000>
    }
    texture {engines_body}
  }
  // engines
  union {
    triangle {
      < 2.356000, 4.520000, -2.040000>,
      < 2.708000, 4.520000, -1.660000>,
      < 2.484000, 7.568000, -1.904000>
    }
    texture {engines}
  }
  // DEFAULT
  union {
    triangle {
      < 3.036000, 7.616000, -1.520000>,
      < 3.000000, 7.616000, -1.536000>,
      < 3.172000, 4.520000, -1.456000>
    }
    triangle {
      < 3.172000, 4.520000, -1.456000>,
      < 3.172000, 7.632000, -1.456000>,
      < 3.036000, 7.616000, -1.520000>
    }
    texture {DEFAULT}
  }
  // engines
  union {
    triangle {
      < 4.744000, 4.520000, -2.440000>,
      < 4.608000, 7.784000, -2.132000>,
      < 4.536000, 7.776000, -1.976000>
    }
    triangle {
      < 4.744000, 4.520000, -2.440000>,
      < 4.536000, 7.776000, -1.976000>,
      < 4.536000, 4.520000, -1.976000>
    }
    triangle {
      < 4.536000, 4.520000, -1.976000>,
      < 4.536000, 7.776000, -1.976000>,
      < 4.292000, 7.748000, -1.748000>
    }
    triangle {
      < 4.536000, 4.520000, -1.976000>,
      < 4.292000, 7.748000, -1.748000>,
      < 4.164000, 7.732000, -1.628000>
    }
    triangle {
      < 4.536000, 4.520000, -1.976000>,
      < 4.164000, 7.732000, -1.628000>,
      < 4.164000, 4.520000, -1.628000>
    }
    texture {engines}
  }
  // DEFAULT
  union {
    triangle {
      < 4.164000, 4.520000, -1.628000>,
      < 4.164000, 7.732000, -1.628000>,
      < 3.852000, 7.704000, -1.508000>
    }
    triangle {
      < 4.164000, 4.520000, -1.628000>,
      < 3.852000, 7.704000, -1.508000>,
      < 3.688000, 7.676000, -1.448000>
    }
    triangle {
      < 4.164000, 4.520000, -1.628000>,
      < 3.688000, 7.676000, -1.448000>,
      < 3.688000, 4.520000, -1.448000>
    }
    triangle {
      < 3.688000, 4.520000, -1.448000>,
      < 3.688000, 7.676000, -1.448000>,
      < 3.356000, 7.648000, -1.456000>
    }
    triangle {
      < 3.688000, 4.520000, -1.448000>,
      < 3.356000, 7.648000, -1.456000>,
      < 3.172000, 7.632000, -1.456000>
    }
    triangle {
      < 3.688000, 4.520000, -1.448000>,
      < 3.172000, 7.632000, -1.456000>,
      < 3.172000, 4.520000, -1.456000>
    }
    triangle {
      < 14.108000, 8.732000, -3.284000>,
      < 13.080000, 13.360000, -3.104000>,
      < 14.112000, 13.260000, -3.272000>
    }
    texture {DEFAULT}
  }
  // wingsr
  union {
    triangle {
      < 14.108000, 8.732000, -3.284000>,
      < 9.308000, 8.252000, -2.440000>,
      < 13.080000, 13.360000, -3.104000>
    }
    triangle {
      < 13.080000, 13.360000, -3.104000>,
      < 7.304000, 8.056000, -2.088000>,
      < 12.732000, 13.392000, -3.044000>
    }
    triangle {
      < 13.080000, 13.360000, -3.104000>,
      < 9.308000, 8.252000, -2.440000>,
      < 7.304000, 8.056000, -2.088000>
    }
    triangle {
      < 12.732000, 13.392000, -3.044000>,
      < 6.696000, 10.356000, -1.976000>,
      < 11.956000, 13.472000, -2.908000>
    }
    triangle {
      < 12.732000, 13.392000, -3.044000>,
      < 7.304000, 8.056000, -2.088000>,
      < 6.696000, 10.356000, -1.976000>
    }
    texture {wingsr}
  }
  // wingsr_body
  union {
    triangle {
      < 1.804000, 14.496000, -1.068000>,
      < 1.804000, 13.784000, -1.068000>,
      < 1.856000, 7.496000, -0.760000>
    }
    triangle {
      < 1.804000, 14.496000, -1.068000>,
      < 1.856000, 7.496000, -0.760000>,
      < 1.804000, 14.496000, -1.060000>
    }
    triangle {
      < 1.804000, 14.496000, -1.060000>,
      < 1.856000, 7.496000, -0.760000>,
      < 1.856000, 14.496000, -0.760000>
    }
    texture {wingsr_body}
  }
  // wingsr
  union {
    triangle {
      < 6.648000, 14.000000, -2.236000>,
      < 6.648000, 7.984000, -2.212000>,
      < 6.648000, 7.984000, -2.236000>
    }
    triangle {
      < 6.648000, 14.000000, -2.236000>,
      < 6.648000, 14.000000, -2.228000>,
      < 6.648000, 7.984000, -2.212000>
    }
    triangle {
      < 6.648000, 14.000000, -2.228000>,
      < 6.696000, 13.600000, -1.976000>,
      < 6.648000, 7.984000, -2.212000>
    }
    triangle {
      < 6.648000, 14.000000, -2.228000>,
      < 6.680000, 14.000000, -2.068000>,
      < 6.696000, 13.600000, -1.976000>
    }
    texture {wingsr}
  }
  // body
  union {
    triangle {
      < 1.804000, 13.784000, -1.068000>,
      < 1.764000, 14.500000, -1.060000>,
      < 1.752000, 14.500000, -1.056000>
    }
    texture {body}
  }
  // wingsr_body
  union {
    triangle {
      < 1.804000, 13.784000, -1.068000>,
      < 1.752000, 14.500000, -1.056000>,
      < 1.804000, 7.496000, -1.068000>
    }
    triangle {
      < 1.804000, 7.496000, -1.068000>,
      < 1.752000, 14.500000, -1.056000>,
      < 1.744000, 14.500000, -1.056000>
    }
    triangle {
      < 1.804000, 7.496000, -1.068000>,
      < 1.744000, 14.500000, -1.056000>,
      < 1.744000, 7.492000, -1.056000>
    }
    texture {wingsr_body}
  }
  // DEFAULT
  union {
    triangle {
      < 14.160000, 13.260000, -3.004000>,
      < 14.120000, 8.732000, -3.220000>,
      < 14.112000, 13.260000, -3.272000>
    }
    triangle {
      < 14.112000, 13.260000, -3.272000>,
      < 14.108000, 8.732000, -3.284000>,
      < 14.108000, 13.260000, -3.284000>
    }
    triangle {
      < 14.112000, 13.260000, -3.272000>,
      < 14.120000, 8.732000, -3.220000>,
      < 14.108000, 8.732000, -3.284000>
    }
    triangle {
      < 14.172000, 13.260000, -2.932000>,
      < 14.120000, 8.732000, -3.220000>,
      < 14.160000, 13.260000, -3.004000>
    }
    triangle {
      < 14.172000, 13.260000, -2.932000>,
      < 14.172000, 8.732000, -2.932000>,
      < 14.120000, 8.732000, -3.220000>
    }
    texture {DEFAULT}
  }
  // wingsr
  union {
    triangle {
      < 14.172000, 8.732000, -2.932000>,
      < 14.172000, 13.260000, -2.932000>,
      < 5.896000, 14.092000, -1.472000>
    }
    triangle {
      < 14.172000, 8.732000, -2.932000>,
      < 5.896000, 14.092000, -1.472000>,
      < 2.516000, 14.424000, -0.876000>
    }
    triangle {
      < 14.172000, 8.732000, -2.932000>,
      < 2.516000, 14.424000, -0.876000>,
      < 2.376000, 14.436000, -0.852000>
    }
    triangle {
      < 14.172000, 8.732000, -2.932000>,
      < 2.376000, 14.436000, -0.852000>,
      < 12.316000, 8.548000, -2.604000>
    }
    triangle {
      < 10.816000, 8.404000, -2.340000>,
      < 12.316000, 8.548000, -2.604000>,
      < 2.376000, 14.436000, -0.852000>
    }
    triangle {
      < 10.816000, 8.404000, -2.340000>,
      < 2.376000, 14.436000, -0.852000>,
      < 2.280000, 14.448000, -0.832000>
    }
    triangle {
      < 1.856000, 14.496000, -0.760000>,
      < 1.856000, 7.496000, -0.760000>,
      < 10.816000, 8.404000, -2.340000>
    }
    triangle {
      < 1.856000, 14.496000, -0.760000>,
      < 10.816000, 8.404000, -2.340000>,
      < 2.280000, 14.448000, -0.832000>
    }
    texture {wingsr}
  }
  // body
  union {
    triangle {
      < 1.588000, 14.500000, -1.968000>,
      < 1.584000, 7.492000, -1.968000>,
      < 1.584000, 14.500000, -1.968000>
    }
    triangle {
      < 1.588000, 14.500000, -1.968000>,
      < 1.604000, 7.492000, -1.976000>,
      < 1.584000, 7.492000, -1.968000>
    }
    triangle {
      < 1.744000, 7.492000, -1.056000>,
      < 1.744000, 14.500000, -1.056000>,
      < 1.592000, 14.500000, -1.940000>
    }
    triangle {
      < 1.744000, 7.492000, -1.056000>,
      < 1.592000, 14.500000, -1.940000>,
      < 1.744000, 7.492000, -1.064000>
    }
    triangle {
      < 1.744000, 7.492000, -1.064000>,
      < 1.592000, 14.500000, -1.940000>,
      < 1.584000, 14.500000, -1.968000>
    }
    triangle {
      < 1.744000, 7.492000, -1.064000>,
      < 1.584000, 14.500000, -1.968000>,
      < 1.584000, 7.492000, -1.968000>
    }
    texture {body}
  }
  // wingsr
  union {
    triangle {
      < 6.696000, 10.356000, -1.976000>,
      < 8.272000, 13.836000, -2.256000>,
      < 11.956000, 13.472000, -2.908000>
    }
    triangle {
      < 6.696000, 10.356000, -1.976000>,
      < 6.696000, 13.600000, -1.976000>,
      < 8.272000, 13.836000, -2.256000>
    }
    triangle {
      < 7.276000, 13.936000, -2.080000>,
      < 6.696000, 13.600000, -1.976000>,
      < 6.696000, 14.000000, -1.976000>
    }
    triangle {
      < 7.276000, 13.936000, -2.080000>,
      < 8.272000, 13.836000, -2.256000>,
      < 6.696000, 13.600000, -1.976000>
    }
    triangle {
      < 6.696000, 14.000000, -1.976000>,
      < 6.696000, 13.600000, -1.976000>,
      < 6.680000, 14.000000, -2.068000>
    }
    texture {wingsr}
  }
  // body
  union {
    triangle {
      < 1.804000, 13.784000, -1.068000>,
      < 1.804000, 14.496000, -1.068000>,
      < 1.764000, 14.500000, -1.060000>
    }
    texture {body}
  }
  // wingsr
  union {
    triangle {
      < 14.160000, 13.260000, -3.004000>,
      < 5.896000, 14.092000, -1.472000>,
      < 14.172000, 13.260000, -2.932000>
    }
    triangle {
      < 5.896000, 14.092000, -1.472000>,
      < 8.272000, 13.836000, -2.256000>,
      < 7.276000, 13.936000, -2.080000>
    }
    triangle {
      < 5.896000, 14.092000, -1.472000>,
      < 14.112000, 13.260000, -3.272000>,
      < 13.080000, 13.360000, -3.104000>
    }
    triangle {
      < 5.896000, 14.092000, -1.472000>,
      < 14.160000, 13.260000, -3.004000>,
      < 14.112000, 13.260000, -3.272000>
    }
    texture {wingsr}
  }
  // body
  union {
    triangle {
      < 1.744000, 14.500000, -1.056000>,
      < 1.752000, 14.500000, -1.056000>,
      < 1.856000, 14.496000, -0.760000>
    }
    triangle {
      < 2.280000, 14.448000, -0.832000>,
      < 1.804000, 14.496000, -1.060000>,
      < 1.856000, 14.496000, -0.760000>
    }
    triangle {
      < 2.376000, 14.436000, -0.852000>,
      < 1.804000, 14.496000, -1.060000>,
      < 2.280000, 14.448000, -0.832000>
    }
    triangle {
      < 2.516000, 14.424000, -0.876000>,
      < 1.804000, 14.496000, -1.060000>,
      < 2.376000, 14.436000, -0.852000>
    }
    triangle {
      < 1.804000, 14.496000, -1.068000>,
      < 1.764000, 14.500000, -1.060000>,
      < 1.588000, 14.500000, -1.968000>
    }
    texture {body}
  }
  // DEFAULT
  union {
    triangle {
      < 1.804000, 14.496000, -1.068000>,
      < 4.172000, 14.236000, -2.428000>,
      < 1.588000, 14.500000, -1.968000>
    }
    texture {DEFAULT}
  }
  // wingsr
  union {
    triangle {
      < 4.372000, 14.220000, -2.460000>,
      < 6.680000, 14.000000, -2.068000>,
      < 6.428000, 14.020000, -2.256000>
    }
    triangle {
      < 6.696000, 14.000000, -1.976000>,
      < 5.896000, 14.092000, -1.472000>,
      < 7.276000, 13.936000, -2.080000>
    }
    triangle {
      < 5.896000, 14.092000, -1.472000>,
      < 1.804000, 14.496000, -1.060000>,
      < 2.516000, 14.424000, -0.876000>
    }
    triangle {
      < 5.896000, 14.092000, -1.472000>,
      < 1.804000, 14.496000, -1.068000>,
      < 1.804000, 14.496000, -1.060000>
    }
    triangle {
      < 5.896000, 14.092000, -1.472000>,
      < 4.172000, 14.236000, -2.428000>,
      < 1.804000, 14.496000, -1.068000>
    }
    triangle {
      < 5.896000, 14.092000, -1.472000>,
      < 4.356000, 14.220000, -2.460000>,
      < 4.172000, 14.236000, -2.428000>
    }
    triangle {
      < 5.896000, 14.092000, -1.472000>,
      < 4.372000, 14.220000, -2.460000>,
      < 4.356000, 14.220000, -2.460000>
    }
    triangle {
      < 5.896000, 14.092000, -1.472000>,
      < 6.696000, 14.000000, -1.976000>,
      < 4.372000, 14.220000, -2.460000>
    }
    triangle {
      < 7.304000, 8.056000, -2.088000>,
      < 6.696000, 7.984000, -1.976000>,
      < 6.696000, 10.356000, -1.976000>
    }
    texture {wingsr}
  }
  // wingsr_body
  union {
    triangle {
      < 1.856000, 7.496000, -0.760000>,
      < 1.804000, 13.784000, -1.068000>,
      < 1.804000, 7.496000, -1.068000>
    }
    texture {wingsr_body}
  }
  // wingsr
  union {
    triangle {
      < 6.696000, 7.984000, -1.976000>,
      < 6.656000, 7.984000, -2.192000>,
      < 6.696000, 10.356000, -1.976000>
    }
    triangle {
      < 6.696000, 13.600000, -1.976000>,
      < 6.656000, 7.984000, -2.192000>,
      < 6.648000, 7.984000, -2.212000>
    }
    triangle {
      < 6.696000, 13.600000, -1.976000>,
      < 6.696000, 10.356000, -1.976000>,
      < 6.656000, 7.984000, -2.192000>
    }
    texture {wingsr}
  }
  // DEFAULT
  union {
    triangle {
      < 14.120000, 8.732000, -3.220000>,
      < 14.172000, 8.732000, -2.932000>,
      < 12.316000, 8.548000, -2.604000>
    }
    triangle {
      < 14.108000, 8.732000, -3.284000>,
      < 14.120000, 8.732000, -3.220000>,
      < 12.316000, 8.548000, -2.604000>
    }
    texture {DEFAULT}
  }
  // wingsr
  union {
    triangle {
      < 14.108000, 8.732000, -3.284000>,
      < 12.316000, 8.548000, -2.604000>,
      < 10.816000, 8.404000, -2.340000>
    }
    triangle {
      < 14.108000, 8.732000, -3.284000>,
      < 10.816000, 8.404000, -2.340000>,
      < 9.308000, 8.252000, -2.440000>
    }
    triangle {
      < 7.304000, 8.056000, -2.088000>,
      < 9.308000, 8.252000, -2.440000>,
      < 10.816000, 8.404000, -2.340000>
    }
    triangle {
      < 6.696000, 7.984000, -1.976000>,
      < 7.304000, 8.056000, -2.088000>,
      < 10.816000, 8.404000, -2.340000>
    }
    triangle {
      < 6.696000, 7.984000, -1.976000>,
      < 10.816000, 8.404000, -2.340000>,
      < 1.856000, 7.496000, -0.760000>
    }
    triangle {
      < 6.656000, 7.984000, -2.192000>,
      < 6.696000, 7.984000, -1.976000>,
      < 1.856000, 7.496000, -0.760000>
    }
    triangle {
      < 6.648000, 7.984000, -2.212000>,
      < 6.656000, 7.984000, -2.192000>,
      < 1.856000, 7.496000, -0.760000>
    }
    triangle {
      < 1.856000, 7.496000, -0.760000>,
      < 6.648000, 7.984000, -2.236000>,
      < 6.648000, 7.984000, -2.212000>
    }
    texture {wingsr}
  }
  // body
  union {
    triangle {
      < 1.744000, 7.492000, -1.064000>,
      < 1.584000, 7.492000, -1.968000>,
      < 1.604000, 7.492000, -1.976000>
    }
    triangle {
      < 1.744000, 7.492000, -1.056000>,
      < 1.744000, 7.492000, -1.064000>,
      < 1.604000, 7.492000, -1.976000>
    }
    triangle {
      < 1.804000, 7.496000, -1.068000>,
      < 1.744000, 7.492000, -1.056000>,
      < 1.604000, 7.492000, -1.976000>
    }
    texture {body}
  }
  // DEFAULT
  union {
    triangle {
      < 14.108000, 8.732000, -3.284000>,
      < 14.112000, 13.260000, -3.272000>,
      < 14.108000, 13.260000, -3.284000>
    }
    texture {DEFAULT}
  }
  // wingsr
  union {
    triangle {
      < 5.896000, 14.092000, -1.472000>,
      < 11.956000, 13.472000, -2.908000>,
      < 8.272000, 13.836000, -2.256000>
    }
    triangle {
      < 5.896000, 14.092000, -1.472000>,
      < 12.732000, 13.392000, -3.044000>,
      < 11.956000, 13.472000, -2.908000>
    }
    triangle {
      < 5.896000, 14.092000, -1.472000>,
      < 13.080000, 13.360000, -3.104000>,
      < 12.732000, 13.392000, -3.044000>
    }
    texture {wingsr}
  }
  // body
  union {
    triangle {
      < 1.752000, 14.500000, -1.056000>,
      < 1.804000, 14.496000, -1.068000>,
      < 1.804000, 14.496000, -1.060000>
    }
    triangle {
      < 1.764000, 14.500000, -1.060000>,
      < 1.592000, 14.500000, -1.940000>,
      < 1.584000, 14.500000, -1.968000>
    }
    triangle {
      < 1.588000, 14.500000, -1.968000>,
      < 1.764000, 14.500000, -1.060000>,
      < 1.584000, 14.500000, -1.968000>
    }
    texture {body}
  }
  // wingsr
  union {
    triangle {
      < 6.428000, 14.020000, -2.256000>,
      < 6.680000, 14.000000, -2.068000>,
      < 6.648000, 14.000000, -2.228000>
    }
    triangle {
      < 6.696000, 14.000000, -1.976000>,
      < 6.680000, 14.000000, -2.068000>,
      < 4.372000, 14.220000, -2.460000>
    }
    texture {wingsr}
  }
  // engines
  union {
    triangle {
      < 3.268000, 4.664000, -2.712000>,
      < 3.268000, 4.520000, -2.704000>,
      < 3.268000, 4.664000, -2.704000>
    }
    triangle {
      < 3.268000, 4.520000, -2.780000>,
      < 3.268000, 4.664000, -2.712000>,
      < 3.268000, 4.664000, -2.780000>
    }
    triangle {
      < 3.268000, 4.520000, -2.780000>,
      < 3.268000, 4.520000, -2.704000>,
      < 3.268000, 4.664000, -2.712000>
    }
    triangle {
      < 3.084000, 6.980000, -2.776000>,
      < 2.784000, 7.208000, -2.724000>,
      < 2.788000, 7.208000, -2.892000>
    }
    triangle {
      < 3.200000, 6.896000, -2.796000>,
      < 3.084000, 6.980000, -2.776000>,
      < 2.788000, 7.208000, -2.892000>
    }
    triangle {
      < 2.448000, 5.872000, -2.664000>,
      < 2.464000, 5.928000, -2.596000>,
      < 2.416000, 5.744000, -2.560000>
    }
    triangle {
      < 2.448000, 5.872000, -2.664000>,
      < 2.416000, 5.744000, -2.560000>,
      < 2.428000, 5.744000, -2.972000>
    }
    triangle {
      < 2.428000, 5.744000, -2.972000>,
      < 2.696000, 6.848000, -2.708000>,
      < 2.448000, 5.872000, -2.664000>
    }
    triangle {
      < 2.696000, 6.848000, -2.708000>,
      < 2.428000, 5.744000, -2.972000>,
      < 2.788000, 7.208000, -2.892000>
    }
    triangle {
      < 2.696000, 6.848000, -2.708000>,
      < 2.788000, 7.208000, -2.892000>,
      < 2.784000, 7.208000, -2.724000>
    }
    triangle {
      < 3.272000, 4.664000, -2.788000>,
      < 3.268000, 4.520000, -2.780000>,
      < 3.268000, 4.664000, -2.780000>
    }
    triangle {
      < 3.280000, 5.504000, -2.812000>,
      < 3.280000, 6.844000, -2.812000>,
      < 3.300000, 6.844000, -2.856000>
    }
    triangle {
      < 3.280000, 4.664000, -2.800000>,
      < 3.268000, 4.520000, -2.780000>,
      < 3.272000, 4.664000, -2.788000>
    }
    triangle {
      < 3.280000, 4.664000, -2.812000>,
      < 3.268000, 4.520000, -2.780000>,
      < 3.280000, 4.664000, -2.800000>
    }
    triangle {
      < 3.280000, 4.664000, -2.812000>,
      < 3.300000, 4.520000, -2.856000>,
      < 3.268000, 4.520000, -2.780000>
    }
    triangle {
      < 3.300000, 4.520000, -2.856000>,
      < 3.280000, 5.504000, -2.812000>,
      < 3.300000, 6.844000, -2.856000>
    }
    triangle {
      < 3.300000, 4.520000, -2.856000>,
      < 3.280000, 4.664000, -2.812000>,
      < 3.280000, 5.504000, -2.812000>
    }
    triangle {
      < 3.220000, 6.880000, -2.800000>,
      < 2.896000, 7.208000, -3.144000>,
      < 3.248000, 6.868000, -2.804000>
    }
    triangle {
      < 3.220000, 6.880000, -2.800000>,
      < 2.788000, 7.208000, -2.892000>,
      < 2.896000, 7.208000, -3.144000>
    }
    triangle {
      < 3.220000, 6.880000, -2.800000>,
      < 3.200000, 6.896000, -2.796000>,
      < 2.788000, 7.208000, -2.892000>
    }
    triangle {
      < 3.280000, 6.844000, -2.812000>,
      < 2.896000, 7.208000, -3.144000>,
      < 3.300000, 6.844000, -2.856000>
    }
    triangle {
      < 3.280000, 6.844000, -2.812000>,
      < 3.248000, 6.868000, -2.804000>,
      < 2.896000, 7.208000, -3.144000>
    }
    triangle {
      < 3.332000, 5.724000, -2.884000>,
      < 3.300000, 6.844000, -2.856000>,
      < 3.332000, 6.844000, -2.884000>
    }
    triangle {
      < 3.332000, 5.724000, -2.884000>,
      < 3.300000, 4.520000, -2.856000>,
      < 3.300000, 6.844000, -2.856000>
    }
    triangle {
      < 3.332000, 4.832000, -2.884000>,
      < 3.300000, 4.520000, -2.856000>,
      < 3.332000, 5.724000, -2.884000>
    }
    triangle {
      < 3.332000, 4.664000, -2.884000>,
      < 3.300000, 4.520000, -2.856000>,
      < 3.332000, 4.832000, -2.884000>
    }
    triangle {
      < 3.364000, 4.520000, -2.912000>,
      < 3.332000, 4.664000, -2.884000>,
      < 3.364000, 4.664000, -2.912000>
    }
    triangle {
      < 3.364000, 4.520000, -2.912000>,
      < 3.300000, 4.520000, -2.856000>,
      < 3.332000, 4.664000, -2.884000>
    }
    triangle {
      < 3.332000, 6.844000, -2.884000>,
      < 3.100000, 7.208000, -3.332000>,
      < 3.312000, 6.912000, -2.988000>
    }
    triangle {
      < 3.332000, 6.844000, -2.884000>,
      < 3.300000, 6.844000, -2.856000>,
      < 3.100000, 7.208000, -3.332000>
    }
    triangle {
      < 3.364000, 4.664000, -2.912000>,
      < 3.364000, 4.520000, -2.912000>,
      < 3.364000, 4.664000, -2.912000>
    }
    triangle {
      < 3.372000, 4.664000, -2.912000>,
      < 3.364000, 4.520000, -2.912000>,
      < 3.364000, 4.664000, -2.912000>
    }
    triangle {
      < 3.408000, 4.664000, -2.928000>,
      < 3.364000, 4.520000, -2.912000>,
      < 3.372000, 4.664000, -2.912000>
    }
    triangle {
      < 3.428000, 4.664000, -2.936000>,
      < 3.364000, 4.520000, -2.912000>,
      < 3.408000, 4.664000, -2.928000>
    }
    triangle {
      < 3.428000, 4.520000, -2.936000>,
      < 3.364000, 4.520000, -2.912000>,
      < 3.456000, 4.664000, -2.936000>
    }
    triangle {
      < 3.240000, 7.208000, -3.384000>,
      < 3.312000, 6.912000, -2.988000>,
      < 3.100000, 7.208000, -3.332000>
    }
    triangle {
      < 3.188000, 5.916000, -3.704000>,
      < 3.208000, 6.372000, -3.588000>,
      < 3.100000, 7.208000, -3.332000>
    }
    triangle {
      < 3.188000, 5.916000, -3.704000>,
      < 3.100000, 7.208000, -3.332000>,
      < 2.896000, 5.744000, -3.640000>
    }
    triangle {
      < 3.188000, 5.916000, -3.704000>,
      < 2.896000, 5.744000, -3.640000>,
      < 3.284000, 5.744000, -3.788000>
    }
    triangle {
      < 3.240000, 5.956000, -3.716000>,
      < 3.188000, 5.916000, -3.704000>,
      < 3.284000, 5.744000, -3.788000>
    }
    triangle {
      < 3.284000, 5.744000, -3.788000>,
      < 3.256000, 5.968000, -3.720000>,
      < 3.240000, 5.956000, -3.716000>
    }
    triangle {
      < 3.220000, 6.676000, -3.516000>,
      < 3.240000, 7.208000, -3.384000>,
      < 3.100000, 7.208000, -3.332000>
    }
    triangle {
      < 3.100000, 7.208000, -3.332000>,
      < 3.208000, 6.372000, -3.588000>,
      < 3.220000, 6.676000, -3.516000>
    }
    triangle {
      < 3.288000, 5.992000, -3.724000>,
      < 3.256000, 5.968000, -3.720000>,
      < 3.284000, 5.744000, -3.788000>
    }
    triangle {
      < 3.284000, 5.744000, -3.788000>,
      < 3.324000, 6.660000, -3.556000>,
      < 3.288000, 5.992000, -3.724000>
    }
    triangle {
      < 3.456000, 5.396000, -2.936000>,
      < 3.456000, 6.844000, -2.936000>,
      < 3.508000, 6.844000, -2.936000>
    }
    triangle {
      < 3.456000, 4.664000, -2.936000>,
      < 3.508000, 4.520000, -2.936000>,
      < 3.428000, 4.520000, -2.936000>
    }
    triangle {
      < 3.508000, 4.520000, -2.936000>,
      < 3.456000, 5.396000, -2.936000>,
      < 3.508000, 6.844000, -2.936000>
    }
    triangle {
      < 3.508000, 4.520000, -2.936000>,
      < 3.456000, 4.664000, -2.936000>,
      < 3.456000, 5.396000, -2.936000>
    }
    triangle {
      < 3.440000, 6.880000, -2.984000>,
      < 3.348000, 7.208000, -3.420000>,
      < 3.620000, 7.208000, -3.416000>
    }
    triangle {
      < 3.440000, 6.872000, -2.968000>,
      < 3.508000, 6.844000, -2.936000>,
      < 3.456000, 6.844000, -2.936000>
    }
    triangle {
      < 3.440000, 6.872000, -2.968000>,
      < 3.620000, 7.208000, -3.416000>,
      < 3.508000, 6.844000, -2.936000>
    }
    triangle {
      < 3.440000, 6.872000, -2.968000>,
      < 3.440000, 6.880000, -2.984000>,
      < 3.620000, 7.208000, -3.416000>
    }
    triangle {
      < 3.324000, 6.660000, -3.556000>,
      < 3.284000, 5.744000, -3.788000>,
      < 3.704000, 5.744000, -3.780000>
    }
    triangle {
      < 3.324000, 6.660000, -3.556000>,
      < 3.704000, 5.744000, -3.780000>,
      < 3.348000, 7.184000, -3.424000>
    }
    triangle {
      < 3.348000, 7.184000, -3.424000>,
      < 3.704000, 5.744000, -3.780000>,
      < 3.620000, 7.208000, -3.416000>
    }
    triangle {
      < 3.348000, 7.184000, -3.424000>,
      < 3.620000, 7.208000, -3.416000>,
      < 3.348000, 7.208000, -3.420000>
    }
    triangle {
      < 3.584000, 4.520000, -2.904000>,
      < 3.584000, 6.844000, -2.904000>,
      < 3.612000, 6.844000, -2.868000>
    }
    triangle {
      < 3.584000, 4.520000, -2.904000>,
      < 3.612000, 6.844000, -2.868000>,
      < 3.612000, 5.800000, -2.868000>
    }
    triangle {
      < 3.612000, 4.664000, -2.868000>,
      < 3.632000, 4.664000, -2.840000>,
      < 3.632000, 4.520000, -2.840000>
    }
    triangle {
      < 3.612000, 4.664000, -2.868000>,
      < 3.632000, 4.520000, -2.840000>,
      < 3.584000, 4.520000, -2.904000>
    }
    triangle {
      < 3.612000, 5.016000, -2.868000>,
      < 3.612000, 4.664000, -2.868000>,
      < 3.584000, 4.520000, -2.904000>
    }
    triangle {
      < 3.584000, 4.520000, -2.904000>,
      < 3.612000, 5.800000, -2.868000>,
      < 3.612000, 5.016000, -2.868000>
    }
    triangle {
      < 3.612000, 6.844000, -2.868000>,
      < 4.056000, 7.208000, -3.104000>,
      < 3.704000, 6.908000, -2.884000>
    }
    triangle {
      < 3.612000, 6.844000, -2.868000>,
      < 3.584000, 6.844000, -2.904000>,
      < 4.056000, 7.208000, -3.104000>
    }
    triangle {
      < 3.632000, 4.520000, -2.840000>,
      < 3.632000, 4.664000, -2.840000>,
      < 3.640000, 4.664000, -2.840000>
    }
    triangle {
      < 3.632000, 4.520000, -2.840000>,
      < 3.640000, 4.664000, -2.840000>,
      < 3.664000, 4.664000, -2.776000>
    }
    triangle {
      < 3.632000, 4.520000, -2.840000>,
      < 3.664000, 4.664000, -2.776000>,
      < 3.664000, 4.520000, -2.776000>
    }
    triangle {
      < 4.108000, 7.208000, -2.956000>,
      < 3.704000, 6.908000, -2.884000>,
      < 4.056000, 7.208000, -3.104000>
    }
    triangle {
      < 4.440000, 5.888000, -3.016000>,
      < 4.516000, 5.744000, -2.916000>,
      < 4.452000, 5.940000, -2.948000>
    }
    triangle {
      < 4.440000, 5.888000, -3.016000>,
      < 4.376000, 5.744000, -3.300000>,
      < 4.516000, 5.744000, -2.916000>
    }
    triangle {
      < 4.320000, 6.360000, -2.996000>,
      < 4.376000, 5.744000, -3.300000>,
      < 4.440000, 5.888000, -3.016000>
    }
    triangle {
      < 4.320000, 6.360000, -2.996000>,
      < 4.056000, 7.208000, -3.104000>,
      < 4.376000, 5.744000, -3.300000>
    }
    triangle {
      < 4.240000, 6.696000, -2.980000>,
      < 4.056000, 7.208000, -3.104000>,
      < 4.320000, 6.360000, -2.996000>
    }
    triangle {
      < 4.108000, 7.208000, -2.956000>,
      < 4.056000, 7.208000, -3.104000>,
      < 4.240000, 6.696000, -2.980000>
    }
    triangle {
      < 4.456000, 5.968000, -2.908000>,
      < 4.452000, 5.944000, -2.940000>,
      < 4.516000, 5.744000, -2.916000>
    }
    triangle {
      < 3.664000, 4.520000, -2.776000>,
      < 3.664000, 4.664000, -2.776000>,
      < 3.656000, 4.664000, -2.772000>
    }
    triangle {
      < 3.656000, 6.732000, -2.740000>,
      < 3.656000, 6.844000, -2.740000>,
      < 3.656000, 6.844000, -2.696000>
    }
    triangle {
      < 3.656000, 6.844000, -2.696000>,
      < 3.656000, 5.524000, -2.740000>,
      < 3.656000, 6.732000, -2.740000>
    }
    triangle {
      < 3.656000, 4.664000, -2.740000>,
      < 3.656000, 5.524000, -2.740000>,
      < 3.656000, 6.844000, -2.696000>
    }
    triangle {
      < 3.656000, 4.664000, -2.740000>,
      < 3.656000, 6.844000, -2.696000>,
      < 3.656000, 4.520000, -2.696000>
    }
    triangle {
      < 3.656000, 4.664000, -2.768000>,
      < 3.656000, 4.664000, -2.740000>,
      < 3.656000, 4.520000, -2.696000>
    }
    triangle {
      < 3.664000, 4.520000, -2.776000>,
      < 3.656000, 4.664000, -2.772000>,
      < 3.656000, 4.664000, -2.768000>
    }
    triangle {
      < 3.664000, 4.520000, -2.776000>,
      < 3.656000, 4.664000, -2.768000>,
      < 3.656000, 4.520000, -2.696000>
    }
    triangle {
      < 3.720000, 6.884000, -2.748000>,
      < 4.152000, 7.208000, -2.824000>,
      < 4.144000, 7.208000, -2.584000>
    }
    triangle {
      < 3.656000, 6.844000, -2.740000>,
      < 4.144000, 7.208000, -2.584000>,
      < 3.656000, 6.844000, -2.696000>
    }
    triangle {
      < 3.656000, 6.844000, -2.740000>,
      < 3.720000, 6.884000, -2.748000>,
      < 4.144000, 7.208000, -2.584000>
    }
    triangle {
      < 4.464000, 5.948000, -2.880000>,
      < 4.508000, 5.744000, -2.500000>,
      < 4.176000, 7.104000, -2.832000>
    }
    triangle {
      < 4.464000, 5.948000, -2.880000>,
      < 4.516000, 5.744000, -2.916000>,
      < 4.508000, 5.744000, -2.500000>
    }
    triangle {
      < 4.464000, 5.948000, -2.880000>,
      < 4.456000, 5.968000, -2.908000>,
      < 4.516000, 5.744000, -2.916000>
    }
    triangle {
      < 4.152000, 7.208000, -2.824000>,
      < 4.508000, 5.744000, -2.500000>,
      < 4.144000, 7.208000, -2.584000>
    }
    triangle {
      < 4.152000, 7.208000, -2.824000>,
      < 4.176000, 7.104000, -2.832000>,
      < 4.508000, 5.744000, -2.500000>
    }
    triangle {
      < 3.584000, 7.200000, -2.064000>,
      < 3.832000, 7.208000, -2.148000>,
      < 3.584000, 7.208000, -2.056000>
    }
    triangle {
      < 3.584000, 7.200000, -2.064000>,
      < 3.568000, 6.844000, -2.572000>,
      < 3.832000, 7.208000, -2.148000>
    }
    triangle {
      < 3.500000, 6.844000, -2.540000>,
      < 3.568000, 6.844000, -2.572000>,
      < 3.500000, 6.848000, -2.540000>
    }
    triangle {
      < 3.636000, 6.004000, -1.756000>,
      < 3.832000, 7.208000, -2.148000>,
      < 3.648000, 5.744000, -1.692000>
    }
    triangle {
      < 3.604000, 6.736000, -1.940000>,
      < 3.832000, 7.208000, -2.148000>,
      < 3.636000, 6.004000, -1.756000>
    }
    triangle {
      < 3.584000, 7.208000, -2.056000>,
      < 3.832000, 7.208000, -2.148000>,
      < 3.604000, 6.736000, -1.940000>
    }
    triangle {
      < 3.500000, 4.664000, -2.544000>,
      < 3.496000, 4.664000, -2.544000>,
      < 3.500000, 4.520000, -2.540000>
    }
    triangle {
      < 3.456000, 4.664000, -2.544000>,
      < 3.424000, 4.664000, -2.544000>,
      < 3.424000, 4.520000, -2.544000>
    }
    triangle {
      < 3.500000, 4.520000, -2.540000>,
      < 3.496000, 4.664000, -2.544000>,
      < 3.456000, 4.664000, -2.544000>
    }
    triangle {
      < 3.500000, 4.520000, -2.540000>,
      < 3.456000, 4.664000, -2.544000>,
      < 3.424000, 4.520000, -2.544000>
    }
    triangle {
      < 3.424000, 6.984000, -2.352000>,
      < 3.472000, 7.208000, -2.060000>,
      < 3.308000, 7.208000, -2.060000>
    }
    triangle {
      < 3.404000, 6.900000, -2.468000>,
      < 3.424000, 6.984000, -2.352000>,
      < 3.308000, 7.208000, -2.060000>
    }
    triangle {
      < 3.532000, 5.920000, -1.740000>,
      < 3.224000, 5.744000, -1.692000>,
      < 3.488000, 6.844000, -1.968000>
    }
    triangle {
      < 3.532000, 5.920000, -1.740000>,
      < 3.648000, 5.744000, -1.692000>,
      < 3.224000, 5.744000, -1.692000>
    }
    triangle {
      < 3.584000, 5.964000, -1.748000>,
      < 3.648000, 5.744000, -1.692000>,
      < 3.532000, 5.920000, -1.740000>
    }
    triangle {
      < 3.584000, 5.964000, -1.748000>,
      < 3.636000, 6.004000, -1.756000>,
      < 3.648000, 5.744000, -1.692000>
    }
    triangle {
      < 3.472000, 7.208000, -2.060000>,
      < 3.224000, 5.744000, -1.692000>,
      < 3.308000, 7.208000, -2.060000>
    }
    triangle {
      < 3.472000, 7.208000, -2.060000>,
      < 3.488000, 6.844000, -1.968000>,
      < 3.224000, 5.744000, -1.692000>
    }
    triangle {
      < 3.424000, 4.520000, -2.544000>,
      < 3.424000, 4.664000, -2.544000>,
      < 3.408000, 4.664000, -2.552000>
    }
    triangle {
      < 3.388000, 6.844000, -2.556000>,
      < 3.352000, 6.844000, -2.572000>,
      < 3.388000, 5.588000, -2.556000>
    }
    triangle {
      < 3.388000, 4.664000, -2.556000>,
      < 3.388000, 5.588000, -2.556000>,
      < 3.352000, 6.844000, -2.572000>
    }
    triangle {
      < 3.388000, 4.664000, -2.556000>,
      < 3.352000, 6.844000, -2.572000>,
      < 3.352000, 4.520000, -2.572000>
    }
    triangle {
      < 3.408000, 4.664000, -2.552000>,
      < 3.388000, 4.664000, -2.556000>,
      < 3.352000, 4.520000, -2.572000>
    }
    triangle {
      < 3.424000, 4.520000, -2.544000>,
      < 3.408000, 4.664000, -2.552000>,
      < 3.352000, 4.520000, -2.572000>
    }
    triangle {
      < 3.396000, 6.872000, -2.520000>,
      < 3.308000, 7.208000, -2.060000>,
      < 3.060000, 7.208000, -2.172000>
    }
    triangle {
      < 3.396000, 6.872000, -2.520000>,
      < 3.404000, 6.900000, -2.468000>,
      < 3.308000, 7.208000, -2.060000>
    }
    triangle {
      < 3.388000, 6.848000, -2.548000>,
      < 3.352000, 6.844000, -2.572000>,
      < 3.388000, 6.844000, -2.556000>
    }
    triangle {
      < 3.388000, 6.848000, -2.548000>,
      < 3.060000, 7.208000, -2.172000>,
      < 3.352000, 6.844000, -2.572000>
    }
    triangle {
      < 3.388000, 6.848000, -2.548000>,
      < 3.396000, 6.872000, -2.520000>,
      < 3.060000, 7.208000, -2.172000>
    }
    triangle {
      < 3.272000, 5.796000, -2.672000>,
      < 3.296000, 6.844000, -2.636000>,
      < 3.272000, 6.844000, -2.672000>
    }
    triangle {
      < 3.272000, 5.796000, -2.672000>,
      < 3.296000, 4.520000, -2.636000>,
      < 3.296000, 6.844000, -2.636000>
    }
    triangle {
      < 3.272000, 4.908000, -2.672000>,
      < 3.296000, 4.520000, -2.636000>,
      < 3.272000, 5.796000, -2.672000>
    }
    triangle {
      < 3.272000, 4.664000, -2.672000>,
      < 3.296000, 4.520000, -2.636000>,
      < 3.272000, 4.908000, -2.672000>
    }
    triangle {
      < 3.268000, 4.520000, -2.704000>,
      < 3.272000, 4.664000, -2.672000>,
      < 3.268000, 4.664000, -2.704000>
    }
    triangle {
      < 3.268000, 4.520000, -2.704000>,
      < 3.296000, 4.520000, -2.636000>,
      < 3.272000, 4.664000, -2.672000>
    }
    triangle {
      < 3.020000, 7.040000, -2.628000>,
      < 2.872000, 7.208000, -2.372000>,
      < 2.796000, 7.208000, -2.588000>
    }
    triangle {
      < 3.020000, 7.040000, -2.628000>,
      < 3.296000, 6.844000, -2.636000>,
      < 2.872000, 7.208000, -2.372000>
    }
    triangle {
      < 3.272000, 6.844000, -2.672000>,
      < 3.296000, 6.844000, -2.636000>,
      < 3.020000, 7.040000, -2.628000>
    }
    triangle {
      < 2.472000, 5.920000, -2.528000>,
      < 2.472000, 5.928000, -2.540000>,
      < 2.872000, 7.208000, -2.372000>
    }
    triangle {
      < 2.472000, 5.920000, -2.528000>,
      < 2.872000, 7.208000, -2.372000>,
      < 2.564000, 5.744000, -2.168000>
    }
    triangle {
      < 2.472000, 5.920000, -2.528000>,
      < 2.564000, 5.744000, -2.168000>,
      < 2.416000, 5.744000, -2.560000>
    }
    triangle {
      < 2.416000, 5.744000, -2.560000>,
      < 2.472000, 5.928000, -2.540000>,
      < 2.472000, 5.920000, -2.528000>
    }
    triangle {
      < 2.664000, 6.680000, -2.564000>,
      < 2.796000, 7.208000, -2.588000>,
      < 2.872000, 7.208000, -2.372000>
    }
    triangle {
      < 2.872000, 7.208000, -2.372000>,
      < 2.488000, 5.964000, -2.532000>,
      < 2.664000, 6.680000, -2.564000>
    }
    triangle {
      < 2.472000, 5.928000, -2.540000>,
      < 2.416000, 5.744000, -2.560000>,
      < 2.468000, 5.952000, -2.568000>
    }
    triangle {
      < 3.280000, 4.664000, -2.800000>,
      < 3.272000, 4.664000, -2.672000>,
      < 3.268000, 4.664000, -2.704000>
    }
    triangle {
      < 3.272000, 4.664000, -2.788000>,
      < 2.472000, 4.664000, -2.528000>,
      < 3.280000, 4.664000, -2.800000>
    }
    triangle {
      < 3.268000, 4.664000, -2.780000>,
      < 2.472000, 4.664000, -2.528000>,
      < 3.272000, 4.664000, -2.788000>
    }
    triangle {
      < 3.268000, 4.664000, -2.704000>,
      < 2.472000, 4.664000, -2.528000>,
      < 3.268000, 4.664000, -2.712000>
    }
    triangle {
      < 3.268000, 4.664000, -2.704000>,
      < 3.272000, 4.664000, -2.672000>,
      < 2.472000, 4.664000, -2.528000>
    }
    triangle {
      < 3.200000, 6.896000, -2.796000>,
      < 2.696000, 6.848000, -2.708000>,
      < 3.084000, 6.980000, -2.776000>
    }
    triangle {
      < 3.200000, 6.896000, -2.796000>,
      < 2.448000, 5.872000, -2.664000>,
      < 2.696000, 6.848000, -2.708000>
    }
    triangle {
      < 3.200000, 6.896000, -2.796000>,
      < 2.448000, 4.664000, -2.664000>,
      < 2.448000, 5.872000, -2.664000>
    }
    triangle {
      < 3.200000, 6.896000, -2.796000>,
      < 3.220000, 6.880000, -2.800000>,
      < 2.448000, 4.664000, -2.664000>
    }
    triangle {
      < 2.464000, 5.928000, -2.596000>,
      < 2.448000, 4.664000, -2.664000>,
      < 2.472000, 4.664000, -2.528000>
    }
    triangle {
      < 2.464000, 5.928000, -2.596000>,
      < 2.448000, 5.872000, -2.664000>,
      < 2.448000, 4.664000, -2.664000>
    }
    triangle {
      < 2.468000, 5.952000, -2.568000>,
      < 2.472000, 4.664000, -2.528000>,
      < 2.472000, 5.928000, -2.540000>
    }
    triangle {
      < 2.468000, 5.952000, -2.568000>,
      < 2.464000, 5.928000, -2.596000>,
      < 2.472000, 4.664000, -2.528000>
    }
    triangle {
      < 3.280000, 5.504000, -2.812000>,
      < 3.220000, 6.880000, -2.800000>,
      < 3.280000, 6.844000, -2.812000>
    }
    triangle {
      < 3.280000, 5.504000, -2.812000>,
      < 2.448000, 4.664000, -2.664000>,
      < 3.220000, 6.880000, -2.800000>
    }
    triangle {
      < 3.280000, 5.504000, -2.812000>,
      < 3.280000, 4.664000, -2.812000>,
      < 2.448000, 4.664000, -2.664000>
    }
    triangle {
      < 3.280000, 4.664000, -2.812000>,
      < 2.472000, 4.664000, -2.528000>,
      < 2.448000, 4.664000, -2.664000>
    }
    triangle {
      < 3.280000, 4.664000, -2.812000>,
      < 3.280000, 4.664000, -2.800000>,
      < 2.472000, 4.664000, -2.528000>
    }
    triangle {
      < 3.312000, 6.912000, -2.988000>,
      < 3.332000, 5.724000, -2.884000>,
      < 3.332000, 6.844000, -2.884000>
    }
    triangle {
      < 3.240000, 7.208000, -3.384000>,
      < 3.332000, 5.724000, -2.884000>,
      < 3.312000, 6.912000, -2.988000>
    }
    triangle {
      < 3.240000, 7.208000, -3.384000>,
      < 3.332000, 4.832000, -2.884000>,
      < 3.332000, 5.724000, -2.884000>
    }
    triangle {
      < 3.240000, 7.208000, -3.384000>,
      < 3.220000, 6.676000, -3.516000>,
      < 3.332000, 4.832000, -2.884000>
    }
    triangle {
      < 3.208000, 6.372000, -3.588000>,
      < 3.332000, 4.832000, -2.884000>,
      < 3.220000, 6.676000, -3.516000>
    }
    triangle {
      < 3.208000, 6.372000, -3.588000>,
      < 3.332000, 4.664000, -2.884000>,
      < 3.332000, 4.832000, -2.884000>
    }
    triangle {
      < 3.208000, 6.372000, -3.588000>,
      < 3.188000, 4.664000, -3.704000>,
      < 3.332000, 4.664000, -2.884000>
    }
    triangle {
      < 3.208000, 6.372000, -3.588000>,
      < 3.188000, 5.916000, -3.704000>,
      < 3.188000, 4.664000, -3.704000>
    }
    triangle {
      < 3.364000, 4.664000, -2.912000>,
      < 3.188000, 4.664000, -3.704000>,
      < 3.372000, 4.664000, -2.912000>
    }
    triangle {
      < 3.364000, 4.664000, -2.912000>,
      < 3.188000, 4.664000, -3.704000>,
      < 3.364000, 4.664000, -2.912000>
    }
    triangle {
      < 3.332000, 4.664000, -2.884000>,
      < 3.188000, 4.664000, -3.704000>,
      < 3.364000, 4.664000, -2.912000>
    }
    triangle {
      < 3.424000, 4.664000, -2.544000>,
      < 3.636000, 4.664000, -1.756000>,
      < 3.420000, 4.664000, -2.544000>
    }
    triangle {
      < 3.424000, 4.664000, -2.544000>,
      < 3.456000, 4.664000, -2.544000>,
      < 3.636000, 4.664000, -1.756000>
    }
    triangle {
      < 3.428000, 4.664000, -2.936000>,
      < 3.288000, 4.664000, -3.724000>,
      < 3.436000, 4.664000, -2.936000>
    }
    triangle {
      < 3.428000, 4.664000, -2.936000>,
      < 3.188000, 4.664000, -3.704000>,
      < 3.288000, 4.664000, -3.724000>
    }
    triangle {
      < 3.428000, 4.664000, -2.936000>,
      < 3.408000, 4.664000, -2.928000>,
      < 3.188000, 4.664000, -3.704000>
    }
    triangle {
      < 3.372000, 4.664000, -2.912000>,
      < 3.188000, 4.664000, -3.704000>,
      < 3.408000, 4.664000, -2.928000>
    }
    triangle {
      < 3.496000, 4.664000, -2.544000>,
      < 3.636000, 4.664000, -1.756000>,
      < 3.456000, 4.664000, -2.544000>
    }
    triangle {
      < 3.496000, 4.664000, -2.544000>,
      < 3.500000, 4.664000, -2.544000>,
      < 3.636000, 4.664000, -1.756000>
    }
    triangle {
      < 3.256000, 5.968000, -3.720000>,
      < 3.188000, 4.664000, -3.704000>,
      < 3.240000, 5.956000, -3.716000>
    }
    triangle {
      < 3.256000, 5.968000, -3.720000>,
      < 3.288000, 4.664000, -3.724000>,
      < 3.188000, 4.664000, -3.704000>
    }
    triangle {
      < 3.256000, 5.968000, -3.720000>,
      < 3.288000, 5.992000, -3.724000>,
      < 3.288000, 4.664000, -3.724000>
    }
    triangle {
      < 3.188000, 5.916000, -3.704000>,
      < 3.240000, 5.956000, -3.716000>,
      < 3.188000, 4.664000, -3.704000>
    }
    triangle {
      < 3.440000, 6.872000, -2.968000>,
      < 3.288000, 4.664000, -3.724000>,
      < 3.288000, 5.992000, -3.724000>
    }
    triangle {
      < 3.440000, 6.872000, -2.968000>,
      < 3.288000, 5.992000, -3.724000>,
      < 3.324000, 6.660000, -3.556000>
    }
    triangle {
      < 3.440000, 6.872000, -2.968000>,
      < 3.324000, 6.660000, -3.556000>,
      < 3.440000, 6.880000, -2.984000>
    }
    triangle {
      < 3.456000, 5.396000, -2.936000>,
      < 3.456000, 4.664000, -2.936000>,
      < 3.288000, 4.664000, -3.724000>
    }
    triangle {
      < 3.288000, 4.664000, -3.724000>,
      < 3.440000, 6.872000, -2.968000>,
      < 3.456000, 6.844000, -2.936000>
    }
    triangle {
      < 3.288000, 4.664000, -3.724000>,
      < 3.456000, 6.844000, -2.936000>,
      < 3.456000, 5.396000, -2.936000>
    }
    triangle {
      < 3.704000, 6.908000, -2.884000>,
      < 3.612000, 5.800000, -2.868000>,
      < 3.612000, 6.844000, -2.868000>
    }
    triangle {
      < 4.108000, 7.208000, -2.956000>,
      < 3.612000, 5.800000, -2.868000>,
      < 3.704000, 6.908000, -2.884000>
    }
    triangle {
      < 4.108000, 7.208000, -2.956000>,
      < 3.612000, 5.016000, -2.868000>,
      < 3.612000, 5.800000, -2.868000>
    }
    triangle {
      < 4.108000, 7.208000, -2.956000>,
      < 4.240000, 6.696000, -2.980000>,
      < 3.612000, 5.016000, -2.868000>
    }
    triangle {
      < 4.320000, 6.360000, -2.996000>,
      < 3.612000, 5.016000, -2.868000>,
      < 4.240000, 6.696000, -2.980000>
    }
    triangle {
      < 4.320000, 6.360000, -2.996000>,
      < 3.612000, 4.664000, -2.868000>,
      < 3.612000, 5.016000, -2.868000>
    }
    triangle {
      < 4.320000, 6.360000, -2.996000>,
      < 4.440000, 4.664000, -3.016000>,
      < 3.612000, 4.664000, -2.868000>
    }
    triangle {
      < 4.320000, 6.360000, -2.996000>,
      < 4.440000, 5.888000, -3.016000>,
      < 4.440000, 4.664000, -3.016000>
    }
    triangle {
      < 3.664000, 4.664000, -2.776000>,
      < 4.440000, 4.664000, -3.016000>,
      < 3.656000, 4.664000, -2.772000>
    }
    triangle {
      < 3.640000, 4.664000, -2.840000>,
      < 4.440000, 4.664000, -3.016000>,
      < 3.664000, 4.664000, -2.776000>
    }
    triangle {
      < 3.632000, 4.664000, -2.840000>,
      < 4.440000, 4.664000, -3.016000>,
      < 3.640000, 4.664000, -2.840000>
    }
    triangle {
      < 3.632000, 4.664000, -2.840000>,
      < 3.612000, 4.664000, -2.868000>,
      < 4.440000, 4.664000, -3.016000>
    }
    triangle {
      < 4.452000, 5.944000, -2.940000>,
      < 4.456000, 5.968000, -2.908000>,
      < 4.464000, 5.948000, -2.880000>
    }
    triangle {
      < 4.464000, 5.948000, -2.880000>,
      < 4.464000, 4.664000, -2.880000>,
      < 4.440000, 4.664000, -3.016000>
    }
    triangle {
      < 4.464000, 5.948000, -2.880000>,
      < 4.440000, 4.664000, -3.016000>,
      < 4.452000, 5.944000, -2.940000>
    }
    triangle {
      < 4.452000, 5.940000, -2.948000>,
      < 4.440000, 4.664000, -3.016000>,
      < 4.440000, 5.888000, -3.016000>
    }
    triangle {
      < 3.656000, 5.524000, -2.740000>,
      < 3.656000, 4.664000, -2.740000>,
      < 4.464000, 4.664000, -2.880000>
    }
    triangle {
      < 4.464000, 4.664000, -2.880000>,
      < 3.656000, 6.732000, -2.740000>,
      < 3.656000, 5.524000, -2.740000>
    }
    triangle {
      < 3.656000, 6.732000, -2.740000>,
      < 4.464000, 4.664000, -2.880000>,
      < 4.464000, 5.948000, -2.880000>
    }
    triangle {
      < 3.656000, 6.732000, -2.740000>,
      < 4.464000, 5.948000, -2.880000>,
      < 4.176000, 7.104000, -2.832000>
    }
    triangle {
      < 3.656000, 6.732000, -2.740000>,
      < 4.176000, 7.104000, -2.832000>,
      < 4.152000, 7.208000, -2.824000>
    }
    triangle {
      < 3.656000, 6.732000, -2.740000>,
      < 4.152000, 7.208000, -2.824000>,
      < 3.720000, 6.884000, -2.748000>
    }
    triangle {
      < 3.656000, 6.732000, -2.740000>,
      < 3.720000, 6.884000, -2.748000>,
      < 3.656000, 6.844000, -2.740000>
    }
    triangle {
      < 3.656000, 4.664000, -2.740000>,
      < 4.440000, 4.664000, -3.016000>,
      < 4.464000, 4.664000, -2.880000>
    }
    triangle {
      < 3.656000, 4.664000, -2.740000>,
      < 3.656000, 4.664000, -2.768000>,
      < 4.440000, 4.664000, -3.016000>
    }
    triangle {
      < 3.556000, 7.072000, -2.228000>,
      < 3.584000, 7.200000, -2.064000>,
      < 3.604000, 6.736000, -1.940000>
    }
    triangle {
      < 3.604000, 6.736000, -1.940000>,
      < 3.500000, 5.104000, -2.544000>,
      < 3.500000, 6.844000, -2.544000>
    }
    triangle {
      < 3.604000, 6.736000, -1.940000>,
      < 3.500000, 6.844000, -2.544000>,
      < 3.500000, 6.848000, -2.540000>
    }
    triangle {
      < 3.604000, 6.736000, -1.940000>,
      < 3.500000, 6.848000, -2.540000>,
      < 3.556000, 7.072000, -2.228000>
    }
    triangle {
      < 3.584000, 5.964000, -1.748000>,
      < 3.636000, 4.664000, -1.756000>,
      < 3.636000, 6.004000, -1.756000>
    }
    triangle {
      < 3.636000, 6.004000, -1.756000>,
      < 3.636000, 4.664000, -1.756000>,
      < 3.500000, 4.664000, -2.544000>
    }
    triangle {
      < 3.636000, 6.004000, -1.756000>,
      < 3.500000, 4.664000, -2.544000>,
      < 3.500000, 5.104000, -2.544000>
    }
    triangle {
      < 3.636000, 6.004000, -1.756000>,
      < 3.500000, 5.104000, -2.544000>,
      < 3.604000, 6.736000, -1.940000>
    }
    triangle {
      < 3.404000, 6.900000, -2.468000>,
      < 3.488000, 6.844000, -1.968000>,
      < 3.424000, 6.984000, -2.352000>
    }
    triangle {
      < 3.396000, 6.872000, -2.520000>,
      < 3.488000, 6.844000, -1.968000>,
      < 3.404000, 6.900000, -2.468000>
    }
    triangle {
      < 3.396000, 6.872000, -2.520000>,
      < 3.532000, 5.920000, -1.740000>,
      < 3.488000, 6.844000, -1.968000>
    }
    triangle {
      < 3.396000, 6.872000, -2.520000>,
      < 3.532000, 4.664000, -1.740000>,
      < 3.532000, 5.920000, -1.740000>
    }
    triangle {
      < 3.396000, 6.872000, -2.520000>,
      < 3.388000, 6.848000, -2.548000>,
      < 3.532000, 4.664000, -1.740000>
    }
    triangle {
      < 3.532000, 5.920000, -1.740000>,
      < 3.532000, 4.664000, -1.740000>,
      < 3.636000, 4.664000, -1.756000>
    }
    triangle {
      < 3.532000, 5.920000, -1.740000>,
      < 3.636000, 4.664000, -1.756000>,
      < 3.584000, 5.964000, -1.748000>
    }
    triangle {
      < 3.388000, 5.588000, -2.556000>,
      < 3.532000, 4.664000, -1.740000>,
      < 3.388000, 6.844000, -2.556000>
    }
    triangle {
      < 3.388000, 5.588000, -2.556000>,
      < 3.388000, 4.664000, -2.556000>,
      < 3.532000, 4.664000, -1.740000>
    }
    triangle {
      < 3.420000, 4.664000, -2.544000>,
      < 3.636000, 4.664000, -1.756000>,
      < 3.408000, 4.664000, -2.552000>
    }
    triangle {
      < 3.388000, 4.664000, -2.556000>,
      < 3.636000, 4.664000, -1.756000>,
      < 3.532000, 4.664000, -1.740000>
    }
    triangle {
      < 3.388000, 4.664000, -2.556000>,
      < 3.408000, 4.664000, -2.552000>,
      < 3.636000, 4.664000, -1.756000>
    }
    triangle {
      < 3.272000, 5.796000, -2.672000>,
      < 3.272000, 6.844000, -2.672000>,
      < 3.020000, 7.040000, -2.628000>
    }
    triangle {
      < 2.664000, 6.680000, -2.564000>,
      < 3.272000, 4.908000, -2.672000>,
      < 3.272000, 5.796000, -2.672000>
    }
    triangle {
      < 2.664000, 6.680000, -2.564000>,
      < 3.272000, 5.796000, -2.672000>,
      < 3.020000, 7.040000, -2.628000>
    }
    triangle {
      < 2.664000, 6.680000, -2.564000>,
      < 3.020000, 7.040000, -2.628000>,
      < 2.796000, 7.208000, -2.588000>
    }
    triangle {
      < 2.472000, 5.920000, -2.528000>,
      < 2.472000, 4.664000, -2.528000>,
      < 3.272000, 4.664000, -2.672000>
    }
    triangle {
      < 2.472000, 5.920000, -2.528000>,
      < 3.272000, 4.664000, -2.672000>,
      < 3.272000, 4.908000, -2.672000>
    }
    triangle {
      < 2.472000, 5.920000, -2.528000>,
      < 3.272000, 4.908000, -2.672000>,
      < 2.488000, 5.964000, -2.532000>
    }
    triangle {
      < 3.464000, 4.520000, -2.740000>,
      < 3.268000, 4.520000, -2.704000>,
      < 3.268000, 4.520000, -2.780000>
    }
    triangle {
      < 2.416000, 5.744000, -2.560000>,
      < 2.416000, 4.520000, -2.560000>,
      < 2.428000, 4.520000, -2.972000>
    }
    triangle {
      < 2.416000, 5.744000, -2.560000>,
      < 2.428000, 4.520000, -2.972000>,
      < 2.428000, 5.744000, -2.972000>
    }
    triangle {
      < 2.416000, 4.520000, -2.560000>,
      < 2.172000, 4.520000, -2.520000>,
      < 2.184000, 4.520000, -3.032000>
    }
    triangle {
      < 2.416000, 4.520000, -2.560000>,
      < 2.184000, 4.520000, -3.032000>,
      < 2.428000, 4.520000, -2.972000>
    }
    texture {engines}
  }
  // engines_body
  union {
    triangle {
      < 2.172000, 4.520000, -2.520000>,
      < 2.172000, 9.416000, -2.520000>,
      < 2.184000, 9.416000, -3.032000>
    }
    triangle {
      < 2.172000, 4.520000, -2.520000>,
      < 2.184000, 9.416000, -3.032000>,
      < 2.184000, 4.520000, -3.032000>
    }
    texture {engines_body}
  }
  // body
  union {
    triangle {
      < 2.172000, 9.416000, -2.520000>,
      < 2.292000, 9.780000, -2.540000>,
      < 2.308000, 9.780000, -3.004000>
    }
    triangle {
      < 2.172000, 9.416000, -2.520000>,
      < 2.308000, 9.780000, -3.004000>,
      < 2.184000, 9.416000, -3.032000>
    }
    triangle {
      < 2.292000, 9.780000, -2.540000>,
      < 2.292000, 11.368000, -2.540000>,
      < 2.308000, 11.368000, -3.004000>
    }
    triangle {
      < 2.292000, 9.780000, -2.540000>,
      < 2.308000, 11.368000, -3.004000>,
      < 2.308000, 9.780000, -3.004000>
    }
    texture {body}
  }
  // DEFAULT
  union {
    triangle {
      < 2.292000, 11.368000, -2.540000>,
      < 3.464000, 11.368000, -2.740000>,
      < 2.308000, 11.368000, -3.004000>
    }
    texture {DEFAULT}
  }
  // engines
  union {
    triangle {
      < 3.464000, 4.520000, -2.740000>,
      < 3.268000, 4.520000, -2.780000>,
      < 3.300000, 4.520000, -2.856000>
    }
    triangle {
      < 2.788000, 7.208000, -2.892000>,
      < 2.428000, 5.744000, -2.972000>,
      < 2.600000, 5.744000, -3.356000>
    }
    triangle {
      < 2.788000, 7.208000, -2.892000>,
      < 2.600000, 5.744000, -3.356000>,
      < 2.896000, 7.208000, -3.144000>
    }
    triangle {
      < 2.428000, 5.744000, -2.972000>,
      < 2.428000, 4.520000, -2.972000>,
      < 2.600000, 4.520000, -3.356000>
    }
    triangle {
      < 2.428000, 5.744000, -2.972000>,
      < 2.600000, 4.520000, -3.356000>,
      < 2.600000, 5.744000, -3.356000>
    }
    triangle {
      < 2.428000, 4.520000, -2.972000>,
      < 2.184000, 4.520000, -3.032000>,
      < 2.396000, 4.520000, -3.504000>
    }
    triangle {
      < 2.428000, 4.520000, -2.972000>,
      < 2.396000, 4.520000, -3.504000>,
      < 2.600000, 4.520000, -3.356000>
    }
    texture {engines}
  }
  // engines_body
  union {
    triangle {
      < 2.184000, 4.520000, -3.032000>,
      < 2.184000, 9.416000, -3.032000>,
      < 2.396000, 9.416000, -3.504000>
    }
    triangle {
      < 2.184000, 4.520000, -3.032000>,
      < 2.396000, 9.416000, -3.504000>,
      < 2.396000, 4.520000, -3.504000>
    }
    triangle {
      < 2.184000, 9.416000, -3.032000>,
      < 2.308000, 9.780000, -3.004000>,
      < 2.496000, 9.780000, -3.432000>
    }
    triangle {
      < 2.184000, 9.416000, -3.032000>,
      < 2.496000, 9.780000, -3.432000>,
      < 2.396000, 9.416000, -3.504000>
    }
    texture {engines_body}
  }
  // body
  union {
    triangle {
      < 2.308000, 9.780000, -3.004000>,
      < 2.308000, 11.368000, -3.004000>,
      < 2.496000, 11.368000, -3.432000>
    }
    triangle {
      < 2.308000, 9.780000, -3.004000>,
      < 2.496000, 11.368000, -3.432000>,
      < 2.496000, 9.780000, -3.432000>
    }
    texture {body}
  }
  // DEFAULT
  union {
    triangle {
      < 2.308000, 11.368000, -3.004000>,
      < 3.464000, 11.368000, -2.740000>,
      < 2.496000, 11.368000, -3.432000>
    }
    texture {DEFAULT}
  }
  // engines
  union {
    triangle {
      < 3.464000, 4.520000, -2.740000>,
      < 3.300000, 4.520000, -2.856000>,
      < 3.364000, 4.520000, -2.912000>
    }
    triangle {
      < 3.300000, 6.844000, -2.856000>,
      < 2.896000, 7.208000, -3.144000>,
      < 3.100000, 7.208000, -3.332000>
    }
    triangle {
      < 2.896000, 7.208000, -3.144000>,
      < 2.600000, 5.744000, -3.356000>,
      < 2.896000, 5.744000, -3.640000>
    }
    triangle {
      < 2.896000, 7.208000, -3.144000>,
      < 2.896000, 5.744000, -3.640000>,
      < 3.100000, 7.208000, -3.332000>
    }
    triangle {
      < 2.600000, 5.744000, -3.356000>,
      < 2.600000, 4.520000, -3.356000>,
      < 2.896000, 4.520000, -3.640000>
    }
    triangle {
      < 2.600000, 5.744000, -3.356000>,
      < 2.896000, 4.520000, -3.640000>,
      < 2.896000, 5.744000, -3.640000>
    }
    triangle {
      < 2.600000, 4.520000, -3.356000>,
      < 2.396000, 4.520000, -3.504000>,
      < 2.772000, 4.520000, -3.852000>
    }
    triangle {
      < 2.600000, 4.520000, -3.356000>,
      < 2.772000, 4.520000, -3.852000>,
      < 2.896000, 4.520000, -3.640000>
    }
    triangle {
      < 2.396000, 4.520000, -3.504000>,
      < 2.396000, 9.416000, -3.504000>,
      < 2.772000, 9.416000, -3.852000>
    }
    triangle {
      < 2.396000, 4.520000, -3.504000>,
      < 2.772000, 9.416000, -3.852000>,
      < 2.772000, 4.520000, -3.852000>
    }
    triangle {
      < 2.396000, 9.416000, -3.504000>,
      < 2.496000, 9.780000, -3.432000>,
      < 2.840000, 9.780000, -3.748000>
    }
    triangle {
      < 2.396000, 9.416000, -3.504000>,
      < 2.840000, 9.780000, -3.748000>,
      < 2.772000, 9.416000, -3.852000>
    }
    texture {engines}
  }
  // engines_body
  union {
    triangle {
      < 2.496000, 9.780000, -3.432000>,
      < 2.496000, 11.368000, -3.432000>,
      < 2.840000, 11.368000, -3.748000>
    }
    triangle {
      < 2.496000, 9.780000, -3.432000>,
      < 2.840000, 11.368000, -3.748000>,
      < 2.840000, 9.780000, -3.748000>
    }
    texture {engines_body}
  }
  // engines
  union {
    triangle {
      < 2.496000, 11.368000, -3.432000>,
      < 3.464000, 11.368000, -2.740000>,
      < 2.840000, 11.368000, -3.748000>
    }
    triangle {
      < 3.464000, 4.520000, -2.740000>,
      < 3.364000, 4.520000, -2.912000>,
      < 3.428000, 4.520000, -2.936000>
    }
    triangle {
      < 2.896000, 5.744000, -3.640000>,
      < 2.896000, 4.520000, -3.640000>,
      < 3.284000, 4.520000, -3.788000>
    }
    triangle {
      < 2.896000, 5.744000, -3.640000>,
      < 3.284000, 4.520000, -3.788000>,
      < 3.284000, 5.744000, -3.788000>
    }
    triangle {
      < 2.896000, 4.520000, -3.640000>,
      < 2.772000, 4.520000, -3.852000>,
      < 3.240000, 4.520000, -4.032000>
    }
    triangle {
      < 2.896000, 4.520000, -3.640000>,
      < 3.240000, 4.520000, -4.032000>,
      < 3.284000, 4.520000, -3.788000>
    }
    triangle {
      < 2.772000, 4.520000, -3.852000>,
      < 2.772000, 9.416000, -3.852000>,
      < 3.240000, 9.416000, -4.032000>
    }
    triangle {
      < 2.772000, 4.520000, -3.852000>,
      < 3.240000, 9.416000, -4.032000>,
      < 3.240000, 4.520000, -4.032000>
    }
    triangle {
      < 2.772000, 9.416000, -3.852000>,
      < 2.840000, 9.780000, -3.748000>,
      < 3.264000, 9.780000, -3.912000>
    }
    triangle {
      < 2.772000, 9.416000, -3.852000>,
      < 3.264000, 9.780000, -3.912000>,
      < 3.240000, 9.416000, -4.032000>
    }
    triangle {
      < 2.840000, 9.780000, -3.748000>,
      < 2.840000, 11.368000, -3.748000>,
      < 3.264000, 11.368000, -3.912000>
    }
    triangle {
      < 2.840000, 9.780000, -3.748000>,
      < 3.264000, 11.368000, -3.912000>,
      < 3.264000, 9.780000, -3.912000>
    }
    triangle {
      < 2.840000, 11.368000, -3.748000>,
      < 3.464000, 11.368000, -2.740000>,
      < 3.264000, 11.368000, -3.912000>
    }
    triangle {
      < 3.464000, 4.520000, -2.740000>,
      < 3.428000, 4.520000, -2.936000>,
      < 3.508000, 4.520000, -2.936000>
    }
    triangle {
      < 3.284000, 5.744000, -3.788000>,
      < 3.284000, 4.520000, -3.788000>,
      < 3.704000, 4.520000, -3.780000>
    }
    triangle {
      < 3.284000, 5.744000, -3.788000>,
      < 3.704000, 4.520000, -3.780000>,
      < 3.704000, 5.744000, -3.780000>
    }
    triangle {
      < 3.284000, 4.520000, -3.788000>,
      < 3.240000, 4.520000, -4.032000>,
      < 3.756000, 4.520000, -4.020000>
    }
    triangle {
      < 3.284000, 4.520000, -3.788000>,
      < 3.756000, 4.520000, -4.020000>,
      < 3.704000, 4.520000, -3.780000>
    }
    triangle {
      < 3.240000, 4.520000, -4.032000>,
      < 3.240000, 9.416000, -4.032000>,
      < 3.756000, 9.416000, -4.020000>
    }
    triangle {
      < 3.240000, 4.520000, -4.032000>,
      < 3.756000, 9.416000, -4.020000>,
      < 3.756000, 4.520000, -4.020000>
    }
    triangle {
      < 3.240000, 9.416000, -4.032000>,
      < 3.264000, 9.780000, -3.912000>,
      < 3.728000, 9.780000, -3.896000>
    }
    triangle {
      < 3.240000, 9.416000, -4.032000>,
      < 3.728000, 9.780000, -3.896000>,
      < 3.756000, 9.416000, -4.020000>
    }
    triangle {
      < 3.264000, 9.780000, -3.912000>,
      < 3.264000, 11.368000, -3.912000>,
      < 3.728000, 11.368000, -3.896000>
    }
    triangle {
      < 3.264000, 9.780000, -3.912000>,
      < 3.728000, 11.368000, -3.896000>,
      < 3.728000, 9.780000, -3.896000>
    }
    triangle {
      < 3.264000, 11.368000, -3.912000>,
      < 3.464000, 11.368000, -2.740000>,
      < 3.728000, 11.368000, -3.896000>
    }
    triangle {
      < 3.464000, 4.520000, -2.740000>,
      < 3.508000, 4.520000, -2.936000>,
      < 3.584000, 4.520000, -2.904000>
    }
    triangle {
      < 3.508000, 4.520000, -2.936000>,
      < 3.508000, 6.844000, -2.936000>,
      < 3.584000, 6.844000, -2.904000>
    }
    triangle {
      < 3.508000, 4.520000, -2.936000>,
      < 3.584000, 6.844000, -2.904000>,
      < 3.584000, 4.520000, -2.904000>
    }
    triangle {
      < 3.508000, 6.844000, -2.936000>,
      < 3.620000, 7.208000, -3.416000>,
      < 3.868000, 7.208000, -3.308000>
    }
    triangle {
      < 3.508000, 6.844000, -2.936000>,
      < 3.868000, 7.208000, -3.308000>,
      < 3.584000, 6.844000, -2.904000>
    }
    triangle {
      < 3.620000, 7.208000, -3.416000>,
      < 3.704000, 5.744000, -3.780000>,
      < 4.084000, 5.744000, -3.600000>
    }
    triangle {
      < 3.620000, 7.208000, -3.416000>,
      < 4.084000, 5.744000, -3.600000>,
      < 3.868000, 7.208000, -3.308000>
    }
    triangle {
      < 3.704000, 5.744000, -3.780000>,
      < 3.704000, 4.520000, -3.780000>,
      < 4.084000, 4.520000, -3.600000>
    }
    triangle {
      < 3.704000, 5.744000, -3.780000>,
      < 4.084000, 4.520000, -3.600000>,
      < 4.084000, 5.744000, -3.600000>
    }
    triangle {
      < 3.704000, 4.520000, -3.780000>,
      < 3.756000, 4.520000, -4.020000>,
      < 4.228000, 4.520000, -3.808000>
    }
    triangle {
      < 3.704000, 4.520000, -3.780000>,
      < 4.228000, 4.520000, -3.808000>,
      < 4.084000, 4.520000, -3.600000>
    }
    triangle {
      < 3.756000, 4.520000, -4.020000>,
      < 3.756000, 9.416000, -4.020000>,
      < 4.228000, 9.416000, -3.808000>
    }
    triangle {
      < 3.756000, 4.520000, -4.020000>,
      < 4.228000, 9.416000, -3.808000>,
      < 4.228000, 4.520000, -3.808000>
    }
    triangle {
      < 3.756000, 9.416000, -4.020000>,
      < 3.728000, 9.780000, -3.896000>,
      < 4.156000, 9.780000, -3.708000>
    }
    triangle {
      < 3.756000, 9.416000, -4.020000>,
      < 4.156000, 9.780000, -3.708000>,
      < 4.228000, 9.416000, -3.808000>
    }
    triangle {
      < 3.728000, 9.780000, -3.896000>,
      < 3.728000, 11.368000, -3.896000>,
      < 4.156000, 11.368000, -3.708000>
    }
    triangle {
      < 3.728000, 9.780000, -3.896000>,
      < 4.156000, 11.368000, -3.708000>,
      < 4.156000, 9.780000, -3.708000>
    }
    triangle {
      < 3.728000, 11.368000, -3.896000>,
      < 3.464000, 11.368000, -2.740000>,
      < 4.156000, 11.368000, -3.708000>
    }
    triangle {
      < 3.464000, 4.520000, -2.740000>,
      < 3.584000, 4.520000, -2.904000>,
      < 3.632000, 4.520000, -2.840000>
    }
    triangle {
      < 3.584000, 6.844000, -2.904000>,
      < 3.868000, 7.208000, -3.308000>,
      < 4.056000, 7.208000, -3.104000>
    }
    triangle {
      < 3.868000, 7.208000, -3.308000>,
      < 4.084000, 5.744000, -3.600000>,
      < 4.376000, 5.744000, -3.300000>
    }
    triangle {
      < 3.868000, 7.208000, -3.308000>,
      < 4.376000, 5.744000, -3.300000>,
      < 4.056000, 7.208000, -3.104000>
    }
    triangle {
      < 4.084000, 5.744000, -3.600000>,
      < 4.084000, 4.520000, -3.600000>,
      < 4.376000, 4.520000, -3.300000>
    }
    triangle {
      < 4.084000, 5.744000, -3.600000>,
      < 4.376000, 4.520000, -3.300000>,
      < 4.376000, 5.744000, -3.300000>
    }
    triangle {
      < 4.084000, 4.520000, -3.600000>,
      < 4.228000, 4.520000, -3.808000>,
      < 4.580000, 4.520000, -3.432000>
    }
    triangle {
      < 4.084000, 4.520000, -3.600000>,
      < 4.580000, 4.520000, -3.432000>,
      < 4.376000, 4.520000, -3.300000>
    }
    triangle {
      < 4.228000, 4.520000, -3.808000>,
      < 4.228000, 9.416000, -3.808000>,
      < 4.580000, 9.416000, -3.432000>
    }
    triangle {
      < 4.228000, 4.520000, -3.808000>,
      < 4.580000, 9.416000, -3.432000>,
      < 4.580000, 4.520000, -3.432000>
    }
    triangle {
      < 4.228000, 9.416000, -3.808000>,
      < 4.156000, 9.780000, -3.708000>,
      < 4.476000, 9.780000, -3.364000>
    }
    triangle {
      < 4.228000, 9.416000, -3.808000>,
      < 4.476000, 9.780000, -3.364000>,
      < 4.580000, 9.416000, -3.432000>
    }
    triangle {
      < 4.156000, 9.780000, -3.708000>,
      < 4.156000, 11.368000, -3.708000>,
      < 4.476000, 11.368000, -3.364000>
    }
    triangle {
      < 4.156000, 9.780000, -3.708000>,
      < 4.476000, 11.368000, -3.364000>,
      < 4.476000, 9.780000, -3.364000>
    }
    triangle {
      < 4.156000, 11.368000, -3.708000>,
      < 3.464000, 11.368000, -2.740000>,
      < 4.476000, 11.368000, -3.364000>
    }
    triangle {
      < 3.464000, 4.520000, -2.740000>,
      < 3.632000, 4.520000, -2.840000>,
      < 3.664000, 4.520000, -2.776000>
    }
    triangle {
      < 4.376000, 5.744000, -3.300000>,
      < 4.376000, 4.520000, -3.300000>,
      < 4.516000, 4.520000, -2.916000>
    }
    triangle {
      < 4.376000, 5.744000, -3.300000>,
      < 4.516000, 4.520000, -2.916000>,
      < 4.516000, 5.744000, -2.916000>
    }
    triangle {
      < 4.376000, 4.520000, -3.300000>,
      < 4.580000, 4.520000, -3.432000>,
      < 4.756000, 4.520000, -2.960000>
    }
    triangle {
      < 4.376000, 4.520000, -3.300000>,
      < 4.756000, 4.520000, -2.960000>,
      < 4.516000, 4.520000, -2.916000>
    }
    triangle {
      < 4.580000, 4.520000, -3.432000>,
      < 4.580000, 9.416000, -3.432000>,
      < 4.756000, 9.416000, -2.960000>
    }
    triangle {
      < 4.580000, 4.520000, -3.432000>,
      < 4.756000, 9.416000, -2.960000>,
      < 4.756000, 4.520000, -2.960000>
    }
    triangle {
      < 4.580000, 9.416000, -3.432000>,
      < 4.476000, 9.780000, -3.364000>,
      < 4.636000, 9.780000, -2.936000>
    }
    triangle {
      < 4.580000, 9.416000, -3.432000>,
      < 4.636000, 9.780000, -2.936000>,
      < 4.756000, 9.416000, -2.960000>
    }
    triangle {
      < 4.476000, 9.780000, -3.364000>,
      < 4.476000, 11.368000, -3.364000>,
      < 4.636000, 11.368000, -2.936000>
    }
    triangle {
      < 4.476000, 9.780000, -3.364000>,
      < 4.636000, 11.368000, -2.936000>,
      < 4.636000, 9.780000, -2.936000>
    }
    triangle {
      < 4.476000, 11.368000, -3.364000>,
      < 3.464000, 11.368000, -2.740000>,
      < 4.636000, 11.368000, -2.936000>
    }
    triangle {
      < 3.464000, 4.520000, -2.740000>,
      < 3.664000, 4.520000, -2.776000>,
      < 3.656000, 4.520000, -2.696000>
    }
    triangle {
      < 4.516000, 5.744000, -2.916000>,
      < 4.516000, 4.520000, -2.916000>,
      < 4.508000, 4.520000, -2.500000>
    }
    triangle {
      < 4.516000, 5.744000, -2.916000>,
      < 4.508000, 4.520000, -2.500000>,
      < 4.508000, 5.744000, -2.500000>
    }
    triangle {
      < 4.516000, 4.520000, -2.916000>,
      < 4.756000, 4.520000, -2.960000>,
      < 4.744000, 4.520000, -2.440000>
    }
    triangle {
      < 4.516000, 4.520000, -2.916000>,
      < 4.744000, 4.520000, -2.440000>,
      < 4.508000, 4.520000, -2.500000>
    }
    triangle {
      < 4.756000, 4.520000, -2.960000>,
      < 4.756000, 9.416000, -2.960000>,
      < 4.744000, 9.416000, -2.440000>
    }
    triangle {
      < 4.756000, 4.520000, -2.960000>,
      < 4.744000, 9.416000, -2.440000>,
      < 4.744000, 4.520000, -2.440000>
    }
    triangle {
      < 4.756000, 9.416000, -2.960000>,
      < 4.636000, 9.780000, -2.936000>,
      < 4.628000, 9.780000, -2.476000>
    }
    triangle {
      < 4.756000, 9.416000, -2.960000>,
      < 4.628000, 9.780000, -2.476000>,
      < 4.744000, 9.416000, -2.440000>
    }
    triangle {
      < 4.636000, 9.780000, -2.936000>,
      < 4.636000, 11.368000, -2.936000>,
      < 4.628000, 11.368000, -2.476000>
    }
    triangle {
      < 4.636000, 9.780000, -2.936000>,
      < 4.628000, 11.368000, -2.476000>,
      < 4.628000, 9.780000, -2.476000>
    }
    triangle {
      < 4.636000, 11.368000, -2.936000>,
      < 3.464000, 11.368000, -2.740000>,
      < 4.628000, 11.368000, -2.476000>
    }
    triangle {
      < 3.464000, 4.520000, -2.740000>,
      < 3.656000, 4.520000, -2.696000>,
      < 3.632000, 4.520000, -2.624000>
    }
    triangle {
      < 3.656000, 4.520000, -2.696000>,
      < 3.656000, 6.844000, -2.696000>,
      < 3.632000, 6.844000, -2.624000>
    }
    triangle {
      < 3.656000, 4.520000, -2.696000>,
      < 3.632000, 6.844000, -2.624000>,
      < 3.632000, 4.520000, -2.624000>
    }
    triangle {
      < 3.656000, 6.844000, -2.696000>,
      < 4.144000, 7.208000, -2.584000>,
      < 4.032000, 7.208000, -2.336000>
    }
    triangle {
      < 3.656000, 6.844000, -2.696000>,
      < 4.032000, 7.208000, -2.336000>,
      < 3.632000, 6.844000, -2.624000>
    }
    triangle {
      < 4.144000, 7.208000, -2.584000>,
      < 4.508000, 5.744000, -2.500000>,
      < 4.332000, 5.744000, -2.120000>
    }
    triangle {
      < 4.144000, 7.208000, -2.584000>,
      < 4.332000, 5.744000, -2.120000>,
      < 4.032000, 7.208000, -2.336000>
    }
    triangle {
      < 4.508000, 5.744000, -2.500000>,
      < 4.508000, 4.520000, -2.500000>,
      < 4.332000, 4.520000, -2.120000>
    }
    triangle {
      < 4.508000, 5.744000, -2.500000>,
      < 4.332000, 4.520000, -2.120000>,
      < 4.332000, 5.744000, -2.120000>
    }
    triangle {
      < 4.508000, 4.520000, -2.500000>,
      < 4.744000, 4.520000, -2.440000>,
      < 4.536000, 4.520000, -1.976000>
    }
    triangle {
      < 4.508000, 4.520000, -2.500000>,
      < 4.536000, 4.520000, -1.976000>,
      < 4.332000, 4.520000, -2.120000>
    }
    triangle {
      < 3.464000, 4.520000, -2.740000>,
      < 3.632000, 4.520000, -2.624000>,
      < 3.568000, 4.520000, -2.572000>
    }
    triangle {
      < 3.632000, 4.520000, -2.624000>,
      < 3.632000, 6.844000, -2.624000>,
      < 3.568000, 6.844000, -2.572000>
    }
    triangle {
      < 3.632000, 4.520000, -2.624000>,
      < 3.568000, 6.844000, -2.572000>,
      < 3.568000, 4.520000, -2.572000>
    }
    triangle {
      < 3.632000, 6.844000, -2.624000>,
      < 4.032000, 7.208000, -2.336000>,
      < 3.832000, 7.208000, -2.148000>
    }
    triangle {
      < 3.632000, 6.844000, -2.624000>,
      < 3.832000, 7.208000, -2.148000>,
      < 3.568000, 6.844000, -2.572000>
    }
    triangle {
      < 4.032000, 7.208000, -2.336000>,
      < 4.332000, 5.744000, -2.120000>,
      < 4.032000, 5.744000, -1.836000>
    }
    triangle {
      < 4.032000, 7.208000, -2.336000>,
      < 4.032000, 5.744000, -1.836000>,
      < 3.832000, 7.208000, -2.148000>
    }
    triangle {
      < 4.332000, 5.744000, -2.120000>,
      < 4.332000, 4.520000, -2.120000>,
      < 4.032000, 4.520000, -1.836000>
    }
    triangle {
      < 4.332000, 5.744000, -2.120000>,
      < 4.032000, 4.520000, -1.836000>,
      < 4.032000, 5.744000, -1.836000>
    }
    triangle {
      < 4.332000, 4.520000, -2.120000>,
      < 4.536000, 4.520000, -1.976000>,
      < 4.164000, 4.520000, -1.628000>
    }
    triangle {
      < 4.332000, 4.520000, -2.120000>,
      < 4.164000, 4.520000, -1.628000>,
      < 4.032000, 4.520000, -1.836000>
    }
    triangle {
      < 3.464000, 4.520000, -2.740000>,
      < 3.568000, 4.520000, -2.572000>,
      < 3.500000, 4.520000, -2.540000>
    }
    triangle {
      < 3.568000, 4.520000, -2.572000>,
      < 3.568000, 6.844000, -2.572000>,
      < 3.500000, 6.844000, -2.540000>
    }
    triangle {
      < 3.568000, 4.520000, -2.572000>,
      < 3.500000, 6.844000, -2.540000>,
      < 3.500000, 4.520000, -2.540000>
    }
    triangle {
      < 3.832000, 7.208000, -2.148000>,
      < 4.032000, 5.744000, -1.836000>,
      < 3.648000, 5.744000, -1.692000>
    }
    triangle {
      < 4.032000, 5.744000, -1.836000>,
      < 4.032000, 4.520000, -1.836000>,
      < 3.648000, 4.520000, -1.692000>
    }
    triangle {
      < 4.032000, 5.744000, -1.836000>,
      < 3.648000, 4.520000, -1.692000>,
      < 3.648000, 5.744000, -1.692000>
    }
    texture {engines}
  }
  // DEFAULT
  union {
    triangle {
      < 4.032000, 4.520000, -1.836000>,
      < 4.164000, 4.520000, -1.628000>,
      < 3.688000, 4.520000, -1.448000>
    }
    triangle {
      < 4.032000, 4.520000, -1.836000>,
      < 3.688000, 4.520000, -1.448000>,
      < 3.648000, 4.520000, -1.692000>
    }
    texture {DEFAULT}
  }
  // engines
  union {
    triangle {
      < 3.464000, 4.520000, -2.740000>,
      < 3.500000, 4.520000, -2.540000>,
      < 3.424000, 4.520000, -2.544000>
    }
    triangle {
      < 3.648000, 5.744000, -1.692000>,
      < 3.648000, 4.520000, -1.692000>,
      < 3.224000, 4.520000, -1.692000>
    }
    triangle {
      < 3.648000, 5.744000, -1.692000>,
      < 3.224000, 4.520000, -1.692000>,
      < 3.224000, 5.744000, -1.692000>
    }
    texture {engines}
  }
  // DEFAULT
  union {
    triangle {
      < 3.648000, 4.520000, -1.692000>,
      < 3.688000, 4.520000, -1.448000>,
      < 3.172000, 4.520000, -1.456000>
    }
    triangle {
      < 3.648000, 4.520000, -1.692000>,
      < 3.172000, 4.520000, -1.456000>,
      < 3.224000, 4.520000, -1.692000>
    }
    texture {DEFAULT}
  }
  // engines
  union {
    triangle {
      < 3.464000, 4.520000, -2.740000>,
      < 3.424000, 4.520000, -2.544000>,
      < 3.352000, 4.520000, -2.572000>
    }
    triangle {
      < 3.308000, 7.208000, -2.060000>,
      < 3.224000, 5.744000, -1.692000>,
      < 2.848000, 5.744000, -1.868000>
    }
    triangle {
      < 3.308000, 7.208000, -2.060000>,
      < 2.848000, 5.744000, -1.868000>,
      < 3.060000, 7.208000, -2.172000>
    }
    triangle {
      < 3.224000, 5.744000, -1.692000>,
      < 3.224000, 4.520000, -1.692000>,
      < 2.848000, 4.520000, -1.868000>
    }
    triangle {
      < 3.224000, 5.744000, -1.692000>,
      < 2.848000, 4.520000, -1.868000>,
      < 2.848000, 5.744000, -1.868000>
    }
    texture {engines}
  }
  // DEFAULT
  union {
    triangle {
      < 3.224000, 4.520000, -1.692000>,
      < 3.172000, 4.520000, -1.456000>,
      < 2.708000, 4.520000, -1.660000>
    }
    texture {DEFAULT}
  }
  // engines
  union {
    triangle {
      < 3.224000, 4.520000, -1.692000>,
      < 2.708000, 4.520000, -1.660000>,
      < 2.848000, 4.520000, -1.868000>
    }
    triangle {
      < 3.464000, 4.520000, -2.740000>,
      < 3.352000, 4.520000, -2.572000>,
      < 3.296000, 4.520000, -2.636000>
    }
    triangle {
      < 3.352000, 4.520000, -2.572000>,
      < 3.352000, 6.844000, -2.572000>,
      < 3.296000, 6.844000, -2.636000>
    }
    triangle {
      < 3.352000, 4.520000, -2.572000>,
      < 3.296000, 6.844000, -2.636000>,
      < 3.296000, 4.520000, -2.636000>
    }
    triangle {
      < 3.352000, 6.844000, -2.572000>,
      < 3.060000, 7.208000, -2.172000>,
      < 2.872000, 7.208000, -2.372000>
    }
    triangle {
      < 3.352000, 6.844000, -2.572000>,
      < 2.872000, 7.208000, -2.372000>,
      < 3.296000, 6.844000, -2.636000>
    }
    triangle {
      < 3.060000, 7.208000, -2.172000>,
      < 2.848000, 5.744000, -1.868000>,
      < 2.564000, 5.744000, -2.168000>
    }
    triangle {
      < 3.060000, 7.208000, -2.172000>,
      < 2.564000, 5.744000, -2.168000>,
      < 2.872000, 7.208000, -2.372000>
    }
    triangle {
      < 2.848000, 5.744000, -1.868000>,
      < 2.848000, 4.520000, -1.868000>,
      < 2.564000, 4.520000, -2.168000>
    }
    triangle {
      < 2.848000, 5.744000, -1.868000>,
      < 2.564000, 4.520000, -2.168000>,
      < 2.564000, 5.744000, -2.168000>
    }
    triangle {
      < 2.848000, 4.520000, -1.868000>,
      < 2.708000, 4.520000, -1.660000>,
      < 2.356000, 4.520000, -2.040000>
    }
    triangle {
      < 2.848000, 4.520000, -1.868000>,
      < 2.356000, 4.520000, -2.040000>,
      < 2.564000, 4.520000, -2.168000>
    }
    triangle {
      < 3.464000, 4.520000, -2.740000>,
      < 3.296000, 4.520000, -2.636000>,
      < 3.268000, 4.520000, -2.704000>
    }
    triangle {
      < 2.564000, 5.744000, -2.168000>,
      < 2.564000, 4.520000, -2.168000>,
      < 2.416000, 4.520000, -2.560000>
    }
    triangle {
      < 2.564000, 5.744000, -2.168000>,
      < 2.416000, 4.520000, -2.560000>,
      < 2.416000, 5.744000, -2.560000>
    }
    triangle {
      < 2.564000, 4.520000, -2.168000>,
      < 2.356000, 4.520000, -2.040000>,
      < 2.172000, 4.520000, -2.520000>
    }
    triangle {
      < 2.564000, 4.520000, -2.168000>,
      < 2.172000, 4.520000, -2.520000>,
      < 2.416000, 4.520000, -2.560000>
    }
    texture {engines}
  }
  // engines_body
  union {
    triangle {
      < 2.356000, 4.520000, -2.040000>,
      < 2.172000, 9.416000, -2.520000>,
      < 2.172000, 4.520000, -2.520000>
    }
    texture {engines_body}
  }
  // engines
  union {
    triangle {
      < 2.464000, 5.928000, -2.596000>,
      < 2.468000, 5.952000, -2.568000>,
      < 2.416000, 5.744000, -2.560000>
    }
    triangle {
      < 3.436000, 4.664000, -2.936000>,
      < 3.364000, 4.520000, -2.912000>,
      < 3.428000, 4.664000, -2.936000>
    }
    triangle {
      < 3.456000, 4.664000, -2.936000>,
      < 3.364000, 4.520000, -2.912000>,
      < 3.436000, 4.664000, -2.936000>
    }
    triangle {
      < 4.452000, 5.940000, -2.948000>,
      < 4.516000, 5.744000, -2.916000>,
      < 4.452000, 5.944000, -2.940000>
    }
    triangle {
      < 3.556000, 7.072000, -2.228000>,
      < 3.568000, 6.844000, -2.572000>,
      < 3.584000, 7.200000, -2.064000>
    }
    triangle {
      < 3.500000, 6.848000, -2.540000>,
      < 3.568000, 6.844000, -2.572000>,
      < 3.556000, 7.072000, -2.228000>
    }
    triangle {
      < 3.500000, 4.520000, -2.540000>,
      < 3.500000, 6.844000, -2.540000>,
      < 3.500000, 6.844000, -2.544000>
    }
    triangle {
      < 3.408000, 4.664000, -2.552000>,
      < 3.424000, 4.664000, -2.544000>,
      < 3.420000, 4.664000, -2.544000>
    }
    triangle {
      < 2.472000, 5.928000, -2.540000>,
      < 2.488000, 5.964000, -2.532000>,
      < 2.872000, 7.208000, -2.372000>
    }
    triangle {
      < 3.280000, 4.664000, -2.800000>,
      < 3.268000, 4.664000, -2.704000>,
      < 3.268000, 4.664000, -2.712000>
    }
    triangle {
      < 3.268000, 4.664000, -2.712000>,
      < 2.472000, 4.664000, -2.528000>,
      < 3.268000, 4.664000, -2.780000>
    }
    triangle {
      < 3.084000, 6.980000, -2.776000>,
      < 2.696000, 6.848000, -2.708000>,
      < 2.784000, 7.208000, -2.724000>
    }
    triangle {
      < 2.472000, 5.928000, -2.540000>,
      < 2.472000, 4.664000, -2.528000>,
      < 2.472000, 5.920000, -2.528000>
    }
    triangle {
      < 3.280000, 6.844000, -2.812000>,
      < 3.220000, 6.880000, -2.800000>,
      < 3.248000, 6.868000, -2.804000>
    }
    triangle {
      < 3.436000, 4.664000, -2.936000>,
      < 3.288000, 4.664000, -3.724000>,
      < 3.456000, 4.664000, -2.936000>
    }
    triangle {
      < 3.440000, 6.880000, -2.984000>,
      < 3.324000, 6.660000, -3.556000>,
      < 3.348000, 7.184000, -3.424000>
    }
    triangle {
      < 3.656000, 4.664000, -2.772000>,
      < 4.440000, 4.664000, -3.016000>,
      < 3.656000, 4.664000, -2.768000>
    }
    triangle {
      < 4.452000, 5.944000, -2.940000>,
      < 4.440000, 4.664000, -3.016000>,
      < 4.452000, 5.940000, -2.948000>
    }
    triangle {
      < 3.584000, 7.200000, -2.064000>,
      < 3.584000, 7.208000, -2.056000>,
      < 3.604000, 6.736000, -1.940000>
    }
    triangle {
      < 3.424000, 6.984000, -2.352000>,
      < 3.488000, 6.844000, -1.968000>,
      < 3.472000, 7.208000, -2.060000>
    }
    triangle {
      < 3.388000, 6.844000, -2.556000>,
      < 3.532000, 4.664000, -1.740000>,
      < 3.388000, 6.848000, -2.548000>
    }
    triangle {
      < 2.488000, 5.964000, -2.532000>,
      < 3.272000, 4.908000, -2.672000>,
      < 2.664000, 6.680000, -2.564000>
    }
    texture {engines}
  }
  // body
  union {
    triangle {
      < 2.452000, 9.832000, -2.124000>,
      < 1.588000, 14.500000, -1.968000>,
      < 2.452000, 11.368000, -2.124000>
    }
    triangle {
      < 2.452000, 9.780000, -2.124000>,
      < 1.588000, 14.500000, -1.968000>,
      < 2.452000, 9.832000, -2.124000>
    }
    triangle {
      < 2.348000, 9.464000, -2.104000>,
      < 1.588000, 14.500000, -1.968000>,
      < 2.452000, 9.780000, -2.124000>
    }
    triangle {
      < 2.356000, 9.416000, -2.040000>,
      < 2.328000, 9.272000, -2.104000>,
      < 1.604000, 7.492000, -1.976000>
    }
    texture {body}
  }
  // wingsr
  union {
    triangle {
      < 4.464000, 7.776000, -2.448000>,
      < 6.428000, 14.020000, -2.256000>,
      < 4.732000, 8.632000, -2.420000>
    }
    triangle {
      < 4.724000, 9.440000, -2.420000>,
      < 6.428000, 14.020000, -2.256000>,
      < 4.732000, 9.416000, -2.420000>
    }
    triangle {
      < 4.608000, 9.948000, -2.432000>,
      < 6.428000, 14.020000, -2.256000>,
      < 4.724000, 9.440000, -2.420000>
    }
    texture {wingsr}
  }
  // engines
  union {
    triangle {
      < 4.372000, 14.220000, -2.460000>,
      < 4.608000, 9.948000, -2.432000>,
      < 4.408000, 11.368000, -2.452000>
    }
    texture {engines}
  }
  // body
  union {
    triangle {
      < 2.484000, 7.568000, -1.904000>,
      < 1.604000, 7.492000, -1.976000>,
      < 2.356000, 7.568000, -2.040000>
    }
    texture {body}
  }
  // DEFAULT
  union {
    triangle {
      < 2.708000, 7.592000, -1.660000>,
      < 1.804000, 7.496000, -1.068000>,
      < 1.604000, 7.492000, -1.976000>
    }
    texture {DEFAULT}
  }
  // wingsr
  union {
    triangle {
      < 3.356000, 7.648000, -1.456000>,
      < 1.856000, 7.496000, -0.760000>,
      < 3.172000, 7.632000, -1.456000>
    }
    triangle {
      < 4.164000, 7.732000, -1.628000>,
      < 6.648000, 7.984000, -2.236000>,
      < 1.856000, 7.496000, -0.760000>
    }
    triangle {
      < 4.292000, 7.748000, -1.748000>,
      < 6.648000, 7.984000, -2.236000>,
      < 4.164000, 7.732000, -1.628000>
    }
    texture {wingsr}
  }
  // body
  union {
    triangle {
      < 2.328000, 9.408000, -2.104000>,
      < 2.172000, 9.416000, -2.520000>,
      < 2.328000, 7.560000, -2.104000>
    }
    texture {body}
  }
  // engines
  union {
    triangle {
      < 4.408000, 11.368000, -2.452000>,
      < 4.608000, 11.368000, -2.432000>,
      < 4.628000, 11.368000, -2.476000>
    }
    triangle {
      < 4.364000, 11.368000, -2.456000>,
      < 4.408000, 11.368000, -2.452000>,
      < 4.628000, 11.368000, -2.476000>
    }
    triangle {
      < 4.744000, 4.520000, -2.440000>,
      < 4.724000, 9.440000, -2.420000>,
      < 4.732000, 9.416000, -2.420000>
    }
    triangle {
      < 4.724000, 9.440000, -2.420000>,
      < 4.628000, 9.780000, -2.476000>,
      < 4.608000, 9.780000, -2.432000>
    }
    triangle {
      < 4.608000, 9.948000, -2.432000>,
      < 4.628000, 11.368000, -2.476000>,
      < 4.608000, 11.368000, -2.432000>
    }
    triangle {
      < 4.608000, 9.780000, -2.432000>,
      < 4.628000, 11.368000, -2.476000>,
      < 4.608000, 9.948000, -2.432000>
    }
    texture {engines}
  }
  // DEFAULT
  union {
    triangle {
      < 3.000000, 7.616000, -1.536000>,
      < 2.876000, 7.604000, -1.592000>,
      < 3.172000, 4.520000, -1.456000>
    }
    texture {DEFAULT}
  }
  // body
  union {
    triangle {
      < 1.752000, 14.500000, -1.056000>,
      < 1.804000, 14.496000, -1.060000>,
      < 1.856000, 14.496000, -0.760000>
    }
    texture {body}
  }
  // engines
  union {
    triangle {
      < 3.500000, 6.844000, -2.540000>,
      < 3.500000, 6.848000, -2.540000>,
      < 3.500000, 6.844000, -2.544000>
    }
    triangle {
      < 3.388000, 11.396000, -3.168000>,
      < 2.664000, 11.396000, -3.052000>,
      < 2.672000, 11.396000, -3.336000>
    }
    texture {engines}
  }
  // body
  union {
    triangle {
      < 2.664000, 11.396000, -3.052000>,
      < 2.664000, 12.556000, -3.052000>,
      < 2.672000, 12.556000, -3.336000>
    }
    triangle {
      < 2.664000, 11.396000, -3.052000>,
      < 2.672000, 12.556000, -3.336000>,
      < 2.672000, 11.396000, -3.336000>
    }
    triangle {
      < 2.664000, 12.556000, -3.052000>,
      < 2.756000, 12.848000, -3.068000>,
      < 2.760000, 12.848000, -3.316000>
    }
    triangle {
      < 2.664000, 12.556000, -3.052000>,
      < 2.760000, 12.848000, -3.316000>,
      < 2.672000, 12.556000, -3.336000>
    }
    triangle {
      < 2.756000, 12.848000, -3.068000>,
      < 2.664000, 13.428000, -3.052000>,
      < 2.672000, 13.428000, -3.336000>
    }
    triangle {
      < 2.756000, 12.848000, -3.068000>,
      < 2.672000, 13.428000, -3.336000>,
      < 2.760000, 12.848000, -3.316000>
    }
    triangle {
      < 2.664000, 13.428000, -3.052000>,
      < 2.664000, 14.200000, -3.052000>,
      < 2.672000, 14.200000, -3.336000>
    }
    triangle {
      < 2.664000, 13.428000, -3.052000>,
      < 2.672000, 14.200000, -3.336000>,
      < 2.672000, 13.428000, -3.336000>
    }
    triangle {
      < 2.664000, 14.200000, -3.052000>,
      < 2.756000, 14.300000, -3.068000>,
      < 2.760000, 14.300000, -3.316000>
    }
    triangle {
      < 2.664000, 14.200000, -3.052000>,
      < 2.760000, 14.300000, -3.316000>,
      < 2.672000, 14.200000, -3.336000>
    }
    texture {body}
  }
  // rockets_body
  union {
    triangle {
      < 2.756000, 14.300000, -3.068000>,
      < 2.848000, 15.360000, -3.080000>,
      < 2.852000, 15.360000, -3.288000>
    }
    triangle {
      < 2.756000, 14.300000, -3.068000>,
      < 2.852000, 15.360000, -3.288000>,
      < 2.760000, 14.300000, -3.316000>
    }
    triangle {
      < 2.848000, 15.360000, -3.080000>,
      < 2.756000, 15.556000, -3.068000>,
      < 2.760000, 15.556000, -3.316000>
    }
    triangle {
      < 2.848000, 15.360000, -3.080000>,
      < 2.760000, 15.556000, -3.316000>,
      < 2.852000, 15.360000, -3.288000>
    }
    triangle {
      < 2.756000, 15.556000, -3.068000>,
      < 2.908000, 17.104000, -3.088000>,
      < 2.904000, 17.104000, -3.280000>
    }
    triangle {
      < 2.756000, 15.556000, -3.068000>,
      < 2.904000, 17.104000, -3.280000>,
      < 2.760000, 15.556000, -3.316000>
    }
    texture {rockets_body}
  }
  // rockets
  union {
    triangle {
      < 2.908000, 17.104000, -3.088000>,
      < 2.992000, 17.104000, -3.104000>,
      < 3.004000, 17.104000, -3.256000>
    }
    triangle {
      < 2.908000, 17.104000, -3.088000>,
      < 3.004000, 17.104000, -3.256000>,
      < 2.904000, 17.104000, -3.280000>
    }
    triangle {
      < 2.992000, 17.104000, -3.104000>,
      < 3.084000, 15.944000, -3.116000>,
      < 3.088000, 15.944000, -3.240000>
    }
    triangle {
      < 2.992000, 17.104000, -3.104000>,
      < 3.088000, 15.944000, -3.240000>,
      < 3.004000, 17.104000, -3.256000>
    }
    triangle {
      < 3.084000, 15.944000, -3.116000>,
      < 3.388000, 15.752000, -3.168000>,
      < 3.088000, 15.944000, -3.240000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < 3.388000, 11.396000, -3.168000>,
      < 2.672000, 11.396000, -3.336000>,
      < 2.788000, 11.396000, -3.600000>
    }
    texture {engines}
  }
  // body
  union {
    triangle {
      < 2.672000, 11.396000, -3.336000>,
      < 2.672000, 12.556000, -3.336000>,
      < 2.788000, 12.556000, -3.600000>
    }
    triangle {
      < 2.672000, 11.396000, -3.336000>,
      < 2.788000, 12.556000, -3.600000>,
      < 2.788000, 11.396000, -3.600000>
    }
    texture {body}
  }
  // rockets_body
  union {
    triangle {
      < 2.672000, 12.556000, -3.336000>,
      < 2.760000, 12.848000, -3.316000>,
      < 2.856000, 12.848000, -3.540000>
    }
    triangle {
      < 2.672000, 12.556000, -3.336000>,
      < 2.856000, 12.848000, -3.540000>,
      < 2.788000, 12.556000, -3.600000>
    }
    texture {rockets_body}
  }
  // body
  union {
    triangle {
      < 2.760000, 12.848000, -3.316000>,
      < 2.672000, 13.428000, -3.336000>,
      < 2.788000, 13.428000, -3.600000>
    }
    texture {body}
  }
  // rockets_body
  union {
    triangle {
      < 2.760000, 12.848000, -3.316000>,
      < 2.788000, 13.428000, -3.600000>,
      < 2.856000, 12.848000, -3.540000>
    }
    texture {rockets_body}
  }
  // body
  union {
    triangle {
      < 2.672000, 13.428000, -3.336000>,
      < 2.672000, 14.200000, -3.336000>,
      < 2.788000, 14.200000, -3.600000>
    }
    triangle {
      < 2.672000, 13.428000, -3.336000>,
      < 2.788000, 14.200000, -3.600000>,
      < 2.788000, 13.428000, -3.600000>
    }
    texture {body}
  }
  // rockets_body
  union {
    triangle {
      < 2.672000, 14.200000, -3.336000>,
      < 2.760000, 14.300000, -3.316000>,
      < 2.856000, 14.300000, -3.540000>
    }
    triangle {
      < 2.672000, 14.200000, -3.336000>,
      < 2.856000, 14.300000, -3.540000>,
      < 2.788000, 14.200000, -3.600000>
    }
    triangle {
      < 2.760000, 14.300000, -3.316000>,
      < 2.852000, 15.360000, -3.288000>,
      < 2.940000, 15.360000, -3.488000>
    }
    triangle {
      < 2.760000, 14.300000, -3.316000>,
      < 2.940000, 15.360000, -3.488000>,
      < 2.856000, 14.300000, -3.540000>
    }
    triangle {
      < 2.852000, 15.360000, -3.288000>,
      < 2.760000, 15.556000, -3.316000>,
      < 2.856000, 15.556000, -3.540000>
    }
    texture {rockets_body}
  }
  // rockets
  union {
    triangle {
      < 2.852000, 15.360000, -3.288000>,
      < 2.856000, 15.556000, -3.540000>,
      < 2.940000, 15.360000, -3.488000>
    }
    texture {rockets}
  }
  // rockets_body
  union {
    triangle {
      < 2.760000, 15.556000, -3.316000>,
      < 2.904000, 17.104000, -3.280000>,
      < 2.988000, 17.104000, -3.456000>
    }
    triangle {
      < 2.760000, 15.556000, -3.316000>,
      < 2.988000, 17.104000, -3.456000>,
      < 2.856000, 15.556000, -3.540000>
    }
    texture {rockets_body}
  }
  // rockets
  union {
    triangle {
      < 2.904000, 17.104000, -3.280000>,
      < 3.004000, 17.104000, -3.256000>,
      < 3.064000, 17.104000, -3.404000>
    }
    triangle {
      < 2.904000, 17.104000, -3.280000>,
      < 3.064000, 17.104000, -3.404000>,
      < 2.988000, 17.104000, -3.456000>
    }
    triangle {
      < 3.004000, 17.104000, -3.256000>,
      < 3.088000, 15.944000, -3.240000>,
      < 3.136000, 15.944000, -3.348000>
    }
    triangle {
      < 3.004000, 17.104000, -3.256000>,
      < 3.136000, 15.944000, -3.348000>,
      < 3.064000, 17.104000, -3.404000>
    }
    triangle {
      < 3.088000, 15.944000, -3.240000>,
      < 3.388000, 15.752000, -3.168000>,
      < 3.136000, 15.944000, -3.348000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < 3.388000, 11.396000, -3.168000>,
      < 2.788000, 11.396000, -3.600000>,
      < 3.000000, 11.396000, -3.796000>
    }
    texture {engines}
  }
  // rockets_body
  union {
    triangle {
      < 2.788000, 11.396000, -3.600000>,
      < 2.788000, 12.556000, -3.600000>,
      < 3.000000, 12.556000, -3.796000>
    }
    triangle {
      < 2.788000, 11.396000, -3.600000>,
      < 3.000000, 12.556000, -3.796000>,
      < 3.000000, 11.396000, -3.796000>
    }
    triangle {
      < 2.788000, 12.556000, -3.600000>,
      < 2.856000, 12.848000, -3.540000>,
      < 3.052000, 12.848000, -3.716000>
    }
    triangle {
      < 2.788000, 12.556000, -3.600000>,
      < 3.052000, 12.848000, -3.716000>,
      < 3.000000, 12.556000, -3.796000>
    }
    triangle {
      < 2.856000, 12.848000, -3.540000>,
      < 2.788000, 13.428000, -3.600000>,
      < 3.000000, 13.428000, -3.796000>
    }
    triangle {
      < 2.856000, 12.848000, -3.540000>,
      < 3.000000, 13.428000, -3.796000>,
      < 3.052000, 12.848000, -3.716000>
    }
    triangle {
      < 2.788000, 13.428000, -3.600000>,
      < 2.788000, 14.200000, -3.600000>,
      < 3.000000, 14.200000, -3.796000>
    }
    triangle {
      < 2.788000, 13.428000, -3.600000>,
      < 3.000000, 14.200000, -3.796000>,
      < 3.000000, 13.428000, -3.796000>
    }
    triangle {
      < 2.788000, 14.200000, -3.600000>,
      < 2.856000, 14.300000, -3.540000>,
      < 3.052000, 14.300000, -3.716000>
    }
    triangle {
      < 2.788000, 14.200000, -3.600000>,
      < 3.052000, 14.300000, -3.716000>,
      < 3.000000, 14.200000, -3.796000>
    }
    texture {rockets_body}
  }
  // rockets
  union {
    triangle {
      < 2.856000, 14.300000, -3.540000>,
      < 2.940000, 15.360000, -3.488000>,
      < 3.096000, 15.360000, -3.640000>
    }
    triangle {
      < 2.856000, 14.300000, -3.540000>,
      < 3.096000, 15.360000, -3.640000>,
      < 3.052000, 14.300000, -3.716000>
    }
    texture {rockets}
  }
  // rockets_wingsr_body
  union {
    triangle {
      < 2.940000, 15.360000, -3.488000>,
      < 2.856000, 15.556000, -3.540000>,
      < 3.052000, 15.556000, -3.716000>
    }
    texture {rockets_wingsr_body}
  }
  // rockets_wingsr
  union {
    triangle {
      < 2.940000, 15.360000, -3.488000>,
      < 3.052000, 15.556000, -3.716000>,
      < 3.096000, 15.360000, -3.640000>
    }
    texture {rockets_wingsr}
  }
  // rockets
  union {
    triangle {
      < 2.856000, 15.556000, -3.540000>,
      < 2.988000, 17.104000, -3.456000>,
      < 3.132000, 17.104000, -3.588000>
    }
    triangle {
      < 2.856000, 15.556000, -3.540000>,
      < 3.132000, 17.104000, -3.588000>,
      < 3.052000, 15.556000, -3.716000>
    }
    triangle {
      < 2.988000, 17.104000, -3.456000>,
      < 3.064000, 17.104000, -3.404000>,
      < 3.180000, 17.104000, -3.508000>
    }
    triangle {
      < 2.988000, 17.104000, -3.456000>,
      < 3.180000, 17.104000, -3.508000>,
      < 3.132000, 17.104000, -3.588000>
    }
    triangle {
      < 3.064000, 17.104000, -3.404000>,
      < 3.136000, 15.944000, -3.348000>,
      < 3.228000, 15.944000, -3.432000>
    }
    triangle {
      < 3.064000, 17.104000, -3.404000>,
      < 3.228000, 15.944000, -3.432000>,
      < 3.180000, 17.104000, -3.508000>
    }
    triangle {
      < 3.136000, 15.944000, -3.348000>,
      < 3.388000, 15.752000, -3.168000>,
      < 3.228000, 15.944000, -3.432000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < 3.388000, 11.396000, -3.168000>,
      < 3.000000, 11.396000, -3.796000>,
      < 3.264000, 11.396000, -3.900000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < 3.000000, 11.396000, -3.796000>,
      < 3.000000, 12.556000, -3.796000>,
      < 3.264000, 12.556000, -3.900000>
    }
    triangle {
      < 3.000000, 11.396000, -3.796000>,
      < 3.264000, 12.556000, -3.900000>,
      < 3.264000, 11.396000, -3.900000>
    }
    triangle {
      < 3.000000, 12.556000, -3.796000>,
      < 3.052000, 12.848000, -3.716000>,
      < 3.280000, 12.848000, -3.808000>
    }
    triangle {
      < 3.000000, 12.556000, -3.796000>,
      < 3.280000, 12.848000, -3.808000>,
      < 3.264000, 12.556000, -3.900000>
    }
    triangle {
      < 3.052000, 12.848000, -3.716000>,
      < 3.000000, 13.428000, -3.796000>,
      < 3.264000, 13.428000, -3.900000>
    }
    triangle {
      < 3.052000, 12.848000, -3.716000>,
      < 3.264000, 13.428000, -3.900000>,
      < 3.280000, 12.848000, -3.808000>
    }
    triangle {
      < 3.000000, 13.428000, -3.796000>,
      < 3.000000, 14.200000, -3.796000>,
      < 3.264000, 14.200000, -3.900000>
    }
    triangle {
      < 3.000000, 13.428000, -3.796000>,
      < 3.264000, 14.200000, -3.900000>,
      < 3.264000, 13.428000, -3.900000>
    }
    triangle {
      < 3.000000, 14.200000, -3.796000>,
      < 3.052000, 14.300000, -3.716000>,
      < 3.280000, 14.300000, -3.808000>
    }
    triangle {
      < 3.000000, 14.200000, -3.796000>,
      < 3.280000, 14.300000, -3.808000>,
      < 3.264000, 14.200000, -3.900000>
    }
    triangle {
      < 3.052000, 14.300000, -3.716000>,
      < 3.096000, 15.360000, -3.640000>,
      < 3.296000, 15.360000, -3.716000>
    }
    triangle {
      < 3.052000, 14.300000, -3.716000>,
      < 3.296000, 15.360000, -3.716000>,
      < 3.280000, 14.300000, -3.808000>
    }
    triangle {
      < 3.096000, 15.360000, -3.640000>,
      < 3.052000, 15.556000, -3.716000>,
      < 3.280000, 15.556000, -3.808000>
    }
    triangle {
      < 3.096000, 15.360000, -3.640000>,
      < 3.280000, 15.556000, -3.808000>,
      < 3.296000, 15.360000, -3.716000>
    }
    triangle {
      < 3.052000, 15.556000, -3.716000>,
      < 3.132000, 17.104000, -3.588000>,
      < 3.308000, 17.104000, -3.656000>
    }
    triangle {
      < 3.052000, 15.556000, -3.716000>,
      < 3.308000, 17.104000, -3.656000>,
      < 3.280000, 15.556000, -3.808000>
    }
    triangle {
      < 3.132000, 17.104000, -3.588000>,
      < 3.180000, 17.104000, -3.508000>,
      < 3.324000, 17.104000, -3.564000>
    }
    triangle {
      < 3.132000, 17.104000, -3.588000>,
      < 3.324000, 17.104000, -3.564000>,
      < 3.308000, 17.104000, -3.656000>
    }
    triangle {
      < 3.180000, 17.104000, -3.508000>,
      < 3.228000, 15.944000, -3.432000>,
      < 3.336000, 15.944000, -3.472000>
    }
    triangle {
      < 3.180000, 17.104000, -3.508000>,
      < 3.336000, 15.944000, -3.472000>,
      < 3.324000, 17.104000, -3.564000>
    }
    triangle {
      < 3.228000, 15.944000, -3.432000>,
      < 3.388000, 15.752000, -3.168000>,
      < 3.336000, 15.944000, -3.472000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < 3.388000, 11.396000, -3.168000>,
      < 3.264000, 11.396000, -3.900000>,
      < 3.552000, 11.396000, -3.888000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < 3.264000, 11.396000, -3.900000>,
      < 3.264000, 12.556000, -3.900000>,
      < 3.552000, 12.556000, -3.888000>
    }
    triangle {
      < 3.264000, 11.396000, -3.900000>,
      < 3.552000, 12.556000, -3.888000>,
      < 3.552000, 11.396000, -3.888000>
    }
    triangle {
      < 3.264000, 12.556000, -3.900000>,
      < 3.280000, 12.848000, -3.808000>,
      < 3.536000, 12.848000, -3.804000>
    }
    triangle {
      < 3.264000, 12.556000, -3.900000>,
      < 3.536000, 12.848000, -3.804000>,
      < 3.552000, 12.556000, -3.888000>
    }
    triangle {
      < 3.280000, 12.848000, -3.808000>,
      < 3.264000, 13.428000, -3.900000>,
      < 3.552000, 13.428000, -3.888000>
    }
    triangle {
      < 3.280000, 12.848000, -3.808000>,
      < 3.552000, 13.428000, -3.888000>,
      < 3.536000, 12.848000, -3.804000>
    }
    triangle {
      < 3.264000, 13.428000, -3.900000>,
      < 3.264000, 14.200000, -3.900000>,
      < 3.552000, 14.200000, -3.888000>
    }
    triangle {
      < 3.264000, 13.428000, -3.900000>,
      < 3.552000, 14.200000, -3.888000>,
      < 3.552000, 13.428000, -3.888000>
    }
    triangle {
      < 3.264000, 14.200000, -3.900000>,
      < 3.280000, 14.300000, -3.808000>,
      < 3.536000, 14.300000, -3.804000>
    }
    triangle {
      < 3.264000, 14.200000, -3.900000>,
      < 3.536000, 14.300000, -3.804000>,
      < 3.552000, 14.200000, -3.888000>
    }
    triangle {
      < 3.280000, 14.300000, -3.808000>,
      < 3.296000, 15.360000, -3.716000>,
      < 3.512000, 15.360000, -3.708000>
    }
    triangle {
      < 3.280000, 14.300000, -3.808000>,
      < 3.512000, 15.360000, -3.708000>,
      < 3.536000, 14.300000, -3.804000>
    }
    triangle {
      < 3.296000, 15.360000, -3.716000>,
      < 3.280000, 15.556000, -3.808000>,
      < 3.536000, 15.556000, -3.804000>
    }
    triangle {
      < 3.296000, 15.360000, -3.716000>,
      < 3.536000, 15.556000, -3.804000>,
      < 3.512000, 15.360000, -3.708000>
    }
    triangle {
      < 3.280000, 15.556000, -3.808000>,
      < 3.308000, 17.104000, -3.656000>,
      < 3.500000, 17.104000, -3.648000>
    }
    triangle {
      < 3.280000, 15.556000, -3.808000>,
      < 3.500000, 17.104000, -3.648000>,
      < 3.536000, 15.556000, -3.804000>
    }
    triangle {
      < 3.308000, 17.104000, -3.656000>,
      < 3.324000, 17.104000, -3.564000>,
      < 3.472000, 17.104000, -3.556000>
    }
    triangle {
      < 3.308000, 17.104000, -3.656000>,
      < 3.472000, 17.104000, -3.556000>,
      < 3.500000, 17.104000, -3.648000>
    }
    triangle {
      < 3.324000, 17.104000, -3.564000>,
      < 3.336000, 15.944000, -3.472000>,
      < 3.456000, 15.944000, -3.472000>
    }
    triangle {
      < 3.324000, 17.104000, -3.564000>,
      < 3.456000, 15.944000, -3.472000>,
      < 3.472000, 17.104000, -3.556000>
    }
    triangle {
      < 3.336000, 15.944000, -3.472000>,
      < 3.388000, 15.752000, -3.168000>,
      < 3.456000, 15.944000, -3.472000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < 3.388000, 11.396000, -3.168000>,
      < 3.552000, 11.396000, -3.888000>,
      < 3.820000, 11.396000, -3.772000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < 3.552000, 11.396000, -3.888000>,
      < 3.552000, 12.556000, -3.888000>,
      < 3.820000, 12.556000, -3.772000>
    }
    triangle {
      < 3.552000, 11.396000, -3.888000>,
      < 3.820000, 12.556000, -3.772000>,
      < 3.820000, 11.396000, -3.772000>
    }
    triangle {
      < 3.552000, 12.556000, -3.888000>,
      < 3.536000, 12.848000, -3.804000>,
      < 3.764000, 12.848000, -3.696000>
    }
    triangle {
      < 3.552000, 12.556000, -3.888000>,
      < 3.764000, 12.848000, -3.696000>,
      < 3.820000, 12.556000, -3.772000>
    }
    triangle {
      < 3.536000, 12.848000, -3.804000>,
      < 3.552000, 13.428000, -3.888000>,
      < 3.820000, 13.428000, -3.772000>
    }
    triangle {
      < 3.536000, 12.848000, -3.804000>,
      < 3.820000, 13.428000, -3.772000>,
      < 3.764000, 12.848000, -3.696000>
    }
    triangle {
      < 3.552000, 13.428000, -3.888000>,
      < 3.552000, 14.200000, -3.888000>,
      < 3.820000, 14.200000, -3.772000>
    }
    triangle {
      < 3.552000, 13.428000, -3.888000>,
      < 3.820000, 14.200000, -3.772000>,
      < 3.820000, 13.428000, -3.772000>
    }
    triangle {
      < 3.552000, 14.200000, -3.888000>,
      < 3.536000, 14.300000, -3.804000>,
      < 3.764000, 14.300000, -3.696000>
    }
    triangle {
      < 3.552000, 14.200000, -3.888000>,
      < 3.764000, 14.300000, -3.696000>,
      < 3.820000, 14.200000, -3.772000>
    }
    triangle {
      < 3.536000, 14.300000, -3.804000>,
      < 3.512000, 15.360000, -3.708000>,
      < 3.712000, 15.360000, -3.624000>
    }
    triangle {
      < 3.536000, 14.300000, -3.804000>,
      < 3.712000, 15.360000, -3.624000>,
      < 3.764000, 14.300000, -3.696000>
    }
    triangle {
      < 3.512000, 15.360000, -3.708000>,
      < 3.536000, 15.556000, -3.804000>,
      < 3.764000, 15.556000, -3.696000>
    }
    triangle {
      < 3.512000, 15.360000, -3.708000>,
      < 3.764000, 15.556000, -3.696000>,
      < 3.712000, 15.360000, -3.624000>
    }
    triangle {
      < 3.536000, 15.556000, -3.804000>,
      < 3.500000, 17.104000, -3.648000>,
      < 3.672000, 17.104000, -3.572000>
    }
    triangle {
      < 3.536000, 15.556000, -3.804000>,
      < 3.672000, 17.104000, -3.572000>,
      < 3.764000, 15.556000, -3.696000>
    }
    triangle {
      < 3.500000, 17.104000, -3.648000>,
      < 3.472000, 17.104000, -3.556000>,
      < 3.620000, 17.104000, -3.496000>
    }
    triangle {
      < 3.500000, 17.104000, -3.648000>,
      < 3.620000, 17.104000, -3.496000>,
      < 3.672000, 17.104000, -3.572000>
    }
    triangle {
      < 3.472000, 17.104000, -3.556000>,
      < 3.456000, 15.944000, -3.472000>,
      < 3.568000, 15.944000, -3.420000>
    }
    triangle {
      < 3.472000, 17.104000, -3.556000>,
      < 3.568000, 15.944000, -3.420000>,
      < 3.620000, 17.104000, -3.496000>
    }
    triangle {
      < 3.456000, 15.944000, -3.472000>,
      < 3.388000, 15.752000, -3.168000>,
      < 3.568000, 15.944000, -3.420000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < 3.388000, 11.396000, -3.168000>,
      < 3.820000, 11.396000, -3.772000>,
      < 4.016000, 11.396000, -3.556000>
    }
    texture {engines}
  }
  // rockets_engines
  union {
    triangle {
      < 3.820000, 11.396000, -3.772000>,
      < 3.820000, 12.556000, -3.772000>,
      < 4.016000, 12.556000, -3.556000>
    }
    triangle {
      < 3.820000, 11.396000, -3.772000>,
      < 4.016000, 12.556000, -3.556000>,
      < 4.016000, 11.396000, -3.556000>
    }
    triangle {
      < 3.820000, 12.556000, -3.772000>,
      < 3.764000, 12.848000, -3.696000>,
      < 3.936000, 12.848000, -3.512000>
    }
    triangle {
      < 3.820000, 12.556000, -3.772000>,
      < 3.936000, 12.848000, -3.512000>,
      < 4.016000, 12.556000, -3.556000>
    }
    triangle {
      < 3.764000, 12.848000, -3.696000>,
      < 3.820000, 13.428000, -3.772000>,
      < 4.016000, 13.428000, -3.556000>
    }
    triangle {
      < 3.764000, 12.848000, -3.696000>,
      < 4.016000, 13.428000, -3.556000>,
      < 3.936000, 12.848000, -3.512000>
    }
    triangle {
      < 3.820000, 13.428000, -3.772000>,
      < 3.820000, 14.200000, -3.772000>,
      < 4.016000, 14.200000, -3.556000>
    }
    triangle {
      < 3.820000, 13.428000, -3.772000>,
      < 4.016000, 14.200000, -3.556000>,
      < 4.016000, 13.428000, -3.556000>
    }
    triangle {
      < 3.820000, 14.200000, -3.772000>,
      < 3.764000, 14.300000, -3.696000>,
      < 3.936000, 14.300000, -3.512000>
    }
    triangle {
      < 3.820000, 14.200000, -3.772000>,
      < 3.936000, 14.300000, -3.512000>,
      < 4.016000, 14.200000, -3.556000>
    }
    triangle {
      < 3.764000, 14.300000, -3.696000>,
      < 3.712000, 15.360000, -3.624000>,
      < 3.856000, 15.360000, -3.464000>
    }
    triangle {
      < 3.764000, 14.300000, -3.696000>,
      < 3.856000, 15.360000, -3.464000>,
      < 3.936000, 14.300000, -3.512000>
    }
    triangle {
      < 3.712000, 15.360000, -3.624000>,
      < 3.764000, 15.556000, -3.696000>,
      < 3.936000, 15.556000, -3.512000>
    }
    triangle {
      < 3.712000, 15.360000, -3.624000>,
      < 3.936000, 15.556000, -3.512000>,
      < 3.856000, 15.360000, -3.464000>
    }
    texture {rockets_engines}
  }
  // rockets
  union {
    triangle {
      < 3.764000, 15.556000, -3.696000>,
      < 3.672000, 17.104000, -3.572000>,
      < 3.808000, 17.104000, -3.432000>
    }
    texture {rockets}
  }
  // rockets_engines
  union {
    triangle {
      < 3.764000, 15.556000, -3.696000>,
      < 3.808000, 17.104000, -3.432000>,
      < 3.936000, 15.556000, -3.512000>
    }
    texture {rockets_engines}
  }
  // rockets
  union {
    triangle {
      < 3.672000, 17.104000, -3.572000>,
      < 3.620000, 17.104000, -3.496000>,
      < 3.728000, 17.104000, -3.380000>
    }
    triangle {
      < 3.672000, 17.104000, -3.572000>,
      < 3.728000, 17.104000, -3.380000>,
      < 3.808000, 17.104000, -3.432000>
    }
    triangle {
      < 3.620000, 17.104000, -3.496000>,
      < 3.568000, 15.944000, -3.420000>,
      < 3.652000, 15.944000, -3.332000>
    }
    triangle {
      < 3.620000, 17.104000, -3.496000>,
      < 3.652000, 15.944000, -3.332000>,
      < 3.728000, 17.104000, -3.380000>
    }
    triangle {
      < 3.568000, 15.944000, -3.420000>,
      < 3.388000, 15.752000, -3.168000>,
      < 3.652000, 15.944000, -3.332000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < 3.388000, 11.396000, -3.168000>,
      < 4.016000, 11.396000, -3.556000>,
      < 4.116000, 11.396000, -3.296000>
    }
    texture {engines}
  }
  // rockets_engines
  union {
    triangle {
      < 4.016000, 11.396000, -3.556000>,
      < 4.016000, 12.556000, -3.556000>,
      < 4.116000, 12.556000, -3.296000>
    }
    triangle {
      < 4.016000, 11.396000, -3.556000>,
      < 4.116000, 12.556000, -3.296000>,
      < 4.116000, 11.396000, -3.296000>
    }
    triangle {
      < 4.016000, 12.556000, -3.556000>,
      < 3.936000, 12.848000, -3.512000>,
      < 4.024000, 12.848000, -3.280000>
    }
    triangle {
      < 4.016000, 12.556000, -3.556000>,
      < 4.024000, 12.848000, -3.280000>,
      < 4.116000, 12.556000, -3.296000>
    }
    triangle {
      < 3.936000, 12.848000, -3.512000>,
      < 4.016000, 13.428000, -3.556000>,
      < 4.116000, 13.428000, -3.296000>
    }
    triangle {
      < 3.936000, 12.848000, -3.512000>,
      < 4.116000, 13.428000, -3.296000>,
      < 4.024000, 12.848000, -3.280000>
    }
    triangle {
      < 4.016000, 13.428000, -3.556000>,
      < 4.016000, 14.200000, -3.556000>,
      < 4.116000, 14.200000, -3.296000>
    }
    triangle {
      < 4.016000, 13.428000, -3.556000>,
      < 4.116000, 14.200000, -3.296000>,
      < 4.116000, 13.428000, -3.296000>
    }
    triangle {
      < 4.016000, 14.200000, -3.556000>,
      < 3.936000, 14.300000, -3.512000>,
      < 4.024000, 14.300000, -3.280000>
    }
    triangle {
      < 4.016000, 14.200000, -3.556000>,
      < 4.024000, 14.300000, -3.280000>,
      < 4.116000, 14.200000, -3.296000>
    }
    triangle {
      < 3.936000, 14.300000, -3.512000>,
      < 3.856000, 15.360000, -3.464000>,
      < 3.936000, 15.360000, -3.264000>
    }
    triangle {
      < 3.936000, 14.300000, -3.512000>,
      < 3.936000, 15.360000, -3.264000>,
      < 4.024000, 14.300000, -3.280000>
    }
    triangle {
      < 3.856000, 15.360000, -3.464000>,
      < 3.936000, 15.556000, -3.512000>,
      < 4.024000, 15.556000, -3.280000>
    }
    triangle {
      < 3.856000, 15.360000, -3.464000>,
      < 4.024000, 15.556000, -3.280000>,
      < 3.936000, 15.360000, -3.264000>
    }
    triangle {
      < 3.936000, 15.556000, -3.512000>,
      < 3.808000, 17.104000, -3.432000>,
      < 3.872000, 17.104000, -3.256000>
    }
    triangle {
      < 3.936000, 15.556000, -3.512000>,
      < 3.872000, 17.104000, -3.256000>,
      < 4.024000, 15.556000, -3.280000>
    }
    texture {rockets_engines}
  }
  // rockets
  union {
    triangle {
      < 3.808000, 17.104000, -3.432000>,
      < 3.728000, 17.104000, -3.380000>,
      < 3.784000, 17.104000, -3.240000>
    }
    texture {rockets}
  }
  // rockets_engines
  union {
    triangle {
      < 3.808000, 17.104000, -3.432000>,
      < 3.784000, 17.104000, -3.240000>,
      < 3.872000, 17.104000, -3.256000>
    }
    texture {rockets_engines}
  }
  // rockets
  union {
    triangle {
      < 3.728000, 17.104000, -3.380000>,
      < 3.652000, 15.944000, -3.332000>,
      < 3.688000, 15.944000, -3.224000>
    }
    triangle {
      < 3.728000, 17.104000, -3.380000>,
      < 3.688000, 15.944000, -3.224000>,
      < 3.784000, 17.104000, -3.240000>
    }
    triangle {
      < 3.652000, 15.944000, -3.332000>,
      < 3.388000, 15.752000, -3.168000>,
      < 3.688000, 15.944000, -3.224000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < 3.388000, 11.396000, -3.168000>,
      < 4.116000, 11.396000, -3.296000>,
      < 4.104000, 11.396000, -3.004000>
    }
    texture {engines}
  }
  // rockets_engines
  union {
    triangle {
      < 4.116000, 11.396000, -3.296000>,
      < 4.116000, 12.556000, -3.296000>,
      < 4.104000, 12.556000, -3.004000>
    }
    triangle {
      < 4.116000, 11.396000, -3.296000>,
      < 4.104000, 12.556000, -3.004000>,
      < 4.104000, 11.396000, -3.004000>
    }
    triangle {
      < 4.116000, 12.556000, -3.296000>,
      < 4.024000, 12.848000, -3.280000>,
      < 4.012000, 12.848000, -3.028000>
    }
    triangle {
      < 4.116000, 12.556000, -3.296000>,
      < 4.012000, 12.848000, -3.028000>,
      < 4.104000, 12.556000, -3.004000>
    }
    triangle {
      < 4.024000, 12.848000, -3.280000>,
      < 4.116000, 13.428000, -3.296000>,
      < 4.104000, 13.428000, -3.004000>
    }
    triangle {
      < 4.024000, 12.848000, -3.280000>,
      < 4.104000, 13.428000, -3.004000>,
      < 4.012000, 12.848000, -3.028000>
    }
    triangle {
      < 4.116000, 13.428000, -3.296000>,
      < 4.116000, 14.200000, -3.296000>,
      < 4.104000, 14.200000, -3.004000>
    }
    triangle {
      < 4.116000, 13.428000, -3.296000>,
      < 4.104000, 14.200000, -3.004000>,
      < 4.104000, 13.428000, -3.004000>
    }
    triangle {
      < 4.116000, 14.200000, -3.296000>,
      < 4.024000, 14.300000, -3.280000>,
      < 4.012000, 14.300000, -3.028000>
    }
    triangle {
      < 4.116000, 14.200000, -3.296000>,
      < 4.012000, 14.300000, -3.028000>,
      < 4.104000, 14.200000, -3.004000>
    }
    triangle {
      < 4.024000, 14.300000, -3.280000>,
      < 3.936000, 15.360000, -3.264000>,
      < 3.928000, 15.360000, -3.044000>
    }
    triangle {
      < 4.024000, 14.300000, -3.280000>,
      < 3.928000, 15.360000, -3.044000>,
      < 4.012000, 14.300000, -3.028000>
    }
    triangle {
      < 3.936000, 15.360000, -3.264000>,
      < 4.024000, 15.556000, -3.280000>,
      < 4.012000, 15.556000, -3.028000>
    }
    triangle {
      < 3.936000, 15.360000, -3.264000>,
      < 4.012000, 15.556000, -3.028000>,
      < 3.928000, 15.360000, -3.044000>
    }
    triangle {
      < 4.024000, 15.556000, -3.280000>,
      < 3.872000, 17.104000, -3.256000>,
      < 3.868000, 17.104000, -3.060000>
    }
    triangle {
      < 4.024000, 15.556000, -3.280000>,
      < 3.868000, 17.104000, -3.060000>,
      < 4.012000, 15.556000, -3.028000>
    }
    triangle {
      < 3.872000, 17.104000, -3.256000>,
      < 3.784000, 17.104000, -3.240000>,
      < 3.780000, 17.104000, -3.080000>
    }
    triangle {
      < 3.872000, 17.104000, -3.256000>,
      < 3.780000, 17.104000, -3.080000>,
      < 3.868000, 17.104000, -3.060000>
    }
    texture {rockets_engines}
  }
  // rockets
  union {
    triangle {
      < 3.784000, 17.104000, -3.240000>,
      < 3.688000, 15.944000, -3.224000>,
      < 3.688000, 15.944000, -3.100000>
    }
    triangle {
      < 3.784000, 17.104000, -3.240000>,
      < 3.688000, 15.944000, -3.100000>,
      < 3.780000, 17.104000, -3.080000>
    }
    triangle {
      < 3.688000, 15.944000, -3.224000>,
      < 3.388000, 15.752000, -3.168000>,
      < 3.688000, 15.944000, -3.100000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < 3.388000, 11.396000, -3.168000>,
      < 4.104000, 11.396000, -3.004000>,
      < 3.988000, 11.396000, -2.744000>
    }
    texture {engines}
  }
  // rockets_engines
  union {
    triangle {
      < 4.104000, 11.396000, -3.004000>,
      < 4.104000, 12.556000, -3.004000>,
      < 3.988000, 12.556000, -2.744000>
    }
    triangle {
      < 4.104000, 11.396000, -3.004000>,
      < 3.988000, 12.556000, -2.744000>,
      < 3.988000, 11.396000, -2.744000>
    }
    triangle {
      < 4.104000, 12.556000, -3.004000>,
      < 4.012000, 12.848000, -3.028000>,
      < 3.916000, 12.848000, -2.796000>
    }
    triangle {
      < 4.104000, 12.556000, -3.004000>,
      < 3.916000, 12.848000, -2.796000>,
      < 3.988000, 12.556000, -2.744000>
    }
    triangle {
      < 4.012000, 12.848000, -3.028000>,
      < 4.104000, 13.428000, -3.004000>,
      < 3.988000, 13.428000, -2.744000>
    }
    triangle {
      < 4.012000, 12.848000, -3.028000>,
      < 3.988000, 13.428000, -2.744000>,
      < 3.916000, 12.848000, -2.796000>
    }
    triangle {
      < 4.104000, 13.428000, -3.004000>,
      < 4.104000, 14.200000, -3.004000>,
      < 3.988000, 14.200000, -2.744000>
    }
    triangle {
      < 4.104000, 13.428000, -3.004000>,
      < 3.988000, 14.200000, -2.744000>,
      < 3.988000, 13.428000, -2.744000>
    }
    triangle {
      < 4.104000, 14.200000, -3.004000>,
      < 4.012000, 14.300000, -3.028000>,
      < 3.916000, 14.300000, -2.796000>
    }
    triangle {
      < 4.104000, 14.200000, -3.004000>,
      < 3.916000, 14.300000, -2.796000>,
      < 3.988000, 14.200000, -2.744000>
    }
    triangle {
      < 4.012000, 14.300000, -3.028000>,
      < 3.928000, 15.360000, -3.044000>,
      < 3.836000, 15.360000, -2.852000>
    }
    triangle {
      < 4.012000, 14.300000, -3.028000>,
      < 3.836000, 15.360000, -2.852000>,
      < 3.916000, 14.300000, -2.796000>
    }
    triangle {
      < 3.928000, 15.360000, -3.044000>,
      < 4.012000, 15.556000, -3.028000>,
      < 3.916000, 15.556000, -2.796000>
    }
    triangle {
      < 3.928000, 15.360000, -3.044000>,
      < 3.916000, 15.556000, -2.796000>,
      < 3.836000, 15.360000, -2.852000>
    }
    triangle {
      < 4.012000, 15.556000, -3.028000>,
      < 3.868000, 17.104000, -3.060000>,
      < 3.788000, 17.104000, -2.888000>
    }
    triangle {
      < 4.012000, 15.556000, -3.028000>,
      < 3.788000, 17.104000, -2.888000>,
      < 3.916000, 15.556000, -2.796000>
    }
    triangle {
      < 3.868000, 17.104000, -3.060000>,
      < 3.780000, 17.104000, -3.080000>,
      < 3.712000, 17.104000, -2.940000>
    }
    triangle {
      < 3.868000, 17.104000, -3.060000>,
      < 3.712000, 17.104000, -2.940000>,
      < 3.788000, 17.104000, -2.888000>
    }
    texture {rockets_engines}
  }
  // rockets
  union {
    triangle {
      < 3.780000, 17.104000, -3.080000>,
      < 3.688000, 15.944000, -3.100000>,
      < 3.640000, 15.944000, -2.996000>
    }
    triangle {
      < 3.780000, 17.104000, -3.080000>,
      < 3.640000, 15.944000, -2.996000>,
      < 3.712000, 17.104000, -2.940000>
    }
    triangle {
      < 3.688000, 15.944000, -3.100000>,
      < 3.388000, 15.752000, -3.168000>,
      < 3.640000, 15.944000, -2.996000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < 3.388000, 11.396000, -3.168000>,
      < 3.988000, 11.396000, -2.744000>,
      < 3.780000, 11.396000, -2.544000>
    }
    texture {engines}
  }
  // rockets_engines
  union {
    triangle {
      < 3.988000, 11.396000, -2.744000>,
      < 3.988000, 12.556000, -2.744000>,
      < 3.780000, 12.556000, -2.544000>
    }
    triangle {
      < 3.988000, 11.396000, -2.744000>,
      < 3.780000, 12.556000, -2.544000>,
      < 3.780000, 11.396000, -2.544000>
    }
    triangle {
      < 3.988000, 12.556000, -2.744000>,
      < 3.916000, 12.848000, -2.796000>,
      < 3.728000, 12.848000, -2.628000>
    }
    triangle {
      < 3.988000, 12.556000, -2.744000>,
      < 3.728000, 12.848000, -2.628000>,
      < 3.780000, 12.556000, -2.544000>
    }
    triangle {
      < 3.916000, 12.848000, -2.796000>,
      < 3.988000, 13.428000, -2.744000>,
      < 3.780000, 13.428000, -2.544000>
    }
    triangle {
      < 3.916000, 12.848000, -2.796000>,
      < 3.780000, 13.428000, -2.544000>,
      < 3.728000, 12.848000, -2.628000>
    }
    triangle {
      < 3.988000, 13.428000, -2.744000>,
      < 3.988000, 14.200000, -2.744000>,
      < 3.780000, 14.200000, -2.544000>
    }
    triangle {
      < 3.988000, 13.428000, -2.744000>,
      < 3.780000, 14.200000, -2.544000>,
      < 3.780000, 13.428000, -2.544000>
    }
    triangle {
      < 3.988000, 14.200000, -2.744000>,
      < 3.916000, 14.300000, -2.796000>,
      < 3.728000, 14.300000, -2.628000>
    }
    triangle {
      < 3.988000, 14.200000, -2.744000>,
      < 3.728000, 14.300000, -2.628000>,
      < 3.780000, 14.200000, -2.544000>
    }
    triangle {
      < 3.916000, 14.300000, -2.796000>,
      < 3.836000, 15.360000, -2.852000>,
      < 3.680000, 15.360000, -2.704000>
    }
    triangle {
      < 3.916000, 14.300000, -2.796000>,
      < 3.680000, 15.360000, -2.704000>,
      < 3.728000, 14.300000, -2.628000>
    }
    triangle {
      < 3.836000, 15.360000, -2.852000>,
      < 3.916000, 15.556000, -2.796000>,
      < 3.728000, 15.556000, -2.628000>
    }
    triangle {
      < 3.836000, 15.360000, -2.852000>,
      < 3.728000, 15.556000, -2.628000>,
      < 3.680000, 15.360000, -2.704000>
    }
    triangle {
      < 3.916000, 15.556000, -2.796000>,
      < 3.788000, 17.104000, -2.888000>,
      < 3.648000, 17.104000, -2.756000>
    }
    triangle {
      < 3.916000, 15.556000, -2.796000>,
      < 3.648000, 17.104000, -2.756000>,
      < 3.728000, 15.556000, -2.628000>
    }
    texture {rockets_engines}
  }
  // rockets
  union {
    triangle {
      < 3.788000, 17.104000, -2.888000>,
      < 3.712000, 17.104000, -2.940000>,
      < 3.600000, 17.104000, -2.832000>
    }
    triangle {
      < 3.788000, 17.104000, -2.888000>,
      < 3.600000, 17.104000, -2.832000>,
      < 3.648000, 17.104000, -2.756000>
    }
    triangle {
      < 3.712000, 17.104000, -2.940000>,
      < 3.640000, 15.944000, -2.996000>,
      < 3.548000, 15.944000, -2.912000>
    }
    triangle {
      < 3.712000, 17.104000, -2.940000>,
      < 3.548000, 15.944000, -2.912000>,
      < 3.600000, 17.104000, -2.832000>
    }
    triangle {
      < 3.640000, 15.944000, -2.996000>,
      < 3.388000, 15.752000, -3.168000>,
      < 3.548000, 15.944000, -2.912000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < 3.388000, 11.396000, -3.168000>,
      < 3.780000, 11.396000, -2.544000>,
      < 3.516000, 11.396000, -2.444000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < 3.780000, 11.396000, -2.544000>,
      < 3.780000, 12.556000, -2.544000>,
      < 3.516000, 12.556000, -2.444000>
    }
    triangle {
      < 3.780000, 11.396000, -2.544000>,
      < 3.516000, 12.556000, -2.444000>,
      < 3.516000, 11.396000, -2.444000>
    }
    triangle {
      < 3.780000, 12.556000, -2.544000>,
      < 3.728000, 12.848000, -2.628000>,
      < 3.500000, 12.848000, -2.536000>
    }
    triangle {
      < 3.780000, 12.556000, -2.544000>,
      < 3.500000, 12.848000, -2.536000>,
      < 3.516000, 12.556000, -2.444000>
    }
    triangle {
      < 3.728000, 12.848000, -2.628000>,
      < 3.780000, 13.428000, -2.544000>,
      < 3.516000, 13.428000, -2.444000>
    }
    triangle {
      < 3.728000, 12.848000, -2.628000>,
      < 3.516000, 13.428000, -2.444000>,
      < 3.500000, 12.848000, -2.536000>
    }
    triangle {
      < 3.780000, 13.428000, -2.544000>,
      < 3.780000, 14.200000, -2.544000>,
      < 3.516000, 14.200000, -2.444000>
    }
    triangle {
      < 3.780000, 13.428000, -2.544000>,
      < 3.516000, 14.200000, -2.444000>,
      < 3.516000, 13.428000, -2.444000>
    }
    triangle {
      < 3.780000, 14.200000, -2.544000>,
      < 3.728000, 14.300000, -2.628000>,
      < 3.500000, 14.300000, -2.536000>
    }
    triangle {
      < 3.780000, 14.200000, -2.544000>,
      < 3.500000, 14.300000, -2.536000>,
      < 3.516000, 14.200000, -2.444000>
    }
    triangle {
      < 3.728000, 14.300000, -2.628000>,
      < 3.680000, 15.360000, -2.704000>,
      < 3.484000, 15.360000, -2.628000>
    }
    triangle {
      < 3.728000, 14.300000, -2.628000>,
      < 3.484000, 15.360000, -2.628000>,
      < 3.500000, 14.300000, -2.536000>
    }
    triangle {
      < 3.680000, 15.360000, -2.704000>,
      < 3.728000, 15.556000, -2.628000>,
      < 3.500000, 15.556000, -2.536000>
    }
    triangle {
      < 3.680000, 15.360000, -2.704000>,
      < 3.500000, 15.556000, -2.536000>,
      < 3.484000, 15.360000, -2.628000>
    }
    triangle {
      < 3.728000, 15.556000, -2.628000>,
      < 3.648000, 17.104000, -2.756000>,
      < 3.472000, 17.104000, -2.688000>
    }
    triangle {
      < 3.728000, 15.556000, -2.628000>,
      < 3.472000, 17.104000, -2.688000>,
      < 3.500000, 15.556000, -2.536000>
    }
    triangle {
      < 3.648000, 17.104000, -2.756000>,
      < 3.600000, 17.104000, -2.832000>,
      < 3.456000, 17.104000, -2.780000>
    }
    triangle {
      < 3.648000, 17.104000, -2.756000>,
      < 3.456000, 17.104000, -2.780000>,
      < 3.472000, 17.104000, -2.688000>
    }
    triangle {
      < 3.600000, 17.104000, -2.832000>,
      < 3.548000, 15.944000, -2.912000>,
      < 3.440000, 15.944000, -2.872000>
    }
    triangle {
      < 3.600000, 17.104000, -2.832000>,
      < 3.440000, 15.944000, -2.872000>,
      < 3.456000, 17.104000, -2.780000>
    }
    triangle {
      < 3.548000, 15.944000, -2.912000>,
      < 3.388000, 15.752000, -3.168000>,
      < 3.440000, 15.944000, -2.872000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < 3.388000, 11.396000, -3.168000>,
      < 3.516000, 11.396000, -2.444000>,
      < 3.220000, 11.396000, -2.452000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < 3.516000, 11.396000, -2.444000>,
      < 3.516000, 12.556000, -2.444000>,
      < 3.220000, 12.556000, -2.452000>
    }
    triangle {
      < 3.516000, 11.396000, -2.444000>,
      < 3.220000, 12.556000, -2.452000>,
      < 3.220000, 11.396000, -2.452000>
    }
    triangle {
      < 3.516000, 12.556000, -2.444000>,
      < 3.500000, 12.848000, -2.536000>,
      < 3.248000, 12.848000, -2.540000>
    }
    triangle {
      < 3.516000, 12.556000, -2.444000>,
      < 3.248000, 12.848000, -2.540000>,
      < 3.220000, 12.556000, -2.452000>
    }
    triangle {
      < 3.500000, 12.848000, -2.536000>,
      < 3.516000, 13.428000, -2.444000>,
      < 3.220000, 13.428000, -2.452000>
    }
    triangle {
      < 3.500000, 12.848000, -2.536000>,
      < 3.220000, 13.428000, -2.452000>,
      < 3.248000, 12.848000, -2.540000>
    }
    triangle {
      < 3.516000, 13.428000, -2.444000>,
      < 3.516000, 14.200000, -2.444000>,
      < 3.220000, 14.200000, -2.452000>
    }
    triangle {
      < 3.516000, 13.428000, -2.444000>,
      < 3.220000, 14.200000, -2.452000>,
      < 3.220000, 13.428000, -2.452000>
    }
    triangle {
      < 3.516000, 14.200000, -2.444000>,
      < 3.500000, 14.300000, -2.536000>,
      < 3.248000, 14.300000, -2.540000>
    }
    triangle {
      < 3.516000, 14.200000, -2.444000>,
      < 3.248000, 14.300000, -2.540000>,
      < 3.220000, 14.200000, -2.452000>
    }
    triangle {
      < 3.500000, 14.300000, -2.536000>,
      < 3.484000, 15.360000, -2.628000>,
      < 3.264000, 15.360000, -2.632000>
    }
    triangle {
      < 3.500000, 14.300000, -2.536000>,
      < 3.264000, 15.360000, -2.632000>,
      < 3.248000, 14.300000, -2.540000>
    }
    triangle {
      < 3.484000, 15.360000, -2.628000>,
      < 3.500000, 15.556000, -2.536000>,
      < 3.248000, 15.556000, -2.540000>
    }
    triangle {
      < 3.484000, 15.360000, -2.628000>,
      < 3.248000, 15.556000, -2.540000>,
      < 3.264000, 15.360000, -2.632000>
    }
    triangle {
      < 3.500000, 15.556000, -2.536000>,
      < 3.472000, 17.104000, -2.688000>,
      < 3.280000, 17.104000, -2.696000>
    }
    triangle {
      < 3.500000, 15.556000, -2.536000>,
      < 3.280000, 17.104000, -2.696000>,
      < 3.248000, 15.556000, -2.540000>
    }
    triangle {
      < 3.472000, 17.104000, -2.688000>,
      < 3.456000, 17.104000, -2.780000>,
      < 3.300000, 17.104000, -2.784000>
    }
    triangle {
      < 3.472000, 17.104000, -2.688000>,
      < 3.300000, 17.104000, -2.784000>,
      < 3.280000, 17.104000, -2.696000>
    }
    triangle {
      < 3.456000, 17.104000, -2.780000>,
      < 3.440000, 15.944000, -2.872000>,
      < 3.324000, 15.944000, -2.872000>
    }
    triangle {
      < 3.456000, 17.104000, -2.780000>,
      < 3.324000, 15.944000, -2.872000>,
      < 3.300000, 17.104000, -2.784000>
    }
    triangle {
      < 3.440000, 15.944000, -2.872000>,
      < 3.388000, 15.752000, -3.168000>,
      < 3.324000, 15.944000, -2.872000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < 3.388000, 11.396000, -3.168000>,
      < 3.220000, 11.396000, -2.452000>,
      < 2.964000, 11.396000, -2.572000>
    }
    texture {engines}
  }
  // rockets
  union {
    triangle {
      < 3.220000, 11.396000, -2.452000>,
      < 3.220000, 12.556000, -2.452000>,
      < 2.964000, 12.556000, -2.572000>
    }
    triangle {
      < 3.220000, 11.396000, -2.452000>,
      < 2.964000, 12.556000, -2.572000>,
      < 2.964000, 11.396000, -2.572000>
    }
    triangle {
      < 3.220000, 12.556000, -2.452000>,
      < 3.248000, 12.848000, -2.540000>,
      < 3.016000, 12.848000, -2.648000>
    }
    triangle {
      < 3.220000, 12.556000, -2.452000>,
      < 3.016000, 12.848000, -2.648000>,
      < 2.964000, 12.556000, -2.572000>
    }
    triangle {
      < 3.248000, 12.848000, -2.540000>,
      < 3.220000, 13.428000, -2.452000>,
      < 2.964000, 13.428000, -2.572000>
    }
    triangle {
      < 3.248000, 12.848000, -2.540000>,
      < 2.964000, 13.428000, -2.572000>,
      < 3.016000, 12.848000, -2.648000>
    }
    triangle {
      < 3.220000, 13.428000, -2.452000>,
      < 3.220000, 14.200000, -2.452000>,
      < 2.964000, 14.200000, -2.572000>
    }
    triangle {
      < 3.220000, 13.428000, -2.452000>,
      < 2.964000, 14.200000, -2.572000>,
      < 2.964000, 13.428000, -2.572000>
    }
    triangle {
      < 3.220000, 14.200000, -2.452000>,
      < 3.248000, 14.300000, -2.540000>,
      < 3.016000, 14.300000, -2.648000>
    }
    triangle {
      < 3.220000, 14.200000, -2.452000>,
      < 3.016000, 14.300000, -2.648000>,
      < 2.964000, 14.200000, -2.572000>
    }
    triangle {
      < 3.248000, 14.300000, -2.540000>,
      < 3.264000, 15.360000, -2.632000>,
      < 3.072000, 15.360000, -2.720000>
    }
    triangle {
      < 3.248000, 14.300000, -2.540000>,
      < 3.072000, 15.360000, -2.720000>,
      < 3.016000, 14.300000, -2.648000>
    }
    triangle {
      < 3.264000, 15.360000, -2.632000>,
      < 3.248000, 15.556000, -2.540000>,
      < 3.016000, 15.556000, -2.648000>
    }
    triangle {
      < 3.264000, 15.360000, -2.632000>,
      < 3.016000, 15.556000, -2.648000>,
      < 3.072000, 15.360000, -2.720000>
    }
    triangle {
      < 3.248000, 15.556000, -2.540000>,
      < 3.280000, 17.104000, -2.696000>,
      < 3.104000, 17.104000, -2.772000>
    }
    triangle {
      < 3.248000, 15.556000, -2.540000>,
      < 3.104000, 17.104000, -2.772000>,
      < 3.016000, 15.556000, -2.648000>
    }
    triangle {
      < 3.280000, 17.104000, -2.696000>,
      < 3.300000, 17.104000, -2.784000>,
      < 3.160000, 17.104000, -2.848000>
    }
    triangle {
      < 3.280000, 17.104000, -2.696000>,
      < 3.160000, 17.104000, -2.848000>,
      < 3.104000, 17.104000, -2.772000>
    }
    triangle {
      < 3.300000, 17.104000, -2.784000>,
      < 3.324000, 15.944000, -2.872000>,
      < 3.212000, 15.944000, -2.920000>
    }
    triangle {
      < 3.300000, 17.104000, -2.784000>,
      < 3.212000, 15.944000, -2.920000>,
      < 3.160000, 17.104000, -2.848000>
    }
    triangle {
      < 3.324000, 15.944000, -2.872000>,
      < 3.388000, 15.752000, -3.168000>,
      < 3.212000, 15.944000, -2.920000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < 3.388000, 11.396000, -3.168000>,
      < 2.964000, 11.396000, -2.572000>,
      < 2.764000, 11.396000, -2.776000>
    }
    texture {engines}
  }
  // rockets_body
  union {
    triangle {
      < 2.964000, 11.396000, -2.572000>,
      < 2.964000, 12.556000, -2.572000>,
      < 2.764000, 12.556000, -2.776000>
    }
    triangle {
      < 2.964000, 11.396000, -2.572000>,
      < 2.764000, 12.556000, -2.776000>,
      < 2.764000, 11.396000, -2.776000>
    }
    triangle {
      < 2.964000, 12.556000, -2.572000>,
      < 3.016000, 12.848000, -2.648000>,
      < 2.844000, 12.848000, -2.828000>
    }
    triangle {
      < 2.964000, 12.556000, -2.572000>,
      < 2.844000, 12.848000, -2.828000>,
      < 2.764000, 12.556000, -2.776000>
    }
    triangle {
      < 3.016000, 12.848000, -2.648000>,
      < 2.964000, 13.428000, -2.572000>,
      < 2.764000, 13.428000, -2.776000>
    }
    triangle {
      < 3.016000, 12.848000, -2.648000>,
      < 2.764000, 13.428000, -2.776000>,
      < 2.844000, 12.848000, -2.828000>
    }
    triangle {
      < 2.964000, 13.428000, -2.572000>,
      < 2.964000, 14.200000, -2.572000>,
      < 2.764000, 14.200000, -2.776000>
    }
    triangle {
      < 2.964000, 13.428000, -2.572000>,
      < 2.764000, 14.200000, -2.776000>,
      < 2.764000, 13.428000, -2.776000>
    }
    triangle {
      < 2.964000, 14.200000, -2.572000>,
      < 3.016000, 14.300000, -2.648000>,
      < 2.844000, 14.300000, -2.828000>
    }
    triangle {
      < 2.964000, 14.200000, -2.572000>,
      < 2.844000, 14.300000, -2.828000>,
      < 2.764000, 14.200000, -2.776000>
    }
    texture {rockets_body}
  }
  // rockets
  union {
    triangle {
      < 3.016000, 14.300000, -2.648000>,
      < 3.072000, 15.360000, -2.720000>,
      < 2.920000, 15.360000, -2.880000>
    }
    texture {rockets}
  }
  // rockets_body
  union {
    triangle {
      < 3.016000, 14.300000, -2.648000>,
      < 2.920000, 15.360000, -2.880000>,
      < 2.844000, 14.300000, -2.828000>
    }
    texture {rockets_body}
  }
  // rockets
  union {
    triangle {
      < 3.072000, 15.360000, -2.720000>,
      < 3.016000, 15.556000, -2.648000>,
      < 2.844000, 15.556000, -2.828000>
    }
    triangle {
      < 3.072000, 15.360000, -2.720000>,
      < 2.844000, 15.556000, -2.828000>,
      < 2.920000, 15.360000, -2.880000>
    }
    triangle {
      < 3.016000, 15.556000, -2.648000>,
      < 3.104000, 17.104000, -2.772000>,
      < 2.968000, 17.104000, -2.908000>
    }
    triangle {
      < 3.016000, 15.556000, -2.648000>,
      < 2.968000, 17.104000, -2.908000>,
      < 2.844000, 15.556000, -2.828000>
    }
    triangle {
      < 3.104000, 17.104000, -2.772000>,
      < 3.160000, 17.104000, -2.848000>,
      < 3.048000, 17.104000, -2.964000>
    }
    triangle {
      < 3.104000, 17.104000, -2.772000>,
      < 3.048000, 17.104000, -2.964000>,
      < 2.968000, 17.104000, -2.908000>
    }
    triangle {
      < 3.160000, 17.104000, -2.848000>,
      < 3.212000, 15.944000, -2.920000>,
      < 3.132000, 15.944000, -3.012000>
    }
    triangle {
      < 3.160000, 17.104000, -2.848000>,
      < 3.132000, 15.944000, -3.012000>,
      < 3.048000, 17.104000, -2.964000>
    }
    triangle {
      < 3.212000, 15.944000, -2.920000>,
      < 3.388000, 15.752000, -3.168000>,
      < 3.132000, 15.944000, -3.012000>
    }
    texture {rockets}
  }
  // engines
  union {
    triangle {
      < 3.388000, 11.396000, -3.168000>,
      < 2.764000, 11.396000, -2.776000>,
      < 2.664000, 11.396000, -3.052000>
    }
    texture {engines}
  }
  // body
  union {
    triangle {
      < 2.764000, 11.396000, -2.776000>,
      < 2.764000, 12.556000, -2.776000>,
      < 2.664000, 12.556000, -3.052000>
    }
    triangle {
      < 2.764000, 11.396000, -2.776000>,
      < 2.664000, 12.556000, -3.052000>,
      < 2.664000, 11.396000, -3.052000>
    }
    texture {body}
  }
  // rockets_body
  union {
    triangle {
      < 2.764000, 12.556000, -2.776000>,
      < 2.844000, 12.848000, -2.828000>,
      < 2.756000, 12.848000, -3.068000>
    }
    texture {rockets_body}
  }
  // body
  union {
    triangle {
      < 2.764000, 12.556000, -2.776000>,
      < 2.756000, 12.848000, -3.068000>,
      < 2.664000, 12.556000, -3.052000>
    }
    texture {body}
  }
  // rockets_body
  union {
    triangle {
      < 2.844000, 12.848000, -2.828000>,
      < 2.764000, 13.428000, -2.776000>,
      < 2.664000, 13.428000, -3.052000>
    }
    triangle {
      < 2.844000, 12.848000, -2.828000>,
      < 2.664000, 13.428000, -3.052000>,
      < 2.756000, 12.848000, -3.068000>
    }
    texture {rockets_body}
  }
  // body
  union {
    triangle {
      < 2.764000, 13.428000, -2.776000>,
      < 2.764000, 14.200000, -2.776000>,
      < 2.664000, 14.200000, -3.052000>
    }
    triangle {
      < 2.764000, 13.428000, -2.776000>,
      < 2.664000, 14.200000, -3.052000>,
      < 2.664000, 13.428000, -3.052000>
    }
    texture {body}
  }
  // rockets_body
  union {
    triangle {
      < 2.764000, 14.200000, -2.776000>,
      < 2.844000, 14.300000, -2.828000>,
      < 2.756000, 14.300000, -3.068000>
    }
    texture {rockets_body}
  }
  // body
  union {
    triangle {
      < 2.764000, 14.200000, -2.776000>,
      < 2.756000, 14.300000, -3.068000>,
      < 2.664000, 14.200000, -3.052000>
    }
    texture {body}
  }
  // rockets_body
  union {
    triangle {
      < 2.844000, 14.300000, -2.828000>,
      < 2.920000, 15.360000, -2.880000>,
      < 2.848000, 15.360000, -3.080000>
    }
    triangle {
      < 2.844000, 14.300000, -2.828000>,
      < 2.848000, 15.360000, -3.080000>,
      < 2.756000, 14.300000, -3.068000>
    }
    triangle {
      < 2.920000, 15.360000, -2.880000>,
      < 2.844000, 15.556000, -2.828000>,
      < 2.756000, 15.556000, -3.068000>
    }
    triangle {
      < 2.920000, 15.360000, -2.880000>,
      < 2.756000, 15.556000, -3.068000>,
      < 2.848000, 15.360000, -3.080000>
    }
    texture {rockets_body}
  }
  // rockets
  union {
    triangle {
      < 2.844000, 15.556000, -2.828000>,
      < 2.968000, 17.104000, -2.908000>,
      < 2.908000, 17.104000, -3.088000>
    }
    texture {rockets}
  }
  // rockets_body
  union {
    triangle {
      < 2.844000, 15.556000, -2.828000>,
      < 2.908000, 17.104000, -3.088000>,
      < 2.756000, 15.556000, -3.068000>
    }
    texture {rockets_body}
  }
  // rockets
  union {
    triangle {
      < 2.968000, 17.104000, -2.908000>,
      < 3.048000, 17.104000, -2.964000>,
      < 2.992000, 17.104000, -3.104000>
    }
    triangle {
      < 2.968000, 17.104000, -2.908000>,
      < 2.992000, 17.104000, -3.104000>,
      < 2.908000, 17.104000, -3.088000>
    }
    triangle {
      < 3.048000, 17.104000, -2.964000>,
      < 3.132000, 15.944000, -3.012000>,
      < 3.084000, 15.944000, -3.116000>
    }
    triangle {
      < 3.048000, 17.104000, -2.964000>,
      < 3.084000, 15.944000, -3.116000>,
      < 2.992000, 17.104000, -3.104000>
    }
    triangle {
      < 3.132000, 15.944000, -3.012000>,
      < 3.388000, 15.752000, -3.168000>,
      < 3.084000, 15.944000, -3.116000>
    }
    texture {rockets}
  }
  // gunsr
  union {
    triangle {
      < 13.596000, -1.024000, -3.852000>,
      < 13.572000, 6.340000, -3.908000>,
      < 13.572000, -1.024000, -3.908000>
    }
    triangle {
      < 13.600000, -1.240000, -3.848000>,
      < 13.572000, -1.892000, -3.908000>,
      < 13.600000, -1.892000, -3.840000>
    }
    triangle {
      < 13.600000, -1.240000, -3.848000>,
      < 13.572000, -1.232000, -3.908000>,
      < 13.572000, -1.892000, -3.908000>
    }
    triangle {
      < 13.600000, 6.340000, -3.840000>,
      < 13.596000, -1.024000, -3.852000>,
      < 13.600000, -1.024000, -3.840000>
    }
    triangle {
      < 13.600000, 6.340000, -3.840000>,
      < 13.572000, 6.340000, -3.908000>,
      < 13.596000, -1.024000, -3.852000>
    }
    triangle {
      < 13.600000, -1.240000, -3.840000>,
      < 13.600000, -1.240000, -3.848000>,
      < 13.600000, -1.892000, -3.840000>
    }
    triangle {
      < 13.612000, -1.024000, -3.836000>,
      < 13.648000, -1.024000, -3.812000>,
      < 13.600000, 6.340000, -3.840000>
    }
    triangle {
      < 13.600000, 6.340000, -3.840000>,
      < 13.600000, -1.024000, -3.840000>,
      < 13.612000, -1.024000, -3.836000>
    }
    triangle {
      < 13.600000, -1.240000, -3.840000>,
      < 13.600000, -1.892000, -3.840000>,
      < 13.660000, -1.892000, -3.804000>
    }
    triangle {
      < 13.600000, -1.240000, -3.840000>,
      < 13.660000, -1.892000, -3.804000>,
      < 13.656000, -1.248000, -3.808000>
    }
    triangle {
      < 13.600000, 6.340000, -3.840000>,
      < 13.648000, -1.024000, -3.812000>,
      < 13.660000, -1.024000, -3.804000>
    }
    triangle {
      < 13.600000, 6.340000, -3.840000>,
      < 13.660000, -1.024000, -3.804000>,
      < 13.660000, 6.340000, -3.804000>
    }
    triangle {
      < 13.656000, -1.248000, -3.808000>,
      < 13.660000, -1.892000, -3.804000>,
      < 13.660000, -1.248000, -3.804000>
    }
    triangle {
      < 13.660000, 6.340000, -3.804000>,
      < 13.660000, -1.024000, -3.804000>,
      < 13.712000, -1.024000, -3.800000>
    }
    triangle {
      < 13.660000, -1.248000, -3.804000>,
      < 13.660000, -1.892000, -3.804000>,
      < 13.724000, -1.892000, -3.804000>
    }
    triangle {
      < 13.660000, -1.248000, -3.804000>,
      < 13.724000, -1.892000, -3.804000>,
      < 13.720000, -1.252000, -3.804000>
    }
    triangle {
      < 13.660000, 6.340000, -3.804000>,
      < 13.712000, -1.024000, -3.800000>,
      < 13.724000, -1.024000, -3.804000>
    }
    triangle {
      < 13.660000, 6.340000, -3.804000>,
      < 13.724000, -1.024000, -3.804000>,
      < 13.724000, 6.340000, -3.804000>
    }
    triangle {
      < 13.720000, -1.252000, -3.804000>,
      < 13.724000, -1.892000, -3.804000>,
      < 13.724000, -1.252000, -3.804000>
    }
    triangle {
      < 13.724000, 6.340000, -3.804000>,
      < 13.724000, -1.024000, -3.804000>,
      < 13.772000, -1.024000, -3.824000>
    }
    triangle {
      < 13.724000, -1.252000, -3.804000>,
      < 13.724000, -1.892000, -3.804000>,
      < 13.784000, -1.892000, -3.828000>
    }
    triangle {
      < 13.724000, -1.252000, -3.804000>,
      < 13.784000, -1.892000, -3.828000>,
      < 13.780000, -1.248000, -3.828000>
    }
    triangle {
      < 13.724000, 6.340000, -3.804000>,
      < 13.772000, -1.024000, -3.824000>,
      < 13.784000, -1.024000, -3.828000>
    }
    triangle {
      < 13.724000, 6.340000, -3.804000>,
      < 13.784000, -1.024000, -3.828000>,
      < 13.784000, 6.340000, -3.828000>
    }
    triangle {
      < 13.780000, -1.248000, -3.828000>,
      < 13.784000, -1.892000, -3.828000>,
      < 13.784000, -1.248000, -3.828000>
    }
    triangle {
      < 13.784000, 6.340000, -3.828000>,
      < 13.784000, -1.024000, -3.828000>,
      < 13.816000, -1.024000, -3.884000>
    }
    triangle {
      < 13.784000, -1.248000, -3.828000>,
      < 13.784000, -1.892000, -3.828000>,
      < 13.820000, -1.892000, -3.888000>
    }
    triangle {
      < 13.784000, -1.248000, -3.828000>,
      < 13.820000, -1.892000, -3.888000>,
      < 13.808000, -1.244000, -3.868000>
    }
    triangle {
      < 13.784000, 6.340000, -3.828000>,
      < 13.816000, -1.024000, -3.884000>,
      < 13.820000, -1.024000, -3.888000>
    }
    triangle {
      < 13.784000, 6.340000, -3.828000>,
      < 13.820000, -1.024000, -3.888000>,
      < 13.820000, 6.340000, -3.888000>
    }
    triangle {
      < 13.816000, -1.240000, -3.884000>,
      < 13.820000, -1.892000, -3.888000>,
      < 13.820000, -1.240000, -3.888000>
    }
    triangle {
      < 13.820000, 6.340000, -3.888000>,
      < 13.820000, -1.024000, -3.888000>,
      < 13.824000, -1.024000, -3.940000>
    }
    triangle {
      < 13.820000, -1.240000, -3.888000>,
      < 13.820000, -1.892000, -3.888000>,
      < 13.828000, -1.892000, -3.952000>
    }
    triangle {
      < 13.820000, -1.240000, -3.888000>,
      < 13.828000, -1.892000, -3.952000>,
      < 13.824000, -1.232000, -3.940000>
    }
    triangle {
      < 13.820000, 6.340000, -3.888000>,
      < 13.824000, -1.024000, -3.940000>,
      < 13.828000, -1.024000, -3.952000>
    }
    triangle {
      < 13.820000, 6.340000, -3.888000>,
      < 13.828000, -1.024000, -3.952000>,
      < 13.828000, 6.340000, -3.952000>
    }
    triangle {
      < 13.824000, -1.232000, -3.940000>,
      < 13.828000, -1.892000, -3.952000>,
      < 13.828000, -1.232000, -3.952000>
    }
    triangle {
      < 13.828000, 6.340000, -3.952000>,
      < 13.828000, -1.024000, -3.952000>,
      < 13.800000, -1.024000, -4.004000>
    }
    triangle {
      < 13.828000, -1.232000, -3.952000>,
      < 13.828000, -1.892000, -3.952000>,
      < 13.796000, -1.892000, -4.012000>
    }
    triangle {
      < 13.828000, -1.232000, -3.952000>,
      < 13.796000, -1.892000, -4.012000>,
      < 13.800000, -1.216000, -4.008000>
    }
    triangle {
      < 13.828000, 6.340000, -3.952000>,
      < 13.800000, -1.024000, -4.004000>,
      < 13.796000, -1.024000, -4.012000>
    }
    triangle {
      < 13.828000, 6.340000, -3.952000>,
      < 13.796000, -1.024000, -4.012000>,
      < 13.796000, 6.340000, -4.012000>
    }
    triangle {
      < 13.800000, -1.216000, -4.008000>,
      < 13.796000, -1.892000, -4.012000>,
      < 13.796000, -1.216000, -4.012000>
    }
    triangle {
      < 13.772000, -1.024000, -4.028000>,
      < 13.796000, 6.340000, -4.012000>,
      < 13.796000, -1.024000, -4.012000>
    }
    triangle {
      < 13.748000, -1.024000, -4.040000>,
      < 13.796000, 6.340000, -4.012000>,
      < 13.772000, -1.024000, -4.028000>
    }
    triangle {
      < 13.748000, -1.208000, -4.040000>,
      < 13.736000, -1.892000, -4.048000>,
      < 13.748000, -1.212000, -4.040000>
    }
    triangle {
      < 13.748000, -1.208000, -4.040000>,
      < 13.796000, -1.892000, -4.012000>,
      < 13.736000, -1.892000, -4.048000>
    }
    triangle {
      < 13.748000, -1.208000, -4.040000>,
      < 13.796000, -1.216000, -4.012000>,
      < 13.796000, -1.892000, -4.012000>
    }
    triangle {
      < 13.736000, 6.340000, -4.048000>,
      < 13.748000, -1.024000, -4.040000>,
      < 13.736000, -1.024000, -4.048000>
    }
    triangle {
      < 13.736000, 6.340000, -4.048000>,
      < 13.796000, 6.340000, -4.012000>,
      < 13.748000, -1.024000, -4.040000>
    }
    triangle {
      < 13.736000, -1.220000, -4.048000>,
      < 13.748000, -1.212000, -4.040000>,
      < 13.736000, -1.892000, -4.048000>
    }
    triangle {
      < 13.684000, -1.024000, -4.056000>,
      < 13.736000, 6.340000, -4.048000>,
      < 13.736000, -1.024000, -4.048000>
    }
    triangle {
      < 13.684000, -1.260000, -4.056000>,
      < 13.736000, -1.892000, -4.048000>,
      < 13.680000, -1.892000, -4.056000>
    }
    triangle {
      < 13.684000, -1.260000, -4.056000>,
      < 13.736000, -1.220000, -4.048000>,
      < 13.736000, -1.892000, -4.048000>
    }
    triangle {
      < 13.680000, 6.340000, -4.056000>,
      < 13.684000, -1.024000, -4.056000>,
      < 13.680000, -1.024000, -4.056000>
    }
    triangle {
      < 13.680000, 6.340000, -4.056000>,
      < 13.736000, 6.340000, -4.048000>,
      < 13.684000, -1.024000, -4.056000>
    }
    triangle {
      < 13.680000, -1.264000, -4.056000>,
      < 13.684000, -1.260000, -4.056000>,
      < 13.680000, -1.892000, -4.056000>
    }
    triangle {
      < 13.624000, -1.024000, -4.032000>,
      < 13.680000, 6.340000, -4.056000>,
      < 13.680000, -1.024000, -4.056000>
    }
    triangle {
      < 13.620000, -1.224000, -4.032000>,
      < 13.680000, -1.892000, -4.056000>,
      < 13.616000, -1.892000, -4.024000>
    }
    triangle {
      < 13.620000, -1.224000, -4.032000>,
      < 13.680000, -1.264000, -4.056000>,
      < 13.680000, -1.892000, -4.056000>
    }
    triangle {
      < 13.616000, 6.340000, -4.024000>,
      < 13.624000, -1.024000, -4.032000>,
      < 13.616000, -1.024000, -4.024000>
    }
    triangle {
      < 13.616000, 6.340000, -4.024000>,
      < 13.680000, 6.340000, -4.056000>,
      < 13.624000, -1.024000, -4.032000>
    }
    triangle {
      < 13.616000, -1.220000, -4.024000>,
      < 13.620000, -1.224000, -4.032000>,
      < 13.616000, -1.892000, -4.024000>
    }
    triangle {
      < 13.584000, -1.024000, -3.972000>,
      < 13.616000, 6.340000, -4.024000>,
      < 13.616000, -1.024000, -4.024000>
    }
    triangle {
      < 13.612000, -1.208000, -4.020000>,
      < 13.572000, -1.892000, -3.968000>,
      < 13.580000, -1.216000, -3.972000>
    }
    triangle {
      < 13.612000, -1.208000, -4.020000>,
      < 13.616000, -1.892000, -4.024000>,
      < 13.572000, -1.892000, -3.968000>
    }
    triangle {
      < 13.612000, -1.208000, -4.020000>,
      < 13.616000, -1.220000, -4.024000>,
      < 13.616000, -1.892000, -4.024000>
    }
    triangle {
      < 13.572000, 6.340000, -3.968000>,
      < 13.584000, -1.024000, -3.972000>,
      < 13.572000, -1.024000, -3.968000>
    }
    triangle {
      < 13.572000, 6.340000, -3.968000>,
      < 13.616000, 6.340000, -4.024000>,
      < 13.584000, -1.024000, -3.972000>
    }
    triangle {
      < 13.572000, -1.216000, -3.968000>,
      < 13.580000, -1.216000, -3.972000>,
      < 13.572000, -1.892000, -3.968000>
    }
    triangle {
      < 13.572000, -1.024000, -3.912000>,
      < 13.572000, 6.340000, -3.968000>,
      < 13.572000, -1.024000, -3.968000>
    }
    triangle {
      < 13.572000, -1.220000, -3.948000>,
      < 13.572000, -1.892000, -3.908000>,
      < 13.572000, -1.224000, -3.912000>
    }
    triangle {
      < 13.572000, -1.220000, -3.948000>,
      < 13.572000, -1.892000, -3.968000>,
      < 13.572000, -1.892000, -3.908000>
    }
    triangle {
      < 13.572000, -1.220000, -3.948000>,
      < 13.572000, -1.216000, -3.968000>,
      < 13.572000, -1.892000, -3.968000>
    }
    triangle {
      < 13.572000, 6.340000, -3.908000>,
      < 13.572000, -1.024000, -3.912000>,
      < 13.572000, -1.024000, -3.908000>
    }
    triangle {
      < 13.572000, 6.340000, -3.908000>,
      < 13.572000, 6.340000, -3.968000>,
      < 13.572000, -1.024000, -3.912000>
    }
    triangle {
      < 13.572000, -1.232000, -3.908000>,
      < 13.572000, -1.224000, -3.912000>,
      < 13.572000, -1.892000, -3.908000>
    }
    triangle {
      < 13.572000, -1.224000, -3.912000>,
      < 13.456000, -1.208000, -3.988000>,
      < 13.572000, -1.220000, -3.948000>
    }
    triangle {
      < 13.572000, -1.232000, -3.908000>,
      < 13.456000, -1.208000, -3.988000>,
      < 13.572000, -1.224000, -3.912000>
    }
    triangle {
      < 13.600000, -1.240000, -3.840000>,
      < 13.456000, -1.208000, -3.988000>,
      < 13.600000, -1.240000, -3.848000>
    }
    triangle {
      < 13.600000, -1.240000, -3.840000>,
      < 13.500000, -1.256000, -3.740000>,
      < 13.456000, -1.208000, -3.988000>
    }
    triangle {
      < 13.660000, -1.248000, -3.804000>,
      < 13.500000, -1.256000, -3.740000>,
      < 13.656000, -1.248000, -3.808000>
    }
    triangle {
      < 13.724000, -1.252000, -3.804000>,
      < 13.500000, -1.256000, -3.740000>,
      < 13.720000, -1.252000, -3.804000>
    }
    triangle {
      < 13.724000, -1.252000, -3.804000>,
      < 13.932000, -1.256000, -3.824000>,
      < 13.500000, -1.256000, -3.740000>
    }
    triangle {
      < 13.784000, -1.248000, -3.828000>,
      < 13.932000, -1.256000, -3.824000>,
      < 13.780000, -1.248000, -3.828000>
    }
    triangle {
      < 13.932000, -1.256000, -3.824000>,
      < 13.784000, -1.248000, -3.828000>,
      < 13.808000, -1.244000, -3.868000>
    }
    triangle {
      < 13.736000, -1.024000, -4.048000>,
      < 13.748000, -1.024000, -4.040000>,
      < 13.872000, -1.024000, -4.144000>
    }
    triangle {
      < 13.680000, -1.024000, -4.056000>,
      < 13.684000, -1.024000, -4.056000>,
      < 13.872000, -1.024000, -4.144000>
    }
    triangle {
      < 13.680000, -1.024000, -4.056000>,
      < 13.872000, -1.024000, -4.144000>,
      < 13.444000, -1.024000, -4.068000>
    }
    triangle {
      < 13.616000, -1.024000, -4.024000>,
      < 13.624000, -1.024000, -4.032000>,
      < 13.444000, -1.024000, -4.068000>
    }
    triangle {
      < 13.572000, -1.024000, -3.968000>,
      < 13.584000, -1.024000, -3.972000>,
      < 13.444000, -1.024000, -4.068000>
    }
    triangle {
      < 13.572000, -1.024000, -3.912000>,
      < 13.572000, -1.024000, -3.968000>,
      < 13.444000, -1.024000, -4.068000>
    }
    triangle {
      < 13.572000, -1.024000, -3.908000>,
      < 13.572000, -1.024000, -3.912000>,
      < 13.444000, -1.024000, -4.068000>
    }
    triangle {
      < 13.600000, -1.024000, -3.840000>,
      < 13.596000, -1.024000, -3.852000>,
      < 13.444000, -1.024000, -4.068000>
    }
    triangle {
      < 13.600000, -1.024000, -3.840000>,
      < 13.444000, -1.024000, -4.068000>,
      < 13.508000, -1.024000, -3.708000>
    }
    triangle {
      < 13.508000, -1.024000, -3.708000>,
      < 13.612000, -1.024000, -3.836000>,
      < 13.600000, -1.024000, -3.840000>
    }
    triangle {
      < 13.660000, -1.024000, -3.804000>,
      < 13.648000, -1.024000, -3.812000>,
      < 13.508000, -1.024000, -3.708000>
    }
    triangle {
      < 13.724000, -1.024000, -3.804000>,
      < 13.712000, -1.024000, -3.800000>,
      < 13.508000, -1.024000, -3.708000>
    }
    triangle {
      < 13.724000, -1.024000, -3.804000>,
      < 13.508000, -1.024000, -3.708000>,
      < 13.936000, -1.024000, -3.784000>
    }
    triangle {
      < 13.784000, -1.024000, -3.828000>,
      < 13.772000, -1.024000, -3.824000>,
      < 13.936000, -1.024000, -3.784000>
    }
    triangle {
      < 13.820000, -1.024000, -3.888000>,
      < 13.816000, -1.024000, -3.884000>,
      < 13.936000, -1.024000, -3.784000>
    }
    triangle {
      < 13.828000, -1.024000, -3.952000>,
      < 13.824000, -1.024000, -3.940000>,
      < 13.936000, -1.024000, -3.784000>
    }
    triangle {
      < 13.796000, -1.024000, -4.012000>,
      < 13.800000, -1.024000, -4.004000>,
      < 13.936000, -1.024000, -3.784000>
    }
    triangle {
      < 13.796000, -1.024000, -4.012000>,
      < 13.936000, -1.024000, -3.784000>,
      < 13.872000, -1.024000, -4.144000>
    }
    triangle {
      < 13.872000, -1.024000, -4.144000>,
      < 13.772000, -1.024000, -4.028000>,
      < 13.796000, -1.024000, -4.012000>
    }
    triangle {
      < 13.572000, -1.216000, -3.968000>,
      < 13.456000, -1.208000, -3.988000>,
      < 13.580000, -1.216000, -3.972000>
    }
    triangle {
      < 13.572000, -1.220000, -3.948000>,
      < 13.456000, -1.208000, -3.988000>,
      < 13.572000, -1.216000, -3.968000>
    }
    triangle {
      < 13.820000, -1.240000, -3.888000>,
      < 13.932000, -1.256000, -3.824000>,
      < 13.816000, -1.240000, -3.884000>
    }
    triangle {
      < 13.828000, -1.232000, -3.952000>,
      < 13.932000, -1.256000, -3.824000>,
      < 13.824000, -1.232000, -3.940000>
    }
    triangle {
      < 13.796000, -1.216000, -4.012000>,
      < 13.932000, -1.256000, -3.824000>,
      < 13.800000, -1.216000, -4.008000>
    }
    triangle {
      < 13.796000, -1.216000, -4.012000>,
      < 13.892000, -1.208000, -4.068000>,
      < 13.932000, -1.256000, -3.824000>
    }
    triangle {
      < 13.796000, -1.216000, -4.012000>,
      < 13.748000, -1.208000, -4.040000>,
      < 13.892000, -1.208000, -4.068000>
    }
    triangle {
      < 13.748000, -1.212000, -4.040000>,
      < 13.892000, -1.208000, -4.068000>,
      < 13.748000, -1.208000, -4.040000>
    }
    triangle {
      < 13.736000, -1.220000, -4.048000>,
      < 13.892000, -1.208000, -4.068000>,
      < 13.748000, -1.212000, -4.040000>
    }
    triangle {
      < 13.680000, -1.264000, -4.056000>,
      < 13.892000, -1.208000, -4.068000>,
      < 13.684000, -1.260000, -4.056000>
    }
    triangle {
      < 13.680000, -1.264000, -4.056000>,
      < 13.412000, -1.812000, -4.244000>,
      < 13.892000, -1.208000, -4.068000>
    }
    triangle {
      < 13.616000, -1.220000, -4.024000>,
      < 13.412000, -1.812000, -4.244000>,
      < 13.620000, -1.224000, -4.032000>
    }
    triangle {
      < 13.456000, -1.208000, -3.988000>,
      < 13.616000, -1.220000, -4.024000>,
      < 13.612000, -1.208000, -4.020000>
    }
    triangle {
      < 13.456000, -1.208000, -3.988000>,
      < 13.412000, -1.812000, -4.244000>,
      < 13.616000, -1.220000, -4.024000>
    }
    triangle {
      < 13.700000, 14.308000, -3.928000>,
      < 13.536000, 14.308000, -3.900000>,
      < 13.572000, 14.308000, -3.820000>
    }
    texture {gunsr}
  }
  // wingsr_gunsr
  union {
    triangle {
      < 13.536000, 14.308000, -3.900000>,
      < 13.412000, 14.880000, -3.872000>,
      < 13.472000, 14.880000, -3.736000>
    }
    triangle {
      < 13.536000, 14.308000, -3.900000>,
      < 13.472000, 14.880000, -3.736000>,
      < 13.572000, 14.308000, -3.820000>
    }
    triangle {
      < 13.412000, 14.880000, -3.872000>,
      < 13.280000, 14.880000, -3.852000>,
      < 13.372000, 14.880000, -3.648000>
    }
    triangle {
      < 13.412000, 14.880000, -3.872000>,
      < 13.372000, 14.880000, -3.648000>,
      < 13.472000, 14.880000, -3.736000>
    }
    triangle {
      < 13.280000, 14.880000, -3.852000>,
      < 13.280000, 13.596000, -3.852000>,
      < 13.372000, 13.596000, -3.648000>
    }
    triangle {
      < 13.280000, 14.880000, -3.852000>,
      < 13.372000, 13.596000, -3.648000>,
      < 13.372000, 14.880000, -3.648000>
    }
    texture {wingsr_gunsr}
  }
  // gunsr
  union {
    triangle {
      < 13.280000, 13.596000, -3.852000>,
      < 13.344000, 13.596000, -3.856000>,
      < 13.428000, 13.596000, -3.696000>
    }
    triangle {
      < 13.280000, 13.596000, -3.852000>,
      < 13.428000, 13.596000, -3.696000>,
      < 13.372000, 13.596000, -3.648000>
    }
    triangle {
      < 13.344000, 13.596000, -3.856000>,
      < 13.252000, 13.316000, -3.840000>,
      < 13.352000, 13.316000, -3.632000>
    }
    triangle {
      < 13.344000, 13.596000, -3.856000>,
      < 13.352000, 13.316000, -3.632000>,
      < 13.428000, 13.596000, -3.696000>
    }
    triangle {
      < 13.252000, 13.316000, -3.840000>,
      < 13.252000, 7.480000, -3.840000>,
      < 13.352000, 7.480000, -3.632000>
    }
    triangle {
      < 13.252000, 13.316000, -3.840000>,
      < 13.352000, 7.480000, -3.632000>,
      < 13.352000, 13.316000, -3.632000>
    }
    triangle {
      < 13.252000, 7.480000, -3.840000>,
      < 13.316000, 6.764000, -3.856000>,
      < 13.396000, 6.764000, -3.668000>
    }
    triangle {
      < 13.252000, 7.480000, -3.840000>,
      < 13.396000, 6.764000, -3.668000>,
      < 13.352000, 7.480000, -3.632000>
    }
    triangle {
      < 13.316000, 6.764000, -3.856000>,
      < 13.472000, 6.480000, -3.888000>,
      < 13.524000, 6.480000, -3.780000>
    }
    triangle {
      < 13.316000, 6.764000, -3.856000>,
      < 13.524000, 6.480000, -3.780000>,
      < 13.396000, 6.764000, -3.668000>
    }
    triangle {
      < 13.472000, 6.480000, -3.888000>,
      < 13.572000, 6.340000, -3.908000>,
      < 13.600000, 6.340000, -3.840000>
    }
    triangle {
      < 13.472000, 6.480000, -3.888000>,
      < 13.600000, 6.340000, -3.840000>,
      < 13.524000, 6.480000, -3.780000>
    }
    triangle {
      < 13.572000, -1.892000, -3.908000>,
      < 13.700000, -3.176000, -3.928000>,
      < 13.600000, -1.892000, -3.840000>
    }
    triangle {
      < 13.700000, 14.308000, -3.928000>,
      < 13.572000, 14.308000, -3.820000>,
      < 13.648000, 14.308000, -3.772000>
    }
    texture {gunsr}
  }
  // wingsr_gunsr
  union {
    triangle {
      < 13.572000, 14.308000, -3.820000>,
      < 13.472000, 14.880000, -3.736000>,
      < 13.600000, 14.880000, -3.648000>
    }
    texture {wingsr_gunsr}
  }
  // gunsr
  union {
    triangle {
      < 13.572000, 14.308000, -3.820000>,
      < 13.600000, 14.880000, -3.648000>,
      < 13.648000, 14.308000, -3.772000>
    }
    texture {gunsr}
  }
  // wingsr_gunsr
  union {
    triangle {
      < 13.472000, 14.880000, -3.736000>,
      < 13.372000, 14.880000, -3.648000>,
      < 13.560000, 14.880000, -3.524000>
    }
    triangle {
      < 13.472000, 14.880000, -3.736000>,
      < 13.560000, 14.880000, -3.524000>,
      < 13.600000, 14.880000, -3.648000>
    }
    triangle {
      < 13.372000, 14.880000, -3.648000>,
      < 13.372000, 13.596000, -3.648000>,
      < 13.560000, 13.596000, -3.524000>
    }
    triangle {
      < 13.372000, 14.880000, -3.648000>,
      < 13.560000, 13.596000, -3.524000>,
      < 13.560000, 14.880000, -3.524000>
    }
    texture {wingsr_gunsr}
  }
  // gunsr
  union {
    triangle {
      < 13.372000, 13.596000, -3.648000>,
      < 13.428000, 13.596000, -3.696000>,
      < 13.572000, 13.596000, -3.588000>
    }
    triangle {
      < 13.372000, 13.596000, -3.648000>,
      < 13.572000, 13.596000, -3.588000>,
      < 13.560000, 13.596000, -3.524000>
    }
    triangle {
      < 13.428000, 13.596000, -3.696000>,
      < 13.352000, 13.316000, -3.632000>,
      < 13.548000, 13.316000, -3.496000>
    }
    triangle {
      < 13.428000, 13.596000, -3.696000>,
      < 13.548000, 13.316000, -3.496000>,
      < 13.572000, 13.596000, -3.588000>
    }
    triangle {
      < 13.352000, 13.316000, -3.632000>,
      < 13.352000, 7.480000, -3.632000>,
      < 13.548000, 7.480000, -3.496000>
    }
    triangle {
      < 13.352000, 13.316000, -3.632000>,
      < 13.548000, 7.480000, -3.496000>,
      < 13.548000, 13.316000, -3.496000>
    }
    triangle {
      < 13.352000, 7.480000, -3.632000>,
      < 13.396000, 6.764000, -3.668000>,
      < 13.564000, 6.764000, -3.556000>
    }
    triangle {
      < 13.352000, 7.480000, -3.632000>,
      < 13.564000, 6.764000, -3.556000>,
      < 13.548000, 7.480000, -3.496000>
    }
    triangle {
      < 13.396000, 6.764000, -3.668000>,
      < 13.524000, 6.480000, -3.780000>,
      < 13.624000, 6.480000, -3.712000>
    }
    triangle {
      < 13.396000, 6.764000, -3.668000>,
      < 13.624000, 6.480000, -3.712000>,
      < 13.564000, 6.764000, -3.556000>
    }
    triangle {
      < 13.524000, 6.480000, -3.780000>,
      < 13.600000, 6.340000, -3.840000>,
      < 13.660000, 6.340000, -3.804000>
    }
    triangle {
      < 13.524000, 6.480000, -3.780000>,
      < 13.660000, 6.340000, -3.804000>,
      < 13.624000, 6.480000, -3.712000>
    }
    triangle {
      < 13.600000, -1.892000, -3.840000>,
      < 13.700000, -3.176000, -3.928000>,
      < 13.660000, -1.892000, -3.804000>
    }
    triangle {
      < 13.700000, 14.308000, -3.928000>,
      < 13.648000, 14.308000, -3.772000>,
      < 13.728000, 14.308000, -3.768000>
    }
    triangle {
      < 13.648000, 14.308000, -3.772000>,
      < 13.600000, 14.880000, -3.648000>,
      < 13.752000, 14.880000, -3.640000>
    }
    triangle {
      < 13.648000, 14.308000, -3.772000>,
      < 13.752000, 14.880000, -3.640000>,
      < 13.728000, 14.308000, -3.768000>
    }
    triangle {
      < 13.600000, 14.880000, -3.648000>,
      < 13.560000, 14.880000, -3.524000>,
      < 13.772000, 14.880000, -3.508000>
    }
    triangle {
      < 13.600000, 14.880000, -3.648000>,
      < 13.772000, 14.880000, -3.508000>,
      < 13.752000, 14.880000, -3.640000>
    }
    triangle {
      < 13.560000, 14.880000, -3.524000>,
      < 13.560000, 13.596000, -3.524000>,
      < 13.772000, 13.596000, -3.508000>
    }
    triangle {
      < 13.560000, 14.880000, -3.524000>,
      < 13.772000, 13.596000, -3.508000>,
      < 13.772000, 14.880000, -3.508000>
    }
    triangle {
      < 13.560000, 13.596000, -3.524000>,
      < 13.572000, 13.596000, -3.588000>,
      < 13.764000, 13.596000, -3.572000>
    }
    triangle {
      < 13.560000, 13.596000, -3.524000>,
      < 13.764000, 13.596000, -3.572000>,
      < 13.772000, 13.596000, -3.508000>
    }
    triangle {
      < 13.572000, 13.596000, -3.588000>,
      < 13.548000, 13.316000, -3.496000>,
      < 13.780000, 13.316000, -3.480000>
    }
    triangle {
      < 13.572000, 13.596000, -3.588000>,
      < 13.780000, 13.316000, -3.480000>,
      < 13.764000, 13.596000, -3.572000>
    }
    triangle {
      < 13.548000, 13.316000, -3.496000>,
      < 13.548000, 7.480000, -3.496000>,
      < 13.780000, 7.480000, -3.480000>
    }
    triangle {
      < 13.548000, 13.316000, -3.496000>,
      < 13.780000, 7.480000, -3.480000>,
      < 13.780000, 13.316000, -3.480000>
    }
    triangle {
      < 13.548000, 7.480000, -3.496000>,
      < 13.564000, 6.764000, -3.556000>,
      < 13.764000, 6.764000, -3.540000>
    }
    triangle {
      < 13.548000, 7.480000, -3.496000>,
      < 13.764000, 6.764000, -3.540000>,
      < 13.780000, 7.480000, -3.480000>
    }
    triangle {
      < 13.564000, 6.764000, -3.556000>,
      < 13.624000, 6.480000, -3.712000>,
      < 13.736000, 6.480000, -3.704000>
    }
    triangle {
      < 13.564000, 6.764000, -3.556000>,
      < 13.736000, 6.480000, -3.704000>,
      < 13.764000, 6.764000, -3.540000>
    }
    triangle {
      < 13.624000, 6.480000, -3.712000>,
      < 13.660000, 6.340000, -3.804000>,
      < 13.724000, 6.340000, -3.804000>
    }
    triangle {
      < 13.624000, 6.480000, -3.712000>,
      < 13.724000, 6.340000, -3.804000>,
      < 13.736000, 6.480000, -3.704000>
    }
    triangle {
      < 13.660000, -1.892000, -3.804000>,
      < 13.700000, -3.176000, -3.928000>,
      < 13.724000, -1.892000, -3.804000>
    }
    triangle {
      < 13.700000, 14.308000, -3.928000>,
      < 13.728000, 14.308000, -3.768000>,
      < 13.800000, 14.308000, -3.804000>
    }
    triangle {
      < 13.728000, 14.308000, -3.768000>,
      < 13.752000, 14.880000, -3.640000>,
      < 13.888000, 14.880000, -3.704000>
    }
    triangle {
      < 13.728000, 14.308000, -3.768000>,
      < 13.888000, 14.880000, -3.704000>,
      < 13.800000, 14.308000, -3.804000>
    }
    triangle {
      < 13.752000, 14.880000, -3.640000>,
      < 13.772000, 14.880000, -3.508000>,
      < 13.972000, 14.880000, -3.600000>
    }
    triangle {
      < 13.752000, 14.880000, -3.640000>,
      < 13.972000, 14.880000, -3.600000>,
      < 13.888000, 14.880000, -3.704000>
    }
    triangle {
      < 13.772000, 14.880000, -3.508000>,
      < 13.772000, 13.596000, -3.508000>,
      < 13.972000, 13.596000, -3.600000>
    }
    triangle {
      < 13.772000, 14.880000, -3.508000>,
      < 13.972000, 13.596000, -3.600000>,
      < 13.972000, 14.880000, -3.600000>
    }
    triangle {
      < 13.772000, 13.596000, -3.508000>,
      < 13.764000, 13.596000, -3.572000>,
      < 13.932000, 13.596000, -3.652000>
    }
    triangle {
      < 13.772000, 13.596000, -3.508000>,
      < 13.932000, 13.596000, -3.652000>,
      < 13.972000, 13.596000, -3.600000>
    }
    triangle {
      < 13.764000, 13.596000, -3.572000>,
      < 13.780000, 13.316000, -3.480000>,
      < 14.000000, 13.316000, -3.580000>
    }
    triangle {
      < 13.764000, 13.596000, -3.572000>,
      < 14.000000, 13.316000, -3.580000>,
      < 13.932000, 13.596000, -3.652000>
    }
    triangle {
      < 13.780000, 13.316000, -3.480000>,
      < 13.780000, 7.480000, -3.480000>,
      < 14.000000, 7.480000, -3.580000>
    }
    triangle {
      < 13.780000, 13.316000, -3.480000>,
      < 14.000000, 7.480000, -3.580000>,
      < 14.000000, 13.316000, -3.580000>
    }
    triangle {
      < 13.780000, 7.480000, -3.480000>,
      < 13.764000, 6.764000, -3.540000>,
      < 13.956000, 6.764000, -3.628000>
    }
    triangle {
      < 13.780000, 7.480000, -3.480000>,
      < 13.956000, 6.764000, -3.628000>,
      < 14.000000, 7.480000, -3.580000>
    }
    triangle {
      < 13.764000, 6.764000, -3.540000>,
      < 13.736000, 6.480000, -3.704000>,
      < 13.848000, 6.480000, -3.752000>
    }
    triangle {
      < 13.764000, 6.764000, -3.540000>,
      < 13.848000, 6.480000, -3.752000>,
      < 13.956000, 6.764000, -3.628000>
    }
    triangle {
      < 13.736000, 6.480000, -3.704000>,
      < 13.724000, 6.340000, -3.804000>,
      < 13.784000, 6.340000, -3.828000>
    }
    triangle {
      < 13.736000, 6.480000, -3.704000>,
      < 13.784000, 6.340000, -3.828000>,
      < 13.848000, 6.480000, -3.752000>
    }
    triangle {
      < 13.724000, -1.892000, -3.804000>,
      < 13.700000, -3.176000, -3.928000>,
      < 13.784000, -1.892000, -3.828000>
    }
    triangle {
      < 13.700000, 14.308000, -3.928000>,
      < 13.800000, 14.308000, -3.804000>,
      < 13.852000, 14.308000, -3.872000>
    }
    triangle {
      < 13.800000, 14.308000, -3.804000>,
      < 13.888000, 14.880000, -3.704000>,
      < 13.972000, 14.880000, -3.832000>
    }
    triangle {
      < 13.800000, 14.308000, -3.804000>,
      < 13.972000, 14.880000, -3.832000>,
      < 13.852000, 14.308000, -3.872000>
    }
    triangle {
      < 13.888000, 14.880000, -3.704000>,
      < 13.972000, 14.880000, -3.600000>,
      < 14.100000, 14.880000, -3.784000>
    }
    triangle {
      < 13.888000, 14.880000, -3.704000>,
      < 14.100000, 14.880000, -3.784000>,
      < 13.972000, 14.880000, -3.832000>
    }
    triangle {
      < 13.972000, 14.880000, -3.600000>,
      < 13.972000, 13.596000, -3.600000>,
      < 14.100000, 13.596000, -3.784000>
    }
    triangle {
      < 13.972000, 14.880000, -3.600000>,
      < 14.100000, 13.596000, -3.784000>,
      < 14.100000, 14.880000, -3.784000>
    }
    triangle {
      < 13.972000, 13.596000, -3.600000>,
      < 13.932000, 13.596000, -3.652000>,
      < 14.036000, 13.596000, -3.804000>
    }
    triangle {
      < 13.972000, 13.596000, -3.600000>,
      < 14.036000, 13.596000, -3.804000>,
      < 14.100000, 13.596000, -3.784000>
    }
    triangle {
      < 13.932000, 13.596000, -3.652000>,
      < 14.000000, 13.316000, -3.580000>,
      < 14.128000, 13.316000, -3.772000>
    }
    triangle {
      < 13.932000, 13.596000, -3.652000>,
      < 14.128000, 13.316000, -3.772000>,
      < 14.036000, 13.596000, -3.804000>
    }
    triangle {
      < 14.000000, 13.316000, -3.580000>,
      < 14.000000, 7.480000, -3.580000>,
      < 14.128000, 7.480000, -3.772000>
    }
    triangle {
      < 14.000000, 13.316000, -3.580000>,
      < 14.128000, 7.480000, -3.772000>,
      < 14.128000, 13.316000, -3.772000>
    }
    triangle {
      < 14.000000, 7.480000, -3.580000>,
      < 13.956000, 6.764000, -3.628000>,
      < 14.072000, 6.764000, -3.796000>
    }
    triangle {
      < 14.000000, 7.480000, -3.580000>,
      < 14.072000, 6.764000, -3.796000>,
      < 14.128000, 7.480000, -3.772000>
    }
    triangle {
      < 13.956000, 6.764000, -3.628000>,
      < 13.848000, 6.480000, -3.752000>,
      < 13.916000, 6.480000, -3.852000>
    }
    triangle {
      < 13.956000, 6.764000, -3.628000>,
      < 13.916000, 6.480000, -3.852000>,
      < 14.072000, 6.764000, -3.796000>
    }
    triangle {
      < 13.848000, 6.480000, -3.752000>,
      < 13.784000, 6.340000, -3.828000>,
      < 13.820000, 6.340000, -3.888000>
    }
    triangle {
      < 13.848000, 6.480000, -3.752000>,
      < 13.820000, 6.340000, -3.888000>,
      < 13.916000, 6.480000, -3.852000>
    }
    triangle {
      < 13.784000, -1.892000, -3.828000>,
      < 13.700000, -3.176000, -3.928000>,
      < 13.820000, -1.892000, -3.888000>
    }
    triangle {
      < 13.700000, 14.308000, -3.928000>,
      < 13.852000, 14.308000, -3.872000>,
      < 13.856000, 14.308000, -3.956000>
    }
    triangle {
      < 13.852000, 14.308000, -3.872000>,
      < 13.972000, 14.880000, -3.832000>,
      < 13.988000, 14.880000, -3.980000>
    }
    triangle {
      < 13.852000, 14.308000, -3.872000>,
      < 13.988000, 14.880000, -3.980000>,
      < 13.856000, 14.308000, -3.956000>
    }
    triangle {
      < 13.972000, 14.880000, -3.832000>,
      < 14.100000, 14.880000, -3.784000>,
      < 14.116000, 14.880000, -4.008000>
    }
    triangle {
      < 13.972000, 14.880000, -3.832000>,
      < 14.116000, 14.880000, -4.008000>,
      < 13.988000, 14.880000, -3.980000>
    }
    triangle {
      < 14.100000, 14.880000, -3.784000>,
      < 14.100000, 13.596000, -3.784000>,
      < 14.116000, 13.596000, -4.008000>
    }
    triangle {
      < 14.100000, 14.880000, -3.784000>,
      < 14.116000, 13.596000, -4.008000>,
      < 14.116000, 14.880000, -4.008000>
    }
    triangle {
      < 14.100000, 13.596000, -3.784000>,
      < 14.036000, 13.596000, -3.804000>,
      < 14.052000, 13.596000, -3.988000>
    }
    triangle {
      < 14.100000, 13.596000, -3.784000>,
      < 14.052000, 13.596000, -3.988000>,
      < 14.116000, 13.596000, -4.008000>
    }
    triangle {
      < 14.036000, 13.596000, -3.804000>,
      < 14.128000, 13.316000, -3.772000>,
      < 14.152000, 13.316000, -4.012000>
    }
    triangle {
      < 14.036000, 13.596000, -3.804000>,
      < 14.152000, 13.316000, -4.012000>,
      < 14.052000, 13.596000, -3.988000>
    }
    triangle {
      < 14.128000, 13.316000, -3.772000>,
      < 14.128000, 7.480000, -3.772000>,
      < 14.152000, 7.480000, -4.012000>
    }
    triangle {
      < 14.128000, 13.316000, -3.772000>,
      < 14.152000, 7.480000, -4.012000>,
      < 14.152000, 13.316000, -4.012000>
    }
    triangle {
      < 14.128000, 7.480000, -3.772000>,
      < 14.072000, 6.764000, -3.796000>,
      < 14.088000, 6.764000, -3.996000>
    }
    triangle {
      < 14.128000, 7.480000, -3.772000>,
      < 14.088000, 6.764000, -3.996000>,
      < 14.152000, 7.480000, -4.012000>
    }
    triangle {
      < 14.072000, 6.764000, -3.796000>,
      < 13.916000, 6.480000, -3.852000>,
      < 13.920000, 6.480000, -3.968000>
    }
    triangle {
      < 14.072000, 6.764000, -3.796000>,
      < 13.920000, 6.480000, -3.968000>,
      < 14.088000, 6.764000, -3.996000>
    }
    triangle {
      < 13.916000, 6.480000, -3.852000>,
      < 13.820000, 6.340000, -3.888000>,
      < 13.828000, 6.340000, -3.952000>
    }
    triangle {
      < 13.916000, 6.480000, -3.852000>,
      < 13.828000, 6.340000, -3.952000>,
      < 13.920000, 6.480000, -3.968000>
    }
    triangle {
      < 13.820000, -1.892000, -3.888000>,
      < 13.700000, -3.176000, -3.928000>,
      < 13.828000, -1.892000, -3.952000>
    }
    triangle {
      < 13.700000, 14.308000, -3.928000>,
      < 13.856000, 14.308000, -3.956000>,
      < 13.824000, 14.308000, -4.036000>
    }
    triangle {
      < 13.856000, 14.308000, -3.956000>,
      < 13.988000, 14.880000, -3.980000>,
      < 13.920000, 14.880000, -4.120000>
    }
    triangle {
      < 13.856000, 14.308000, -3.956000>,
      < 13.920000, 14.880000, -4.120000>,
      < 13.824000, 14.308000, -4.036000>
    }
    triangle {
      < 13.988000, 14.880000, -3.980000>,
      < 14.116000, 14.880000, -4.008000>,
      < 14.028000, 14.880000, -4.204000>
    }
    triangle {
      < 13.988000, 14.880000, -3.980000>,
      < 14.028000, 14.880000, -4.204000>,
      < 13.920000, 14.880000, -4.120000>
    }
    triangle {
      < 14.116000, 14.880000, -4.008000>,
      < 14.116000, 13.596000, -4.008000>,
      < 14.028000, 13.596000, -4.204000>
    }
    triangle {
      < 14.116000, 14.880000, -4.008000>,
      < 14.028000, 13.596000, -4.204000>,
      < 14.028000, 14.880000, -4.204000>
    }
    triangle {
      < 14.116000, 13.596000, -4.008000>,
      < 14.052000, 13.596000, -3.988000>,
      < 13.972000, 13.596000, -4.160000>
    }
    triangle {
      < 14.116000, 13.596000, -4.008000>,
      < 13.972000, 13.596000, -4.160000>,
      < 14.028000, 13.596000, -4.204000>
    }
    triangle {
      < 14.052000, 13.596000, -3.988000>,
      < 14.152000, 13.316000, -4.012000>,
      < 14.052000, 13.316000, -4.224000>
    }
    triangle {
      < 14.052000, 13.596000, -3.988000>,
      < 14.052000, 13.316000, -4.224000>,
      < 13.972000, 13.596000, -4.160000>
    }
    triangle {
      < 14.152000, 13.316000, -4.012000>,
      < 14.152000, 7.480000, -4.012000>,
      < 14.052000, 7.480000, -4.224000>
    }
    triangle {
      < 14.152000, 13.316000, -4.012000>,
      < 14.052000, 7.480000, -4.224000>,
      < 14.052000, 13.316000, -4.224000>
    }
    triangle {
      < 14.152000, 7.480000, -4.012000>,
      < 14.088000, 6.764000, -3.996000>,
      < 14.000000, 6.764000, -4.184000>
    }
    triangle {
      < 14.152000, 7.480000, -4.012000>,
      < 14.000000, 6.764000, -4.184000>,
      < 14.052000, 7.480000, -4.224000>
    }
    triangle {
      < 14.088000, 6.764000, -3.996000>,
      < 13.920000, 6.480000, -3.968000>,
      < 13.872000, 6.480000, -4.072000>
    }
    triangle {
      < 14.088000, 6.764000, -3.996000>,
      < 13.872000, 6.480000, -4.072000>,
      < 14.000000, 6.764000, -4.184000>
    }
    triangle {
      < 13.920000, 6.480000, -3.968000>,
      < 13.828000, 6.340000, -3.952000>,
      < 13.796000, 6.340000, -4.012000>
    }
    triangle {
      < 13.920000, 6.480000, -3.968000>,
      < 13.796000, 6.340000, -4.012000>,
      < 13.872000, 6.480000, -4.072000>
    }
    triangle {
      < 13.828000, -1.892000, -3.952000>,
      < 13.700000, -3.176000, -3.928000>,
      < 13.796000, -1.892000, -4.012000>
    }
    triangle {
      < 13.700000, 14.308000, -3.928000>,
      < 13.824000, 14.308000, -4.036000>,
      < 13.752000, 14.308000, -4.080000>
    }
    triangle {
      < 13.824000, 14.308000, -4.036000>,
      < 13.920000, 14.880000, -4.120000>,
      < 13.800000, 14.880000, -4.204000>
    }
    triangle {
      < 13.824000, 14.308000, -4.036000>,
      < 13.800000, 14.880000, -4.204000>,
      < 13.752000, 14.308000, -4.080000>
    }
    triangle {
      < 13.920000, 14.880000, -4.120000>,
      < 14.028000, 14.880000, -4.204000>,
      < 13.844000, 14.880000, -4.332000>
    }
    triangle {
      < 13.920000, 14.880000, -4.120000>,
      < 13.844000, 14.880000, -4.332000>,
      < 13.800000, 14.880000, -4.204000>
    }
    triangle {
      < 14.028000, 14.880000, -4.204000>,
      < 14.028000, 13.596000, -4.204000>,
      < 13.844000, 13.596000, -4.332000>
    }
    triangle {
      < 14.028000, 14.880000, -4.204000>,
      < 13.844000, 13.596000, -4.332000>,
      < 13.844000, 14.880000, -4.332000>
    }
    triangle {
      < 14.028000, 13.596000, -4.204000>,
      < 13.972000, 13.596000, -4.160000>,
      < 13.820000, 13.596000, -4.268000>
    }
    triangle {
      < 14.028000, 13.596000, -4.204000>,
      < 13.820000, 13.596000, -4.268000>,
      < 13.844000, 13.596000, -4.332000>
    }
    triangle {
      < 13.972000, 13.596000, -4.160000>,
      < 14.052000, 13.316000, -4.224000>,
      < 13.852000, 13.316000, -4.360000>
    }
    triangle {
      < 13.972000, 13.596000, -4.160000>,
      < 13.852000, 13.316000, -4.360000>,
      < 13.820000, 13.596000, -4.268000>
    }
    triangle {
      < 14.052000, 13.316000, -4.224000>,
      < 14.052000, 7.480000, -4.224000>,
      < 13.852000, 7.480000, -4.360000>
    }
    triangle {
      < 14.052000, 13.316000, -4.224000>,
      < 13.852000, 7.480000, -4.360000>,
      < 13.852000, 13.316000, -4.360000>
    }
    triangle {
      < 14.052000, 7.480000, -4.224000>,
      < 14.000000, 6.764000, -4.184000>,
      < 13.832000, 6.764000, -4.300000>
    }
    triangle {
      < 14.052000, 7.480000, -4.224000>,
      < 13.832000, 6.764000, -4.300000>,
      < 13.852000, 7.480000, -4.360000>
    }
    triangle {
      < 14.000000, 6.764000, -4.184000>,
      < 13.872000, 6.480000, -4.072000>,
      < 13.772000, 6.480000, -4.144000>
    }
    triangle {
      < 14.000000, 6.764000, -4.184000>,
      < 13.772000, 6.480000, -4.144000>,
      < 13.832000, 6.764000, -4.300000>
    }
    triangle {
      < 13.872000, 6.480000, -4.072000>,
      < 13.796000, 6.340000, -4.012000>,
      < 13.736000, 6.340000, -4.048000>
    }
    triangle {
      < 13.872000, 6.480000, -4.072000>,
      < 13.736000, 6.340000, -4.048000>,
      < 13.772000, 6.480000, -4.144000>
    }
    triangle {
      < 13.796000, -1.892000, -4.012000>,
      < 13.700000, -3.176000, -3.928000>,
      < 13.736000, -1.892000, -4.048000>
    }
    triangle {
      < 13.700000, 14.308000, -3.928000>,
      < 13.752000, 14.308000, -4.080000>,
      < 13.672000, 14.308000, -4.088000>
    }
    triangle {
      < 13.752000, 14.308000, -4.080000>,
      < 13.800000, 14.880000, -4.204000>,
      < 13.648000, 14.880000, -4.220000>
    }
    triangle {
      < 13.752000, 14.308000, -4.080000>,
      < 13.648000, 14.880000, -4.220000>,
      < 13.672000, 14.308000, -4.088000>
    }
    triangle {
      < 13.800000, 14.880000, -4.204000>,
      < 13.844000, 14.880000, -4.332000>,
      < 13.628000, 14.880000, -4.348000>
    }
    triangle {
      < 13.800000, 14.880000, -4.204000>,
      < 13.628000, 14.880000, -4.348000>,
      < 13.648000, 14.880000, -4.220000>
    }
    triangle {
      < 13.844000, 14.880000, -4.332000>,
      < 13.844000, 13.596000, -4.332000>,
      < 13.628000, 13.596000, -4.348000>
    }
    triangle {
      < 13.844000, 14.880000, -4.332000>,
      < 13.628000, 13.596000, -4.348000>,
      < 13.628000, 14.880000, -4.348000>
    }
    triangle {
      < 13.844000, 13.596000, -4.332000>,
      < 13.820000, 13.596000, -4.268000>,
      < 13.636000, 13.596000, -4.284000>
    }
    triangle {
      < 13.844000, 13.596000, -4.332000>,
      < 13.636000, 13.596000, -4.284000>,
      < 13.628000, 13.596000, -4.348000>
    }
    triangle {
      < 13.820000, 13.596000, -4.268000>,
      < 13.852000, 13.316000, -4.360000>,
      < 13.616000, 13.316000, -4.380000>
    }
    triangle {
      < 13.820000, 13.596000, -4.268000>,
      < 13.616000, 13.316000, -4.380000>,
      < 13.636000, 13.596000, -4.284000>
    }
    triangle {
      < 13.852000, 13.316000, -4.360000>,
      < 13.852000, 7.480000, -4.360000>,
      < 13.616000, 7.480000, -4.380000>
    }
    triangle {
      < 13.852000, 13.316000, -4.360000>,
      < 13.616000, 7.480000, -4.380000>,
      < 13.616000, 13.316000, -4.380000>
    }
    triangle {
      < 13.852000, 7.480000, -4.360000>,
      < 13.832000, 6.764000, -4.300000>,
      < 13.632000, 6.764000, -4.316000>
    }
    triangle {
      < 13.852000, 7.480000, -4.360000>,
      < 13.632000, 6.764000, -4.316000>,
      < 13.616000, 7.480000, -4.380000>
    }
    triangle {
      < 13.832000, 6.764000, -4.300000>,
      < 13.772000, 6.480000, -4.144000>,
      < 13.660000, 6.480000, -4.156000>
    }
    triangle {
      < 13.832000, 6.764000, -4.300000>,
      < 13.660000, 6.480000, -4.156000>,
      < 13.632000, 6.764000, -4.316000>
    }
    triangle {
      < 13.772000, 6.480000, -4.144000>,
      < 13.736000, 6.340000, -4.048000>,
      < 13.680000, 6.340000, -4.056000>
    }
    triangle {
      < 13.772000, 6.480000, -4.144000>,
      < 13.680000, 6.340000, -4.056000>,
      < 13.660000, 6.480000, -4.156000>
    }
    triangle {
      < 13.736000, -1.892000, -4.048000>,
      < 13.700000, -3.176000, -3.928000>,
      < 13.680000, -1.892000, -4.056000>
    }
    triangle {
      < 13.700000, 14.308000, -3.928000>,
      < 13.672000, 14.308000, -4.088000>,
      < 13.592000, 14.308000, -4.052000>
    }
    texture {gunsr}
  }
  // wingsr_gunsr
  union {
    triangle {
      < 13.672000, 14.308000, -4.088000>,
      < 13.648000, 14.880000, -4.220000>,
      < 13.508000, 14.880000, -4.156000>
    }
    triangle {
      < 13.672000, 14.308000, -4.088000>,
      < 13.508000, 14.880000, -4.156000>,
      < 13.592000, 14.308000, -4.052000>
    }
    triangle {
      < 13.648000, 14.880000, -4.220000>,
      < 13.628000, 14.880000, -4.348000>,
      < 13.424000, 14.880000, -4.256000>
    }
    triangle {
      < 13.648000, 14.880000, -4.220000>,
      < 13.424000, 14.880000, -4.256000>,
      < 13.508000, 14.880000, -4.156000>
    }
    triangle {
      < 13.628000, 14.880000, -4.348000>,
      < 13.628000, 13.596000, -4.348000>,
      < 13.424000, 13.596000, -4.256000>
    }
    triangle {
      < 13.628000, 14.880000, -4.348000>,
      < 13.424000, 13.596000, -4.256000>,
      < 13.424000, 14.880000, -4.256000>
    }
    texture {wingsr_gunsr}
  }
  // gunsr
  union {
    triangle {
      < 13.628000, 13.596000, -4.348000>,
      < 13.636000, 13.596000, -4.284000>,
      < 13.464000, 13.596000, -4.200000>
    }
    triangle {
      < 13.628000, 13.596000, -4.348000>,
      < 13.464000, 13.596000, -4.200000>,
      < 13.424000, 13.596000, -4.256000>
    }
    triangle {
      < 13.636000, 13.596000, -4.284000>,
      < 13.616000, 13.316000, -4.380000>,
      < 13.408000, 13.316000, -4.280000>
    }
    triangle {
      < 13.636000, 13.596000, -4.284000>,
      < 13.408000, 13.316000, -4.280000>,
      < 13.464000, 13.596000, -4.200000>
    }
    triangle {
      < 13.616000, 13.316000, -4.380000>,
      < 13.616000, 7.480000, -4.380000>,
      < 13.408000, 7.480000, -4.280000>
    }
    triangle {
      < 13.616000, 13.316000, -4.380000>,
      < 13.408000, 7.480000, -4.280000>,
      < 13.408000, 13.316000, -4.280000>
    }
    triangle {
      < 13.616000, 7.480000, -4.380000>,
      < 13.632000, 6.764000, -4.316000>,
      < 13.448000, 6.764000, -4.228000>
    }
    triangle {
      < 13.616000, 7.480000, -4.380000>,
      < 13.448000, 6.764000, -4.228000>,
      < 13.408000, 7.480000, -4.280000>
    }
    triangle {
      < 13.632000, 6.764000, -4.316000>,
      < 13.660000, 6.480000, -4.156000>,
      < 13.552000, 6.480000, -4.104000>
    }
    triangle {
      < 13.632000, 6.764000, -4.316000>,
      < 13.552000, 6.480000, -4.104000>,
      < 13.448000, 6.764000, -4.228000>
    }
    triangle {
      < 13.660000, 6.480000, -4.156000>,
      < 13.680000, 6.340000, -4.056000>,
      < 13.616000, 6.340000, -4.024000>
    }
    triangle {
      < 13.660000, 6.480000, -4.156000>,
      < 13.616000, 6.340000, -4.024000>,
      < 13.552000, 6.480000, -4.104000>
    }
    triangle {
      < 13.680000, -1.892000, -4.056000>,
      < 13.700000, -3.176000, -3.928000>,
      < 13.616000, -1.892000, -4.024000>
    }
    triangle {
      < 13.700000, 14.308000, -3.928000>,
      < 13.592000, 14.308000, -4.052000>,
      < 13.544000, 14.308000, -3.980000>
    }
    texture {gunsr}
  }
  // wingsr_gunsr
  union {
    triangle {
      < 13.592000, 14.308000, -4.052000>,
      < 13.508000, 14.880000, -4.156000>,
      < 13.420000, 14.880000, -4.028000>
    }
    triangle {
      < 13.592000, 14.308000, -4.052000>,
      < 13.420000, 14.880000, -4.028000>,
      < 13.544000, 14.308000, -3.980000>
    }
    triangle {
      < 13.508000, 14.880000, -4.156000>,
      < 13.424000, 14.880000, -4.256000>,
      < 13.296000, 14.880000, -4.072000>
    }
    triangle {
      < 13.508000, 14.880000, -4.156000>,
      < 13.296000, 14.880000, -4.072000>,
      < 13.420000, 14.880000, -4.028000>
    }
    triangle {
      < 13.424000, 14.880000, -4.256000>,
      < 13.424000, 13.596000, -4.256000>,
      < 13.296000, 13.596000, -4.072000>
    }
    triangle {
      < 13.424000, 14.880000, -4.256000>,
      < 13.296000, 13.596000, -4.072000>,
      < 13.296000, 14.880000, -4.072000>
    }
    texture {wingsr_gunsr}
  }
  // gunsr
  union {
    triangle {
      < 13.424000, 13.596000, -4.256000>,
      < 13.464000, 13.596000, -4.200000>,
      < 13.364000, 13.596000, -4.048000>
    }
    triangle {
      < 13.424000, 13.596000, -4.256000>,
      < 13.364000, 13.596000, -4.048000>,
      < 13.296000, 13.596000, -4.072000>
    }
    triangle {
      < 13.464000, 13.596000, -4.200000>,
      < 13.408000, 13.316000, -4.280000>,
      < 13.264000, 13.316000, -4.084000>
    }
    triangle {
      < 13.464000, 13.596000, -4.200000>,
      < 13.264000, 13.316000, -4.084000>,
      < 13.364000, 13.596000, -4.048000>
    }
    triangle {
      < 13.408000, 13.316000, -4.280000>,
      < 13.408000, 7.480000, -4.280000>,
      < 13.264000, 7.480000, -4.084000>
    }
    triangle {
      < 13.408000, 13.316000, -4.280000>,
      < 13.264000, 7.480000, -4.084000>,
      < 13.264000, 13.316000, -4.084000>
    }
    triangle {
      < 13.408000, 7.480000, -4.280000>,
      < 13.448000, 6.764000, -4.228000>,
      < 13.328000, 6.764000, -4.056000>
    }
    triangle {
      < 13.408000, 7.480000, -4.280000>,
      < 13.328000, 6.764000, -4.056000>,
      < 13.264000, 7.480000, -4.084000>
    }
    triangle {
      < 13.448000, 6.764000, -4.228000>,
      < 13.552000, 6.480000, -4.104000>,
      < 13.488000, 6.480000, -4.004000>
    }
    triangle {
      < 13.448000, 6.764000, -4.228000>,
      < 13.488000, 6.480000, -4.004000>,
      < 13.328000, 6.764000, -4.056000>
    }
    triangle {
      < 13.552000, 6.480000, -4.104000>,
      < 13.616000, 6.340000, -4.024000>,
      < 13.572000, 6.340000, -3.968000>
    }
    triangle {
      < 13.552000, 6.480000, -4.104000>,
      < 13.572000, 6.340000, -3.968000>,
      < 13.488000, 6.480000, -4.004000>
    }
    triangle {
      < 13.616000, -1.892000, -4.024000>,
      < 13.700000, -3.176000, -3.928000>,
      < 13.572000, -1.892000, -3.968000>
    }
    triangle {
      < 13.700000, 14.308000, -3.928000>,
      < 13.544000, 14.308000, -3.980000>,
      < 13.536000, 14.308000, -3.900000>
    }
    texture {gunsr}
  }
  // wingsr_gunsr
  union {
    triangle {
      < 13.544000, 14.308000, -3.980000>,
      < 13.420000, 14.880000, -4.028000>,
      < 13.412000, 14.880000, -3.872000>
    }
    triangle {
      < 13.544000, 14.308000, -3.980000>,
      < 13.412000, 14.880000, -3.872000>,
      < 13.536000, 14.308000, -3.900000>
    }
    triangle {
      < 13.420000, 14.880000, -4.028000>,
      < 13.296000, 14.880000, -4.072000>,
      < 13.280000, 14.880000, -3.852000>
    }
    triangle {
      < 13.420000, 14.880000, -4.028000>,
      < 13.280000, 14.880000, -3.852000>,
      < 13.412000, 14.880000, -3.872000>
    }
    triangle {
      < 13.296000, 14.880000, -4.072000>,
      < 13.296000, 13.596000, -4.072000>,
      < 13.280000, 13.596000, -3.852000>
    }
    triangle {
      < 13.296000, 14.880000, -4.072000>,
      < 13.280000, 13.596000, -3.852000>,
      < 13.280000, 14.880000, -3.852000>
    }
    texture {wingsr_gunsr}
  }
  // gunsr
  union {
    triangle {
      < 13.296000, 13.596000, -4.072000>,
      < 13.364000, 13.596000, -4.048000>,
      < 13.344000, 13.596000, -3.856000>
    }
    triangle {
      < 13.296000, 13.596000, -4.072000>,
      < 13.344000, 13.596000, -3.856000>,
      < 13.280000, 13.596000, -3.852000>
    }
    triangle {
      < 13.364000, 13.596000, -4.048000>,
      < 13.264000, 13.316000, -4.084000>,
      < 13.252000, 13.316000, -3.840000>
    }
    triangle {
      < 13.364000, 13.596000, -4.048000>,
      < 13.252000, 13.316000, -3.840000>,
      < 13.344000, 13.596000, -3.856000>
    }
    triangle {
      < 13.264000, 13.316000, -4.084000>,
      < 13.264000, 7.480000, -4.084000>,
      < 13.252000, 7.480000, -3.840000>
    }
    triangle {
      < 13.264000, 13.316000, -4.084000>,
      < 13.252000, 7.480000, -3.840000>,
      < 13.252000, 13.316000, -3.840000>
    }
    triangle {
      < 13.264000, 7.480000, -4.084000>,
      < 13.328000, 6.764000, -4.056000>,
      < 13.316000, 6.764000, -3.856000>
    }
    triangle {
      < 13.264000, 7.480000, -4.084000>,
      < 13.316000, 6.764000, -3.856000>,
      < 13.252000, 7.480000, -3.840000>
    }
    triangle {
      < 13.328000, 6.764000, -4.056000>,
      < 13.488000, 6.480000, -4.004000>,
      < 13.472000, 6.480000, -3.888000>
    }
    triangle {
      < 13.328000, 6.764000, -4.056000>,
      < 13.472000, 6.480000, -3.888000>,
      < 13.316000, 6.764000, -3.856000>
    }
    triangle {
      < 13.488000, 6.480000, -4.004000>,
      < 13.572000, 6.340000, -3.968000>,
      < 13.572000, 6.340000, -3.908000>
    }
    triangle {
      < 13.488000, 6.480000, -4.004000>,
      < 13.572000, 6.340000, -3.908000>,
      < 13.472000, 6.480000, -3.888000>
    }
    triangle {
      < 13.572000, -1.892000, -3.968000>,
      < 13.700000, -3.176000, -3.928000>,
      < 13.572000, -1.892000, -3.908000>
    }
    triangle {
      < 13.444000, -1.024000, -4.068000>,
      < 13.872000, -1.024000, -4.144000>,
      < 13.828000, -1.812000, -4.428000>
    }
    triangle {
      < 13.444000, -1.024000, -4.068000>,
      < 13.828000, -1.812000, -4.428000>,
      < 13.392000, -1.812000, -4.352000>
    }
    triangle {
      < 13.392000, -1.812000, -4.352000>,
      < 13.828000, -1.812000, -4.428000>,
      < 13.844000, -1.812000, -4.320000>
    }
    triangle {
      < 13.392000, -1.812000, -4.352000>,
      < 13.844000, -1.812000, -4.320000>,
      < 13.412000, -1.812000, -4.244000>
    }
    triangle {
      < 13.412000, -1.812000, -4.244000>,
      < 13.844000, -1.812000, -4.320000>,
      < 13.892000, -1.208000, -4.068000>
    }
    triangle {
      < 13.500000, -1.256000, -3.740000>,
      < 13.932000, -1.256000, -3.824000>,
      < 13.972000, -1.720000, -3.572000>
    }
    triangle {
      < 13.500000, -1.256000, -3.740000>,
      < 13.972000, -1.720000, -3.572000>,
      < 13.544000, -1.720000, -3.496000>
    }
    texture {gunsr}
  }
  // DEFAULT
  union {
    triangle {
      < 13.544000, -1.720000, -3.496000>,
      < 13.972000, -1.720000, -3.572000>,
      < 13.996000, -1.720000, -3.464000>
    }
    triangle {
      < 13.544000, -1.720000, -3.496000>,
      < 13.996000, -1.720000, -3.464000>,
      < 13.564000, -1.720000, -3.388000>
    }
    texture {DEFAULT}
  }
  // gunsr
  union {
    triangle {
      < 13.564000, -1.720000, -3.388000>,
      < 13.996000, -1.720000, -3.464000>,
      < 13.936000, -1.024000, -3.784000>
    }
    triangle {
      < 13.564000, -1.720000, -3.388000>,
      < 13.936000, -1.024000, -3.784000>,
      < 13.508000, -1.024000, -3.708000>
    }
    triangle {
      < 13.500000, -1.256000, -3.740000>,
      < 13.544000, -1.720000, -3.496000>,
      < 13.564000, -1.720000, -3.388000>
    }
    triangle {
      < 13.932000, -1.256000, -3.824000>,
      < 13.996000, -1.720000, -3.464000>,
      < 13.972000, -1.720000, -3.572000>
    }
    triangle {
      < 13.500000, -1.256000, -3.740000>,
      < 13.564000, -1.720000, -3.388000>,
      < 13.508000, -1.024000, -3.708000>
    }
    triangle {
      < 13.932000, -1.256000, -3.824000>,
      < 13.936000, -1.024000, -3.784000>,
      < 13.996000, -1.720000, -3.464000>
    }
    triangle {
      < 13.456000, -1.208000, -3.988000>,
      < 13.500000, -1.256000, -3.740000>,
      < 13.508000, -1.024000, -3.708000>
    }
    triangle {
      < 13.892000, -1.208000, -4.068000>,
      < 13.936000, -1.024000, -3.784000>,
      < 13.932000, -1.256000, -3.824000>
    }
    triangle {
      < 13.456000, -1.208000, -3.988000>,
      < 13.508000, -1.024000, -3.708000>,
      < 13.444000, -1.024000, -4.068000>
    }
    triangle {
      < 13.892000, -1.208000, -4.068000>,
      < 13.872000, -1.024000, -4.144000>,
      < 13.936000, -1.024000, -3.784000>
    }
    triangle {
      < 13.444000, -1.024000, -4.068000>,
      < 13.392000, -1.812000, -4.352000>,
      < 13.412000, -1.812000, -4.244000>
    }
    triangle {
      < 13.872000, -1.024000, -4.144000>,
      < 13.844000, -1.812000, -4.320000>,
      < 13.828000, -1.812000, -4.428000>
    }
    triangle {
      < 13.444000, -1.024000, -4.068000>,
      < 13.412000, -1.812000, -4.244000>,
      < 13.456000, -1.208000, -3.988000>
    }
    triangle {
      < 13.872000, -1.024000, -4.144000>,
      < 13.892000, -1.208000, -4.068000>,
      < 13.844000, -1.812000, -4.320000>
    }
    triangle {
      < 13.808000, -1.244000, -3.868000>,
      < 13.820000, -1.892000, -3.888000>,
      < 13.816000, -1.240000, -3.884000>
    }
    triangle {
      < 13.600000, -1.240000, -3.848000>,
      < 13.456000, -1.208000, -3.988000>,
      < 13.572000, -1.232000, -3.908000>
    }
    triangle {
      < 13.656000, -1.248000, -3.808000>,
      < 13.500000, -1.256000, -3.740000>,
      < 13.600000, -1.240000, -3.840000>
    }
    triangle {
      < 13.720000, -1.252000, -3.804000>,
      < 13.500000, -1.256000, -3.740000>,
      < 13.660000, -1.248000, -3.804000>
    }
    triangle {
      < 13.780000, -1.248000, -3.828000>,
      < 13.932000, -1.256000, -3.824000>,
      < 13.724000, -1.252000, -3.804000>
    }
    triangle {
      < 13.748000, -1.024000, -4.040000>,
      < 13.772000, -1.024000, -4.028000>,
      < 13.872000, -1.024000, -4.144000>
    }
    triangle {
      < 13.684000, -1.024000, -4.056000>,
      < 13.736000, -1.024000, -4.048000>,
      < 13.872000, -1.024000, -4.144000>
    }
    triangle {
      < 13.624000, -1.024000, -4.032000>,
      < 13.680000, -1.024000, -4.056000>,
      < 13.444000, -1.024000, -4.068000>
    }
    triangle {
      < 13.584000, -1.024000, -3.972000>,
      < 13.616000, -1.024000, -4.024000>,
      < 13.444000, -1.024000, -4.068000>
    }
    triangle {
      < 13.596000, -1.024000, -3.852000>,
      < 13.572000, -1.024000, -3.908000>,
      < 13.444000, -1.024000, -4.068000>
    }
    triangle {
      < 13.648000, -1.024000, -3.812000>,
      < 13.612000, -1.024000, -3.836000>,
      < 13.508000, -1.024000, -3.708000>
    }
    triangle {
      < 13.712000, -1.024000, -3.800000>,
      < 13.660000, -1.024000, -3.804000>,
      < 13.508000, -1.024000, -3.708000>
    }
    triangle {
      < 13.772000, -1.024000, -3.824000>,
      < 13.724000, -1.024000, -3.804000>,
      < 13.936000, -1.024000, -3.784000>
    }
    triangle {
      < 13.816000, -1.024000, -3.884000>,
      < 13.784000, -1.024000, -3.828000>,
      < 13.936000, -1.024000, -3.784000>
    }
    triangle {
      < 13.824000, -1.024000, -3.940000>,
      < 13.820000, -1.024000, -3.888000>,
      < 13.936000, -1.024000, -3.784000>
    }
    triangle {
      < 13.800000, -1.024000, -4.004000>,
      < 13.828000, -1.024000, -3.952000>,
      < 13.936000, -1.024000, -3.784000>
    }
    triangle {
      < 13.580000, -1.216000, -3.972000>,
      < 13.456000, -1.208000, -3.988000>,
      < 13.612000, -1.208000, -4.020000>
    }
    triangle {
      < 13.816000, -1.240000, -3.884000>,
      < 13.932000, -1.256000, -3.824000>,
      < 13.808000, -1.244000, -3.868000>
    }
    triangle {
      < 13.824000, -1.232000, -3.940000>,
      < 13.932000, -1.256000, -3.824000>,
      < 13.820000, -1.240000, -3.888000>
    }
    triangle {
      < 13.800000, -1.216000, -4.008000>,
      < 13.932000, -1.256000, -3.824000>,
      < 13.828000, -1.232000, -3.952000>
    }
    triangle {
      < 13.684000, -1.260000, -4.056000>,
      < 13.892000, -1.208000, -4.068000>,
      < 13.736000, -1.220000, -4.048000>
    }
    triangle {
      < 13.620000, -1.224000, -4.032000>,
      < 13.412000, -1.812000, -4.244000>,
      < 13.680000, -1.264000, -4.056000>
    }
    texture {gunsr}
  }
  rotate x*-90
  rotate y*0
  rotate z*0
}
